"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppConfigurator = void 0;
const built_in_configuration_1 = require("./built-in-configuration");
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
class AppConfigurator {
    constructor(configLoader) {
        this.configLoader = configLoader;
    }
    go(customConfigurationName, configurationDocument, includeAllRelations = false) {
        return __awaiter(this, void 0, void 0, function* () {
            const builtInConfiguration = new built_in_configuration_1.BuiltInConfiguration(customConfigurationName);
            return this.configLoader.go(builtInConfiguration.commonFields, builtInConfiguration.builtInCategories, builtInConfiguration.builtInRelations, builtInConfiguration.builtInFields, configurationDocument, includeAllRelations);
        });
    }
}
exports.AppConfigurator = AppConfigurator;
//# sourceMappingURL=app-configurator.js.map