"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addSourceField = void 0;
const tsfun_1 = require("tsfun");
const field_1 = require("../../model/configuration/field");
const base_category_definition_1 = require("../model/category/base-category-definition");
function addSourceField(builtInCategories, libraryCategories, libraryForms, commonFields, customForms) {
    setFieldSourceOnForms(tsfun_1.map(tsfun_1.to(base_category_definition_1.BaseCategoryDefinition.MINIMAL_FORM), builtInCategories), field_1.Field.Source.BUILTIN);
    setFieldSourceOnForms(tsfun_1.map(tsfun_1.to(base_category_definition_1.BaseCategoryDefinition.MINIMAL_FORM), libraryCategories), field_1.Field.Source.LIBRARY);
    setFieldSourceOnForms(libraryForms, field_1.Field.Source.LIBRARY);
    tsfun_1.forEach(builtInCategories, category => setFieldSourceOnFields(category.fields, field_1.Field.Source.BUILTIN));
    tsfun_1.forEach(libraryCategories, category => setFieldSourceOnFields(category.fields, field_1.Field.Source.LIBRARY));
    if (commonFields)
        setFieldSourceOnFields(commonFields, field_1.Field.Source.COMMON);
    if (customForms) {
        setFieldSourceOnForms(customForms, field_1.Field.Source.CUSTOM);
        tsfun_1.forEach(customForms, form => setFieldSourceOnFields(form.fields, field_1.Field.Source.CUSTOM));
    }
}
exports.addSourceField = addSourceField;
function setFieldSourceOnForms(forms, value) {
    for (const form of Object.values(forms)) {
        if (!form)
            continue;
        form.source = value;
    }
}
function setFieldSourceOnFields(fields, value) {
    for (const field of Object.values(fields)) {
        field.source = value;
    }
}
//# sourceMappingURL=add-source-field.js.map