import { Map } from 'tsfun';
import { TransientFormDefinition } from '../model/form/transient-form-definition';
import { LibraryFormDefinition } from '../model/form/library-form-definition';
import { CustomFormDefinition } from '../model/form/custom-form-definition';
import { Valuelist } from '../../model/configuration/valuelist';
import { LibraryCategoryDefinition } from '../model/category/library-category-definition';
import { BuiltInCategoryDefinition } from '../model/category/built-in-category-definition';
import { BuiltInFieldDefinition } from '../model/field/built-in-field-definition';
import { TransientCategoryDefinition } from '../model/category/transient-category-definition';
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
export declare module Assertions {
    function performAssertions(builtInCategories: Map<BuiltInCategoryDefinition>, libraryCategories: Map<LibraryCategoryDefinition>, libraryForms: Map<LibraryFormDefinition>, commonFields: Map<BuiltInFieldDefinition>, valuelistsConfiguration: Map<Valuelist>, customForms?: Map<CustomFormDefinition>): void;
    function assertNoDuplicationInSelection(customForms: Map<CustomFormDefinition>): (forms: Map<TransientFormDefinition>) => Map<TransientFormDefinition>;
    function assertValuelistIdsProvided(definitions: Map<TransientFormDefinition | TransientCategoryDefinition>): Map<TransientFormDefinition | TransientCategoryDefinition>;
}
