import { Map } from 'tsfun';
import { CustomFormDefinition } from '../model/form/custom-form-definition';
import { LanguageConfigurations } from '../model/language/language-configurations';
import { RawProjectConfiguration } from '../../services/project-configuration';
import { Valuelist } from '../../model/configuration/valuelist';
import { Relation } from '../../model/configuration/relation';
import { BuiltInCategoryDefinition } from '../model/category/built-in-category-definition';
import { LibraryCategoryDefinition } from '../model/category/library-category-definition';
import { LibraryFormDefinition } from '../model/form/library-form-definition';
import { BuiltInFieldDefinition } from '../model/field/built-in-field-definition';
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
export declare function buildRawProjectConfiguration(builtInCategories: Map<BuiltInCategoryDefinition>, libraryCategories: Map<LibraryCategoryDefinition>, libraryForms: Map<LibraryFormDefinition>, customForms?: Map<CustomFormDefinition>, commonFieldDefinitions?: Map<BuiltInFieldDefinition>, libraryValuelists?: Map<Valuelist>, customValuelists?: Map<Valuelist>, builtInFieldDefinitions?: Map<BuiltInFieldDefinition>, relationDefinitions?: Array<Relation>, languageConfigurations?: LanguageConfigurations, projectLanguages?: string[], categoriesOrder?: string[], validateFields?: any, // TODO Check if this has to be a parameter
selectedParentForms?: string[], includeAllRelations?: boolean): RawProjectConfiguration;
