"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyHiddenForField = exports.applyHiddenForFields = exports.hideFields = void 0;
const tsfun_1 = require("tsfun");
function hideFields(forms) {
    const clonedForms = tsfun_1.clone(forms);
    Object.values(clonedForms).forEach(form => {
        if (!form.fields)
            return;
        applyHiddenForFields(Object.values(form.fields), form.hidden);
    });
    return clonedForms;
}
exports.hideFields = hideFields;
function applyHiddenForFields(fields, hidden) {
    fields.forEach(field => applyHiddenForField(field, hidden));
}
exports.applyHiddenForFields = applyHiddenForFields;
function applyHiddenForField(field, hidden) {
    if (hidden && hidden.includes(field.name)) {
        field.visible = false;
        field.editable = false;
    }
    if (field.visible === undefined)
        field.visible = true;
    if (field.editable === undefined)
        field.editable = true;
}
exports.applyHiddenForField = applyHiddenForField;
//# sourceMappingURL=hide-fields.js.map