"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergeGroupsConfigurations = void 0;
const tsfun_1 = require("tsfun");
/**
 * @author Thomas Kleinke
 */
function mergeGroupsConfigurations(parentGroups, childGroups) {
    return childGroups.reduce((result, childGroup) => {
        const parentGroup = result.find(group => group.name === childGroup.name);
        if (parentGroup) {
            parentGroup.fields = parentGroup.fields.concat(childGroup.fields.filter(fieldName => !parentGroup.fields.includes(fieldName)));
        }
        else {
            result.push(tsfun_1.clone(childGroup));
        }
        return result;
    }, tsfun_1.clone(parentGroups));
}
exports.mergeGroupsConfigurations = mergeGroupsConfigurations;
//# sourceMappingURL=merge-groups-configurations.js.map