"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergeValuelists = void 0;
const tsfun_1 = require("tsfun");
/**
 * @author Thomas Kleinke
 */
function mergeValuelists(libraryValuelists, customValuelists) {
    const valuelists = Object.keys(libraryValuelists).reduce((result, valuelistId) => {
        result[valuelistId] = tsfun_1.clone(libraryValuelists[valuelistId]);
        result[valuelistId].id = valuelistId;
        result[valuelistId].source = 'library';
        return result;
    }, {});
    return Object.keys(customValuelists).reduce((result, valuelistId) => {
        if (!result[valuelistId]) {
            result[valuelistId] = tsfun_1.clone(customValuelists[valuelistId]);
            result[valuelistId].id = valuelistId;
            result[valuelistId].source = 'custom';
        }
        return result;
    }, valuelists);
}
exports.mergeValuelists = mergeValuelists;
//# sourceMappingURL=merge-valuelists.js.map