"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setGroupLabels = void 0;
const language_configuration_1 = require("../model/language/language-configuration");
/**
 * @param languageConfigurations
 * @param form mutated in place
 */
function setGroupLabels(languageConfigurations, form) {
    form.groups.forEach(group => {
        group.label = getGroupLabel(group.name, 'complete', languageConfigurations);
        group.defaultLabel = getGroupLabel(group.name, 'default', languageConfigurations);
    });
    return form;
}
exports.setGroupLabels = setGroupLabels;
function getGroupLabel(groupName, configuration, languageConfigurations) {
    return language_configuration_1.LanguageConfiguration.getI18nString(languageConfigurations[configuration], 'groups', groupName, false);
}
;
//# sourceMappingURL=set-group-labels.js.map