"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.linkParentAndChildInstances = void 0;
const forest_1 = require("../tools/forest");
/**
 *
 * @returns a CategoryTree - This tree's CategoryForm instances are connected via 'parentCategory' and 'children' properties of CategoryForm
 */
function linkParentAndChildInstances(categories /* modified in place */) {
    for (let { item: category, trees: children } of categories) {
        category.children = children.map(forest_1.Tree.toItem);
        category.children.map(child => child.parentCategory = category);
        linkParentAndChildInstances(children);
    }
    return categories;
}
exports.linkParentAndChildInstances = linkParentAndChildInstances;
//# sourceMappingURL=category-forest.js.map