"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigurationSerializer = void 0;
const project_configuration_names_1 = require("./project-configuration-names");
const forest_1 = require("../tools/forest");
/**
 * @author Thomas Kleinke
 */
class ConfigurationSerializer {
    constructor(appConfigurator) {
        this.appConfigurator = appConfigurator;
    }
    getConfigurationAsJSON(projectIdentifier, configurationDocument) {
        return __awaiter(this, void 0, void 0, function* () {
            const projectConfiguration = yield this.appConfigurator.go(project_configuration_names_1.getConfigurationName(projectIdentifier), configurationDocument, true);
            return {
                projectLanguages: this.getLanguages(configurationDocument),
                categories: this.getCategories(projectConfiguration)
            };
        });
    }
    getCategories(projectConfiguration) {
        return forest_1.Forest.map((category) => {
            delete category.children;
            delete category.parentCategory;
            return category;
        }, projectConfiguration.getCategories());
    }
    getLanguages(configurationDocument) {
        var _a;
        return (_a = configurationDocument.resource.projectLanguages) !== null && _a !== void 0 ? _a : [];
    }
}
exports.ConfigurationSerializer = ConfigurationSerializer;
//# sourceMappingURL=configuration-serializer.js.map