import { Map } from 'tsfun';
import { BaseCategoryDefinition } from './base-category-definition';
import { LibraryFieldDefinition } from '../field/library-field-definition';
import { LibraryFormDefinition } from '../form/library-form-definition';
import { I18N } from '../../../tools/i18n';
import { Name } from '../../../tools/named';
export interface LibraryCategoryDefinition extends BaseCategoryDefinition {
    fields: Map<LibraryFieldDefinition>;
    minimalForm?: LibraryFormDefinition;
    description: I18N.String;
}
export declare namespace LibraryCategoryDefinition {
    const PARENT = "parent";
    function makeAssertIsValid(builtInCategoryNames: string[]): ([categoryName, category]: [Name, LibraryCategoryDefinition]) => void;
}
