"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LibraryCategoryDefinition = void 0;
const configuration_errors_1 = require("../../boot/configuration-errors");
const assert_fields_are_valid_1 = require("../field/assert-fields-are-valid");
const library_field_definition_1 = require("../field/library-field-definition");
var LibraryCategoryDefinition;
(function (LibraryCategoryDefinition) {
    LibraryCategoryDefinition.PARENT = 'parent';
    function makeAssertIsValid(builtInCategoryNames) {
        return ([categoryName, category]) => {
            if (!category.description)
                throw [configuration_errors_1.ConfigurationErrors.MISSING_CATEGORY_PROPERTY, 'description', categoryName];
            if (!category.fields)
                throw [configuration_errors_1.ConfigurationErrors.MISSING_CATEGORY_PROPERTY, 'fields', categoryName];
            assert_fields_are_valid_1.assertFieldsAreValid(category.fields, library_field_definition_1.VALID_LIBRARY_FIELD_PROPERTIES, 'library');
            if (!builtInCategoryNames.includes(categoryName) && !category.parent) {
                throw [configuration_errors_1.ConfigurationErrors.MISSING_CATEGORY_PROPERTY, 'parent', categoryName];
            }
        };
    }
    LibraryCategoryDefinition.makeAssertIsValid = makeAssertIsValid;
})(LibraryCategoryDefinition = exports.LibraryCategoryDefinition || (exports.LibraryCategoryDefinition = {}));
//# sourceMappingURL=library-category-definition.js.map