import { Map } from 'tsfun';
import { Name } from '../../../tools';
import { BaseFormDefinition } from './base-form-definition';
import { CustomFieldDefinition } from '../field/custom-field-definition';
import { ScanCodeConfiguration } from '../../../model/configuration/scan-code-configuration';
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
export interface CustomFormDefinition extends BaseFormDefinition {
    fields: Map<CustomFieldDefinition>;
    hidden?: string[];
    parent?: string;
    color?: string;
    identifierPrefix?: string;
    resourceLimit?: number;
    scanCodes?: ScanCodeConfiguration;
}
export declare module CustomFormDefinition {
    const VALUELISTS = "valuelists";
    const PARENT = "parent";
    function makeAssertIsValid(formNames: string[]): ([formName, form]: [Name, CustomFormDefinition]) => void;
}
