import { Map } from 'tsfun';
import { I18N, Name } from '../../../tools';
import { CustomFieldDefinition } from '../field/custom-field-definition';
import { BaseFormDefinition, BaseGroupDefinition } from './base-form-definition';
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
export interface LibraryFormDefinition extends BaseFormDefinition {
    categoryName: string;
    description: I18N.String;
    createdBy: string;
    creationDate: string;
    fields?: Map<CustomFieldDefinition>;
    groups: Array<BaseGroupDefinition>;
}
export declare namespace LibraryFormDefinition {
    function makeAssertIsValid(categoryNames: string[]): ([formName, form]: [Name, LibraryFormDefinition]) => void;
}
