"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LibraryFormDefinition = void 0;
const configuration_errors_1 = require("../../boot/configuration-errors");
var LibraryFormDefinition;
(function (LibraryFormDefinition) {
    function makeAssertIsValid(categoryNames) {
        return function assertIsValid([formName, form]) {
            if (form.description === undefined)
                throw [configuration_errors_1.ConfigurationErrors.MISSING_FORM_PROPERTY, 'description', formName];
            if (form.creationDate === undefined)
                throw [configuration_errors_1.ConfigurationErrors.MISSING_FORM_PROPERTY, 'creationDate', formName];
            if (form.createdBy === undefined)
                throw [configuration_errors_1.ConfigurationErrors.MISSING_FORM_PROPERTY, 'createdBy', formName];
            if (form.categoryName === undefined)
                throw [configuration_errors_1.ConfigurationErrors.MISSING_FORM_PROPERTY, 'categoryName', formName];
            if (form.groups === undefined)
                throw [configuration_errors_1.ConfigurationErrors.MISSING_FORM_PROPERTY, 'groups', formName];
            if (!categoryNames.includes(form.categoryName))
                throw [configuration_errors_1.ConfigurationErrors.CATEGORY_NAME_NOT_FOUND, form.categoryName, formName];
        };
    }
    LibraryFormDefinition.makeAssertIsValid = makeAssertIsValid;
})(LibraryFormDefinition = exports.LibraryFormDefinition || (exports.LibraryFormDefinition = {}));
//# sourceMappingURL=library-form-definition.js.map