import { I18N } from '../../../tools/i18n';
export interface LanguageConfiguration {
    categories?: {
        [categoryName: string]: CategoryOrFormLanguageDefinition;
    };
    forms?: {
        [categoryName: string]: CategoryOrFormLanguageDefinition;
    };
    relations?: {
        [relationName: string]: FieldLanguageDefinition;
    };
    groups?: {
        [groupName: string]: string;
    };
    commons?: {
        [fieldName: string]: FieldLanguageDefinition;
    };
    fields?: {
        [fieldName: string]: FieldLanguageDefinition;
    };
}
export interface CategoryOrFormLanguageDefinition {
    label?: string;
    description?: string;
    fields?: {
        [fieldName: string]: FieldLanguageDefinition;
    };
}
export interface FieldLanguageDefinition extends SubfieldLanguageDefinition {
    subfields?: {
        [subfieldName: string]: SubfieldLanguageDefinition;
    };
}
export interface SubfieldLanguageDefinition {
    label?: string;
    description?: string;
}
/**
 * @author Thomas Kleinke
 */
export declare module LanguageConfiguration {
    function getI18nString(languageConfigurations: {
        [language: string]: Array<LanguageConfiguration>;
    }, section: 'categories' | 'forms' | 'relations' | 'groups' | 'commons' | 'fields' | 'other', subSectionName: string, fields: boolean, textType?: 'label' | 'description', categoryOrFormName?: string, subfieldName?: string): I18N.String;
}
