import { Observable } from 'rxjs';
import { IndexFacade } from '../../index/index-facade';
import { Document } from '../../model/document';
import { DocumentConverter } from '../document-converter';
import { DocumentCache } from '../document-cache';
import { PouchdbDatastore } from '../pouchdb/pouchdb-datastore';
import { Datastore } from '../datastore';
import { ProjectConfiguration } from '../../services/project-configuration';
export declare type RemoteChangeInfo = {
    document: Document;
    new: boolean;
};
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
export declare class ChangesStream {
    private datastore;
    private indexFacade;
    private documentCache;
    private documentConverter;
    private projectConfiguration;
    private getUsername;
    private remoteChangesObservers;
    private remoteConfigurationChangesObservers;
    private projectDocumentObservers;
    constructor(pouchDbDatastore: PouchdbDatastore, datastore: Datastore, indexFacade: IndexFacade, documentCache: DocumentCache, documentConverter: DocumentConverter, projectConfiguration: ProjectConfiguration, getUsername: () => string);
    remoteChangesNotifications: () => Observable<RemoteChangeInfo>;
    remoteConfigurationChangesNotifications: () => Observable<void>;
    projectDocumentNotifications: () => Observable<Document>;
    private welcomeDocument;
    static isRemoteChange(document: Document, username: string): boolean;
}
