"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DocumentCache = void 0;
/**
 * @author Daniel de Oliveira
 */
class DocumentCache {
    constructor() {
        this._ = {};
    }
    set(document) {
        return this._[document.resource.id] = document;
    }
    get(resourceId) {
        return this._[resourceId];
    }
    getAll() {
        return Object.values(this._);
    }
    remove(resourceId) {
        delete this._[resourceId];
    }
    reassign(document) {
        const cachedDocument = this.get(document.resource.id);
        if (!document._conflicts)
            delete cachedDocument._conflicts;
        if (!document.warnings)
            delete cachedDocument.warnings;
        Object.assign(cachedDocument, document);
        return cachedDocument;
    }
    reset() {
        this._ = {};
    }
}
exports.DocumentCache = DocumentCache;
//# sourceMappingURL=document-cache.js.map