"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DocumentConverter = void 0;
const relation_1 = require("../model/configuration/relation");
const document_1 = require("../model/document");
const resource_1 = require("../model/resource");
const forest_1 = require("../tools/forest");
const in_place_1 = require("../tools/in-place");
const named_1 = require("../tools/named");
const migrator_1 = require("./migrator");
class DocumentConverter {
    constructor(projectConfiguration) {
        this.projectConfiguration = projectConfiguration;
    }
    convert(document) {
        migrator_1.Migrator.migrate(document, this.projectConfiguration);
        in_place_1.InPlace.takeOrMake(document, [document_1.Document.RESOURCE, resource_1.Resource.IDENTIFIER], '');
        // TODO review after 2.19 released
        if (forest_1.Tree.flatten(this.projectConfiguration.getCategories()).length > 0) {
            if (this.projectConfiguration.getImageCategories().map(named_1.Named.toName)
                .includes(document.resource.category)) {
                in_place_1.InPlace.takeOrMake(document, [document_1.Document.RESOURCE, resource_1.Resource.RELATIONS, relation_1.Relation.Image.DEPICTS], []);
            }
            else {
                in_place_1.InPlace.takeOrMake(document, [document_1.Document.RESOURCE, resource_1.Resource.RELATIONS, relation_1.Relation.Hierarchy.RECORDEDIN], []);
                if (this.projectConfiguration.getFeatureCategories().map(named_1.Named.toName)
                    .includes(document.resource.category)) {
                    in_place_1.InPlace.takeOrMake(document, [document_1.Document.RESOURCE, resource_1.Resource.RELATIONS, relation_1.Relation.Time.AFTER], []);
                    in_place_1.InPlace.takeOrMake(document, [document_1.Document.RESOURCE, resource_1.Resource.RELATIONS, relation_1.Relation.Time.BEFORE], []);
                    in_place_1.InPlace.takeOrMake(document, [document_1.Document.RESOURCE, resource_1.Resource.RELATIONS, relation_1.Relation.Time.CONTEMPORARY], []);
                }
            }
        }
    }
}
exports.DocumentConverter = DocumentConverter;
//# sourceMappingURL=document-converter.js.map