import { Document } from '../model/document';
/**
 * @author Daniel de Oliveira
 */
export declare function isProjectDocument(document: Document): boolean;
export declare function sortRevisionsByLastModified(documents: Array<Document>): Array<Document>;
export declare function replaceLastPair<A>(as: Array<A>, replacement: A): Array<A>;
export declare const last2: <A>(_: A[]) => any;
/**
 * Dissociates the given indices from an array.
 *
 * Example
 *   > dissocIndices([0, 2])(['a', 'b', 'c', 'd')
 *   ['b', 'd']
 *
 * @param indices must be sorted in ascending order
 */
export declare function dissocIndices<A>(indices: Array<number>): (as: Array<A>) => Array<A>;
