import { Observable } from 'rxjs';
import { PouchdbDatastore } from './pouchdb-datastore';
import { SyncStatus } from '../sync-status';
/**
 * @author Thomas Kleinke
 * @author Sebastian Cuy
 */
export declare class SyncService {
    private pouchdbDatastore;
    private status;
    private syncTarget;
    private project;
    private password;
    private currentSyncTimeout;
    private checkDatabaseExistence;
    private sync;
    private replication;
    private syncStatusSubscription;
    private statusObservers;
    constructor(pouchdbDatastore: PouchdbDatastore);
    getStatus: () => SyncStatus;
    init(syncTarget: string, project: string, password: string, checkDatabaseExistence: (url: string) => Promise<boolean>): void;
    statusNotifications: () => Observable<SyncStatus>;
    /**
     * @throws error if db is not empty
     */
    startReplication(target: string, password: string, project: string, updateSequence: number, destroyExisting: boolean): Promise<Observable<any>>;
    private handleReplicationError;
    stopReplication(): Promise<void>;
    startSync(setConnectingStatus?: boolean, filter?: (doc: any) => boolean): Promise<boolean>;
    stopSync(): void;
    setStatus(status: SyncStatus): void;
    private setupSync;
    private cancelSync;
    static generateUrl(syncTarget: string, project: string, password?: string): string;
    private static getStatusFromInfo;
    private static getStatusFromError;
}
