"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SampleDataLoaderBase = void 0;
const document_1 = require("../../model/document");
const sample_data_1 = require("./sample-data");
class SampleDataLoaderBase {
    constructor(locale) {
        this.locale = locale;
    }
    go(db, project) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                yield this.loadSampleDocuments(db);
            }
            catch (err) {
                console.error('Failed to load sample data', err);
            }
        });
    }
    loadSampleDocuments(db) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const project = yield db.get('project');
                yield db.remove('project', project._rev);
            }
            catch (_a) {
                // Ignore errors
            }
            const documents = sample_data_1.getSampleDocuments(this.locale).map(document => {
                return SampleDataLoaderBase.createDocument(document, db);
            });
            return db.bulkDocs(documents);
        });
    }
    static createDocument(document, db) {
        const result = document_1.Document.clone(document);
        result.created = { user: 'sample_data', date: new Date() };
        result.modified = [{ user: 'sample_data', date: new Date() }];
        result._id = document.resource.id;
        return result;
    }
}
exports.SampleDataLoaderBase = SampleDataLoaderBase;
//# sourceMappingURL=sample-data-loader-base.js.map