import { Document } from '../model/document';
import { CategoryForm } from '../model/configuration/category-form';
import { IndexFacade } from '../index/index-facade';
import { Datastore } from './datastore';
import { DocumentCache } from './document-cache';
import { ProjectConfiguration } from '../services';
/**
 * @author Thomas Kleinke
 */
export declare module WarningsUpdater {
    /**
     * Updates all warnings for whose determination the index is not required. These warnings do no rely on
     * analyzing the document in the context of other documents.
     */
    function updateIndexIndependentWarnings(document: Document, projectConfiguration: ProjectConfiguration): void;
    /**
     * Updates all warnings for whose determination the documents must have been previously indexed.
     */
    function updateIndexDependentWarnings(document: Document, indexFacade: IndexFacade, documentCache: DocumentCache, projectConfiguration: ProjectConfiguration, datastore?: Datastore, previousIdentifier?: string, updateAll?: boolean): Promise<void>;
    function updateNonUniqueIdentifierWarning(document: Document, indexFacade: IndexFacade, datastore?: Datastore, previousIdentifier?: string, updateAll?: boolean): Promise<void>;
    function updateResourceLimitWarning(document: Document, category: CategoryForm, indexFacade: IndexFacade, projectConfiguration: ProjectConfiguration, datastore?: Datastore, updateAll?: boolean): Promise<void>;
    function updateResourceLimitWarnings(datastore: Datastore, indexFacade: IndexFacade, projectConfiguration: ProjectConfiguration, category: CategoryForm): Promise<void>;
    function updateRelationTargetWarning(document: Document, indexFacade: IndexFacade, documentCache: DocumentCache, datastore?: Datastore, updateRelationTargets?: boolean): Promise<void>;
    function updateMissingOrInvalidParentWarning(document: Document, projectConfiguration: ProjectConfiguration, indexFacade: IndexFacade, documentCache: DocumentCache, datastore?: Datastore, updateAll?: boolean): Promise<void>;
    function updateOutlierWarning(document: Document, projectConfiguration: ProjectConfiguration, category: CategoryForm, indexFacade: IndexFacade, documentCache: DocumentCache, datastore?: Datastore, updateAll?: boolean): Promise<void>;
}
