import { Resource } from '../model/resource';
import { IndexItem } from './index-item';
import { Query } from '../model/query';
/**
 * If not specified otherwise, indexItems get sorted
 * alphanumerically by their identifier property.
 *
 * @param indexItems
 * @param query
 *   - if query.categories includes only type categories,
 *     query.sort.matchType can be set
 *   . in order to perform a ranking of Type resources then.
 *     if query.sort.matchCategory is not set, a regular
 *     sort gets performed instead.
 *   - if query.sort.mode === 'exactMatchFirst', then, after sorting,
 *     puts an element which matches the query exactly, to the
 *     front of the resulting list.
 */
export declare function getSortedIds(indexItems: Array<IndexItem>, query: Query, typeCategories: string[]): Array<Resource.Id>;
