"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IndexItem = void 0;
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
class IndexItem {
    constructor() { } // hide on purpose, use from or copy instead
    static from(document, showWarnings = false) {
        if (!document.resource) {
            throw 'illegal argument - document.resource undefined';
        }
        if (!document.resource.id) {
            throw 'illegal argument - document.id undefined';
        }
        if (!document.resource.identifier) {
            if (showWarnings)
                console.warn('no identifier, will not index');
            return undefined;
        }
        return {
            id: document.resource.id,
            identifier: document.resource.identifier
        };
    }
}
exports.IndexItem = IndexItem;
//# sourceMappingURL=index-item.js.map