export interface ResultSets<T> {
    addSets: Array<Array<T>>;
    subtractSets: Array<Array<T>>;
}
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
export declare module ResultSets {
    function make<T>(): ResultSets<T>;
    function isEmpty<T>(resultSets: ResultSets<T>): boolean;
    function containsOnlyEmptyAddSets<T>(resultSets: ResultSets<T>): boolean;
    function combine<T>(resultSets: ResultSets<T>, items: Array<T>, subtract?: undefined | true): void;
    function collapse<T>(resultSets: ResultSets<T>): Array<T>;
    function unifyAddSets<T>(resultSets: ResultSets<T>): Array<T>;
}
