"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResultSets = void 0;
const tsfun_1 = require("tsfun");
const tsfun = __importStar(require("tsfun"));
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
var ResultSets;
(function (ResultSets) {
    function make() {
        return { addSets: [], subtractSets: [] };
    }
    ResultSets.make = make;
    function isEmpty(resultSets) {
        return resultSets.addSets.length === 0 &&
            resultSets.subtractSets.length === 0;
    }
    ResultSets.isEmpty = isEmpty;
    function containsOnlyEmptyAddSets(resultSets) {
        if (resultSets.addSets.length === 0)
            return false;
        return !resultSets.addSets
            .some(addSet => addSet.length > 0);
    }
    ResultSets.containsOnlyEmptyAddSets = containsOnlyEmptyAddSets;
    function combine(resultSets, items, subtract = undefined) {
        (!subtract
            ? resultSets.addSets
            : resultSets.subtractSets)
            .push(items);
    }
    ResultSets.combine = combine;
    function collapse(resultSets) {
        return tsfun_1.flow(tsfun_1.intersection(resultSets.addSets), tsfun_1.cond(!tsfun.isEmpty(resultSets.subtractSets), tsfun_1.subtract(tsfun_1.union(resultSets.subtractSets))));
    }
    ResultSets.collapse = collapse;
    function unifyAddSets(resultSets) {
        return tsfun_1.union(resultSets.addSets);
    }
    ResultSets.unifyAddSets = unifyAddSets;
})(ResultSets = exports.ResultSets || (exports.ResultSets = {}));
//# sourceMappingURL=result-sets.js.map