import { Valuelist } from '.';
import { I18N } from '../tools/i18n';
import { Subfield } from './configuration/field';
/**
 * @author Thomas Kleinke
 */
export declare module Composite {
    function isValid(entry: any, subfields: Array<Subfield>): boolean;
    function isConditionFulfilled(entry: any, subfieldToCheck: Subfield, subfields: Array<Subfield>): boolean;
    /**
     * @returns null if no label could be generated because of invalid data
     */
    function generateLabel(entry: any, subfields: Array<Subfield>, translate: (term: string) => string, getFromLabeledValue: (labeledValue: I18N.LabeledValue) => string, getFromI18NString: (i18nString: I18N.String | string) => string, getValueLabel: (valuelist: Valuelist, valueId: string) => string): string | null;
}
