import { Document } from './document';
import { ConfigurationResource } from './configuration-resource';
import { CategoryForm } from './configuration/category-form';
import { CustomFormDefinition } from '../configuration/model/form/custom-form-definition';
import { Group } from './configuration/group';
import { Field } from './configuration/field';
import { Valuelist } from './configuration/valuelist';
import { ConfigReader } from '../configuration/boot/config-reader';
export declare const OVERRIDE_VISIBLE_FIELDS: string[];
export interface ConfigurationDocument extends Document {
    resource: ConfigurationResource;
}
export declare namespace ConfigurationDocument {
    function getConfigurationDocument(getFunction: (id: string) => Promise<Document>, configReader: ConfigReader, projectIdentifier: string, username: string): Promise<ConfigurationDocument>;
    const isHidden: (customFormDefinition?: CustomFormDefinition, parentCustomFormDefinitiion?: CustomFormDefinition) => (field: Field) => boolean;
    function isCustomizedCategory(configurationDocument: ConfigurationDocument, category: CategoryForm, checkChildren?: boolean): boolean;
    function getCustomCategoryDefinition(configurationDocument: ConfigurationDocument, category: CategoryForm): CustomFormDefinition | undefined;
    function getParentCustomCategoryDefinition(configurationDocument: ConfigurationDocument, category: CategoryForm): CustomFormDefinition | undefined;
    function deleteCategory(customConfigurationDocument: ConfigurationDocument, category: CategoryForm, removeFromCategoriesOrder?: boolean): ConfigurationDocument;
    function deleteGroup(customConfigurationDocument: ConfigurationDocument, category: CategoryForm, group: Group, otherCategories: Array<CategoryForm>): ConfigurationDocument;
    function deleteField(customConfigurationDocument: ConfigurationDocument, category: CategoryForm, field: Field): ConfigurationDocument;
    function deleteValuelist(customConfigurationDocument: ConfigurationDocument, valuelist: Valuelist): ConfigurationDocument;
    function getPermanentlyHiddenFields(category: CategoryForm): string[];
    function swapCategoryForm(configurationDocument: ConfigurationDocument, currentForm: CategoryForm, newForm: CategoryForm, parentForm?: CategoryForm): ConfigurationDocument;
    function addCategoryForm(configurationDocument: ConfigurationDocument, categoryForm: CategoryForm, parentForm?: CategoryForm): ConfigurationDocument;
    function addField(configurationDocument: ConfigurationDocument, category: CategoryForm, permanentlyHiddenFields: string[], groupName: string, fieldName: string): ConfigurationDocument;
    function addToCategoriesOrder(configurationDocument: ConfigurationDocument, newCategoryName: string, parentCategoryName?: string): ConfigurationDocument;
}
