"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigurationResource = void 0;
const tsfun_1 = require("tsfun");
const compare_1 = require("../tools/compare");
const utils_1 = require("../tools/utils");
/**
 * @author Thomas Kleinke
 */
var ConfigurationResource;
(function (ConfigurationResource) {
    function getDifferingForms(resource1, resource2) {
        return getDifferingSubfields(resource1, resource2, 'forms');
    }
    ConfigurationResource.getDifferingForms = getDifferingForms;
    function getDifferingLanguages(resource1, resource2) {
        return getDifferingSubfields(resource1, resource2, 'languages');
    }
    ConfigurationResource.getDifferingLanguages = getDifferingLanguages;
    function getDifferingValuelists(resource1, resource2) {
        return getDifferingSubfields(resource1, resource2, 'valuelists');
    }
    ConfigurationResource.getDifferingValuelists = getDifferingValuelists;
    function getDifferingSubfields(resource1, resource2, subfieldName) {
        const differingFormsNames = findDifferingSubfields(resource1[subfieldName], resource2[subfieldName])
            .concat(findDifferingSubfields(resource2[subfieldName], resource1[subfieldName]));
        return tsfun_1.set(differingFormsNames);
    }
    function findDifferingSubfields(object1, object2) {
        return Object.keys(object1)
            .reduce(utils_1.concatIf(compare_1.notCompareInBoth(object1, object2)), []);
    }
})(ConfigurationResource = exports.ConfigurationResource || (exports.ConfigurationResource = {}));
//# sourceMappingURL=configuration-resource.js.map