import { Named } from '../../tools/named';
import { I18N } from '../../tools/i18n';
import { Field } from './field';
export interface GroupDefinition {
    name: string;
    fields: string[];
}
export declare module Groups {
    const STEM = "stem";
    const DIMENSION = "dimension";
    const TIME = "time";
    const POSITION = "position";
    const IDENTIFICATION = "identification";
    const INVENTORY = "inventory";
    const PROPERTIES = "properties";
    const HIERARCHY = "hierarchy";
    const STRATIGRAPHY = "stratigraphy";
    const OTHER = "other";
}
export interface Group extends BaseGroup {
    fields: Array<Field>;
}
export interface BaseGroup extends Named, I18N.Labeled {
    fields: Array<any>;
    defaultLabel?: I18N.String;
}
export declare module Group {
    const FIELDS = "fields";
    function create(name: string): {
        name: string;
        fields: any[];
    };
    function toFields(group: Group): Field[];
}
