"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Valuelist = void 0;
const tsfun_1 = require("tsfun");
var Valuelist;
(function (Valuelist) {
    function getValueLabel(valuelist, valueId) {
        var _a;
        return (_a = valuelist.values[valueId]) === null || _a === void 0 ? void 0 : _a.label;
    }
    Valuelist.getValueLabel = getValueLabel;
    function assertIsValid(valuelistDefinition) {
        if (valuelistDefinition.description === undefined)
            return ['missing', 'description'];
        if (valuelistDefinition.createdBy === undefined)
            return ['missing', 'createdBy'];
        if (valuelistDefinition.creationDate === undefined)
            return ['missing', 'creationDate'];
        return undefined;
    }
    Valuelist.assertIsValid = assertIsValid;
    function applyExtension(valuelist, extendedValuelist) {
        const clonedValuelist = tsfun_1.clone(valuelist);
        if (!clonedValuelist.extendedValuelist)
            return clonedValuelist;
        const newValues = clonedValuelist.values;
        clonedValuelist.values = tsfun_1.clone(extendedValuelist.values);
        Object.assign(clonedValuelist.values, newValues);
        if (clonedValuelist.hidden) {
            for (let valueId of Object.keys(clonedValuelist.values)) {
                if (clonedValuelist.hidden.includes(valueId))
                    delete clonedValuelist.values[valueId];
            }
        }
        return clonedValuelist;
    }
    Valuelist.applyExtension = applyExtension;
    function orderKeysByLabels(valuelist, alternativeComparator) {
        return Object.keys(valuelist.values).sort(valuelist.order
            ? sortByCustomOrder(valuelist.order)
            : alternativeComparator(valuelist));
    }
    Valuelist.orderKeysByLabels = orderKeysByLabels;
    const sortByCustomOrder = (order) => (valueA, valueB) => {
        return order.indexOf(valueA) - order.indexOf(valueB);
    };
})(Valuelist = exports.Valuelist || (exports.Valuelist = {}));
//# sourceMappingURL=valuelist.js.map