import { LanguageConfiguration } from '../configuration/model/language/language-configuration';
import { I18N } from '../tools/i18n';
import { CategoryForm } from './configuration/category-form';
import { Field, Subfield } from './configuration/field';
import { Group } from './configuration/group';
export declare type CustomLanguageConfigurations = {
    [language: string]: LanguageConfiguration;
};
/**
 * @author Thomas Kleinke
 */
export declare module CustomLanguageConfigurations {
    function update(customLanguageConfigurations: CustomLanguageConfigurations, editedLabel: I18N.String, editedDescription?: I18N.String, category?: CategoryForm, field?: Field, subfield?: Subfield, group?: Group): void;
    function deleteCategory(customLanguageConfigurations: CustomLanguageConfigurations, category: CategoryForm): void;
    function hasCustomTranslations(customLanguageConfigurations: CustomLanguageConfigurations, category: CategoryForm): boolean;
}
