/**
 * @author Thomas Kleinke
 */
export interface Literature {
    quotation: string;
    zenonId?: string;
    doi?: string;
    page?: string;
    figure?: string;
}
export declare module Literature {
    const QUOTATION = "quotation";
    const ZENON_ID = "zenonId";
    const DOI = "doi";
    const PAGE = "page";
    const FIGURE = "figure";
    type Translations = 'zenonId' | 'doi' | 'page' | 'figure';
    function isLiterature(literature: any): literature is Literature;
    function isValid(literature: Literature, options?: any): boolean;
    function generateLabel(literature: Literature, getTranslation: (term: Literature.Translations) => string, includeZenonId?: boolean, includeDoi?: boolean): string;
}
