"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OptionalRange = void 0;
const tsfun_1 = require("tsfun");
var OptionalRange;
(function (OptionalRange) {
    OptionalRange.VALUE = 'value';
    OptionalRange.ENDVALUE = 'endValue';
    function buildIsOptionalRange(isTValid) {
        return function isOptionalRange(optionalRange) {
            if (!tsfun_1.isObject(optionalRange))
                return false;
            if (!Object.keys(optionalRange).includes(OptionalRange.VALUE))
                return false;
            else if (!isTValid(optionalRange.value))
                return false;
            if (Object.keys(optionalRange).includes(OptionalRange.ENDVALUE) && !isTValid(optionalRange[OptionalRange.ENDVALUE]))
                return false;
            return true;
        };
    }
    OptionalRange.buildIsOptionalRange = buildIsOptionalRange;
    function isValid(optionalRange) {
        const keys = Object.keys(optionalRange);
        if (keys.length < 1 || keys.length > 2)
            return false;
        if (keys.length === 1 && keys[0] !== OptionalRange.VALUE)
            return false;
        if (keys.length === 2 && (!keys.includes(OptionalRange.VALUE) || !keys.includes(OptionalRange.ENDVALUE)))
            return false;
        return true;
    }
    OptionalRange.isValid = isValid;
    function generateLabel(optionalRange, getTranslation, getLabel) {
        if (isValid(optionalRange)) {
            return optionalRange.endValue
                ? getTranslation('from') + getLabel(optionalRange.value) + getTranslation('to')
                    + getLabel(optionalRange.endValue)
                : getLabel(optionalRange.value);
        }
        else {
            return JSON.stringify(optionalRange);
        }
    }
    OptionalRange.generateLabel = generateLabel;
})(OptionalRange = exports.OptionalRange || (exports.OptionalRange = {}));
//# sourceMappingURL=optional-range.js.map