import { Map } from 'tsfun';
export declare type WarningType = 'unconfiguredCategory' | 'unconfiguredFields' | 'invalidFields' | 'outliers' | 'missingRelationTargets' | 'conflicts' | 'missingIdentifierPrefix' | 'nonUniqueIdentifier' | 'resourceLimitExceeded' | 'missingOrInvalidParent';
export interface Warnings {
    unconfiguredFields: string[];
    invalidFields: string[];
    outliers?: OutlierWarnings;
    missingRelationTargets?: MissingRelationTargetWarnings;
    unconfiguredCategory?: boolean;
    conflicts?: boolean;
    missingIdentifierPrefix?: boolean;
    nonUniqueIdentifier?: boolean;
    resourceLimitExceeded?: boolean;
    missingOrInvalidParent?: boolean;
}
export interface OutlierWarnings {
    fields: Map<string[] | Map<string[]>>;
    values: string[];
}
export interface MissingRelationTargetWarnings {
    relationNames: string[];
    targetIds: string[];
}
/**
 * @author Thomas Kleinke
 */
export declare module Warnings {
    function hasWarnings(warnings: Warnings): boolean;
    function createDefault(): Warnings;
}
