"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Warnings = void 0;
/**
 * @author Thomas Kleinke
 */
var Warnings;
(function (Warnings) {
    function hasWarnings(warnings) {
        return warnings.unconfiguredFields.length > 0
            || warnings.invalidFields.length > 0
            || warnings.outliers !== undefined
            || warnings.missingRelationTargets !== undefined
            || warnings.unconfiguredCategory
            || warnings.conflicts
            || warnings.missingIdentifierPrefix
            || warnings.nonUniqueIdentifier
            || warnings.resourceLimitExceeded
            || warnings.missingOrInvalidParent;
    }
    Warnings.hasWarnings = hasWarnings;
    function createDefault() {
        return {
            unconfiguredFields: [],
            invalidFields: []
        };
    }
    Warnings.createDefault = createDefault;
})(Warnings = exports.Warnings || (exports.Warnings = {}));
//# sourceMappingURL=warnings.js.map