import { I18N } from '../tools/i18n';
import { Valuelist } from '../model/configuration/valuelist';
import { ProjectConfiguration } from './project-configuration';
import { CategoryForm } from '../model/configuration/category-form';
/**
 * @author Daniel de Oliveira
 */
export declare class Labels {
    private getLanguages;
    private projectConfiguration;
    constructor(getLanguages: () => string[], projectConfiguration: ProjectConfiguration);
    get(labeledValue: I18N.LabeledValue): string;
    getFromI18NString(i18nString: I18N.String | string): string;
    getValueLabel(valuelist: Valuelist, valueId: string): string;
    getLabelAndDescription(labeledValue: I18N.LabeledValue): {
        label: string;
        description?: string;
    };
    getDescription(describedValue: I18N.Described): string;
    getFieldLabel(category: CategoryForm, fieldName: string): string;
    getRelationLabel(relationName: string): string;
    orderKeysByLabels(valuelist: Valuelist): string[];
    private sortAlphanumerically;
}
