import { Document } from '../../model/document';
import { Relation } from '../../model/configuration/relation';
import { Datastore } from '../../datastore/datastore';
import { Name } from '../../tools/named';
/**
 * Architecture note: This class deals with automatic
 * update of documents directly connected
 * to a document via relations.
 *
 * Other operations, like correcting documents' isRecordedIn relations
 * or hierarchical deletions is done in relations manager.
 *
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
export declare namespace ConnectedDocs {
    function updateForUpdate(datastore: Datastore, relationNames: Array<Name>, inverseRelationsMap: Relation.InverseRelationsMap, document: Document, otherVersions: Array<Document>): Promise<void>;
    function updateForRemove(datastore: Datastore, relationNames: Array<Name>, inverseRelationsMap: Relation.InverseRelationsMap, document: Document): Promise<void>;
}
