import { Datastore } from '../../datastore/datastore';
import { Document } from '../../model/document';
import { Resource } from '../../model/resource';
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
export declare namespace Hierarchy {
    function getWithDescendants<D extends Document>(find: Datastore.Find, documents: Array<D>): Promise<Array<D>>;
    function getAntescendents(get: Datastore.Get, id: Resource.Id): Promise<Array<Document>>;
    function getParentDocument(get: Datastore.Get, document: Document): Promise<Document | undefined>;
    function getParentResource(get: Datastore.Get, resource: Resource): Promise<Resource | undefined>;
}
