import { Document } from '../../model/document';
import { Relation } from '../../model/configuration/relation';
/**
 * Determines which targetDocuments need their relations updated, based
 * on the relations seen in <i>document</i> alone, and performs the updates.
 * Relations in targetDocuments, which correspond to other documents, are left as they are.
 *
 * @param document expected that relations is an object consisting only of proper relation names
 * @param targetDocuments
 * @param inverseRelationsMap
 * @param setInverses if false, relations of targetDocuments
 *   which point to document, get only removed, but not (re-)created
 *
 * @returns All targetDocuments that got an update in their relations.
 *   - Modified in place! -
 *
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
export declare function updateRelations(document: Document, targetDocuments: Array<Document>, inverseRelationsMap: Relation.InverseRelationsMap, setInverses?: boolean): Array<Document>;
