"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.notBothEqual = exports.notCompareInBoth = exports.compare = void 0;
const tsfun_1 = require("tsfun");
function compare(value1, value2) {
    if (value1 === undefined && value2 === undefined)
        return true;
    if ((value1 && !value2) || (!value1 && value2))
        return false;
    if (typeof (value1) !== typeof (value2))
        return false;
    return tsfun_1.equal(value1)(value2);
}
exports.compare = compare;
const notCompareInBoth = (l, r) => (key) => !compare((l)[key], (r)[key]);
exports.notCompareInBoth = notCompareInBoth;
const notBothEqual = (l, r) => (key) => !r[key] || !tsfun_1.same(l[key], r[key]);
exports.notBothEqual = notBothEqual;
//# sourceMappingURL=compare.js.map