"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isTopLevelItemOrChildThereof = exports.removeTrees = exports.filterTrees = exports.findInNamedForest = void 0;
const tsfun_1 = require("tsfun");
const named_1 = require("./named");
const forest_1 = require("./forest");
function findInNamedForest(match, t) {
    const result = forest_1.Tree.find(t, named_1.Named.onName(tsfun_1.is(match)));
    return result ? result.item : undefined;
}
exports.findInNamedForest = findInNamedForest;
function filterTrees(a, ...bs) {
    return _filterTrees(false, a, bs);
}
exports.filterTrees = filterTrees;
function removeTrees(a, ...bs) {
    return _filterTrees(true, a, bs);
}
exports.removeTrees = removeTrees;
function isTopLevelItemOrChildThereof(t, match, firstLevelItem, ...moreFirstLevelItems) {
    const filtered = filterTrees(t, firstLevelItem, ...moreFirstLevelItems);
    return findInNamedForest(match, filtered) !== undefined;
}
exports.isTopLevelItemOrChildThereof = isTopLevelItemOrChildThereof;
function _filterTrees(invert, a, bs) {
    const $ = (t, match, moreMatches) => t.filter(tsfun_1.on(forest_1.Tree.ITEMNAMEPATH, ((invert ? tsfun_1.isNot : tsfun_1.identity)(tsfun_1.includedIn([match].concat(moreMatches))))));
    return tsfun_1.isArray(a)
        ? $(a, tsfun_1.take(1, bs)[0], tsfun_1.drop(1, bs))
        : (t) => $(t, a, bs);
}
//# sourceMappingURL=named-forest.js.map