"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObserverUtil = void 0;
const rxjs_1 = require("rxjs");
/**
 * @author Daniel de Oliveira
 */
class ObserverUtil {
    static notify(observers, a) {
        this.removeClosedObservers(observers);
        for (let observer of observers) {
            try {
                observer.next(a);
            }
            catch (err) {
                console.log('Error in ObserverUtil.notify, calling next', err);
            }
        }
    }
    static register(observers) {
        return rxjs_1.Observable.create((observer) => {
            observers.push(observer);
        });
    }
    static removeClosedObservers(observers) {
        const observersToDelete = [];
        for (let i = 0; i < observers.length; i++) {
            if (observers[i].closed)
                observersToDelete.push(observers[i]);
        }
        for (let observerToDelete of observersToDelete) {
            let i = observers.indexOf(observerToDelete);
            observers.splice(i, 1);
        }
    }
}
exports.ObserverUtil = ObserverUtil;
//# sourceMappingURL=observer-util.js.map