"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortStructArray = void 0;
const tsfun_1 = require("tsfun");
function sortStructArray(order, path) {
    return items => {
        let source = tsfun_1.copy(items);
        let sorted = [];
        for (let name of order) {
            const [match, rest] = tsfun_1.separate(tsfun_1.on(path, tsfun_1.is(name)), source);
            sorted = sorted.concat(match);
            source = rest;
        }
        return sorted.concat(source);
    };
}
exports.sortStructArray = sortStructArray;
//# sourceMappingURL=sort-struct-array.js.map