/**
 * Implements utility methods for sorting
 *
 * @author Sebastian Cuy
 */
export declare module SortUtil {
    /**
     * Compares two string alphanumerically so that
     * numerical portions of strings are treated as numbers.
     *
     * @param a a string
     * @param b another string
     * @returns {number} -1 if a < b, 1 if a > b, 0 if a == b
     */
    function alnumCompare(a: string, b: string): number;
    /**
     * Compares two objects with standard comparison operators.
     *
     * @param a
     * @param b
     * @returns {number}
     */
    function compare(a: any, b: any): number;
    /**
     * Wraps a compare function in order to reverse sorting.
     *
     * @param compareFunction the compare function to wrap
     * @returns {(a:any, b:any)=>number} the new compare function
     */
    function compareDescending(compareFunction: Function): (a: any, b: any) => number;
}
