"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringUtils = void 0;
const parseInteger = parseInt;
/**
 * @author Daniel de Oliveira
 */
var StringUtils;
(function (StringUtils) {
    StringUtils.first = (s) => s.length > 0 ? s[0] : undefined;
    StringUtils.toLowerCase = (s) => s.toLowerCase();
    StringUtils.toUpperCase = (s) => s.toUpperCase();
    StringUtils.append = (insert) => (to) => to + insert;
    StringUtils.prepend = (insert) => (to) => insert + to;
    StringUtils.stringify = (o) => JSON.stringify(o);
    StringUtils.startsWith = (what) => (source) => source.startsWith(what);
    StringUtils.endsWith = (what) => (source) => source.endsWith(what);
    StringUtils.size = (s) => s.length;
    StringUtils.split = (pattern) => (content) => content.split(pattern);
    StringUtils.join = (pattern) => (content) => content.join(pattern);
    StringUtils.toArray = (s) => Array.from(s);
    function prepareStringForHTML(stringValue) {
        return stringValue
            .replace(/^\s+|\s+$/g, '')
            .replace(/</g, '&lt;')
            .replace(/>/g, '&gt;')
            .replace(/\n/g, '<br>');
    }
    StringUtils.prepareStringForHTML = prepareStringForHTML;
    ;
    // this function wraps parseInt to avoid cases where '0' was parsed to NaN, when passed directly to a higher order function
    // while doing this, we then also hand handle isNaN
    function parseInt(s) {
        const result = parseInteger(s);
        return isNaN(result)
            ? undefined
            : result;
    }
    StringUtils.parseInt = parseInt;
})(StringUtils = exports.StringUtils || (exports.StringUtils = {}));
//# sourceMappingURL=string-utils.js.map