"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.base64Encode = exports.intoObj = exports.toPair = exports.concatIf = exports.withDissoc = exports.typeOf = void 0;
const tsfun_1 = require("tsfun");
function typeOf(v) { return typeof v; }
exports.typeOf = typeOf;
/**
 * to be used with reduce
 */
function withDissoc(struct, path) {
    return tsfun_1.detach(path)(struct);
}
exports.withDissoc = withDissoc;
/**
 * to be used with reduce
 */
const concatIf = (f) => (acc, val) => f(val) ? acc.concat([val]) : acc;
exports.concatIf = concatIf;
function toPair(k1, k2) {
    return (o) => [o[k1], o[k2]];
}
exports.toPair = toPair;
const intoObj = (keyName, valName) => (object, item) => tsfun_1.isDefined(item[keyName])
    ? (object[(item[keyName]).toString()] = item[valName], object)
    : object;
exports.intoObj = intoObj;
const base64Encode = (input) => {
    return Buffer.from(input).toString('base64');
};
exports.base64Encode = base64Encode;
//# sourceMappingURL=utils.js.map