"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateUrl = exports.validateUnsignedFloat = exports.validateFloat = exports.validateUnsignedInt = exports.validateInt = void 0;
/**
 * @author Thomas Kleinke
 */
function validateInt(value) {
    const regex = new RegExp(/^-?\d+$/);
    return regex.test(value);
}
exports.validateInt = validateInt;
;
function validateUnsignedInt(value) {
    const regex = new RegExp(/^\d+$/);
    return regex.test(value);
}
exports.validateUnsignedInt = validateUnsignedInt;
;
function validateFloat(value) {
    // Commas as decimal separators are detected in a separate function and are therefore allowed here
    const regex = new RegExp(/^-?\d*[.,]?\d+$/);
    return regex.test(value);
}
exports.validateFloat = validateFloat;
;
function validateUnsignedFloat(value) {
    // Commas as decimal separators are detected in a separate function and are therefore allowed here
    const regex = new RegExp(/^\d*[.,]?\d+$/);
    return regex.test(value);
}
exports.validateUnsignedFloat = validateUnsignedFloat;
;
function validateUrl(url) {
    const urlRegex = /^https?:\/\/(localhost|(www\.)?[-a-zA-Z0-9@:%._\+~#=]{1,256}\.[a-zA-Z0-9()]{1,6})([-a-zA-Z0-9()@:%_\+.~#?&//=]*)$/;
    const result = url.match(urlRegex);
    return result !== null && result[0] === url;
}
exports.validateUrl = validateUrl;
//# sourceMappingURL=validation-util.js.map