"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const merge_groups_configurations_1 = require("../../../src/configuration/boot/merge-groups-configurations");
/**
 * @author Thomas Kleinke
 */
describe('mergeGroupsConfigurations', () => {
    it('merge groups configurations', () => {
        const parentGroups = [
            {
                name: 'group1',
                fields: ['fieldA', 'fieldB']
            },
            {
                name: 'group2',
                fields: ['fieldC']
            }
        ];
        const childGroups = [
            {
                name: 'group1',
                fields: ['fieldD']
            },
            {
                name: 'group3',
                fields: ['fieldE', 'fieldF']
            }
        ];
        expect(merge_groups_configurations_1.mergeGroupsConfigurations(parentGroups, childGroups)).toEqual([
            {
                name: 'group1',
                fields: ['fieldA', 'fieldB', 'fieldD']
            },
            {
                name: 'group2',
                fields: ['fieldC']
            },
            {
                name: 'group3',
                fields: ['fieldE', 'fieldF']
            }
        ]);
    });
});
//# sourceMappingURL=merge-groups-configurations.spec.js.map