"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const merge_valuelists_1 = require("../../../src/configuration/boot/merge-valuelists");
/**
 * @author Thomas Kleinke
 */
describe('mergeValuelists', () => {
    it('merge library with custom valuelists', () => {
        const libraryValuelists = {
            'library-list': {
                values: {
                    a: {}
                }
            }
        };
        const customValuelists = {
            'custom-list': {
                values: {
                    b: {}
                }
            },
            'library-list': {
                values: {
                    c: {}
                }
            }
        };
        const result = merge_valuelists_1.mergeValuelists(libraryValuelists, customValuelists);
        expect(Object.keys(result).length).toBe(2);
        expect(result['library-list']).toEqual({
            id: 'library-list',
            source: 'library',
            values: {
                a: {}
            },
        });
        expect(result['custom-list']).toEqual({
            id: 'custom-list',
            source: 'custom',
            values: {
                b: {}
            },
        });
    });
});
//# sourceMappingURL=merge-valuelists.spec.js.map