"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const result_sets_1 = require("../../src/index/result-sets");
/**
 * @author Daniel de Oliveira
 * @author Thomas Kleinke
 */
describe('ResultSets', () => {
    it('basic stuff', () => {
        const r = result_sets_1.ResultSets.make();
        result_sets_1.ResultSets.combine(r, ['1', '2']);
        result_sets_1.ResultSets.combine(r, ['2', '2']);
        result_sets_1.ResultSets.combine(r, ['2', '3']);
        expect(result_sets_1.ResultSets.collapse(r)).toEqual(['2']);
    });
    it('no intersection', () => {
        const r = result_sets_1.ResultSets.make();
        result_sets_1.ResultSets.combine(r, ['1', '2']);
        result_sets_1.ResultSets.combine(r, ['3', '4']);
        expect(result_sets_1.ResultSets.collapse(r)).toEqual([]);
    });
    it('no intersection with more results', () => {
        const r = result_sets_1.ResultSets.make();
        result_sets_1.ResultSets.combine(r, ['1', '2']);
        result_sets_1.ResultSets.combine(r, ['2', '3']);
        result_sets_1.ResultSets.combine(r, ['4', '5']);
        expect(result_sets_1.ResultSets.collapse(r)).toEqual([]);
    });
    it('subtract', () => {
        const r = result_sets_1.ResultSets.make();
        result_sets_1.ResultSets.combine(r, ['1', '2', '3', '4']);
        result_sets_1.ResultSets.combine(r, ['3', '4'], true);
        expect(result_sets_1.ResultSets.collapse(r)).toEqual(['1', '2']);
    });
    it('subtract and add multiple', () => {
        const r = result_sets_1.ResultSets.make();
        result_sets_1.ResultSets.combine(r, ['1', '2', '3', '4']);
        result_sets_1.ResultSets.combine(r, ['2', '3', '4', '5']);
        result_sets_1.ResultSets.combine(r, ['3'], true);
        result_sets_1.ResultSets.combine(r, ['4'], true);
        expect(result_sets_1.ResultSets.collapse(r)).toEqual(['2']);
    });
});
//# sourceMappingURL=result-sets.spec.js.map