"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const configuration_document_1 = require("../../src/model/configuration-document");
/**
 * @author Thomas Kleinke
 */
describe('ConfigurationDocument', () => {
    const category = {
        name: 'TestCategory',
        label: {},
        defaultLabel: {},
        categoryLabel: {},
        description: {},
        defaultDescription: {},
        children: [],
        parentCategory: undefined,
        isAbstract: false,
        groups: [],
        mustLieWithin: false,
        color: '#fff'
    };
    it('Check if category is customized', () => {
        expect(configuration_document_1.ConfigurationDocument.isCustomizedCategory({
            resource: {
                forms: {
                    TestCategory: {
                        fields: {},
                        hidden: []
                    }
                },
                languages: {}
            }
        }, category)).toBe(false);
        expect(configuration_document_1.ConfigurationDocument.isCustomizedCategory({
            resource: {
                forms: {
                    TestCategory: {
                        fields: {},
                        hidden: [],
                        color: '#fff'
                    }
                },
                languages: {}
            }
        }, category)).toBe(true);
        expect(configuration_document_1.ConfigurationDocument.isCustomizedCategory({
            resource: {
                forms: {
                    TestCategory: {
                        fields: {},
                        hidden: ['field1']
                    }
                },
                languages: {}
            }
        }, category)).toBe(true);
        expect(configuration_document_1.ConfigurationDocument.isCustomizedCategory({
            resource: {
                forms: {
                    TestCategory: {
                        fields: {
                            field1: {
                                inputType: 'text'
                            }
                        },
                        hidden: []
                    }
                },
                languages: {}
            }
        }, category)).toBe(true);
        expect(configuration_document_1.ConfigurationDocument.isCustomizedCategory({
            resource: {
                forms: {
                    TestCategory: {
                        fields: {},
                        hidden: [],
                        valuelists: {
                            field1: 'valuelist-field1'
                        }
                    }
                },
                languages: {}
            }
        }, category)).toBe(true);
        expect(configuration_document_1.ConfigurationDocument.isCustomizedCategory({
            resource: {
                forms: {
                    TestCategory: {
                        fields: {},
                        hidden: []
                    }
                },
                languages: {
                    de: {
                        categories: {
                            TestCategory: {
                                label: 'Test'
                            }
                        }
                    }
                }
            }
        }, category)).toBe(true);
    });
});
//# sourceMappingURL=configuration-document.spec.js.map