"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dating_1 = require("../../src/model/dating");
/**
 * @author Daniel de Oliveira
 */
describe('DatingUtil', () => {
    it('translate back to original state', () => {
        const dat = {
            type: 'single',
            begin: {
                inputYear: 2000,
                inputType: 'bce',
                year: undefined
            }
        };
        dating_1.Dating.addNormalizedValues(dat);
        expect(dat.begin.year).not.toBeUndefined();
        const reverted = dating_1.Dating.revert(dat);
        expect(reverted.begin.year).toBeUndefined();
    });
    it('range translate back to original state', () => {
        const dat = {
            type: 'range',
            begin: {
                inputYear: 2000,
                inputType: 'bce',
                year: undefined
            },
            end: {
                inputYear: 1000,
                inputType: 'bce',
                year: undefined
            }
        };
        dating_1.Dating.addNormalizedValues(dat);
        expect(dat.begin.year).not.toBeUndefined();
        expect(dat.end.year).not.toBeUndefined();
        const reverted = dating_1.Dating.revert(dat);
        expect(reverted.begin.year).toBeUndefined();
        expect(reverted.end.year).toBeUndefined();
    });
    it('remove empty field', () => {
        const dat = {
            type: 'single',
            begin: {
                inputYear: 2000,
                inputType: 'bce',
                year: -2001
            }
        };
        delete dat.begin.inputYear;
        delete dat.begin.inputType;
        const reverted = dating_1.Dating.revert(dat);
        expect(reverted.begin).toBeUndefined();
    });
});
//# sourceMappingURL=dating.spec.js.map