import { Document } from '../../src/model/document';
import { Datastore } from '../../src/datastore/datastore';
import { Lookup, Name } from '../../src/tools';
import { RelationsManager } from '../../src/model';
import { NiceDocs } from '../test-helpers';
export declare const makeDocumentsLookup: (ds: Array<Document>) => Lookup<Document>;
export interface CoreApp {
    datastore: Datastore;
    relationsManager: RelationsManager;
}
export declare function createCoreApp(user?: Name, db?: Name): Promise<CoreApp>;
export declare function createHelpers(app: CoreApp, user?: Name): {
    createDocuments: (documents: NiceDocs) => Promise<Lookup<Document>>;
    expectDocuments: (...resourceIds: string[]) => Promise<void>;
};
