import { Datastore } from '../src/datastore/datastore';
import { CategoryForm, FeatureDocument, FieldDocument } from '../src/model';
import { Document } from '../src/model/document';
import { Resource } from '../src/model/resource';
import { Tree } from '../src/tools/forest';
import { Lookup } from '../src/tools/utils';
export declare function createMockProjectConfiguration(): any;
export declare const fieldDoc: (sd: any, identifier?: any, category?: any, id?: any) => FieldDocument;
export declare const featureDoc: (sd: any, identifier?: any, category?: any, id?: any) => FeatureDocument;
export declare const doc: (sd: any, identifier?: any, category?: any, id?: any) => Document;
export declare const doc1: (id: any, identifier: any, category: any) => Document;
/**
 * Document templates.
 *
 * First entry is resourceId.
 * Second entry is category. Either 'Image' or something else.
 * Optional third entry is related documents.
 *   For Image documents these are
 *     the documents the image depicts.
 *   For Non Image documents these are
 *     the documents it contains (via lies within of the targets pointing to the current one as their parent).
 */
export declare type NiceDocs = Array<[Resource.Id, string, Array<string>] | [Resource.Id, string]>;
export declare function createDocuments(documents: NiceDocs, project?: string): Lookup<FieldDocument>;
export declare const createCategory: (name: string) => Tree<CategoryForm>;
export declare function makeExpectDocuments(datastore: Datastore): (...resourceIds: string[]) => Promise<void>;
