"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assoc_reduce_1 = require("../../src/tools/assoc-reduce");
describe('assocReduce', () => {
    it('array in, object out', () => {
        expect(assoc_reduce_1.assocReduce((a) => [a, a + a], {})(['c', 'd'])).toEqual({ c: 'cc', d: 'dd' });
    });
    it('object in, object out', () => {
        expect(assoc_reduce_1.assocReduce((a) => [a, a + a], {})({ m: 'c', n: 'd' })).toEqual({ c: 'cc', d: 'dd' });
    });
    it('array in, array out', () => {
        expect(assoc_reduce_1.assocReduce((a, i) => [i, a + a], ['l', 'm', 'n'])(['d', 'n'])).toEqual(['dd', 'nn', 'n']);
    });
    it('object in, array out', () => {
        expect(assoc_reduce_1.assocReduce((a, i) => [a, i + i], ['l', 'm', 'n'])({ m: 0, n: 1 })).toEqual(['mm', 'nn', 'n']);
    });
});
//# sourceMappingURL=assoc-reduce.spec.js.map