"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const i18n_1 = require("../../src/tools/i18n");
/**
 * @author Thomas Kleinke
 */
describe('I18N', () => {
    it('Check if an object is an i18n string', () => {
        expect(i18n_1.I18N.isI18NString({ de: 'test' })).toBe(true);
        expect(i18n_1.I18N.isI18NString({ de: 'test1', en: 'test2', unspecifiedLanguage: 'test3' })).toBe(true);
        expect(i18n_1.I18N.isI18NString({ field: 'test' })).toBe(false);
        expect(i18n_1.I18N.isI18NString({ de: 'test1', field: 'test2' })).toBe(false);
        expect(i18n_1.I18N.isI18NString({ de: { subfield: 'test1' } })).toBe(false);
        expect(i18n_1.I18N.isI18NString('test')).toBe(false);
    });
});
//# sourceMappingURL=i18n.spec.js.map