"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const named_1 = require("../../src/tools/named");
/**
 * @author Daniel de Oliveira
 */
describe('named', () => {
    it('namedArrayToNamedMap', () => {
        const namedAs = [{ name: '17', e: 3 }, { name: '19', e: 7 }];
        expect(named_1.Named.arrayToMap(namedAs)).toEqual({
            '17': { e: 3, name: '17' },
            '19': { e: 7, name: '19' }
        });
    });
    it('namedArrayToNamedMap', () => {
        const namedMap = { '17': { e: 3 }, '19': { e: 7 } };
        expect(named_1.Named.mapToNamedArray(namedMap)).toEqual([{ e: 3, name: '17' }, { e: 7, name: '19' }]);
    });
    it('sortByName', () => {
        const namedArray = [{ name: '18', e: 1 }, { name: '17' }, { name: '19' }];
        expect(named_1.Named.sortArray(['17', '19'])(namedArray)).toEqual([{ name: '17' }, { name: '19' }, { name: '18', e: 1 }]);
    });
});
//# sourceMappingURL=named.spec.js.map