"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const parse_date_1 = require("../../src/tools/parse-date");
/**
 * @author Thomas Kleinke
 */
describe('parseDate', () => {
    it('parse dates', () => {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j;
        expect((_a = parse_date_1.parseDate('04.10.2021')) === null || _a === void 0 ? void 0 : _a.toLocaleDateString('de')).toEqual('4.10.2021');
        expect((_b = parse_date_1.parseDate('4.10.2021')) === null || _b === void 0 ? void 0 : _b.toLocaleDateString('de')).toEqual('4.10.2021');
        expect((_c = parse_date_1.parseDate('10.09.2021')) === null || _c === void 0 ? void 0 : _c.toLocaleDateString('de')).toEqual('10.9.2021');
        expect((_d = parse_date_1.parseDate('10.9.2021')) === null || _d === void 0 ? void 0 : _d.toLocaleDateString('de')).toEqual('10.9.2021');
        expect((_e = parse_date_1.parseDate('29.02.2020')) === null || _e === void 0 ? void 0 : _e.toLocaleDateString('de')).toEqual('29.2.2020');
        expect((_f = parse_date_1.parseDate('10.2021')) === null || _f === void 0 ? void 0 : _f.toLocaleDateString('de')).toEqual('1.10.2021');
        expect((_g = parse_date_1.parseDate('09.2021')) === null || _g === void 0 ? void 0 : _g.toLocaleDateString('de')).toEqual('1.9.2021');
        expect((_h = parse_date_1.parseDate('9.2021')) === null || _h === void 0 ? void 0 : _h.toLocaleDateString('de')).toEqual('1.9.2021');
        expect((_j = parse_date_1.parseDate('2021')) === null || _j === void 0 ? void 0 : _j.toLocaleDateString('de')).toEqual('1.1.2021');
    });
    it('parse dates as latest possible date', () => {
        var _a, _b;
        expect((_a = parse_date_1.parseDate('10.2021', true)) === null || _a === void 0 ? void 0 : _a.toLocaleDateString('de')).toEqual('31.10.2021');
        expect((_b = parse_date_1.parseDate('2021', true)) === null || _b === void 0 ? void 0 : _b.toLocaleDateString('de')).toEqual('31.12.2021');
    });
    it('do not parse invalid dates', () => {
        expect(parse_date_1.parseDate('32.01.2021')).toBeUndefined();
        expect(parse_date_1.parseDate('29.02.2021')).toBeUndefined();
        expect(parse_date_1.parseDate('01.14.2021')).toBeUndefined();
    });
});
//# sourceMappingURL=parse-date.spec.js.map