"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../../src/tools/utils");
describe('intoObj', () => {
    it('intoObj - number key', () => expect(utils_1.intoObj('key', 'val')({}, { key: 2, val: 7 }))
        .toEqual({ 2: 7 }));
    it('intoObj - string key', () => expect(utils_1.intoObj('key', 'val')({}, { key: '2', val: 7 }))
        .toEqual({ 2: 7 }));
    it('intoObj - with reduce', () => expect([{ key: 2, val: 7 }, { key: 3, val: 8 }]
        .reduce(utils_1.intoObj('key', 'val'), {}))
        .toEqual({ 2: 7, 3: 8 }));
    it('intoObj - missing key', () => expect([{ key: 2, val: 7 }, { val: 8 }]
        .reduce(utils_1.intoObj('key', 'val'), {}))
        .toEqual({ 2: 7 }));
    it('intoObj - missing val', () => expect([{ key: 2, val: 7 }, { key: 8 }]
        .reduce(utils_1.intoObj('key', 'val'), {}))
        .toEqual({ 2: 7, 8: undefined }));
});
//# sourceMappingURL=into-obj.spec.js.map