"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const in_place_1 = require("../../../src/tools/in-place");
describe('setOn', () => {
    it('setOn', () => {
        const o = { a: 'b' };
        in_place_1.InPlace.setOn(o, 'a')('d');
        expect(o['a']).toBe('d');
    });
    it('setOn - create path - object', () => {
        const o = {};
        in_place_1.InPlace.setOn(o, 'a')('d');
        expect(o['a']).toBe('d');
    });
    it('setOn - create path - array and object', () => {
        const o = {};
        in_place_1.InPlace.setOn(o, ['a', 1])('d');
        expect(o['a'][1]).toBe('d');
    });
    it('setOn - nested', () => {
        const o = { a: { b: 'c' } };
        in_place_1.InPlace.setOn(o, ['a', 'b'])('d');
        expect(o['a']['b']).toBe('d');
    });
    it('setOn - nested - create path', () => {
        const o = {};
        in_place_1.InPlace.setOn(o, ['a', 'b'])('d');
        expect(o['a']['b']).toBe('d');
    });
});
//# sourceMappingURL=set-on.spec.js.map