"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const validation_util_1 = require("../../src/tools/validation-util");
/**
 * @author Thomas Kleinke
 */
describe('ValidationUril', () => {
    it('validate int', () => {
        expect(validation_util_1.validateInt('1234')).toBe(true);
        expect(validation_util_1.validateInt('-1234')).toBe(true);
        expect(validation_util_1.validateInt('1.234')).toBe(false);
        expect(validation_util_1.validateInt('.234')).toBe(false);
        expect(validation_util_1.validateInt('-1.234')).toBe(false);
        expect(validation_util_1.validateInt('ABC1.234')).toBe(false);
        expect(validation_util_1.validateInt('1.234ABC')).toBe(false);
        expect(validation_util_1.validateInt('ABC')).toBe(false);
        expect(validation_util_1.validateInt('123.')).toBe(false);
        expect(validation_util_1.validateInt('')).toBe(false);
    });
    it('validate unsigned int', () => {
        expect(validation_util_1.validateUnsignedInt('1234')).toBe(true);
        expect(validation_util_1.validateUnsignedInt('-1234')).toBe(false);
        expect(validation_util_1.validateUnsignedInt('1.234')).toBe(false);
        expect(validation_util_1.validateUnsignedInt('.234')).toBe(false);
        expect(validation_util_1.validateUnsignedInt('-1.234')).toBe(false);
        expect(validation_util_1.validateUnsignedInt('ABC1.234')).toBe(false);
        expect(validation_util_1.validateUnsignedInt('1.234ABC')).toBe(false);
        expect(validation_util_1.validateUnsignedInt('ABC')).toBe(false);
        expect(validation_util_1.validateUnsignedInt('123.')).toBe(false);
        expect(validation_util_1.validateUnsignedInt('')).toBe(false);
    });
    it('validate float', () => {
        expect(validation_util_1.validateFloat('1234')).toBe(true);
        expect(validation_util_1.validateFloat('-1234')).toBe(true);
        expect(validation_util_1.validateFloat('1.234')).toBe(true);
        expect(validation_util_1.validateFloat('.234')).toBe(true);
        expect(validation_util_1.validateFloat('-1.234')).toBe(true);
        expect(validation_util_1.validateFloat('ABC1.234')).toBe(false);
        expect(validation_util_1.validateFloat('1.234ABC')).toBe(false);
        expect(validation_util_1.validateFloat('ABC')).toBe(false);
        expect(validation_util_1.validateFloat('123.')).toBe(false);
        expect(validation_util_1.validateFloat('')).toBe(false);
    });
    it('validate unsigned float', () => {
        expect(validation_util_1.validateUnsignedFloat('1234')).toBe(true);
        expect(validation_util_1.validateUnsignedFloat('-1234')).toBe(false);
        expect(validation_util_1.validateUnsignedFloat('1.234')).toBe(true);
        expect(validation_util_1.validateUnsignedFloat('.234')).toBe(true);
        expect(validation_util_1.validateUnsignedFloat('-1.234')).toBe(false);
        expect(validation_util_1.validateUnsignedFloat('ABC1.234')).toBe(false);
        expect(validation_util_1.validateUnsignedFloat('1.234ABC')).toBe(false);
        expect(validation_util_1.validateUnsignedFloat('ABC')).toBe(false);
        expect(validation_util_1.validateUnsignedFloat('123.')).toBe(false);
        expect(validation_util_1.validateUnsignedFloat('')).toBe(false);
    });
    it('validate URL', () => {
        expect(validation_util_1.validateUrl('http://www.example.de')).toBe(true);
        expect(validation_util_1.validateUrl('https://www.example.de')).toBe(true);
        expect(validation_util_1.validateUrl('http://localhost:4000')).toBe(true);
        expect(validation_util_1.validateUrl('http://example.de')).toBe(true);
        expect(validation_util_1.validateUrl('http://abc')).toBe(false);
        expect(validation_util_1.validateUrl('www.example.de')).toBe(false);
        expect(validation_util_1.validateUrl('abc')).toBe(false);
    });
});
//# sourceMappingURL=validation-util.spec.js.map