"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const valuelist_util_1 = require("../../src/tools/valuelist-util");
/**
 * @author Thomas Kleinke
 */
describe('ValuelistUtil', () => {
    it('get values not included in valuelist', () => {
        const valuelist = {
            values: { value1: {}, value2: {} }
        };
        expect(valuelist_util_1.ValuelistUtil.getValuesNotIncludedInValuelist('value1', valuelist)).toBeUndefined();
        expect(valuelist_util_1.ValuelistUtil.getValuesNotIncludedInValuelist(['value1', 'value2'], valuelist)).toBeUndefined();
        expect(valuelist_util_1.ValuelistUtil.getValuesNotIncludedInValuelist({ value: 'value1' }, valuelist)).toBeUndefined();
        expect(valuelist_util_1.ValuelistUtil.getValuesNotIncludedInValuelist({ value: 'value1', endValue: 'value2' }, valuelist))
            .toBeUndefined();
        expect(valuelist_util_1.ValuelistUtil.getValuesNotIncludedInValuelist([{ measurementPosition: 'value1' }], valuelist))
            .toBeUndefined();
        expect(valuelist_util_1.ValuelistUtil.getValuesNotIncludedInValuelist([{ measurementPosition: '' }], valuelist))
            .toBeUndefined();
        expect(valuelist_util_1.ValuelistUtil.getValuesNotIncludedInValuelist('value3', valuelist)).toEqual(['value3']);
        expect(valuelist_util_1.ValuelistUtil.getValuesNotIncludedInValuelist(['value1', 'value2', 'value3'], valuelist))
            .toEqual(['value3']);
        expect(valuelist_util_1.ValuelistUtil.getValuesNotIncludedInValuelist({ value: 'value3' }, valuelist)).toEqual(['value3']);
        expect(valuelist_util_1.ValuelistUtil.getValuesNotIncludedInValuelist({ value: 'value1', endValue: 'value3' }, valuelist))
            .toEqual(['value3']);
        expect(valuelist_util_1.ValuelistUtil.getValuesNotIncludedInValuelist([{ measurementPosition: 'value3' }], valuelist))
            .toEqual(['value3']);
    });
});
//# sourceMappingURL=valuelist-util.spec.js.map