import { LanguageConfiguration } from '../model';
export declare class ConfigReader {
    exists: (path: string) => boolean;
    read: (path: string) => any;
    getCustomLanguageConfigurations: (projectPrefix: string) => {
        [language: string]: LanguageConfiguration;
    };
    getValuelistsLanguages: () => {
        default: {
            de: {
                "coordinate-reference-system-default-1": {
                    values: {
                        "Eigenes Koordinatenbezugssystem": string;
                        "EPSG4326 (WGS 84)": string;
                        "EPSG3857 (WGS 84 Web Mercator)": string;
                    };
                };
                "position-values-expansion-default": {
                    values: {
                        "Maximale Ausdehnung": string;
                        "Minimale Ausdehnung": string;
                    };
                };
                "position-values-edge-default": {
                    values: {
                        Oberkante: string;
                        Unterkante: string;
                    };
                };
                "orientation-default-1": {
                    values: {
                        "N-S": string;
                        "NNO - SSW": string;
                        "NNW-SSO": string;
                        "NO-SW": string;
                        "NW-SO": string;
                        "W-O": string;
                        "WNW-OSO": string;
                        "WSW-ONO": string;
                    };
                };
                "provenance-default-1": {
                    values: {
                        Anatolien: string;
                        "Antiochia (Antakya)": string;
                        Athen: string;
                        Ägypten: string;
                        Attisch: string;
                        Britannien: string;
                        Chios: string;
                        Deutschland: string;
                        Ephesos: string;
                        Etruskisch: string;
                        Gallien: string;
                        Ionien: string;
                        Irland: string;
                        Italien: string;
                        Kampanisch: string;
                        Karthagisch: string;
                        Kleinasien: string;
                        Knidos: string;
                        Korinth: string;
                        Kos: string;
                        Lesbos: string;
                        Levante: string;
                        Lokal: string;
                        "Lokal/Regional": string;
                        Milet: string;
                        Mäandertal: string;
                        Nordafrika: string;
                        Nordafrikanisch: string;
                        Palästina: string;
                        Pannonien: string;
                        Peloponnes: string;
                        Regional: string;
                        Rhodos: string;
                        Samos: string;
                        Sizilien: string;
                        Skandinavien: string;
                        Slawisch: string;
                        Spanien: string;
                        Syrien: string;
                        Südtunesisch: string;
                        Südägäis: string;
                    };
                };
                "periods-default-1": {
                    values: {
                        Archaisch: string;
                        Bronzezeitlich: string;
                        Byzantinisch: string;
                        Eisenzeitlich: string;
                        Frühbronzezeitlich: string;
                        Frühbyzantinisch: string;
                        Frühhellenistisch: string;
                        Frühkaiserzeitlich: string;
                        Frühklassisch: string;
                        Frühmittelalter: string;
                        Geometrisch: string;
                        Hellenistisch: string;
                        Hochmittelalter: string;
                        Kaiserzeitlich: string;
                        Klassisch: string;
                        Mittelalter: string;
                        Neolithisch: string;
                        Neuzeitlich: string;
                        Osmanisch: string;
                        Pleistozän: string;
                        Rezent: string;
                        Römisch: string;
                        Spätantik: string;
                        Spätbronzezeitlich: string;
                        Spätbyzantinisch: string;
                        Späthellenistisch: string;
                        Spätkaiserzeitlich: string;
                        Spätklassisch: string;
                        Spätmittelalter: string;
                    };
                };
                "colors-default-1": {
                    values: {
                        beige: string;
                        "blass-": string;
                        blau: string;
                        braun: string;
                        cremefarben: string;
                        "dunkel-": string;
                        gelb: string;
                        grau: string;
                        grün: string;
                        "hell-": string;
                        "leuchtend-": string;
                        ocker: string;
                        orange: string;
                        rosa: string;
                        rot: string;
                        schwarz: string;
                        türkis: string;
                        violett: string;
                        weiß: string;
                    };
                    description: string;
                };
                "colors-default-2": {
                    values: {
                        beige: string;
                        dunkelbraun: string;
                        dunkelrot: string;
                        gelb: string;
                        hellbraun: string;
                        hellgrau: string;
                        mittelbraun: string;
                        ocker: string;
                        orange: string;
                        orangerot: string;
                        rosa: string;
                        rot: string;
                        rotbraun: string;
                        schwarz: string;
                        weiß: string;
                    };
                    description: string;
                };
                "glass-decorationTechnique-default": {
                    values: {
                        Bemalung: string;
                        Diatretdekor: string;
                        Emaille: string;
                        Facettschliffdekor: string;
                        "Fadendekor (aufgelegt)": string;
                        "Fadendekor (verschmolzen)": string;
                        Mosaikdekor: string;
                        Reliefdekor: string;
                        Reticelladekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        Schlangenfadendekor: string;
                        Schliffrillendekor: string;
                        Stempeldekor: string;
                        Tupfendekor: string;
                        Warzendekor: string;
                        Zwischengoldglas: string;
                        "fig\u00FCrlicher Schliffdekor": string;
                    };
                };
                "glass-formDescription-default": {
                    values: {
                        ausladend: string;
                        bauchig: string;
                        breitoval: string;
                        doppelkonisch: string;
                        halbkugelig: string;
                        hochoval: string;
                        konisch: string;
                        kugelförmig: string;
                        quadratisch: string;
                        rechteckig: string;
                        rund: string;
                        schlank: string;
                        schmal: string;
                        spindelförmig: string;
                        tonnenförmig: string;
                        zylinderförmig: string;
                    };
                };
                "glass-manufacturingMethod-default": {
                    values: {
                        "Formgeblasen (mit Reliefdekor)": string;
                        Formgeschmolzen: string;
                        Freigeblasen: string;
                        "In Vorformen geblasen": string;
                        "In offene Halbformen geblasen": string;
                        Kerngeformt: string;
                        Sandkerngeschmolzen: string;
                        "gedreht (auf Drehscheibe)": string;
                    };
                };
                "glass-objectType-default": {
                    values: {
                        Anhänger: string;
                        Armreif: string;
                        Einlage: string;
                        Fensterglas: string;
                        Gefäß: string;
                        Gemme: string;
                        Gerät: string;
                        Glasschlacke: string;
                        Lampe: string;
                        Löffel: string;
                        Perle: string;
                        Produktionsfragment: string;
                        Ring: string;
                        Rohglas: string;
                        Rührstab: string;
                        Scheiben: string;
                        Schmuck: string;
                        Spielstein: string;
                        Tessera: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Weinheber: string;
                    };
                };
                "glass-transparency-default": {
                    values: {
                        durchscheinend: string;
                        durchsichtig: string;
                        opak: string;
                        versintert: string;
                    };
                };
                "glass-vesselForm-default": {
                    values: {
                        Aschenurne: string;
                        Becher: string;
                        Deckel: string;
                        Deckelgefäß: string;
                        Flasche: string;
                        Krug: string;
                        Napf: string;
                        Schale: string;
                        Schüssel: string;
                        Tasse: string;
                        Teller: string;
                        Topf: string;
                        Unbestimmt: string;
                        Vorratsgefäß: string;
                    };
                };
                "glass-vesselFormSpecific-default": {
                    values: {
                        Alabastron: string;
                        Amphoriskos: string;
                        Aryballos: string;
                        Balsamarium: string;
                        Dattelflasche: string;
                        Faltenbecher: string;
                        Hydria: string;
                        Kopfflasche: string;
                        Kotyle: string;
                        Kragenschale: string;
                        Krater: string;
                        Kylix: string;
                        Lekythos: string;
                        Luterion: string;
                        Oinochoe: string;
                        Pelike: string;
                        Rippenschale: string;
                        Schliffrillenschale: string;
                        Schöpfer: string;
                        Skyphos: string;
                        Spitzamphora: string;
                        Sprenkler: string;
                        Stamnos: string;
                        Tierflasche: string;
                        Unguentarium: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zarte Rippenschale": string;
                        "zylindrische Flasche": string;
                    };
                };
                "Mollusk-classification-default": {
                    values: {
                        Schuppe: string;
                        Coxa: string;
                        "Muschelschale (Bivalvia)": string;
                        "Schneckenhaus (Gastropoda)": string;
                    };
                };
                "Brick-brickForm-default": {
                    values: {
                        Bodenziegel: string;
                        Dachziegel: string;
                        Flachziegel: string;
                        Formziegel: string;
                        Hypokaustziegel: string;
                        Imbrex: string;
                        Kalyptere: string;
                        Later: string;
                        Leistenziegel: string;
                        "Lochziegel/Hohlziegel": string;
                        Stroter: string;
                        Tegula: string;
                        Tonrohr: string;
                        Wandziegel: string;
                    };
                };
                "Brick-brickUsage-default": {
                    values: {
                        Dach: string;
                        Decke: string;
                        Fenster: string;
                        Fussboden: string;
                        Gewölbedecke: string;
                        Klosterformat: string;
                        Türrahmen: string;
                        Türsturz: string;
                        Wandverkleidung: string;
                    };
                };
                "Brick-decorationTechnique-default": {
                    values: {
                        Bemalung: string;
                        Fingerabdruck: string;
                        Kammritzung: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        "Sonstige Abdr\u00FCcke": string;
                        Stempel: string;
                        Stempeldekor: string;
                        Tupfendekor: string;
                        Wischzeichen: string;
                        "\u00DCberzug/Glasur": string;
                    };
                };
                "Brick-manufacturing-default": {
                    values: {
                        Dickwandig: string;
                        Dünnwandig: string;
                        Gebrannt: string;
                        "Hart gebrannt": string;
                        Luftgetrocknet: string;
                        "Oberfl\u00E4che glatt": string;
                        "Oberfl\u00E4che rau": string;
                        "Sekund\u00E4r gebrannt": string;
                        "Weich gebrannt": string;
                    };
                };
                "Brick-manufacturingMethod-default": {
                    values: {
                        "gedreht (auf Drehscheibe)": string;
                        gegossen: string;
                        gepresst: string;
                        handgeformt: string;
                    };
                };
                "Brick-specificType-default": {
                    values: {
                        Abschläge: string;
                        Berg: string;
                        Bodenziegel: string;
                        Bruchstein: string;
                        Dachziegel: string;
                        Geröll: string;
                        Hohlziegel: string;
                        Hypokaustziegel: string;
                        Kanalziegel: string;
                        Platten: string;
                        Quader: string;
                        Tonrohr: string;
                        Variierend: string;
                        Wandziegel: string;
                        Ziegelbruch: string;
                    };
                };
                "Brick-temper-default": {
                    values: {
                        Glimmer: string;
                        Kalk: string;
                        "Mineralische Partikel": string;
                        Muschelgrus: string;
                        "Organische Partikel": string;
                        Quarz: string;
                        Schamotte: string;
                        Sonstige: string;
                        Steinchen: string;
                        "Stroh/Spreu": string;
                        Vacua: string;
                        "Vulkanische Partikel": string;
                    };
                };
                "Burial-amountIndividuals-default": {
                    values: {
                        Doppelbestattung: string;
                        Dreifachbestattung: string;
                        Einzelbestattung: string;
                        Grabdeponat: string;
                        Kollektivbestattung: string;
                        Massengrab: string;
                        Mehrfachbestattung: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Wiedergängerbestattung: string;
                    };
                };
                "Burial-burialCharacteristic-default": {
                    values: {
                        "Prim\u00E4re Bestattung": string;
                        "Sekund\u00E4re Bestattung": string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Burial-burialDocumentation-default": {
                    values: {
                        Endoskopie: string;
                        Foto: string;
                        Histologie: string;
                        LM: string;
                        REM: string;
                        Röntgen: string;
                    };
                };
                "Burial-graveFeature-default": {
                    values: {
                        Brandbestattung: string;
                        Kenotaph: string;
                        Körperbestattung: string;
                        Ossuar: string;
                        "Teil-K\u00F6rperbestattung": string;
                    };
                };
                "Burial-positionArms-default": {
                    values: {
                        "Unsicher bzw. unbestimmbar": string;
                        "am Kinn": string;
                        "an den Seiten": string;
                        "auf dem Bauch": string;
                        "auf dem Becken": string;
                        "auf der Brust": string;
                        ungleichmäßig: string;
                    };
                };
                "Burial-positionLegs-default": {
                    values: {
                        "Beine angewinkelt": string;
                        Beinhocker: string;
                        Extremhocker: string;
                        Hocker: string;
                        "Unsicher bzw. unbestimmbar": string;
                        gestreckt: string;
                    };
                };
                "Burial-positioningIndividuals-default": {
                    values: {
                        Bauchlage: string;
                        Rückenlage: string;
                        "Seitenlage, links": string;
                        "Seitenlage, rechts": string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Building-architecturalOrders-default": {
                    values: {
                        "Dorische Ordnung": string;
                        "Ionische Ordnung": string;
                        "Komposite Ordnung": string;
                        "Korinthische Ordnung": string;
                        "Toskanische Ordnung": string;
                    };
                };
                "Building-buildingCategory-default": {
                    values: {
                        Altar: string;
                        Amphitheater: string;
                        Basilika: string;
                        Bogen: string;
                        Brücke: string;
                        Circus: string;
                        Grabbau: string;
                        Gymnasium: string;
                        Mauerkurtine: string;
                        Nymphäum: string;
                        Odeion: string;
                        Strasse: string;
                        Stützmauer: string;
                        Säulenhalle: string;
                        Tempel: string;
                        Theater: string;
                        Therme: string;
                        Toranlage: string;
                        Turm: string;
                        Wohnbau: string;
                    };
                };
                "Building-buildingCategorySpecific-default": {
                    values: {
                        Aediculabau: string;
                        Atriumhaus: string;
                        Bogen: string;
                        Dipteros: string;
                        Ehrenbogen: string;
                        Ehrensäule: string;
                        Hoftempel: string;
                        Palast: string;
                        Palästra: string;
                        Peripteros: string;
                        "Peripteros sine portico": string;
                        Peristylhaus: string;
                        "Pseudo-Dipteros": string;
                        "Pseudo-Peripteros": string;
                        Rednertribüne: string;
                        Rundbau: string;
                        Schatzhaus: string;
                        Terassenheiligtum: string;
                        Tholos: string;
                        Torbogen: string;
                        Triumphbogen: string;
                        Tumulus: string;
                        Villa: string;
                        dreischiffig: string;
                        fünfschiffig: string;
                        "griechisches Theater": string;
                        "r\u00F6misches Theater": string;
                        vierschiffig: string;
                        zweischiffig: string;
                    };
                };
                "Building-buildingTechnique-default": {
                    values: {
                        Blockverbandmauerwerk: string;
                        Bruchsteinmauerwerk: string;
                        Feldsteinmauerwerk: string;
                        Kyklopenmauerwerk: string;
                        Lehmziegelmauerwerk: string;
                        "Mischform Polygonal-/Quadermauerwerk": string;
                        "Opus Caementitium": string;
                        Polygonalmauerwerk: string;
                        Quadermauerwerk: string;
                        Spolienmauerwerk: string;
                        "Unregelm\u00E4\u00DFiges Polygonalmauerwerk": string;
                        "W\u00FCrfel-/Handquadermauerwerk": string;
                        Ziegelmauerwerk: string;
                        "irregul\u00E4res Mauerwerk": string;
                        "regelm\u00E4\u00DFiges Polygonalmauerwerk": string;
                        "regelm\u00E4\u00DFiges Quadermauerwerk": string;
                        "regelm\u00E4\u00DFiges Trapezoidalmauerwerk": string;
                        "unregelm\u00E4\u00DFiges Quadermauerwerk": string;
                        "unregelm\u00E4\u00DFiges Trapezoidalmauerwerk": string;
                        "unspezifisches Mauerwerk": string;
                    };
                };
                "Building-buildingType-default": {
                    values: {
                        Befestigung: string;
                        Haus: string;
                        Lager: string;
                        Werkstatt: string;
                    };
                };
                "Building-condition-default": {
                    values: {
                        "sehr gut": string;
                        gut: string;
                        mittel: string;
                        schlecht: string;
                        "sehr schlecht": string;
                    };
                };
                "Building-conditionAmount-default": {
                    values: {
                        Fragmentarisch: string;
                        Vollständig: string;
                        "Vollst\u00E4ndig zerst\u00F6rt": string;
                    };
                };
                "Building-context-default": {
                    values: {
                        Akropolis: string;
                        Forum: string;
                        Handwerksviertel: string;
                        Heiligtum: string;
                        Nekropole: string;
                        Wohnviertel: string;
                    };
                };
                "Building-material-default": {
                    values: {
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Ziegel: string;
                    };
                };
                "Building-material-default-2": {
                    values: {
                        Beton: string;
                        Blei: string;
                        Eisen: string;
                        Erde: string;
                        Fliesen: string;
                        Gips: string;
                        Glas: string;
                        Holz: string;
                        Holzwerkstoff: string;
                        Kunststoff: string;
                        Lehm: string;
                        Metall: string;
                        Mörtel: string;
                        Naturstein: string;
                        Putz: string;
                        Stahl: string;
                        Stahlbeton: string;
                        Stuck: string;
                        "Unbekannt/Unerkannt": string;
                        Ziegel: string;
                    };
                };
                "Building-material-default-3": {
                    values: {
                        Beton: string;
                        Blei: string;
                        Eisen: string;
                        Erde: string;
                        Fliesen: string;
                        Gips: string;
                        Glas: string;
                        Holz: string;
                        Holzwerkstoff: string;
                        Kunststoff: string;
                        Lehm: string;
                        Metall: string;
                        Mörtel: string;
                        Naturstein: string;
                        Putz: string;
                        Stahl: string;
                        Stahlbeton: string;
                        Stuck: string;
                        "Unbekannt/Unerkannt": string;
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Ziegel: string;
                    };
                };
                "Wood-color-default": {
                    values: {
                        braun: string;
                        haselnuss: string;
                        schwarz: string;
                    };
                };
                "Wood-objectType-default": {
                    values: {
                        Architektur: string;
                        Altar: string;
                        Anhänger: string;
                        Gefäß: string;
                        Gerät: string;
                        Grabbehältnis: string;
                        Grabmarkierung: string;
                        Grabplatte: string;
                        Gussform: string;
                        "Kasten/Kiste": string;
                        Löffel: string;
                        Mobiliar: string;
                        "Plastik/Skulptur": string;
                        Produktionsrest: string;
                        Ring: string;
                        Sarkophag: string;
                        Schmuck: string;
                        Spielzeug: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Wood-typeOfWood-default": {
                    values: {
                        Ahorn: string;
                        Apfel: string;
                        Birke: string;
                        Birne: string;
                        Buche: string;
                        Eibe: string;
                        Eiche: string;
                        Erle: string;
                        Esche: string;
                        Fichte: string;
                        Kastanie: string;
                        Kiefer: string;
                        Kirsche: string;
                        Lerche: string;
                        Linde: string;
                        Nußbaum: string;
                        Pappel: string;
                        Tanne: string;
                        Ulme: string;
                        Weide: string;
                        Zeder: string;
                    };
                };
                "Wood-manufacturingMethod-default": {
                    values: {
                        Gebohrt: string;
                        Gedämpft: string;
                        Gedreht: string;
                        Gefräst: string;
                        Gehobelt: string;
                        Gesägt: string;
                        Geschabt: string;
                        Geschliffen: string;
                        Geschnitzt: string;
                        Gespalten: string;
                    };
                };
                "Wood-surfaceCondition-default": {
                    values: {
                        Brandspuren: string;
                        "Keine Brandspuren": string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Wood-decorationTechnique-default": {
                    values: {
                        Applik: string;
                        "Bemalung (Enkaustik)": string;
                        "Bemalung (Eitemperatechnik)": string;
                        Intarsie: string;
                        Relief: string;
                        Ritzung: string;
                        Schnitzung: string;
                        Sgraffito: string;
                        "Vergoldung/metallischer \u00DCberzug": string;
                    };
                };
                "Wood-paintCondition-default": {
                    values: {
                        "gut erhalten": string;
                        abblätternd: string;
                        verrieben: string;
                        verwaschen: string;
                        "stark abgerieben": string;
                        "nicht erhalten": string;
                    };
                };
                "Architecture-blockProcessing-default": {
                    values: {
                        Bruchsteine: string;
                        Hausteine: string;
                        Lesesteine: string;
                        Werksteine: string;
                    };
                };
                "Architecture-blockTreatment-default": {
                    values: {
                        bossiert: string;
                        bruchbau: string;
                        "fein gegl\u00E4ttet": string;
                        gespitzt: string;
                        gestockt: string;
                        "grob behauen": string;
                        "grob gegl\u00E4ttet": string;
                        scharriert: string;
                        unbehauen: string;
                    };
                };
                "Architecture-brickwork-default": {
                    values: {
                        Binderverband: string;
                        Blockverband: string;
                        "Fl\u00E4mischer Verband": string;
                        "Holl\u00E4ndischer Verband": string;
                        Kreuzverband: string;
                        Läuferverband: string;
                        "M\u00E4rkischer Verband": string;
                    };
                };
                "Architecture-construction-default": {
                    values: {
                        "Fundament: Gesch\u00FCttet": string;
                        "Fundament: gesetzt": string;
                        "Mauerkern: Lesesteine": string;
                        "einschalig vor Feld/Hang": string;
                        "ohne Schalen/keine durchgehenden Lagen": string;
                        "ohne Schalen/nur durchgehende Lagen": string;
                        zweischalig: string;
                        "zweischalig mit Binderlagen": string;
                    };
                };
                "Architecture-mark-default": {
                    values: {
                        A: string;
                        AC: string;
                    };
                };
                "Architecture-mortarBinder-default": {
                    values: {
                        dominant: string;
                        gering: string;
                        hoch: string;
                        mittel: string;
                    };
                };
                "Architecture-mortarConsistency-default": {
                    values: {
                        brüchig: string;
                        "erdig/lehmig": string;
                        fest: string;
                        hart: string;
                        locker: string;
                        mittelfein: string;
                        pulverig: string;
                        sandig: string;
                    };
                };
                "Architecture-wallClassification-default": {
                    values: {
                        Aufgehendes: string;
                        Fensterzusetzung: string;
                        Flickung: string;
                        Fundament: string;
                        Gewölbe: string;
                        Mauer: string;
                        Mauerbettung: string;
                        Mauerdurchbruch: string;
                        Mosaik: string;
                        "Opus sectile": string;
                        Türzusetzung: string;
                        Wandgestaltung: string;
                    };
                };
                "Architecture-wallType-default": {
                    values: {
                        Außenmauer: string;
                        Befestigugsmauer: string;
                        Blockmauerwerk: string;
                        Bruchsteinmauer: string;
                        Fachwerk: string;
                        Feldsteinmauer: string;
                        Grenzmauer: string;
                        Ziegelmauer: string;
                    };
                };
                "Place-findspotClassification-default": {
                    values: {
                        Einzelmauer: string;
                        Felsabarbeitung: string;
                        Funderfassung: string;
                        Fundsammlung: string;
                        Grab: string;
                        Nekropole: string;
                        "Spolie in rezenter Mauer": string;
                        Steinbruch: string;
                        "Stra\u00DFe/Platz": string;
                        "Wein- bzw. \u00D6lpresse": string;
                        "einzelnes Steindenkmal": string;
                        "l\u00E4ndliches Geb\u00E4ude": string;
                        "urbanes Geb\u00E4ude": string;
                    };
                };
                "Place-siteClassification-default": {
                    values: {
                        Bestattungsplatz: string;
                        Siedlung: string;
                    };
                };
                "Layer-consistency-default": {
                    values: {
                        "Durch Brand versiegelt": string;
                        "Oberfl\u00E4che abgewaschen": string;
                        "Oberfl\u00E4che verh\u00E4rtet": string;
                        fest: string;
                        flüssig: string;
                        "gut formbar": string;
                        hart: string;
                        lehmig: string;
                        locker: string;
                        "mittel bindend": string;
                        "mittel formbar": string;
                        "nicht bindend": string;
                        "nicht formbar": string;
                        porös: string;
                        sandig: string;
                        "schwach bindend": string;
                        "schwach formbar": string;
                        "sehr gut formbar": string;
                        "sehr hart": string;
                        "sehr schwach formbar": string;
                        "sehr weich": string;
                        "stark bindend": string;
                        steif: string;
                        weich: string;
                    };
                };
                "Layer-distinguishingCriteria-default": {
                    values: {
                        Farbe: string;
                        Form: string;
                        Grenzen: string;
                        Konsistenz: string;
                        Komposition: string;
                    };
                };
                "Layer-layerClassification-default": {
                    values: {
                        Brandschicht: string;
                        Kulturschicht: string;
                        Laufhorizont: string;
                        Planierschicht: string;
                    };
                };
                "Layer-soilType-default": {
                    values: {
                        Feinsand: string;
                        Feinstsand: string;
                        Grobsand: string;
                        Lehm: string;
                        "Lehmiger Sand": string;
                        "Lehmiger Schluff": string;
                        "Lehmiger Ton": string;
                        Mergel: string;
                        "Mittlerer Sand": string;
                        Sand: string;
                        "Sandiger Lehm": string;
                        "Sandiger Schluff": string;
                        "Sandiger Ton": string;
                        Schluff: string;
                        "Schluffiger Lehm": string;
                        "Schluffiger Sand": string;
                        "Schluffiger Ton": string;
                        Ton: string;
                        "Toniger Lehm": string;
                        "Toniger Sand": string;
                        "Toniger Schluff": string;
                    };
                };
                "Feature-featureBorders-default": {
                    values: {
                        deutlich: string;
                        diffus: string;
                        eben: string;
                        erahnbar: string;
                        erkennbar: string;
                        "etwas verwaschen": string;
                        fließend: string;
                        geneigt: string;
                        gezackt: string;
                        regelmäßig: string;
                        scharf: string;
                        "sehr deutlich": string;
                        undeutlich: string;
                        uneben: string;
                        unklar: string;
                        unregelmäßig: string;
                        verwaschen: string;
                        wellig: string;
                    };
                };
                "Feature-featureForm-default": {
                    values: {
                        Befundrest: string;
                        "U-f\u00F6rmig": string;
                        "V-f\u00F6rmig": string;
                        annähernd: string;
                        formlos: string;
                        halbmondförmig: string;
                        kesselförmig: string;
                        langgezogen: string;
                        oval: string;
                        rechteckig: string;
                        regelmäßig: string;
                        rund: string;
                        sanduhrförmig: string;
                        trapezförmig: string;
                        trichterförmig: string;
                        unregelmäßig: string;
                        wannenförmig: string;
                    };
                };
                "Floor-floorClassification-default": {
                    values: {
                        Bastmatten: string;
                        Korkboden: string;
                        Mosaik: string;
                        "Opus sectile": string;
                        "Opus signinum": string;
                        Pflaster: string;
                        Stampflehm: string;
                        Terrazzo: string;
                        Webmatten: string;
                        Ziegel: string;
                    };
                };
                "Inscription-objectType-default": {
                    values: {
                        "Allt\u00E4glicher Gebrauch": string;
                        Bauinschrift: string;
                        Ehreninschrift: string;
                        "Grabinschrift (Inschrift im Grabkontext)": string;
                        "Private Ausstattung": string;
                        "Sakrale Ausstattung": string;
                        "Unsicher bzw. unbestimmbar": string;
                        Urkunde: string;
                        Wasserversorgung: string;
                        Weihinschrift: string;
                        "\u00D6ffentliche Ausstattung": string;
                    };
                };
                "Pottery-clayHardness-default": {
                    values: {
                        "1 (Fingernagel schabt, ritzt leicht)": string;
                        "2 (Fingernagel ritzt)": string;
                        "3 (Messerspitze ritzt leicht)": string;
                        "4 (Messerspitze ritzt)": string;
                        "5 (Messerspitze ritzt schwer)": string;
                        "6 (Fensterglas ritzt schwer, Stahlfeile ritzt)": string;
                        "7-10 (Fensterglas wird geritzt, Stahl schl\u00E4gt Funken)": string;
                    };
                };
                "Pottery-coatInside-default": {
                    values: {
                        Glasur: string;
                        Redslip: string;
                        Schwarzfirnis: string;
                        Tongrundig: string;
                    };
                };
                "Pottery-coatInsideType-default": {
                    values: {
                        Andere: string;
                        Bemalung: string;
                        Geglättet: string;
                        Glasur: string;
                        Poliert: string;
                        Verstrichen: string;
                        Überzug: string;
                    };
                };
                "Pottery-decorationTechnique-default": {
                    values: {
                        Bemalung: string;
                        "Fadendekor (aufgelegt)": string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        Stempel: string;
                        Stempeldekor: string;
                        Tupfendekor: string;
                        Warzendekor: string;
                    };
                };
                "Pottery-manufacturingMethod-default": {
                    values: {
                        "gedreht (auf Drehscheibe)": string;
                        gegossen: string;
                        gepresst: string;
                        handgeformt: string;
                        "in Form gedreht": string;
                        "nachgedreht (\u00FCberdreht)": string;
                    };
                };
                "Pottery-materialType-default": {
                    values: {
                        "Feinkeramik (Feine Ware)": string;
                        "Gebrauchskeramik (Grobe Ware)": string;
                    };
                };
                "Pottery-objectType-default": {
                    values: {
                        Altar: string;
                        Anhänger: string;
                        Antefix: string;
                        Becken: string;
                        Einlage: string;
                        Gefäß: string;
                        Gerät: string;
                        Gussform: string;
                        Kette: string;
                        Kohlebecken: string;
                        Lampe: string;
                        Löffel: string;
                        Perle: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Ring: string;
                        Sarkophag: string;
                        Schmuck: string;
                        Siegel: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Webgewicht: string;
                        Werkzeug: string;
                    };
                };
                "Pottery-specificType-default": {
                    values: {
                        "Arretina schwarz": string;
                        "Attisch farbig aufgeh\u00F6hte Schwarzglanzton Ware": string;
                        "Attische Keramik": string;
                        "Attische Rotfigurige Keramik": string;
                        "Attische Schwarzfigurige Keramik": string;
                        "Attische Schwarzglanzton Ware": string;
                        "Bemalte Keramik": string;
                        "Bemalte Ware (floral)": string;
                        "Bemalte Ware (linear)": string;
                        "Bichrome Ware": string;
                        "Campana A": string;
                        "Campana B": string;
                        "Campana B Imitation": string;
                        "Campana B-oid": string;
                        "Campana C": string;
                        "D\u00FCnnwandige Feinkeramik": string;
                        Firnisware: string;
                        "Glasierte Keramik": string;
                        "Glattwandige Ware": string;
                        Hand: string;
                        "Korinthische Keramik": string;
                        Küchenware: string;
                        "Ostgriechische Keramik": string;
                        "Pr\u00E4historische Keramik": string;
                        "Red Slip Ware": string;
                        "Schlichte Ware": string;
                        "Schwarzglanzton Ware": string;
                        "Terra sigilata": string;
                    };
                };
                "Pottery-temperAmount-default": {
                    values: {
                        "Keine Einschl\u00FCsse": string;
                        Mittel: string;
                        "Nicht erkennbar": string;
                        "Sehr Viel": string;
                        Vereinzelt: string;
                        Viel: string;
                        Wenig: string;
                    };
                };
                "Pottery-temperParticles-default": {
                    values: {
                        fein: string;
                        grob: string;
                        mittel: string;
                        mittelfein: string;
                        "sehr fein": string;
                        "sehr grob": string;
                    };
                };
                "Pottery-vesselForm-default": {
                    values: {
                        Amphore: string;
                        Aschenurne: string;
                        Becher: string;
                        Deckel: string;
                        Deckelgefäß: string;
                        Flasche: string;
                        "Geschlossenes Gef\u00E4\u00DF": string;
                        Kanne: string;
                        Kasserole: string;
                        Kochschüssel: string;
                        Krug: string;
                        Napf: string;
                        "Offenes Gef\u00E4\u00DF": string;
                        Pfanne: string;
                        Räuchergefäß: string;
                        Schale: string;
                        Schüssel: string;
                        Tasse: string;
                        Teller: string;
                        "Teller/Untersatz": string;
                        Topf: string;
                        Unbestimmt: string;
                        Vorratsgefäß: string;
                    };
                };
                "Pottery-vesselFormSpecific-default": {
                    values: {
                        Alabastron: string;
                        Amphoriskos: string;
                        Aryballos: string;
                        Balsamarium: string;
                        Dattelflasche: string;
                        Faltenbecher: string;
                        Fischteller: string;
                        Glockenbecher: string;
                        Handelsamphore: string;
                        Hydria: string;
                        Kopfflasche: string;
                        Kotyle: string;
                        Kragenschale: string;
                        Krater: string;
                        Kylix: string;
                        Lekane: string;
                        Lekythos: string;
                        Luterion: string;
                        Lutrophore: string;
                        Miscellanea: string;
                        Oinochoe: string;
                        Pelike: string;
                        Pithos: string;
                        Pyxis: string;
                        Salznapf: string;
                        Skyphos: string;
                        Spitzamphora: string;
                        Sprenkler: string;
                        Stamnos: string;
                        Tierflasche: string;
                        Tischamphore: string;
                        Tränenfläschchen: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zylindrische Flasche": string;
                    };
                };
                "Grave-graveType-default": {
                    values: {
                        Baumsargbestattung: string;
                        Brandgrubengrab: string;
                        Brandschüttung: string;
                        Doliengrab: string;
                        Dolmen: string;
                        Erdgrab: string;
                        Felsgrab: string;
                        Felsnischengrab: string;
                        Flachgrab: string;
                        Ganggrab: string;
                        Gefäßbestattung: string;
                        "Gemauertes Grab": string;
                        Glockengrab: string;
                        Gruft: string;
                        Hügelgrab: string;
                        Kistengrab: string;
                        Mausoleum: string;
                        Megalithgrab: string;
                        Schachthöhlengrab: string;
                        Steineinfassung: string;
                        Steinplattengrab: string;
                        Urnengrab: string;
                        Ziegelplattengrab: string;
                    };
                };
                "Grave-specificType-default": {
                    values: {
                        Amphorenbestattung: string;
                        "In Dinos": string;
                        "In Krug": string;
                        "a cappuccina": string;
                        "bruchsteingemauertes Grab": string;
                        "quadergemauertes Grab": string;
                        "ziegelgemauertes Grab": string;
                    };
                };
                "Grave-tombBuilding-default": {
                    values: {
                        Bruchsteingemauert: string;
                        Quadergemauert: string;
                        Ziegelgemauert: string;
                    };
                };
                "Bone-biologicalAge-default": {
                    values: {
                        "Adult (18/20-40)": string;
                        "Fetus/Neonatus": string;
                        "Infans I (0-7)": string;
                        "Infans II (7-13)": string;
                        "Juvenil (13-18/20)": string;
                        "Matur (40-60)": string;
                        "Senil (60 <)": string;
                    };
                };
                "Bone-boneClassification-default": {
                    values: {
                        "Becken (Pelvis)": string;
                        "Brustbein (Sternum)": string;
                        "Elle (Ulna)": string;
                        "Fingerknochen (Phalanges)": string;
                        Fußknochen: string;
                        Handknochen: string;
                        "Kniescheibe (Patella)": string;
                        Langknochen: string;
                        "Oberarm (Humerus)": string;
                        "Oberschenkel (Femur)": string;
                        Rippen: string;
                        "Schienenbein (Tibia)": string;
                        "Schl\u00FCsselbein (Clavicula)": string;
                        "Schulterblatt (Scapula)": string;
                        "Sch\u00E4del (Cranium)": string;
                        "Speiche (Radius)": string;
                        Steißbein: string;
                        Undefinierbar: string;
                        "Unterkiefer (Mandibula)": string;
                        "Wadenbein (Fibula)": string;
                        Wirbel: string;
                        Zahn: string;
                    };
                };
                "Bone-boneType-default": {
                    values: {
                        Elfenbein: string;
                        Horn: string;
                        Menschenknochen: string;
                        Tierknochen: string;
                    };
                };
                "Bone-burningGrade-default": {
                    values: {
                        "I - 200\u00B0-300\u00B0C - Verf\u00E4rbung etwa gelblichwei\u00DF-elfenbein glasig": string;
                        "II - 300\u00B0-400\u00B0C - Verf\u00E4rbung etwa braun-dunkelbraun/schwarz": string;
                        "III - um 550\u00B0C - Verf\u00E4rbung etwa grau/blaugrau-milchig hellgrau": string;
                        "IV - 650\u00B0-750\u00B0C - Verf\u00E4rbung etwa milchig wei\u00DF-mattwei\u00DF/kreideartig": string;
                        "V - ab 800\u00B0C - Verf\u00E4rbung etwa altwei\u00DF/schmutzigwei\u00DF": string;
                    };
                };
                "Bone-sex-default": {
                    values: {
                        Männlich: string;
                        Weiblich: string;
                    };
                };
                "Bone-objectType-default": {
                    values: {
                        Anhänger: string;
                        Armreif: string;
                        Astragal: string;
                        "Bearbeitet (allgemein)": string;
                        Einlage: string;
                        Gefäß: string;
                        Gerät: string;
                        Kette: string;
                        Löffel: string;
                        Perle: string;
                        Ring: string;
                        Schmuck: string;
                        Spielstein: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Weinheber: string;
                        Werkzeug: string;
                    };
                };
                "Bone-species-default": {
                    values: {
                        Biber: string;
                        Fisch: string;
                        "G\u00E4nsevogel (z. B. Gans, Schwan oder Ente)": string;
                        "Hasenartige (Lagomorpha)  (z. B. Hase, Pfeifhase oder Kaninchen)": string;
                        Hirsch: string;
                        "Nagetier (z.B. Maus, Ratte etc.)": string;
                        Rind: string;
                        Schwein: string;
                        Vogel: string;
                        "Ziegenartige (z. B. Schaf, Ziege)": string;
                    };
                };
                "Terracotta-clayStructure-default": {
                    values: {
                        hart: string;
                        "klingend hart": string;
                        mittel: string;
                        weich: string;
                    };
                };
                "Terracotta-surfaceCondition-default": {
                    values: {
                        Brandspuren: string;
                        Sekundärbrand: string;
                        abblätternd: string;
                        "gut erhalten": string;
                        "stark abgerieben": string;
                        "starke Sinter- oder M\u00F6rtelablagerungen": string;
                        verrieben: string;
                        versintert: string;
                        verwaschen: string;
                    };
                };
                "Terracotta-vesselForm-default": {
                    values: {
                        Amphore: string;
                        Aschenurne: string;
                        Becher: string;
                        Deckel: string;
                        Deckelgefäß: string;
                        Flasche: string;
                        Krug: string;
                        Napf: string;
                        Schale: string;
                        Schüssel: string;
                        Tasse: string;
                        Teller: string;
                        Topf: string;
                        Unbestimmt: string;
                        Vorratsgefäß: string;
                    };
                };
                "Terracotta-vesselFormSpecific-default": {
                    values: {
                        Alabastron: string;
                        Amphoriskos: string;
                        Aryballos: string;
                        Balsamarium: string;
                        Dattelflasche: string;
                        Faltenbecher: string;
                        Hydria: string;
                        Kopfflasche: string;
                        Kotyle: string;
                        Kragenschale: string;
                        Krater: string;
                        Kylix: string;
                        Lekythos: string;
                        Luterion: string;
                        Lutrophore: string;
                        Oinochoe: string;
                        Pelike: string;
                        Pithos: string;
                        Skyphos: string;
                        Spitzamphora: string;
                        Stamnos: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zylindrische Flasche": string;
                    };
                };
                "Drawing-drawingMaterial-default": {
                    values: {
                        "Digitale Datei": string;
                        Folie: string;
                        Karton: string;
                        Lichtpause: string;
                        Mikrofilm: string;
                        Millimeterpapier: string;
                        Papier: string;
                        Photoabzüge: string;
                        Transparentfilm: string;
                        Transparentpapier: string;
                    };
                };
                "Drawing-drawingTool-default": {
                    values: {
                        Bleistift: string;
                        Buntstift: string;
                        Tusche: string;
                        "digital erstellt": string;
                    };
                };
                "Drawing-drawingType-default": {
                    values: {
                        "AutoCAD Zeichnung (auch TachyCAD)": string;
                        Handzeichnung: string;
                        Pantograf: string;
                    };
                };
                "Drawing-scale-default": {
                    values: {
                        "1:1": string;
                        "1:10": string;
                        "1:100": string;
                        "1:1000": string;
                        "1:10000": string;
                        "1:20": string;
                        "1:50": string;
                        "1:500": string;
                        "1:5000": string;
                    };
                };
                "Survey-researchMethod-default": {
                    values: {
                        Befliegung: string;
                        Begehung: string;
                        Geoelektrik: string;
                        Geomagnetik: string;
                        Georadar: string;
                        LIDAR: string;
                        "Luft- oder Satellitenbilder": string;
                        Quadratisch: string;
                        Regelmäßig: string;
                        Seismik: string;
                    };
                };
                "Stone-architectureElement-default": {
                    values: {
                        Akroter: string;
                        Architrav: string;
                        Archtitravfriesblock: string;
                        Basis: string;
                        Bauplastik: string;
                        Fries: string;
                        Gesims: string;
                        Kapitell: string;
                        Konsole: string;
                        Profilstück: string;
                        Quaderblock: string;
                        Rinne: string;
                        Schrankenplatte: string;
                        Schwellenblock: string;
                        Sima: string;
                        Säule: string;
                        Wandverkleidung: string;
                    };
                };
                "Stone-material-default": {
                    values: {
                        Andesit: string;
                        Basalt: string;
                        Feldspat: string;
                        Flint: string;
                        Glimmer: string;
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Sinter: string;
                        Trachyt: string;
                        Tuff: string;
                    };
                };
                "Stone-objectType-default": {
                    values: {
                        Abschlag: string;
                        Altar: string;
                        Anhänger: string;
                        Architekturdekor: string;
                        Bauglied: string;
                        Becken: string;
                        Einlage: string;
                        Einsatzkopf: string;
                        Fußbodenfragment: string;
                        Gefäß: string;
                        Gerät: string;
                        Grabmarkierung: string;
                        Grabplatte: string;
                        Gussform: string;
                        Herme: string;
                        Inkrustation: string;
                        Lampe: string;
                        Löffel: string;
                        Mahlstein: string;
                        Mobiliar: string;
                        Mörser: string;
                        Perle: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Reibstein: string;
                        Ring: string;
                        Rührstab: string;
                        Sarkophag: string;
                        Schmuck: string;
                        Siegel: string;
                        Spielbrett: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        Spolie: string;
                        Statuenbasis: string;
                        Stele: string;
                        Tessera: string;
                        Tischfuß: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Webgewicht: string;
                        Werkzeug: string;
                        Ölpresse: string;
                    };
                };
                "Stone-origin-default": {
                    values: {
                        Alpen: string;
                        Anatolien: string;
                        Chimtou: string;
                        Harz: string;
                        Kreta: string;
                        Sizilien: string;
                    };
                };
                "Coin-denomination-default": {
                    values: {
                        "1 1/2 Skripula": string;
                        "1 1/2 Solidus": string;
                        "1/2 Stater (Hemistater)": string;
                        "1/30 Drachme": string;
                        "1/4  Stater (Tetarte)": string;
                        "1/4 Einheit": string;
                        "1/5 Drachme": string;
                        "2 Solidus": string;
                        "3 Solidus": string;
                        "4 1/2 Solidus": string;
                        "60 As": string;
                        "9 Siliqua": string;
                        "9 Solidus": string;
                        "AE Gross": string;
                        "AE Klein": string;
                        "AE Medium": string;
                        "Aes 1": string;
                        "Aes 2": string;
                        "Aes 3": string;
                        "Aes 3-4": string;
                        "Aes 4": string;
                        Antoninian: string;
                        Argenteus: string;
                        As: string;
                        Aureus: string;
                        "Aureus\u00B9": string;
                        "Aureus\u00B2": string;
                        Bruchteil: string;
                        Cistophor: string;
                        Denar: string;
                        "Denar (serratus)": string;
                        Didrachme: string;
                        Diobol: string;
                        Distater: string;
                        "Doppelter Sesterz": string;
                        Drachme: string;
                        Dupondius: string;
                        "Gold-mehrfaches": string;
                        "Grosser Aes 2": string;
                        "Halber Solidus": string;
                        "Hekte (1/6 Stater)": string;
                        Hemidrachme: string;
                        Hemiobol: string;
                        "Kleiner Aes 2": string;
                        Kontorniat: string;
                        Litra: string;
                        Medaillon: string;
                        "Miliarense (leicht)": string;
                        "Miliarense (schwer)": string;
                        Obolus: string;
                        Quadrans: string;
                        Quinar: string;
                        "Quinar Aureus": string;
                        "Reduzierte Siliqua": string;
                        "Reduzierter Aes 2": string;
                        Semis: string;
                        Semissis: string;
                        Semuncia: string;
                        Sesterz: string;
                        Sextans: string;
                        "Silber-Mehrfaches": string;
                        Siliqua: string;
                        Solidus: string;
                        Stater: string;
                        Tetradrachme: string;
                        Tremissis: string;
                        Triens: string;
                        Uncia: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Victoriatus: string;
                    };
                };
                "Coin-manufacturingMethod-default": {
                    values: {
                        Gegossen: string;
                        Geprägt: string;
                        Plattiert: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Coin-metalMaterial-default": {
                    values: {
                        Aluminium: string;
                        Billon: string;
                        Blei: string;
                        Bronze: string;
                        Eisen: string;
                        Gold: string;
                        Kupfer: string;
                        Messing: string;
                        Silber: string;
                        Stahl: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Zink: string;
                        Zinn: string;
                    };
                };
                "Coin-mint-default": {
                    values: {
                        Abdera: string;
                        Abydos: string;
                        Afrika: string;
                        Agrigent: string;
                        "Aigai (Vergina)": string;
                        Aiolis: string;
                        "Aitolischer Bund": string;
                        Akanthus: string;
                        Akkon: string;
                        Alabanda: string;
                        Alexandria: string;
                        "Alexandria Troas": string;
                        Alexandrien: string;
                        Amasra: string;
                        Amathus: string;
                        "Ambianum (Amiens)": string;
                        Ambracia: string;
                        Amiens: string;
                        Amisus: string;
                        Amphipolis: string;
                        Amrit: string;
                        Anaktorio: string;
                        Antiochia: string;
                        "Antiochia (Antakya)": string;
                        "Antiochia am Orontes": string;
                        "Apameia Kibotos": string;
                        "Apameia am Orontes": string;
                        Apollonia: string;
                        Apulien: string;
                        Aquileia: string;
                        "Archaiischer Bund": string;
                        "Arelate (Arles)": string;
                        Argos: string;
                        "Argos Amphilochicum": string;
                        Arles: string;
                        Arpi: string;
                        Aruad: string;
                        "Asia Minor": string;
                        Asien: string;
                        Aspendos: string;
                        Assos: string;
                        Astibus: string;
                        Athen: string;
                        Aydın: string;
                        Babylon: string;
                        "Barcino (Barcelona)": string;
                        Beirut: string;
                        Bozcaada: string;
                        Byblos: string;
                        Byzantion: string;
                        Böotien: string;
                        Caesaraugusta: string;
                        "Caesarea in Kappadokien": string;
                        Cales: string;
                        "Camulodunum (Colchester)": string;
                        "Canosa di Puglia": string;
                        Carnuntum: string;
                        "Carthago (Tunis)": string;
                        Catania: string;
                        Caulonia: string;
                        Chalcedon: string;
                        Chalkida: string;
                        Chalkidiki: string;
                        Chersones: string;
                        Chios: string;
                        Colchester: string;
                        "Colonia Agrippina (K\u00F6ln)": string;
                        "Colonia Patricia": string;
                        Comitatenses: string;
                        "Constantinopolis (Istanbul)": string;
                        Crotone: string;
                        Cyme: string;
                        Damaskus: string;
                        "Diesseitiges Gallian / Norditalien": string;
                        Dionysopolis: string;
                        Dyrrhachium: string;
                        Ekbatana: string;
                        Elea: string;
                        Elis: string;
                        Emerita: string;
                        Empüries: string;
                        Ephesos: string;
                        Eretria: string;
                        Erythrai: string;
                        Etrurien: string;
                        Euböa: string;
                        Foça: string;
                        Gallien: string;
                        Gela: string;
                        Germe: string;
                        Gortyn: string;
                        Halikarnassos: string;
                        Harran: string;
                        Heraclea: string;
                        Herakleia: string;
                        "Herakleia Pontike": string;
                        Himera: string;
                        Hispanien: string;
                        "Hispanien-Punisch": string;
                        Histria: string;
                        Homs: string;
                        Ibiza: string;
                        Idalion: string;
                        Italien: string;
                        "Italien (S\u00FCdosten)": string;
                        Kabile: string;
                        Kamarina: string;
                        Karien: string;
                        Karthago: string;
                        Karystos: string;
                        Kelenderis: string;
                        Kertsch: string;
                        Klazomenai: string;
                        Knidos: string;
                        Kolchis: string;
                        Kolophon: string;
                        Konstantinopel: string;
                        Korfu: string;
                        Korinth: string;
                        "Korinthischer Bund": string;
                        Kos: string;
                        Kydonia: string;
                        Kyrenaika: string;
                        Kyrene: string;
                        Kyzikos: string;
                        Köln: string;
                        Lampsakos: string;
                        "Laodikeia am Lykos": string;
                        Lapta: string;
                        Larissa: string;
                        Larnaka: string;
                        Latakia: string;
                        Lefkada: string;
                        Lentini: string;
                        Lete: string;
                        Locri: string;
                        "Locri Opuntii (Opus)": string;
                        Londinium: string;
                        Lucera: string;
                        Lugdunum: string;
                        Lydien: string;
                        Lykien: string;
                        Lysimacheia: string;
                        Lyttos: string;
                        "Magnesia am M\u00E4ander": string;
                        Mainz: string;
                        Makedonien: string;
                        "Makedonien (1. Region)": string;
                        Mangalia: string;
                        Marmetini: string;
                        Maroneia: string;
                        Marseille: string;
                        Mediolanum: string;
                        Megalopoli: string;
                        Memphis: string;
                        Messene: string;
                        Messina: string;
                        Metapont: string;
                        Milas: string;
                        Milet: string;
                        Mithymna: string;
                        Mittelitalien: string;
                        Myriandrus: string;
                        Myrina: string;
                        Mytilini: string;
                        Narbo: string;
                        Naxos: string;
                        Neapel: string;
                        Nessebar: string;
                        Nikomedia: string;
                        Nisibis: string;
                        Nuceria: string;
                        Olbia: string;
                        Oreus: string;
                        Oria: string;
                        "Ostia Antica": string;
                        Ouranoupolis: string;
                        Paestum: string;
                        Paphos: string;
                        Parion: string;
                        Paros: string;
                        Pella: string;
                        Peloponnes: string;
                        Pergamon: string;
                        Perge: string;
                        Persien: string;
                        Phanagoria: string;
                        Phaselis: string;
                        Phokis: string;
                        Priene: string;
                        "Prusias ad Hypium": string;
                        Ravenna: string;
                        "Reggio Calabria": string;
                        "Republik Zypern": string;
                        Rhodos: string;
                        Rom: string;
                        Rouen: string;
                        Salamis: string;
                        Samos: string;
                        Sardes: string;
                        Sardinien: string;
                        Segesta: string;
                        "Seleukia Pieria": string;
                        "Seleukia am Tigris": string;
                        Selinus: string;
                        Sestos: string;
                        Side: string;
                        Sidon: string;
                        Sikyon: string;
                        Sinop: string;
                        Sirmium: string;
                        Sisak: string;
                        Sizilien: string;
                        "Sizilien 2 (Republican period)": string;
                        "Sizilisch-Punisch": string;
                        Smyrna: string;
                        Sofia: string;
                        Soloi: string;
                        Sosopol: string;
                        "Susa (Persien)": string;
                        Sybaris: string;
                        Syrakus: string;
                        Syrien: string;
                        "S\u00FCdgallische M\u00FCnzst\u00E4tte": string;
                        Tanagra: string;
                        Taras: string;
                        Tarraco: string;
                        Tarsus: string;
                        Tegea: string;
                        Temnus: string;
                        Teos: string;
                        Terina: string;
                        Tessin: string;
                        Thasos: string;
                        "Thessalische Liga": string;
                        Thessalonica: string;
                        Thessaloniki: string;
                        Thiva: string;
                        Thrakien: string;
                        Thurioi: string;
                        Thyrrheium: string;
                        Trier: string;
                        "Tripoli (Libanon)": string;
                        Tyros: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Viminatium: string;
                        Vindobona: string;
                        Warna: string;
                        Zancle: string;
                        Äegina: string;
                        Äeneas: string;
                        Äetolien: string;
                    };
                };
                "Coin-mintingRuler-default": {
                    values: {
                        Constans: string;
                        Domitian: string;
                        "Kaiser Nero": string;
                        Konstantin: string;
                        Licinius: string;
                        Myrina: string;
                        Traian: string;
                        "T\u00FCrkische Republick": string;
                        "Valentianus III": string;
                    };
                };
                "Coin-stampPositioning-default": {
                    values: {
                        "- 1 Uhr": string;
                        "- 2 Uhr": string;
                        "- 3 Uhr": string;
                        "- 4 Uhr": string;
                        "- 5 Uhr": string;
                        "- 6 Uhr": string;
                        "- 7 Uhr": string;
                        "- 8 Uhr": string;
                        "- 9 Uhr": string;
                        "- 10 Uhr": string;
                        "- 11 Uhr": string;
                        "- 12 Uhr": string;
                    };
                };
                "Find-storagePlace-default": {
                    values: {
                        Landesamt: string;
                        Museum: string;
                        "Museum Bergama": string;
                        "Pergamon Depot": string;
                        Privatbesitz: string;
                        Regionalverwaltung: string;
                        Restaurierungswerkstatt: string;
                        Staatsbesitz: string;
                    };
                };
                "storagePlace-default": {
                    values: {
                        Landesamt: string;
                        Museum: string;
                        Privatbesitz: string;
                        Restaurierungswerkstatt: string;
                        Staatsbesitz: string;
                    };
                };
                "PlasterFragment-plasterComponents-default": {
                    values: {
                        Feinsand: string;
                        Grus: string;
                        Sand: string;
                    };
                };
                "Photo-originalType-default": {
                    values: {
                        "Dia bunt": string;
                        Digitalfoto: string;
                        Glasnegativ: string;
                        "Kleinbild bunt": string;
                        "Kleinbild s/w": string;
                        Messbild: string;
                        Mittelformat: string;
                        Scan: string;
                    };
                };
                "Metal-decorationTechnique-default": {
                    values: {
                        Bemalung: string;
                        Beschläge: string;
                        Emaille: string;
                        Nielloverzierung: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        Stempel: string;
                        Stempeldekor: string;
                        Vergoldung: string;
                    };
                };
                "Metal-manufacturingMethod-default": {
                    values: {
                        Getrieben: string;
                        Gußtechnik: string;
                        Prägearbeit: string;
                        Schmiedetechnik: string;
                        Ziehtechnik: string;
                    };
                };
                "Metal-objectType-default": {
                    values: {
                        Anhänger: string;
                        Armreif: string;
                        Barren: string;
                        Beschlag: string;
                        Blech: string;
                        Einlage: string;
                        Fibel: string;
                        Gefäß: string;
                        Gerät: string;
                        Gewicht: string;
                        Glocke: string;
                        Gussform: string;
                        Gusszapfen: string;
                        Halbfabrikat: string;
                        Kandelaber: string;
                        Kette: string;
                        Klinge: string;
                        Knopf: string;
                        Lampe: string;
                        Löffel: string;
                        Mobiliar: string;
                        Nadel: string;
                        Nagel: string;
                        Perle: string;
                        Pfeilspitze: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Projektil: string;
                        Reibe: string;
                        Ring: string;
                        Ringbarren: string;
                        Rührstab: string;
                        Sarkophag: string;
                        Schild: string;
                        Schlacke: string;
                        Schlüssel: string;
                        Schmiedeabfall: string;
                        Schmuck: string;
                        Schnalle: string;
                        Schreibgerät: string;
                        Siegel: string;
                        Spiegel: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        Stabbarren: string;
                        Strigilis: string;
                        Türschloss: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Wasserleitung: string;
                        Weinheber: string;
                        Werkzeug: string;
                        Zierbeschlag: string;
                    };
                };
                "Metal-vesselFormSpecific-default": {
                    values: {
                        Alabastron: string;
                        Amphoriskos: string;
                        Aryballos: string;
                        Balsamarium: string;
                        Dattelflasche: string;
                        Faltenbecher: string;
                        Glockenbecher: string;
                        Hydria: string;
                        Kopfflasche: string;
                        Kotyle: string;
                        Kragenschale: string;
                        Krater: string;
                        Kylix: string;
                        Lekythos: string;
                        Luterion: string;
                        Oinochoe: string;
                        Pelike: string;
                        Rippenschale: string;
                        Schliffrillenschale: string;
                        Skyphos: string;
                        Spitzamphora: string;
                        Sprenkler: string;
                        Stamnos: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zylindrische Flasche": string;
                    };
                };
                "Sample-sampleType-default": {
                    values: {
                        Bodenprobe: string;
                        "C14-Analyse": string;
                        Dendroprobe: string;
                        Hammerschlagsprobe: string;
                        Phosphatanalyse: string;
                        Pollenanalyse: string;
                    };
                };
                "TypeCatalog-criterion-default": {
                    values: {
                        Form: string;
                        Material: string;
                        Dekoration: string;
                        Spuren: string;
                    };
                };
                "damages-default": {
                    values: {
                        totalCollapse: string;
                        partialCollapse: string;
                        missingconst: string;
                        looseconst: string;
                        fractures: string;
                        riss1: string;
                        riss2: string;
                        riss3: string;
                        riss4: string;
                        deformationSwelling: string;
                        delamination: string;
                        moisture: string;
                        cavities: string;
                        exfoliation: string;
                        spalling: string;
                        efflorescence: string;
                        bioSettlement: string;
                        fireDamage: string;
                        erosion: string;
                        corrosion: string;
                        crusting: string;
                        mechanicDamage: string;
                        discoloration: string;
                        contamination: string;
                        fragmentation: string;
                        ruin: string;
                        weathering: string;
                        rotting: string;
                        rottingstr: string;
                        vandalizm: string;
                        fissure: string;
                    };
                };
                "Damage-condition-default": {
                    values: {
                        CCO: string;
                        CC1: string;
                        CC2: string;
                        CC3: string;
                        CC4: string;
                    };
                };
                "viewingDirection-default": {
                    values: {
                        N: string;
                        NE: string;
                        E: string;
                        SE: string;
                        S: string;
                        SW: string;
                        W: string;
                        NW: string;
                    };
                };
                "Photo-originalFormat-default": {
                    values: {
                        Digital: string;
                        Analog: string;
                        Dia: string;
                        "S/W": string;
                        Farbe: string;
                    };
                };
            };
            en: {
                "coordinate-reference-system-default-1": {
                    values: {
                        "Eigenes Koordinatenbezugssystem": string;
                        "EPSG4326 (WGS 84)": string;
                        "EPSG3857 (WGS 84 Web Mercator)": string;
                    };
                };
                "position-values-expansion-default": {
                    values: {
                        "Maximale Ausdehnung": string;
                        "Minimale Ausdehnung": string;
                    };
                };
                "position-values-edge-default": {
                    values: {
                        Oberkante: string;
                        Unterkante: string;
                    };
                };
                "Building-condition-default": {
                    values: {
                        "sehr gut": string;
                        gut: string;
                        mittel: string;
                        schlecht: string;
                        "sehr schlecht": string;
                    };
                };
                "Building-conditionAmount-default": {
                    values: {
                        Fragmentarisch: string;
                        Vollständig: string;
                        "Vollst\u00E4ndig zerst\u00F6rt": string;
                    };
                };
                "TypeCatalog-criterion-default": {
                    values: {
                        Form: string;
                        Material: string;
                        Dekoration: string;
                        Spuren: string;
                    };
                };
                "Damage-condition-default": {
                    values: {
                        CCO: string;
                        CC1: string;
                        CC2: string;
                        CC3: string;
                        CC4: string;
                    };
                };
                "viewingDirection-default": {
                    values: {
                        N: string;
                        NE: string;
                        E: string;
                        SE: string;
                        S: string;
                        SW: string;
                        W: string;
                        NW: string;
                    };
                };
                "Photo-originalFormat-default": {
                    values: {
                        Farbe: string;
                        Digital: string;
                        Analog: string;
                        Dia: string;
                        "S/W": string;
                    };
                };
                "Layer-distinguishingCriteria-default": {
                    values: {
                        Farbe: string;
                    };
                };
                "orientation-default-1": {
                    values: {
                        "N-S": string;
                        "NNO - SSW": string;
                        "NNW-SSO": string;
                        "NO-SW": string;
                        "NW-SO": string;
                        "W-O": string;
                        "WNW-OSO": string;
                        "WSW-ONO": string;
                    };
                };
                "provenance-default-1": {
                    values: {
                        Anatolien: string;
                        Athen: string;
                        Ägypten: string;
                        Britannien: string;
                        Deutschland: string;
                        Irland: string;
                        Italien: string;
                        Palästina: string;
                        Attisch: string;
                        Chios: string;
                        Ephesos: string;
                        Etruskisch: string;
                        Gallien: string;
                        Ionien: string;
                        Kampanisch: string;
                        Karthagisch: string;
                        Kleinasien: string;
                        Knidos: string;
                        Korinth: string;
                        Kos: string;
                        Levante: string;
                        Lokal: string;
                        "Lokal/Regional": string;
                        Milet: string;
                        Mäandertal: string;
                        Nordafrika: string;
                        Nordafrikanisch: string;
                        Pannonien: string;
                        Peloponnes: string;
                        Regional: string;
                        Rhodos: string;
                        Samos: string;
                        Skandinavien: string;
                        Slawisch: string;
                        Spanien: string;
                        Syrien: string;
                        Südtunesisch: string;
                        Südägäis: string;
                        "Antiochia (Antakya)": string;
                        Lesbos: string;
                        Sizilien: string;
                    };
                };
                "periods-default-1": {
                    values: {
                        Frühmittelalter: string;
                        Mittelalter: string;
                        Spätmittelalter: string;
                        Hochmittelalter: string;
                        Archaisch: string;
                        Bronzezeitlich: string;
                        Byzantinisch: string;
                        Eisenzeitlich: string;
                        Frühbyzantinisch: string;
                        Frühhellenistisch: string;
                        Frühklassisch: string;
                        Frühkaiserzeitlich: string;
                        Frühbronzezeitlich: string;
                        Spätbronzezeitlich: string;
                        Geometrisch: string;
                        Hellenistisch: string;
                        Kaiserzeitlich: string;
                        Klassisch: string;
                        Neolithisch: string;
                        Osmanisch: string;
                        Rezent: string;
                        Römisch: string;
                        Spätantik: string;
                        Spätbyzantinisch: string;
                        Späthellenistisch: string;
                        Spätkaiserzeitlich: string;
                        Spätklassisch: string;
                    };
                };
                "colors-default-2": {
                    values: {
                        ocker: string;
                        orange: string;
                        orangerot: string;
                        rosa: string;
                        rot: string;
                        rotbraun: string;
                        schwarz: string;
                        weiß: string;
                        beige: string;
                        dunkelbraun: string;
                        dunkelrot: string;
                        gelb: string;
                        hellbraun: string;
                        hellgrau: string;
                    };
                    description: string;
                };
                "glass-decorationTechnique-default": {
                    values: {
                        Diatretdekor: string;
                        Emaille: string;
                    };
                };
                "glass-objectType-default": {
                    values: {
                        Gemme: string;
                        Gerät: string;
                        Einlage: string;
                        Armreif: string;
                        Glasschlacke: string;
                        Lampe: string;
                        Löffel: string;
                        Tessera: string;
                        Gefäß: string;
                        Ring: string;
                    };
                };
                "Brick-decorationTechnique-default": {
                    values: {
                        Fingerabdruck: string;
                        Reliefdekor: string;
                    };
                };
                "Brick-temper-default": {
                    values: {
                        Sonstige: string;
                    };
                };
                "Burial-burialDocumentation-default": {
                    values: {
                        Foto: string;
                    };
                };
                "Building-buildingTechnique-default": {
                    values: {
                        Bruchsteinmauerwerk: string;
                        Lehmziegelmauerwerk: string;
                    };
                };
                "glass-vesselForm-default": {
                    values: {
                        Tasse: string;
                        Deckel: string;
                        Flasche: string;
                        Teller: string;
                        Unbestimmt: string;
                    };
                };
                "glass-vesselFormSpecific-default": {
                    values: {
                        Dattelflasche: string;
                        Alabastron: string;
                        Amphoriskos: string;
                        Aryballos: string;
                        Hydria: string;
                        Kotyle: string;
                        Krater: string;
                        Kylix: string;
                        Lekythos: string;
                        Schöpfer: string;
                        Skyphos: string;
                    };
                };
                "Building-buildingType-default": {
                    values: {
                        Befestigung: string;
                        Lager: string;
                    };
                };
                "colors-default-1": {
                    values: {
                        schwarz: string;
                        beige: string;
                        "blass-": string;
                        blau: string;
                        braun: string;
                        cremefarben: string;
                        "dunkel-": string;
                        gelb: string;
                        grau: string;
                        grün: string;
                        "hell-": string;
                        "leuchtend-": string;
                        ocker: string;
                        orange: string;
                        rosa: string;
                        rot: string;
                        türkis: string;
                        violett: string;
                        weiß: string;
                    };
                    description: string;
                };
                "Building-buildingCategory-default": {
                    values: {
                        Tempel: string;
                        Theater: string;
                        Turm: string;
                        Wohnbau: string;
                    };
                };
                "Building-material-default-3": {
                    values: {
                        Eisen: string;
                        Marmor: string;
                        Blei: string;
                        Erde: string;
                        Glas: string;
                        Holz: string;
                    };
                };
                "Wood-objectType-default": {
                    values: {
                        Gefäß: string;
                        Architektur: string;
                        Altar: string;
                        Gerät: string;
                        "Kasten/Kiste": string;
                        Spielzeug: string;
                    };
                };
                "glass-formDescription-default": {
                    values: {
                        rund: string;
                    };
                };
                "Building-buildingCategorySpecific-default": {
                    values: {
                        Bogen: string;
                    };
                };
                "Wood-color-default": {
                    values: {
                        braun: string;
                        haselnuss: string;
                        schwarz: string;
                    };
                };
                "Brick-brickUsage-default": {
                    values: {
                        Decke: string;
                        Dach: string;
                        Fenster: string;
                        Fussboden: string;
                        Gewölbedecke: string;
                        Türsturz: string;
                    };
                };
            };
            it: {
                "provenance-default-1": {
                    values: {
                        Anatolien: string;
                        Athen: string;
                        Ägypten: string;
                        Attisch: string;
                        Britannien: string;
                        Chios: string;
                        Deutschland: string;
                        Ephesos: string;
                        Etruskisch: string;
                        Gallien: string;
                        Ionien: string;
                        Irland: string;
                        Italien: string;
                        Kampanisch: string;
                        Karthagisch: string;
                        Kleinasien: string;
                        Knidos: string;
                        Korinth: string;
                        Kos: string;
                        Lesbos: string;
                        Levante: string;
                        Lokal: string;
                        "Lokal/Regional": string;
                        Milet: string;
                        Mäandertal: string;
                        Nordafrika: string;
                        Nordafrikanisch: string;
                        Palästina: string;
                        Pannonien: string;
                        Peloponnes: string;
                        Regional: string;
                        Rhodos: string;
                        Samos: string;
                        Sizilien: string;
                        Skandinavien: string;
                        Slawisch: string;
                        Spanien: string;
                        Syrien: string;
                        Südtunesisch: string;
                        Südägäis: string;
                        "Antiochia (Antakya)": string;
                    };
                };
                "periods-default-1": {
                    values: {
                        Archaisch: string;
                        Bronzezeitlich: string;
                        Byzantinisch: string;
                        Eisenzeitlich: string;
                        Frühbronzezeitlich: string;
                        Frühbyzantinisch: string;
                        Frühhellenistisch: string;
                        Frühkaiserzeitlich: string;
                        Frühklassisch: string;
                        Geometrisch: string;
                        Hellenistisch: string;
                        Kaiserzeitlich: string;
                        Klassisch: string;
                        Neolithisch: string;
                        Neuzeitlich: string;
                        Osmanisch: string;
                        Pleistozän: string;
                        Rezent: string;
                        Römisch: string;
                        Spätantik: string;
                        Spätbronzezeitlich: string;
                        Spätbyzantinisch: string;
                        Späthellenistisch: string;
                        Spätkaiserzeitlich: string;
                        Spätklassisch: string;
                        Frühmittelalter: string;
                        Hochmittelalter: string;
                        Spätmittelalter: string;
                        Mittelalter: string;
                    };
                };
                "colors-default-1": {
                    values: {
                        beige: string;
                        "blass-": string;
                        blau: string;
                        braun: string;
                        cremefarben: string;
                        "dunkel-": string;
                        gelb: string;
                        grau: string;
                        grün: string;
                        "hell-": string;
                        "leuchtend-": string;
                        ocker: string;
                        orange: string;
                        rosa: string;
                        rot: string;
                        schwarz: string;
                        türkis: string;
                        violett: string;
                        weiß: string;
                    };
                    description: string;
                };
                "colors-default-2": {
                    values: {
                        beige: string;
                        dunkelbraun: string;
                        dunkelrot: string;
                        gelb: string;
                        hellbraun: string;
                        hellgrau: string;
                        mittelbraun: string;
                        ocker: string;
                        orange: string;
                        orangerot: string;
                        rosa: string;
                        rot: string;
                        rotbraun: string;
                        schwarz: string;
                        weiß: string;
                    };
                    description: string;
                };
                "glass-decorationTechnique-default": {
                    values: {
                        Bemalung: string;
                        Diatretdekor: string;
                        Emaille: string;
                        Facettschliffdekor: string;
                        "Fadendekor (aufgelegt)": string;
                        "Fadendekor (verschmolzen)": string;
                        Mosaikdekor: string;
                        Reliefdekor: string;
                        Reticelladekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        Schlangenfadendekor: string;
                        Schliffrillendekor: string;
                        Stempeldekor: string;
                        Tupfendekor: string;
                        Warzendekor: string;
                        Zwischengoldglas: string;
                        "fig\u00FCrlicher Schliffdekor": string;
                    };
                };
                "glass-formDescription-default": {
                    values: {
                        ausladend: string;
                        bauchig: string;
                        breitoval: string;
                        doppelkonisch: string;
                        halbkugelig: string;
                        hochoval: string;
                        konisch: string;
                        kugelförmig: string;
                        quadratisch: string;
                        rechteckig: string;
                        rund: string;
                        schlank: string;
                        schmal: string;
                        spindelförmig: string;
                        tonnenförmig: string;
                        zylinderförmig: string;
                    };
                };
                "glass-manufacturingMethod-default": {
                    values: {
                        "Formgeblasen (mit Reliefdekor)": string;
                        Formgeschmolzen: string;
                        Freigeblasen: string;
                        "In Vorformen geblasen": string;
                        "In offene Halbformen geblasen": string;
                        Kerngeformt: string;
                        Sandkerngeschmolzen: string;
                        "gedreht (auf Drehscheibe)": string;
                    };
                };
                "glass-objectType-default": {
                    values: {
                        Anhänger: string;
                        Armreif: string;
                        Einlage: string;
                        Fensterglas: string;
                        Gefäß: string;
                        Gemme: string;
                        Gerät: string;
                        Glasschlacke: string;
                        Lampe: string;
                        Löffel: string;
                        Perle: string;
                        Produktionsfragment: string;
                        Ring: string;
                        Rohglas: string;
                        Rührstab: string;
                        Scheiben: string;
                        Schmuck: string;
                        Spielstein: string;
                        Tessera: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Weinheber: string;
                    };
                };
                "glass-transparency-default": {
                    values: {
                        durchscheinend: string;
                        durchsichtig: string;
                        opak: string;
                        versintert: string;
                    };
                };
                "glass-vesselForm-default": {
                    values: {
                        Aschenurne: string;
                        Becher: string;
                        Deckel: string;
                        Deckelgefäß: string;
                        Flasche: string;
                        Krug: string;
                        Napf: string;
                        Schale: string;
                        Schüssel: string;
                        Tasse: string;
                        Teller: string;
                        Topf: string;
                        Unbestimmt: string;
                        Vorratsgefäß: string;
                    };
                };
                "glass-vesselFormSpecific-default": {
                    values: {
                        Alabastron: string;
                        Amphoriskos: string;
                        Aryballos: string;
                        Balsamarium: string;
                        Dattelflasche: string;
                        Faltenbecher: string;
                        Hydria: string;
                        Kopfflasche: string;
                        Kotyle: string;
                        Kragenschale: string;
                        Krater: string;
                        Kylix: string;
                        Lekythos: string;
                        Luterion: string;
                        Oinochoe: string;
                        Pelike: string;
                        Rippenschale: string;
                        Schliffrillenschale: string;
                        Schöpfer: string;
                        Skyphos: string;
                        Spitzamphora: string;
                        Sprenkler: string;
                        Stamnos: string;
                        Tierflasche: string;
                        Unguentarium: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zarte Rippenschale": string;
                        "zylindrische Flasche": string;
                    };
                };
                "Mollusk-classification-default": {
                    values: {
                        Schuppe: string;
                        Coxa: string;
                        "Muschelschale (Bivalvia)": string;
                        "Schneckenhaus (Gastropoda)": string;
                    };
                };
                "Brick-brickForm-default": {
                    values: {
                        Bodenziegel: string;
                        Dachziegel: string;
                        Flachziegel: string;
                        Formziegel: string;
                        Hypokaustziegel: string;
                        Imbrex: string;
                        Kalyptere: string;
                        Later: string;
                        Leistenziegel: string;
                        "Lochziegel/Hohlziegel": string;
                        Stroter: string;
                        Tegula: string;
                        Tonrohr: string;
                        Wandziegel: string;
                    };
                };
                "Brick-brickUsage-default": {
                    values: {
                        Dach: string;
                        Decke: string;
                        Fenster: string;
                        Fussboden: string;
                        Gewölbedecke: string;
                        Klosterformat: string;
                        Türrahmen: string;
                        Türsturz: string;
                        Wandverkleidung: string;
                    };
                };
                "Brick-decorationTechnique-default": {
                    values: {
                        Bemalung: string;
                        Fingerabdruck: string;
                        Kammritzung: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        "Sonstige Abdr\u00FCcke": string;
                        Stempel: string;
                        Stempeldekor: string;
                        Tupfendekor: string;
                        Wischzeichen: string;
                        "\u00DCberzug/Glasur": string;
                    };
                };
                "Brick-manufacturing-default": {
                    values: {
                        Dickwandig: string;
                        Dünnwandig: string;
                        Gebrannt: string;
                        "Hart gebrannt": string;
                        Luftgetrocknet: string;
                        "Oberfl\u00E4che glatt": string;
                        "Oberfl\u00E4che rau": string;
                        "Sekund\u00E4r gebrannt": string;
                        "Weich gebrannt": string;
                    };
                };
                "Brick-manufacturingMethod-default": {
                    values: {
                        "gedreht (auf Drehscheibe)": string;
                        gegossen: string;
                        gepresst: string;
                        handgeformt: string;
                    };
                };
                "Brick-specificType-default": {
                    values: {
                        Bodenziegel: string;
                        Bruchstein: string;
                        Dachziegel: string;
                        Geröll: string;
                        Hohlziegel: string;
                        Hypokaustziegel: string;
                        Kanalziegel: string;
                        Platten: string;
                        Quader: string;
                        Tonrohr: string;
                        Variierend: string;
                        Wandziegel: string;
                        Ziegelbruch: string;
                        Abschläge: string;
                    };
                };
                "Brick-temper-default": {
                    values: {
                        Glimmer: string;
                        Kalk: string;
                        "Mineralische Partikel": string;
                        Muschelgrus: string;
                        "Organische Partikel": string;
                        Quarz: string;
                        Schamotte: string;
                        Sonstige: string;
                        Steinchen: string;
                        "Stroh/Spreu": string;
                        Vacua: string;
                        "Vulkanische Partikel": string;
                    };
                };
                "Burial-amountIndividuals-default": {
                    values: {
                        Doppelbestattung: string;
                        Dreifachbestattung: string;
                        Einzelbestattung: string;
                        Grabdeponat: string;
                        Kollektivbestattung: string;
                        Massengrab: string;
                        Mehrfachbestattung: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Wiedergängerbestattung: string;
                    };
                };
                "Burial-burialCharacteristic-default": {
                    values: {
                        "Prim\u00E4re Bestattung": string;
                        "Sekund\u00E4re Bestattung": string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Burial-burialDocumentation-default": {
                    values: {
                        Endoskopie: string;
                        Foto: string;
                        Histologie: string;
                        LM: string;
                        REM: string;
                        Röntgen: string;
                    };
                };
                "Burial-graveFeature-default": {
                    values: {
                        Brandbestattung: string;
                        Kenotaph: string;
                        Körperbestattung: string;
                        Ossuar: string;
                        "Teil-K\u00F6rperbestattung": string;
                    };
                };
                "Burial-positionArms-default": {
                    values: {
                        "Unsicher bzw. unbestimmbar": string;
                        "am Kinn": string;
                        "an den Seiten": string;
                        "auf dem Bauch": string;
                        "auf dem Becken": string;
                        "auf der Brust": string;
                        ungleichmäßig: string;
                    };
                };
                "Burial-positionLegs-default": {
                    values: {
                        "Beine angewinkelt": string;
                        Beinhocker: string;
                        Extremhocker: string;
                        Hocker: string;
                        "Unsicher bzw. unbestimmbar": string;
                        gestreckt: string;
                    };
                };
                "Burial-positioningIndividuals-default": {
                    values: {
                        Bauchlage: string;
                        Rückenlage: string;
                        "Seitenlage, links": string;
                        "Seitenlage, rechts": string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Building-architecturalOrders-default": {
                    values: {
                        "Dorische Ordnung": string;
                        "Ionische Ordnung": string;
                        "Komposite Ordnung": string;
                        "Korinthische Ordnung": string;
                        "Toskanische Ordnung": string;
                    };
                };
                "Building-buildingCategory-default": {
                    values: {
                        Altar: string;
                        Amphitheater: string;
                        Basilika: string;
                        Bogen: string;
                        Brücke: string;
                        Circus: string;
                        Gymnasium: string;
                        Mauerkurtine: string;
                        Nymphäum: string;
                        Odeion: string;
                        Strasse: string;
                        Stützmauer: string;
                        Säulenhalle: string;
                        Tempel: string;
                        Theater: string;
                        Therme: string;
                        Turm: string;
                        Wohnbau: string;
                        Grabbau: string;
                        Toranlage: string;
                    };
                };
                "Building-buildingCategorySpecific-default": {
                    values: {
                        Aediculabau: string;
                        Atriumhaus: string;
                        Bogen: string;
                        Dipteros: string;
                        Ehrenbogen: string;
                        Ehrensäule: string;
                        Hoftempel: string;
                        Palast: string;
                        Palästra: string;
                        Peripteros: string;
                        "Peripteros sine portico": string;
                        Peristylhaus: string;
                        "Pseudo-Dipteros": string;
                        "Pseudo-Peripteros": string;
                        Rednertribüne: string;
                        Rundbau: string;
                        Schatzhaus: string;
                        Terassenheiligtum: string;
                        Tholos: string;
                        Torbogen: string;
                        Triumphbogen: string;
                        Tumulus: string;
                        Villa: string;
                        dreischiffig: string;
                        fünfschiffig: string;
                        "griechisches Theater": string;
                        "r\u00F6misches Theater": string;
                        vierschiffig: string;
                        zweischiffig: string;
                    };
                };
                "Building-buildingTechnique-default": {
                    values: {
                        Blockverbandmauerwerk: string;
                        Bruchsteinmauerwerk: string;
                        Feldsteinmauerwerk: string;
                        Kyklopenmauerwerk: string;
                        Lehmziegelmauerwerk: string;
                        "Mischform Polygonal-/Quadermauerwerk": string;
                        "Opus Caementitium": string;
                        Polygonalmauerwerk: string;
                        Quadermauerwerk: string;
                        Spolienmauerwerk: string;
                        "Unregelm\u00E4\u00DFiges Polygonalmauerwerk": string;
                        Ziegelmauerwerk: string;
                        "irregul\u00E4res Mauerwerk": string;
                        "regelm\u00E4\u00DFiges Polygonalmauerwerk": string;
                        "regelm\u00E4\u00DFiges Quadermauerwerk": string;
                        "regelm\u00E4\u00DFiges Trapezoidalmauerwerk": string;
                        "unregelm\u00E4\u00DFiges Quadermauerwerk": string;
                        "unregelm\u00E4\u00DFiges Trapezoidalmauerwerk": string;
                        "unspezifisches Mauerwerk": string;
                    };
                };
                "Building-buildingType-default": {
                    values: {
                        Befestigung: string;
                        Haus: string;
                        Lager: string;
                        Werkstatt: string;
                    };
                };
                "Building-condition-default": {
                    values: {
                        "sehr gut": string;
                        gut: string;
                        mittel: string;
                        schlecht: string;
                        "sehr schlecht": string;
                    };
                };
                "Building-conditionAmount-default": {
                    values: {
                        Fragmentarisch: string;
                        Vollständig: string;
                        "Vollst\u00E4ndig zerst\u00F6rt": string;
                    };
                };
                "Building-context-default": {
                    values: {
                        Akropolis: string;
                        Forum: string;
                        Handwerksviertel: string;
                        Heiligtum: string;
                        Nekropole: string;
                        Wohnviertel: string;
                    };
                };
                "Building-material-default": {
                    values: {
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Ziegel: string;
                    };
                };
                "Building-material-default-2": {
                    values: {
                        Ziegel: string;
                        Beton: string;
                        Glas: string;
                        Mörtel: string;
                        Fliesen: string;
                        Blei: string;
                        Eisen: string;
                        Erde: string;
                        Gips: string;
                        Holz: string;
                        Kunststoff: string;
                        Lehm: string;
                        Metall: string;
                        Naturstein: string;
                        Putz: string;
                        Stahl: string;
                        Stahlbeton: string;
                        Stuck: string;
                        "Unbekannt/Unerkannt": string;
                        Holzwerkstoff: string;
                    };
                };
                "Building-material-default-3": {
                    values: {
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Ziegel: string;
                        Fliesen: string;
                        "Unbekannt/Unerkannt": string;
                        Beton: string;
                        Blei: string;
                        Eisen: string;
                        Erde: string;
                        Gips: string;
                        Glas: string;
                        Holz: string;
                        Kunststoff: string;
                        Lehm: string;
                        Metall: string;
                        Mörtel: string;
                        Naturstein: string;
                        Putz: string;
                        Stahl: string;
                        Stahlbeton: string;
                        Stuck: string;
                        Holzwerkstoff: string;
                    };
                };
                "Wood-color-default": {
                    values: {
                        braun: string;
                        haselnuss: string;
                        schwarz: string;
                    };
                };
                "Wood-objectType-default": {
                    values: {
                        Architektur: string;
                        Altar: string;
                        Anhänger: string;
                        Gefäß: string;
                        Gerät: string;
                        Grabbehältnis: string;
                        Grabmarkierung: string;
                        Grabplatte: string;
                        Gussform: string;
                        "Kasten/Kiste": string;
                        Löffel: string;
                        Mobiliar: string;
                        "Plastik/Skulptur": string;
                        Produktionsrest: string;
                        Ring: string;
                        Sarkophag: string;
                        Schmuck: string;
                        Spielzeug: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Wood-typeOfWood-default": {
                    values: {
                        Ahorn: string;
                        Apfel: string;
                        Birke: string;
                        Birne: string;
                        Buche: string;
                        Eibe: string;
                        Eiche: string;
                        Erle: string;
                        Esche: string;
                        Fichte: string;
                        Kastanie: string;
                        Kiefer: string;
                        Kirsche: string;
                        Lerche: string;
                        Linde: string;
                        Nußbaum: string;
                        Pappel: string;
                        Tanne: string;
                        Ulme: string;
                        Weide: string;
                        Zeder: string;
                    };
                };
                "Wood-manufacturingMethod-default": {
                    values: {
                        Gebohrt: string;
                        Gedämpft: string;
                        Gedreht: string;
                        Gefräst: string;
                        Gehobelt: string;
                        Gesägt: string;
                        Geschabt: string;
                        Geschliffen: string;
                        Geschnitzt: string;
                        Gespalten: string;
                    };
                };
                "Wood-surfaceCondition-default": {
                    values: {
                        Brandspuren: string;
                        "Keine Brandspuren": string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Wood-decorationTechnique-default": {
                    values: {
                        Applik: string;
                        "Bemalung (Enkaustik)": string;
                        "Bemalung (Eitemperatechnik)": string;
                        Intarsie: string;
                        Relief: string;
                        Ritzung: string;
                        Schnitzung: string;
                        Sgraffito: string;
                        "Vergoldung/metallischer \u00DCberzug": string;
                    };
                };
                "Wood-paintCondition-default": {
                    values: {
                        "gut erhalten": string;
                        abblätternd: string;
                        verrieben: string;
                        verwaschen: string;
                        "stark abgerieben": string;
                        "nicht erhalten": string;
                    };
                };
                "Architecture-blockProcessing-default": {
                    values: {
                        Bruchsteine: string;
                        Hausteine: string;
                        Lesesteine: string;
                        Werksteine: string;
                    };
                };
                "Architecture-blockTreatment-default": {
                    values: {
                        bossiert: string;
                        bruchbau: string;
                        "fein gegl\u00E4ttet": string;
                        gespitzt: string;
                        gestockt: string;
                        "grob behauen": string;
                        "grob gegl\u00E4ttet": string;
                        scharriert: string;
                        unbehauen: string;
                    };
                };
                "Architecture-brickwork-default": {
                    values: {
                        Binderverband: string;
                        Blockverband: string;
                        "Fl\u00E4mischer Verband": string;
                        "Holl\u00E4ndischer Verband": string;
                        Kreuzverband: string;
                        Läuferverband: string;
                        "M\u00E4rkischer Verband": string;
                    };
                };
                "Architecture-construction-default": {
                    values: {
                        "Fundament: Gesch\u00FCttet": string;
                        "Fundament: gesetzt": string;
                        "Mauerkern: Lesesteine": string;
                        "einschalig vor Feld/Hang": string;
                        "ohne Schalen/keine durchgehenden Lagen": string;
                        "ohne Schalen/nur durchgehende Lagen": string;
                        zweischalig: string;
                        "zweischalig mit Binderlagen": string;
                    };
                };
                "Architecture-mortarBinder-default": {
                    values: {
                        dominant: string;
                        gering: string;
                        hoch: string;
                        mittel: string;
                    };
                };
                "Architecture-mortarConsistency-default": {
                    values: {
                        brüchig: string;
                        "erdig/lehmig": string;
                        fest: string;
                        hart: string;
                        locker: string;
                        mittelfein: string;
                        pulverig: string;
                        sandig: string;
                    };
                };
                "Architecture-wallClassification-default": {
                    values: {
                        Aufgehendes: string;
                        Fensterzusetzung: string;
                        Flickung: string;
                        Fundament: string;
                        Gewölbe: string;
                        Mauer: string;
                        Mauerbettung: string;
                        Mauerdurchbruch: string;
                        Mosaik: string;
                        "Opus sectile": string;
                        Türzusetzung: string;
                        Wandgestaltung: string;
                    };
                };
                "Architecture-wallType-default": {
                    values: {
                        Außenmauer: string;
                        Befestigugsmauer: string;
                        Blockmauerwerk: string;
                        Bruchsteinmauer: string;
                        Fachwerk: string;
                        Feldsteinmauer: string;
                        Grenzmauer: string;
                        Ziegelmauer: string;
                    };
                };
                "Place-findspotClassification-default": {
                    values: {
                        Einzelmauer: string;
                        Felsabarbeitung: string;
                        Funderfassung: string;
                        Fundsammlung: string;
                        Grab: string;
                        Nekropole: string;
                        "Spolie in rezenter Mauer": string;
                        Steinbruch: string;
                        "Stra\u00DFe/Platz": string;
                        "Wein- bzw. \u00D6lpresse": string;
                        "einzelnes Steindenkmal": string;
                        "l\u00E4ndliches Geb\u00E4ude": string;
                        "urbanes Geb\u00E4ude": string;
                    };
                };
                "Place-siteClassification-default": {
                    values: {
                        Bestattungsplatz: string;
                        Siedlung: string;
                    };
                };
                "Layer-consistency-default": {
                    values: {
                        "Durch Brand versiegelt": string;
                        "Oberfl\u00E4che abgewaschen": string;
                        "Oberfl\u00E4che verh\u00E4rtet": string;
                        fest: string;
                        flüssig: string;
                        "gut formbar": string;
                        hart: string;
                        lehmig: string;
                        locker: string;
                        "mittel bindend": string;
                        "mittel formbar": string;
                        "nicht bindend": string;
                        "nicht formbar": string;
                        porös: string;
                        sandig: string;
                        "schwach bindend": string;
                        "schwach formbar": string;
                        "sehr gut formbar": string;
                        "sehr hart": string;
                        "sehr schwach formbar": string;
                        "sehr weich": string;
                        "stark bindend": string;
                        steif: string;
                        weich: string;
                    };
                };
                "Layer-distinguishingCriteria-default": {
                    values: {
                        Farbe: string;
                        Form: string;
                        Grenzen: string;
                        Konsistenz: string;
                        Komposition: string;
                    };
                };
                "Layer-layerClassification-default": {
                    values: {
                        Brandschicht: string;
                        Kulturschicht: string;
                        Laufhorizont: string;
                        Planierschicht: string;
                    };
                };
                "Layer-soilType-default": {
                    values: {
                        Feinsand: string;
                        Feinstsand: string;
                        Grobsand: string;
                        Lehm: string;
                        "Lehmiger Sand": string;
                        "Lehmiger Schluff": string;
                        "Lehmiger Ton": string;
                        Mergel: string;
                        "Mittlerer Sand": string;
                        Sand: string;
                        "Sandiger Lehm": string;
                        "Sandiger Schluff": string;
                        "Sandiger Ton": string;
                        Schluff: string;
                        "Schluffiger Lehm": string;
                        "Schluffiger Sand": string;
                        "Schluffiger Ton": string;
                        Ton: string;
                        "Toniger Lehm": string;
                        "Toniger Sand": string;
                        "Toniger Schluff": string;
                    };
                };
                "Feature-featureBorders-default": {
                    values: {
                        deutlich: string;
                        diffus: string;
                        eben: string;
                        erahnbar: string;
                        erkennbar: string;
                        "etwas verwaschen": string;
                        fließend: string;
                        geneigt: string;
                        gezackt: string;
                        regelmäßig: string;
                        scharf: string;
                        "sehr deutlich": string;
                        undeutlich: string;
                        uneben: string;
                        unklar: string;
                        unregelmäßig: string;
                        verwaschen: string;
                        wellig: string;
                    };
                };
                "Feature-featureForm-default": {
                    values: {
                        Befundrest: string;
                        "U-f\u00F6rmig": string;
                        "V-f\u00F6rmig": string;
                        annähernd: string;
                        formlos: string;
                        halbmondförmig: string;
                        kesselförmig: string;
                        langgezogen: string;
                        oval: string;
                        rechteckig: string;
                        regelmäßig: string;
                        rund: string;
                        sanduhrförmig: string;
                        trapezförmig: string;
                        trichterförmig: string;
                        unregelmäßig: string;
                        wannenförmig: string;
                    };
                };
                "Floor-floorClassification-default": {
                    values: {
                        Bastmatten: string;
                        Korkboden: string;
                        Mosaik: string;
                        "Opus sectile": string;
                        "Opus signinum": string;
                        Pflaster: string;
                        Stampflehm: string;
                        Terrazzo: string;
                        Webmatten: string;
                        Ziegel: string;
                    };
                };
                "Inscription-objectType-default": {
                    values: {
                        "Allt\u00E4glicher Gebrauch": string;
                        Bauinschrift: string;
                        Ehreninschrift: string;
                        "Grabinschrift (Inschrift im Grabkontext)": string;
                        "Private Ausstattung": string;
                        "Sakrale Ausstattung": string;
                        "Unsicher bzw. unbestimmbar": string;
                        Urkunde: string;
                        Wasserversorgung: string;
                        Weihinschrift: string;
                        "\u00D6ffentliche Ausstattung": string;
                    };
                };
                "Pottery-clayHardness-default": {
                    values: {
                        "1 (Fingernagel schabt, ritzt leicht)": string;
                        "2 (Fingernagel ritzt)": string;
                        "3 (Messerspitze ritzt leicht)": string;
                        "4 (Messerspitze ritzt)": string;
                        "5 (Messerspitze ritzt schwer)": string;
                        "6 (Fensterglas ritzt schwer, Stahlfeile ritzt)": string;
                        "7-10 (Fensterglas wird geritzt, Stahl schl\u00E4gt Funken)": string;
                    };
                };
                "Pottery-coatInside-default": {
                    values: {
                        Glasur: string;
                        Redslip: string;
                        Schwarzfirnis: string;
                        Tongrundig: string;
                    };
                };
                "Pottery-coatInsideType-default": {
                    values: {
                        Andere: string;
                        Bemalung: string;
                        Geglättet: string;
                        Glasur: string;
                        Poliert: string;
                        Verstrichen: string;
                        Überzug: string;
                    };
                };
                "Pottery-decorationTechnique-default": {
                    values: {
                        Bemalung: string;
                        "Fadendekor (aufgelegt)": string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        Stempel: string;
                        Stempeldekor: string;
                        Tupfendekor: string;
                        Warzendekor: string;
                    };
                };
                "Pottery-manufacturingMethod-default": {
                    values: {
                        "gedreht (auf Drehscheibe)": string;
                        gegossen: string;
                        gepresst: string;
                        handgeformt: string;
                        "in Form gedreht": string;
                        "nachgedreht (\u00FCberdreht)": string;
                    };
                };
                "Pottery-materialType-default": {
                    values: {
                        "Feinkeramik (Feine Ware)": string;
                        "Gebrauchskeramik (Grobe Ware)": string;
                    };
                };
                "Pottery-objectType-default": {
                    values: {
                        Altar: string;
                        Anhänger: string;
                        Antefix: string;
                        Becken: string;
                        Einlage: string;
                        Gefäß: string;
                        Gerät: string;
                        Gussform: string;
                        Kette: string;
                        Kohlebecken: string;
                        Lampe: string;
                        Löffel: string;
                        Perle: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Ring: string;
                        Sarkophag: string;
                        Schmuck: string;
                        Siegel: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Webgewicht: string;
                        Werkzeug: string;
                    };
                };
                "Pottery-specificType-default": {
                    values: {
                        "Arretina schwarz": string;
                        "Attisch farbig aufgeh\u00F6hte Schwarzglanzton Ware": string;
                        "Attische Keramik": string;
                        "Attische Rotfigurige Keramik": string;
                        "Attische Schwarzfigurige Keramik": string;
                        "Attische Schwarzglanzton Ware": string;
                        "Bemalte Keramik": string;
                        "Bemalte Ware (floral)": string;
                        "Bemalte Ware (linear)": string;
                        "Bichrome Ware": string;
                        "Campana A": string;
                        "Campana B": string;
                        "Campana B Imitation": string;
                        "Campana B-oid": string;
                        "Campana C": string;
                        "D\u00FCnnwandige Feinkeramik": string;
                        Firnisware: string;
                        "Glasierte Keramik": string;
                        "Glattwandige Ware": string;
                        Hand: string;
                        "Korinthische Keramik": string;
                        Küchenware: string;
                        "Ostgriechische Keramik": string;
                        "Pr\u00E4historische Keramik": string;
                        "Red Slip Ware": string;
                        "Schlichte Ware": string;
                        "Schwarzglanzton Ware": string;
                        "Terra sigilata": string;
                    };
                };
                "Pottery-temperAmount-default": {
                    values: {
                        "Keine Einschl\u00FCsse": string;
                        Mittel: string;
                        "Nicht erkennbar": string;
                        "Sehr Viel": string;
                        Vereinzelt: string;
                        Viel: string;
                        Wenig: string;
                    };
                };
                "Pottery-temperParticles-default": {
                    values: {
                        fein: string;
                        grob: string;
                        mittel: string;
                        mittelfein: string;
                        "sehr fein": string;
                        "sehr grob": string;
                    };
                };
                "Pottery-vesselForm-default": {
                    values: {
                        Amphore: string;
                        Aschenurne: string;
                        Becher: string;
                        Deckel: string;
                        Deckelgefäß: string;
                        Flasche: string;
                        "Geschlossenes Gef\u00E4\u00DF": string;
                        Kanne: string;
                        Kasserole: string;
                        Kochschüssel: string;
                        Krug: string;
                        Napf: string;
                        "Offenes Gef\u00E4\u00DF": string;
                        Pfanne: string;
                        Räuchergefäß: string;
                        Schale: string;
                        Schüssel: string;
                        Tasse: string;
                        Teller: string;
                        "Teller/Untersatz": string;
                        Topf: string;
                        Unbestimmt: string;
                        Vorratsgefäß: string;
                    };
                };
                "Pottery-vesselFormSpecific-default": {
                    values: {
                        Alabastron: string;
                        Amphoriskos: string;
                        Aryballos: string;
                        Balsamarium: string;
                        Dattelflasche: string;
                        Faltenbecher: string;
                        Fischteller: string;
                        Glockenbecher: string;
                        Handelsamphore: string;
                        Hydria: string;
                        Kopfflasche: string;
                        Kotyle: string;
                        Kragenschale: string;
                        Krater: string;
                        Kylix: string;
                        Lekane: string;
                        Lekythos: string;
                        Luterion: string;
                        Lutrophore: string;
                        Miscellanea: string;
                        Oinochoe: string;
                        Pelike: string;
                        Pithos: string;
                        Pyxis: string;
                        Salznapf: string;
                        Skyphos: string;
                        Spitzamphora: string;
                        Sprenkler: string;
                        Stamnos: string;
                        Tierflasche: string;
                        Tischamphore: string;
                        Tränenfläschchen: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zylindrische Flasche": string;
                    };
                };
                "Grave-graveType-default": {
                    values: {
                        Baumsargbestattung: string;
                        Brandgrubengrab: string;
                        Brandschüttung: string;
                        Doliengrab: string;
                        Dolmen: string;
                        Erdgrab: string;
                        Felsgrab: string;
                        Felsnischengrab: string;
                        Flachgrab: string;
                        Ganggrab: string;
                        Gefäßbestattung: string;
                        "Gemauertes Grab": string;
                        Glockengrab: string;
                        Gruft: string;
                        Hügelgrab: string;
                        Kistengrab: string;
                        Mausoleum: string;
                        Megalithgrab: string;
                        Schachthöhlengrab: string;
                        Steineinfassung: string;
                        Steinplattengrab: string;
                        Urnengrab: string;
                        Ziegelplattengrab: string;
                    };
                };
                "Grave-specificType-default": {
                    values: {
                        Amphorenbestattung: string;
                        "In Dinos": string;
                        "In Krug": string;
                        "a cappuccina": string;
                        "bruchsteingemauertes Grab": string;
                        "quadergemauertes Grab": string;
                        "ziegelgemauertes Grab": string;
                    };
                };
                "Grave-tombBuilding-default": {
                    values: {
                        Bruchsteingemauert: string;
                        Quadergemauert: string;
                        Ziegelgemauert: string;
                    };
                };
                "Bone-biologicalAge-default": {
                    values: {
                        "Adult (18/20-40)": string;
                        "Fetus/Neonatus": string;
                        "Infans I (0-7)": string;
                        "Infans II (7-13)": string;
                        "Juvenil (13-18/20)": string;
                        "Matur (40-60)": string;
                        "Senil (60 <)": string;
                    };
                };
                "Bone-boneClassification-default": {
                    values: {
                        "Becken (Pelvis)": string;
                        "Brustbein (Sternum)": string;
                        "Elle (Ulna)": string;
                        "Fingerknochen (Phalanges)": string;
                        Fußknochen: string;
                        Handknochen: string;
                        "Kniescheibe (Patella)": string;
                        Langknochen: string;
                        "Oberarm (Humerus)": string;
                        "Oberschenkel (Femur)": string;
                        Rippen: string;
                        "Schienenbein (Tibia)": string;
                        "Schl\u00FCsselbein (Clavicula)": string;
                        "Schulterblatt (Scapula)": string;
                        "Sch\u00E4del (Cranium)": string;
                        "Speiche (Radius)": string;
                        Steißbein: string;
                        Undefinierbar: string;
                        "Unterkiefer (Mandibula)": string;
                        "Wadenbein (Fibula)": string;
                        Wirbel: string;
                        Zahn: string;
                    };
                };
                "Bone-boneType-default": {
                    values: {
                        Elfenbein: string;
                        Horn: string;
                        Menschenknochen: string;
                        Tierknochen: string;
                    };
                };
                "Bone-burningGrade-default": {
                    values: {
                        "I - 200\u00B0-300\u00B0C - Verf\u00E4rbung etwa gelblichwei\u00DF-elfenbein glasig": string;
                        "II - 300\u00B0-400\u00B0C - Verf\u00E4rbung etwa braun-dunkelbraun/schwarz": string;
                        "III - um 550\u00B0C - Verf\u00E4rbung etwa grau/blaugrau-milchig hellgrau": string;
                        "IV - 650\u00B0-750\u00B0C - Verf\u00E4rbung etwa milchig wei\u00DF-mattwei\u00DF/kreideartig": string;
                        "V - ab 800\u00B0C - Verf\u00E4rbung etwa altwei\u00DF/schmutzigwei\u00DF": string;
                    };
                };
                "Bone-sex-default": {
                    values: {
                        Männlich: string;
                        Weiblich: string;
                    };
                };
                "Bone-objectType-default": {
                    values: {
                        Anhänger: string;
                        Armreif: string;
                        Astragal: string;
                        "Bearbeitet (allgemein)": string;
                        Einlage: string;
                        Gefäß: string;
                        Gerät: string;
                        Kette: string;
                        Löffel: string;
                        Perle: string;
                        Ring: string;
                        Schmuck: string;
                        Spielstein: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Weinheber: string;
                        Werkzeug: string;
                    };
                };
                "Bone-species-default": {
                    values: {
                        Biber: string;
                        Fisch: string;
                        "G\u00E4nsevogel (z. B. Gans, Schwan oder Ente)": string;
                        "Hasenartige (Lagomorpha)  (z. B. Hase, Pfeifhase oder Kaninchen)": string;
                        Hirsch: string;
                        "Nagetier (z.B. Maus, Ratte etc.)": string;
                        Rind: string;
                        Schwein: string;
                        Vogel: string;
                        "Ziegenartige (z. B. Schaf, Ziege)": string;
                    };
                };
                "Terracotta-clayStructure-default": {
                    values: {
                        hart: string;
                        "klingend hart": string;
                        mittel: string;
                        weich: string;
                    };
                };
                "Terracotta-surfaceCondition-default": {
                    values: {
                        Brandspuren: string;
                        Sekundärbrand: string;
                        abblätternd: string;
                        "gut erhalten": string;
                        "stark abgerieben": string;
                        "starke Sinter- oder M\u00F6rtelablagerungen": string;
                        verrieben: string;
                        versintert: string;
                        verwaschen: string;
                    };
                };
                "Terracotta-vesselForm-default": {
                    values: {
                        Amphore: string;
                        Aschenurne: string;
                        Becher: string;
                        Deckel: string;
                        Deckelgefäß: string;
                        Flasche: string;
                        Krug: string;
                        Napf: string;
                        Schale: string;
                        Schüssel: string;
                        Tasse: string;
                        Teller: string;
                        Topf: string;
                        Unbestimmt: string;
                        Vorratsgefäß: string;
                    };
                };
                "Terracotta-vesselFormSpecific-default": {
                    values: {
                        Alabastron: string;
                        Amphoriskos: string;
                        Aryballos: string;
                        Balsamarium: string;
                        Dattelflasche: string;
                        Faltenbecher: string;
                        Hydria: string;
                        Kopfflasche: string;
                        Kotyle: string;
                        Kragenschale: string;
                        Krater: string;
                        Kylix: string;
                        Lekythos: string;
                        Luterion: string;
                        Lutrophore: string;
                        Oinochoe: string;
                        Pelike: string;
                        Pithos: string;
                        Skyphos: string;
                        Spitzamphora: string;
                        Stamnos: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zylindrische Flasche": string;
                    };
                };
                "Drawing-drawingMaterial-default": {
                    values: {
                        "Digitale Datei": string;
                        Folie: string;
                        Karton: string;
                        Lichtpause: string;
                        Mikrofilm: string;
                        Millimeterpapier: string;
                        Papier: string;
                        Photoabzüge: string;
                        Transparentfilm: string;
                        Transparentpapier: string;
                    };
                };
                "Drawing-drawingTool-default": {
                    values: {
                        Bleistift: string;
                        Buntstift: string;
                        Tusche: string;
                        "digital erstellt": string;
                    };
                };
                "Drawing-drawingType-default": {
                    values: {
                        "AutoCAD Zeichnung (auch TachyCAD)": string;
                        Handzeichnung: string;
                        Pantograf: string;
                    };
                };
                "Drawing-scale-default": {
                    values: {
                        "1:1": string;
                        "1:10": string;
                        "1:100": string;
                        "1:1000": string;
                        "1:10000": string;
                        "1:20": string;
                        "1:50": string;
                        "1:500": string;
                        "1:5000": string;
                    };
                };
                "Survey-researchMethod-default": {
                    values: {
                        Befliegung: string;
                        Begehung: string;
                        Geoelektrik: string;
                        Geomagnetik: string;
                        Georadar: string;
                        LIDAR: string;
                        "Luft- oder Satellitenbilder": string;
                        Quadratisch: string;
                        Regelmäßig: string;
                        Seismik: string;
                    };
                };
                "Stone-architectureElement-default": {
                    values: {
                        Akroter: string;
                        Architrav: string;
                        Archtitravfriesblock: string;
                        Basis: string;
                        Bauplastik: string;
                        Fries: string;
                        Gesims: string;
                        Kapitell: string;
                        Konsole: string;
                        Profilstück: string;
                        Quaderblock: string;
                        Rinne: string;
                        Schrankenplatte: string;
                        Schwellenblock: string;
                        Sima: string;
                        Säule: string;
                        Wandverkleidung: string;
                    };
                };
                "Stone-material-default": {
                    values: {
                        Andesit: string;
                        Basalt: string;
                        Feldspat: string;
                        Flint: string;
                        Glimmer: string;
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Sinter: string;
                        Trachyt: string;
                        Tuff: string;
                    };
                };
                "Stone-objectType-default": {
                    values: {
                        Abschlag: string;
                        Altar: string;
                        Anhänger: string;
                        Architekturdekor: string;
                        Bauglied: string;
                        Becken: string;
                        Einlage: string;
                        Einsatzkopf: string;
                        Fußbodenfragment: string;
                        Gefäß: string;
                        Gerät: string;
                        Grabmarkierung: string;
                        Grabplatte: string;
                        Gussform: string;
                        Herme: string;
                        Inkrustation: string;
                        Lampe: string;
                        Löffel: string;
                        Mahlstein: string;
                        Mobiliar: string;
                        Mörser: string;
                        Perle: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Reibstein: string;
                        Ring: string;
                        Rührstab: string;
                        Sarkophag: string;
                        Schmuck: string;
                        Siegel: string;
                        Spielbrett: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        Spolie: string;
                        Statuenbasis: string;
                        Stele: string;
                        Tessera: string;
                        Tischfuß: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Webgewicht: string;
                        Werkzeug: string;
                        Ölpresse: string;
                    };
                };
                "Stone-origin-default": {
                    values: {
                        Alpen: string;
                        Anatolien: string;
                        Chimtou: string;
                        Harz: string;
                        Kreta: string;
                        Sizilien: string;
                    };
                };
                "Coin-denomination-default": {
                    values: {
                        "1 1/2 Skripula": string;
                        "1 1/2 Solidus": string;
                        "1/2 Stater (Hemistater)": string;
                        "1/30 Drachme": string;
                        "1/4  Stater (Tetarte)": string;
                        "1/4 Einheit": string;
                        "1/5 Drachme": string;
                        "2 Solidus": string;
                        "3 Solidus": string;
                        "4 1/2 Solidus": string;
                        "60 As": string;
                        "9 Siliqua": string;
                        "9 Solidus": string;
                        "AE Gross": string;
                        "AE Klein": string;
                        "AE Medium": string;
                        "Aes 1": string;
                        "Aes 2": string;
                        "Aes 3": string;
                        "Aes 3-4": string;
                        "Aes 4": string;
                        Antoninian: string;
                        Argenteus: string;
                        As: string;
                        Aureus: string;
                        "Aureus\u00B9": string;
                        "Aureus\u00B2": string;
                        Bruchteil: string;
                        Cistophor: string;
                        Denar: string;
                        "Denar (serratus)": string;
                        Didrachme: string;
                        Diobol: string;
                        Distater: string;
                        "Doppelter Sesterz": string;
                        Drachme: string;
                        Dupondius: string;
                        "Gold-mehrfaches": string;
                        "Grosser Aes 2": string;
                        "Halber Solidus": string;
                        "Hekte (1/6 Stater)": string;
                        Hemidrachme: string;
                        Hemiobol: string;
                        "Kleiner Aes 2": string;
                        Kontorniat: string;
                        Litra: string;
                        Medaillon: string;
                        "Miliarense (leicht)": string;
                        "Miliarense (schwer)": string;
                        Obolus: string;
                        Quadrans: string;
                        Quinar: string;
                        "Quinar Aureus": string;
                        "Reduzierte Siliqua": string;
                        "Reduzierter Aes 2": string;
                        Semis: string;
                        Semissis: string;
                        Semuncia: string;
                        Sesterz: string;
                        Sextans: string;
                        "Silber-Mehrfaches": string;
                        Siliqua: string;
                        Solidus: string;
                        Stater: string;
                        Tetradrachme: string;
                        Tremissis: string;
                        Triens: string;
                        Uncia: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Victoriatus: string;
                    };
                };
                "Coin-manufacturingMethod-default": {
                    values: {
                        Gegossen: string;
                        Geprägt: string;
                        Plattiert: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Coin-metalMaterial-default": {
                    values: {
                        Aluminium: string;
                        Billon: string;
                        Blei: string;
                        Bronze: string;
                        Eisen: string;
                        Gold: string;
                        Kupfer: string;
                        Messing: string;
                        Silber: string;
                        Stahl: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Zink: string;
                        Zinn: string;
                    };
                };
                "Coin-mint-default": {
                    values: {
                        Abdera: string;
                        Abydos: string;
                        Afrika: string;
                        Agrigent: string;
                        "Aigai (Vergina)": string;
                        Aiolis: string;
                        "Aitolischer Bund": string;
                        Akanthus: string;
                        Akkon: string;
                        Alabanda: string;
                        Alexandria: string;
                        "Alexandria Troas": string;
                        Alexandrien: string;
                        Amasra: string;
                        Amathus: string;
                        "Ambianum (Amiens)": string;
                        Ambracia: string;
                        Amiens: string;
                        Amisus: string;
                        Amphipolis: string;
                        Amrit: string;
                        Anaktorio: string;
                        Antiochia: string;
                        "Antiochia (Antakya)": string;
                        "Antiochia am Orontes": string;
                        "Apameia Kibotos": string;
                        "Apameia am Orontes": string;
                        Apollonia: string;
                        Apulien: string;
                        Aquileia: string;
                        "Archaiischer Bund": string;
                        "Arelate (Arles)": string;
                        Argos: string;
                        "Argos Amphilochicum": string;
                        Arles: string;
                        Arpi: string;
                        Aruad: string;
                        "Asia Minor": string;
                        Asien: string;
                        Aspendos: string;
                        Assos: string;
                        Astibus: string;
                        Athen: string;
                        Aydın: string;
                        Babylon: string;
                        "Barcino (Barcelona)": string;
                        Beirut: string;
                        Bozcaada: string;
                        Byblos: string;
                        Byzantion: string;
                        Böotien: string;
                        Caesaraugusta: string;
                        "Caesarea in Kappadokien": string;
                        Cales: string;
                        "Camulodunum (Colchester)": string;
                        "Canosa di Puglia": string;
                        Carnuntum: string;
                        "Carthago (Tunis)": string;
                        Catania: string;
                        Caulonia: string;
                        Chalcedon: string;
                        Chalkida: string;
                        Chalkidiki: string;
                        Chersones: string;
                        Chios: string;
                        Colchester: string;
                        "Colonia Agrippina (K\u00F6ln)": string;
                        "Colonia Patricia": string;
                        Comitatenses: string;
                        "Constantinopolis (Istanbul)": string;
                        Crotone: string;
                        Cyme: string;
                        Damaskus: string;
                        "Diesseitiges Gallian / Norditalien": string;
                        Dionysopolis: string;
                        Dyrrhachium: string;
                        Ekbatana: string;
                        Elea: string;
                        Elis: string;
                        Emerita: string;
                        Empüries: string;
                        Ephesos: string;
                        Eretria: string;
                        Erythrai: string;
                        Etrurien: string;
                        Euböa: string;
                        Foça: string;
                        Gallien: string;
                        Gela: string;
                        Germe: string;
                        Gortyn: string;
                        Halikarnassos: string;
                        Harran: string;
                        Heraclea: string;
                        Herakleia: string;
                        "Herakleia Pontike": string;
                        Himera: string;
                        Hispanien: string;
                        "Hispanien-Punisch": string;
                        Histria: string;
                        Homs: string;
                        Ibiza: string;
                        Idalion: string;
                        Italien: string;
                        "Italien (S\u00FCdosten)": string;
                        Kabile: string;
                        Kamarina: string;
                        Karien: string;
                        Karthago: string;
                        Karystos: string;
                        Kelenderis: string;
                        Kertsch: string;
                        Klazomenai: string;
                        Knidos: string;
                        Kolchis: string;
                        Kolophon: string;
                        Konstantinopel: string;
                        Korfu: string;
                        Korinth: string;
                        "Korinthischer Bund": string;
                        Kos: string;
                        Kydonia: string;
                        Kyrenaika: string;
                        Kyrene: string;
                        Kyzikos: string;
                        Köln: string;
                        Lampsakos: string;
                        "Laodikeia am Lykos": string;
                        Lapta: string;
                        Larissa: string;
                        Larnaka: string;
                        Latakia: string;
                        Lefkada: string;
                        Lentini: string;
                        Lete: string;
                        Locri: string;
                        "Locri Opuntii (Opus)": string;
                        Londinium: string;
                        Lucera: string;
                        Lugdunum: string;
                        Lydien: string;
                        Lykien: string;
                        Lysimacheia: string;
                        Lyttos: string;
                        "Magnesia am M\u00E4ander": string;
                        Mainz: string;
                        Makedonien: string;
                        "Makedonien (1. Region)": string;
                        Mangalia: string;
                        Marmetini: string;
                        Maroneia: string;
                        Marseille: string;
                        Mediolanum: string;
                        Megalopoli: string;
                        Memphis: string;
                        Messene: string;
                        Messina: string;
                        Metapont: string;
                        Milas: string;
                        Milet: string;
                        Mithymna: string;
                        Mittelitalien: string;
                        Myriandrus: string;
                        Myrina: string;
                        Mytilini: string;
                        Narbo: string;
                        Naxos: string;
                        Neapel: string;
                        Nessebar: string;
                        Nikomedia: string;
                        Nisibis: string;
                        Nuceria: string;
                        Olbia: string;
                        Oreus: string;
                        Oria: string;
                        "Ostia Antica": string;
                        Ouranoupolis: string;
                        Paestum: string;
                        Paphos: string;
                        Parion: string;
                        Paros: string;
                        Pella: string;
                        Peloponnes: string;
                        Pergamon: string;
                        Perge: string;
                        Persien: string;
                        Phanagoria: string;
                        Phaselis: string;
                        Phokis: string;
                        Priene: string;
                        "Prusias ad Hypium": string;
                        Ravenna: string;
                        "Reggio Calabria": string;
                        "Republik Zypern": string;
                        Rhodos: string;
                        Rom: string;
                        Rouen: string;
                        Salamis: string;
                        Samos: string;
                        Sardes: string;
                        Sardinien: string;
                        Segesta: string;
                        "Seleukia Pieria": string;
                        "Seleukia am Tigris": string;
                        Selinus: string;
                        Sestos: string;
                        Side: string;
                        Sidon: string;
                        Sikyon: string;
                        Sinop: string;
                        Sirmium: string;
                        Sisak: string;
                        Sizilien: string;
                        "Sizilien 2 (Republican period)": string;
                        "Sizilisch-Punisch": string;
                        Smyrna: string;
                        Sofia: string;
                        Soloi: string;
                        Sosopol: string;
                        "Susa (Persien)": string;
                        Sybaris: string;
                        Syrakus: string;
                        Syrien: string;
                        "S\u00FCdgallische M\u00FCnzst\u00E4tte": string;
                        Tanagra: string;
                        Taras: string;
                        Tarraco: string;
                        Tarsus: string;
                        Tegea: string;
                        Temnus: string;
                        Teos: string;
                        Terina: string;
                        Tessin: string;
                        Thasos: string;
                        "Thessalische Liga": string;
                        Thessalonica: string;
                        Thessaloniki: string;
                        Thiva: string;
                        Thrakien: string;
                        Thurioi: string;
                        Thyrrheium: string;
                        Trier: string;
                        "Tripoli (Libanon)": string;
                        Tyros: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Viminatium: string;
                        Vindobona: string;
                        Warna: string;
                        Zancle: string;
                        Äegina: string;
                        Äeneas: string;
                        Äetolien: string;
                    };
                };
                "Coin-mintingRuler-default": {
                    values: {
                        Constans: string;
                        Domitian: string;
                        "Kaiser Nero": string;
                        Konstantin: string;
                        Licinius: string;
                        Myrina: string;
                        Traian: string;
                        "T\u00FCrkische Republick": string;
                        "Valentianus III": string;
                    };
                };
                "Coin-stampPositioning-default": {
                    values: {
                        "- 1 Uhr": string;
                        "- 2 Uhr": string;
                        "- 3 Uhr": string;
                        "- 4 Uhr": string;
                        "- 5 Uhr": string;
                        "- 6 Uhr": string;
                        "- 7 Uhr": string;
                        "- 8 Uhr": string;
                        "- 9 Uhr": string;
                        "- 10 Uhr": string;
                        "- 11 Uhr": string;
                        "- 12 Uhr": string;
                    };
                };
                "Find-storagePlace-default": {
                    values: {
                        Landesamt: string;
                        Museum: string;
                        "Museum Bergama": string;
                        "Pergamon Depot": string;
                        Privatbesitz: string;
                        Regionalverwaltung: string;
                        Restaurierungswerkstatt: string;
                        Staatsbesitz: string;
                    };
                };
                "storagePlace-default": {
                    values: {
                        Landesamt: string;
                        Museum: string;
                        Privatbesitz: string;
                        Restaurierungswerkstatt: string;
                        Staatsbesitz: string;
                    };
                };
                "PlasterFragment-plasterComponents-default": {
                    values: {
                        Feinsand: string;
                        Grus: string;
                        Sand: string;
                    };
                };
                "Photo-originalType-default": {
                    values: {
                        "Dia bunt": string;
                        Digitalfoto: string;
                        Glasnegativ: string;
                        "Kleinbild bunt": string;
                        "Kleinbild s/w": string;
                        Messbild: string;
                        Mittelformat: string;
                        Scan: string;
                    };
                };
                "Metal-decorationTechnique-default": {
                    values: {
                        Bemalung: string;
                        Beschläge: string;
                        Emaille: string;
                        Nielloverzierung: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        Stempel: string;
                        Stempeldekor: string;
                        Vergoldung: string;
                    };
                };
                "Metal-manufacturingMethod-default": {
                    values: {
                        Getrieben: string;
                        Gußtechnik: string;
                        Prägearbeit: string;
                        Schmiedetechnik: string;
                        Ziehtechnik: string;
                    };
                };
                "Metal-objectType-default": {
                    values: {
                        Anhänger: string;
                        Armreif: string;
                        Barren: string;
                        Beschlag: string;
                        Blech: string;
                        Einlage: string;
                        Fibel: string;
                        Gefäß: string;
                        Gerät: string;
                        Gewicht: string;
                        Glocke: string;
                        Gussform: string;
                        Gusszapfen: string;
                        Halbfabrikat: string;
                        Kandelaber: string;
                        Kette: string;
                        Klinge: string;
                        Knopf: string;
                        Lampe: string;
                        Löffel: string;
                        Mobiliar: string;
                        Nadel: string;
                        Nagel: string;
                        Perle: string;
                        Pfeilspitze: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Projektil: string;
                        Reibe: string;
                        Ring: string;
                        Ringbarren: string;
                        Rührstab: string;
                        Sarkophag: string;
                        Schild: string;
                        Schlacke: string;
                        Schlüssel: string;
                        Schmiedeabfall: string;
                        Schmuck: string;
                        Schnalle: string;
                        Schreibgerät: string;
                        Siegel: string;
                        Spiegel: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        Stabbarren: string;
                        Strigilis: string;
                        Türschloss: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Wasserleitung: string;
                        Weinheber: string;
                        Werkzeug: string;
                        Zierbeschlag: string;
                    };
                };
                "Metal-vesselFormSpecific-default": {
                    values: {
                        Alabastron: string;
                        Amphoriskos: string;
                        Aryballos: string;
                        Balsamarium: string;
                        Dattelflasche: string;
                        Faltenbecher: string;
                        Glockenbecher: string;
                        Hydria: string;
                        Kopfflasche: string;
                        Kotyle: string;
                        Kragenschale: string;
                        Krater: string;
                        Kylix: string;
                        Lekythos: string;
                        Luterion: string;
                        Oinochoe: string;
                        Pelike: string;
                        Rippenschale: string;
                        Schliffrillenschale: string;
                        Skyphos: string;
                        Spitzamphora: string;
                        Sprenkler: string;
                        Stamnos: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zylindrische Flasche": string;
                    };
                };
                "Sample-sampleType-default": {
                    values: {
                        Bodenprobe: string;
                        "C14-Analyse": string;
                        Dendroprobe: string;
                        Hammerschlagsprobe: string;
                        Phosphatanalyse: string;
                        Pollenanalyse: string;
                    };
                };
                "TypeCatalog-criterion-default": {
                    values: {
                        Form: string;
                        Material: string;
                        Dekoration: string;
                        Spuren: string;
                    };
                };
                "coordinate-reference-system-default-1": {
                    values: {
                        "EPSG4326 (WGS 84)": string;
                        "EPSG3857 (WGS 84 Web Mercator)": string;
                        "Eigenes Koordinatenbezugssystem": string;
                    };
                };
                "position-values-expansion-default": {
                    values: {
                        "Minimale Ausdehnung": string;
                        "Maximale Ausdehnung": string;
                    };
                };
                "position-values-edge-default": {
                    values: {
                        Oberkante: string;
                        Unterkante: string;
                    };
                };
                "orientation-default-1": {
                    values: {
                        "N-S": string;
                        "NNO - SSW": string;
                        "NNW-SSO": string;
                        "NO-SW": string;
                        "NW-SO": string;
                        "W-O": string;
                        "WNW-OSO": string;
                        "WSW-ONO": string;
                    };
                };
                "damages-default": {
                    values: {
                        totalCollapse: string;
                        missingconst: string;
                        mechanicDamage: string;
                        crusting: string;
                        rottingstr: string;
                        partialCollapse: string;
                        looseconst: string;
                        fractures: string;
                        riss1: string;
                        riss2: string;
                        riss3: string;
                        riss4: string;
                        moisture: string;
                        fireDamage: string;
                        erosion: string;
                        corrosion: string;
                        discoloration: string;
                        vandalizm: string;
                        deformationSwelling: string;
                        delamination: string;
                        spalling: string;
                        efflorescence: string;
                        contamination: string;
                        fragmentation: string;
                        ruin: string;
                        rotting: string;
                        fissure: string;
                        weathering: string;
                    };
                };
                "viewingDirection-default": {
                    values: {
                        SE: string;
                        W: string;
                        N: string;
                        NE: string;
                        E: string;
                        S: string;
                        SW: string;
                        NW: string;
                    };
                };
                "Architecture-mark-default": {
                    values: {
                        A: string;
                        AC: string;
                    };
                };
                "Damage-condition-default": {
                    values: {
                        CCO: string;
                        CC1: string;
                        CC2: string;
                        CC3: string;
                        CC4: string;
                    };
                };
                "Photo-originalFormat-default": {
                    values: {
                        Digital: string;
                        Analog: string;
                        Dia: string;
                        "S/W": string;
                        Farbe: string;
                    };
                };
            };
            tr: {
                "coordinate-reference-system-default-1": {
                    values: {
                        "Eigenes Koordinatenbezugssystem": string;
                        "EPSG4326 (WGS 84)": string;
                        "EPSG3857 (WGS 84 Web Mercator)": string;
                    };
                };
                "position-values-expansion-default": {
                    values: {
                        "Maximale Ausdehnung": string;
                        "Minimale Ausdehnung": string;
                    };
                };
                "position-values-edge-default": {
                    values: {
                        Oberkante: string;
                        Unterkante: string;
                    };
                };
                "orientation-default-1": {
                    values: {
                        "N-S": string;
                        "NNO - SSW": string;
                        "NNW-SSO": string;
                        "NO-SW": string;
                        "NW-SO": string;
                        "W-O": string;
                        "WNW-OSO": string;
                        "WSW-ONO": string;
                    };
                };
                "provenance-default-1": {
                    values: {
                        Anatolien: string;
                        "Antiochia (Antakya)": string;
                        Athen: string;
                        Ägypten: string;
                        Attisch: string;
                        Britannien: string;
                        Chios: string;
                        Deutschland: string;
                        Ephesos: string;
                        Etruskisch: string;
                        Gallien: string;
                        Ionien: string;
                        Irland: string;
                        Italien: string;
                        Kampanisch: string;
                        Karthagisch: string;
                        Kleinasien: string;
                        Knidos: string;
                        Korinth: string;
                        Kos: string;
                        Lesbos: string;
                        Levante: string;
                        Lokal: string;
                        "Lokal/Regional": string;
                        Milet: string;
                        Mäandertal: string;
                        Nordafrika: string;
                        Nordafrikanisch: string;
                        Palästina: string;
                        Pannonien: string;
                        Peloponnes: string;
                        Regional: string;
                        Rhodos: string;
                        Samos: string;
                        Sizilien: string;
                        Skandinavien: string;
                        Slawisch: string;
                        Spanien: string;
                        Syrien: string;
                        Südtunesisch: string;
                        Südägäis: string;
                    };
                };
                "periods-default-1": {
                    values: {
                        Archaisch: string;
                        Bronzezeitlich: string;
                        Byzantinisch: string;
                        Eisenzeitlich: string;
                        Frühbronzezeitlich: string;
                        Frühbyzantinisch: string;
                        Frühhellenistisch: string;
                        Frühkaiserzeitlich: string;
                        Frühklassisch: string;
                        Geometrisch: string;
                        Hellenistisch: string;
                        Kaiserzeitlich: string;
                        Klassisch: string;
                        Neolithisch: string;
                        Neuzeitlich: string;
                        Osmanisch: string;
                        Pleistozän: string;
                        Rezent: string;
                        Römisch: string;
                        Spätantik: string;
                        Spätbronzezeitlich: string;
                        Spätbyzantinisch: string;
                        Späthellenistisch: string;
                        Spätkaiserzeitlich: string;
                        Spätklassisch: string;
                        Frühmittelalter: string;
                        Hochmittelalter: string;
                        Mittelalter: string;
                        Spätmittelalter: string;
                    };
                };
                "colors-default-1": {
                    values: {
                        beige: string;
                        "blass-": string;
                        blau: string;
                        braun: string;
                        cremefarben: string;
                        "dunkel-": string;
                        gelb: string;
                        grau: string;
                        grün: string;
                        "hell-": string;
                        "leuchtend-": string;
                        ocker: string;
                        orange: string;
                        rosa: string;
                        rot: string;
                        schwarz: string;
                        türkis: string;
                        violett: string;
                        weiß: string;
                    };
                    description: string;
                };
                "colors-default-2": {
                    values: {
                        beige: string;
                        dunkelbraun: string;
                        dunkelrot: string;
                        gelb: string;
                        hellbraun: string;
                        hellgrau: string;
                        mittelbraun: string;
                        ocker: string;
                        orange: string;
                        orangerot: string;
                        rosa: string;
                        rot: string;
                        rotbraun: string;
                        schwarz: string;
                        weiß: string;
                    };
                    description: string;
                };
                "glass-decorationTechnique-default": {
                    values: {
                        Bemalung: string;
                        Diatretdekor: string;
                        Emaille: string;
                        Facettschliffdekor: string;
                        "Fadendekor (aufgelegt)": string;
                        "Fadendekor (verschmolzen)": string;
                        Mosaikdekor: string;
                        Reliefdekor: string;
                        Reticelladekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        Schlangenfadendekor: string;
                        Schliffrillendekor: string;
                        Stempeldekor: string;
                        Tupfendekor: string;
                        Warzendekor: string;
                        Zwischengoldglas: string;
                        "fig\u00FCrlicher Schliffdekor": string;
                    };
                };
                "glass-formDescription-default": {
                    values: {
                        ausladend: string;
                        bauchig: string;
                        breitoval: string;
                        doppelkonisch: string;
                        halbkugelig: string;
                        hochoval: string;
                        konisch: string;
                        kugelförmig: string;
                        quadratisch: string;
                        rechteckig: string;
                        rund: string;
                        schlank: string;
                        schmal: string;
                        spindelförmig: string;
                        tonnenförmig: string;
                        zylinderförmig: string;
                    };
                };
                "glass-manufacturingMethod-default": {
                    values: {
                        "Formgeblasen (mit Reliefdekor)": string;
                        Formgeschmolzen: string;
                        Freigeblasen: string;
                        "In Vorformen geblasen": string;
                        "In offene Halbformen geblasen": string;
                        Kerngeformt: string;
                        Sandkerngeschmolzen: string;
                        "gedreht (auf Drehscheibe)": string;
                    };
                };
                "glass-objectType-default": {
                    values: {
                        Anhänger: string;
                        Armreif: string;
                        Einlage: string;
                        Fensterglas: string;
                        Gefäß: string;
                        Gemme: string;
                        Gerät: string;
                        Glasschlacke: string;
                        Lampe: string;
                        Löffel: string;
                        Perle: string;
                        Produktionsfragment: string;
                        Ring: string;
                        Rohglas: string;
                        Rührstab: string;
                        Scheiben: string;
                        Schmuck: string;
                        Spielstein: string;
                        Tessera: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Weinheber: string;
                    };
                };
                "glass-transparency-default": {
                    values: {
                        durchscheinend: string;
                        durchsichtig: string;
                        opak: string;
                        versintert: string;
                    };
                };
                "glass-vesselForm-default": {
                    values: {
                        Aschenurne: string;
                        Becher: string;
                        Deckel: string;
                        Deckelgefäß: string;
                        Flasche: string;
                        Krug: string;
                        Napf: string;
                        Schale: string;
                        Schüssel: string;
                        Tasse: string;
                        Teller: string;
                        Topf: string;
                        Unbestimmt: string;
                        Vorratsgefäß: string;
                    };
                };
                "glass-vesselFormSpecific-default": {
                    values: {
                        Alabastron: string;
                        Amphoriskos: string;
                        Aryballos: string;
                        Balsamarium: string;
                        Dattelflasche: string;
                        Faltenbecher: string;
                        Hydria: string;
                        Kopfflasche: string;
                        Kotyle: string;
                        Kragenschale: string;
                        Krater: string;
                        Kylix: string;
                        Lekythos: string;
                        Luterion: string;
                        Oinochoe: string;
                        Pelike: string;
                        Rippenschale: string;
                        Schliffrillenschale: string;
                        Schöpfer: string;
                        Skyphos: string;
                        Spitzamphora: string;
                        Sprenkler: string;
                        Stamnos: string;
                        Tierflasche: string;
                        Unguentarium: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zarte Rippenschale": string;
                        "zylindrische Flasche": string;
                    };
                };
                "Mollusk-classification-default": {
                    values: {
                        Schuppe: string;
                        Coxa: string;
                        "Muschelschale (Bivalvia)": string;
                        "Schneckenhaus (Gastropoda)": string;
                    };
                };
                "Brick-brickForm-default": {
                    values: {
                        Bodenziegel: string;
                        Dachziegel: string;
                        Flachziegel: string;
                        Formziegel: string;
                        Hypokaustziegel: string;
                        Imbrex: string;
                        Kalyptere: string;
                        Later: string;
                        Leistenziegel: string;
                        "Lochziegel/Hohlziegel": string;
                        Stroter: string;
                        Tegula: string;
                        Tonrohr: string;
                        Wandziegel: string;
                    };
                };
                "Brick-brickUsage-default": {
                    values: {
                        Dach: string;
                        Decke: string;
                        Fenster: string;
                        Fussboden: string;
                        Gewölbedecke: string;
                        Klosterformat: string;
                        Türrahmen: string;
                        Türsturz: string;
                        Wandverkleidung: string;
                    };
                };
                "Brick-decorationTechnique-default": {
                    values: {
                        Bemalung: string;
                        Fingerabdruck: string;
                        Kammritzung: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        "Sonstige Abdr\u00FCcke": string;
                        Stempel: string;
                        Stempeldekor: string;
                        Tupfendekor: string;
                        Wischzeichen: string;
                        "\u00DCberzug/Glasur": string;
                    };
                };
                "Brick-manufacturing-default": {
                    values: {
                        Dickwandig: string;
                        Dünnwandig: string;
                        Gebrannt: string;
                        "Hart gebrannt": string;
                        Luftgetrocknet: string;
                        "Oberfl\u00E4che glatt": string;
                        "Oberfl\u00E4che rau": string;
                        "Sekund\u00E4r gebrannt": string;
                        "Weich gebrannt": string;
                    };
                };
                "Brick-manufacturingMethod-default": {
                    values: {
                        "gedreht (auf Drehscheibe)": string;
                        gegossen: string;
                        gepresst: string;
                        handgeformt: string;
                    };
                };
                "Brick-specificType-default": {
                    values: {
                        Abschläge: string;
                        Berg: string;
                        Bodenziegel: string;
                        Bruchstein: string;
                        Dachziegel: string;
                        Geröll: string;
                        Hohlziegel: string;
                        Hypokaustziegel: string;
                        Kanalziegel: string;
                        Platten: string;
                        Quader: string;
                        Tonrohr: string;
                        Variierend: string;
                        Wandziegel: string;
                        Ziegelbruch: string;
                    };
                };
                "Brick-temper-default": {
                    values: {
                        Glimmer: string;
                        Kalk: string;
                        "Mineralische Partikel": string;
                        Muschelgrus: string;
                        "Organische Partikel": string;
                        Quarz: string;
                        Schamotte: string;
                        Sonstige: string;
                        Steinchen: string;
                        "Stroh/Spreu": string;
                        Vacua: string;
                        "Vulkanische Partikel": string;
                    };
                };
                "Burial-amountIndividuals-default": {
                    values: {
                        Doppelbestattung: string;
                        Dreifachbestattung: string;
                        Einzelbestattung: string;
                        Grabdeponat: string;
                        Kollektivbestattung: string;
                        Massengrab: string;
                        Mehrfachbestattung: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Wiedergängerbestattung: string;
                    };
                };
                "Burial-burialCharacteristic-default": {
                    values: {
                        "Prim\u00E4re Bestattung": string;
                        "Sekund\u00E4re Bestattung": string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Burial-burialDocumentation-default": {
                    values: {
                        Endoskopie: string;
                        Foto: string;
                        Histologie: string;
                        LM: string;
                        REM: string;
                        Röntgen: string;
                    };
                };
                "Burial-graveFeature-default": {
                    values: {
                        Brandbestattung: string;
                        Kenotaph: string;
                        Körperbestattung: string;
                        Ossuar: string;
                        "Teil-K\u00F6rperbestattung": string;
                    };
                };
                "Burial-positionArms-default": {
                    values: {
                        "Unsicher bzw. unbestimmbar": string;
                        "am Kinn": string;
                        "an den Seiten": string;
                        "auf dem Bauch": string;
                        "auf dem Becken": string;
                        "auf der Brust": string;
                        ungleichmäßig: string;
                    };
                };
                "Burial-positionLegs-default": {
                    values: {
                        "Beine angewinkelt": string;
                        Beinhocker: string;
                        Extremhocker: string;
                        Hocker: string;
                        "Unsicher bzw. unbestimmbar": string;
                        gestreckt: string;
                    };
                };
                "Burial-positioningIndividuals-default": {
                    values: {
                        Bauchlage: string;
                        Rückenlage: string;
                        "Seitenlage, links": string;
                        "Seitenlage, rechts": string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Building-architecturalOrders-default": {
                    values: {
                        "Dorische Ordnung": string;
                        "Ionische Ordnung": string;
                        "Komposite Ordnung": string;
                        "Korinthische Ordnung": string;
                        "Toskanische Ordnung": string;
                    };
                };
                "Building-buildingCategory-default": {
                    values: {
                        Altar: string;
                        Amphitheater: string;
                        Basilika: string;
                        Bogen: string;
                        Brücke: string;
                        Circus: string;
                        Grabbau: string;
                        Gymnasium: string;
                        Mauerkurtine: string;
                        Nymphäum: string;
                        Odeion: string;
                        Strasse: string;
                        Stützmauer: string;
                        Säulenhalle: string;
                        Tempel: string;
                        Theater: string;
                        Therme: string;
                        Toranlage: string;
                        Turm: string;
                        Wohnbau: string;
                    };
                };
                "Building-buildingCategorySpecific-default": {
                    values: {
                        Aediculabau: string;
                        Atriumhaus: string;
                        Bogen: string;
                        Dipteros: string;
                        Ehrenbogen: string;
                        Ehrensäule: string;
                        Hoftempel: string;
                        Palast: string;
                        Palästra: string;
                        Peripteros: string;
                        "Peripteros sine portico": string;
                        Peristylhaus: string;
                        "Pseudo-Dipteros": string;
                        "Pseudo-Peripteros": string;
                        Rednertribüne: string;
                        Rundbau: string;
                        Schatzhaus: string;
                        Terassenheiligtum: string;
                        Tholos: string;
                        Torbogen: string;
                        Triumphbogen: string;
                        Tumulus: string;
                        Villa: string;
                        dreischiffig: string;
                        fünfschiffig: string;
                        "griechisches Theater": string;
                        "r\u00F6misches Theater": string;
                        vierschiffig: string;
                        zweischiffig: string;
                    };
                };
                "Building-buildingTechnique-default": {
                    values: {
                        Blockverbandmauerwerk: string;
                        Bruchsteinmauerwerk: string;
                        Feldsteinmauerwerk: string;
                        Kyklopenmauerwerk: string;
                        Lehmziegelmauerwerk: string;
                        "Mischform Polygonal-/Quadermauerwerk": string;
                        "Opus Caementitium": string;
                        Polygonalmauerwerk: string;
                        Quadermauerwerk: string;
                        Spolienmauerwerk: string;
                        "Unregelm\u00E4\u00DFiges Polygonalmauerwerk": string;
                        "W\u00FCrfel-/Handquadermauerwerk": string;
                        Ziegelmauerwerk: string;
                        "irregul\u00E4res Mauerwerk": string;
                        "regelm\u00E4\u00DFiges Polygonalmauerwerk": string;
                        "regelm\u00E4\u00DFiges Quadermauerwerk": string;
                        "regelm\u00E4\u00DFiges Trapezoidalmauerwerk": string;
                        "unregelm\u00E4\u00DFiges Quadermauerwerk": string;
                        "unregelm\u00E4\u00DFiges Trapezoidalmauerwerk": string;
                        "unspezifisches Mauerwerk": string;
                    };
                };
                "Building-buildingType-default": {
                    values: {
                        Befestigung: string;
                        Haus: string;
                        Lager: string;
                        Werkstatt: string;
                    };
                };
                "Building-condition-default": {
                    values: {
                        "sehr gut": string;
                        gut: string;
                        mittel: string;
                        schlecht: string;
                        "sehr schlecht": string;
                    };
                };
                "Building-conditionAmount-default": {
                    values: {
                        Fragmentarisch: string;
                        Vollständig: string;
                        "Vollst\u00E4ndig zerst\u00F6rt": string;
                    };
                };
                "Building-context-default": {
                    values: {
                        Akropolis: string;
                        Forum: string;
                        Handwerksviertel: string;
                        Heiligtum: string;
                        Nekropole: string;
                        Wohnviertel: string;
                    };
                };
                "Building-material-default": {
                    values: {
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Ziegel: string;
                    };
                };
                "Building-material-default-2": {
                    values: {
                        Beton: string;
                        Blei: string;
                        Eisen: string;
                        Erde: string;
                        Fliesen: string;
                        Gips: string;
                        Glas: string;
                        Holz: string;
                        Holzwerkstoff: string;
                        Kunststoff: string;
                        Lehm: string;
                        Metall: string;
                        Mörtel: string;
                        Naturstein: string;
                        Putz: string;
                        Stahl: string;
                        Stahlbeton: string;
                        Stuck: string;
                        "Unbekannt/Unerkannt": string;
                        Ziegel: string;
                    };
                };
                "Building-material-default-3": {
                    values: {
                        Beton: string;
                        Blei: string;
                        Eisen: string;
                        Erde: string;
                        Fliesen: string;
                        Gips: string;
                        Glas: string;
                        Holz: string;
                        Holzwerkstoff: string;
                        Kunststoff: string;
                        Lehm: string;
                        Metall: string;
                        Mörtel: string;
                        Naturstein: string;
                        Putz: string;
                        Stahl: string;
                        Stahlbeton: string;
                        Stuck: string;
                        "Unbekannt/Unerkannt": string;
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Ziegel: string;
                    };
                };
                "Wood-color-default": {
                    values: {
                        braun: string;
                        haselnuss: string;
                        schwarz: string;
                    };
                };
                "Wood-objectType-default": {
                    values: {
                        Architektur: string;
                        Altar: string;
                        Anhänger: string;
                        Gefäß: string;
                        Gerät: string;
                        Grabbehältnis: string;
                        Grabmarkierung: string;
                        Grabplatte: string;
                        Gussform: string;
                        "Kasten/Kiste": string;
                        Löffel: string;
                        Mobiliar: string;
                        "Plastik/Skulptur": string;
                        Produktionsrest: string;
                        Ring: string;
                        Sarkophag: string;
                        Schmuck: string;
                        Spielzeug: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Wood-typeOfWood-default": {
                    values: {
                        Ahorn: string;
                        Apfel: string;
                        Birke: string;
                        Birne: string;
                        Buche: string;
                        Eibe: string;
                        Eiche: string;
                        Erle: string;
                        Esche: string;
                        Fichte: string;
                        Kastanie: string;
                        Kiefer: string;
                        Kirsche: string;
                        Lerche: string;
                        Linde: string;
                        Nußbaum: string;
                        Pappel: string;
                        Tanne: string;
                        Ulme: string;
                        Weide: string;
                        Zeder: string;
                    };
                };
                "Wood-manufacturingMethod-default": {
                    values: {
                        Gebohrt: string;
                        Gedämpft: string;
                        Gedreht: string;
                        Gefräst: string;
                        Gehobelt: string;
                        Gesägt: string;
                        Geschabt: string;
                        Geschliffen: string;
                        Geschnitzt: string;
                        Gespalten: string;
                    };
                };
                "Wood-surfaceCondition-default": {
                    values: {
                        Brandspuren: string;
                        "Keine Brandspuren": string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Wood-decorationTechnique-default": {
                    values: {
                        Applik: string;
                        "Bemalung (Enkaustik)": string;
                        "Bemalung (Eitemperatechnik)": string;
                        Intarsie: string;
                        Relief: string;
                        Ritzung: string;
                        Schnitzung: string;
                        Sgraffito: string;
                        "Vergoldung/metallischer \u00DCberzug": string;
                    };
                };
                "Wood-paintCondition-default": {
                    values: {
                        "gut erhalten": string;
                        abblätternd: string;
                        verrieben: string;
                        verwaschen: string;
                        "stark abgerieben": string;
                        "nicht erhalten": string;
                    };
                };
                "Architecture-blockProcessing-default": {
                    values: {
                        Bruchsteine: string;
                        Hausteine: string;
                        Lesesteine: string;
                        Werksteine: string;
                    };
                };
                "Architecture-blockTreatment-default": {
                    values: {
                        bossiert: string;
                        bruchbau: string;
                        "fein gegl\u00E4ttet": string;
                        gespitzt: string;
                        gestockt: string;
                        "grob behauen": string;
                        "grob gegl\u00E4ttet": string;
                        scharriert: string;
                        unbehauen: string;
                    };
                };
                "Architecture-brickwork-default": {
                    values: {
                        Binderverband: string;
                        Blockverband: string;
                        "Fl\u00E4mischer Verband": string;
                        "Holl\u00E4ndischer Verband": string;
                        Kreuzverband: string;
                        Läuferverband: string;
                        "M\u00E4rkischer Verband": string;
                    };
                };
                "Architecture-construction-default": {
                    values: {
                        "Fundament: Gesch\u00FCttet": string;
                        "Fundament: gesetzt": string;
                        "Mauerkern: Lesesteine": string;
                        "einschalig vor Feld/Hang": string;
                        "ohne Schalen/keine durchgehenden Lagen": string;
                        "ohne Schalen/nur durchgehende Lagen": string;
                        zweischalig: string;
                        "zweischalig mit Binderlagen": string;
                    };
                };
                "Architecture-mark-default": {
                    values: {
                        A: string;
                        AC: string;
                    };
                };
                "Architecture-mortarBinder-default": {
                    values: {
                        dominant: string;
                        gering: string;
                        hoch: string;
                        mittel: string;
                    };
                };
                "Architecture-mortarConsistency-default": {
                    values: {
                        brüchig: string;
                        "erdig/lehmig": string;
                        fest: string;
                        hart: string;
                        locker: string;
                        mittelfein: string;
                        pulverig: string;
                        sandig: string;
                    };
                };
                "Architecture-wallClassification-default": {
                    values: {
                        Aufgehendes: string;
                        Fensterzusetzung: string;
                        Flickung: string;
                        Fundament: string;
                        Gewölbe: string;
                        Mauer: string;
                        Mauerbettung: string;
                        Mauerdurchbruch: string;
                        Mosaik: string;
                        "Opus sectile": string;
                        Türzusetzung: string;
                        Wandgestaltung: string;
                    };
                };
                "Architecture-wallType-default": {
                    values: {
                        Außenmauer: string;
                        Befestigugsmauer: string;
                        Blockmauerwerk: string;
                        Bruchsteinmauer: string;
                        Fachwerk: string;
                        Feldsteinmauer: string;
                        Grenzmauer: string;
                        Ziegelmauer: string;
                    };
                };
                "Place-findspotClassification-default": {
                    values: {
                        Einzelmauer: string;
                        Felsabarbeitung: string;
                        Funderfassung: string;
                        Fundsammlung: string;
                        Grab: string;
                        Nekropole: string;
                        "Spolie in rezenter Mauer": string;
                        Steinbruch: string;
                        "Stra\u00DFe/Platz": string;
                        "Wein- bzw. \u00D6lpresse": string;
                        "einzelnes Steindenkmal": string;
                        "l\u00E4ndliches Geb\u00E4ude": string;
                        "urbanes Geb\u00E4ude": string;
                    };
                };
                "Place-siteClassification-default": {
                    values: {
                        Bestattungsplatz: string;
                        Siedlung: string;
                    };
                };
                "Layer-consistency-default": {
                    values: {
                        "Durch Brand versiegelt": string;
                        "Oberfl\u00E4che abgewaschen": string;
                        "Oberfl\u00E4che verh\u00E4rtet": string;
                        fest: string;
                        flüssig: string;
                        "gut formbar": string;
                        hart: string;
                        lehmig: string;
                        locker: string;
                        "mittel bindend": string;
                        "mittel formbar": string;
                        "nicht bindend": string;
                        "nicht formbar": string;
                        porös: string;
                        sandig: string;
                        "schwach bindend": string;
                        "schwach formbar": string;
                        "sehr gut formbar": string;
                        "sehr hart": string;
                        "sehr schwach formbar": string;
                        "sehr weich": string;
                        "stark bindend": string;
                        steif: string;
                        weich: string;
                    };
                };
                "Layer-distinguishingCriteria-default": {
                    values: {
                        Farbe: string;
                        Form: string;
                        Grenzen: string;
                        Konsistenz: string;
                        Komposition: string;
                    };
                };
                "Layer-layerClassification-default": {
                    values: {
                        Brandschicht: string;
                        Kulturschicht: string;
                        Laufhorizont: string;
                        Planierschicht: string;
                    };
                };
                "Layer-soilType-default": {
                    values: {
                        Feinsand: string;
                        Feinstsand: string;
                        Grobsand: string;
                        Lehm: string;
                        "Lehmiger Sand": string;
                        "Lehmiger Schluff": string;
                        "Lehmiger Ton": string;
                        Mergel: string;
                        "Mittlerer Sand": string;
                        Sand: string;
                        "Sandiger Lehm": string;
                        "Sandiger Schluff": string;
                        "Sandiger Ton": string;
                        Schluff: string;
                        "Schluffiger Lehm": string;
                        "Schluffiger Sand": string;
                        "Schluffiger Ton": string;
                        Ton: string;
                        "Toniger Lehm": string;
                        "Toniger Sand": string;
                        "Toniger Schluff": string;
                    };
                };
                "Feature-featureBorders-default": {
                    values: {
                        deutlich: string;
                        diffus: string;
                        eben: string;
                        erahnbar: string;
                        erkennbar: string;
                        "etwas verwaschen": string;
                        fließend: string;
                        geneigt: string;
                        gezackt: string;
                        regelmäßig: string;
                        scharf: string;
                        "sehr deutlich": string;
                        undeutlich: string;
                        uneben: string;
                        unklar: string;
                        unregelmäßig: string;
                        verwaschen: string;
                        wellig: string;
                    };
                };
                "Feature-featureForm-default": {
                    values: {
                        Befundrest: string;
                        "U-f\u00F6rmig": string;
                        "V-f\u00F6rmig": string;
                        annähernd: string;
                        formlos: string;
                        halbmondförmig: string;
                        kesselförmig: string;
                        langgezogen: string;
                        oval: string;
                        rechteckig: string;
                        regelmäßig: string;
                        rund: string;
                        sanduhrförmig: string;
                        trapezförmig: string;
                        trichterförmig: string;
                        unregelmäßig: string;
                        wannenförmig: string;
                    };
                };
                "Floor-floorClassification-default": {
                    values: {
                        Bastmatten: string;
                        Korkboden: string;
                        Mosaik: string;
                        "Opus sectile": string;
                        "Opus signinum": string;
                        Pflaster: string;
                        Stampflehm: string;
                        Terrazzo: string;
                        Webmatten: string;
                        Ziegel: string;
                    };
                };
                "Inscription-objectType-default": {
                    values: {
                        "Allt\u00E4glicher Gebrauch": string;
                        Bauinschrift: string;
                        Ehreninschrift: string;
                        "Grabinschrift (Inschrift im Grabkontext)": string;
                        "Private Ausstattung": string;
                        "Sakrale Ausstattung": string;
                        "Unsicher bzw. unbestimmbar": string;
                        Urkunde: string;
                        Wasserversorgung: string;
                        Weihinschrift: string;
                        "\u00D6ffentliche Ausstattung": string;
                    };
                };
                "Pottery-clayHardness-default": {
                    values: {
                        "1 (Fingernagel schabt, ritzt leicht)": string;
                        "2 (Fingernagel ritzt)": string;
                        "3 (Messerspitze ritzt leicht)": string;
                        "4 (Messerspitze ritzt)": string;
                        "5 (Messerspitze ritzt schwer)": string;
                        "6 (Fensterglas ritzt schwer, Stahlfeile ritzt)": string;
                        "7-10 (Fensterglas wird geritzt, Stahl schl\u00E4gt Funken)": string;
                    };
                };
                "Pottery-coatInside-default": {
                    values: {
                        Glasur: string;
                        Redslip: string;
                        Schwarzfirnis: string;
                        Tongrundig: string;
                    };
                };
                "Pottery-coatInsideType-default": {
                    values: {
                        Andere: string;
                        Bemalung: string;
                        Geglättet: string;
                        Glasur: string;
                        Poliert: string;
                        Verstrichen: string;
                        Überzug: string;
                    };
                };
                "Pottery-decorationTechnique-default": {
                    values: {
                        Bemalung: string;
                        "Fadendekor (aufgelegt)": string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        Stempel: string;
                        Stempeldekor: string;
                        Tupfendekor: string;
                        Warzendekor: string;
                    };
                };
                "Pottery-manufacturingMethod-default": {
                    values: {
                        "gedreht (auf Drehscheibe)": string;
                        gegossen: string;
                        gepresst: string;
                        handgeformt: string;
                        "in Form gedreht": string;
                        "nachgedreht (\u00FCberdreht)": string;
                    };
                };
                "Pottery-materialType-default": {
                    values: {
                        "Feinkeramik (Feine Ware)": string;
                        "Gebrauchskeramik (Grobe Ware)": string;
                    };
                };
                "Pottery-objectType-default": {
                    values: {
                        Altar: string;
                        Anhänger: string;
                        Antefix: string;
                        Becken: string;
                        Einlage: string;
                        Gefäß: string;
                        Gerät: string;
                        Gussform: string;
                        Kette: string;
                        Kohlebecken: string;
                        Lampe: string;
                        Löffel: string;
                        Perle: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Ring: string;
                        Sarkophag: string;
                        Schmuck: string;
                        Siegel: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Webgewicht: string;
                        Werkzeug: string;
                    };
                };
                "Pottery-specificType-default": {
                    values: {
                        "Arretina schwarz": string;
                        "Attisch farbig aufgeh\u00F6hte Schwarzglanzton Ware": string;
                        "Attische Keramik": string;
                        "Attische Rotfigurige Keramik": string;
                        "Attische Schwarzfigurige Keramik": string;
                        "Attische Schwarzglanzton Ware": string;
                        "Bemalte Keramik": string;
                        "Bemalte Ware (floral)": string;
                        "Bemalte Ware (linear)": string;
                        "Bichrome Ware": string;
                        "Campana A": string;
                        "Campana B": string;
                        "Campana B Imitation": string;
                        "Campana B-oid": string;
                        "Campana C": string;
                        "D\u00FCnnwandige Feinkeramik": string;
                        Firnisware: string;
                        "Glasierte Keramik": string;
                        "Glattwandige Ware": string;
                        Hand: string;
                        "Korinthische Keramik": string;
                        Küchenware: string;
                        "Ostgriechische Keramik": string;
                        "Pr\u00E4historische Keramik": string;
                        "Red Slip Ware": string;
                        "Schlichte Ware": string;
                        "Schwarzglanzton Ware": string;
                        "Terra sigilata": string;
                    };
                };
                "Pottery-temperAmount-default": {
                    values: {
                        "Keine Einschl\u00FCsse": string;
                        Mittel: string;
                        "Nicht erkennbar": string;
                        "Sehr Viel": string;
                        Vereinzelt: string;
                        Viel: string;
                        Wenig: string;
                    };
                };
                "Pottery-temperParticles-default": {
                    values: {
                        fein: string;
                        grob: string;
                        mittel: string;
                        mittelfein: string;
                        "sehr fein": string;
                        "sehr grob": string;
                    };
                };
                "Pottery-vesselForm-default": {
                    values: {
                        Amphore: string;
                        Aschenurne: string;
                        Becher: string;
                        Deckel: string;
                        Deckelgefäß: string;
                        Flasche: string;
                        "Geschlossenes Gef\u00E4\u00DF": string;
                        Kanne: string;
                        Kasserole: string;
                        Kochschüssel: string;
                        Krug: string;
                        Napf: string;
                        "Offenes Gef\u00E4\u00DF": string;
                        Pfanne: string;
                        Räuchergefäß: string;
                        Schale: string;
                        Schüssel: string;
                        Tasse: string;
                        Teller: string;
                        "Teller/Untersatz": string;
                        Topf: string;
                        Unbestimmt: string;
                        Vorratsgefäß: string;
                    };
                };
                "Pottery-vesselFormSpecific-default": {
                    values: {
                        Alabastron: string;
                        Amphoriskos: string;
                        Aryballos: string;
                        Balsamarium: string;
                        Dattelflasche: string;
                        Faltenbecher: string;
                        Fischteller: string;
                        Glockenbecher: string;
                        Handelsamphore: string;
                        Hydria: string;
                        Kopfflasche: string;
                        Kotyle: string;
                        Kragenschale: string;
                        Krater: string;
                        Kylix: string;
                        Lekane: string;
                        Lekythos: string;
                        Luterion: string;
                        Lutrophore: string;
                        Miscellanea: string;
                        Oinochoe: string;
                        Pelike: string;
                        Pithos: string;
                        Pyxis: string;
                        Salznapf: string;
                        Skyphos: string;
                        Spitzamphora: string;
                        Sprenkler: string;
                        Stamnos: string;
                        Tierflasche: string;
                        Tischamphore: string;
                        Tränenfläschchen: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zylindrische Flasche": string;
                    };
                };
                "Grave-graveType-default": {
                    values: {
                        Baumsargbestattung: string;
                        Brandgrubengrab: string;
                        Brandschüttung: string;
                        Doliengrab: string;
                        Dolmen: string;
                        Erdgrab: string;
                        Felsgrab: string;
                        Felsnischengrab: string;
                        Flachgrab: string;
                        Ganggrab: string;
                        Gefäßbestattung: string;
                        "Gemauertes Grab": string;
                        Glockengrab: string;
                        Gruft: string;
                        Hügelgrab: string;
                        Kistengrab: string;
                        Mausoleum: string;
                        Megalithgrab: string;
                        Schachthöhlengrab: string;
                        Steineinfassung: string;
                        Steinplattengrab: string;
                        Urnengrab: string;
                        Ziegelplattengrab: string;
                    };
                };
                "Grave-specificType-default": {
                    values: {
                        Amphorenbestattung: string;
                        "In Dinos": string;
                        "In Krug": string;
                        "a cappuccina": string;
                        "bruchsteingemauertes Grab": string;
                        "quadergemauertes Grab": string;
                        "ziegelgemauertes Grab": string;
                    };
                };
                "Grave-tombBuilding-default": {
                    values: {
                        Bruchsteingemauert: string;
                        Quadergemauert: string;
                        Ziegelgemauert: string;
                    };
                };
                "Bone-biologicalAge-default": {
                    values: {
                        "Adult (18/20-40)": string;
                        "Fetus/Neonatus": string;
                        "Infans I (0-7)": string;
                        "Infans II (7-13)": string;
                        "Juvenil (13-18/20)": string;
                        "Matur (40-60)": string;
                        "Senil (60 <)": string;
                    };
                };
                "Bone-boneClassification-default": {
                    values: {
                        "Becken (Pelvis)": string;
                        "Brustbein (Sternum)": string;
                        "Elle (Ulna)": string;
                        "Fingerknochen (Phalanges)": string;
                        Fußknochen: string;
                        Handknochen: string;
                        "Kniescheibe (Patella)": string;
                        Langknochen: string;
                        "Oberarm (Humerus)": string;
                        "Oberschenkel (Femur)": string;
                        Rippen: string;
                        "Schienenbein (Tibia)": string;
                        "Schl\u00FCsselbein (Clavicula)": string;
                        "Schulterblatt (Scapula)": string;
                        "Sch\u00E4del (Cranium)": string;
                        "Speiche (Radius)": string;
                        Steißbein: string;
                        Undefinierbar: string;
                        "Unterkiefer (Mandibula)": string;
                        "Wadenbein (Fibula)": string;
                        Wirbel: string;
                        Zahn: string;
                    };
                };
                "Bone-boneType-default": {
                    values: {
                        Elfenbein: string;
                        Horn: string;
                        Menschenknochen: string;
                        Tierknochen: string;
                    };
                };
                "Bone-burningGrade-default": {
                    values: {
                        "I - 200\u00B0-300\u00B0C - Verf\u00E4rbung etwa gelblichwei\u00DF-elfenbein glasig": string;
                        "II - 300\u00B0-400\u00B0C - Verf\u00E4rbung etwa braun-dunkelbraun/schwarz": string;
                        "III - um 550\u00B0C - Verf\u00E4rbung etwa grau/blaugrau-milchig hellgrau": string;
                        "IV - 650\u00B0-750\u00B0C - Verf\u00E4rbung etwa milchig wei\u00DF-mattwei\u00DF/kreideartig": string;
                        "V - ab 800\u00B0C - Verf\u00E4rbung etwa altwei\u00DF/schmutzigwei\u00DF": string;
                    };
                };
                "Bone-sex-default": {
                    values: {
                        Männlich: string;
                        Weiblich: string;
                    };
                };
                "Bone-objectType-default": {
                    values: {
                        Anhänger: string;
                        Armreif: string;
                        Astragal: string;
                        "Bearbeitet (allgemein)": string;
                        Einlage: string;
                        Gefäß: string;
                        Gerät: string;
                        Kette: string;
                        Löffel: string;
                        Perle: string;
                        Ring: string;
                        Schmuck: string;
                        Spielstein: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Weinheber: string;
                        Werkzeug: string;
                    };
                };
                "Bone-species-default": {
                    values: {
                        Biber: string;
                        Fisch: string;
                        "G\u00E4nsevogel (z. B. Gans, Schwan oder Ente)": string;
                        "Hasenartige (Lagomorpha)  (z. B. Hase, Pfeifhase oder Kaninchen)": string;
                        Hirsch: string;
                        "Nagetier (z.B. Maus, Ratte etc.)": string;
                        Rind: string;
                        Schwein: string;
                        Vogel: string;
                        "Ziegenartige (z. B. Schaf, Ziege)": string;
                    };
                };
                "Terracotta-clayStructure-default": {
                    values: {
                        hart: string;
                        "klingend hart": string;
                        mittel: string;
                        weich: string;
                    };
                };
                "Terracotta-surfaceCondition-default": {
                    values: {
                        Brandspuren: string;
                        Sekundärbrand: string;
                        abblätternd: string;
                        "gut erhalten": string;
                        "stark abgerieben": string;
                        "starke Sinter- oder M\u00F6rtelablagerungen": string;
                        verrieben: string;
                        versintert: string;
                        verwaschen: string;
                    };
                };
                "Terracotta-vesselForm-default": {
                    values: {
                        Amphore: string;
                        Aschenurne: string;
                        Becher: string;
                        Deckel: string;
                        Deckelgefäß: string;
                        Flasche: string;
                        Krug: string;
                        Napf: string;
                        Schale: string;
                        Schüssel: string;
                        Tasse: string;
                        Teller: string;
                        Topf: string;
                        Unbestimmt: string;
                        Vorratsgefäß: string;
                    };
                };
                "Terracotta-vesselFormSpecific-default": {
                    values: {
                        Alabastron: string;
                        Amphoriskos: string;
                        Aryballos: string;
                        Balsamarium: string;
                        Dattelflasche: string;
                        Faltenbecher: string;
                        Hydria: string;
                        Kopfflasche: string;
                        Kotyle: string;
                        Kragenschale: string;
                        Krater: string;
                        Kylix: string;
                        Lekythos: string;
                        Luterion: string;
                        Lutrophore: string;
                        Oinochoe: string;
                        Pelike: string;
                        Pithos: string;
                        Skyphos: string;
                        Spitzamphora: string;
                        Stamnos: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zylindrische Flasche": string;
                    };
                };
                "Drawing-drawingMaterial-default": {
                    values: {
                        "Digitale Datei": string;
                        Folie: string;
                        Karton: string;
                        Lichtpause: string;
                        Mikrofilm: string;
                        Millimeterpapier: string;
                        Papier: string;
                        Photoabzüge: string;
                        Transparentfilm: string;
                        Transparentpapier: string;
                    };
                };
                "Drawing-drawingTool-default": {
                    values: {
                        Bleistift: string;
                        Buntstift: string;
                        Tusche: string;
                        "digital erstellt": string;
                    };
                };
                "Drawing-drawingType-default": {
                    values: {
                        "AutoCAD Zeichnung (auch TachyCAD)": string;
                        Handzeichnung: string;
                        Pantograf: string;
                    };
                };
                "Drawing-scale-default": {
                    values: {
                        "1:1": string;
                        "1:10": string;
                        "1:100": string;
                        "1:1000": string;
                        "1:10000": string;
                        "1:20": string;
                        "1:50": string;
                        "1:500": string;
                        "1:5000": string;
                    };
                };
                "Survey-researchMethod-default": {
                    values: {
                        Befliegung: string;
                        Begehung: string;
                        Geoelektrik: string;
                        Geomagnetik: string;
                        Georadar: string;
                        LIDAR: string;
                        "Luft- oder Satellitenbilder": string;
                        Quadratisch: string;
                        Regelmäßig: string;
                        Seismik: string;
                    };
                };
                "Stone-architectureElement-default": {
                    values: {
                        Akroter: string;
                        Architrav: string;
                        Archtitravfriesblock: string;
                        Basis: string;
                        Bauplastik: string;
                        Fries: string;
                        Gesims: string;
                        Kapitell: string;
                        Konsole: string;
                        Profilstück: string;
                        Quaderblock: string;
                        Rinne: string;
                        Schrankenplatte: string;
                        Schwellenblock: string;
                        Sima: string;
                        Säule: string;
                        Wandverkleidung: string;
                    };
                };
                "Stone-material-default": {
                    values: {
                        Andesit: string;
                        Basalt: string;
                        Feldspat: string;
                        Flint: string;
                        Glimmer: string;
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Sinter: string;
                        Trachyt: string;
                        Tuff: string;
                    };
                };
                "Stone-objectType-default": {
                    values: {
                        Abschlag: string;
                        Altar: string;
                        Anhänger: string;
                        Architekturdekor: string;
                        Bauglied: string;
                        Becken: string;
                        Einlage: string;
                        Einsatzkopf: string;
                        Fußbodenfragment: string;
                        Gefäß: string;
                        Gerät: string;
                        Grabmarkierung: string;
                        Grabplatte: string;
                        Gussform: string;
                        Herme: string;
                        Inkrustation: string;
                        Lampe: string;
                        Löffel: string;
                        Mahlstein: string;
                        Mobiliar: string;
                        Mörser: string;
                        Perle: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Reibstein: string;
                        Ring: string;
                        Rührstab: string;
                        Sarkophag: string;
                        Schmuck: string;
                        Siegel: string;
                        Spielbrett: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        Spolie: string;
                        Statuenbasis: string;
                        Stele: string;
                        Tessera: string;
                        Tischfuß: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Webgewicht: string;
                        Werkzeug: string;
                        Ölpresse: string;
                    };
                };
                "Stone-origin-default": {
                    values: {
                        Alpen: string;
                        Anatolien: string;
                        Chimtou: string;
                        Harz: string;
                        Kreta: string;
                        Sizilien: string;
                    };
                };
                "Coin-denomination-default": {
                    values: {
                        "1 1/2 Skripula": string;
                        "1 1/2 Solidus": string;
                        "1/2 Stater (Hemistater)": string;
                        "1/30 Drachme": string;
                        "1/4  Stater (Tetarte)": string;
                        "1/4 Einheit": string;
                        "1/5 Drachme": string;
                        "2 Solidus": string;
                        "3 Solidus": string;
                        "4 1/2 Solidus": string;
                        "60 As": string;
                        "9 Siliqua": string;
                        "9 Solidus": string;
                        "AE Gross": string;
                        "AE Klein": string;
                        "AE Medium": string;
                        "Aes 1": string;
                        "Aes 2": string;
                        "Aes 3": string;
                        "Aes 3-4": string;
                        "Aes 4": string;
                        Antoninian: string;
                        Argenteus: string;
                        As: string;
                        Aureus: string;
                        "Aureus\u00B9": string;
                        "Aureus\u00B2": string;
                        Bruchteil: string;
                        Cistophor: string;
                        Denar: string;
                        "Denar (serratus)": string;
                        Didrachme: string;
                        Diobol: string;
                        Distater: string;
                        "Doppelter Sesterz": string;
                        Drachme: string;
                        Dupondius: string;
                        "Gold-mehrfaches": string;
                        "Grosser Aes 2": string;
                        "Halber Solidus": string;
                        "Hekte (1/6 Stater)": string;
                        Hemidrachme: string;
                        Hemiobol: string;
                        "Kleiner Aes 2": string;
                        Kontorniat: string;
                        Litra: string;
                        Medaillon: string;
                        "Miliarense (leicht)": string;
                        "Miliarense (schwer)": string;
                        Obolus: string;
                        Quadrans: string;
                        Quinar: string;
                        "Quinar Aureus": string;
                        "Reduzierte Siliqua": string;
                        "Reduzierter Aes 2": string;
                        Semis: string;
                        Semissis: string;
                        Semuncia: string;
                        Sesterz: string;
                        Sextans: string;
                        "Silber-Mehrfaches": string;
                        Siliqua: string;
                        Solidus: string;
                        Stater: string;
                        Tetradrachme: string;
                        Tremissis: string;
                        Triens: string;
                        Uncia: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Victoriatus: string;
                    };
                };
                "Coin-manufacturingMethod-default": {
                    values: {
                        Gegossen: string;
                        Geprägt: string;
                        Plattiert: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Coin-metalMaterial-default": {
                    values: {
                        Aluminium: string;
                        Billon: string;
                        Blei: string;
                        Bronze: string;
                        Eisen: string;
                        Gold: string;
                        Kupfer: string;
                        Messing: string;
                        Silber: string;
                        Stahl: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Zink: string;
                        Zinn: string;
                    };
                };
                "Coin-mint-default": {
                    values: {
                        Abdera: string;
                        Abydos: string;
                        Afrika: string;
                        Agrigent: string;
                        "Aigai (Vergina)": string;
                        Aiolis: string;
                        "Aitolischer Bund": string;
                        Akanthus: string;
                        Akkon: string;
                        Alabanda: string;
                        Alexandria: string;
                        "Alexandria Troas": string;
                        Alexandrien: string;
                        Amasra: string;
                        Amathus: string;
                        "Ambianum (Amiens)": string;
                        Ambracia: string;
                        Amiens: string;
                        Amisus: string;
                        Amphipolis: string;
                        Amrit: string;
                        Anaktorio: string;
                        Antiochia: string;
                        "Antiochia (Antakya)": string;
                        "Antiochia am Orontes": string;
                        "Apameia Kibotos": string;
                        "Apameia am Orontes": string;
                        Apollonia: string;
                        Apulien: string;
                        Aquileia: string;
                        "Archaiischer Bund": string;
                        "Arelate (Arles)": string;
                        Argos: string;
                        "Argos Amphilochicum": string;
                        Arles: string;
                        Arpi: string;
                        Aruad: string;
                        "Asia Minor": string;
                        Asien: string;
                        Aspendos: string;
                        Assos: string;
                        Astibus: string;
                        Athen: string;
                        Aydın: string;
                        Babylon: string;
                        "Barcino (Barcelona)": string;
                        Beirut: string;
                        Bozcaada: string;
                        Byblos: string;
                        Byzantion: string;
                        Böotien: string;
                        Caesaraugusta: string;
                        "Caesarea in Kappadokien": string;
                        Cales: string;
                        "Camulodunum (Colchester)": string;
                        "Canosa di Puglia": string;
                        Carnuntum: string;
                        "Carthago (Tunis)": string;
                        Catania: string;
                        Caulonia: string;
                        Chalcedon: string;
                        Chalkida: string;
                        Chalkidiki: string;
                        Chersones: string;
                        Chios: string;
                        Colchester: string;
                        "Colonia Agrippina (K\u00F6ln)": string;
                        "Colonia Patricia": string;
                        Comitatenses: string;
                        "Constantinopolis (Istanbul)": string;
                        Crotone: string;
                        Cyme: string;
                        Damaskus: string;
                        "Diesseitiges Gallian / Norditalien": string;
                        Dionysopolis: string;
                        Dyrrhachium: string;
                        Ekbatana: string;
                        Elea: string;
                        Elis: string;
                        Emerita: string;
                        Empüries: string;
                        Ephesos: string;
                        Eretria: string;
                        Erythrai: string;
                        Etrurien: string;
                        Euböa: string;
                        Foça: string;
                        Gallien: string;
                        Gela: string;
                        Germe: string;
                        Gortyn: string;
                        Halikarnassos: string;
                        Harran: string;
                        Heraclea: string;
                        Herakleia: string;
                        "Herakleia Pontike": string;
                        Himera: string;
                        Hispanien: string;
                        "Hispanien-Punisch": string;
                        Histria: string;
                        Homs: string;
                        Ibiza: string;
                        Idalion: string;
                        Italien: string;
                        "Italien (S\u00FCdosten)": string;
                        Kabile: string;
                        Kamarina: string;
                        Karien: string;
                        Karthago: string;
                        Karystos: string;
                        Kelenderis: string;
                        Kertsch: string;
                        Klazomenai: string;
                        Knidos: string;
                        Kolchis: string;
                        Kolophon: string;
                        Konstantinopel: string;
                        Korfu: string;
                        Korinth: string;
                        "Korinthischer Bund": string;
                        Kos: string;
                        Kydonia: string;
                        Kyrenaika: string;
                        Kyrene: string;
                        Kyzikos: string;
                        Köln: string;
                        Lampsakos: string;
                        "Laodikeia am Lykos": string;
                        Lapta: string;
                        Larissa: string;
                        Larnaka: string;
                        Latakia: string;
                        Lefkada: string;
                        Lentini: string;
                        Lete: string;
                        Locri: string;
                        "Locri Opuntii (Opus)": string;
                        Londinium: string;
                        Lucera: string;
                        Lugdunum: string;
                        Lydien: string;
                        Lykien: string;
                        Lysimacheia: string;
                        Lyttos: string;
                        "Magnesia am M\u00E4ander": string;
                        Mainz: string;
                        Makedonien: string;
                        "Makedonien (1. Region)": string;
                        Mangalia: string;
                        Marmetini: string;
                        Maroneia: string;
                        Marseille: string;
                        Mediolanum: string;
                        Megalopoli: string;
                        Memphis: string;
                        Messene: string;
                        Messina: string;
                        Metapont: string;
                        Milas: string;
                        Milet: string;
                        Mithymna: string;
                        Mittelitalien: string;
                        Myriandrus: string;
                        Myrina: string;
                        Mytilini: string;
                        Narbo: string;
                        Naxos: string;
                        Neapel: string;
                        Nessebar: string;
                        Nikomedia: string;
                        Nisibis: string;
                        Nuceria: string;
                        Olbia: string;
                        Oreus: string;
                        Oria: string;
                        "Ostia Antica": string;
                        Ouranoupolis: string;
                        Paestum: string;
                        Paphos: string;
                        Parion: string;
                        Paros: string;
                        Pella: string;
                        Peloponnes: string;
                        Pergamon: string;
                        Perge: string;
                        Persien: string;
                        Phanagoria: string;
                        Phaselis: string;
                        Phokis: string;
                        Priene: string;
                        "Prusias ad Hypium": string;
                        Ravenna: string;
                        "Reggio Calabria": string;
                        "Republik Zypern": string;
                        Rhodos: string;
                        Rom: string;
                        Rouen: string;
                        Salamis: string;
                        Samos: string;
                        Sardes: string;
                        Sardinien: string;
                        Segesta: string;
                        "Seleukia Pieria": string;
                        "Seleukia am Tigris": string;
                        Selinus: string;
                        Sestos: string;
                        Side: string;
                        Sidon: string;
                        Sikyon: string;
                        Sinop: string;
                        Sirmium: string;
                        Sisak: string;
                        Sizilien: string;
                        "Sizilien 2 (Republican period)": string;
                        "Sizilisch-Punisch": string;
                        Smyrna: string;
                        Sofia: string;
                        Soloi: string;
                        Sosopol: string;
                        "Susa (Persien)": string;
                        Sybaris: string;
                        Syrakus: string;
                        Syrien: string;
                        "S\u00FCdgallische M\u00FCnzst\u00E4tte": string;
                        Tanagra: string;
                        Taras: string;
                        Tarraco: string;
                        Tarsus: string;
                        Tegea: string;
                        Temnus: string;
                        Teos: string;
                        Terina: string;
                        Tessin: string;
                        Thasos: string;
                        "Thessalische Liga": string;
                        Thessalonica: string;
                        Thessaloniki: string;
                        Thiva: string;
                        Thrakien: string;
                        Thurioi: string;
                        Thyrrheium: string;
                        Trier: string;
                        "Tripoli (Libanon)": string;
                        Tyros: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Viminatium: string;
                        Vindobona: string;
                        Warna: string;
                        Zancle: string;
                        Äegina: string;
                        Äeneas: string;
                        Äetolien: string;
                    };
                };
                "Coin-mintingRuler-default": {
                    values: {
                        Constans: string;
                        Domitian: string;
                        "Kaiser Nero": string;
                        Konstantin: string;
                        Licinius: string;
                        Myrina: string;
                        Traian: string;
                        "T\u00FCrkische Republick": string;
                        "Valentianus III": string;
                    };
                };
                "Coin-stampPositioning-default": {
                    values: {
                        "- 1 Uhr": string;
                        "- 2 Uhr": string;
                        "- 3 Uhr": string;
                        "- 4 Uhr": string;
                        "- 5 Uhr": string;
                        "- 6 Uhr": string;
                        "- 7 Uhr": string;
                        "- 8 Uhr": string;
                        "- 9 Uhr": string;
                        "- 10 Uhr": string;
                        "- 11 Uhr": string;
                        "- 12 Uhr": string;
                    };
                };
                "Find-storagePlace-default": {
                    values: {
                        Landesamt: string;
                        Museum: string;
                        "Museum Bergama": string;
                        "Pergamon Depot": string;
                        Privatbesitz: string;
                        Regionalverwaltung: string;
                        Restaurierungswerkstatt: string;
                        Staatsbesitz: string;
                    };
                };
                "storagePlace-default": {
                    values: {
                        Landesamt: string;
                        Museum: string;
                        Privatbesitz: string;
                        Restaurierungswerkstatt: string;
                        Staatsbesitz: string;
                    };
                };
                "PlasterFragment-plasterComponents-default": {
                    values: {
                        Feinsand: string;
                        Grus: string;
                        Sand: string;
                    };
                };
                "Photo-originalType-default": {
                    values: {
                        "Dia bunt": string;
                        Digitalfoto: string;
                        Glasnegativ: string;
                        "Kleinbild bunt": string;
                        "Kleinbild s/w": string;
                        Messbild: string;
                        Mittelformat: string;
                        Scan: string;
                    };
                };
                "Metal-decorationTechnique-default": {
                    values: {
                        Bemalung: string;
                        Beschläge: string;
                        Emaille: string;
                        Nielloverzierung: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        Stempel: string;
                        Stempeldekor: string;
                        Vergoldung: string;
                    };
                };
                "Metal-manufacturingMethod-default": {
                    values: {
                        Getrieben: string;
                        Gußtechnik: string;
                        Prägearbeit: string;
                        Schmiedetechnik: string;
                        Ziehtechnik: string;
                    };
                };
                "Metal-objectType-default": {
                    values: {
                        Anhänger: string;
                        Armreif: string;
                        Barren: string;
                        Beschlag: string;
                        Blech: string;
                        Einlage: string;
                        Fibel: string;
                        Gefäß: string;
                        Gerät: string;
                        Gewicht: string;
                        Glocke: string;
                        Gussform: string;
                        Gusszapfen: string;
                        Halbfabrikat: string;
                        Kandelaber: string;
                        Kette: string;
                        Klinge: string;
                        Knopf: string;
                        Lampe: string;
                        Löffel: string;
                        Mobiliar: string;
                        Nadel: string;
                        Nagel: string;
                        Perle: string;
                        Pfeilspitze: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Projektil: string;
                        Reibe: string;
                        Ring: string;
                        Ringbarren: string;
                        Rührstab: string;
                        Sarkophag: string;
                        Schild: string;
                        Schlacke: string;
                        Schlüssel: string;
                        Schmiedeabfall: string;
                        Schmuck: string;
                        Schnalle: string;
                        Schreibgerät: string;
                        Siegel: string;
                        Spiegel: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        Stabbarren: string;
                        Strigilis: string;
                        Türschloss: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Wasserleitung: string;
                        Weinheber: string;
                        Werkzeug: string;
                        Zierbeschlag: string;
                    };
                };
                "Metal-vesselFormSpecific-default": {
                    values: {
                        Alabastron: string;
                        Amphoriskos: string;
                        Aryballos: string;
                        Balsamarium: string;
                        Dattelflasche: string;
                        Faltenbecher: string;
                        Glockenbecher: string;
                        Hydria: string;
                        Kopfflasche: string;
                        Kotyle: string;
                        Kragenschale: string;
                        Krater: string;
                        Kylix: string;
                        Lekythos: string;
                        Luterion: string;
                        Oinochoe: string;
                        Pelike: string;
                        Rippenschale: string;
                        Schliffrillenschale: string;
                        Skyphos: string;
                        Spitzamphora: string;
                        Sprenkler: string;
                        Stamnos: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zylindrische Flasche": string;
                    };
                };
                "Sample-sampleType-default": {
                    values: {
                        Bodenprobe: string;
                        "C14-Analyse": string;
                        Dendroprobe: string;
                        Hammerschlagsprobe: string;
                        Phosphatanalyse: string;
                        Pollenanalyse: string;
                    };
                };
                "TypeCatalog-criterion-default": {
                    values: {
                        Form: string;
                        Material: string;
                        Dekoration: string;
                        Spuren: string;
                    };
                };
                "damages-default": {
                    values: {
                        totalCollapse: string;
                        partialCollapse: string;
                        missingconst: string;
                        looseconst: string;
                        fractures: string;
                        riss1: string;
                        riss2: string;
                        riss3: string;
                        riss4: string;
                        deformationSwelling: string;
                        delamination: string;
                        moisture: string;
                        cavities: string;
                        exfoliation: string;
                        spalling: string;
                        efflorescence: string;
                        bioSettlement: string;
                        fireDamage: string;
                        erosion: string;
                        corrosion: string;
                        crusting: string;
                        mechanicDamage: string;
                        discoloration: string;
                        contamination: string;
                        fragmentation: string;
                        ruin: string;
                        weathering: string;
                        rotting: string;
                        rottingstr: string;
                        vandalizm: string;
                        fissure: string;
                    };
                };
                "Damage-condition-default": {
                    values: {
                        CCO: string;
                        CC1: string;
                        CC2: string;
                        CC3: string;
                        CC4: string;
                    };
                };
                "viewingDirection-default": {
                    values: {
                        N: string;
                        NE: string;
                        E: string;
                        SE: string;
                        S: string;
                        SW: string;
                        W: string;
                        NW: string;
                    };
                };
                "Photo-originalFormat-default": {
                    values: {
                        Digital: string;
                        Analog: string;
                        Dia: string;
                        "S/W": string;
                        Farbe: string;
                    };
                };
            };
            uk: {
                "coordinate-reference-system-default-1": {
                    values: {
                        "Eigenes Koordinatenbezugssystem": string;
                        "EPSG4326 (WGS 84)": string;
                        "EPSG3857 (WGS 84 Web Mercator)": string;
                    };
                };
                "position-values-expansion-default": {
                    values: {
                        "Maximale Ausdehnung": string;
                        "Minimale Ausdehnung": string;
                    };
                };
                "position-values-edge-default": {
                    values: {
                        Oberkante: string;
                        Unterkante: string;
                    };
                };
                "orientation-default-1": {
                    values: {
                        "N-S": string;
                        "NNO - SSW": string;
                        "NNW-SSO": string;
                        "NO-SW": string;
                        "NW-SO": string;
                        "W-O": string;
                        "WNW-OSO": string;
                        "WSW-ONO": string;
                    };
                };
                "provenance-default-1": {
                    values: {
                        Anatolien: string;
                        "Antiochia (Antakya)": string;
                        Athen: string;
                        Ägypten: string;
                        Britannien: string;
                        Deutschland: string;
                        Ephesos: string;
                        Etruskisch: string;
                        Gallien: string;
                        Irland: string;
                        Italien: string;
                        Kampanisch: string;
                        Karthagisch: string;
                        Kleinasien: string;
                        Knidos: string;
                        Korinth: string;
                        Kos: string;
                        Lesbos: string;
                        Levante: string;
                        Lokal: string;
                        "Lokal/Regional": string;
                        Milet: string;
                        Mäandertal: string;
                        Nordafrika: string;
                        Nordafrikanisch: string;
                        Palästina: string;
                        Pannonien: string;
                        Peloponnes: string;
                        Regional: string;
                        Rhodos: string;
                        Samos: string;
                        Sizilien: string;
                        Skandinavien: string;
                        Slawisch: string;
                        Spanien: string;
                        Syrien: string;
                        Südtunesisch: string;
                        Südägäis: string;
                        Attisch: string;
                        Chios: string;
                        Ionien: string;
                    };
                };
                "periods-default-1": {
                    values: {
                        Archaisch: string;
                        Bronzezeitlich: string;
                        Byzantinisch: string;
                        Eisenzeitlich: string;
                        Frühbronzezeitlich: string;
                        Frühbyzantinisch: string;
                        Frühhellenistisch: string;
                        Frühkaiserzeitlich: string;
                        Frühklassisch: string;
                        Geometrisch: string;
                        Hellenistisch: string;
                        Kaiserzeitlich: string;
                        Klassisch: string;
                        Neolithisch: string;
                        Neuzeitlich: string;
                        Osmanisch: string;
                        Pleistozän: string;
                        Römisch: string;
                        Spätantik: string;
                        Spätbronzezeitlich: string;
                        Spätbyzantinisch: string;
                        Späthellenistisch: string;
                        Spätkaiserzeitlich: string;
                        Spätklassisch: string;
                        Frühmittelalter: string;
                        Spätmittelalter: string;
                        Hochmittelalter: string;
                        Mittelalter: string;
                        Rezent: string;
                    };
                };
                "colors-default-1": {
                    values: {
                        beige: string;
                        "blass-": string;
                        blau: string;
                        braun: string;
                        cremefarben: string;
                        "dunkel-": string;
                        gelb: string;
                        grau: string;
                        grün: string;
                        "hell-": string;
                        "leuchtend-": string;
                        ocker: string;
                        orange: string;
                        rosa: string;
                        rot: string;
                        schwarz: string;
                        türkis: string;
                        violett: string;
                        weiß: string;
                    };
                    description: string;
                };
                "colors-default-2": {
                    values: {
                        beige: string;
                        dunkelbraun: string;
                        dunkelrot: string;
                        gelb: string;
                        hellbraun: string;
                        hellgrau: string;
                        mittelbraun: string;
                        ocker: string;
                        orange: string;
                        orangerot: string;
                        rosa: string;
                        rot: string;
                        rotbraun: string;
                        schwarz: string;
                        weiß: string;
                    };
                    description: string;
                };
                "glass-decorationTechnique-default": {
                    values: {
                        Bemalung: string;
                        Diatretdekor: string;
                        Emaille: string;
                        Facettschliffdekor: string;
                        "Fadendekor (aufgelegt)": string;
                        "Fadendekor (verschmolzen)": string;
                        Mosaikdekor: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        Schlangenfadendekor: string;
                        Schliffrillendekor: string;
                        Stempeldekor: string;
                        Tupfendekor: string;
                        Warzendekor: string;
                        Zwischengoldglas: string;
                        "fig\u00FCrlicher Schliffdekor": string;
                        Reticelladekor: string;
                    };
                };
                "glass-formDescription-default": {
                    values: {
                        ausladend: string;
                        bauchig: string;
                        breitoval: string;
                        doppelkonisch: string;
                        halbkugelig: string;
                        hochoval: string;
                        konisch: string;
                        kugelförmig: string;
                        quadratisch: string;
                        rechteckig: string;
                        rund: string;
                        schlank: string;
                        schmal: string;
                        spindelförmig: string;
                        tonnenförmig: string;
                        zylinderförmig: string;
                    };
                };
                "glass-manufacturingMethod-default": {
                    values: {
                        "Formgeblasen (mit Reliefdekor)": string;
                        Formgeschmolzen: string;
                        Freigeblasen: string;
                        "In Vorformen geblasen": string;
                        "In offene Halbformen geblasen": string;
                        Kerngeformt: string;
                        Sandkerngeschmolzen: string;
                        "gedreht (auf Drehscheibe)": string;
                    };
                };
                "glass-objectType-default": {
                    values: {
                        Anhänger: string;
                        Armreif: string;
                        Einlage: string;
                        Fensterglas: string;
                        Gefäß: string;
                        Gemme: string;
                        Gerät: string;
                        Glasschlacke: string;
                        Lampe: string;
                        Löffel: string;
                        Perle: string;
                        Ring: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Produktionsfragment: string;
                        Spielstein: string;
                        Rohglas: string;
                        Rührstab: string;
                        Scheiben: string;
                        Schmuck: string;
                        Tessera: string;
                        Weinheber: string;
                    };
                };
                "Brick-brickForm-default": {
                    values: {
                        Bodenziegel: string;
                        Dachziegel: string;
                        Flachziegel: string;
                        Formziegel: string;
                        Hypokaustziegel: string;
                        Imbrex: string;
                        Leistenziegel: string;
                        "Lochziegel/Hohlziegel": string;
                        Tegula: string;
                        Tonrohr: string;
                        Wandziegel: string;
                        Kalyptere: string;
                        Later: string;
                        Stroter: string;
                    };
                };
                "Brick-brickUsage-default": {
                    values: {
                        Dach: string;
                        Decke: string;
                        Fenster: string;
                        Fussboden: string;
                        Gewölbedecke: string;
                        Türrahmen: string;
                        Türsturz: string;
                        Wandverkleidung: string;
                        Klosterformat: string;
                    };
                };
                "Brick-decorationTechnique-default": {
                    values: {
                        Bemalung: string;
                        Fingerabdruck: string;
                        Kammritzung: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        "Sonstige Abdr\u00FCcke": string;
                        Stempel: string;
                        Stempeldekor: string;
                        Tupfendekor: string;
                        Wischzeichen: string;
                        "\u00DCberzug/Glasur": string;
                    };
                };
                "Brick-manufacturing-default": {
                    values: {
                        Dickwandig: string;
                        Dünnwandig: string;
                        Gebrannt: string;
                        "Hart gebrannt": string;
                        Luftgetrocknet: string;
                        "Oberfl\u00E4che glatt": string;
                        "Oberfl\u00E4che rau": string;
                        "Sekund\u00E4r gebrannt": string;
                        "Weich gebrannt": string;
                    };
                };
                "Burial-amountIndividuals-default": {
                    values: {
                        "Unsicher bzw. unbestimmbar": string;
                        Dreifachbestattung: string;
                        Mehrfachbestattung: string;
                        Doppelbestattung: string;
                        Einzelbestattung: string;
                        Grabdeponat: string;
                        Kollektivbestattung: string;
                        Massengrab: string;
                        Wiedergängerbestattung: string;
                    };
                };
                "Burial-burialCharacteristic-default": {
                    values: {
                        "Unsicher bzw. unbestimmbar": string;
                        "Prim\u00E4re Bestattung": string;
                        "Sekund\u00E4re Bestattung": string;
                    };
                };
                "Burial-burialDocumentation-default": {
                    values: {
                        Endoskopie: string;
                        Foto: string;
                        Histologie: string;
                        Röntgen: string;
                        LM: string;
                        REM: string;
                    };
                };
                "Burial-positionArms-default": {
                    values: {
                        "Unsicher bzw. unbestimmbar": string;
                        ungleichmäßig: string;
                        "am Kinn": string;
                        "an den Seiten": string;
                        "auf dem Bauch": string;
                        "auf dem Becken": string;
                        "auf der Brust": string;
                    };
                };
                "Burial-positionLegs-default": {
                    values: {
                        "Unsicher bzw. unbestimmbar": string;
                        Beinhocker: string;
                        "Beine angewinkelt": string;
                        Extremhocker: string;
                        Hocker: string;
                        gestreckt: string;
                    };
                };
                "Burial-positioningIndividuals-default": {
                    values: {
                        "Unsicher bzw. unbestimmbar": string;
                        Rückenlage: string;
                        Bauchlage: string;
                        "Seitenlage, links": string;
                        "Seitenlage, rechts": string;
                    };
                };
                "Building-architecturalOrders-default": {
                    values: {
                        "Ionische Ordnung": string;
                        "Komposite Ordnung": string;
                        "Korinthische Ordnung": string;
                        "Toskanische Ordnung": string;
                        "Dorische Ordnung": string;
                    };
                };
                "Building-buildingCategory-default": {
                    values: {
                        Altar: string;
                        Amphitheater: string;
                        Basilika: string;
                        Bogen: string;
                        Brücke: string;
                        Circus: string;
                        Grabbau: string;
                        Gymnasium: string;
                        Mauerkurtine: string;
                        Strasse: string;
                        Stützmauer: string;
                        Säulenhalle: string;
                        Tempel: string;
                        Theater: string;
                        Therme: string;
                        Toranlage: string;
                        Turm: string;
                        Wohnbau: string;
                        Nymphäum: string;
                        Odeion: string;
                    };
                };
                "Building-buildingCategorySpecific-default": {
                    values: {
                        Aediculabau: string;
                        Atriumhaus: string;
                        Bogen: string;
                        Dipteros: string;
                        Ehrenbogen: string;
                        Ehrensäule: string;
                        Hoftempel: string;
                        Palast: string;
                        Rundbau: string;
                        Schatzhaus: string;
                        Terassenheiligtum: string;
                        Torbogen: string;
                        Triumphbogen: string;
                        dreischiffig: string;
                        fünfschiffig: string;
                        "griechisches Theater": string;
                        "r\u00F6misches Theater": string;
                        vierschiffig: string;
                        zweischiffig: string;
                        Peripteros: string;
                        "Peripteros sine portico": string;
                        "Pseudo-Dipteros": string;
                        "Pseudo-Peripteros": string;
                        Rednertribüne: string;
                        Villa: string;
                        Tumulus: string;
                        Tholos: string;
                        Palästra: string;
                        Peristylhaus: string;
                    };
                };
                "Building-buildingTechnique-default": {
                    values: {
                        Blockverbandmauerwerk: string;
                        Bruchsteinmauerwerk: string;
                        Feldsteinmauerwerk: string;
                        Kyklopenmauerwerk: string;
                        Lehmziegelmauerwerk: string;
                        "Mischform Polygonal-/Quadermauerwerk": string;
                        "Opus Caementitium": string;
                        Polygonalmauerwerk: string;
                        Quadermauerwerk: string;
                        Spolienmauerwerk: string;
                        "Unregelm\u00E4\u00DFiges Polygonalmauerwerk": string;
                        "W\u00FCrfel-/Handquadermauerwerk": string;
                        Ziegelmauerwerk: string;
                        "irregul\u00E4res Mauerwerk": string;
                        "regelm\u00E4\u00DFiges Polygonalmauerwerk": string;
                        "regelm\u00E4\u00DFiges Quadermauerwerk": string;
                        "regelm\u00E4\u00DFiges Trapezoidalmauerwerk": string;
                        "unregelm\u00E4\u00DFiges Quadermauerwerk": string;
                        "unregelm\u00E4\u00DFiges Trapezoidalmauerwerk": string;
                        "unspezifisches Mauerwerk": string;
                    };
                };
                "Building-buildingType-default": {
                    values: {
                        Befestigung: string;
                        Haus: string;
                        Lager: string;
                        Werkstatt: string;
                    };
                };
                "Building-condition-default": {
                    values: {
                        "sehr gut": string;
                        gut: string;
                        mittel: string;
                        schlecht: string;
                        "sehr schlecht": string;
                    };
                };
                "Building-conditionAmount-default": {
                    values: {
                        Fragmentarisch: string;
                        Vollständig: string;
                        "Vollst\u00E4ndig zerst\u00F6rt": string;
                    };
                };
                "Building-context-default": {
                    values: {
                        Akropolis: string;
                        Forum: string;
                        Handwerksviertel: string;
                        Heiligtum: string;
                        Nekropole: string;
                        Wohnviertel: string;
                    };
                };
                "Building-material-default": {
                    values: {
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Ziegel: string;
                    };
                };
                "Building-material-default-2": {
                    values: {
                        Beton: string;
                        Blei: string;
                        Eisen: string;
                        Erde: string;
                        Fliesen: string;
                        Gips: string;
                        Glas: string;
                        Holz: string;
                        Holzwerkstoff: string;
                        Kunststoff: string;
                        Lehm: string;
                        Metall: string;
                        Mörtel: string;
                        Naturstein: string;
                        Putz: string;
                        Stahl: string;
                        Stahlbeton: string;
                        Stuck: string;
                        "Unbekannt/Unerkannt": string;
                        Ziegel: string;
                    };
                };
                "Building-material-default-3": {
                    values: {
                        Beton: string;
                        Blei: string;
                        Eisen: string;
                        Erde: string;
                        Fliesen: string;
                        Gips: string;
                        Glas: string;
                        Holz: string;
                        Holzwerkstoff: string;
                        Kunststoff: string;
                        Lehm: string;
                        Metall: string;
                        Mörtel: string;
                        Naturstein: string;
                        Putz: string;
                        Stahl: string;
                        Stahlbeton: string;
                        Stuck: string;
                        "Unbekannt/Unerkannt": string;
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Ziegel: string;
                    };
                };
                "Wood-color-default": {
                    values: {
                        braun: string;
                        haselnuss: string;
                        schwarz: string;
                    };
                };
                "Wood-objectType-default": {
                    values: {
                        Architektur: string;
                        Altar: string;
                        Anhänger: string;
                        Gefäß: string;
                        Gerät: string;
                        Grabbehältnis: string;
                        Grabmarkierung: string;
                        Grabplatte: string;
                        Gussform: string;
                        "Kasten/Kiste": string;
                        Löffel: string;
                        Mobiliar: string;
                        "Plastik/Skulptur": string;
                        Produktionsrest: string;
                        Ring: string;
                        Sarkophag: string;
                        Schmuck: string;
                        Spielzeug: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Wood-typeOfWood-default": {
                    values: {
                        Ahorn: string;
                        Apfel: string;
                        Birke: string;
                        Birne: string;
                        Buche: string;
                        Eibe: string;
                        Eiche: string;
                        Erle: string;
                        Esche: string;
                        Fichte: string;
                        Kastanie: string;
                        Kiefer: string;
                        Kirsche: string;
                        Lerche: string;
                        Linde: string;
                        Nußbaum: string;
                        Pappel: string;
                        Tanne: string;
                        Ulme: string;
                        Weide: string;
                        Zeder: string;
                    };
                };
                "Wood-manufacturingMethod-default": {
                    values: {
                        Gebohrt: string;
                        Gedämpft: string;
                        Gedreht: string;
                        Gefräst: string;
                        Gehobelt: string;
                        Gesägt: string;
                        Geschabt: string;
                        Geschliffen: string;
                        Geschnitzt: string;
                        Gespalten: string;
                    };
                };
                "Wood-surfaceCondition-default": {
                    values: {
                        Brandspuren: string;
                        "Keine Brandspuren": string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Wood-decorationTechnique-default": {
                    values: {
                        Applik: string;
                        "Bemalung (Enkaustik)": string;
                        "Bemalung (Eitemperatechnik)": string;
                        Intarsie: string;
                        Relief: string;
                        Ritzung: string;
                        Schnitzung: string;
                        Sgraffito: string;
                        "Vergoldung/metallischer \u00DCberzug": string;
                    };
                };
                "Wood-paintCondition-default": {
                    values: {
                        "gut erhalten": string;
                        abblätternd: string;
                        verrieben: string;
                        verwaschen: string;
                        "stark abgerieben": string;
                        "nicht erhalten": string;
                    };
                };
                "Architecture-blockProcessing-default": {
                    values: {
                        Bruchsteine: string;
                        Hausteine: string;
                        Lesesteine: string;
                        Werksteine: string;
                    };
                };
                "Architecture-blockTreatment-default": {
                    values: {
                        bruchbau: string;
                        "fein gegl\u00E4ttet": string;
                        gespitzt: string;
                        "grob behauen": string;
                        "grob gegl\u00E4ttet": string;
                        scharriert: string;
                        unbehauen: string;
                        bossiert: string;
                        gestockt: string;
                    };
                };
                "Architecture-brickwork-default": {
                    values: {
                        Binderverband: string;
                        Blockverband: string;
                        "Fl\u00E4mischer Verband": string;
                        "Holl\u00E4ndischer Verband": string;
                        Kreuzverband: string;
                        Läuferverband: string;
                        "M\u00E4rkischer Verband": string;
                    };
                };
                "Architecture-construction-default": {
                    values: {
                        "Fundament: Gesch\u00FCttet": string;
                        "Fundament: gesetzt": string;
                        "Mauerkern: Lesesteine": string;
                        "einschalig vor Feld/Hang": string;
                        "ohne Schalen/keine durchgehenden Lagen": string;
                        "ohne Schalen/nur durchgehende Lagen": string;
                        zweischalig: string;
                        "zweischalig mit Binderlagen": string;
                    };
                };
                "Architecture-mortarBinder-default": {
                    values: {
                        dominant: string;
                        gering: string;
                        hoch: string;
                        mittel: string;
                    };
                };
                "Architecture-mortarConsistency-default": {
                    values: {
                        brüchig: string;
                        "erdig/lehmig": string;
                        fest: string;
                        hart: string;
                        locker: string;
                        mittelfein: string;
                        pulverig: string;
                        sandig: string;
                    };
                };
                "Architecture-wallClassification-default": {
                    values: {
                        Aufgehendes: string;
                        Fensterzusetzung: string;
                        Flickung: string;
                        Fundament: string;
                        Gewölbe: string;
                        Mauer: string;
                        Mauerbettung: string;
                        Mauerdurchbruch: string;
                        Mosaik: string;
                        Türzusetzung: string;
                        Wandgestaltung: string;
                    };
                };
                "Architecture-wallType-default": {
                    values: {
                        Außenmauer: string;
                        Befestigugsmauer: string;
                        Blockmauerwerk: string;
                        Bruchsteinmauer: string;
                        Fachwerk: string;
                        Feldsteinmauer: string;
                        Grenzmauer: string;
                        Ziegelmauer: string;
                    };
                };
                "Place-findspotClassification-default": {
                    values: {
                        Felsabarbeitung: string;
                        Funderfassung: string;
                        Fundsammlung: string;
                        Grab: string;
                        Nekropole: string;
                        "Spolie in rezenter Mauer": string;
                        Steinbruch: string;
                        "Stra\u00DFe/Platz": string;
                        "Wein- bzw. \u00D6lpresse": string;
                        "einzelnes Steindenkmal": string;
                        "l\u00E4ndliches Geb\u00E4ude": string;
                        "urbanes Geb\u00E4ude": string;
                        Einzelmauer: string;
                    };
                };
                "Place-siteClassification-default": {
                    values: {
                        Bestattungsplatz: string;
                        Siedlung: string;
                    };
                };
                "Layer-consistency-default": {
                    values: {
                        "Durch Brand versiegelt": string;
                        "Oberfl\u00E4che abgewaschen": string;
                        "Oberfl\u00E4che verh\u00E4rtet": string;
                        fest: string;
                        flüssig: string;
                        hart: string;
                        lehmig: string;
                        locker: string;
                        "mittel bindend": string;
                        "mittel formbar": string;
                        "nicht bindend": string;
                        "nicht formbar": string;
                        porös: string;
                        sandig: string;
                        "schwach bindend": string;
                        "schwach formbar": string;
                        "sehr gut formbar": string;
                        "sehr hart": string;
                        "sehr schwach formbar": string;
                        "sehr weich": string;
                        "stark bindend": string;
                        steif: string;
                        weich: string;
                        "gut formbar": string;
                    };
                };
                "Layer-distinguishingCriteria-default": {
                    values: {
                        Farbe: string;
                        Form: string;
                        Grenzen: string;
                        Konsistenz: string;
                        Komposition: string;
                    };
                };
                "Layer-layerClassification-default": {
                    values: {
                        Brandschicht: string;
                        Kulturschicht: string;
                        Laufhorizont: string;
                        Planierschicht: string;
                    };
                };
                "Layer-soilType-default": {
                    values: {
                        Feinsand: string;
                        Feinstsand: string;
                        Grobsand: string;
                        Lehm: string;
                        "Lehmiger Sand": string;
                        "Lehmiger Schluff": string;
                        "Lehmiger Ton": string;
                        Mergel: string;
                        "Mittlerer Sand": string;
                        Sand: string;
                        "Sandiger Lehm": string;
                        "Sandiger Schluff": string;
                        "Sandiger Ton": string;
                        Schluff: string;
                        "Schluffiger Lehm": string;
                        "Schluffiger Sand": string;
                        "Schluffiger Ton": string;
                        Ton: string;
                        "Toniger Lehm": string;
                        "Toniger Sand": string;
                        "Toniger Schluff": string;
                    };
                };
                "Feature-featureBorders-default": {
                    values: {
                        deutlich: string;
                        diffus: string;
                        eben: string;
                        erahnbar: string;
                        erkennbar: string;
                        "etwas verwaschen": string;
                        fließend: string;
                        geneigt: string;
                        gezackt: string;
                        scharf: string;
                        "sehr deutlich": string;
                        undeutlich: string;
                        uneben: string;
                        unklar: string;
                        unregelmäßig: string;
                        verwaschen: string;
                        wellig: string;
                        regelmäßig: string;
                    };
                };
                "Feature-featureForm-default": {
                    values: {
                        Befundrest: string;
                        "U-f\u00F6rmig": string;
                        "V-f\u00F6rmig": string;
                        annähernd: string;
                        formlos: string;
                        halbmondförmig: string;
                        kesselförmig: string;
                        langgezogen: string;
                        oval: string;
                        rechteckig: string;
                        regelmäßig: string;
                        rund: string;
                        sanduhrförmig: string;
                        trapezförmig: string;
                        trichterförmig: string;
                        unregelmäßig: string;
                        wannenförmig: string;
                    };
                };
                "Floor-floorClassification-default": {
                    values: {
                        Bastmatten: string;
                        Korkboden: string;
                        Mosaik: string;
                        Pflaster: string;
                        Stampflehm: string;
                        Terrazzo: string;
                        Webmatten: string;
                        Ziegel: string;
                    };
                };
                "Inscription-objectType-default": {
                    values: {
                        "Allt\u00E4glicher Gebrauch": string;
                        Bauinschrift: string;
                        Ehreninschrift: string;
                        "Grabinschrift (Inschrift im Grabkontext)": string;
                        "Private Ausstattung": string;
                        "Sakrale Ausstattung": string;
                        "Unsicher bzw. unbestimmbar": string;
                        Urkunde: string;
                        Wasserversorgung: string;
                        Weihinschrift: string;
                        "\u00D6ffentliche Ausstattung": string;
                    };
                };
                "Pottery-clayHardness-default": {
                    values: {
                        "1 (Fingernagel schabt, ritzt leicht)": string;
                        "2 (Fingernagel ritzt)": string;
                        "3 (Messerspitze ritzt leicht)": string;
                        "4 (Messerspitze ritzt)": string;
                        "5 (Messerspitze ritzt schwer)": string;
                        "6 (Fensterglas ritzt schwer, Stahlfeile ritzt)": string;
                        "7-10 (Fensterglas wird geritzt, Stahl schl\u00E4gt Funken)": string;
                    };
                };
                "Pottery-coatInside-default": {
                    values: {
                        Glasur: string;
                        Schwarzfirnis: string;
                        Tongrundig: string;
                    };
                };
                "Pottery-coatInsideType-default": {
                    values: {
                        Andere: string;
                        Bemalung: string;
                        Geglättet: string;
                        Glasur: string;
                        Poliert: string;
                        Überzug: string;
                        Verstrichen: string;
                    };
                };
                "Pottery-decorationTechnique-default": {
                    values: {
                        Bemalung: string;
                        "Fadendekor (aufgelegt)": string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        Stempel: string;
                        Stempeldekor: string;
                        Tupfendekor: string;
                        Warzendekor: string;
                    };
                };
                "Pottery-objectType-default": {
                    values: {
                        Altar: string;
                        Anhänger: string;
                        Einlage: string;
                        Gefäß: string;
                        Gerät: string;
                        Gussform: string;
                        Kette: string;
                        Kohlebecken: string;
                        Lampe: string;
                        Löffel: string;
                        Perle: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Ring: string;
                        Sarkophag: string;
                        Schmuck: string;
                        Siegel: string;
                        Spielstein: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Webgewicht: string;
                        Werkzeug: string;
                        Antefix: string;
                        Becken: string;
                        Spinnwirtel: string;
                    };
                };
                "Pottery-vesselForm-default": {
                    values: {
                        Amphore: string;
                        Aschenurne: string;
                        Becher: string;
                        Deckel: string;
                        Deckelgefäß: string;
                        Flasche: string;
                        "Geschlossenes Gef\u00E4\u00DF": string;
                        Kanne: string;
                        Kochschüssel: string;
                        Krug: string;
                        Napf: string;
                        "Offenes Gef\u00E4\u00DF": string;
                        Pfanne: string;
                        Räuchergefäß: string;
                        Schüssel: string;
                        Tasse: string;
                        Teller: string;
                        "Teller/Untersatz": string;
                        Topf: string;
                        Unbestimmt: string;
                        Vorratsgefäß: string;
                        Schale: string;
                    };
                };
                "Pottery-vesselFormSpecific-default": {
                    values: {
                        Dattelflasche: string;
                        Faltenbecher: string;
                        Fischteller: string;
                        Glockenbecher: string;
                        Handelsamphore: string;
                        Salznapf: string;
                        Spitzamphora: string;
                        Sprenkler: string;
                        Tränenfläschchen: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zylindrische Flasche": string;
                        Amphoriskos: string;
                        Aryballos: string;
                        Balsamarium: string;
                        Kopfflasche: string;
                        Krater: string;
                        Skyphos: string;
                        Stamnos: string;
                        Tierflasche: string;
                        Tischamphore: string;
                        Hydria: string;
                        Kylix: string;
                        Lekane: string;
                        Lekythos: string;
                        Luterion: string;
                        Oinochoe: string;
                        Alabastron: string;
                        Kragenschale: string;
                        Lutrophore: string;
                        Miscellanea: string;
                        Pelike: string;
                        Pithos: string;
                    };
                };
                "Grave-graveType-default": {
                    values: {
                        Baumsargbestattung: string;
                        Erdgrab: string;
                        Felsgrab: string;
                        Flachgrab: string;
                        Ganggrab: string;
                        Gefäßbestattung: string;
                        "Gemauertes Grab": string;
                        Glockengrab: string;
                        Hügelgrab: string;
                        Mausoleum: string;
                        Megalithgrab: string;
                        Schachthöhlengrab: string;
                        Brandschüttung: string;
                        Gruft: string;
                        Kistengrab: string;
                        Steineinfassung: string;
                        Steinplattengrab: string;
                        Urnengrab: string;
                        Brandgrubengrab: string;
                        Felsnischengrab: string;
                        Ziegelplattengrab: string;
                    };
                };
                "Grave-tombBuilding-default": {
                    values: {
                        Bruchsteingemauert: string;
                        Quadergemauert: string;
                        Ziegelgemauert: string;
                    };
                };
                "Bone-boneClassification-default": {
                    values: {
                        "Becken (Pelvis)": string;
                        "Brustbein (Sternum)": string;
                        "Elle (Ulna)": string;
                        "Fingerknochen (Phalanges)": string;
                        Fußknochen: string;
                        Handknochen: string;
                        "Kniescheibe (Patella)": string;
                        Langknochen: string;
                        "Oberarm (Humerus)": string;
                        "Oberschenkel (Femur)": string;
                        Rippen: string;
                        "Schienenbein (Tibia)": string;
                        "Schl\u00FCsselbein (Clavicula)": string;
                        "Schulterblatt (Scapula)": string;
                        "Sch\u00E4del (Cranium)": string;
                        "Speiche (Radius)": string;
                        Steißbein: string;
                        Undefinierbar: string;
                        "Unterkiefer (Mandibula)": string;
                        "Wadenbein (Fibula)": string;
                        Wirbel: string;
                        Zahn: string;
                    };
                };
                "Bone-boneType-default": {
                    values: {
                        Elfenbein: string;
                        Horn: string;
                        Menschenknochen: string;
                        Tierknochen: string;
                    };
                };
                "Bone-burningGrade-default": {
                    values: {
                        "I - 200\u00B0-300\u00B0C - Verf\u00E4rbung etwa gelblichwei\u00DF-elfenbein glasig": string;
                        "II - 300\u00B0-400\u00B0C - Verf\u00E4rbung etwa braun-dunkelbraun/schwarz": string;
                        "III - um 550\u00B0C - Verf\u00E4rbung etwa grau/blaugrau-milchig hellgrau": string;
                        "IV - 650\u00B0-750\u00B0C - Verf\u00E4rbung etwa milchig wei\u00DF-mattwei\u00DF/kreideartig": string;
                        "V - ab 800\u00B0C - Verf\u00E4rbung etwa altwei\u00DF/schmutzigwei\u00DF": string;
                    };
                };
                "Bone-sex-default": {
                    values: {
                        Männlich: string;
                        Weiblich: string;
                    };
                };
                "Bone-objectType-default": {
                    values: {
                        Anhänger: string;
                        Armreif: string;
                        Astragal: string;
                        "Bearbeitet (allgemein)": string;
                        Einlage: string;
                        Gefäß: string;
                        Gerät: string;
                        Kette: string;
                        Löffel: string;
                        Perle: string;
                        Ring: string;
                        Schmuck: string;
                        Spielstein: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Weinheber: string;
                        Werkzeug: string;
                    };
                };
                "Bone-species-default": {
                    values: {
                        Biber: string;
                        Fisch: string;
                        "G\u00E4nsevogel (z. B. Gans, Schwan oder Ente)": string;
                        "Hasenartige (Lagomorpha)  (z. B. Hase, Pfeifhase oder Kaninchen)": string;
                        Hirsch: string;
                        "Nagetier (z.B. Maus, Ratte etc.)": string;
                        Rind: string;
                        Schwein: string;
                        Vogel: string;
                        "Ziegenartige (z. B. Schaf, Ziege)": string;
                    };
                };
                "Terracotta-clayStructure-default": {
                    values: {
                        hart: string;
                        "klingend hart": string;
                        mittel: string;
                        weich: string;
                    };
                };
                "Terracotta-surfaceCondition-default": {
                    values: {
                        Brandspuren: string;
                        Sekundärbrand: string;
                        abblätternd: string;
                        "gut erhalten": string;
                        "stark abgerieben": string;
                        "starke Sinter- oder M\u00F6rtelablagerungen": string;
                        verrieben: string;
                        verwaschen: string;
                    };
                };
                "Terracotta-vesselForm-default": {
                    values: {
                        Amphore: string;
                        Aschenurne: string;
                        Becher: string;
                        Deckel: string;
                        Deckelgefäß: string;
                        Flasche: string;
                        Krug: string;
                        Napf: string;
                        Schale: string;
                        Schüssel: string;
                        Tasse: string;
                        Teller: string;
                        Topf: string;
                        Unbestimmt: string;
                        Vorratsgefäß: string;
                    };
                };
                "Drawing-drawingMaterial-default": {
                    values: {
                        "Digitale Datei": string;
                        Folie: string;
                        Karton: string;
                        Lichtpause: string;
                        Mikrofilm: string;
                        Millimeterpapier: string;
                        Papier: string;
                        Photoabzüge: string;
                        Transparentfilm: string;
                        Transparentpapier: string;
                    };
                };
                "Drawing-drawingTool-default": {
                    values: {
                        Bleistift: string;
                        Buntstift: string;
                        Tusche: string;
                        "digital erstellt": string;
                    };
                };
                "Drawing-drawingType-default": {
                    values: {
                        "AutoCAD Zeichnung (auch TachyCAD)": string;
                        Handzeichnung: string;
                        Pantograf: string;
                    };
                };
                "Drawing-scale-default": {
                    values: {
                        "1:1": string;
                        "1:10": string;
                        "1:100": string;
                        "1:1000": string;
                        "1:10000": string;
                        "1:20": string;
                        "1:50": string;
                        "1:500": string;
                        "1:5000": string;
                    };
                };
                "Survey-researchMethod-default": {
                    values: {
                        Befliegung: string;
                        Begehung: string;
                        Geoelektrik: string;
                        Geomagnetik: string;
                        Georadar: string;
                        LIDAR: string;
                        "Luft- oder Satellitenbilder": string;
                        Quadratisch: string;
                        Regelmäßig: string;
                        Seismik: string;
                    };
                };
                "Stone-architectureElement-default": {
                    values: {
                        Akroter: string;
                        Architrav: string;
                        Archtitravfriesblock: string;
                        Basis: string;
                        Bauplastik: string;
                        Fries: string;
                        Gesims: string;
                        Kapitell: string;
                        Konsole: string;
                        Profilstück: string;
                        Quaderblock: string;
                        Rinne: string;
                        Schrankenplatte: string;
                        Schwellenblock: string;
                        Säule: string;
                        Wandverkleidung: string;
                    };
                };
                "Stone-material-default": {
                    values: {
                        Andesit: string;
                        Basalt: string;
                        Feldspat: string;
                        Flint: string;
                        Glimmer: string;
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Quarz: string;
                        Sandstein: string;
                        Sinter: string;
                        Trachyt: string;
                        Tuff: string;
                    };
                };
                "Stone-objectType-default": {
                    values: {
                        Altar: string;
                        Anhänger: string;
                        Architekturdekor: string;
                        Bauglied: string;
                        Becken: string;
                        Einlage: string;
                        Fußbodenfragment: string;
                        Gefäß: string;
                        Gerät: string;
                        Grabmarkierung: string;
                        Grabplatte: string;
                        Gussform: string;
                        Inkrustation: string;
                        Lampe: string;
                        Löffel: string;
                        Mahlstein: string;
                        Mobiliar: string;
                        Mörser: string;
                        Perle: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Reibstein: string;
                        Ring: string;
                        Rührstab: string;
                        Sarkophag: string;
                        Schmuck: string;
                        Siegel: string;
                        Spielbrett: string;
                        Spielstein: string;
                        Spolie: string;
                        Statuenbasis: string;
                        Tischfuß: string;
                        Webgewicht: string;
                        Werkzeug: string;
                        Ölpresse: string;
                    };
                };
                "Stone-origin-default": {
                    values: {
                        Alpen: string;
                        Anatolien: string;
                        Chimtou: string;
                        Kreta: string;
                        Sizilien: string;
                    };
                };
                "Coin-denomination-default": {
                    values: {
                        "Unsicher bzw. unbestimmbar": string;
                        Medaillon: string;
                        "Silber-Mehrfaches": string;
                        Victoriatus: string;
                    };
                };
                "Coin-manufacturingMethod-default": {
                    values: {
                        Gegossen: string;
                        Geprägt: string;
                        Plattiert: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Coin-metalMaterial-default": {
                    values: {
                        Aluminium: string;
                        Blei: string;
                        Bronze: string;
                        Eisen: string;
                        Gold: string;
                        Kupfer: string;
                        Messing: string;
                        Silber: string;
                        Stahl: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Zink: string;
                        Zinn: string;
                    };
                };
                "Coin-mint-default": {
                    values: {
                        Afrika: string;
                        Asien: string;
                        Athen: string;
                        Babylon: string;
                        Chersones: string;
                        "Constantinopolis (Istanbul)": string;
                        Damaskus: string;
                        Italien: string;
                        Kertsch: string;
                        Kolchis: string;
                        Konstantinopel: string;
                        Makedonien: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Vindobona: string;
                        Thurioi: string;
                        Thessalonica: string;
                        "S\u00FCdgallische M\u00FCnzst\u00E4tte": string;
                        "Sizilien 2 (Republican period)": string;
                        Persien: string;
                        "Ostia Antica": string;
                        Mittelitalien: string;
                        Pergamon: string;
                        Peloponnes: string;
                        Paros: string;
                        Oreus: string;
                        Oria: string;
                        Olbia: string;
                        Nikomedia: string;
                        Nisibis: string;
                        Nuceria: string;
                        Nessebar: string;
                        Neapel: string;
                        Narbo: string;
                        Naxos: string;
                        Myrina: string;
                        Milet: string;
                        Messina: string;
                        Metapont: string;
                        Milas: string;
                        Marseille: string;
                        Thrakien: string;
                        Thiva: string;
                        Thessaloniki: string;
                        "Thessalische Liga": string;
                        Thasos: string;
                        Tessin: string;
                        Terina: string;
                        Teos: string;
                        Temnus: string;
                        Tarsus: string;
                        Tarraco: string;
                        Syrien: string;
                        Syrakus: string;
                        Sybaris: string;
                        "Susa (Persien)": string;
                        Sofia: string;
                        Soloi: string;
                        Sosopol: string;
                        "Sizilisch-Punisch": string;
                        Smyrna: string;
                        Sizilien: string;
                        Sisak: string;
                        Sirmium: string;
                        Sardinien: string;
                        Samos: string;
                        Rom: string;
                        Rhodos: string;
                        "Republik Zypern": string;
                        "Reggio Calabria": string;
                        Ravenna: string;
                        Priene: string;
                        Äetolien: string;
                        Äegina: string;
                        Äeneas: string;
                        Tyros: string;
                        "Tripoli (Libanon)": string;
                        Viminatium: string;
                        Warna: string;
                        Zancle: string;
                        Trier: string;
                        Thyrrheium: string;
                        Erythrai: string;
                        Aquileia: string;
                        Apulien: string;
                        Alexandrien: string;
                        Akanthus: string;
                        "Aitolischer Bund": string;
                        Agrigent: string;
                        Abydos: string;
                        Ephesos: string;
                        Elea: string;
                        "Colonia Agrippina (K\u00F6ln)": string;
                        Chalcedon: string;
                        Catania: string;
                        "Carthago (Tunis)": string;
                        Carnuntum: string;
                        "Caesarea in Kappadokien": string;
                        Byzantion: string;
                        Beirut: string;
                        Empüries: string;
                        Emerita: string;
                        Elis: string;
                        Ekbatana: string;
                        Dyrrhachium: string;
                        Dionysopolis: string;
                        Crotone: string;
                        Comitatenses: string;
                        Colchester: string;
                        Lefkada: string;
                        Lentini: string;
                        Lete: string;
                        Locri: string;
                        Lapta: string;
                        "Laodikeia am Lykos": string;
                        Lampsakos: string;
                        Köln: string;
                        Kydonia: string;
                        Korinth: string;
                        Knidos: string;
                        Karthago: string;
                        "Italien (S\u00FCdosten)": string;
                        Ibiza: string;
                        Homs: string;
                        Histria: string;
                        "Hispanien-Punisch": string;
                        Hispanien: string;
                        Herakleia: string;
                        Heraclea: string;
                        Halikarnassos: string;
                        Gallien: string;
                        Etrurien: string;
                        Kyzikos: string;
                        Kyrene: string;
                        Kyrenaika: string;
                        Kos: string;
                        Korfu: string;
                        Klazomenai: string;
                        Kelenderis: string;
                        Karystos: string;
                        Karien: string;
                        Kamarina: string;
                        Kabile: string;
                        Idalion: string;
                        Himera: string;
                        Gortyn: string;
                        Germe: string;
                        Gela: string;
                        Euböa: string;
                        Phanagoria: string;
                        Paphos: string;
                        Ouranoupolis: string;
                        Myriandrus: string;
                        "Makedonien (1. Region)": string;
                        Mainz: string;
                        "Magnesia am M\u00E4ander": string;
                        Phaselis: string;
                        Perge: string;
                        Pella: string;
                        Parion: string;
                        Paestum: string;
                        Mytilini: string;
                        Mithymna: string;
                        Messene: string;
                        Memphis: string;
                        Megalopoli: string;
                        Mediolanum: string;
                        Maroneia: string;
                        Marmetini: string;
                        Mangalia: string;
                        Lyttos: string;
                        Lysimacheia: string;
                        Lykien: string;
                        Lydien: string;
                        Lugdunum: string;
                        Lucera: string;
                        Londinium: string;
                        Sinop: string;
                        Tanagra: string;
                        Taras: string;
                        Tegea: string;
                        "Seleukia am Tigris": string;
                        "Seleukia Pieria": string;
                        Sikyon: string;
                        Sidon: string;
                        Sestos: string;
                        Selinus: string;
                        Segesta: string;
                        Sardes: string;
                        Salamis: string;
                        Rouen: string;
                        Phokis: string;
                        Latakia: string;
                        Larnaka: string;
                        "Korinthischer Bund": string;
                        "Herakleia Pontike": string;
                        Eretria: string;
                        "Diesseitiges Gallian / Norditalien": string;
                        "Barcino (Barcelona)": string;
                        "Archaiischer Bund": string;
                        Kolophon: string;
                        Harran: string;
                        "Colonia Patricia": string;
                        Argos: string;
                        Apollonia: string;
                        Antiochia: string;
                        Amphipolis: string;
                        Ambracia: string;
                        "Alexandria Troas": string;
                        Alexandria: string;
                        Chalkidiki: string;
                        Chalkida: string;
                        "Camulodunum (Colchester)": string;
                        Caesaraugusta: string;
                        Böotien: string;
                        Byblos: string;
                        Bozcaada: string;
                        Astibus: string;
                        Assos: string;
                        Aspendos: string;
                        Arpi: string;
                        Aruad: string;
                        "Argos Amphilochicum": string;
                        Larissa: string;
                    };
                };
                "Coin-stampPositioning-default": {
                    values: {
                        "- 1 Uhr": string;
                        "- 2 Uhr": string;
                        "- 3 Uhr": string;
                        "- 4 Uhr": string;
                        "- 5 Uhr": string;
                        "- 6 Uhr": string;
                        "- 7 Uhr": string;
                        "- 8 Uhr": string;
                        "- 9 Uhr": string;
                        "- 10 Uhr": string;
                        "- 11 Uhr": string;
                        "- 12 Uhr": string;
                    };
                };
                "Find-storagePlace-default": {
                    values: {
                        Landesamt: string;
                        Museum: string;
                        Privatbesitz: string;
                        Regionalverwaltung: string;
                        Restaurierungswerkstatt: string;
                        Staatsbesitz: string;
                        "Museum Bergama": string;
                        "Pergamon Depot": string;
                    };
                };
                "storagePlace-default": {
                    values: {
                        Landesamt: string;
                        Museum: string;
                        Privatbesitz: string;
                        Restaurierungswerkstatt: string;
                        Staatsbesitz: string;
                    };
                };
                "PlasterFragment-plasterComponents-default": {
                    values: {
                        Feinsand: string;
                        Grus: string;
                        Sand: string;
                    };
                };
                "Photo-originalType-default": {
                    values: {
                        "Dia bunt": string;
                        Digitalfoto: string;
                        Glasnegativ: string;
                        "Kleinbild bunt": string;
                        "Kleinbild s/w": string;
                        Messbild: string;
                        Mittelformat: string;
                        Scan: string;
                    };
                };
                "Metal-decorationTechnique-default": {
                    values: {
                        Bemalung: string;
                        Beschläge: string;
                        Emaille: string;
                        Nielloverzierung: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        Stempel: string;
                        Stempeldekor: string;
                        Vergoldung: string;
                    };
                };
                "Metal-manufacturingMethod-default": {
                    values: {
                        Gußtechnik: string;
                        Prägearbeit: string;
                        Schmiedetechnik: string;
                        Ziehtechnik: string;
                        Getrieben: string;
                    };
                };
                "Metal-objectType-default": {
                    values: {
                        Anhänger: string;
                        Armreif: string;
                        Barren: string;
                        Beschlag: string;
                        Blech: string;
                        Einlage: string;
                        Fibel: string;
                        Gefäß: string;
                        Gewicht: string;
                        Glocke: string;
                        Gussform: string;
                        Gusszapfen: string;
                        Halbfabrikat: string;
                        Kandelaber: string;
                        Kette: string;
                        Klinge: string;
                        Knopf: string;
                        Lampe: string;
                        Löffel: string;
                        Mobiliar: string;
                        Nagel: string;
                        Perle: string;
                        Pfeilspitze: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Projektil: string;
                        Reibe: string;
                        Ring: string;
                        Ringbarren: string;
                        Rührstab: string;
                        Sarkophag: string;
                        Schild: string;
                        Schlacke: string;
                        Schmiedeabfall: string;
                        Schmuck: string;
                        Schnalle: string;
                        Schreibgerät: string;
                        Siegel: string;
                        Spiegel: string;
                        Spielstein: string;
                        Strigilis: string;
                        Türschloss: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Wasserleitung: string;
                        Weinheber: string;
                        Werkzeug: string;
                        Zierbeschlag: string;
                        Gerät: string;
                        Spinnwirtel: string;
                        Schlüssel: string;
                        Nadel: string;
                        Stabbarren: string;
                    };
                };
                "Metal-vesselFormSpecific-default": {
                    values: {
                        Alabastron: string;
                        Amphoriskos: string;
                        Spitzamphora: string;
                        Sprenkler: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zylindrische Flasche": string;
                        Schliffrillenschale: string;
                        Rippenschale: string;
                        Balsamarium: string;
                        Faltenbecher: string;
                        Dattelflasche: string;
                        Glockenbecher: string;
                        Krater: string;
                        Kragenschale: string;
                        Kopfflasche: string;
                        Stamnos: string;
                        Aryballos: string;
                        Skyphos: string;
                        Luterion: string;
                        Pelike: string;
                        Oinochoe: string;
                        Lekythos: string;
                        Kylix: string;
                        Kotyle: string;
                        Hydria: string;
                    };
                };
                "Sample-sampleType-default": {
                    values: {
                        Bodenprobe: string;
                        "C14-Analyse": string;
                        Dendroprobe: string;
                        Hammerschlagsprobe: string;
                        Phosphatanalyse: string;
                        Pollenanalyse: string;
                    };
                };
                "TypeCatalog-criterion-default": {
                    values: {
                        Form: string;
                        Material: string;
                        Dekoration: string;
                        Spuren: string;
                    };
                };
                "damages-default": {
                    values: {
                        totalCollapse: string;
                        partialCollapse: string;
                        missingconst: string;
                        looseconst: string;
                        fractures: string;
                        riss1: string;
                        riss2: string;
                        riss3: string;
                        riss4: string;
                        deformationSwelling: string;
                        delamination: string;
                        moisture: string;
                        cavities: string;
                        exfoliation: string;
                        spalling: string;
                        efflorescence: string;
                        bioSettlement: string;
                        fireDamage: string;
                        erosion: string;
                        corrosion: string;
                        crusting: string;
                        mechanicDamage: string;
                        discoloration: string;
                        contamination: string;
                        fragmentation: string;
                        ruin: string;
                        weathering: string;
                        rotting: string;
                        rottingstr: string;
                        vandalizm: string;
                        fissure: string;
                    };
                };
                "Damage-condition-default": {
                    values: {
                        CCO: string;
                        CC1: string;
                        CC2: string;
                        CC3: string;
                        CC4: string;
                    };
                };
                "glass-vesselForm-default": {
                    values: {
                        Teller: string;
                        Aschenurne: string;
                        Krug: string;
                        Napf: string;
                        Schale: string;
                        Schüssel: string;
                        Tasse: string;
                        Topf: string;
                        Unbestimmt: string;
                        Vorratsgefäß: string;
                        Becher: string;
                        Deckel: string;
                        Deckelgefäß: string;
                        Flasche: string;
                    };
                };
                "glass-transparency-default": {
                    values: {
                        durchscheinend: string;
                        durchsichtig: string;
                        opak: string;
                        versintert: string;
                    };
                };
                "glass-vesselFormSpecific-default": {
                    values: {
                        Faltenbecher: string;
                        Schliffrillenschale: string;
                        "hexagonale Flasche": string;
                        Dattelflasche: string;
                        Hydria: string;
                        Kragenschale: string;
                        Krater: string;
                        Schöpfer: string;
                        Rippenschale: string;
                        Spitzamphora: string;
                        Sprenkler: string;
                        Tierflasche: string;
                        Vierkantflasche: string;
                        "zylindrische Flasche": string;
                        "zarte Rippenschale": string;
                        Alabastron: string;
                        Amphoriskos: string;
                        Aryballos: string;
                        Balsamarium: string;
                        Kopfflasche: string;
                        Unguentarium: string;
                        Skyphos: string;
                        Stamnos: string;
                        Kylix: string;
                        Lekythos: string;
                        Luterion: string;
                        Oinochoe: string;
                        Pelike: string;
                        Kotyle: string;
                    };
                };
                "Mollusk-classification-default": {
                    values: {
                        "Muschelschale (Bivalvia)": string;
                        Schuppe: string;
                        "Schneckenhaus (Gastropoda)": string;
                    };
                };
                "Brick-manufacturingMethod-default": {
                    values: {
                        "gedreht (auf Drehscheibe)": string;
                        gegossen: string;
                        gepresst: string;
                        handgeformt: string;
                    };
                };
                "Brick-specificType-default": {
                    values: {
                        Tonrohr: string;
                        Abschläge: string;
                        Berg: string;
                        Bodenziegel: string;
                        Bruchstein: string;
                        Dachziegel: string;
                        Geröll: string;
                        Hohlziegel: string;
                        Hypokaustziegel: string;
                        Kanalziegel: string;
                        Platten: string;
                        Quader: string;
                        Variierend: string;
                        Wandziegel: string;
                        Ziegelbruch: string;
                    };
                };
                "Brick-temper-default": {
                    values: {
                        Glimmer: string;
                        "Mineralische Partikel": string;
                        Kalk: string;
                        "Organische Partikel": string;
                        Quarz: string;
                        Schamotte: string;
                        Sonstige: string;
                        Steinchen: string;
                        "Stroh/Spreu": string;
                        "Vulkanische Partikel": string;
                        Vacua: string;
                        Muschelgrus: string;
                    };
                };
                "Burial-graveFeature-default": {
                    values: {
                        "Teil-K\u00F6rperbestattung": string;
                        Brandbestattung: string;
                        Kenotaph: string;
                        Körperbestattung: string;
                    };
                };
                "Coin-mintingRuler-default": {
                    values: {
                        "Kaiser Nero": string;
                        "T\u00FCrkische Republick": string;
                        Traian: string;
                        Konstantin: string;
                        Domitian: string;
                        Licinius: string;
                        Constans: string;
                        "Valentianus III": string;
                        Myrina: string;
                    };
                };
                "Photo-originalFormat-default": {
                    values: {
                        Farbe: string;
                        "S/W": string;
                        Dia: string;
                        Analog: string;
                        Digital: string;
                    };
                };
                "viewingDirection-default": {
                    values: {
                        NW: string;
                        W: string;
                        SW: string;
                        S: string;
                        SE: string;
                        E: string;
                        NE: string;
                        N: string;
                    };
                };
                "Pottery-manufacturingMethod-default": {
                    values: {
                        "gedreht (auf Drehscheibe)": string;
                        gegossen: string;
                        gepresst: string;
                        handgeformt: string;
                        "nachgedreht (\u00FCberdreht)": string;
                        "in Form gedreht": string;
                    };
                };
                "Pottery-materialType-default": {
                    values: {
                        "Feinkeramik (Feine Ware)": string;
                        "Gebrauchskeramik (Grobe Ware)": string;
                    };
                };
                "Pottery-specificType-default": {
                    values: {
                        "Arretina schwarz": string;
                        "Attisch farbig aufgeh\u00F6hte Schwarzglanzton Ware": string;
                        "Attische Keramik": string;
                        "Attische Schwarzfigurige Keramik": string;
                        "Attische Schwarzglanzton Ware": string;
                        "Bemalte Keramik": string;
                        "Bichrome Ware": string;
                        "D\u00FCnnwandige Feinkeramik": string;
                        Firnisware: string;
                        "Glattwandige Ware": string;
                        Hand: string;
                        "Korinthische Keramik": string;
                        Küchenware: string;
                        "Ostgriechische Keramik": string;
                        "Schlichte Ware": string;
                        "Red Slip Ware": string;
                        "Schwarzglanzton Ware": string;
                        "Terra sigilata": string;
                        "Bemalte Ware (linear)": string;
                        "Glasierte Keramik": string;
                        "Pr\u00E4historische Keramik": string;
                        "Attische Rotfigurige Keramik": string;
                        "Bemalte Ware (floral)": string;
                    };
                };
                "Pottery-temperAmount-default": {
                    values: {
                        Mittel: string;
                        "Nicht erkennbar": string;
                        "Sehr Viel": string;
                        Vereinzelt: string;
                        Viel: string;
                        Wenig: string;
                        "Keine Einschl\u00FCsse": string;
                    };
                };
                "Pottery-temperParticles-default": {
                    values: {
                        fein: string;
                        grob: string;
                        mittel: string;
                        mittelfein: string;
                        "sehr grob": string;
                        "sehr fein": string;
                    };
                };
                "Grave-specificType-default": {
                    values: {
                        Amphorenbestattung: string;
                        "In Krug": string;
                        "In Dinos": string;
                        "ziegelgemauertes Grab": string;
                        "bruchsteingemauertes Grab": string;
                        "quadergemauertes Grab": string;
                    };
                };
                "Bone-biologicalAge-default": {
                    values: {
                        "Adult (18/20-40)": string;
                        "Infans I (0-7)": string;
                        "Infans II (7-13)": string;
                        "Juvenil (13-18/20)": string;
                        "Matur (40-60)": string;
                        "Fetus/Neonatus": string;
                    };
                };
                "Architecture-mark-default": {
                    values: {
                        A: string;
                    };
                };
                "Terracotta-vesselFormSpecific-default": {
                    values: {
                        Amphoriskos: string;
                        Aryballos: string;
                        Balsamarium: string;
                        Faltenbecher: string;
                        Alabastron: string;
                        Dattelflasche: string;
                    };
                };
            };
        };
        projects: {
            de: {
                "periods-boha-1": {
                    values: {
                        "\u00C4lteres Gro\u00DFreich": string;
                        "Alt-hethitisch": string;
                        Archaisch: string;
                        Bronzezeitlich: string;
                        Byzantinisch: string;
                        Eisenzeitlich: string;
                        Frühbronzezeitlich: string;
                        Frühbyzantinisch: string;
                        Frühhellenistisch: string;
                        Frühkaiserzeitlich: string;
                        Frühklassisch: string;
                        Galatisch: string;
                        Geometrisch: string;
                        Großreichszeitlich: string;
                        Hellenistisch: string;
                        Hethitisch: string;
                        "J\u00FCngeres Gro\u00DFreich": string;
                        Kaiserzeitlich: string;
                        "K\u0101rum-zeitlich": string;
                        Klassisch: string;
                        Mittelbronzezeitlich: string;
                        Neolithisch: string;
                        Neuzeitlich: string;
                        Osmanisch: string;
                        Phrygisch: string;
                        Pleistozän: string;
                        Rezent: string;
                        Römisch: string;
                        Spätantik: string;
                        Spätbronzezeitlich: string;
                        Spätbyzantinisch: string;
                        Späthellenistisch: string;
                        Spätkaiserzeitlich: string;
                        Spätklassisch: string;
                    };
                };
                "periods-meninx-1": {
                    values: {
                        "Vorr\u00F6misch I. ca. 500 - 146 v. Chr. (punisch)": string;
                        "Vorr\u00F6misch II. 146 - 31 v. Chr. (neopunisch)": string;
                        "Fr\u00FChe Kaiserzeit. 31 v. Chr. - 69 n. Chr. (augusteisch / iulisch-claudisch)": string;
                        "Mittlere Kaiserzeit I. ca. 69 - 117 n. Chr. (flavisch - trajanisch)": string;
                        "Mittlere Kaiserzeit II. 117 - 235 n. Chr. (hadrianisch - severisch)": string;
                        "Sp\u00E4te Kaiserzeit. 235 - 306 n. Chr. (Soldatenkaiser - tetrarchisch)": string;
                        "Sp\u00E4tantike I.  306 - 530 n. Chr. (konstantinisch - vandalisch)": string;
                        "Sp\u00E4tantike II. 530 - 698 n. Chr. (byzantinisch)": string;
                        "Phase I": string;
                        "Phase II": string;
                        "Phase III": string;
                        "Phase IV": string;
                        "Phase V": string;
                    };
                };
                "periods-pergamon-1": {
                    values: {
                        Bronzezeitlich: string;
                        Frühbronzezeitlich: string;
                        Mittelbronzezeitlich: string;
                        Spätbronzezeitlich: string;
                        Eisenzeitlich: string;
                        Geometrisch: string;
                        Frühgeometrisch: string;
                        Mittelgeometrisch: string;
                        Spätgeometrisch: string;
                        Archaisch: string;
                        Früharchaisch: string;
                        Mittelarchaisch: string;
                        Spätarchaisch: string;
                        Klassisch: string;
                        Frühklassisch: string;
                        Hochklassisch: string;
                        Spätklassisch: string;
                        Hellenistisch: string;
                        Frühhellenistisch: string;
                        Hochhellenistisch: string;
                        Späthellenistisch: string;
                        Römisch: string;
                        "R\u00F6misch/republikanisch": string;
                        Kaiserzeitlich: string;
                        Frühkaiserzeitlich: string;
                        Mittelkaiserzeitlich: string;
                        Spätkaiserzeitlich: string;
                        Spätantik: string;
                        Byzantinisch: string;
                        Frühbyzantinisch: string;
                        Spätbyzantinisch: string;
                        Islamisch: string;
                        Osmanisch: string;
                        Neuzeitlich: string;
                        Rezent: string;
                    };
                };
                "periods-Gadara": {
                    values: {
                        Eisenzeitlich: string;
                        Hellenistisch: string;
                        "Hellenistisch/R\u00F6misch": string;
                        Römisch: string;
                        "R\u00F6misch/Byzantinisch": string;
                        Byzantinisch: string;
                        "Byzantinisch/Umayyadisch": string;
                        Umayyadisch: string;
                        Abbasidisch: string;
                        Frühislamisch: string;
                        Ayyubidisch: string;
                        Mamlukisch: string;
                        Mittelislamisch: string;
                        Islamisch: string;
                        Osmanisch: string;
                        Modern: string;
                    };
                };
                "colors-boha-1": {
                    values: {
                        beige: string;
                        "blass-": string;
                        blau: string;
                        braun: string;
                        cremefarben: string;
                        "dunkel-": string;
                        gelb: string;
                        grau: string;
                        grün: string;
                        "hell-": string;
                        "leuchtend-": string;
                        ocker: string;
                        orange: string;
                        rosa: string;
                        rot: string;
                        schwarz: string;
                        türkis: string;
                        violett: string;
                        weiß: string;
                        "-lich": string;
                    };
                };
                "colors-munsell-pottery-1": {
                    values: {
                        "10YR 5/2": string;
                        "10YR 5/3": string;
                        "10YR 5/4": string;
                        "10YR 6/4": string;
                        "10YR 7/1": string;
                        "10YR 7/3": string;
                        "10YR 7/4": string;
                        "10YR 8/2": string;
                        "10YR 4/3": string;
                        "10YR 4/4": string;
                        "10YR 6/3": string;
                        "10YR 7/6": string;
                        "10YR 8/3": string;
                        "10YR 8/4": string;
                        "2.5R 4/4": string;
                        "2.5Y 4/2": string;
                        "2.5Y 4/3": string;
                        "2.5Y 5/2": string;
                        "2.5Y 5/3": string;
                        "2.5Y 6/2": string;
                        "2.5Y 6/3": string;
                        "2.5Y 6/4": string;
                        "2.5Y 7/2": string;
                        "2.5Y 7/3": string;
                        "2.5Y 7/4": string;
                        "2.5Y 8/3": string;
                        "2.5Y 8/2": string;
                        "2.5YR 4/2": string;
                        "2.5YR 4/3": string;
                        "2.5YR 5/2": string;
                        "2.5YR 5/3": string;
                        "2.5YR 5/4": string;
                        "2.5YR 6/3": string;
                        "2.5YR 8/3": string;
                        "7.5YR 5/2": string;
                        "7.5YR 5/3": string;
                        "7.5YR 5/4": string;
                        "7.5YR 6/2": string;
                        "7.5YR 6/3": string;
                        "7.5YR 7/2": string;
                        "7.5YR 7/3": string;
                        "7.5YR 8/2": string;
                        "7.5YR 6/4": string;
                    };
                };
                "Pottery-materialType-Gadara": {
                    values: {
                        FK: string;
                        GK: string;
                        KK: string;
                    };
                };
                "Drawing-drawingType-kalapodi": {
                    values: {
                        Vektorzeichnung: string;
                        Originalzeichnung: string;
                    };
                };
                "Feature-stratigraphicReliability-Boha": {
                    values: {
                        gut: string;
                        "nicht gut": string;
                    };
                };
                "Feature-color-Boha": {
                    values: {
                        beige: string;
                        "blass-": string;
                        blau: string;
                        braun: string;
                        cremefarben: string;
                        "dunkel-": string;
                        gelb: string;
                        grau: string;
                        gräulich: string;
                        grün: string;
                        grünlich: string;
                        "hell-": string;
                        "leuchtend-": string;
                        ocker: string;
                        orange: string;
                        rosa: string;
                        rot: string;
                        schwarz: string;
                        türkis: string;
                        violett: string;
                        weiß: string;
                        ziegelrot: string;
                    };
                };
                "Layer-layerClassification-Boha": {
                    values: {
                        Oberfläche: string;
                        Versturz: string;
                        "Nat\u00FCrliche Ablagerung": string;
                        "K\u00FCnstliche Ablagerung": string;
                        Brandschicht: string;
                        Raumfüllung: string;
                        Kulturschicht: string;
                        Laufhorizont: string;
                        Planierschicht: string;
                    };
                };
                "Layer-consistency-Boha": {
                    values: {
                        "Durch Brand versiegelt": string;
                        "Oberfl\u00E4che abgewaschen": string;
                        "Oberfl\u00E4che verh\u00E4rtet": string;
                        aschig: string;
                        fest: string;
                        flüssig: string;
                        "gut formbar": string;
                        hart: string;
                        humos: string;
                        lehmig: string;
                        locker: string;
                        "mittel bindend": string;
                        "mittel formbar": string;
                        "nicht bindend": string;
                        "nicht formbar": string;
                        porös: string;
                        sandig: string;
                        "schwach bindend": string;
                        "schwach formbar": string;
                        "sehr gut formbar": string;
                        "sehr hart": string;
                        "sehr schwach formbar": string;
                        "sehr weich": string;
                        "stark bindend": string;
                        steif: string;
                        steinig: string;
                        weich: string;
                    };
                };
                "Layer-soilType-Boha": {
                    values: {
                        Çorak: string;
                        Feinsand: string;
                        Feinstsand: string;
                        Grobsand: string;
                        Lehm: string;
                        "Lehmiger Sand": string;
                        "Lehmiger Schluff": string;
                        "Lehmiger Ton": string;
                        Mergel: string;
                        "Mittlerer Sand": string;
                        Sand: string;
                        "Sandiger Lehm": string;
                        "Sandiger Schluff": string;
                        "Sandiger Ton": string;
                        Schluff: string;
                        "Schluffiger Lehm": string;
                        "Schluffiger Sand": string;
                        "Schluffiger Ton": string;
                        Ton: string;
                        "Toniger Lehm": string;
                        "Toniger Sand": string;
                        "Toniger Schluff": string;
                    };
                };
                "Floor-floorClassification-Boha": {
                    values: {
                        Bastmatten: string;
                        Lehmboden: string;
                        Korkboden: string;
                        Marmorfußboden: string;
                        Mosaik: string;
                        "Opus caementitium": string;
                        "Opus sectile": string;
                        "Opus signinum": string;
                        Pflaster: string;
                        Stampflehm: string;
                        Terrazzo: string;
                        Webmatten: string;
                        Ziegel: string;
                    };
                };
                "Architecture-construction-Boha": {
                    values: {
                        Bruchsteinmauer: string;
                        Felsbearbeitung: string;
                        "Fundament: Gesch\u00FCttet": string;
                        "Fundament: gesetzt": string;
                        Kanal: string;
                        "Mauerkern: Lesesteine": string;
                        "einschalig vor Feld/Hang": string;
                        "ohne Schalen/keine durchgehenden Lagen": string;
                        "ohne Schalen/nur durchgehende Lagen": string;
                        zweischalig: string;
                        "zweischalig mit Binderlagen": string;
                    };
                };
                "Architecture-wallClassification-Boha": {
                    values: {
                        Apsis: string;
                        Aufgehendes: string;
                        Durchgang: string;
                        Fensterzusetzung: string;
                        Flickung: string;
                        Fundament: string;
                        Gewölbe: string;
                        Mauer: string;
                        Mauerbettung: string;
                        Mauerdurchbruch: string;
                        Mosaik: string;
                        "Opus sectile": string;
                        "Opus caementitium": string;
                        Treppe: string;
                        Türzusetzung: string;
                        Wandgestaltung: string;
                    };
                };
                "Architecture-wallType-Boha": {
                    values: {
                        Außenmauer: string;
                        Befestigugsmauer: string;
                        Blockmauerwerk: string;
                        Bruchsteinmauer: string;
                        Fachwerk: string;
                        Feldsteinmauer: string;
                        Grenzmauer: string;
                        Stadtmauer: string;
                        Poterne: string;
                        "ungebrannte Lehmziegelmauer": string;
                        "verbrannte Lehmziegelmauer": string;
                        "Opus reticulatum": string;
                        Ziegelmauer: string;
                    };
                };
                "Find-drawn-Boha": {
                    values: {
                        Ja: string;
                        Nein: string;
                        "Nicht notwendig": string;
                    };
                };
                "Find-storagePlace-Boha": {
                    values: {
                        "Museum Bogazk\u00F6y": string;
                        "Museum \u00C7orum": string;
                        Depot: string;
                        Unbekannt: string;
                    };
                };
                "Bone-boneClassification-Boha": {
                    values: {
                        Skelettfragmente: string;
                        "Becken (Pelvis)": string;
                        "Brustbein (Sternum)": string;
                        "Elle (Ulna)": string;
                        "Fingerknochen (Phalanges)": string;
                        Fußknochen: string;
                        Handknochen: string;
                        "Kniescheibe (Patella)": string;
                        Langknochen: string;
                        "Oberarm (Humerus)": string;
                        "Oberschenkel (Femur)": string;
                        Rippen: string;
                        "Schienenbein (Tibia)": string;
                        "Schl\u00FCsselbein (Clavicula)": string;
                        "Schulterblatt (Scapula)": string;
                        "Sch\u00E4del (Cranium)": string;
                        "Speiche (Radius)": string;
                        Steißbein: string;
                        Undefinierbar: string;
                        "Unterkiefer (Mandibula)": string;
                        "Wadenbein (Fibula)": string;
                        Wirbel: string;
                        Zahn: string;
                    };
                };
                "Brick-brickForm-Boha": {
                    values: {
                        Bodenziegel: string;
                        Dachziegel: string;
                        Flachziegel: string;
                        Formziegel: string;
                        Hypokaustziegel: string;
                        Imbrex: string;
                        Kalyptere: string;
                        Later: string;
                        Leistenziegel: string;
                        "Lochziegel/Hohlziegel": string;
                        Stroter: string;
                        Tegula: string;
                        Wandziegel: string;
                    };
                };
                "Brick-specificType-Boha": {
                    values: {
                        Abschläge: string;
                        Berg: string;
                        Bodenziegel: string;
                        Bruchstein: string;
                        Dachziegel: string;
                        Geröll: string;
                        Hohlziegel: string;
                        Hypokaustziegel: string;
                        Kanalziegel: string;
                        Platten: string;
                        Quader: string;
                        Variierend: string;
                        Wandziegel: string;
                        Ziegelbruch: string;
                    };
                };
                "Brick-brickUsage-Boha": {
                    values: {
                        Dach: string;
                        Decke: string;
                        Fenster: string;
                        Fussboden: string;
                        Gewölbedecke: string;
                        Grab: string;
                        Klosterformat: string;
                        Türrahmen: string;
                        Türsturz: string;
                        Wand: string;
                        Wandverkleidung: string;
                    };
                };
                "Brick-manufacturingMethod-Boha": {
                    values: {
                        "gedreht (auf Drehscheibe)": string;
                        gegossen: string;
                        gepresst: string;
                        gestrichen: string;
                        handgeformt: string;
                    };
                };
                "Stone-objectType-Boha": {
                    values: {
                        Abschlag: string;
                        Altar: string;
                        Anhänger: string;
                        Architekturdekor: string;
                        Bauglied: string;
                        Becken: string;
                        Einlage: string;
                        Einsatzkopf: string;
                        Fußbodenfragment: string;
                        Gefäß: string;
                        Gerät: string;
                        Grabmarkierung: string;
                        Grabplatte: string;
                        Gussform: string;
                        Hammersteinfragment: string;
                        Herme: string;
                        Inkrustation: string;
                        Klopfstein: string;
                        Lampe: string;
                        Löffel: string;
                        Mahlstein: string;
                        Mobiliar: string;
                        Mörser: string;
                        Perle: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Reibstein: string;
                        Ring: string;
                        Rührstab: string;
                        Sarkophag: string;
                        Schlagstein: string;
                        Schmuck: string;
                        Siegel: string;
                        Spielbrett: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        Spolie: string;
                        Statuenbasis: string;
                        Stele: string;
                        Tessera: string;
                        Tischfuß: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Webgewicht: string;
                        Wetzstein: string;
                        Werkzeug: string;
                        Ölpresse: string;
                    };
                };
                "Stone-architectureElement-Boha": {
                    values: {
                        Akroter: string;
                        Architrav: string;
                        Archtitravfriesblock: string;
                        Basis: string;
                        Bauplastik: string;
                        Bodenplatte: string;
                        Fries: string;
                        Gesims: string;
                        Kapitell: string;
                        Konsole: string;
                        Leiste: string;
                        Profilstück: string;
                        Quaderblock: string;
                        Rinne: string;
                        Schrankenplatte: string;
                        Schwellenblock: string;
                        Sima: string;
                        Säule: string;
                        Wandverkleidung: string;
                    };
                };
                "Stone-origin-Boha": {
                    values: {
                        Alpen: string;
                        Anatolien: string;
                        Chimtou: string;
                        Harz: string;
                        Kreta: string;
                        Prokonnesos: string;
                        Sizilien: string;
                        Troas: string;
                    };
                };
                "Pottery-specificType-Boha": {
                    values: {
                        "Arretina schwarz": string;
                        "Attisch farbig aufgeh\u00F6hte Schwarzglanzton Ware": string;
                        "Attische Keramik": string;
                        "Attische Rotfigurige Keramik": string;
                        "Attische Schwarzfigurige Keramik": string;
                        "Attische Schwarzglanzton Ware": string;
                        "Bemalte Keramik": string;
                        "Bemalte Ware (floral)": string;
                        "Bemalte Ware (linear)": string;
                        "Bichrome Ware": string;
                        "Campana A": string;
                        "Campana B": string;
                        "Campana B Imitation": string;
                        "Campana B-oid": string;
                        "Campana C": string;
                        "D\u00FCnnwandige Feinkeramik": string;
                        Firnisware: string;
                        "Glasierte Keramik": string;
                        "Glattwandige Ware": string;
                        Hand: string;
                        "Kappadokische Ware": string;
                        "Korinthische Keramik": string;
                        Küchenware: string;
                        "Monochrome Ware": string;
                        "Ostgriechische Keramik": string;
                        "Pr\u00E4historische Keramik": string;
                        "Red Slip Ware": string;
                        Scheibenware: string;
                        "Schlichte Ware": string;
                        "Schwarzglanzton Ware": string;
                        "Terra sigilata": string;
                        "Tongrundige Ware": string;
                    };
                };
                "Pottery-objectType-Boha": {
                    values: {
                        Altar: string;
                        Anhänger: string;
                        Antefix: string;
                        Becken: string;
                        Einlage: string;
                        "Figurine (anthropomorph)": string;
                        "Figurine (zoomorph)": string;
                        Gefäß: string;
                        Gerät: string;
                        Gussform: string;
                        Kette: string;
                        Kohlebecken: string;
                        Lampe: string;
                        Libationsgefäß: string;
                        Löffel: string;
                        Perle: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Ring: string;
                        Sarkophag: string;
                        Schmuck: string;
                        Siegel: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        Tonrohr: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Webgewicht: string;
                        Werkzeug: string;
                    };
                };
                "Pottery-vesselForm-Boha": {
                    values: {
                        Amphore: string;
                        Aschenurne: string;
                        Becher: string;
                        Becken: string;
                        Deckel: string;
                        Deckelgefäß: string;
                        Dinos: string;
                        Flasche: string;
                        "Geschlossenes Gef\u00E4\u00DF": string;
                        Kanne: string;
                        Kasserole: string;
                        Kochschüssel: string;
                        Krater: string;
                        Krug: string;
                        Napf: string;
                        "Offenes Gef\u00E4\u00DF": string;
                        Pithos: string;
                        Pfanne: string;
                        Pyxis: string;
                        Räuchergefäß: string;
                        Schale: string;
                        Schüssel: string;
                        Tasse: string;
                        Teller: string;
                        "Teller/Untersatz": string;
                        Topf: string;
                        Unbestimmt: string;
                        Vase: string;
                        Vorratsgefäß: string;
                    };
                };
                "SampleBoha-sampleType-Boha": {
                    values: {
                        Boden: string;
                        C14: string;
                        Holzkohle: string;
                        Hammerschlag: string;
                        Mörtel: string;
                        Lehmziegel: string;
                    };
                };
                "Wood-objectType-Boha": {
                    values: {
                        Altar: string;
                        Anhänger: string;
                        Architekturrest: string;
                        Gefäß: string;
                        Gerät: string;
                        Grabmarkierung: string;
                        Grabplatte: string;
                        Gussform: string;
                        "Kasten/Kiste": string;
                        Löffel: string;
                        Mobiliar: string;
                        "Plastik/Skulptur": string;
                        Ring: string;
                        Sarkophag: string;
                        Schmuck: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Coin-mintingRuler-Boha": {
                    values: {
                        Arcadius: string;
                        Caracalla: string;
                        Constans: string;
                        "Constans I.": string;
                        "Constantius II.": string;
                        Domitian: string;
                        Hadrian: string;
                        "Konstantin II.": string;
                        Nero: string;
                        Konstantin: string;
                        Licinius: string;
                        Maximinian: string;
                        Myrina: string;
                        "Septimius Severus": string;
                        Traian: string;
                        "T\u00FCrkische Republik": string;
                        "Valentianus III": string;
                    };
                };
                "Coin-mint-Boha": {
                    values: {
                        Abdera: string;
                        Abydos: string;
                        Afrika: string;
                        Agrigent: string;
                        "Aigai (Vergina)": string;
                        Aiolis: string;
                        "Aitolischer Bund": string;
                        Akanthus: string;
                        Akkon: string;
                        Alabanda: string;
                        Alexandria: string;
                        "Alexandria Troas": string;
                        Alexandrien: string;
                        Amasra: string;
                        Amathus: string;
                        "Ambianum (Amiens)": string;
                        Ambracia: string;
                        Amiens: string;
                        Amisus: string;
                        Amphipolis: string;
                        Amrit: string;
                        Anaktorio: string;
                        Antiochia: string;
                        "Antiochia (Antakya)": string;
                        "Antiochia am Orontes": string;
                        Ancyra: string;
                        "Apameia Kibotos": string;
                        "Apameia am Orontes": string;
                        Apollonia: string;
                        Apulien: string;
                        Aquileia: string;
                        "Archaiischer Bund": string;
                        "Arelate (Arles)": string;
                        Argos: string;
                        "Argos Amphilochicum": string;
                        Arles: string;
                        Arpi: string;
                        Aruad: string;
                        "Asia Minor": string;
                        Asien: string;
                        Aspendos: string;
                        Assos: string;
                        Astibus: string;
                        Athen: string;
                        Aydın: string;
                        Babylon: string;
                        "Barcino (Barcelona)": string;
                        Beirut: string;
                        Bozcaada: string;
                        Byblos: string;
                        Byzantion: string;
                        Böotien: string;
                        Caesaraugusta: string;
                        "Caesarea in Kappadokien": string;
                        Cales: string;
                        "Camulodunum (Colchester)": string;
                        "Canosa di Puglia": string;
                        Carnuntum: string;
                        "Carthago (Tunis)": string;
                        Catania: string;
                        Caulonia: string;
                        Chalcedon: string;
                        Chalkida: string;
                        Chalkidiki: string;
                        Chersones: string;
                        Chios: string;
                        Colchester: string;
                        "Colonia Agrippina (K\u00F6ln)": string;
                        "Colonia Patricia": string;
                        Comitatenses: string;
                        "Constantinopolis (Istanbul)": string;
                        Crotone: string;
                        Cyme: string;
                        Damaskus: string;
                        "Diesseitiges Gallian / Norditalien": string;
                        Dionysopolis: string;
                        Dyrrhachium: string;
                        Ekbatana: string;
                        Elea: string;
                        Elis: string;
                        Emerita: string;
                        Empüries: string;
                        Ephesos: string;
                        Eretria: string;
                        Erythrai: string;
                        Etrurien: string;
                        Euböa: string;
                        Foça: string;
                        Gallien: string;
                        Gela: string;
                        Germe: string;
                        Gortyn: string;
                        Halikarnassos: string;
                        Harran: string;
                        Heraclea: string;
                        Herakleia: string;
                        "Herakleia Pontike": string;
                        Himera: string;
                        Hispanien: string;
                        "Hispanien-Punisch": string;
                        Histria: string;
                        Homs: string;
                        Ibiza: string;
                        Idalion: string;
                        Italien: string;
                        "Italien (S\u00FCdosten)": string;
                        Kabile: string;
                        Kamarina: string;
                        Karien: string;
                        Karthago: string;
                        Karystos: string;
                        Kelenderis: string;
                        Kertsch: string;
                        Klazomenai: string;
                        Knidos: string;
                        Kolchis: string;
                        Kolophon: string;
                        Konstantinopel: string;
                        Korfu: string;
                        Korinth: string;
                        "Korinthischer Bund": string;
                        Kos: string;
                        Kydonia: string;
                        Kyrenaika: string;
                        Kyrene: string;
                        Kyzikos: string;
                        Köln: string;
                        Lampsakos: string;
                        "Laodikeia am Lykos": string;
                        Lapta: string;
                        Larissa: string;
                        Larnaka: string;
                        Latakia: string;
                        Lefkada: string;
                        Lentini: string;
                        Lete: string;
                        Locri: string;
                        "Locri Opuntii (Opus)": string;
                        Londinium: string;
                        Lucera: string;
                        Lugdunum: string;
                        Lydien: string;
                        Lykien: string;
                        Lysimacheia: string;
                        Lyttos: string;
                        "Magnesia am M\u00E4ander": string;
                        Mainz: string;
                        Makedonien: string;
                        "Makedonien (1. Region)": string;
                        Mangalia: string;
                        Marmetini: string;
                        Maroneia: string;
                        Marseille: string;
                        Mediolanum: string;
                        Megalopoli: string;
                        Memphis: string;
                        Messene: string;
                        Messina: string;
                        Metapont: string;
                        Milas: string;
                        Milet: string;
                        Mithymna: string;
                        Mittelitalien: string;
                        Myriandrus: string;
                        Myrina: string;
                        Mytilini: string;
                        Narbo: string;
                        Naxos: string;
                        Neapel: string;
                        Nessebar: string;
                        Nikomedia: string;
                        Nisibis: string;
                        Nuceria: string;
                        Olbia: string;
                        Oreus: string;
                        Oria: string;
                        "Ostia Antica": string;
                        Ouranoupolis: string;
                        Paestum: string;
                        Paphos: string;
                        Parion: string;
                        Paros: string;
                        Pella: string;
                        Peloponnes: string;
                        Pergamon: string;
                        Perge: string;
                        Persien: string;
                        Phanagoria: string;
                        Phaselis: string;
                        Phokis: string;
                        Priene: string;
                        "Prusias ad Hypium": string;
                        Ravenna: string;
                        "Reggio Calabria": string;
                        "Republik Zypern": string;
                        Rhodos: string;
                        Rom: string;
                        Rouen: string;
                        Salamis: string;
                        Samos: string;
                        Sardes: string;
                        Sardinien: string;
                        Segesta: string;
                        "Seleukia Pieria": string;
                        "Seleukia am Tigris": string;
                        Selinus: string;
                        Sestos: string;
                        Side: string;
                        Sidon: string;
                        Sikyon: string;
                        Sinop: string;
                        Sirmium: string;
                        Sisak: string;
                        Sizilien: string;
                        "Sizilien 2 (Republican period)": string;
                        "Sizilisch-Punisch": string;
                        Smyrna: string;
                        Sofia: string;
                        Soloi: string;
                        Sosopol: string;
                        "Susa (Persien)": string;
                        Sybaris: string;
                        Syrakus: string;
                        Syrien: string;
                        "S\u00FCdgallische M\u00FCnzst\u00E4tte": string;
                        Tanagra: string;
                        Taras: string;
                        Tarraco: string;
                        Tarsus: string;
                        Tavium: string;
                        Tegea: string;
                        Temnus: string;
                        Teos: string;
                        Terina: string;
                        Tessin: string;
                        Thasos: string;
                        "Thessalische Liga": string;
                        Thessalonica: string;
                        Thessaloniki: string;
                        Thiva: string;
                        Thrakien: string;
                        Thurioi: string;
                        Thyrrheium: string;
                        Trier: string;
                        "Tripoli (Libanon)": string;
                        Tyros: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Viminatium: string;
                        Vindobona: string;
                        Warna: string;
                        Zancle: string;
                        Äegina: string;
                        Äeneas: string;
                        Äetolien: string;
                    };
                };
                "Inscription-objectType-Boha": {
                    values: {
                        Bulle: string;
                        "Beschriftete Gegenst\u00E4nde": string;
                        "Beschriftete Waffen": string;
                        "Allt\u00E4glicher Gebrauch": string;
                        Bauinschrift: string;
                        Ehreninschrift: string;
                        Felsinschrift: string;
                        "Grabinschrift (Inschrift im Grabkontext)": string;
                        "\u00D6ffentliche Ausstattung": string;
                        "Private Ausstattung": string;
                        "Sakrale Ausstattung": string;
                        Siegel: string;
                        Siegelabdruck: string;
                        Tontafel: string;
                        Urkunde: string;
                        Wasserversorgung: string;
                        Weihinschrift: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Layer-soilType-Campidoglio": {
                    values: {
                        "Sand / sabbia / Sand": string;
                        "Silt / limo / Schluff": string;
                        "Clay / argilla / Ton": string;
                        "Loam / medio impasto / Lehm": string;
                        "Marl / marna / Mergel": string;
                    };
                };
                "Brick-decorationTechnique-Campidoglio": {
                    values: {
                        Wischzeichen: string;
                    };
                };
                "Stone-architectureElement-Campidoglio": {
                    values: {
                        Profilstück: string;
                        Quaderblock: string;
                    };
                };
                "SurveyUnit-researchMethod-Kephissostal": {
                    values: {
                        Funderfassung: string;
                        Fundsammlung: string;
                        Sondage: string;
                        Bauaufnahme: string;
                        Reinigung: string;
                        Bohrsondage: string;
                        Probenentnahme: string;
                        Begehung: string;
                        Geoelektrik: string;
                        Geomagnetik: string;
                        Georadar: string;
                        Befliegung: string;
                        LIDAR: string;
                        "Luft- oder Satellitenbilder": string;
                        Seismik: string;
                    };
                };
                "SurveyUnit-measuring-Kephissostal": {
                    values: {
                        unnötig: string;
                        erledigt: string;
                        erforderlich: string;
                    };
                };
                "SurveyUnit-siteClassification-Kephissostal": {
                    values: {
                        Bestattungsplatz: string;
                        "geschlossene Siedlung": string;
                        "Einzel-/Streubebauung": string;
                        "au\u00DFerhalb Siedlungskontext": string;
                        Heiligtum: string;
                        Infrastruktur: string;
                        "H\u00F6hle(nareal)": string;
                        unbestimmt: string;
                    };
                };
                "SurveyUnit-findspotClassification-Kephissostal": {
                    values: {
                        "vollst\u00E4ndiges Geb\u00E4ude": string;
                        "einzelne Baureste": string;
                        Felsabarbeitung: string;
                        Inschrift: string;
                        Befestigung: string;
                        Terrassierung: string;
                        Brücke: string;
                        "Damm/Wall": string;
                        Graben: string;
                        Sonstiges: string;
                        "H\u00F6hle/Doline": string;
                        "Steinbruch/Bergwerk": string;
                        "Brunnen/Quelle": string;
                        Flurgrenze: string;
                        Wasserbauten: string;
                        Grab: string;
                        "Spolie in rezenter Mauer": string;
                        Steinbruch: string;
                        "Stra\u00DFe/Platz": string;
                        "Wein- bzw. \u00D6lpresse": string;
                        "einzelnes Steindenkmal": string;
                    };
                };
                "SurveyUnit-finds-Kephissostal": {
                    values: {
                        Feinkeramik: string;
                        Gebrauchskeramik: string;
                        Kochkeramik: string;
                        "Pithoi & Amphoren": string;
                        Ziegel: string;
                        Architekturfragmente: string;
                        Knochen: string;
                        Sonstiges: string;
                    };
                };
                "SurveyUnit-findsAmount-Kephissostal": {
                    values: {
                        "keine Funde": string;
                        "sehr vereinzelte Funde": string;
                        "durchschnittliche Menge": string;
                        "sehr hohe Fundmenge": string;
                    };
                };
                "SurveyUnit-modernIntervention-Kephissostal": {
                    values: {
                        "Steinbruch/Grube/Miene": string;
                        Aufschüttung: string;
                        Acherbau: string;
                        Abraumhalden: string;
                        Überbauung: string;
                        Raubgrabung: string;
                        Wiederaufforstung: string;
                    };
                };
                "BuildingPart-buildingCategory-Kephissostal": {
                    values: {
                        Altar: string;
                        Amphitheater: string;
                        Basilika: string;
                        Bogen: string;
                        Brücke: string;
                        Circus: string;
                        Grabbau: string;
                        Gymnasium: string;
                        Mauerkurtine: string;
                        Nymphäum: string;
                        Odeion: string;
                        Strasse: string;
                        Stützmauer: string;
                        Säulenhalle: string;
                        Tempel: string;
                        Theater: string;
                        Therme: string;
                        Toranlage: string;
                        Turm: string;
                        Wohnbau: string;
                        Werkstatt: string;
                        Befestigung: string;
                        "Brunnen/Quellhaus": string;
                        unbestimmt: string;
                        "unbestimmter Raum(komplex)": string;
                        Terrassierung: string;
                        "Steindamm/Steinwall": string;
                        Erdwerk: string;
                        "Kanal/Wasserleitung/Aqu\u00E4dukt": string;
                        Aediculabau: string;
                        Atriumhaus: string;
                        Dipteros: string;
                        Ehrenbogen: string;
                        Ehrensäule: string;
                        Hoftempel: string;
                        Palast: string;
                        Palästra: string;
                        Peripteros: string;
                        "Peripteros sine portico": string;
                        Peristylhaus: string;
                        "Pseudo-Dipteros": string;
                        "Pseudo-Peripteros": string;
                        Rednertribüne: string;
                        Rundbau: string;
                        Schatzhaus: string;
                        Terassenheiligtum: string;
                        Tholos: string;
                        Torbogen: string;
                        Triumphbogen: string;
                        Tumulus: string;
                        Villa: string;
                        dreischiffig: string;
                        fünfschiffig: string;
                        "griechisches Theater": string;
                        "r\u00F6misches Theater": string;
                        vierschiffig: string;
                        zweischiffig: string;
                        Haus: string;
                        Lager: string;
                    };
                };
                "TerrainFeature-Gel\u00E4ndemerkmalType-Kephissostal": {
                    values: {
                        Quelle: string;
                        "Teich/See": string;
                        Wasserlauf: string;
                        Höhle: string;
                        "Steinbruch/Bergwerk": string;
                        Felsabarbeitung: string;
                        Flurgrenze: string;
                        Graben: string;
                        Doline: string;
                        Sonstiges: string;
                        "auff\u00E4llige Gel\u00E4ndeerhebung": string;
                        "auff\u00E4llige Gel\u00E4ndevertiefung": string;
                        Steinkonzentration: string;
                    };
                };
                "Pottery-temperTypeClay-Meninx": {
                    values: {
                        T1: string;
                        T2: string;
                        T3: string;
                        T4: string;
                        T5: string;
                        T6: string;
                        T7: string;
                        T8: string;
                        T9: string;
                        T10: string;
                        T11: string;
                        T12: string;
                        T13: string;
                        T14: string;
                        T15: string;
                        T16: string;
                        T17: string;
                        T18: string;
                        T19: string;
                        T20: string;
                        T21: string;
                        T22: string;
                        T23: string;
                        T24: string;
                        T25: string;
                        T26: string;
                        T27: string;
                        T28: string;
                        T29: string;
                        T30: string;
                    };
                };
                "Pottery-potteryTypeSpecific-Meninx": {
                    values: {
                        "Aretina schwarz": string;
                        "ARS A": string;
                        "ARS A/D": string;
                        "ARS C": string;
                        "ARS D": string;
                        "ARS E": string;
                        "Attisch farbig aufgeh\u00F6hte Schwarzglanzton Ware": string;
                        "Attische Keramik": string;
                        "Attisch Rotfigurige Keramik": string;
                        "Attisch Schwarzfigurige Keramik": string;
                        "Attisch Schwarzglanzton Ware": string;
                        "Bemalte Keramik": string;
                        "Bemalte Ware (floral)": string;
                        "Bemalte Ware (linear)": string;
                        "Bichrome Ware": string;
                        "Campana A": string;
                        "Campana B": string;
                        "Campana B Imitation": string;
                        "Campana B-oid": string;
                        "Campana C": string;
                        "D\u00FCnnwandige Feinkeramik": string;
                        "Glasierte Keramik": string;
                        "Glattwandige Ware": string;
                        "Handgemachte Keramik": string;
                        "Korinthische Keramik": string;
                        Küchenware: string;
                        "Ostgriechische Keramik": string;
                        "Pantellerian Ware": string;
                        "Pr\u00E4historische Keramik": string;
                        "Red Slip Ware": string;
                        "Schlichte Ware": string;
                        "Schwarzglanzton Ware": string;
                        "Terra sigillata": string;
                        "Terra sigillata Focea": string;
                        "Terra sigillata Italica": string;
                        unbestimmt: string;
                    };
                };
                "Bone-sex-Meninx": {
                    values: {
                        Männlich: string;
                        Weiblich: string;
                        "M\u00E4nnlich oder Kastrat": string;
                    };
                };
                "Bone-species-Meninx": {
                    values: {
                        Mammalia: string;
                        Aves: string;
                        Reptilia: string;
                        "Pisces/Osteichthyes": string;
                        "Pisces/Chondrichthyes": string;
                        Malacostraca: string;
                        Bivalvia: string;
                        Cephalopoda: string;
                    };
                    description: string;
                };
                "Bone-boneClassification-Meninx": {
                    values: {
                        Atlas: string;
                        "Axis (Epistropheus)": string;
                        Calcaneus: string;
                        Carpale: string;
                        "Carpale II+III": string;
                        Carpometacarpus: string;
                        Centroquartale: string;
                        Clavicula: string;
                        Coracoid: string;
                        Costa: string;
                        Coxa: string;
                        Cranium: string;
                        "Dens inferior": string;
                        "Dens superior": string;
                        "Dens superior/inferior": string;
                        Femur: string;
                        Fibula: string;
                        Humerus: string;
                        "indet.": string;
                        Mandibula: string;
                        "Metacarpus II": string;
                        "Metacarpus III": string;
                        "Metacarpus III+IV": string;
                        "Metacarpus IV": string;
                        Metapodium: string;
                        "Metapodium Hauptstrahl": string;
                        "Metapodium III+IV": string;
                        "Metapodium Nebenstrahl": string;
                        "Metatarsus Hauptstrahl": string;
                        "Metatarsus II": string;
                        "Metatarsus III": string;
                        "Metatarsus III+IV": string;
                        "Metatarsus indet. Nebenstrahl": string;
                        "Metatarsus IV": string;
                        "Metatarsus V": string;
                        "Os carpi intermedium": string;
                        "Os carpi radiale": string;
                        "Os carpi ulnare": string;
                        "Os hyoideum": string;
                        "Os tarsi centrale (Os naviculare)": string;
                        Patella: string;
                        "Phalanx 1 ant./post.": string;
                        "Phalanx 1 Hauptstrahl": string;
                        "Phalanx 1 Nebenstrahl": string;
                        "Phalanx 1 post.": string;
                        "Phalanx 2 ant.": string;
                        "Phalanx 2 ant./post.": string;
                        "Phalanx 2 post.": string;
                        "Phalanx 3 ant.": string;
                        "Phalanx 3 ant./post.": string;
                        "Phalanx 3 Hauptstrahl": string;
                        "Phalanx 3 post.": string;
                        "Processus cornualis": string;
                        Pygale: string;
                        Radius: string;
                        "Radius+Ulna (verwachsen)": string;
                        "Sacrum/Synsacrum": string;
                        Scapula: string;
                        "Schneckenhaus (Gastropoda)": string;
                        Sesamoid: string;
                        "Talus (Astragalus)": string;
                        Tarsale: string;
                        "Tarsale II+III": string;
                        Tarsometatarsus: string;
                        "Tibia/Tibiotarsus": string;
                        "Tibia+Fibula (verwachsen)": string;
                        Ulna: string;
                        Vertebra: string;
                        "Vertebra caudalis": string;
                        "Vertebra cervicalis": string;
                        "Vertebra lumbalis": string;
                        "Vertebra thoracica": string;
                        "Vertebra thoracica 1": string;
                        "Vertebra thoracica 2": string;
                        "Vertebra thoracica 3": string;
                        "Vertebra thoracica 4": string;
                        "Vertebra thoracica 5": string;
                        "Vertebra thoracica 6": string;
                        "Vertebra thoracica 7": string;
                        "Vertebra thoracica 8": string;
                    };
                };
                "Wall_surface-condition-Meninx": {
                    values: {
                        gut: string;
                        schlecht: string;
                        "sehr gut": string;
                        "sehr schlecht": string;
                    };
                };
                "Wall_surface-constructionDetails-Meninx": {
                    values: {
                        Abflussöffnung: string;
                        Angelloch: string;
                        Balkenloch: string;
                        Bleirohr: string;
                        "Durchgang/T\u00FCr": string;
                        Entlastungsbogen: string;
                        Fallrohr: string;
                        Fenster: string;
                        Fontäne: string;
                        Halnsäule: string;
                        Laibung: string;
                        Nische: string;
                        Regalloch: string;
                        Riegelloch: string;
                        "Sonstiges Loch": string;
                        Sturzauflager: string;
                    };
                };
                "Wall_surface-jointsCondition-Meninx": {
                    values: {
                        "M\u00F6rtel abplatzend": string;
                        ausgewaschen: string;
                        "b\u00FCndig verfugt": string;
                        "fl\u00E4chig ausgeh\u00F6hlt": string;
                        "partiell ausgeh\u00F6hlt": string;
                    };
                };
                "Wall_surface-jointsType-Meninx": {
                    values: {
                        Gerade: string;
                        Gerundet: string;
                        Hohl: string;
                        "Mit M\u00F6rtel gef\u00FCllt": string;
                        "Mit Steinen gef\u00FCllt": string;
                        Schmal: string;
                        Unregelmäßg: string;
                        Weit: string;
                    };
                };
                "Wall_surface-wallOrientation-Meninx": {
                    values: {
                        Norden: string;
                        Nordost: string;
                        Nordwest: string;
                        Osten: string;
                        Süden: string;
                        Südost: string;
                        Südwest: string;
                        Westen: string;
                    };
                };
                "Other-otherClassification-Meninx": {
                    values: {
                        Abfallgrube: string;
                        Brunnen: string;
                        Feuerstelle: string;
                        Graben: string;
                        Grube: string;
                        Kalkbrennofen: string;
                        Keramikofen: string;
                        Materialentnahmegrube: string;
                        Ofen: string;
                        Pfosten: string;
                        Pfostenstandspur: string;
                        Rennfeuerofen: string;
                        Schmelzofen: string;
                        Spitzgraben: string;
                        Wasserreservoir: string;
                    };
                };
                "BuildingPart-wallSide-MonTur": {
                    values: {
                        Norden: string;
                        Süden: string;
                        Osten: string;
                        Westen: string;
                    };
                };
                "Find-hasRestoration-Pergamon": {
                    values: {
                        Ja: string;
                        Nein: string;
                        "Nicht vorgesehen": string;
                    };
                };
                "Find-conditionAmount-Pergamon": {
                    values: {
                        vollständig: string;
                        unvollständig: string;
                    };
                };
                "Find-storagePlace-Pergamon": {
                    values: {
                        "in situ": string;
                        "Museum Bergama": string;
                        "nicht aufgehoben": string;
                        "Pergamon Depot": string;
                        Privatbesitz: string;
                        "sonstige/s Museum/Sammlung": string;
                        Unbekannt: string;
                    };
                };
                "Pottery-isImport-Pergamon": {
                    values: {
                        Ja: string;
                        Nein: string;
                        Insicher: string;
                    };
                };
                "Pottery-materialType-Pergamon": {
                    values: {
                        Überzugsware: string;
                        "Bemalte Keramik": string;
                        Glasurkeramik: string;
                        Kochkeramik: string;
                        "K\u00FCchen-/Vorrats-/Transportkeramik": string;
                        Glättware: string;
                        "D\u00FCnnwandige Keramik": string;
                        Porzellan: string;
                    };
                };
                "Pottery-specificType-Pergamon": {
                    values: {
                        Applikenkeramik: string;
                        ARS: string;
                        "Barbotine Ware": string;
                        Bleiglasurkeramik: string;
                        Eierschalenkeramik: string;
                        ESA: string;
                        ESB: string;
                        ESC: string;
                        "Graue ESC?": string;
                        Figuralgefäß: string;
                        "Gilded Ware": string;
                        Glanzton: string;
                        "Italische Sigillata": string;
                        "Light Coloured Ware": string;
                        LRC: string;
                        Reliefkeramik: string;
                        "Rotfigurige Keramik": string;
                        "Sanded Ware": string;
                        "Schwarzfigurige Keramik": string;
                        "Sgraffito Keramik": string;
                        Sigillata: string;
                        Streifenware: string;
                        Thornware: string;
                        "Wei\u00DFgrundige Keramik": string;
                        Westanhangkeramik: string;
                    };
                };
                "Pottery-vesselForm-Pergamon": {
                    values: {
                        Trinkgefäß: string;
                        Schüssel: string;
                        Teller: string;
                        "Napf/Sch\u00FCssel/Teller": string;
                        Platte: string;
                        Krug: string;
                        Kanne: string;
                        Amphora: string;
                        "Krug/Amphora": string;
                        "Topf/Chytra": string;
                        Kochständer: string;
                        Kohlebecken: string;
                        "Deckel/Verschluss": string;
                        Siebgefäß: string;
                        Mortarium: string;
                        Kasserolle: string;
                        Pfanne: string;
                        Rost: string;
                        Vorratsgefäß: string;
                        Unguentarium: string;
                        Pyxis: string;
                        Thymiaterion: string;
                        Askos: string;
                        Guttus: string;
                        unbestimmt: string;
                    };
                };
                "Pottery-manufacturingMethod-Pergamon": {
                    values: {
                        Scheibengedreht: string;
                        Handgeformt: string;
                        "In Form gedreht": string;
                        "Nachgedreht (\u00FCberdreht)": string;
                    };
                };
                "Pottery-porosity-Pergamon": {
                    values: {
                        Dicht: string;
                        "Weniger dicht": string;
                        Porös: string;
                        "Sehr por\u00F6s": string;
                    };
                };
                "Pottery-clayHardness-Pergamon": {
                    values: {
                        "Klingend hart (mit Stahlklinge nicht ritzbar)": string;
                        "hart (mit Stahlklinge schwierig ritzbar, mit Fingernagel nicht ritzbar)": string;
                        "mittel (mit Stahlklinge leicht ritzbar, mit Fingernagel schwer ritzbar)": string;
                        "weich (mit Fingernagel leicht ritzbar)": string;
                    };
                };
                "Pottery-fragmentSize-Pergamon": {
                    values: {
                        "klein (bis 1 cm Kantenl\u00E4nge)": string;
                        "mittel (bis 5 cm Kantenl\u00E4nge)": string;
                        "gro\u00DF (ab 5 cm Kantenl\u00E4nge)": string;
                    };
                };
                "Pottery-breakStructure-Pergamon": {
                    values: {
                        glatt: string;
                        schiefrig: string;
                    };
                };
                "Pottery-breakEdge-Pergamon": {
                    values: {
                        Scharfkantig: string;
                        "Wenig abgerollt": string;
                        Abgerollt: string;
                        "Stark abgerollt": string;
                    };
                };
                "Pottery-surfaceCondition-Pergamon": {
                    values: {
                        Schadensbrand: string;
                        Fehlbrand: string;
                        Nutzungsspuren: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Pottery-coatType-Pergamon": {
                    values: {
                        "ohne \u00DCberzug und Glasur": string;
                        "mit partiellem \u00DCberzug": string;
                        "mit vollst\u00E4ndigem \u00DCberzug": string;
                        "mit partieller Schlemme": string;
                        "mit vollst\u00E4ndiger Schlemme": string;
                        "mit partieller Glasur": string;
                        "mit vollst\u00E4ndiger Glasur": string;
                        "mit Glanzton": string;
                        "mit sog. Self-Slip": string;
                        poliert: string;
                    };
                };
                "Pottery-coatQuality-Pergamon": {
                    values: {
                        schwach: string;
                        stark: string;
                        glänzend: string;
                        matt: string;
                        dicht: string;
                        dünn: string;
                    };
                };
                "Pottery-decorationTechnique-Pergamon": {
                    values: {
                        Applikation: string;
                        Barbotine: string;
                        Bemalung: string;
                        Daumendellen: string;
                        "R\u00E4dchen/Rouletting": string;
                        Relief: string;
                        Riefen: string;
                        Ritzung: string;
                        Sandbewurf: string;
                        Sgraffito: string;
                        Spachteldekor: string;
                        Stempel: string;
                        Thornwaredekor: string;
                    };
                };
                "Pottery-decorationPlacement-Pergamon": {
                    values: {
                        Innenseite: string;
                        Außenseite: string;
                        Oberseite: string;
                        Unterseite: string;
                        "Boden/Fu\u00DF": string;
                        "Henkel/Griff": string;
                        Rand: string;
                        Wandung: string;
                    };
                };
                "Place-findSpot-Pergamon": {
                    values: {
                        "Bestattungsplatz (Bestattung)": string;
                        "Bestattungsplatz (Grab)": string;
                        "Bestattungsplatz (Nekropole/Friedhof)": string;
                        Brunnen: string;
                        Brücke: string;
                        Festung: string;
                        Gebäude: string;
                        "Geb\u00E4ude (Stallung)": string;
                        "Geb\u00E4ude (Wohnhaus)": string;
                        Gehöft: string;
                        Hafen: string;
                        Heiligtum: string;
                        Höhle: string;
                        Kirche: string;
                        "Monument/Denkmal": string;
                        Moschee: string;
                        Pferch: string;
                        Produktionsstätte: string;
                        Siedlung: string;
                        "Siedlung (befestigt)": string;
                        "Siedlung (d\u00F6rflich)": string;
                        "Siedlung (st\u00E4dtisch)": string;
                        Steinbruch: string;
                        "Stra\u00DFe/Weg": string;
                        Tempel: string;
                        Terrassierung: string;
                        Theater: string;
                        Therme: string;
                        Turmgehöft: string;
                        unbekannt: string;
                        "Burial place (grave)": string;
                        Villa: string;
                        Warte: string;
                        Wasserleitung: string;
                        Zisterne: string;
                    };
                };
                "Place-surfaceContextsAndFinds-Pergamon": {
                    values: {
                        Baustruktur: string;
                        Boden: string;
                        Einzelfund: string;
                        "Einzelfund (Keramik)": string;
                        "Einzelfund (Ziegel)": string;
                        "Einzelfund (Stein)": string;
                        Felsabarbeitung: string;
                        Fundstreuung: string;
                        "Fundstreuung (Keramik)": string;
                        "Fundstreuung (Stein)": string;
                        "Fundstreuung (Ziegel)": string;
                        Inschrift: string;
                        Mauer: string;
                        Pflaster: string;
                        Rohrleitung: string;
                        Spolie: string;
                        Steinsetzung: string;
                    };
                };
                "Lamps-manufacturingMethod-Pergamon": {
                    values: {
                        freigeformt: string;
                        matrizengeformt: string;
                        scheibengedreht: string;
                    };
                };
                "Lamps-coatType-Pergamon": {
                    values: {
                        "mit vollst\u00E4ndigem \u00DCberzug": string;
                        "mit teilweisem \u00DCberzug": string;
                        "ohne \u00DCberzug": string;
                        "red-on-white": string;
                    };
                };
                "Lamps-decorationTechnique-Pergamon": {
                    values: {
                        Bemalung: string;
                        Glasur: string;
                        Relief: string;
                        Ritzung: string;
                        Stempel: string;
                        Überzug: string;
                        "Vergoldung / metallischer \u00DCberzug": string;
                    };
                };
                "Lamps-decorationPlacement-Pergamon": {
                    values: {
                        Spiegel: string;
                        Schulter: string;
                        Schnauze: string;
                        Henkel: string;
                        Boden: string;
                        Wandung: string;
                    };
                };
                "Lamps-lampFragment-Pergamon": {
                    values: {
                        Spiegel: string;
                        Schulter: string;
                        Schnauze: string;
                        Henkel: string;
                        Boden: string;
                        Wandung: string;
                    };
                };
                "Lamps-typ-Pergamon": {
                    values: {
                        Herzblattlampen: string;
                        Ephesoslampen: string;
                        Rillendiskuslampen: string;
                        Kastenlampen: string;
                        Ständerlampen: string;
                        Lampenständer: string;
                        Volutenschnauzenlampen: string;
                        Firmalampen: string;
                        Matrize: string;
                        Patrize: string;
                    };
                };
                "Glass-objectType-Pergamon": {
                    values: {
                        Fensterglas: string;
                        Gefäß: string;
                        Gerät: string;
                        Plastik: string;
                        Produktionsrest: string;
                        Rohglas: string;
                        Scheibe: string;
                        Schmuck: string;
                        Spielstein: string;
                        Tessera: string;
                        unsicher: string;
                    };
                };
                "Glass-form-Pergamon": {
                    values: {
                        "--Gef\u00E4\u00DFe--": string;
                        Trinkgefäß: string;
                        Schüssel: string;
                        Teller: string;
                        Platte: string;
                        Krug: string;
                        Kanne: string;
                        Amphora: string;
                        "Deckel/Verschluss": string;
                        Siebgefäß: string;
                        Unguentarium: string;
                        Pyxis: string;
                        Thymiaterion: string;
                        Askos: string;
                        Guttus: string;
                        "--Ger\u00E4te--": string;
                        Lampe: string;
                        Löffel: string;
                        Rührstab: string;
                        Weinheber: string;
                        "--Schmuck--": string;
                        Anhänger: string;
                        Armreif: string;
                        Gemme: string;
                        Perle: string;
                        Ring: string;
                        "--Plastik--": string;
                        Einlage: string;
                        "--Produktionsreste--": string;
                        Tropfen: string;
                        Schlacke: string;
                        Unbestimmt: string;
                    };
                };
                "Glass-manufacturingMethod-Pergamon": {
                    values: {
                        "Formgeblasen (mit Reliefdekor)": string;
                        Formgeschmolzen: string;
                        Freigeblasen: string;
                        Kerngeformt: string;
                        "Gedreht (auf Drehscheibe)": string;
                    };
                };
                "Glass-transparency-Pergamon": {
                    values: {
                        durchscheinend: string;
                        durchsichtig: string;
                        opak: string;
                    };
                };
                "Glass-decorationTechnique-Pergamon": {
                    values: {
                        "Bemalung (Emaille)": string;
                        Diatretdekor: string;
                        Facettschliffdekor: string;
                        "Fadendekor (aufgelegt)": string;
                        "Fadendekor (verschmolzen)": string;
                        "Fig\u00FCrlicher Schliffdekor": string;
                        Mosaikdekor: string;
                        Reliefdekor: string;
                        Reticelladekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        Schlangenfadendekor: string;
                        Schliffrillendekor: string;
                        Stempeldekor: string;
                        Tupfendekor: string;
                        Warzendekor: string;
                        Zwischengoldglas: string;
                    };
                };
                "Coin-denomination-Pergamon": {
                    values: {
                        "1 1/2 Skripula": string;
                        "1 1/2 Solidus": string;
                        "1/2 Stater (Hemistater)": string;
                        "1/30 Drachme": string;
                        "1/4  Stater (Tetarte)": string;
                        "1/4 Einheit": string;
                        "1/5 Drachme": string;
                        "2 Solidus": string;
                        "3 Solidus": string;
                        "4 1/2 Solidus": string;
                        "60 As": string;
                        "9 Siliqua": string;
                        "9 Solidus": string;
                        "AE Gross": string;
                        "AE Klein": string;
                        "AE Medium": string;
                        "Aes 1": string;
                        "Aes 2": string;
                        "Aes 3": string;
                        "Aes 3-4": string;
                        "Aes 4": string;
                        Antoninian: string;
                        Argenteus: string;
                        As: string;
                        Aureus: string;
                        "Aureus\u00B9": string;
                        "Aureus\u00B2": string;
                        Bruchteil: string;
                        Cistophor: string;
                        Denar: string;
                        "Denar (serratus)": string;
                        Doppeldenar: string;
                        Didrachme: string;
                        Diobol: string;
                        Distater: string;
                        "Doppelter Sesterz": string;
                        Drachme: string;
                        Dupondius: string;
                        "Gold-mehrfaches": string;
                        "Grosser Aes 2": string;
                        "Halber Solidus": string;
                        "Hekte (1/6 Stater)": string;
                        Hemidrachme: string;
                        Hemiobol: string;
                        "Kleiner Aes 2": string;
                        Kontorniat: string;
                        Litra: string;
                        Medaillon: string;
                        "Miliarense (leicht)": string;
                        "Miliarense (schwer)": string;
                        Obolus: string;
                        Quadrans: string;
                        Quinar: string;
                        "Quinar Aureus": string;
                        "Reduzierte Siliqua": string;
                        "Reduzierter Aes 2": string;
                        Semis: string;
                        Semissis: string;
                        Semuncia: string;
                        Sesterz: string;
                        Sextans: string;
                        "Silber-Mehrfaches": string;
                        Siliqua: string;
                        Solidus: string;
                        Stater: string;
                        Tetradrachme: string;
                        Tremissis: string;
                        Triens: string;
                        Uncia: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Victoriatus: string;
                    };
                };
                "Coin-mint-Pergamon": {
                    values: {
                        Abdera: string;
                        Abydos: string;
                        Afrika: string;
                        Agrigent: string;
                        "Aigai (Vergina)": string;
                        Aiolis: string;
                        "Aitolischer Bund": string;
                        Akanthus: string;
                        Akkon: string;
                        Alabanda: string;
                        Alexandria: string;
                        "Alexandria Troas": string;
                        Alexandrien: string;
                        Amasra: string;
                        Amathus: string;
                        "Ambianum (Amiens)": string;
                        Ambracia: string;
                        Amiens: string;
                        Amisus: string;
                        Amphipolis: string;
                        Amrit: string;
                        Anaktorio: string;
                        Antiochia: string;
                        "Antiochia (Antakya)": string;
                        "Antiochia am Orontes": string;
                        "Apameia Kibotos": string;
                        "Apameia am Orontes": string;
                        Apollonia: string;
                        "Apollonia am Rhyndakos (Mysien)": string;
                        "Apollonia Pontica": string;
                        Apulien: string;
                        Aquileia: string;
                        "Archaiischer Bund": string;
                        "Arelate (Arles)": string;
                        Argos: string;
                        "Argos Amphilochicum": string;
                        Arles: string;
                        Arpi: string;
                        Aruad: string;
                        "Asia Minor": string;
                        Asien: string;
                        Aspendos: string;
                        Assos: string;
                        Astibus: string;
                        Athen: string;
                        Aydın: string;
                        Babylon: string;
                        "Barcino (Barcelona)": string;
                        Beirut: string;
                        Bozcaada: string;
                        Byblos: string;
                        Byzantion: string;
                        Böotien: string;
                        Caesaraugusta: string;
                        "Caesarea in Kappadokien": string;
                        Cales: string;
                        "Camulodunum (Colchester)": string;
                        "Canosa di Puglia": string;
                        Carnuntum: string;
                        "Carthago (Tunis)": string;
                        Catania: string;
                        Caulonia: string;
                        Chalcedon: string;
                        Chalkida: string;
                        Chalkidiki: string;
                        Chersones: string;
                        Chios: string;
                        Colchester: string;
                        "Colonia Agrippina (K\u00F6ln)": string;
                        "Colonia Patricia": string;
                        Comitatenses: string;
                        "Constantinopolis (Istanbul)": string;
                        Crotone: string;
                        Cyme: string;
                        Damaskus: string;
                        "Diesseitiges Gallian / Norditalien": string;
                        Dionysopolis: string;
                        Dyrrhachium: string;
                        Ekbatana: string;
                        "Elaia (\u00C4olis)": string;
                        Elis: string;
                        Emerita: string;
                        Empüries: string;
                        Ephesos: string;
                        Eretria: string;
                        Erythrai: string;
                        Etrurien: string;
                        Euböa: string;
                        Foça: string;
                        Gallien: string;
                        Gela: string;
                        Germe: string;
                        Gortyn: string;
                        Halikarnassos: string;
                        Harran: string;
                        Heraclea: string;
                        Herakleia: string;
                        "Herakleia Perinthos (Thrakien)": string;
                        "Herakleia Pontike": string;
                        "Hermokapeleia (Lydien)": string;
                        "Hierokaisareia (Hierakome; Lydien)": string;
                        Himera: string;
                        Hispanien: string;
                        "Hispanien-Punisch": string;
                        Histria: string;
                        Homs: string;
                        Ibiza: string;
                        Idalion: string;
                        Italien: string;
                        "Italien (S\u00FCdosten)": string;
                        Kabile: string;
                        Kamarina: string;
                        Karien: string;
                        Karthago: string;
                        Karystos: string;
                        Kelenderis: string;
                        Kertsch: string;
                        Klazomenai: string;
                        Knidos: string;
                        Kolchis: string;
                        Kolophon: string;
                        Konstantinopel: string;
                        Korfu: string;
                        Korinth: string;
                        "Korinthischer Bund": string;
                        Kos: string;
                        Kydonia: string;
                        Kyrenaika: string;
                        Kyrene: string;
                        Kyzikos: string;
                        Köln: string;
                        Lampsakos: string;
                        "Laodikeia am Lykos": string;
                        Lapta: string;
                        Larissa: string;
                        Larnaka: string;
                        Latakia: string;
                        Lefkada: string;
                        Lentini: string;
                        Lete: string;
                        Locri: string;
                        "Locri Opuntii (Opus)": string;
                        Londinium: string;
                        Lucera: string;
                        Lugdunum: string;
                        Lydien: string;
                        Lykien: string;
                        Lysimacheia: string;
                        Lyttos: string;
                        "Magnesia am M\u00E4ander": string;
                        "Magnesia am Sipylos (Lydien)": string;
                        Mainz: string;
                        Makedonien: string;
                        "Makedonien (1. Region)": string;
                        Mangalia: string;
                        Marmetini: string;
                        Maroneia: string;
                        Marseille: string;
                        Mediolanum: string;
                        Megalopoli: string;
                        Memphis: string;
                        Messene: string;
                        Messina: string;
                        Metapont: string;
                        Milas: string;
                        Milet: string;
                        Mithymna: string;
                        Mittelitalien: string;
                        Myriandrus: string;
                        Myrina: string;
                        Mytilini: string;
                        Narbo: string;
                        "Nakrasa (Lydien)": string;
                        Naxos: string;
                        Neapel: string;
                        Nessebar: string;
                        Nikomedia: string;
                        Nisibis: string;
                        Nuceria: string;
                        Olbia: string;
                        Oreus: string;
                        Oria: string;
                        "Ostia Antica": string;
                        Ouranoupolis: string;
                        Paestum: string;
                        Paphos: string;
                        Parion: string;
                        Paros: string;
                        Pella: string;
                        Peloponnes: string;
                        Pergamon: string;
                        Perge: string;
                        Persien: string;
                        Phanagoria: string;
                        Phaselis: string;
                        Phokis: string;
                        Priene: string;
                        "Prusias ad Hypium": string;
                        Ravenna: string;
                        "Reggio Calabria": string;
                        "Republik Zypern": string;
                        Rhodos: string;
                        Rom: string;
                        Rouen: string;
                        Salamis: string;
                        Samos: string;
                        Sardis: string;
                        Sardinien: string;
                        Segesta: string;
                        "Seleukia Pieria": string;
                        "Seleukia am Tigris": string;
                        Selinus: string;
                        Sestos: string;
                        Side: string;
                        Sidon: string;
                        Sikyon: string;
                        Sinop: string;
                        Sirmium: string;
                        Sisak: string;
                        Sizilien: string;
                        "Sizilien 2 (Republican period)": string;
                        "Sizilisch-Punisch": string;
                        Smyrna: string;
                        Sofia: string;
                        Soloi: string;
                        Sosopol: string;
                        "Susa (Persien)": string;
                        Sybaris: string;
                        Syrakus: string;
                        Syrien: string;
                        "S\u00FCdgallische M\u00FCnzst\u00E4tte": string;
                        Tanagra: string;
                        Taras: string;
                        Tarraco: string;
                        Tarsus: string;
                        Tegea: string;
                        Temnus: string;
                        Teos: string;
                        Terina: string;
                        Tessin: string;
                        Thasos: string;
                        "Theben (B\u00F6otien)": string;
                        "Thessalische Liga": string;
                        Thessalonica: string;
                        Thessaloniki: string;
                        Thiva: string;
                        Thrakien: string;
                        Thurioi: string;
                        Thyrrheium: string;
                        Trier: string;
                        "Tripoli (Libanon)": string;
                        Tyros: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Viminatium: string;
                        Vindobona: string;
                        Warna: string;
                        Zancle: string;
                        Äegina: string;
                        Äeneas: string;
                        Äetolien: string;
                    };
                };
                "Terracotta-objectType-Pergamon": {
                    values: {
                        Architektur: string;
                        Ausstattungsgegenstand: string;
                        Gerät: string;
                        Plastik: string;
                        Schmuck: string;
                        Produktionsrest: string;
                        Rohton: string;
                        Spielzeug: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Terracotta-form-Pergamon": {
                    values: {
                        Abstandshalter: string;
                        Akroter: string;
                        Antefix: string;
                        Badewanne: string;
                        Becken: string;
                        Formschüssel: string;
                        "Matrize/Model": string;
                        Rohr: string;
                        Sima: string;
                        Webgewicht: string;
                    };
                };
                "Terracotta-manufacturingMethod-Pergamon": {
                    values: {
                        "frei geformt": string;
                        "gedreht (auf Drehscheibe)": string;
                        matritzengeformt: string;
                    };
                };
                "Terracotta-decorationTechnique-Pergamon": {
                    values: {
                        Bemalung: string;
                        Überzug: string;
                        Glasur: string;
                        "Vergoldung/metallischer \u00DCberzug": string;
                        Relief: string;
                        Ritzung: string;
                        Stempel: string;
                    };
                };
                "Terracotta-depictedBeing-Pergamon": {
                    values: {
                        Gottheit: string;
                        "Heros/Heroine": string;
                        Mischwesen: string;
                        Mensch: string;
                        Tier: string;
                        Gegenstand: string;
                    };
                };
                "Terracotta-depictedBeingSex-Pergamon": {
                    values: {
                        männlich: string;
                        weiblich: string;
                        Hermaphrodit: string;
                        Unbekannt: string;
                    };
                };
                "Terracotta-depictedBeingAge-Pergamon": {
                    values: {
                        "kleinkindlich (bis 3 Jahre)": string;
                        "kindlich (4-12 Jahre)": string;
                        "jugendlich (12-18 Jahre)": string;
                        "erwachsen (18-44 Jahre)": string;
                        "alt (ab 45 Jahre)": string;
                    };
                };
                "Terracotta-depictedBeingFormat-Pergamon": {
                    values: {
                        "lebensgro\u00DF (bis 180 cm)": string;
                        "unterlebensgro\u00DF (bis 130 cm)": string;
                        "miniatur (bis 80 cm)": string;
                    };
                };
                "Terracotta-depictedBeingClothing-Pergamon": {
                    values: {
                        bekleidet: string;
                        "teils unbekleidet": string;
                        unbekleidet: string;
                    };
                };
                "Wood-objectType-Pergamon": {
                    values: {
                        Architektur: string;
                        Gefäß: string;
                        Gerät: string;
                        Grabbehältnis: string;
                        Mobiliar: string;
                        Plastik: string;
                        Schmuck: string;
                        Produktionsrest: string;
                        Spielzeug: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Brick-formDescription-Pergamon": {
                    values: {
                        Dreieckig: string;
                        Quadratisch: string;
                        Rechteckig: string;
                        Rund: string;
                        Vieleckig: string;
                        Sonstiges: string;
                    };
                };
                "Brick-objectType-Pergamon": {
                    values: {
                        Bodenziegel: string;
                        "Dachziegel (Imbrex)": string;
                        "Dachziegel (Kalypter)": string;
                        "Dachziegel (Stroter)": string;
                        "Dachziegel (Tegula)": string;
                        Hypokaustziegel: string;
                        Mauerziegel: string;
                        Unsicher: string;
                        Wandziegel: string;
                    };
                };
                "Brick-manufacturingMethod-Pergamon": {
                    values: {
                        Gebrannt: string;
                        Gepresst: string;
                        handgeformt: string;
                        luftgetrocknet: string;
                    };
                };
                "Brick-decorationTechnique-Pergamon": {
                    values: {
                        Überzug: string;
                        Glasur: string;
                        Fingerabdruck: string;
                        "Sonstige Abdr\u00FCcke": string;
                        Wischzeichen: string;
                        Relief: string;
                        Ritzung: string;
                        Stempel: string;
                    };
                };
                "Metal-objectType-Pergamon": {
                    values: {
                        Architektur: string;
                        Gefäß: string;
                        Gerät: string;
                        Gewicht: string;
                        Plastik: string;
                        Militaria: string;
                        Mobiliar: string;
                        Produktionsrest: string;
                        Schmuck: string;
                        Spielzeug: string;
                        Waffen: string;
                        Werkzeug: string;
                        unsicher: string;
                    };
                };
                "Metal-form-Pergamon": {
                    values: {
                        Anhänger: string;
                        Armreif: string;
                        Barren: string;
                        Beschlag: string;
                        Blechband: string;
                        Dolch: string;
                        Einlage: string;
                        Fibel: string;
                        Gefäß: string;
                        Geschossbolzenspitze: string;
                        Gewicht: string;
                        Glocke: string;
                        Gussform: string;
                        Gusszapfen: string;
                        Haken: string;
                        Hufbeschlag: string;
                        Kette: string;
                        Klammer: string;
                        Knopf: string;
                        "Lampe/Leuchter": string;
                        Löffel: string;
                        Meißel: string;
                        Messer: string;
                        Nadel: string;
                        Nagel: string;
                        Perle: string;
                        Pfeilspitze: string;
                        Pinzette: string;
                        Produktionsabfall: string;
                        Reibe: string;
                        Ring: string;
                        Schlacke: string;
                        Schloss: string;
                        Schlüssel: string;
                        Schnalle: string;
                        Schreibgerät: string;
                        Schwert: string;
                        Siegel: string;
                        Spatel: string;
                        Speerspitze: string;
                        Spiegel: string;
                        Spielstein: string;
                        Strigilis: string;
                        Verguss: string;
                    };
                };
                "Metal-manufacturingMethod-Pergamon": {
                    values: {
                        Treibarbeit: string;
                        Gußtechnik: string;
                        Prägearbeit: string;
                        Schmiedetechnik: string;
                        Ziehtechnik: string;
                    };
                };
                "Metal-decorationTechnique-Pergamon": {
                    values: {
                        Bemalung: string;
                        Emaille: string;
                        Gravur: string;
                        Niello: string;
                        Punzierung: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        Stempel: string;
                        Tauschierung: string;
                        Torsion: string;
                        Vergoldung: string;
                    };
                };
                "Metal-depictedBeingFormat-Pergamon": {
                    values: {
                        "kolossal (\u00FCber 300m)": string;
                        "\u00FCberlebensgro\u00DF (\u00FCber 180 cm)": string;
                        "lebensgro\u00DF (bis 180 cm)": string;
                        "unterlebensgro\u00DF (bis 130 cm)": string;
                        "miniatur (bis 80 cm)": string;
                    };
                };
                "Mollusk-classification-Pergamon": {
                    values: {
                        Auster: string;
                        Herzmuschel: string;
                        Jakobsmuschel: string;
                        Kammmuschel: string;
                        "Muschelschale (Bivalvia)": string;
                        Purpurschnecke: string;
                        "Schneckenhaus (Gastropoda)": string;
                    };
                };
                "Mollusk-treatment-Pergamon": {
                    values: {
                        Ja: string;
                        Nein: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Mollusk-objectType-Pergamon": {
                    values: {
                        Gefäß: string;
                        Plastik: string;
                        Mobiliar: string;
                        Schmuck: string;
                        Speiserest: string;
                        Spielzeug: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Mollusk-form-Pergamon": {
                    values: {
                        Anhänger: string;
                        Armreif: string;
                        Einlage: string;
                        Kette: string;
                        Knopf: string;
                        Perle: string;
                        Spielstein: string;
                    };
                };
                "Stone-objectType-Pergamon": {
                    values: {
                        "Altar/Basis/Stele": string;
                        Architektur: string;
                        Gefäß: string;
                        Gerät: string;
                        Grabmarkierung: string;
                        "Inkrustation/Platte": string;
                        Inschrift: string;
                        Mobiliar: string;
                        Plastik: string;
                        Produktionsrest: string;
                        Schmuck: string;
                        Tessera: string;
                        Waffen: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Stone-form-Pergamon": {
                    values: {
                        Abschlag: string;
                        Akroter: string;
                        Anhänger: string;
                        Architrav: string;
                        Basis: string;
                        Bauplastik: string;
                        Becken: string;
                        Einlage: string;
                        Einsatzkopf: string;
                        Fries: string;
                        Gesims: string;
                        Grabaltar: string;
                        Grabgefäß: string;
                        Grabstele: string;
                        Grabplatte: string;
                        Gussform: string;
                        Herme: string;
                        Idealstatue: string;
                        Inkrustation: string;
                        Inschriftenstele: string;
                        Kalypter: string;
                        Kandelaber: string;
                        Kapitell: string;
                        Konsole: string;
                        Mahlstein: string;
                        Mörser: string;
                        Opferaltar: string;
                        Perle: string;
                        Portraitstatue: string;
                        Profilstück: string;
                        Produktionsfragment: string;
                        Quaderblock: string;
                        Reibstein: string;
                        Relief: string;
                        Ring: string;
                        Rührstab: string;
                        Sarkophag: string;
                        Säulentrommel: string;
                        Schale: string;
                        Schrankenplatte: string;
                        Schwellenblock: string;
                        Siegel: string;
                        Sima: string;
                        Spielbrett: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        Statuenbasis: string;
                        Stroter: string;
                        Stele: string;
                        Tischfuß: string;
                        Votivaltar: string;
                        Votivstele: string;
                        Waffe: string;
                        Webgewicht: string;
                        Weihrelief: string;
                        Werkzeug: string;
                        Ölpresse: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Stone-usedAsSpolia-Pergamon": {
                    values: {
                        Ja: string;
                        Nein: string;
                        Unsicher: string;
                    };
                };
                "Stone-material-Pergamon": {
                    values: {
                        Alabaster: string;
                        Andesit: string;
                        Basalt: string;
                        Bimsstein: string;
                        Edelstein: string;
                        Feldspat: string;
                        "Silex/Flint": string;
                        Granit: string;
                        Kalk: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Obsidian: string;
                        Pophyr: string;
                        Quarz: string;
                        Quellgestein: string;
                        "Rhyolith (Quarzporphyr)": string;
                        Sandstein: string;
                        Schiefer: string;
                        Serpentinit: string;
                        Sinter: string;
                        Trachyt: string;
                        Tuff: string;
                        Vulkangestein: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Stone-origin-Pergamon": {
                    values: {
                        Anatolien: string;
                        Antiochia: string;
                        Athen: string;
                        Ägypten: string;
                        Attisch: string;
                        Britannien: string;
                        Chios: string;
                        Deutschland: string;
                        Ephesos: string;
                        Etruskisch: string;
                        Gallien: string;
                        Ionien: string;
                        Irland: string;
                        Italien: string;
                        Kampanisch: string;
                        Karthagisch: string;
                        Kleinasien: string;
                        Knidos: string;
                        Korinth: string;
                        Kos: string;
                        Lesbos: string;
                        Levante: string;
                        Lokal: string;
                        "Lokal/Regional": string;
                        Milet: string;
                        Mäandertal: string;
                        Nordafrika: string;
                        Nordafrikanisch: string;
                        Palästina: string;
                        Pannonien: string;
                        Peleponnes: string;
                        Regional: string;
                        Rhodos: string;
                        Samos: string;
                        Sizilien: string;
                        Skandinavien: string;
                        Slawisch: string;
                        Spanien: string;
                        Syrien: string;
                        Südtunesisch: string;
                        Südägäis: string;
                    };
                };
                "Stone-constructionDetails-Pergamon": {
                    values: {
                        Anathyrose: string;
                        Dübelloch: string;
                        Hebebosse: string;
                        Hebeloch: string;
                        Klammerloch: string;
                        Randschlag: string;
                        Stemmloch: string;
                    };
                };
                "Stone-decorationTechnique-Pergamon": {
                    values: {
                        Bemalung: string;
                        Applike: string;
                        Inschrift: string;
                        Relief: string;
                        "partiell unfertig": string;
                    };
                };
                "Bone-objectType-Pergamon": {
                    values: {
                        Gefäß: string;
                        Gerät: string;
                        Plastik: string;
                        Mobiliar: string;
                        Produktionsrest: string;
                        Schmuck: string;
                        Spielzeug: string;
                        Waffen: string;
                        Werkzeug: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Bone-form-Pergamon": {
                    values: {
                        Anhänger: string;
                        Applik: string;
                        Armreif: string;
                        Einlage: string;
                        Kamm: string;
                        Knopf: string;
                        Löffel: string;
                        Nadel: string;
                        Perle: string;
                        Pyxis: string;
                        Ring: string;
                        Schreibgerät: string;
                        Spatel: string;
                        Spielstein: string;
                        Statuette: string;
                    };
                };
                "Bone-decorationTechnique-Pergamon": {
                    values: {
                        Relief: string;
                        Sgraffito: string;
                    };
                };
                "PlasterFragment-objectType-Pergamon": {
                    values: {
                        Architektureinfassung: string;
                        Mobiliar: string;
                        Wandputz: string;
                        Sonstiges: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "PlasterFragment-decorationTechnique-Pergamon": {
                    values: {
                        Einfarbig: string;
                        Figürlich: string;
                        Floral: string;
                        Marmoriert: string;
                        Mehrfarbig: string;
                        Linear: string;
                        Ornamental: string;
                        Flächendeckend: string;
                    };
                };
                "PlasterFragment-paintingTechnique-Pergamon": {
                    values: {
                        Seccomalerei: string;
                        Freskomalerei: string;
                        Sonstiges: string;
                    };
                };
                "PlasterFragment-specialFeatures-Pergamon": {
                    values: {
                        Graffito: string;
                        Pickung: string;
                        Übermalung: string;
                        Ritzlinien: string;
                        Stoßkanten: string;
                    };
                };
                "operationClassification-Pergamon": {
                    values: {
                        Abhub: string;
                        Bohrung: string;
                        Laufspur: string;
                        Planum: string;
                        Profil: string;
                        Sondage: string;
                    };
                };
                "Pottery-vesselpart-Gadara": {
                    values: {
                        WF: string;
                        RF: string;
                        BF: string;
                        H: string;
                        D: string;
                        KOMP: string;
                        VAR: string;
                    };
                };
                "Pottery-coatType-Gadara": {
                    values: {
                        Unbehandelt: string;
                        Überzug: string;
                        Poliert: string;
                        Geglättet: string;
                        Glasiert: string;
                        Bemalung: string;
                        Verstrichen: string;
                        "nicht erhalten": string;
                    };
                };
                "Pottery-coatColor-Gadara": {
                    values: {
                        beige: string;
                        "blass-": string;
                        blau: string;
                        braun: string;
                        cremefarben: string;
                        "dunkel-": string;
                        gelb: string;
                        glänzend: string;
                        grau: string;
                        grün: string;
                        "hell-": string;
                        "leuchtend-": string;
                        ocker: string;
                        orange: string;
                        rosa: string;
                        rot: string;
                        schwarz: string;
                        türkis: string;
                        violett: string;
                        weiß: string;
                    };
                };
                "KnappingWasteProduct-material-Uruk": {
                    values: {
                        Basalt: string;
                        Feldspat: string;
                        Flint: string;
                        Glimmer: string;
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Sinter: string;
                        Trachyt: string;
                        Tuff: string;
                    };
                };
                "FragmentOfDrill-material-Uruk": {
                    values: {
                        Andesit: string;
                        Basalt: string;
                        Feldspat: string;
                        Flint: string;
                        Glimmer: string;
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Sinter: string;
                        Trachyt: string;
                        Tuff: string;
                    };
                };
                "FragmentOfCuttingtool-material-Uruk": {
                    values: {
                        Andesit: string;
                        Basalt: string;
                        Feldspat: string;
                        Flint: string;
                        Glimmer: string;
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Sinter: string;
                        Trachyt: string;
                        Tuff: string;
                    };
                };
                "FragmentofCoating-material-Uruk": {
                    values: {
                        Andesit: string;
                        Basalt: string;
                        Feldspat: string;
                        Flint: string;
                        Glimmer: string;
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Sinter: string;
                        Trachyt: string;
                        Tuff: string;
                    };
                };
                "RawMaterial-material-Uruk": {
                    values: {
                        Andesit: string;
                        Basalt: string;
                        Feldspat: string;
                        Flint: string;
                        Glimmer: string;
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Sinter: string;
                        Trachyt: string;
                        Tuff: string;
                    };
                };
                "FragmentofStonevessel-material-Uruk": {
                    values: {
                        Andesit: string;
                        Basalt: string;
                        Feldspat: string;
                        Flint: string;
                        Glimmer: string;
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Sinter: string;
                        Trachyt: string;
                        Tuff: string;
                    };
                };
                "Find-storagePlace-kalapodi": {
                    values: {
                        "Magazin Kalapodi": string;
                        "Museum Atalanti": string;
                        "Museum Lamia": string;
                        "Magazin Sammelfunde": string;
                        Restaurierungswerkstatt: string;
                        verlustig: string;
                    };
                };
                "Find-measuringPointOrigin-kalapodi": {
                    values: {
                        idaifield1: string;
                        Fotoliste: string;
                    };
                };
                "Find-workflow-kalapodi": {
                    values: {
                        "Keine Angabe": string;
                        Inventarisiert: string;
                        Fotografiert: string;
                        Gezeichnet: string;
                        Restauriert: string;
                        "Detailbearbeitung fertig": string;
                        Fehlerhaft: string;
                    };
                };
                "Find-amountDescription-Gadara": {
                    values: {
                        "Kiste (klein)": string;
                        Stück: string;
                        Eimer: string;
                        "Kiste (gro\u00DF)": string;
                        Tüte: string;
                    };
                };
                "Photo-imageSubject-kalapodi": {
                    values: {
                        Arbeitsfoto: string;
                        Einzelfund: string;
                        Fauna: string;
                        Flora: string;
                        Multifund: string;
                        Personen: string;
                        Planum: string;
                        Probe: string;
                        Profil: string;
                        "Sammelfund Keramik": string;
                        "Sammelfund Ziegel": string;
                        Schnitt: string;
                        "Schnitt mit Fund": string;
                        Übersicht: string;
                        Unklar: string;
                        WrongPhoto: string;
                    };
                };
                "Metal-objectTypeGeneral-kalapodi": {
                    values: {
                        Schmuck: string;
                        Gerät: string;
                        Produktionsabfall: string;
                        Skulptur: string;
                        "Waffe/R\u00FCstung": string;
                        unbestimmbar: string;
                    };
                };
                "Metal-objectType-kalapodi": {
                    values: {
                        Anhänger: string;
                        Armreif: string;
                        Band: string;
                        Barren: string;
                        Beschlag: string;
                        Blech: string;
                        Einlage: string;
                        Fibel: string;
                        Gefäß: string;
                        Gerät: string;
                        Gewicht: string;
                        Glocke: string;
                        Gussform: string;
                        Gusszapfen: string;
                        Halbfabrikat: string;
                        Helm: string;
                        Kandelaber: string;
                        Kette: string;
                        Klinge: string;
                        Knopf: string;
                        Lampe: string;
                        Lanzenspitze: string;
                        Löffel: string;
                        Meissel: string;
                        Messer: string;
                        Mobiliar: string;
                        Nadel: string;
                        Nagel: string;
                        Obelos: string;
                        Perle: string;
                        Pfeilspitze: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Projektil: string;
                        Reibe: string;
                        Ring: string;
                        Ringbarren: string;
                        Rührstab: string;
                        Sarkophag: string;
                        Schild: string;
                        Schlacke: string;
                        Schlüssel: string;
                        Schmiedeabfall: string;
                        Schmuck: string;
                        Schnalle: string;
                        Schreibgerät: string;
                        Sichel: string;
                        Siegel: string;
                        Speerspitze: string;
                        Spiegel: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        Stabbarren: string;
                        Strigilis: string;
                        Türschloss: string;
                        unbestimmbar: string;
                        Waffe: string;
                        Wasserleitung: string;
                        Weinheber: string;
                        Werkzeug: string;
                        Zierbeschlag: string;
                    };
                };
                "Metal-formDescription-kalapodi": {
                    values: {
                        amorph: string;
                        ausladend: string;
                        bauchig: string;
                        breitoval: string;
                        doppelkonisch: string;
                        gewölbt: string;
                        halbkugelig: string;
                        hochoval: string;
                        konisch: string;
                        kreuzförmig: string;
                        kugelförmig: string;
                        länglich: string;
                        quadratisch: string;
                        rechteckig: string;
                        rund: string;
                        schlank: string;
                        schmal: string;
                        spindelförmig: string;
                        stabförmig: string;
                        tonnenförmig: string;
                        trichterförmig: string;
                        zylinderförmig: string;
                    };
                };
                "Metal-metalMaterial-kalapodi": {
                    values: {
                        Bronze: string;
                        Eisen: string;
                        Blei: string;
                        Silber: string;
                        Unklar: string;
                        Gold: string;
                        Aluminium: string;
                        Kupfer: string;
                        Messing: string;
                        Stahl: string;
                        Zink: string;
                        Zinn: string;
                    };
                };
                "Coin-metalMaterial-kalapodi": {
                    values: {
                        Bronze: string;
                        Eisen: string;
                        Blei: string;
                        Silber: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Gold: string;
                        Aluminium: string;
                        Kupfer: string;
                        Messing: string;
                        Stahl: string;
                        Zink: string;
                        Zinn: string;
                    };
                };
                "Coin-mint-kalapodi": {
                    values: {
                        Abdera: string;
                        Abydos: string;
                        Afrika: string;
                        Agrigent: string;
                        "Aigai (Vergina)": string;
                        Aiolis: string;
                        "Aitolischer Bund": string;
                        Akanthus: string;
                        Akkon: string;
                        Alabanda: string;
                        Alexandria: string;
                        "Alexandria Troas": string;
                        Alexandrien: string;
                        Amasra: string;
                        Amathus: string;
                        "Ambianum (Amiens)": string;
                        Ambracia: string;
                        Amiens: string;
                        Amisus: string;
                        Amphipolis: string;
                        Amrit: string;
                        Anaktorio: string;
                        Antiochia: string;
                        "Antiochia (Antakya)": string;
                        "Antiochia am Orontes": string;
                        "Apameia Kibotos": string;
                        "Apameia am Orontes": string;
                        Apollonia: string;
                        Apulien: string;
                        Aquileia: string;
                        "Archaiischer Bund": string;
                        "Arelate (Arles)": string;
                        Argos: string;
                        "Argos Amphilochicum": string;
                        Arles: string;
                        Arpi: string;
                        Aruad: string;
                        "Asia Minor": string;
                        Asien: string;
                        Aspendos: string;
                        Assos: string;
                        Astibus: string;
                        Athen: string;
                        Aydın: string;
                        Babylon: string;
                        "Barcino (Barcelona)": string;
                        Beirut: string;
                        Bozcaada: string;
                        Byblos: string;
                        Byzantion: string;
                        Böotien: string;
                        Caesaraugusta: string;
                        "Caesarea in Kappadokien": string;
                        Cales: string;
                        "Camulodunum (Colchester)": string;
                        "Canosa di Puglia": string;
                        Carnuntum: string;
                        "Carthago (Tunis)": string;
                        Catania: string;
                        Caulonia: string;
                        Chalcedon: string;
                        Chalkida: string;
                        Chalkidiki: string;
                        Chersones: string;
                        Chios: string;
                        Colchester: string;
                        "Colonia Agrippina (K\u00F6ln)": string;
                        "Colonia Patricia": string;
                        Comitatenses: string;
                        "Constantinopolis (Istanbul)": string;
                        Crotone: string;
                        Cyme: string;
                        Damaskus: string;
                        "Diesseitiges Gallian / Norditalien": string;
                        Dionysopolis: string;
                        Dyrrhachium: string;
                        Ekbatana: string;
                        Elea: string;
                        Elis: string;
                        Emerita: string;
                        Empüries: string;
                        Ephesos: string;
                        Eretria: string;
                        Erythrai: string;
                        Etrurien: string;
                        Euböa: string;
                        Foça: string;
                        Gallien: string;
                        Gela: string;
                        Germe: string;
                        Gortyn: string;
                        Halikarnassos: string;
                        Harran: string;
                        Heraclea: string;
                        Herakleia: string;
                        "Herakleia Pontike": string;
                        Himera: string;
                        Hispanien: string;
                        "Hispanien-Punisch": string;
                        Histria: string;
                        Homs: string;
                        Ibiza: string;
                        Idalion: string;
                        Italien: string;
                        "Italien (S\u00FCdosten)": string;
                        Kabile: string;
                        Kamarina: string;
                        Karien: string;
                        Karthago: string;
                        Karystos: string;
                        Kelenderis: string;
                        Kertsch: string;
                        Klazomenai: string;
                        Knidos: string;
                        Kolchis: string;
                        Kolophon: string;
                        Konstantinopel: string;
                        Korfu: string;
                        Korinth: string;
                        "Korinthischer Bund": string;
                        Kos: string;
                        Kydonia: string;
                        Kyrenaika: string;
                        Kyrene: string;
                        Kyzikos: string;
                        Köln: string;
                        Lampsakos: string;
                        "Laodikeia am Lykos": string;
                        Lapta: string;
                        Larissa: string;
                        Larnaka: string;
                        Latakia: string;
                        Lefkada: string;
                        Lentini: string;
                        Lete: string;
                        Locri: string;
                        "Locri Opuntii (Opus)": string;
                        Londinium: string;
                        Lucera: string;
                        Lugdunum: string;
                        Lydien: string;
                        Lykien: string;
                        Lysimacheia: string;
                        Lyttos: string;
                        "Magnesia am M\u00E4ander": string;
                        Mainz: string;
                        Makedonien: string;
                        "Makedonien (1. Region)": string;
                        Mangalia: string;
                        Marmetini: string;
                        Maroneia: string;
                        Marseille: string;
                        Mediolanum: string;
                        Megalopoli: string;
                        Memphis: string;
                        Messene: string;
                        Messina: string;
                        Metapont: string;
                        Milas: string;
                        Milet: string;
                        Mithymna: string;
                        Mittelitalien: string;
                        Myriandrus: string;
                        Myrina: string;
                        Mytilini: string;
                        Narbo: string;
                        Naxos: string;
                        Neapel: string;
                        Nessebar: string;
                        Nikomedia: string;
                        Nisibis: string;
                        Nuceria: string;
                        Olbia: string;
                        Oreus: string;
                        Oria: string;
                        "Ostia Antica": string;
                        Ouranoupolis: string;
                        Paestum: string;
                        Paphos: string;
                        Parion: string;
                        Paros: string;
                        Pella: string;
                        Peloponnes: string;
                        Pergamon: string;
                        Perge: string;
                        Persien: string;
                        Phanagoria: string;
                        Phaselis: string;
                        Phokis: string;
                        Priene: string;
                        "Prusias ad Hypium": string;
                        Ravenna: string;
                        "Reggio Calabria": string;
                        "Republik Zypern": string;
                        Rhodos: string;
                        Rom: string;
                        "Rom 4. Officina": string;
                        Rouen: string;
                        Salamis: string;
                        Samos: string;
                        Sardes: string;
                        Sardinien: string;
                        Segesta: string;
                        "Seleukia Pieria": string;
                        "Seleukia am Tigris": string;
                        Selinus: string;
                        Sestos: string;
                        Side: string;
                        Sidon: string;
                        Sikyon: string;
                        Sinop: string;
                        Sirmium: string;
                        Sisak: string;
                        Sizilien: string;
                        "Sizilien 2 (Republican period)": string;
                        "Sizilisch-Punisch": string;
                        Smyrna: string;
                        Sofia: string;
                        Soloi: string;
                        Sosopol: string;
                        "Susa (Persien)": string;
                        Sybaris: string;
                        Syrakus: string;
                        Syrien: string;
                        "S\u00FCdgallische M\u00FCnzst\u00E4tte": string;
                        Tanagra: string;
                        Taras: string;
                        Tarraco: string;
                        Tarsus: string;
                        Tegea: string;
                        Temnus: string;
                        Teos: string;
                        Terina: string;
                        Tessin: string;
                        Thasos: string;
                        "Thessalische Liga": string;
                        Thessalonica: string;
                        Thessaloniki: string;
                        Theben: string;
                        Thiva: string;
                        Thrakien: string;
                        Thurioi: string;
                        Thyrrheium: string;
                        Trier: string;
                        "Tripoli (Libanon)": string;
                        Tyros: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Viminatium: string;
                        Vindobona: string;
                        Warna: string;
                        Zancle: string;
                        Äegina: string;
                        Äeneas: string;
                        Äetolien: string;
                    };
                };
                "Brick-brickUsage-kalapodi": {
                    values: {
                        Dach: string;
                        Decke: string;
                        Fenster: string;
                        Fussboden: string;
                        Gewölbedecke: string;
                        Klosterformat: string;
                        Türrahmen: string;
                        Türsturz: string;
                        Wandverkleidung: string;
                        Sonstiges: string;
                        Unklar: string;
                    };
                };
                "Pottery-materialType-kalapodi": {
                    values: {
                        "Feine Ware": string;
                        "Grob-Feine Ware": string;
                        "Grobe Ware": string;
                    };
                };
                "Pottery-vesselFormSpecific-kalapodi": {
                    values: {
                        Alabastron: string;
                        Amphoriskos: string;
                        Aryballos: string;
                        Balsamarium: string;
                        Dattelflasche: string;
                        Dinos: string;
                        Faltenbecher: string;
                        Fischteller: string;
                        Glockenbecher: string;
                        Handelsamphore: string;
                        Hydria: string;
                        Kopfflasche: string;
                        Kotyle: string;
                        Kragenschale: string;
                        Krater: string;
                        Kylix: string;
                        Lekane: string;
                        Lekythos: string;
                        Luterion: string;
                        Lutrophore: string;
                        Miscellanea: string;
                        Oinochoe: string;
                        Pelike: string;
                        Pithos: string;
                        Pyxis: string;
                        Salznapf: string;
                        Skyphos: string;
                        Spitzamphora: string;
                        Sprenkler: string;
                        Stamnos: string;
                        Tierflasche: string;
                        Tischamphore: string;
                        Tränenfläschchen: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zylindrische Flasche": string;
                    };
                };
                "Layer-layerClassification-kalapodi": {
                    values: {
                        "TODO Classify": string;
                        Brandschicht: string;
                        Deponierung: string;
                        Erdschicht: string;
                        Kulturschicht: string;
                        Laufhorizont: string;
                        Planierschicht: string;
                        Profilreinigung: string;
                        Reinigung: string;
                        Schuttschicht: string;
                        Schwemmschicht: string;
                        Sonstiges: string;
                        Stegabnahme: string;
                        Verfüllung: string;
                        Versturz: string;
                        Zerstörungsschicht: string;
                    };
                };
                "Layer-soilType-kalapodi": {
                    values: {
                        Humus: string;
                        Feinsand: string;
                        Feinstsand: string;
                        Grobsand: string;
                        Lehm: string;
                        "Lehmiger Sand": string;
                        "Lehmiger Schluff": string;
                        "Lehmiger Ton": string;
                        Mergel: string;
                        "Mittlerer Sand": string;
                        Sand: string;
                        "Sandiger Lehm": string;
                        "Sandiger Schluff": string;
                        "Sandiger Ton": string;
                        Schluff: string;
                        "Schluffiger Lehm": string;
                        "Schluffiger Sand": string;
                        "Schluffiger Ton": string;
                        Ton: string;
                        "Toniger Lehm": string;
                        "Toniger Sand": string;
                        "Toniger Schluff": string;
                    };
                };
                "periods-kalapodi-1": {
                    values: {
                        Archaisch: string;
                        Bronzezeitlich: string;
                        Byzantinisch: string;
                        Eisenzeitlich: string;
                        Frühbronzezeitlich: string;
                        Frühbyzantinisch: string;
                        Frühhellenistisch: string;
                        Frühkaiserzeitlich: string;
                        Frühklassisch: string;
                        Geometrisch: string;
                        Hellenistisch: string;
                        Kaiserzeitlich: string;
                        Klassisch: string;
                        Mykenisch: string;
                        Neolithisch: string;
                        Neuzeitlich: string;
                        Osmanisch: string;
                        Pleistozän: string;
                        Rezent: string;
                        Römisch: string;
                        Spätantik: string;
                        Spätbronzezeitlich: string;
                        Spätbyzantinisch: string;
                        Späthellenistisch: string;
                        Spätkaiserzeitlich: string;
                        Spätklassisch: string;
                    };
                };
                "Project-coordinate-reference-system-ayamonte": {
                    values: {
                        "Eigenes Koordinatenbezugssystem": string;
                        "EPSG4326 (WGS 84)": string;
                        "EPSG3857 (WGS 84 Web Mercator)": string;
                        "EPSG 23029 (UTM 29N, ED50)": string;
                    };
                };
                "Trench-excavationType-ayamonte": {
                    values: {
                        Sektor: string;
                        Schnitt: string;
                    };
                };
                "Grave-artifacts-ayamonte": {
                    values: {
                        Probe: string;
                        Keramik: string;
                    };
                };
                "Grave-significanceRemark-ayamonte": {
                    values: {
                        ungestört: string;
                        gestört: string;
                        stratifiziert: string;
                        "Bergung nach nat\u00FCrlicher Schichtung": string;
                    };
                };
                "Grave-graveType-ayamonte": {
                    values: {
                        Grubengrab: string;
                        "andere Klass.": string;
                    };
                };
                "Layer-artifacts-ayamonte": {
                    values: {
                        Keramik: string;
                        Probe: string;
                        Ziegel: string;
                        Knochen: string;
                        "sonstiger Fund": string;
                        Steinobjekt: string;
                        Mollusken: string;
                        Glas: string;
                    };
                };
                "Layer-significanceRemark-ayamonte": {
                    values: {
                        stratifiziert: string;
                        "Bergung nach nat\u00FCrlicher Schichtung": string;
                        "Bergung in k\u00FCnstlichen Plana": string;
                        ungestört: string;
                    };
                };
                "Layer-layerClassificationOther-ayamonte": {
                    values: {
                        "nat\u00FCrliches Substratum": string;
                        Anomalie: string;
                    };
                };
                "Layer-layerClassification-ayamonte": {
                    values: {
                        Auffüllung: string;
                        "andere Klass.": string;
                        Verfüllung: string;
                        Erdschicht: string;
                    };
                };
                "Layer-otherClassification-ayamonte": {
                    values: {
                        Störung: string;
                        Graben: string;
                    };
                };
                "Feature-featureClassification-ayamonte": {
                    values: {
                        "Arch\u00E4ologisches Planum": string;
                        "Anthropologisches Planum": string;
                    };
                };
                "Feature-featureClassificationOther-ayamonte": {
                    values: {
                        alcorque: string;
                    };
                };
                "Feature-otherClassification-ayamonte": {
                    values: {
                        Grube: string;
                        "andere Klass.": string;
                        Graben: string;
                        Störung: string;
                        Interface: string;
                    };
                };
                "Feature-artifacts-ayamonte": {
                    values: {
                        Knochen: string;
                        "sonstiger Fund": string;
                        Steinobjekt: string;
                        Keramik: string;
                        Probe: string;
                    };
                };
                "Feature-significanceRemark-ayamonte": {
                    values: {
                        stratifiziert: string;
                        "Bergung nach nat\u00FCrlicher Schichtung": string;
                        gestört: string;
                        ungestört: string;
                    };
                };
                "Find-findCategory-ayamonte": {
                    values: {
                        Botanik: string;
                        Sonstiges: string;
                    };
                };
                "Find-findObjectType-ayamonte": {
                    values: {
                        Amulett: string;
                    };
                };
                "Find-materialColor-ayamonte": {
                    values: {
                        beige: string;
                    };
                };
                "Find-findType-ayamonte": {
                    values: {
                        Botanik: string;
                        Sonstiges: string;
                    };
                };
                "Sample-material-ayamonte": {
                    values: {
                        "gebrannter Ton": string;
                        Erde: string;
                    };
                };
                "Find-storagePlace-ayamonte": {
                    values: {
                        Huelva: string;
                    };
                };
                "Find-period-ayamonte": {
                    values: {
                        modern: string;
                        römisch: string;
                    };
                };
                "Glass-objectType-ayamonte": {
                    values: {
                        Gefäß: string;
                    };
                };
                "Mollusk-classification-ayamonte": {
                    values: {
                        Muscheln: string;
                        Schnecken: string;
                    };
                };
                "Burial-sexDetermination-ayamonte": {
                    values: {
                        weiblich: string;
                        männlich: string;
                    };
                };
                "Burial-graveFeature-ayamonte": {
                    values: {
                        Brandbestattung: string;
                    };
                };
                "Wood-objectType-ayamonte": {
                    values: {
                        Holzkohle: string;
                    };
                };
                "Pottery-vesselForm-ayamonte": {
                    values: {
                        Lampe: string;
                        Kanne: string;
                        Amphore: string;
                        Teller: string;
                        Dolium: string;
                        Topf: string;
                        Parfümfläschchen: string;
                    };
                };
                "Pottery-specificType-ayamonte": {
                    values: {
                        "Handgeformte Keramik": string;
                        Drehscheibenware: string;
                    };
                };
                "Pottery-vesselFormSpecific-ayamonte": {
                    values: {
                        "Halsamphore Cruz del Negro": string;
                    };
                };
                "Pottery-objectType-ayamonte": {
                    values: {
                        Grobkeramik: string;
                        Feinkeramik: string;
                    };
                };
                "Pottery-provenance-ayamonte": {
                    values: {
                        "Torre del Mar": string;
                    };
                };
                "Pottery-condition-ayamonte": {
                    values: {
                        "mehrere Fragmente": string;
                        "weitgehend vollst\u00E4ndiges Gef\u00E4\u00DF": string;
                        "weitgehend vollst\u00E4ndiges, zerbrochenes Gef\u00E4\u00DF": string;
                        "mehrere anpassende Fragmente": string;
                        "vollst\u00E4ndiges, zerbrochenes Gef\u00E4\u00DF": string;
                        "Frgte. von Oberfl\u00E4che": string;
                        Überzug: string;
                    };
                };
                "Find-ayamonteCondition-ayamonte": {
                    values: {
                        "weitgehend vollst\u00E4ndiges Gef\u00E4\u00DF": string;
                        "mehrere Fragmente": string;
                        "vollst\u00E4ndiges, zerbrochenes Gef\u00E4\u00DF": string;
                        "mehrere anpassende Fragmente": string;
                        "weitgehend vollst\u00E4ndiges, zerbrochenes Gef\u00E4\u00DF": string;
                        "Frgte. von Oberfl\u00E4che": string;
                        Überzug: string;
                        "vollst\u00E4ndig und besch\u00E4digt": string;
                    };
                };
                "Bone-boneType-ayamonte": {
                    values: {
                        Mensch: string;
                        unbestimmbar: string;
                    };
                };
                "Bone-biologicalAge-ayamonte": {
                    values: {
                        "adult II (30-39 Jahre)": string;
                        "senil (> 60 Jahre)": string;
                        erwachsen: string;
                        "adult I (19-29 Jahre)": string;
                        "matur II (50-59 Jahre)": string;
                        "matur I (40-49 Jahre)": string;
                    };
                };
                "Bone-conditionAmount-ayamonte": {
                    values: {
                        "gro\u00DFes Fragment": string;
                        "kleines Fragment": string;
                        "winziger Splitter": string;
                    };
                };
                "Bone-burningGrade-ayamonte": {
                    values: {
                        "II - 300\u00B0-400\u00B0C - Verf\u00E4rbung etwa braun-dunkelbraun": string;
                        schwarz: string;
                        "IV - 650\u00B0-750\u00B0C - Verf\u00E4rbung etwa milchig wei\u00DF-mattwei\u00DF": string;
                        kreideartig: string;
                    };
                };
                "Bone-sex-ayamonte": {
                    values: {
                        Weiblich: string;
                        Männlich: string;
                    };
                };
                "Bone-boneClassification-ayamonte": {
                    values: {
                        "Sch\u00E4del (Cranius)": string;
                        Zahn: string;
                        Rippe: string;
                        "Oberarm (Humerus)": string;
                        "Mittelhand (Metacarpus)": string;
                        Phalanges: string;
                        "Oberschenkel (Femur)": string;
                        "Elle (Ulna)": string;
                        "Speiche (Radius)": string;
                        "Vorderbein (Tibia)": string;
                        "kleine Langknochen": string;
                        "Hinterbein (Fibula)": string;
                        "Schulterblatt (Scapula)": string;
                        "Wirbel (Vertebres)": string;
                        "Beckenknochen (Pelvis)": string;
                        Astragales: string;
                        "Mittelfu\u00DF (Metatarsus)": string;
                        Fußknochen: string;
                    };
                };
                "Drawing-drawingType-ayamonte": {
                    values: {
                        Druckvorlage: string;
                        "Magnetometrie-Plan": string;
                    };
                };
                "Sample-sampleType-ayamonte": {
                    values: {
                        Keramikprobe: string;
                        Erdprobe: string;
                        "Mischprobe (Boden)": string;
                        Sedimentprobe: string;
                        "Mikromorphologische Probe (Boden)": string;
                    };
                };
                "Place-siteClassification-ayamonte": {
                    values: {
                        Nekropole: string;
                        Siedlung: string;
                    };
                };
                "Floor-distinguishingCriteria-Abbircella": {
                    values: {
                        Farbe: string;
                        Konsistenz: string;
                        Komposition: string;
                    };
                };
                "Feature-stratigraphicReliability-Abbircella": {
                    values: {
                        Gut: string;
                        Mittel: string;
                        Schlecht: string;
                        Unbekannt: string;
                    };
                };
                "colors-Abbircella-1": {
                    values: {
                        Beige: string;
                        "Blass-": string;
                        Blau: string;
                        Braun: string;
                        Cremefarben: string;
                        "Dunkel-": string;
                        Gelb: string;
                        Grau: string;
                        Grün: string;
                        Pistazienfarben: string;
                        "Hell-": string;
                        Leuchtend: string;
                        Ocker: string;
                        Orange: string;
                        Rosa: string;
                        Rot: string;
                        Schwarz: string;
                        Türkis: string;
                        Violett: string;
                        Weiß: string;
                    };
                };
                "colors-Abbircella-2": {
                    values: {
                        Beige: string;
                        Dunkelbraun: string;
                        Dunkelrot: string;
                        Gelb: string;
                        Hellbraun: string;
                        Hellgrau: string;
                        Mittelbraun: string;
                        Ocker: string;
                        Orange: string;
                        Orangerot: string;
                        Rosa: string;
                        Rot: string;
                        Rotbraun: string;
                        Schwarz: string;
                        Weiß: string;
                    };
                };
                "Feature-featureForm-Abbircella": {
                    values: {
                        Befundrest: string;
                        "U-f\u00F6rmig": string;
                        "V-f\u00F6rmig": string;
                        Annähernd: string;
                        Formlos: string;
                        Halbmondförmig: string;
                        Langgezogen: string;
                        Oval: string;
                        Rechteckig: string;
                        Regelmäßig: string;
                        Rund: string;
                        Sanduhrförmig: string;
                        Trapezförmig: string;
                        Unregelmäßig: string;
                        Kesselförmig: string;
                        Wannenförmig: string;
                        Trichterförmig: string;
                    };
                };
                "Feature-featureBorders-Abbircella": {
                    values: {
                        Deutlich: string;
                        Diffus: string;
                        Eben: string;
                        Erahnbar: string;
                        Erkennbar: string;
                        "Etwas verwaschen": string;
                        Fließend: string;
                        Geneigt: string;
                        Gezackt: string;
                        Regelmäßig: string;
                        Scharf: string;
                        "Sehr deutlich": string;
                        Undeutlich: string;
                        Uneben: string;
                        Unklar: string;
                        Unregelmäßig: string;
                        Verwaschen: string;
                        Wellig: string;
                    };
                };
                "Feature-drawn-Abbircella": {
                    values: {
                        Ja: string;
                        Nein: string;
                        "Nicht notwendig": string;
                    };
                };
                "periods-Abbircella-1": {
                    values: {
                        "Vorr\u00F6misch I. ca. 500-146 v. Chr. (punisch)": string;
                        "Vorr\u00F6misch II. 146-31 v. Chr. (neopunisch)": string;
                        "Fr\u00FChe Kaiserzeit. 31 v. Chr. - 69 n. Chr. (augusteisch / iulisch-claudisch)": string;
                        "Mittlere Kaiserzeit I. ca. 69-117 n. Chr. (flavisch - trajanisch)": string;
                        "Mittlere Kaiserzeit II. 117-235 n. Chr. (hadrianisch - severisch)": string;
                        "Sp\u00E4te Kaiserzeit. 235-306 n. Chr. (Soldatenkaiser - tetrarchisch)": string;
                        "Sp\u00E4tantike I.  306-530 n. Chr. (konstantinisch - vandalisch)": string;
                        "Sp\u00E4tantike II. 530-698 n. Chr. (byzantinisch)": string;
                        "Phase I": string;
                        "Phase II": string;
                        "Phase III": string;
                        "Phase IV": string;
                        "Phase V": string;
                        "Phase VI": string;
                        "Phase VII": string;
                        "Phase VIII": string;
                        "Phase IX": string;
                        "Phase X": string;
                    };
                };
                "Layer-consistency-Abbircella": {
                    values: {
                        "Durch Brand versiegelt": string;
                        "Oberfl\u00E4che abgewaschen": string;
                        "Oberfl\u00E4che verh\u00E4rtet": string;
                        Fest: string;
                        Flüssig: string;
                        "Gut formbar": string;
                        Hart: string;
                        Lehmig: string;
                        Locker: string;
                        "Mittel bindend": string;
                        "Mittel formbar": string;
                        "Nicht bindend": string;
                        "Nicht formbar": string;
                        Porös: string;
                        Sandig: string;
                        "Schwach bindend": string;
                        "Schwach formbar": string;
                        "Sehr gut formbar": string;
                        "Sehr hart": string;
                        "Sehr schwach formbar": string;
                        "Sehr weich": string;
                        "Stark bindend": string;
                        Steif: string;
                        Weich: string;
                        Pulverig: string;
                    };
                };
                "Layer-soilType-Abbircella": {
                    values: {
                        Sand: string;
                        Feinstsand: string;
                        Feinsand: string;
                        "Mittlerer Sand": string;
                        Grobsand: string;
                        "Sandiger Schluff": string;
                        "Sandiger Ton": string;
                        "Sandiger Lehm": string;
                        Schluff: string;
                        "Schluffiger Sand": string;
                        "Schluffiger Ton": string;
                        "Schluffiger Lehm": string;
                        Ton: string;
                        "Toniger Sand": string;
                        "Toniger Schluff": string;
                        "Toniger Lehm": string;
                        Lehm: string;
                        Mergel: string;
                    };
                };
                "Layer-layerClassification-Abbircella": {
                    values: {
                        "Nat\u00FCrliche Ablagerung": string;
                        "Absichtliche Deponierung": string;
                        Anhäufung: string;
                        Versturzschicht: string;
                        Verfüllung: string;
                        Arbeitsniveau: string;
                        Anschüttung: string;
                        Stampflehm: string;
                        Brandschicht: string;
                        Planierschicht: string;
                        Laufhorizont: string;
                        Sonstiges: string;
                    };
                };
                "Negative-negativeClassification-Abbircella": {
                    values: {
                        Abfallgrube: string;
                        Brunnen: string;
                        Feuerstelle: string;
                        Graben: string;
                        Grube: string;
                        Ofen: string;
                        Pfostenloch: string;
                        Pflugspur: string;
                        Tiergang: string;
                        Wurzelkanal: string;
                        "Zerst\u00F6rte Mauer": string;
                        "Zerst\u00F6rter Boden": string;
                        Raubgräberloch: string;
                        Drainage: string;
                        Sonstiges: string;
                    };
                };
                "Architecture-wallClassification-Abbircella": {
                    values: {
                        "Aufgehendes Mauerwerk": string;
                        Fensterzusetzung: string;
                        Flickung: string;
                        Fundament: string;
                        Gewölbe: string;
                        Mauer: string;
                        Mauerbettung: string;
                        Mauerdurchbruch: string;
                        Mosaik: string;
                        "Opus sectile": string;
                        Türzusetzung: string;
                        Wandgestaltung: string;
                        Sonstiges: string;
                    };
                };
                "Architecture-wallType-Abbircella": {
                    values: {
                        Außenmauer: string;
                        Befestigungsmauer: string;
                        Blockmauerwerk: string;
                        Bruchsteinmauer: string;
                        Fachwerk: string;
                        Feldsteinmauer: string;
                        Grenzmauer: string;
                        Ziegelmauer: string;
                        Sonstiges: string;
                    };
                };
                "Architecture-construction-Abbircella": {
                    values: {
                        "Fundament: Gesch\u00FCttet": string;
                        "Fundament: Gesetzt": string;
                        "Mauerkern: Lesesteine": string;
                        "Einschalig vor Feld/Hang": string;
                        "Ohne Schalen/keine durchgehenden Lagen": string;
                        "Ohne Schalen/nur durchgehende Lagen": string;
                        Zweischalig: string;
                        "Zweischalig mit Binderlagen": string;
                        Sonstiges: string;
                    };
                };
                "Architecture-brickwork-Abbircella": {
                    values: {
                        Binderverband: string;
                        Blockverband: string;
                        "Fl\u00E4mischer Verband": string;
                        "Holl\u00E4ndischer Verband": string;
                        Kreuzverband: string;
                        Läuferverband: string;
                        "M\u00E4rkischer Verband": string;
                        Sonstiges: string;
                    };
                };
                "Architecture-blockTreatment-Abbircella": {
                    values: {
                        Bossiert: string;
                        Unbehauen: string;
                        "Grob behauen": string;
                        Behauen: string;
                        Gemischt: string;
                        "Bearbeitete Oberfl\u00E4che": string;
                        "Polierte Oberfl\u00E4che": string;
                    };
                };
                "Architecture-blockProcessing-Abbircella": {
                    values: {
                        Bruchsteine: string;
                        Hausteine: string;
                        Lesesteine: string;
                        Werksteine: string;
                        Sonstiges: string;
                    };
                };
                "Architecture-mortarBinder-Abbircella": {
                    values: {
                        Dominant: string;
                        Gering: string;
                        Hoch: string;
                        Mittel: string;
                    };
                };
                "Architecture-mortarConsistency-Abbircella": {
                    values: {
                        Brüchig: string;
                        "Erdig/lehmig": string;
                        Fest: string;
                        Hart: string;
                        Locker: string;
                        Mittelfein: string;
                        Pulverig: string;
                        Sandig: string;
                    };
                };
                "Architecture-condition-Abbircella": {
                    values: {
                        "Sehr gut": string;
                        Gut: string;
                        Mittel: string;
                        Schlecht: string;
                        "Sehr schlecht": string;
                    };
                };
                "Architecture-conditionAmount-Abbircella": {
                    values: {
                        Fragmentarisch: string;
                        "Teilweise erhalten": string;
                        Vollständig: string;
                        Zerstört: string;
                        Restauriert: string;
                    };
                };
                "Floor-floorClassification-Abbircella": {
                    values: {
                        Stampflehm: string;
                        Pflaster: string;
                        Ziegel: string;
                        "Opus alexandrinum": string;
                        "Opus barbaricum": string;
                        "Opus musivum (tesserae)": string;
                        Kieselmosaik: string;
                        "Opus scutulatum": string;
                        "Opus sectile": string;
                        "Opus segmentatum": string;
                        "Opus signinum (cocciopesto)": string;
                        "Opus spicatum": string;
                        "Opus tessellatum": string;
                        "Opus vermiculatum": string;
                        Mörtelfußboden: string;
                        Sonstiges: string;
                    };
                };
                "Wall_surface-wallOrientation-Abbircella": {
                    values: {
                        Norden: string;
                        Nordost: string;
                        Nordwest: string;
                        Osten: string;
                        Süden: string;
                        Südost: string;
                        Südwest: string;
                        Westen: string;
                    };
                };
                "PlasterFragment-plasterComponents-Abbircella": {
                    values: {
                        Feinsand: string;
                        Grus: string;
                        Sand: string;
                        Sonstiges: string;
                    };
                };
                "Architecture-buildingTechnique-Abbircella": {
                    values: {
                        "Ungebrannte oder gebrannte Ziegel": string;
                        "Opus craticium": string;
                        Flechtwerk: string;
                        "Unregelm\u00E4\u00DFige unbearbeitete Steine oder Kiesel": string;
                        Quadersteine: string;
                        Beton: string;
                        "Opus caementicium": string;
                        Sonstiges: string;
                    };
                };
                "Architecture-walling-Abbircella": {
                    values: {
                        "Opus siliceum (polygonal)": string;
                        "Opus quadratum": string;
                        "Opus caementicium": string;
                        "Opus incertum": string;
                        "Opus quasi reticulatum": string;
                        "Opus reticulatum": string;
                        "Opus spicatum": string;
                        "Opus mixtum": string;
                        "Opus testaceum/latericium (Dachziegel, Ziegel oder dreieckige Ziegel)": string;
                        "Opus signinum (cocciopesto)": string;
                        "Opus africanum": string;
                        "Opus vittatum/listatum (Ziegel und kleine Tuffsteine)": string;
                        Sonstiges: string;
                    };
                };
                "Wall_surface-constructionDetails-Abbircella": {
                    values: {
                        Abflussöffnung: string;
                        Angelloch: string;
                        Balkenloch: string;
                        Bleirohr: string;
                        "Durchgang/T\u00FCr": string;
                        Entlastungsbogen: string;
                        Fallrohr: string;
                        Fenster: string;
                        Fontäne: string;
                        Halbsäule: string;
                        Laibung: string;
                        Nische: string;
                        Regalloch: string;
                        Riegelloch: string;
                        "Sonstiges Loch": string;
                        Sturzauflager: string;
                    };
                };
                "Find-storagePlace-Abbircella": {
                    values: {
                        Unbekannt: string;
                    };
                };
                "Sample-sampleMaterial-Abbircella": {
                    values: {
                        Holzkohle: string;
                        Mörtel: string;
                        Bodenprobe: string;
                        Holz: string;
                        Stein: string;
                        Keramik: string;
                        Putz: string;
                        Sonstiges: string;
                    };
                };
                "Sample-sampleType-Abbircella": {
                    values: {
                        Bodenprobe: string;
                        "C14-Analyse": string;
                        Dendroprobe: string;
                        Hammerschlagsprobe: string;
                        Phosphatanalyse: string;
                        Pollenanalyse: string;
                    };
                };
                "orientation-Abbircella": {
                    values: {
                        "N-S": string;
                        "NNO-SSW": string;
                        "NNW-SSO": string;
                        "NO-SW": string;
                        "NW-SO": string;
                        "W-O": string;
                        "WNW-OSO": string;
                        "WSW-ONO": string;
                    };
                };
                "Survey-researchMethod-Abbircella": {
                    values: {
                        Befliegung: string;
                        Begehung: string;
                        Geoelektrik: string;
                        Geomagnetik: string;
                        Georadar: string;
                        LIDAR: string;
                        "Luft- oder Satellitenbilder": string;
                        Quadratisch: string;
                        Regelmäßig: string;
                        Seismik: string;
                    };
                };
                "Building-buildingCategory-Abbircella": {
                    values: {
                        Altar: string;
                        Amphitheater: string;
                        Basilika: string;
                        Bogen: string;
                        Brücke: string;
                        Circus: string;
                        Grabmonument: string;
                        Gymnasion: string;
                        Mauerkurtine: string;
                        Nymphäum: string;
                        Odeion: string;
                        "Stra\u00DFe (innerhalb einer Siedlung)": string;
                        "Stra\u00DFe (au\u00DFerhalb einer Siedlung)": string;
                        Stützmauer: string;
                        Säulenhalle: string;
                        Tempel: string;
                        Theater: string;
                        Therme: string;
                        Toranlage: string;
                        Turm: string;
                        Wohnbau: string;
                        Sonstiges: string;
                        Unbestimmt: string;
                    };
                };
                "Inscription-objectType-Abbircella": {
                    values: {
                        "Allt\u00E4glicher Gebrauch": string;
                        Bauinschrift: string;
                        Ehreninschrift: string;
                        "Grabinschrift (Inschrift im Grabkontext)": string;
                        "Private Ausstattung": string;
                        "Sakrale Ausstattung": string;
                        "Unsicher bzw. unbestimmbar": string;
                        Urkunde: string;
                        Wasserversorgung: string;
                        Weihinschrift: string;
                        "\u00D6ffentliche Ausstattung": string;
                    };
                };
                "Place-siteClassification-Postumii": {
                    values: {
                        Siedlung: string;
                        "Baukomplex ": string;
                        "Einzelnes Bauwerk": string;
                        Bestattungsplatz: string;
                        Produktionsplatz: string;
                        Kultstätte: string;
                        "Landwirtschaftliche Nutzfl\u00E4che": string;
                        Naturraum: string;
                    };
                    description: string;
                };
                "Layer-layerClassification-Postumii": {
                    values: {
                        Ackerkrume: string;
                        Planierschicht: string;
                        Auffüllung: string;
                        Ablagerung: string;
                        Alluvialboden: string;
                        Nutzungshorizont: string;
                        Deponierung: string;
                        Laufhorizont: string;
                        Versturz: string;
                        Brandschicht: string;
                        Grube: string;
                        Fundamentgraben: string;
                        Zerstörungshorizont: string;
                        Raubgraben: string;
                        Pfostenloch: string;
                        "Geologisch gewachsener Boden": string;
                    };
                    description: string;
                };
                "Layer-colors-Postumii-1": {
                    values: {
                        braun: string;
                        gelbbraun: string;
                        graubraun: string;
                        rotbraun: string;
                        schwarzbraun: string;
                        beige: string;
                        ocker: string;
                        gelb: string;
                        grau: string;
                        blaugrau: string;
                        rot: string;
                        orange: string;
                        rosa: string;
                        violett: string;
                        blau: string;
                        grün: string;
                        schwarz: string;
                        weiß: string;
                    };
                    description: string;
                };
                "colorsLightness-Postumii-1": {
                    values: {
                        hell: string;
                        mittel: string;
                        dunkel: string;
                    };
                    description: string;
                };
                "Layer-soilType-Postumii-1": {
                    values: {
                        Sand: string;
                        Schluff: string;
                        Lehm: string;
                        Humus: string;
                        Kalk: string;
                        Kalkstein: string;
                        Sandstein: string;
                        Mergel: string;
                        Vulkangestein: string;
                        Kiesel: string;
                        Asche: string;
                        Schlick: string;
                        Organisches: string;
                    };
                    description: string;
                };
                "Layer-findComposition-Postumii": {
                    values: {
                        Lehmstein: string;
                        Dachziegel: string;
                        Keramik: string;
                        Metall: string;
                        Münzen: string;
                        Glas: string;
                        Knochen: string;
                        Holzkohle: string;
                        Schlacke: string;
                        Mollusken: string;
                        Hüttenlehm: string;
                        Verputz: string;
                    };
                    description: string;
                };
                "Layer-consistency-Postumii-1": {
                    values: {
                        locker: string;
                        porös: string;
                        fest: string;
                        kompakt: string;
                        zäh: string;
                        hart: string;
                    };
                    description: string;
                };
                "Feature-featureBorders-Postumii": {
                    values: {
                        "Nach oben: deutlich": string;
                        "Nach oben: diffus": string;
                        "Nach oben: willk\u00FCrlich": string;
                        "Nach unten: deutlich": string;
                        "Nach unten: diffus": string;
                        "Nach unten: willk\u00FCrlich": string;
                        "In der Fl\u00E4che: deutlich": string;
                        "In der Fl\u00E4che: diffus": string;
                        "In der Fl\u00E4che: willk\u00FCrlich": string;
                    };
                    description: string;
                };
                "Feature-featureForm-Postumii": {
                    values: {
                        eckig: string;
                        rund: string;
                        formlos: string;
                    };
                    description: string;
                };
                "Layer-distinguishingCriteria-Postumii": {
                    values: {
                        Farbe: string;
                        Form: string;
                        Konsistenz: string;
                        Zusammensetzung: string;
                    };
                };
                "periods-Postumii-1": {
                    values: {
                        "Fr\u00FChbronzezeitlich ": string;
                        Bronzezeitlich: string;
                        Eisenzeitlich: string;
                        Archaisch: string;
                        Spätarchaisch: string;
                        Klassisch: string;
                        Spätklassisch: string;
                        Frühhellenistisch: string;
                        Hellenistisch: string;
                        Frühkorinthisch: string;
                        Mittelkorinthisch: string;
                        Spätkorinthisch: string;
                        Republikanisch: string;
                        Kaiserzeitlich: string;
                        Spätkaiserzeitlich: string;
                        Byzantinisch: string;
                        Arabisch: string;
                        Normannisch: string;
                        Staufisch: string;
                        Rezent: string;
                    };
                };
                "Architecture-architectureClassification-Postumii": {
                    values: {
                        Mauer: string;
                        Fundament: string;
                        Schwelle: string;
                        Steinsetzung: string;
                        Fußboden: string;
                        "Podium, Bank": string;
                        Treppe: string;
                        "Ofen, Herdstelle": string;
                        Becken: string;
                        "Kanal, Leitung": string;
                        Latrine: string;
                        Brunnen: string;
                        Zisterne: string;
                        Straße: string;
                        Säule: string;
                        Pfeiler: string;
                    };
                };
                "Architecture-architectureMaterial-Postumii": {
                    values: {
                        Kalkstein: string;
                        Marmor: string;
                        Vulkangestein: string;
                        Sandstein: string;
                        Granit: string;
                        Kiesel: string;
                        "Anstehender Fels": string;
                        "Anderer Stein": string;
                        Spolien: string;
                        "Gebrannte Ziegel": string;
                        "Ungebrannte Lehmsteine": string;
                        Dachziegel: string;
                        Lehm: string;
                        Holz: string;
                        Keramik: string;
                        Zement: string;
                    };
                };
                "Architecture-brickwork-Postumii": {
                    values: {
                        "Regelloser Verband": string;
                        "Reiner L\u00E4uferverband": string;
                        "Reiner Binderverband": string;
                        "L\u00E4ufer-Binder Verband": string;
                        "Opus africanum": string;
                    };
                };
                "Architecture-construction-Postumii": {
                    values: {
                        "einschalig freistehend": string;
                        "einschalig vor Hang": string;
                        zweischalig: string;
                        "zweischalig mit Kern": string;
                        "zweischalig mit Binderlagen": string;
                    };
                    description: string;
                };
                "Architecture-masonry-Postumii": {
                    values: {
                        Bruchsteinmauerwerk: string;
                        Polygonalmauerwerk: string;
                        Quadermauerwerk: string;
                        Trapezoidalmauerwerk: string;
                        "Ziegelmauerwerk gebrannt": string;
                        "Ziegelmauerwerk getrocknet": string;
                        Stampflehm: string;
                        Gussmauerwerk: string;
                        Mischform: string;
                        Anderes: string;
                    };
                    description: string;
                };
                "Architecture-masonryJoint-Postumii": {
                    values: {
                        Trocken: string;
                        Klammern: string;
                        Erdmörtel: string;
                        Kalkmörtel: string;
                        Ziegelmauerwerk: string;
                        Zement: string;
                        Lehm: string;
                        Mischtechnik: string;
                    };
                    description: string;
                };
                "Architecture-masonryLayerType-Postumii": {
                    values: {
                        Isodom: string;
                        Pseudoisodom: string;
                        Unregelmäßig: string;
                    };
                    description: string;
                };
                "Architecture-masonryCoating-Postumii": {
                    values: {
                        Verputz: string;
                        Bemalung: string;
                    };
                    description: string;
                };
                "Pottery-vesselForm-Postumii": {
                    values: {
                        Alabastron: string;
                        Amphora: string;
                        Aryballos: string;
                        Askos: string;
                        Becher: string;
                        Becken: string;
                        Chytra: string;
                        "Cup-skyphos": string;
                        Deckel: string;
                        Dinos: string;
                        Exaleiptron: string;
                        Flasche: string;
                        Hydria: string;
                        Kanne: string;
                        Kantharos: string;
                        Kasserolle: string;
                        Kochtopf: string;
                        Kotyle: string;
                        Krater: string;
                        Krateriskos: string;
                        Krug: string;
                        Kylix: string;
                        Lekythos: string;
                        Lekanis: string;
                        Louterion: string;
                        Loutrophore: string;
                        Lopas: string;
                        Lydion: string;
                        Napf: string;
                        Oinochoe: string;
                        Olpe: string;
                        Pfanne: string;
                        Phiale: string;
                        Pithos: string;
                        Pyxis: string;
                        Rython: string;
                        Schale: string;
                        Schalenskyphos: string;
                        Schüssel: string;
                        Sieb: string;
                        Skyphos: string;
                        Stamnos: string;
                        Tasse: string;
                        Teller: string;
                        Unguentarium: string;
                        "Offenes Gef\u00E4\u00DF": string;
                        "Geschlossenes Gef\u00E4\u00DF": string;
                        Sonstiges: string;
                        Unbestimmt: string;
                    };
                };
                "Layer-contentPotteryOrigin-Postumii": {
                    values: {
                        Lokal: string;
                        Indigen: string;
                        Regional: string;
                        Unteritalisch: string;
                        Attisch: string;
                        Etruskisch: string;
                        Korinthisch: string;
                        Lakonisch: string;
                        Ostgriechisch: string;
                        "Ph\u00F6nizisch/Punisch": string;
                        Anderes: string;
                    };
                };
                "Layer-contentPotteryShape-Postumii": {
                    values: {
                        Alabastron: string;
                        Amphora: string;
                        Aryballos: string;
                        Askos: string;
                        Exaleiptron: string;
                        Hydria: string;
                        Kanne: string;
                        Kantharos: string;
                        Kotyle: string;
                        Krater: string;
                        Kylix: string;
                        Lekythos: string;
                        Lekanis: string;
                        Pithos: string;
                        Pyxis: string;
                        Schale: string;
                        Schüssel: string;
                        Skyphos: string;
                        Stamnos: string;
                        Tasse: string;
                        Teller: string;
                        Topf: string;
                        Unguentarium: string;
                        "Miniatur Keramik": string;
                        Anderes: string;
                    };
                };
                "Pottery-coat-Postumii": {
                    values: {
                        Schwarzfirnis: string;
                        "Red slip": string;
                        Relief: string;
                        Glasur: string;
                        Tongrundig: string;
                        Anderes: string;
                    };
                };
                "Layer-contentPotteryDecoration-Postumii": {
                    values: {
                        Stempeldekor: string;
                        Figürlich: string;
                        Unfigürlich: string;
                        Banddekor: string;
                        Pflanzendekor: string;
                        Ritzlinien: string;
                        Eingetaucht: string;
                        Bemalt: string;
                        Graffito: string;
                        "Aufschrift ": string;
                        Stempel: string;
                        Anderes: string;
                    };
                };
                "Layer-contentTerracotta-Postumii": {
                    values: {
                        Figuren: string;
                        Lampen: string;
                        Webgewichte: string;
                        Spielstein: string;
                        Anderes: string;
                    };
                };
                "Layer-contentInorganic-Postumii": {
                    values: {
                        Bronze: string;
                        Eisen: string;
                        Blei: string;
                        Schlacke: string;
                        Gold: string;
                        Silber: string;
                        Münzen: string;
                        "Stein bearbeitet": string;
                        "Stein fig\u00FCrlich": string;
                        Reibsteine: string;
                        Kiesel: string;
                        Glas: string;
                        Spielstein: string;
                        Anderes: string;
                    };
                };
                "Layer-contentOrganic-Postumii": {
                    values: {
                        "Knochen Tier": string;
                        "Knochen Mensch": string;
                        "Knochen bearbeitet": string;
                        Astragal: string;
                        Mollusken: string;
                        Holz: string;
                        Holzkohle: string;
                        Samen: string;
                        Elfenbein: string;
                        Perlen: string;
                        Spielstein: string;
                        Anderes: string;
                    };
                    description: string;
                };
                "Layer-contentBuildingMaterial-Postumii": {
                    values: {
                        Mörtel: string;
                        Verputz: string;
                        Architekturdekor: string;
                        Mosaiksteine: string;
                        Dachziegel: string;
                        "Lehmziegel gebrannt": string;
                        "Lehmstein ungebrannt": string;
                        Anderes: string;
                    };
                };
                "Layer-workflowOptions-Postumii": {
                    values: {
                        Gesiebt: string;
                        Geschlämmt: string;
                        Beprobt: string;
                        "Nicht gegraben": string;
                    };
                };
                "Pottery-miniatureVesselForm-Postumii": {
                    values: {
                        Kotyle: string;
                        Krateriskos: string;
                        Pyxis: string;
                        Lampe: string;
                        Anderes: string;
                    };
                };
                "Pottery-clayHardness-Postumii": {
                    values: {
                        weich: string;
                        hart: string;
                        "sehr hart": string;
                    };
                };
                "Pottery-clayDensity-Postumii": {
                    values: {
                        hoch: string;
                        niedrig: string;
                    };
                };
                "Pottery-manufacturingMethod-Postumii": {
                    values: {
                        "gedreht (auf Drehscheibe)": string;
                        handgeformt: string;
                        "in Form gepresst": string;
                    };
                };
                "Floor-floorClassification-Postumii": {
                    values: {
                        Estricht: string;
                        Cocciopesto: string;
                        Mosaik: string;
                        "Opus sectile": string;
                        "Opus signinum": string;
                        Steinboden: string;
                        Stampflehm: string;
                        Terrazzo: string;
                        Plattenboden: string;
                        Ziegelboden: string;
                        "verg\u00E4ngliches Material": string;
                        Anderes: string;
                    };
                };
                "Find-storagePlace-Postumii": {
                    values: {
                        Depot: string;
                        Museum: string;
                        "In situ": string;
                    };
                };
                "Pottery-coatQuality-Postumii": {
                    values: {
                        glänzend: string;
                        matt: string;
                        dicht: string;
                        dünn: string;
                        streifig: string;
                        abgerieben: string;
                    };
                };
                "Metal-metalMaterial-Postumii": {
                    values: {
                        Blei: string;
                        Bronze: string;
                        Eisen: string;
                        Silber: string;
                        Gold: string;
                        Unbestimmt: string;
                    };
                };
                "Metal-metalWeaponsArmor-Postumii": {
                    values: {
                        Helm: string;
                        Panzer: string;
                        Beinschiene: string;
                        Schild: string;
                        Pfeilspitze: string;
                        Lanzenspitze: string;
                        Speerspitze: string;
                        Lanzenschuh: string;
                        Schwert: string;
                        Unbestimmt: string;
                    };
                };
                "Metal-metalSchmuckTrachtbestandteile-Postumii": {
                    values: {
                        Gürtel: string;
                        Halsring: string;
                        "Armring / Beinring": string;
                        Ohrring: string;
                        Fingerring: string;
                        Anhänger: string;
                        Perle: string;
                        Kette: string;
                        Knopf: string;
                        Fibel: string;
                        Nadel: string;
                        Unbestimmt: string;
                    };
                };
                "Metal-metalVesselParts-Postumii": {
                    values: {
                        Dreifuß: string;
                        Situla: string;
                        Kessel: string;
                        Perlrandbecken: string;
                        "Henkel / Griff": string;
                        Attasche: string;
                        Standring: string;
                        Anderes: string;
                        Unbestimmt: string;
                    };
                };
                "Metal-metalToolsEquipment-Postumii": {
                    values: {
                        Beil: string;
                        Klinge: string;
                        Meißel: string;
                        Säge: string;
                        Hammer: string;
                        Punze: string;
                        Pfrieme: string;
                        Nadel: string;
                        Stichel: string;
                        Spaten: string;
                        Hacke: string;
                        Haken: string;
                        Bratspieß: string;
                        Toilettengerät: string;
                        Pinzette: string;
                        Sonde: string;
                        Kandelaber: string;
                        Lampe: string;
                        Gewicht: string;
                        Beschlag: string;
                        Nagel: string;
                        "sog. K\u00E4sereibe": string;
                        Anderes: string;
                        Unbestimmt: string;
                    };
                };
                "Metal-metalMiscellaneous-Postumii": {
                    values: {
                        Kugel: string;
                        Blech: string;
                        "Spirale / Spiralrolle": string;
                        Tülle: string;
                        Barren: string;
                        Stab: string;
                        "Guss- Werkstattabfall": string;
                        Schlacke: string;
                        Anderes: string;
                        Unbestimmt: string;
                    };
                };
                "Terracotta-decorationTechnique-Postumii": {
                    values: {
                        Bemalung: string;
                        Relief: string;
                        "Ritzung / Graffito": string;
                        Stempel: string;
                    };
                };
                "Terracotta-architecturalDecorationType-Postumii": {
                    values: {
                        Antifex: string;
                        Metope: string;
                        Kapitell: string;
                        Firstakroter: string;
                        Eckakroter: string;
                        Giebelskulptur: string;
                        Sima: string;
                        Fries: string;
                        Kassette: string;
                        Miniatursäule: string;
                        Wasserspeier: string;
                        Firstkalypter: string;
                        Wandverkleidung: string;
                        Traufziegel: string;
                        Anderes: string;
                        unbestimmt: string;
                    };
                };
                "Terracotta-toolType-Postumii": {
                    values: {
                        Platte: string;
                        Arula: string;
                        Gewicht: string;
                        Webgewicht: string;
                        Abstandhalter: string;
                        Stempel: string;
                        Lampe: string;
                        Louterion: string;
                        Louterionständer: string;
                        Pinax: string;
                        Sarkophag: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        Anderes: string;
                        unbestimmt: string;
                    };
                };
                "Terracotta-architecturalScupltureType-Postumii": {
                    values: {
                        "Figur/Statuette": string;
                        Matrize: string;
                        Miniaturmodell: string;
                        "gro\u00DFformatige Skulptur": string;
                        Anderes: string;
                        unbestimmt: string;
                    };
                };
                "Stone-color-Postumii": {
                    values: {
                        gelb: string;
                        grau: string;
                        ocker: string;
                        rot: string;
                        schwarz: string;
                        weiß: string;
                    };
                };
                "Stone-objectType-Postumii": {
                    values: {
                        Abschlag: string;
                        Altar: string;
                        Architekturdekor: string;
                        Basis: string;
                        Bauteil: string;
                        Becken: string;
                        Gefäß: string;
                        Gerät: string;
                        Gewicht: string;
                        Grabplatte: string;
                        Mobiliar: string;
                        Mörser: string;
                        "Plastik/Skulptur": string;
                        Reibstein: string;
                        Sarkophag: string;
                        Schmuck: string;
                        Spielstein: string;
                        Stele: string;
                        Tessera: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Webgewicht: string;
                        Werkzeug: string;
                    };
                };
                "Stone-architectureElement-Postumii": {
                    values: {
                        Quaderblock: string;
                        Basis: string;
                        Säule: string;
                        Säulentrommel: string;
                        Kapitell: string;
                        Architrav: string;
                        Soffitte: string;
                        Fries: string;
                        Metope: string;
                        Triglyphon: string;
                        Konsole: string;
                        Gesims: string;
                        Sima: string;
                        Akroter: string;
                        Pfeiler: string;
                        Pilaster: string;
                        Ante: string;
                        Türgewände: string;
                        Fensterlaibung: string;
                        "T\u00FCr-/Fenstersturz": string;
                        Schwelle: string;
                        Bogenstein: string;
                        Schranke: string;
                        Bodenbelag: string;
                        Wandverkleidung: string;
                        Profilstück: string;
                    };
                };
                "Stone-material-Postumii": {
                    values: {
                        Andesit: string;
                        Basalt: string;
                        Feldspat: string;
                        Flint: string;
                        Glimmer: string;
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kieselstein: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Sinter: string;
                        "Silex/Flint": string;
                        Trachyt: string;
                        Tuff: string;
                    };
                };
                "Stone-decoration-Postumii": {
                    values: {
                        Relief: string;
                        Graffito: string;
                        Inschrift: string;
                        Steinmetzzeichen: string;
                        Anderes: string;
                    };
                };
                "Coin-provenance-Postumii": {
                    values: {
                        Athen: string;
                        Griechenland: string;
                        Kleinasien: string;
                        Italien: string;
                        Sizilien: string;
                        Karthago: string;
                        Kampanien: string;
                        Apulien: string;
                        Lukanien: string;
                        Bruttium: string;
                        Kalabrien: string;
                        Nordafrika: string;
                        Anderes: string;
                    };
                };
                "Coin-mint-Postumii": {
                    values: {
                        Abakainon: string;
                        Adranon: string;
                        Aetna: string;
                        Agyrion: string;
                        Akragas: string;
                        Akrai: string;
                        Alaisa: string;
                        Alontion: string;
                        Ameselon: string;
                        Assorus: string;
                        Cossura: string;
                        Enna: string;
                        Entella: string;
                        Eryx: string;
                        Gela: string;
                        Herbessos: string;
                        Himera: string;
                        Halikarnassos: string;
                        Harran: string;
                        Hipana: string;
                        Iaetia: string;
                        Kalacte: string;
                        Kamarina: string;
                        Katane: string;
                        Kentoripai: string;
                        Kephaloidion: string;
                        Leontini: string;
                        Lilybaion: string;
                        Lipara: string;
                        Longane: string;
                        Melita: string;
                        Messana: string;
                        "Messana \u2013 Mamertini": string;
                        Morgantina: string;
                        Motya: string;
                        Nakona: string;
                        Naxos: string;
                        Panormos: string;
                        Piakos: string;
                        "Punisch unspezifisch": string;
                        Segesta: string;
                        Selinus: string;
                        Solus: string;
                        Syrakus: string;
                        Tauromenion: string;
                        "Thermae Himerenses": string;
                        Tyndaris: string;
                        Anderes: string;
                    };
                };
                "Coin-denomination-Postumii": {
                    values: {
                        Drachme: string;
                        Didrachme: string;
                        Tetradrachme: string;
                        Dekadrachme: string;
                        Hemidrachme: string;
                        Stater: string;
                        Hemistater: string;
                        Tetarte: string;
                        Obol: string;
                        Hemiobol: string;
                        "Aes grave": string;
                        Unbestimmbar: string;
                    };
                };
                "Coin-mintingRuler-Postumii": {
                    values: {
                        Deinomeniden: string;
                        "Gelon II": string;
                        "1. Demokratie": string;
                        "2. Demokratie": string;
                        "3. Demokratie": string;
                        "4. Demokratie": string;
                        "5. Demokratie": string;
                        "Dionysios I": string;
                        "Dionysios II": string;
                        Timoleon: string;
                        Agathokles: string;
                        Dion: string;
                        Hiketas: string;
                        "Hieron II": string;
                        Pyhrrus: string;
                        Hieronymos: string;
                        Philistis: string;
                        Sikeliotes: string;
                        Mamertini: string;
                        Tyrrhenoi: string;
                        Unklar: string;
                    };
                };
                "Pottery-FineWare-Provenance-Postumii": {
                    values: {
                        Attisch: string;
                        Korinthisch: string;
                        Ionisch: string;
                        Punisch: string;
                        Megarisch: string;
                        Etruskisch: string;
                        Regional: string;
                        Lokal: string;
                        Indigen: string;
                        "Firnisware unklarer Herkunft": string;
                        "Anderes unklarer Herkunft": string;
                    };
                    description: string;
                };
                "Pottery-Amphorae-Provenance-Postumii": {
                    values: {
                        "Westgriechisch ": string;
                        MGS: string;
                        "Ionisch-adriatisch": string;
                        Attisch: string;
                        Korinthisch: string;
                        Nordägäisch: string;
                        Chiotisch: string;
                        Phönizisch: string;
                        Punisch: string;
                        Massaliotisch: string;
                        Lokal: string;
                        "Anderes unklarer Herkunft": string;
                    };
                    description: string;
                };
                "Pottery-CoarseWare-Function-Postumii": {
                    values: {
                        Kochware: string;
                        Tafelgeschirr: string;
                        "Gro\u00DFe Beh\u00E4lter": string;
                        "Anderes, Unbekannt": string;
                    };
                    description: string;
                };
                "Terracotta-Collection-Postumii": {
                    values: {
                        Figürlich: string;
                        Lampen: string;
                        Louteria: string;
                        Arulae: string;
                        Gewicht: string;
                        "Gebrauchsgegenst\u00E4nde varia": string;
                        Sarkophag: string;
                        "Anderes, Unbekannt": string;
                    };
                    description: string;
                };
                "BuildingMaterial-Collection-Postumii": {
                    values: {
                        "Bauteile aus Stein": string;
                        Baudekoration: string;
                        Dachziegel: string;
                        Dachterrakotten: string;
                        Lehmsteine: string;
                        Hüttenlehm: string;
                        Wandverputz: string;
                        Bodenbelag: string;
                        Mosaiksteine: string;
                        "Anderes, Unbekannt": string;
                    };
                    description: string;
                };
                "Stone-Collection-Postumii": {
                    values: {
                        Figürlich: string;
                        Gebrauchsgegenstände: string;
                        Kiesel: string;
                        Marmor: string;
                        Flint: string;
                        "Anderes, Unbekannt": string;
                    };
                    description: string;
                };
                "MetalAndGlas-Collection-Postumii": {
                    values: {
                        Münzen: string;
                        Glas: string;
                        Bronzeobjekte: string;
                        Eisenobjekte: string;
                        Silberobjekte: string;
                        Bleiobjekte: string;
                        Goldobjekte: string;
                        Schlacken: string;
                        "Anderes, Unbekannt": string;
                    };
                    description: string;
                };
                "OrganicMaterial-Collection-Postumii": {
                    values: {
                        Knochen: string;
                        Zähne: string;
                        Horn: string;
                        Mollusken: string;
                        Holz: string;
                        Holzkohle: string;
                        Textilien: string;
                        LEder: string;
                        "Anderes, Unbekannt": string;
                        Astragal: string;
                    };
                    description: string;
                };
                "Photo-imageSubject-olympia": {
                    values: {
                        Arbeitsfoto: string;
                        Fund: string;
                        Fauna: string;
                        Flora: string;
                        Multifund: string;
                        Personen: string;
                        Planum: string;
                        Probe: string;
                        Profil: string;
                        Schnitt: string;
                        "Schnitt mit Fund": string;
                        Übersicht: string;
                        Unklar: string;
                        WrongPhoto: string;
                    };
                };
                "Drawing-drawingType-olympia": {
                    values: {
                        Skizze: string;
                        Vektorzeichnung: string;
                        Originalzeichnung: string;
                    };
                };
                "Coin-metalMaterial-olympia": {
                    values: {
                        Blei: string;
                        Bronze: string;
                        Eisen: string;
                        Gold: string;
                        Kupfer: string;
                        Silber: string;
                        Unkenntlich: string;
                        Aes: string;
                    };
                };
                "Coin-manufacturingMethod-olympia": {
                    values: {
                        Gegossen: string;
                        Geprägt: string;
                        Plattiert: string;
                        Versilbert: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Helmet-objectTypeSpecific-olympia": {
                    values: {
                        "Assyrischer Helm": string;
                        "Chalkidischer Helm": string;
                        "Illyrischer Helm": string;
                        "Korinthischer Helm": string;
                        "Kretischer Helm": string;
                        "Negauer Helm": string;
                        Kammhelm: string;
                        Kegelhelm: string;
                        "Mehrteiliger Helm": string;
                    };
                };
                "Find-storagePlace-Olympia": {
                    values: {
                        "Olympia, Museum": string;
                        "Olympia, Fundmagazin": string;
                        "Olympia, Bronzemagazin": string;
                        "Olympia, Magazin 5": string;
                        "Athen, Nationalmuseum": string;
                        "Berlin, Staatliche Museen": string;
                        "Fund verloren": string;
                    };
                };
                "Find-storagePlaceOld-Olympia": {
                    values: {
                        "Konstantinos Demetriades": string;
                        "Olympia, Magazin": string;
                        "Olympia, Pyrosti\u00E1": string;
                        "Olympia, Pyrosti\u00E1 II": string;
                        "Olympia, Siderosti\u00E1": string;
                        "Olympia, Siderosti\u00E1 II": string;
                        "Olympia, Siderosti\u00E1 III": string;
                        "am Fundort": string;
                    };
                };
                "roofElement-material-standard": {
                    values: {
                        Ton: string;
                        Stein: string;
                        Marmor: string;
                    };
                };
                "roofElementType-standard": {
                    values: {
                        Akroterion: string;
                        Overtile: string;
                        Undertile: string;
                        OverAndUndertile: string;
                        Revetment: string;
                        GeisonRevetment: string;
                        Sima: string;
                    };
                };
                "roofElementTypeSpecific-standard": {
                    values: {
                        "value 01": string;
                        "value 02": string;
                    };
                };
                "roofElementPosition-standard": {
                    values: {
                        Eave: string;
                        Hip: string;
                        Ridge: string;
                        Slope: string;
                        Valley: string;
                        Gable: string;
                        "Gable-Horizontal": string;
                        "Gable-Rake": string;
                        "Gable-Tympanum": string;
                        EaveAndHip: string;
                        EaveAndGable: string;
                        EaveAndValley: string;
                        RidgeAndGable: string;
                        RidgeAndHip: string;
                    };
                };
                "roofElementFindContext-standard": {
                    values: {
                        Burial: string;
                        BuildingNoRoof: string;
                        RoofCollapse: string;
                        ProductionWaste: string;
                        IsolatedFind: string;
                        Other: string;
                        Undefined: string;
                    };
                };
                "roofElementProperties-standard": {
                    values: {
                        hasCornerTopLeft: string;
                        hasCornerTopRight: string;
                        hasCornerBottomLeft: string;
                        hasCornerBottomRight: string;
                        hasEdgeTop: string;
                        hasEdgeBottom: string;
                        hasEdgeLeft: string;
                        hasEdgeRight: string;
                        hasBody: string;
                        hasSupportiveFeatures: string;
                        hasSpecialFeatures: string;
                    };
                };
                "roofingSystem-olympia": {
                    values: {
                        "Korinthisches Dach": string;
                        "Lakonisches Dach": string;
                        Rankendach: string;
                        "Westgriechisches Dach": string;
                        "Sp\u00E4tes Dach": string;
                        "Besonderes Dach": string;
                        unklar: string;
                    };
                };
                "vaguenessOfGeometry-olympia": {
                    values: {
                        "0 well documented": string;
                        "1 documented": string;
                        "2 sketched": string;
                        "3 educated guess": string;
                        "4 guess": string;
                        "5 speculation": string;
                    };
                };
                "roofElementWorkflowSteps-olympia": {
                    values: {
                        step01: string;
                        step02: string;
                        step03: string;
                        step04: string;
                        step05: string;
                    };
                };
                "Inscription-ivoCategory-olympia": {
                    values: {
                        "I.1": string;
                        "I.2": string;
                        "I.3": string;
                        II: string;
                        III: string;
                        IV: string;
                        V: string;
                        VI: string;
                        VII: string;
                        VIII: string;
                        IX: string;
                        X: string;
                        XI: string;
                        XII: string;
                        XIII: string;
                        Nachträge: string;
                    };
                };
                "Inscription-objectType-olympia": {
                    values: {
                        "Allt\u00E4glicher Gebrauch": string;
                        Bauinschrift: string;
                        Ehreninschrift: string;
                        Grabinschrift: string;
                        Graffito: string;
                        Künstlersignatur: string;
                        "Private Ausstattung": string;
                        "Sakrale Ausstattung": string;
                        Sakralinschrift: string;
                        Siegerinschrift: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Urkunde: string;
                        Versatzmarke: string;
                        Wasserversorgung: string;
                        Weihinschrift: string;
                        Ziegelstempel: string;
                    };
                };
                "Metal-objectTypeGeneral-olympia": {
                    values: {
                        Schmuck: string;
                        Gerät: string;
                        Produktionsabfall: string;
                        Skulptur: string;
                        "Waffe/R\u00FCstung": string;
                        unbestimmbar: string;
                    };
                };
                "Metal-objectType-olympia": {
                    values: {
                        Anhänger: string;
                        Armreif: string;
                        Band: string;
                        Barren: string;
                        Beschlag: string;
                        Blech: string;
                        Einlage: string;
                        Fibel: string;
                        Gefäß: string;
                        Gerät: string;
                        Gewicht: string;
                        Glocke: string;
                        Gussform: string;
                        Gusszapfen: string;
                        Halbfabrikat: string;
                        Helm: string;
                        Kandelaber: string;
                        Kette: string;
                        Klinge: string;
                        Knopf: string;
                        Lampe: string;
                        Lanzenspitze: string;
                        Löffel: string;
                        Meissel: string;
                        Messer: string;
                        Mobiliar: string;
                        Nadel: string;
                        Nagel: string;
                        Obelos: string;
                        Perle: string;
                        Pfeilspitze: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Projektil: string;
                        Reibe: string;
                        Ring: string;
                        Ringbarren: string;
                        Rührstab: string;
                        Sarkophag: string;
                        Schild: string;
                        Schlacke: string;
                        Schlüssel: string;
                        Schmiedeabfall: string;
                        Schmuck: string;
                        Schnalle: string;
                        Schreibgerät: string;
                        Sichel: string;
                        Siegel: string;
                        Speerspitze: string;
                        Spiegel: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        Stabbarren: string;
                        Strigilis: string;
                        Türschloss: string;
                        unbestimmbar: string;
                        Waffe: string;
                        Wasserleitung: string;
                        Weinheber: string;
                        Werkzeug: string;
                        Zierbeschlag: string;
                    };
                };
                "Metal-metalMaterial-olympia": {
                    values: {
                        Bronze: string;
                        Eisen: string;
                        Blei: string;
                        Silber: string;
                        Unklar: string;
                        Gold: string;
                        Aluminium: string;
                        Kupfer: string;
                        Messing: string;
                        Stahl: string;
                        Zink: string;
                        Zinn: string;
                    };
                };
                "Stone-material-olympia": {
                    values: {
                        Kalkstein: string;
                        Konglomerat: string;
                        Marmor: string;
                        Muschelkalk: string;
                        Sandstein: string;
                    };
                };
                "provenance-bourgou": {
                    values: {
                        Ägypten: string;
                        Adria: string;
                        Attika: string;
                        Baetika: string;
                        Byzacena: string;
                        Gallien: string;
                        Ionien: string;
                        Italien: string;
                        Kampanien: string;
                        Kalabrien: string;
                        Etrurien: string;
                        Karthago: string;
                        Kleinasien: string;
                        Korinth: string;
                        Levante: string;
                        Lusitanien: string;
                        lokal: string;
                        Malta: string;
                        Nordafrika: string;
                        Tarraconensis: string;
                        regional: string;
                        "lokal/regional": string;
                        Rhodos: string;
                        Sardinien: string;
                        Sizilien: string;
                        Spanien: string;
                        Tripolitanien: string;
                        Tunesien: string;
                        Nordtunesien: string;
                        Südtunesien: string;
                        Zentraltunesien: string;
                        Südgallien: string;
                        Ostmittelmeerraum: string;
                        Ägäis: string;
                        Westgriechenland: string;
                        Zypern: string;
                    };
                };
                "periods-bourgou": {
                    values: {
                        "Vorr\u00F6misch I. ca. 500 - 146 v. Chr. (punisch)": string;
                        "Vorr\u00F6misch II. 146 - 31 v. Chr. (neopunisch)": string;
                        "Fr\u00FChe Kaiserzeit. 31 v. Chr. - 69 n. Chr. (augusteisch / iulisch-claudisch)": string;
                        "Mittlere Kaiserzeit I. ca. 69 - 117 n. Chr. (flavisch - trajanisch)": string;
                        "Mittlere Kaiserzeit II. 117 - 235 n. Chr. (hadrianisch - severisch)": string;
                        "Sp\u00E4te Kaiserzeit. 235 - 306 n. Chr. (Soldatenkaiser - tetrarchisch)": string;
                        "Sp\u00E4tantike I.  306 - 530 n. Chr. (konstantinisch - vandalisch)": string;
                        "Sp\u00E4tantike II. 530 - 698 n. Chr. (byzantinisch)": string;
                        "Phase 1": string;
                        "Phase 2": string;
                        "Phase 3": string;
                        "Phase 4": string;
                        "Phase 5": string;
                        "Phase 6": string;
                        "Phase 7": string;
                        "Phase 8": string;
                        "Phase 9": string;
                        "Phase 10": string;
                    };
                };
                "Brick-decorationTechnique-bourgou": {
                    values: {
                        Flechtwerkabdruck: string;
                        Fingerabdruck: string;
                        Barbotin: string;
                        Kammritzung: string;
                        Rädchenverzierung: string;
                        Ratterdekor: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        "Sonstige Abdr\u00FCcke": string;
                        Stempel: string;
                    };
                };
                "Pottery-specificType-bourgou": {
                    values: {
                        "Geschl. Gef\u00E4\u00DF": string;
                        "Offenes Gef\u00E4\u00DF": string;
                        Boden: string;
                        Amphora: string;
                        Schüssel: string;
                        Schale: string;
                        Flasche: string;
                        Kasserolle: string;
                        Napf: string;
                        Deckel: string;
                        "Krug/Kanne": string;
                        Vorratsgefäß: string;
                        Kohlebecken: string;
                        Topf: string;
                        Mortaria: string;
                        "Teller/Pfanne": string;
                        Tajine: string;
                    };
                    description: string;
                };
                "Pottery-materialType-bourgou": {
                    values: {
                        "Afrikanische Sigillata (ARS)": string;
                        "Afrik. Schwarzfirnis": string;
                        "Afrik. Schwarzfirnis pun.": string;
                        Dünnwandkeramik: string;
                        "S\u00FCdgallische Sigillata": string;
                        "Italische Sigillata": string;
                        "Eastern Sigillata A (ESA)": string;
                        "Campana A": string;
                        "Campana B": string;
                        "Campana B-O": string;
                        "Campana C": string;
                        "Attische Feinkeramik": string;
                        "Freigeformte Ware": string;
                        "Calcitic Ware": string;
                        "Korbgeformte Ware": string;
                        "Freigeformte Ware ital.": string;
                        "Freigeformte Ware pantel.": string;
                        "Freigeformte Ware div.": string;
                        "Afrikanische Schlichte Ware": string;
                        "Afrik. Schlichte Ware eisenztl.": string;
                        "Afrik. Schlichte Ware pun.": string;
                        "Afrik. Schlichte Ware trip.": string;
                        "Schlichte Ware ital.": string;
                        "Schlichte Ware lev.": string;
                        "Schlichte Ware ion.": string;
                        "Schlichte Ware div.": string;
                        "Afrikanische K\u00FCchenware": string;
                        "Afrik. K\u00FCchenware trip.": string;
                        "Afrik. K\u00FCchenware pun.": string;
                        "K\u00FCchenware ital.": string;
                        "K\u00FCchenware ion.": string;
                        "K\u00FCchenware div.": string;
                        "Amphora div.": string;
                        "Afrikanische Amphora": string;
                        "Punische Amphora": string;
                        "Neopunische Amphora": string;
                        "Nuraghische Amphora": string;
                        "Baetische Amphora": string;
                        "Etruskische Amphora": string;
                        "Italische Amphora": string;
                        "Gallische Amphora": string;
                        "Westgriechische Amphora": string;
                        "Ostmediterrane Amphora": string;
                    };
                    description: string;
                };
                "Pottery-vesselpart-bourgou": {
                    values: {
                        WF: string;
                        RF: string;
                        BF: string;
                        H: string;
                        "vollst. Profil": string;
                        "ganzes Gef\u00E4\u00DF": string;
                    };
                    description: string;
                };
                "Pottery-coatTpe-bourgou": {
                    values: {
                        unbehandelt: string;
                        verloren: string;
                        geglättet: string;
                        fleckig: string;
                        verstrichen: string;
                        "glatt verstrichen": string;
                        "rau verstrichen": string;
                        poliert: string;
                        "metallisch gl\u00E4nzend": string;
                        Überzug: string;
                        Scum: string;
                        glasiert: string;
                        bemalt: string;
                    };
                    description: string;
                };
                "Pottery-rimTreatment-bourgou": {
                    values: {
                        weiss: string;
                        graubraun: string;
                        hellbraun: string;
                        "sekund\u00E4r geschw\u00E4rzt": string;
                        geschwärzt: string;
                    };
                    description: string;
                };
                "Pottery-coatColor-bourgou": {
                    values: {
                        verloren: string;
                        beige: string;
                        "blass-": string;
                        blau: string;
                        braun: string;
                        cremefarben: string;
                        "dunkel-": string;
                        gelb: string;
                        glänzend: string;
                        grau: string;
                        grün: string;
                        "hell-": string;
                        "leuchtend-": string;
                        ocker: string;
                        orange: string;
                        rosa: string;
                        rot: string;
                        schwarz: string;
                        türkis: string;
                        violett: string;
                        weiß: string;
                    };
                    description: string;
                };
                "Find-amountDescription-bourgou": {
                    values: {
                        Stück: string;
                        Eimer: string;
                        Kiste: string;
                        Tüte: string;
                    };
                    description: string;
                };
                "Find-samplePl-bourgou": {
                    values: {
                        ausgeführt: string;
                        "an Spezialist/Labor \u00FCbergeben": string;
                        zurückgeführt: string;
                    };
                    description: string;
                };
                "Find-Store-bourgou": {
                    values: {
                        "nicht aufbewahrt": string;
                        "Grabungshaus/Magazin": string;
                        Sonstiges: string;
                    };
                    description: string;
                };
                "provenance-Gadara": {
                    values: {
                        Anatolien: string;
                        Ägypten: string;
                        Attisch: string;
                        Italien: string;
                        Kleinasien: string;
                        Levante: string;
                        Lokal: string;
                        "Lokal/Regional": string;
                        Nordafrika: string;
                        Palästina: string;
                        Regional: string;
                        Rhodos: string;
                        Iberia: string;
                        Syrien: string;
                        Tunesien: string;
                        Zypern: string;
                    };
                };
                "glass-transparency-Gadara": {
                    values: {
                        durchscheinend: string;
                        durchsichtig: string;
                        opak: string;
                        verwittert: string;
                    };
                    description: string;
                };
                "glass-formDescription-Gadara": {
                    values: {
                        bauchig: string;
                        "breit-": string;
                        "doppel-": string;
                        "halb-": string;
                        "hoch-": string;
                        konisch: string;
                        kugelförmig: string;
                        quadratisch: string;
                        rechteckig: string;
                        rund: string;
                        schmal: string;
                        tonnenförmig: string;
                        zylinderförmig: string;
                        oval: string;
                        würfelförmig: string;
                        pyramidal: string;
                        dreieckig: string;
                        trapezoid: string;
                    };
                    description: string;
                };
                "glass-vesselFormSpecific-Gadara": {
                    values: {
                        Balsamarium: string;
                        Faltenbecher: string;
                        Kelch: string;
                        Kragenschale: string;
                        Rippenschale: string;
                        Schliffrillenschale: string;
                        Unguentarium: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zarte Rippenschale": string;
                        "zylindrische Flasche": string;
                    };
                    description: string;
                };
                "glass-vesselForm-Gadara": {
                    values: {
                        Becher: string;
                        Deckel: string;
                        Flasche: string;
                        Krug: string;
                        Schale: string;
                        Schüssel: string;
                        Teller: string;
                        Topf: string;
                        Unbestimmt: string;
                        Kelch: string;
                        Lampe: string;
                    };
                    description: string;
                };
                "glass-objectType-Gadara": {
                    values: {
                        Armreif: string;
                        Fensterglas: string;
                        Gefäß: string;
                        Gerät: string;
                        Glasschlacke: string;
                        Perle: string;
                        Produktionsfragment: string;
                        Ring: string;
                        Rohglas: string;
                        Schmuck: string;
                        Spielstein: string;
                        Tessera: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "glass-decorationTechnique-Gadara": {
                    values: {
                        Bemalung: string;
                        Diatretglas: string;
                        Facettschliffdekor: string;
                        Fadendekor: string;
                        Mosaikglas: string;
                        Reliefdekor: string;
                        Schliffrillendekor: string;
                        Stempeldekor: string;
                        Tropfendekor: string;
                        Warzendekor: string;
                    };
                    description: string;
                };
                "glass-manufacturingMethod-Gadara": {
                    values: {
                        Formgeblasen: string;
                        Formgeschmolzen: string;
                        Freigeblasen: string;
                        Kerngeformt: string;
                    };
                    description: string;
                };
                "Brick-temper-Gadara": {
                    values: {
                        Glimmer: string;
                        Holzkohle: string;
                        Kalk: string;
                        "Mineralische Partikel": string;
                        Muschelgrus: string;
                        "Organische Partikel": string;
                        Quarz: string;
                        Sand: string;
                        Schamotte: string;
                        Sonstige: string;
                        Steinchen: string;
                        "Stroh/Spreu": string;
                        Vacua: string;
                        "Vulkanische Partikel": string;
                    };
                };
                "Brick-manufacturingMethod-Gadara": {
                    values: {
                        "gedreht (auf Drehscheibe)": string;
                        gegossen: string;
                        gepresst: string;
                        handgeformt: string;
                        modelgeformt: string;
                    };
                };
                "Brick-decorationTechnique-Gadara": {
                    values: {
                        Fingerabdruck: string;
                        Kammritzung: string;
                        Rädchenverzierung: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        "Sonstige Abdr\u00FCcke": string;
                        Stempel: string;
                    };
                };
                "Brick-brickUsage-Gadara": {
                    values: {
                        Dach: string;
                        Decke: string;
                        Fenster: string;
                        Fussboden: string;
                        Gewölbe: string;
                        Hypokausten: string;
                        Türrahmen: string;
                        Türsturz: string;
                        Mauerwerk: string;
                        Wandverkleidung: string;
                        Ofen: string;
                        Wasserleitung: string;
                    };
                    description: string;
                };
                "Brick-brickForm-Gadara": {
                    values: {
                        Bodenziegel: string;
                        Dachziegel: string;
                        Flachziegel: string;
                        Formziegel: string;
                        Imbrex: string;
                        Kalypter: string;
                        "Lochziegel/Hohlziegel": string;
                        Tegula: string;
                        Tonrohr: string;
                        Wandziegel: string;
                        "ohne erkennbare Form": string;
                    };
                    description: string;
                };
                "Brick-manufacturing-Gadara": {
                    values: {
                        Gebrannt: string;
                        "Hart gebrannt": string;
                        Luftgetrocknet: string;
                        "Sekund\u00E4r gebrannt": string;
                        "Weich gebrannt": string;
                    };
                    description: string;
                };
                "Wood-typeOfWood-Gadara": {
                    values: {
                        Apfel: string;
                        Birne: string;
                        Dattelpalme: string;
                        Eiche: string;
                        Feige: string;
                        Granatapfel: string;
                        Lorbeer: string;
                        Maulbeere: string;
                        Mispel: string;
                        Olive: string;
                        Pflaume: string;
                        "Pinie/Kiefer": string;
                        Wacholder: string;
                        Walnuss: string;
                        Weide: string;
                        Weinrebe: string;
                        Zeder: string;
                        Zypresse: string;
                    };
                };
                "Wood-decorationTechnique-Gadara": {
                    values: {
                        Bemalung: string;
                        Intarsie: string;
                        "Relief, fig\u00FCrlich": string;
                        "Relief, ornamental": string;
                        "Vergoldung/metallischer \u00DCberzug": string;
                    };
                };
                "Wood-objectType-Gadara": {
                    values: {
                        Architekturelement: string;
                        Gefäß: string;
                        Gerät: string;
                        Holzkohle: string;
                        "Kasten/Kiste": string;
                        Besteck: string;
                        Mobiliar: string;
                        "Plastik/Skulptur": string;
                        Produktionsrest: string;
                        Schmuck: string;
                        Spielzeug: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Wood-manufacturingMethod-Gadara": {
                    values: {
                        Gebohrt: string;
                        Gedämpft: string;
                        Gedreht: string;
                        Gefräst: string;
                        Gehobelt: string;
                        Gesägt: string;
                        Geschabt: string;
                        Geschliffen: string;
                        Geschnitzt: string;
                        Gespalten: string;
                    };
                };
                "Pottery-temperAmount-Gadara": {
                    values: {
                        "Keine Einschl\u00FCsse": string;
                        Mittel: string;
                        "Nicht erkennbar": string;
                        "Sehr viel": string;
                        Vereinzelt: string;
                        Viel: string;
                        Wenig: string;
                    };
                };
                "Pottery-temperParticles-Gadara": {
                    values: {
                        fein: string;
                        grob: string;
                        mittel: string;
                        mittelfein: string;
                        "sehr fein": string;
                        "sehr grob": string;
                    };
                };
                "Bone-species-Gadara": {
                    values: {
                        "B\u00E4r (Ursidae)": string;
                        Fisch: string;
                        "G\u00E4nsevogel (Anseriformes)": string;
                        "Hasenartige (Lagomorpha)": string;
                        "Hirsch (Cervidae)": string;
                        "Hundeartige (Canidae)": string;
                        "Kamel (Camelidae)": string;
                        Muschel: string;
                        "Nagetier (Rodentia)": string;
                        "Rind (Bovinae)": string;
                        Schnecke: string;
                        Schwein: string;
                        Vogel: string;
                        "Ziegenartige (Caprini)": string;
                        Einhorn: string;
                    };
                };
                "Bone-boneType-Gadara": {
                    values: {
                        Elfenbein: string;
                        Horn: string;
                        Menschenknochen: string;
                        Tierknochen: string;
                        Zahn: string;
                        Mollusken: string;
                    };
                };
                "Bone-objectType-Gadara": {
                    values: {
                        Armreif: string;
                        "Bearbeitet (allgemein)": string;
                        Einlage: string;
                        Gefäß: string;
                        Löffel: string;
                        Perle: string;
                        Ring: string;
                        Schmuck: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Werkzeug: string;
                        Würfel: string;
                    };
                };
                "Bone-sex-Gadara": {
                    values: {
                        Männlich: string;
                        Weiblich: string;
                        "M\u00E4nnlich oder Kastrat": string;
                    };
                };
                "Terracotta-objectType-Gadara": {
                    values: {
                        "Amphorenhenkel mit Stempel": string;
                        Öllampe: string;
                        "Figurine, Tier": string;
                        "Figurine, Mensch": string;
                        "Figurine, unbestimmt": string;
                        Webgewicht: string;
                        Spinnwirtel: string;
                    };
                };
                "Terracotta-surfaceCondition-Gadara": {
                    values: {
                        Brandspuren: string;
                        Sekundärbrand: string;
                        abblätternd: string;
                        "gut erhalten": string;
                        "stark abgerieben": string;
                        "starke Sinter- oder M\u00F6rtelablagerungen": string;
                        verrieben: string;
                        versintert: string;
                        verwaschen: string;
                    };
                };
                "Stone-material-Gadara": {
                    values: {
                        Basalt: string;
                        Flint: string;
                        Granit: string;
                        Kalkstein: string;
                        Marmor: string;
                        Porphyr: string;
                        Sandstein: string;
                    };
                };
                "Stone-objectType-Gadara": {
                    values: {
                        Abschlag: string;
                        Bauglied: string;
                        Gefäß: string;
                        Gerät: string;
                        Gussform: string;
                        "Plastik/Skulptur": string;
                        Platte: string;
                        Quader: string;
                        Reibschale: string;
                        Reibstein: string;
                        Reliefstein: string;
                        Schmuck: string;
                        Spielbrett: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        Tessera: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Webgewicht: string;
                    };
                };
                "Stone-architectureElement-Gadara": {
                    values: {
                        Akroter: string;
                        Architrav: string;
                        Basis: string;
                        Bauplastik: string;
                        Fries: string;
                        Fußboden: string;
                        Gesims: string;
                        Kapitell: string;
                        Konsole: string;
                        Profilstück: string;
                        Schwellenblock: string;
                        Sima: string;
                        Säule: string;
                        Türsturz: string;
                        Wandverkleidung: string;
                    };
                };
                "Stone-treatment-Gadara": {
                    values: {
                        Unbehauen: string;
                        "Grob behauen": string;
                        "Fein behauen": string;
                        "Grob gegl\u00E4ttet": string;
                        "Fein gegl\u00E4ttet": string;
                        Poliert: string;
                    };
                };
                "Coin-metalMaterial-Gadara": {
                    values: {
                        Blei: string;
                        Bronze: string;
                        Eisen: string;
                        Gold: string;
                        Kupfer: string;
                        Messing: string;
                        Silber: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Metal-decorationTechnique-Gadara": {
                    values: {
                        Emaille: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzdekor: string;
                        Stempeldekor: string;
                        Vergoldung: string;
                    };
                };
                "Metal-objectType-Gadara": {
                    values: {
                        Armreif: string;
                        Barren: string;
                        Beschlag: string;
                        Besteck: string;
                        Blech: string;
                        Fibel: string;
                        Gefäß: string;
                        Gerät: string;
                        Gewicht: string;
                        Glocke: string;
                        Gusszapfen: string;
                        Kette: string;
                        Klinge: string;
                        Knopf: string;
                        Lampe: string;
                        Mobiliar: string;
                        Nadel: string;
                        Nagel: string;
                        Pfeilspitze: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Projektil: string;
                        Ring: string;
                        Schlacke: string;
                        Schlüssel: string;
                        Schmuck: string;
                        Schnalle: string;
                        Spiegel: string;
                        Spielstein: string;
                        Strigilis: string;
                        Türschloss: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Wasserleitung: string;
                    };
                };
                "Metal-manufacturingMethod-Gadara": {
                    values: {
                        Getrieben: string;
                        Gußtechnik: string;
                        Prägearbeit: string;
                        Schmiedetechnik: string;
                        Ziehtechnik: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Find-sample-Gadara": {
                    values: {
                        ja: string;
                        nein: string;
                        teilweise: string;
                        gesamt: string;
                    };
                };
                "Find-samplePl-Gadara": {
                    values: {
                        "Ausfuhr beantragt": string;
                        "Ausfuhr genehmigt": string;
                        ausgeführt: string;
                        "an Spezialist/Labor \u00FCbergeben": string;
                        zurückgeführt: string;
                        nein: string;
                    };
                };
                "Find-Store-Gadara": {
                    values: {
                        "nicht aufbewahrt": string;
                        Werkhof: string;
                        Grabungshaus: string;
                    };
                };
                "plasterDecoration-Gadara": {
                    values: {
                        "Ohne Oberfl\u00E4che": string;
                        Stuck: string;
                        "Einfarbige Bemalung": string;
                        "Polychrome Bemalung": string;
                        "Verputzte Oberfl\u00E4che": string;
                    };
                    description: string;
                };
                "plasterType-Gadara": {
                    values: {
                        Wandputz: string;
                        "Boden/Estrich": string;
                        Mörtel: string;
                        unbestimmbar: string;
                    };
                    description: string;
                };
                "Coin-stampPositioning-Gadara": {
                    values: {
                        "- 1 Uhr": string;
                        "- 2 Uhr": string;
                        "- 3 Uhr": string;
                        "- 4 Uhr": string;
                        "- 5 Uhr": string;
                        "- 6 Uhr": string;
                        "- 7 Uhr": string;
                        "- 8 Uhr": string;
                        "- 9 Uhr": string;
                        "- 10 Uhr": string;
                        "- 11 Uhr": string;
                        "- 12 Uhr": string;
                    };
                };
                "coordinate-reference-system-milet": {
                    values: {
                        NoCoordinateSystem: string;
                        Bendt: string;
                        UTM35N: string;
                    };
                };
                "Survey-researchMethod-milet": {
                    values: {
                        Befliegung: string;
                        Kartierung: string;
                        Begehung: string;
                        Fundkatalog: string;
                    };
                };
                "localization-milet": {
                    values: {
                        Totalstation: string;
                        manuell_kartiert: string;
                        nicht_lokalisiert: string;
                        topographical_description: string;
                    };
                    description: string;
                };
                "Find-workflow-milet": {
                    values: {
                        Inventarisiert: string;
                        Fotografiert: string;
                        Gezeichnet: string;
                        Restauriert: string;
                        "Detailbearbeitung fertig": string;
                        Fehlerhaft: string;
                    };
                };
                "Sculpture-sculptureBodypart-milet": {
                    values: {
                        left: string;
                        right: string;
                        Head: string;
                        Neck: string;
                        Shoulder: string;
                        Back: string;
                        Hip: string;
                        Leg: string;
                        Foot: string;
                        Attributes: string;
                        indeterminable: string;
                        other: string;
                    };
                };
                "Sculpture-sculptureGender-milet": {
                    values: {
                        female: string;
                        male: string;
                        inconclusive: string;
                        other: string;
                    };
                    description: string;
                };
                "Sculpture-sculptureType-milet": {
                    values: {
                        "Deities, Personifications and Heroes": string;
                        "Imperial Family": string;
                        "Imperial and Senatorial Office Holders": string;
                        "Provincial Notables": string;
                        Animals: string;
                        "Philosophers, Orators and Poets": string;
                        Military: string;
                        Athletes: string;
                        Citizen: string;
                        "Other (human)": string;
                        "Other mythological creatures": string;
                        Other: string;
                        Unknown: string;
                    };
                };
                "Sculpture-sculptureClothing-milet": {
                    values: {
                        "Toga, late antique": string;
                        "Toga with umbo": string;
                        Armour: string;
                        "Tunic / chiton": string;
                        "Tunic, colobium": string;
                        "Boots, Military": string;
                        "Footwear, sandals": string;
                        "Footwear, closed, plain boots": string;
                        "Footwear, closed strapped boots": string;
                        "Footwear, open, strapped shoes": string;
                        "Cloak, paludamentum": string;
                        "Cloak, chlamys": string;
                        Naked: string;
                        Other: string;
                    };
                };
                "Sculpture-sculptureHairstyle-milet": {
                    values: {
                        "Brushed forward": string;
                        Bun: string;
                        "Central braid": string;
                        "Encircling braid(s)": string;
                        "Long, covers ears": string;
                        "Long, to shoulders": string;
                        Short: string;
                        "Short-cropped": string;
                        "Wreath-style": string;
                        Other: string;
                    };
                };
                "Sculpture-sculptureBeardstyle-milet": {
                    values: {
                        "Bearded, long": string;
                        "Bearded, short": string;
                        "Bearded, stubble": string;
                        "Bearded, under-chin": string;
                        "Clean-shaven": string;
                        beardless: string;
                        Other: string;
                    };
                };
                "Sculpture-sculptureAttributes-milet": {
                    values: {
                        belt: string;
                        crown: string;
                        "codex / book": string;
                        "corona civica": string;
                        "crown fillet": string;
                        diadem: string;
                        "diadem, jewelled": string;
                        "diadem, pearl-edged": string;
                        "diadem, plain": string;
                        earrings: string;
                        fibula: string;
                        "finger ring": string;
                        mappa: string;
                        necklace: string;
                        orb: string;
                        sceptre: string;
                        scroll: string;
                        spear: string;
                        staff: string;
                        sword: string;
                        tabellae: string;
                        wreath: string;
                        other: string;
                    };
                };
                "Sculpture-colors-milet": {
                    values: {
                        rosa: string;
                        grün: string;
                        blau: string;
                        "bl\u00E4ulich-wei\u00DF": string;
                        hellgrau: string;
                        hellgräulich: string;
                        "gr\u00E4ulich-wei\u00DF": string;
                        gräulich: string;
                        grau: string;
                        dunkelgrau: string;
                        schwarz: string;
                        weiß: string;
                        "gr\u00E4ulich-blau": string;
                    };
                    description: string;
                };
                "Sculpture-marbleType-milet": {
                    values: {
                        "veined marble": string;
                        "nonveined marble": string;
                    };
                    description: string;
                };
                "quality-milet": {
                    values: {
                        "very high quality": string;
                        "high quality": string;
                        "medium quality": string;
                        "low quality": string;
                        unfinished: string;
                        "partially unfinished": string;
                    };
                    description: string;
                };
                "Layer-layerConsistency-milet": {
                    values: {
                        very_hard: string;
                        hard: string;
                        solid: string;
                        starchy: string;
                        soft: string;
                        very_soft: string;
                        liquid: string;
                    };
                    description: string;
                };
                "Layer-layerInclusions-milet": {
                    values: {
                        Kiesel_klein: string;
                        Kiesel_mittel: string;
                        Kiesel_groß: string;
                        Stein_klein: string;
                        Stein_mittel: string;
                        Stein_groß: string;
                        Kalk: string;
                        Ziegelbruch_kleinteilig: string;
                        HolzkohleAsche: string;
                        Wurzeln: string;
                        Tiergänge: string;
                        Schnecken: string;
                    };
                    description: string;
                };
                "Layer-layerClassification-milet": {
                    values: {
                        Brandschicht: string;
                        Kulturschicht: string;
                        Laufhorizont: string;
                        Planierschicht: string;
                        Schuttschicht: string;
                        Humusschicht: string;
                        Filling: string;
                        Baugrube: string;
                        Grave: string;
                        artificial_removal: string;
                        other: string;
                        unbekannt: string;
                    };
                };
                "layerColors-milet": {
                    values: {
                        black: string;
                        grey: string;
                        brown: string;
                        yellow: string;
                        ochre: string;
                        red: string;
                    };
                    description: string;
                };
                "layerColorsIntensity-milet": {
                    values: {
                        very_light: string;
                        light: string;
                        medium: string;
                        dark: string;
                        very_dark: string;
                    };
                    description: string;
                };
                "Layer-soilType-milet": {
                    values: {
                        Lehm: string;
                        Sand: string;
                        "Sand (fein)": string;
                        "Sand (mittel)": string;
                        "Sand (grob)": string;
                        Schluff: string;
                        Ton: string;
                    };
                };
                "Layer-layerFinds-milet": {
                    values: {
                        Keramik: string;
                        Terrakotta: string;
                        "Stein (bearbeitet)": string;
                        Tesserae: string;
                        Inkrustationen: string;
                        Wandputz: string;
                        Metall: string;
                        Glas: string;
                        Münzen: string;
                        Ziegel: string;
                        Knochen: string;
                        Holz: string;
                        Mollusken: string;
                        Sample: string;
                    };
                    description: string;
                };
                "Drawing-scale-milet": {
                    values: {
                        other: string;
                        NA: string;
                    };
                    description: string;
                };
                "Drawing-drawingType-milet": {
                    values: {
                        CAD: string;
                        "Totalstation-direct": string;
                        "Handzeichnung-precise": string;
                        sketch: string;
                    };
                };
                "viewDirection-milet": {
                    values: {
                        North: string;
                        Northeast: string;
                        East: string;
                        Southeast: string;
                        South: string;
                        Southwest: string;
                        West: string;
                        Northwest: string;
                        not_applicable: string;
                    };
                    description: string;
                };
                "findProcessingWorkflow-milet": {
                    values: {
                        "01_first_impression": string;
                        "02a_quantification": string;
                        "02b_quantification": string;
                        "03_complete_processing": string;
                        "04_no_processing": string;
                    };
                    description: string;
                };
                "Find-conditionAmount-milet": {
                    values: {
                        Fragmentarisch: string;
                        "Fragmentarisch_0-25": string;
                        "Fragmentarisch_25-50": string;
                        "Fragmentarisch_50-75": string;
                        "Fragmentarisch_75-100": string;
                        intakt: string;
                        unbekannt: string;
                    };
                };
                "provenance-milet": {
                    values: {
                        Anatolien: string;
                        "Antiochia (Antakya)": string;
                        Athen: string;
                        Ägypten: string;
                        Attisch: string;
                        Britannien: string;
                        Chios: string;
                        Deutschland: string;
                        Ephesos: string;
                        Etruskisch: string;
                        Gallien: string;
                        Import: string;
                        Ionien: string;
                        Irland: string;
                        Italien: string;
                        Kampanisch: string;
                        Karthagisch: string;
                        Kleinasien: string;
                        Knidos: string;
                        Korinth: string;
                        Kos: string;
                        Lesbos: string;
                        Levante: string;
                        Lokal: string;
                        "Lokal/Regional": string;
                        Milet: string;
                        Mäandertal: string;
                        Nordafrika: string;
                        Nordafrikanisch: string;
                        Palästina: string;
                        Pannonien: string;
                        Peloponnes: string;
                        Regional: string;
                        Rhodos: string;
                        Samos: string;
                        Sizilien: string;
                        Skandinavien: string;
                        Slawisch: string;
                        Spanien: string;
                        Syrien: string;
                        Südtunesisch: string;
                        Südägäis: string;
                    };
                };
                "Building-material-milet": {
                    values: {
                        Granit: string;
                        Kalk: string;
                        Gneis: string;
                        Poros: string;
                        Breccia: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Tuffit: string;
                        Ziegel: string;
                    };
                };
                "Building-context-milet": {
                    values: {
                        Akropolis: string;
                        Forum: string;
                        Handwerksviertel: string;
                        Heiligtum: string;
                        Nekropole: string;
                        Wohnviertel: string;
                        Extraurban: string;
                        Intraurban: string;
                    };
                };
                "Pottery-potteryGroup-milet": {
                    values: {
                        "feine Keramik": string;
                        "Mittelgrobe Keramik": string;
                        "Grobe Keramik": string;
                        Küchenkeramik: string;
                        "Graue Ware": string;
                        Schwarzfirnisware: string;
                        "Schwarzfigurige Keramik": string;
                        "Rotfigurige Keramik": string;
                        "Wei\u00DFgrundige Keramik": string;
                        Kleckerware: string;
                        Stapelware: string;
                        Streifenkeramik: string;
                        "Archaische Feinkeramik": string;
                        "Westabhang-Keramik": string;
                        "Westabhang-Nachfolgestil": string;
                        "Sigillata unbestimmt": string;
                        "Italische Sigillata": string;
                        "Eastern Sigillata A": string;
                        "Eastern Sigillata B": string;
                        "Eastern Sigillata C": string;
                        "African Red Slip": string;
                        "Late Roman C": string;
                        Reliefkeramik: string;
                        Applikenkeramik: string;
                        Formschüsselkeramik: string;
                        Bleiglasurkeramik: string;
                        "Barbotine Ware": string;
                        "D\u00FCnnwandige Keramik": string;
                        "Byzantinische Glasierte Keramik": string;
                        Sgraffito: string;
                        "Handgeformte Keramik": string;
                        andere: string;
                    };
                };
                "Pottery-functionalCategory-milet": {
                    values: {
                        Tafelgeschirr: string;
                        Haushaltskeramik: string;
                        Küchenkeramik: string;
                        Transportgefäße: string;
                        Vorratskeramik: string;
                        Ölgefäße: string;
                        Miniaturkeramik: string;
                        Geräte: string;
                    };
                };
                "Pottery-vesselForm-milet": {
                    values: {
                        Ampulle: string;
                        Backteller: string;
                        Becher: string;
                        Bienenkorb: string;
                        "B\u00FCgelhenkelgef\u00E4\u00DF / Eimer": string;
                        Deckel: string;
                        Fischteller: string;
                        Flasche: string;
                        Gewicht: string;
                        Haushaltsschüssel: string;
                        Kanne: string;
                        Kohlenbecken: string;
                        Krug: string;
                        Lampe: string;
                        Mischgefäß: string;
                        Napf: string;
                        Pfanne: string;
                        Platte: string;
                        Rost: string;
                        Salznapf: string;
                        Schale: string;
                        Schüssel: string;
                        Siebgefäß: string;
                        Ständer: string;
                        Tasse: string;
                        Teller: string;
                        Topf: string;
                        Vorratstopf: string;
                        Wanne: string;
                        Webgewicht: string;
                        "offenes Gef\u00E4\u00DF": string;
                        "geschlossenes Gef\u00E4\u00DF": string;
                        "unbekanntes Gef\u00E4\u00DF": string;
                        "unbestimmbares Gef\u00E4\u00DF": string;
                    };
                };
                "Pottery-potteryCondition-milet": {
                    values: {
                        intakt: string;
                        "vollst\u00E4ndig zerbrochen": string;
                        "viel erhalten": string;
                        "vollst\u00E4ndiges Profil": string;
                        "gro\u00DFe Scherben": string;
                        "mittelgro\u00DFe Scherben": string;
                        "kleine Scherben": string;
                        "(sehr) stark zerscherbt": string;
                        "Oberfl\u00E4chen stark besch\u00E4digt": string;
                        Abrollungen: string;
                        Brandspuren: string;
                    };
                };
                "Pottery-fabricHardness-milet": {
                    values: {
                        weich: string;
                        hart: string;
                        "sehr hart": string;
                        "klingend hart": string;
                    };
                };
                "Pottery-temperType-milet": {
                    values: {
                        Glimmer: string;
                        Sand: string;
                        Kalk: string;
                        Calzit: string;
                        Eisenoxid: string;
                        Quarzit: string;
                        Steinchen: string;
                        Muschelgrus: string;
                        Schamotte: string;
                        Organische: string;
                        Magerung: string;
                        Vulkanisch: string;
                        Lufteinschlüsse: string;
                    };
                };
                "Pottery-temperAmount-milet": {
                    values: {
                        "nicht erkennbar": string;
                        wenige: string;
                        einige: string;
                        mittel: string;
                        reichlich: string;
                        "sehr viel": string;
                    };
                };
                "Pottery-temperGrain-milet": {
                    values: {
                        "sehr fein": string;
                        fein: string;
                        mittel: string;
                        grob: string;
                        "sehr grob": string;
                    };
                };
                "Pottery-surfaceTreatment-milet": {
                    values: {
                        verstrichen: string;
                        geglättet: string;
                        poliert: string;
                        glasiert: string;
                        bemalt: string;
                        Überzug: string;
                        Stempel: string;
                        Relief: string;
                        Einkerbungen: string;
                        Horizontalriefel: string;
                        Rouletting: string;
                        Applikation: string;
                        Ritzungen: string;
                        Kammstrich: string;
                        Fingereindrücke: string;
                    };
                };
                "Sample-sampleType-milet": {
                    values: {
                        Dünnschliff: string;
                        Rückstände: string;
                        Gebrauchsspuren: string;
                        Bodenprobe: string;
                        "C14-Analyse": string;
                        Dendroprobe: string;
                        Phosphatanalyse: string;
                        Pollenanalyse: string;
                    };
                };
                "Building-buildingCategory-milet": {
                    values: {
                        Altar: string;
                        Basilika: string;
                        Bogen: string;
                        Brücke: string;
                        Grabbau: string;
                        Gymnasium: string;
                        Mauerkurtine: string;
                        Nymphäum: string;
                        Odeion: string;
                        Strasse: string;
                        Stützmauer: string;
                        Säulenhalle: string;
                        Tempel: string;
                        Theater: string;
                        Therme: string;
                        Toranlage: string;
                        Befestigungsanlage: string;
                        Wohnbau: string;
                        Platzanlage: string;
                        Moschee: string;
                        Kirche: string;
                        Monument: string;
                        Werkstatt: string;
                    };
                };
                "Building-buildingType-milet": {
                    values: {
                        Sakral: string;
                        Öffentlich: string;
                        Privat: string;
                        Industriell: string;
                        Infrastruktur: string;
                        Monumental: string;
                        Befestigung: string;
                    };
                    description: string;
                };
                "architecturalOrder-milet": {
                    values: {
                        dorisch: string;
                        ionisch: string;
                        komposit: string;
                        äolisch: string;
                        korinthisch: string;
                        keine: string;
                        "nicht erhalten": string;
                    };
                };
                "periods-milet": {
                    values: {
                        Neolitisch: string;
                        "Chalkolitisch [Milet I]": string;
                        Bronzezeitlich: string;
                        "Fr\u00FChbronzezeitlich [Milet II]": string;
                        "Mittelbronzezeitlich [Milet III]": string;
                        "Sp\u00E4tbronzezeitlich [Milet IV]": string;
                        "Sp\u00E4tbronzezeitlich [Milet V]": string;
                        "Sp\u00E4tbronzezeitlich [Milet VI]": string;
                        "Sp\u00E4tbronzezeitlich [Milet VII]": string;
                        Geometrisch: string;
                        Protogeometrisch: string;
                        Frühgeometrisch: string;
                        Mittelgeometrisch: string;
                        Spätgeometrisch: string;
                        Archaisch: string;
                        Früharchaisch: string;
                        Hocharchaisch: string;
                        Spätarchaisch: string;
                        Perserzerstörung: string;
                        Klassisch: string;
                        Frühklassisch: string;
                        Spätklassik: string;
                        Hellenistisch: string;
                        "Fr\u00FCher Hellenismus": string;
                        "Sp\u00E4ter Hellenismus": string;
                        Kaiserzeitlich: string;
                        Frühkaiserzeitlich: string;
                        Mittelkaiserzeitlich: string;
                        Spätkaiserzeitlich: string;
                        Spätantik: string;
                        Byzantinisch: string;
                        "Fr\u00FChbyzantinisch / Sp\u00E4tantik": string;
                        Mittelbyzantinisch: string;
                        Spätbyzantinisch: string;
                        "Mente\u015Fe / emiratszeitlich": string;
                        Osmanisch: string;
                        Rezent: string;
                    };
                };
                "quantificationType-milet": {
                    values: {
                        Pottery: string;
                        Bones: string;
                        Mollusks: string;
                        Glass: string;
                        Metal: string;
                        Stone: string;
                        Terracotta: string;
                        Coins: string;
                        Plaster: string;
                        Sample: string;
                        Tesserae: string;
                        Inlays: string;
                        Ziegel: string;
                        Holz: string;
                    };
                };
                "relativeAmountCheck-milet": {
                    values: {
                        gering: string;
                        mittel: string;
                        hoch: string;
                        "sehr hoch": string;
                    };
                };
                "Stone-origin-milet": {
                    values: {
                        Alpen: string;
                        Anatolien: string;
                        Chimtou: string;
                        Harz: string;
                        Kreta: string;
                        Sizilien: string;
                        Aphrodisias: string;
                        "Burgass Adas\u0131": string;
                        Carrara: string;
                        Docimium: string;
                        Ephesus: string;
                        Euromos: string;
                        Fourni: string;
                        "Heraclea at Latmus": string;
                        Hymettus: string;
                        Lesbos: string;
                        "Marmara (Proconnesus)": string;
                        Milas: string;
                        "Miletus East": string;
                        "Miletus West": string;
                        Naxos: string;
                        Paros: string;
                        Pentelikon: string;
                        Priene: string;
                        Samos: string;
                        Stratonikeia: string;
                        Thasos: string;
                    };
                    description: string;
                };
                "Deposit-depositType-Gadara": {
                    values: {
                        Abhub: string;
                        Abraum: string;
                        Akkumulation: string;
                        Ascheschicht: string;
                        Brandschicht: string;
                        Erdbefund: string;
                        "Gewachsener Boden/Fels": string;
                        Holzkohlekonzentration: string;
                        "Laufhorizont (Getretener Boden)": string;
                        Planierschicht: string;
                        Verfüllung: string;
                        Versturz: string;
                        Sonstiges: string;
                    };
                };
                "featureBorders-Gadara": {
                    values: {
                        "erahnbar/flie\u00DFend": string;
                        undeutlich: string;
                        deutlich: string;
                        "sehr deutlich": string;
                    };
                    description: string;
                };
                "Deposit-colorLightness-Gadara": {
                    values: {
                        "hell-": string;
                        "mittel-": string;
                        "dunkel-": string;
                    };
                };
                "Deposit-colorModifier-Gadara": {
                    values: {
                        "braun-": string;
                        "gelb-": string;
                        "grau-": string;
                        "gr\u00FCn-": string;
                        "orange-": string;
                        "rot-": string;
                    };
                };
                "Deposit-colorBasecolor-Gadara": {
                    values: {
                        beige: string;
                        braun: string;
                        gelb: string;
                        grün: string;
                        ocker: string;
                        orange: string;
                        rot: string;
                        schwarz: string;
                        weiß: string;
                    };
                };
                "Layer-soilType-Gadara": {
                    values: {
                        "Erde (bei Altgrabungen)": string;
                        Sand: string;
                        "Sandiger Schluff": string;
                        "Sandiger Ton": string;
                        Schluff: string;
                        "Schluffiger Sand": string;
                        "Schluffiger Ton": string;
                        Kalk: string;
                        Lehm: string;
                        Ton: string;
                        "Toniger Sand": string;
                        "Toniger Schluff": string;
                        "Nicht anwendbar": string;
                    };
                    description: string;
                };
                "Layer-consistency-Gadara": {
                    values: {
                        locker: string;
                        fest: string;
                        "sehr fest": string;
                    };
                    description: string;
                };
                "Structure-structureType-Gadara": {
                    values: {
                        Brunnen: string;
                        Fundament: string;
                        Fußboden: string;
                        "Kanal/Wasserleitung": string;
                        Mauer: string;
                        "Ofen/Herdstelle": string;
                        Schwelle: string;
                        Treppe: string;
                        Zusetzung: string;
                        Sonstiges: string;
                    };
                };
                "Structure-Material-Gadara": {
                    values: {
                        Basalt: string;
                        Estrich: string;
                        Granit: string;
                        Holz: string;
                        Kalkstein: string;
                        Konglomerat: string;
                        "Lehm, gebrannt": string;
                        "Lehm, ungebrannt": string;
                        Marmor: string;
                        Tuffstein: string;
                    };
                };
                "Structure-Construction-Gadara": {
                    values: {
                        einschalig: string;
                        "gesch\u00FCttet (bei Fundament)": string;
                        "zweischalig mit Mauerkern": string;
                        "zweischalig ohne Mauerkern ": string;
                        "nicht anwendbar": string;
                    };
                };
                "Structure-Masonry-Gadara": {
                    values: {
                        "nicht in Lagen": string;
                        "unregelm\u00E4\u00DFig in Lagen": string;
                        "regelm\u00E4\u00DFig in Lagen": string;
                        "nicht anwendbar": string;
                    };
                };
                "Structure-StoneWorking-Gadara": {
                    values: {
                        Bruchstein: string;
                        Haustein: string;
                        Lesestein: string;
                        Linse: string;
                        Mosaik: string;
                        Pflaster: string;
                        Platte: string;
                        Spolie: string;
                        Werkstein: string;
                    };
                };
                "Structure-StoneDressing-Gadara": {
                    values: {
                        Unbehauen: string;
                        Bruchbau: string;
                        "Grob behauen": string;
                        "Fein behauen": string;
                        "Grob gegl\u00E4ttet": string;
                        "Fein gegl\u00E4ttet": string;
                    };
                };
                "Cut-cutType-Gadara": {
                    values: {
                        Baugrube: string;
                        Abraum: string;
                        Graben: string;
                        Grube: string;
                        Öffnung: string;
                        Sonstiges: string;
                    };
                };
                "Cut-ShapeInPlan-Gadara": {
                    values: {
                        rund: string;
                        oval: string;
                        quadratisch: string;
                        "rechteckig/linear": string;
                        unregelmäßig: string;
                        sonstiges: string;
                    };
                };
                "Cut-ShapeInProfile-Gadara": {
                    values: {
                        "V-f\u00F6rmig": string;
                        "U-f\u00F6rmig": string;
                        quadratisch: string;
                        "rechteckig/linear": string;
                        unregelmäßig: string;
                        sonstiges: string;
                    };
                };
                "Cut-ShapeEdges-Gadara": {
                    values: {
                        vertikal: string;
                        schräg: string;
                        überkippt: string;
                        konvex: string;
                        konkav: string;
                        sonstiges: string;
                    };
                };
                "Cut-ShapeBreakSlopeTop-Gadara": {
                    values: {
                        scharf: string;
                        gerundet: string;
                        fließend: string;
                    };
                };
                "Cut-ShapeBreakSlopeBase-Gadara": {
                    values: {
                        scharf: string;
                        gerundet: string;
                        fließend: string;
                    };
                };
                "Cut-ShapeBase-Gadara": {
                    values: {
                        horizontal: string;
                        konvex: string;
                        konkav: string;
                        unregelmäßig: string;
                        sonstiges: string;
                    };
                };
                "inclusions-Gadara": {
                    values: {
                        Basalt: string;
                        Glas: string;
                        Granit: string;
                        Holz: string;
                        Kalkstein: string;
                        Keramik: string;
                        Knochen: string;
                        Marmor: string;
                        Metall: string;
                        "M\u00F6rtel/Putz": string;
                        "Organisches Material": string;
                        Tuffstein: string;
                        Sonstiges: string;
                    };
                };
                "periods-elephantine": {
                    values: {
                        Naqadazeit: string;
                        Frühdynastisch: string;
                        "Altes Reich": string;
                        "Erste Zwischenzeit": string;
                        "Mittleres Reich": string;
                        "Zweite Zwischenzeit": string;
                        "Neues Reich": string;
                        "Dritte Zwischenzeit": string;
                        Spätzeit: string;
                        Ptolemäisch: string;
                        Römisch: string;
                        Spätantik: string;
                        Islamisch: string;
                        Osmanisch: string;
                        Modern: string;
                    };
                };
                "featureSamples-elephantine": {
                    values: {
                        Bodenprobe: string;
                        "C14-Analyse": string;
                        Ziegelanalyse: string;
                        Flotation: string;
                        "Botanikprobe (Trockensiebung)": string;
                        Phytolithenanalyse: string;
                        Mikromorphologie: string;
                        Putzprobe: string;
                        andere: string;
                    };
                };
                "Survey-researchMethod-Selinunt": {
                    values: {
                        geodeticSurvey: string;
                        observationAndDescription: string;
                        architecturalSurvey: string;
                        excavation: string;
                        cleaning: string;
                        overflying: string;
                        archaeologicalSurvey: string;
                        electricalResistivityTomography: string;
                        geomagnetics: string;
                        groundPenetratingRadar: string;
                        seismicSurvey: string;
                        LIDAR: string;
                        coring: string;
                    };
                };
                "Place-siteClassification-Selinunt": {
                    values: {
                        Siedlung: string;
                        "Baukomplex ": string;
                        "Einzelnes Bauwerk": string;
                        Bestattungsplatz: string;
                        Produktionsplatz: string;
                        Kultstätte: string;
                        "Landwirtschaftliche Nutzfl\u00E4che": string;
                        Naturraum: string;
                    };
                    description: string;
                };
                "Layer-layerClassification-Selinunt": {
                    values: {
                        Ackerkrume: string;
                        Planierschicht: string;
                        Auffüllung: string;
                        Ablagerung: string;
                        Alluvialboden: string;
                        Nutzungshorizont: string;
                        Deponierung: string;
                        Laufhorizont: string;
                        Versturz: string;
                        Brandschicht: string;
                        Grube: string;
                        Fundamentgraben: string;
                        Zerstörungshorizont: string;
                        Raubgraben: string;
                        Pfostenloch: string;
                        "Geologisch gewachsener Boden": string;
                    };
                    description: string;
                };
                "Layer-colors-Selinunt-1": {
                    values: {
                        braun: string;
                        gelbbraun: string;
                        graubraun: string;
                        rotbraun: string;
                        schwarzbraun: string;
                        beige: string;
                        ocker: string;
                        gelb: string;
                        grau: string;
                        blaugrau: string;
                        rot: string;
                        orange: string;
                        rosa: string;
                        violett: string;
                        blau: string;
                        grün: string;
                        schwarz: string;
                        weiß: string;
                    };
                    description: string;
                };
                "colorsLightness-Selinunt-1": {
                    values: {
                        hell: string;
                        mittel: string;
                        dunkel: string;
                    };
                    description: string;
                };
                "Layer-soilType-Selinunt-1": {
                    values: {
                        Sand: string;
                        Schluff: string;
                        Lehm: string;
                        Humus: string;
                        Kalk: string;
                        Kalkstein: string;
                        Sandstein: string;
                        Mergel: string;
                        Vulkangestein: string;
                        Kiesel: string;
                        Asche: string;
                        Schlick: string;
                        Organisches: string;
                    };
                    description: string;
                };
                "Layer-findComposition-Selinunt": {
                    values: {
                        Lehmstein: string;
                        Dachziegel: string;
                        Keramik: string;
                        Metall: string;
                        Münzen: string;
                        Glas: string;
                        Knochen: string;
                        Holzkohle: string;
                        Schlacke: string;
                        Mollusken: string;
                        Hüttenlehm: string;
                        Verputz: string;
                    };
                    description: string;
                };
                "Layer-consistency-Selinunt-1": {
                    values: {
                        locker: string;
                        porös: string;
                        fest: string;
                        kompakt: string;
                        zäh: string;
                        hart: string;
                    };
                    description: string;
                };
                "Feature-featureBorders-Selinunt": {
                    values: {
                        "Nach oben: deutlich": string;
                        "Nach oben: diffus": string;
                        "Nach oben: willk\u00FCrlich": string;
                        "Nach unten: deutlich": string;
                        "Nach unten: diffus": string;
                        "Nach unten: willk\u00FCrlich": string;
                        "In der Fl\u00E4che: deutlich": string;
                        "In der Fl\u00E4che: diffus": string;
                        "In der Fl\u00E4che: willk\u00FCrlich": string;
                    };
                    description: string;
                };
                "Feature-featureForm-Selinunt": {
                    values: {
                        eckig: string;
                        rund: string;
                        formlos: string;
                    };
                    description: string;
                };
                "Layer-distinguishingCriteria-Selinunt": {
                    values: {
                        Farbe: string;
                        Form: string;
                        Konsistenz: string;
                        Zusammensetzung: string;
                    };
                };
                "periods-Selinunt-1": {
                    values: {
                        "Fr\u00FChbronzezeitlich ": string;
                        Bronzezeitlich: string;
                        Eisenzeitlich: string;
                        Archaisch: string;
                        Spätarchaisch: string;
                        Klassisch: string;
                        Spätklassisch: string;
                        Frühhellenistisch: string;
                        Hellenistisch: string;
                        Frühkorinthisch: string;
                        Mittelkorinthisch: string;
                        Spätkorinthisch: string;
                        Republikanisch: string;
                        Kaiserzeitlich: string;
                        Spätkaiserzeitlich: string;
                        Byzantinisch: string;
                        Arabisch: string;
                        Normannisch: string;
                        Staufisch: string;
                        Rezent: string;
                    };
                };
                "Architecture-architectureClassification-Selinunt": {
                    values: {
                        Mauer: string;
                        Fundament: string;
                        Schwelle: string;
                        Steinsetzung: string;
                        "Podium, Bank": string;
                        Treppe: string;
                        "Ofen, Herdstelle": string;
                        Becken: string;
                        "Kanal, Leitung": string;
                        Latrine: string;
                        Brunnen: string;
                        Zisterne: string;
                        Straße: string;
                        Säule: string;
                        Pfeiler: string;
                    };
                };
                "Architecture-architectureMaterial-Selinunt": {
                    values: {
                        Kalkstein: string;
                        Marmor: string;
                        Vulkangestein: string;
                        Sandstein: string;
                        Granit: string;
                        Kiesel: string;
                        "Anstehender Fels": string;
                        "Anderer Stein": string;
                        Spolien: string;
                        "Gebrannte Ziegel": string;
                        "Ungebrannte Lehmsteine": string;
                        Dachziegel: string;
                        Lehm: string;
                        Holz: string;
                        Keramik: string;
                        Zement: string;
                    };
                };
                "Architecture-brickwork-Selinunt": {
                    values: {
                        "Regelloser Verband": string;
                        "Reiner L\u00E4uferverband": string;
                        "Reiner Binderverband": string;
                        "L\u00E4ufer-Binder Verband": string;
                        "Opus africanum": string;
                    };
                };
                "Architecture-construction-Selinunt": {
                    values: {
                        "einschalig freistehend": string;
                        "einschalig vor Hang": string;
                        zweischalig: string;
                        "zweischalig mit Kern": string;
                        "zweischalig mit Binderlagen": string;
                    };
                    description: string;
                };
                "Architecture-masonry-Selinunt": {
                    values: {
                        Bruchsteinmauerwerk: string;
                        Polygonalmauerwerk: string;
                        Quadermauerwerk: string;
                        Trapezoidalmauerwerk: string;
                        "Ziegelmauerwerk gebrannt": string;
                        "Ziegelmauerwerk getrocknet": string;
                        Stampflehm: string;
                        Gussmauerwerk: string;
                        Mischform: string;
                        Anderes: string;
                    };
                    description: string;
                };
                "Architecture-masonryJoint-Selinunt": {
                    values: {
                        Trocken: string;
                        Klammern: string;
                        Erdmörtel: string;
                        Kalkmörtel: string;
                        Ziegelmauerwerk: string;
                        Zement: string;
                        Lehm: string;
                        Mischtechnik: string;
                    };
                    description: string;
                };
                "Architecture-masonryLayerType-Selinunt": {
                    values: {
                        Isodom: string;
                        Pseudoisodom: string;
                        Unregelmäßig: string;
                    };
                    description: string;
                };
                "Architecture-masonryCoating-Selinunt": {
                    values: {
                        Verputz: string;
                        Bemalung: string;
                    };
                    description: string;
                };
                "Pottery-vesselForm-Selinunt": {
                    values: {
                        Alabastron: string;
                        Amphora: string;
                        Aryballos: string;
                        Askos: string;
                        Becken: string;
                        Casserolle: string;
                        Chytra: string;
                        "Cup-skyphos": string;
                        Deckel: string;
                        Dinos: string;
                        Exaleiptron: string;
                        Flasche: string;
                        Hydria: string;
                        Kalathos: string;
                        Kanne: string;
                        Kantharos: string;
                        Kotyle: string;
                        Krater: string;
                        Krateriskos: string;
                        Krug: string;
                        Kylix: string;
                        Lekythos: string;
                        Lekanis: string;
                        Louterion: string;
                        Loutrophore: string;
                        Lopas: string;
                        Lydion: string;
                        Napf: string;
                        Oinochoe: string;
                        Olpe: string;
                        Phiale: string;
                        Pithos: string;
                        Pyxis: string;
                        Rython: string;
                        Schale: string;
                        Schöpfgefäß: string;
                        Schüssel: string;
                        Sieb: string;
                        Skyphos: string;
                        Stamnos: string;
                        Tasse: string;
                        Teller: string;
                        Unguentarium: string;
                        "Offenes Gef\u00E4\u00DF": string;
                        "Geschlossenes Gef\u00E4\u00DF": string;
                        Sonstiges: string;
                        Unbestimmt: string;
                    };
                };
                "Layer-contentPotteryOrigin-Selinunt": {
                    values: {
                        Lokal: string;
                        Indigen: string;
                        Regional: string;
                        Unteritalisch: string;
                        Attisch: string;
                        Etruskisch: string;
                        Korinthisch: string;
                        Lakonisch: string;
                        Ostgriechisch: string;
                        "Ph\u00F6nizisch/Punisch": string;
                        Anderes: string;
                    };
                };
                "Layer-contentPotteryShape-Selinunt": {
                    values: {
                        Alabastron: string;
                        Amphora: string;
                        Aryballos: string;
                        Askos: string;
                        Exaleiptron: string;
                        Hydria: string;
                        Kanne: string;
                        Kantharos: string;
                        Kotyle: string;
                        Krater: string;
                        Kylix: string;
                        Lekythos: string;
                        Lekanis: string;
                        Pithos: string;
                        Pyxis: string;
                        Schale: string;
                        Schüssel: string;
                        Skyphos: string;
                        Stamnos: string;
                        Tasse: string;
                        Teller: string;
                        Topf: string;
                        Unguentarium: string;
                        "Miniatur Keramik": string;
                        Anderes: string;
                    };
                };
                "Pottery-coat-Selinunt": {
                    values: {
                        Schwarzfirnis: string;
                        "Red slip": string;
                        Relief: string;
                        Glasur: string;
                        Tongrundig: string;
                        Anderes: string;
                    };
                };
                "Layer-contentPotteryDecoration-Selinunt": {
                    values: {
                        Stempeldekor: string;
                        Figürlich: string;
                        Unfigürlich: string;
                        Banddekor: string;
                        Pflanzendekor: string;
                        Ritzlinien: string;
                        Eingetaucht: string;
                        Bemalt: string;
                        Graffito: string;
                        "Aufschrift ": string;
                        Stempel: string;
                        Anderes: string;
                    };
                };
                "Layer-contentTerracotta-Selinunt": {
                    values: {
                        Figuren: string;
                        Lampen: string;
                        Webgewichte: string;
                        Spielstein: string;
                        Anderes: string;
                    };
                };
                "Layer-contentInorganic-Selinunt": {
                    values: {
                        Bronze: string;
                        Eisen: string;
                        Blei: string;
                        Schlacke: string;
                        Gold: string;
                        Silber: string;
                        Münzen: string;
                        "Stein bearbeitet": string;
                        "Stein fig\u00FCrlich": string;
                        Reibsteine: string;
                        Kiesel: string;
                        Glas: string;
                        Spielstein: string;
                        Anderes: string;
                    };
                };
                "Layer-contentOrganic-Selinunt": {
                    values: {
                        "Knochen Tier": string;
                        "Knochen Mensch": string;
                        "Knochen bearbeitet": string;
                        Astragal: string;
                        Mollusken: string;
                        Holz: string;
                        Holzkohle: string;
                        Samen: string;
                        Elfenbein: string;
                        Perlen: string;
                        Spielstein: string;
                        Anderes: string;
                    };
                    description: string;
                };
                "Layer-contentBuildingMaterial-Selinunt": {
                    values: {
                        Mörtel: string;
                        Verputz: string;
                        Architekturdekor: string;
                        Mosaiksteine: string;
                        Dachziegel: string;
                        "Lehmziegel gebrannt": string;
                        "Lehmstein ungebrannt": string;
                        Anderes: string;
                    };
                };
                "Layer-workflowOptions-Selinunt": {
                    values: {
                        Gesiebt: string;
                        Geschlämmt: string;
                        Beprobt: string;
                        "Nicht gegraben": string;
                    };
                };
                "Pottery-miniatureVesselForm-Selinunt": {
                    values: {
                        Kotyle: string;
                        Krateriskos: string;
                        Pyxis: string;
                        Lampe: string;
                        Anderes: string;
                    };
                };
                "Pottery-clayHardness-Selinunt": {
                    values: {
                        weich: string;
                        hart: string;
                        "sehr hart": string;
                    };
                };
                "Pottery-clayDensity-Selinunt": {
                    values: {
                        hoch: string;
                        niedrig: string;
                    };
                };
                "Pottery-manufacturingMethod-Selinunt": {
                    values: {
                        "gedreht (auf Drehscheibe)": string;
                        handgeformt: string;
                        "in Form gepresst": string;
                    };
                };
                "ConstructionMaterial-floorCovering-Selinunt": {
                    values: {
                        Estricht: string;
                        Cocciopesto: string;
                        Mosaik: string;
                        "Opus sectile": string;
                        "Opus signinum": string;
                        Steinboden: string;
                        Stampflehm: string;
                        Terrazzo: string;
                        Plattenboden: string;
                        Ziegelboden: string;
                        "verg\u00E4ngliches Material": string;
                        Anderes: string;
                    };
                };
                "Find-storagePlace-Selinunt": {
                    values: {
                        Depot: string;
                        Museum: string;
                        "In situ": string;
                    };
                };
                "Pottery-coatQuality-Selinunt": {
                    values: {
                        glänzend: string;
                        matt: string;
                        dicht: string;
                        dünn: string;
                        streifig: string;
                        abgerieben: string;
                    };
                };
                "Brick-brickForm-Selinunt": {
                    values: {
                        Bodenziegel: string;
                        Deckziegel: string;
                        Flachziegel: string;
                        Firstziegel: string;
                        Hypokaustziegel: string;
                        Hohlziegel: string;
                        Kanalziegel: string;
                        Wandziegel: string;
                        Mauerziegel: string;
                        "Dachziegel unbestimmt": string;
                        Sonstiges: string;
                    };
                };
                "Brick-brickUsage-Selinunt": {
                    values: {
                        Becken: string;
                        Brunnenverkleidung: string;
                        Dach: string;
                        Fussboden: string;
                        Grab: string;
                        Kanal: string;
                        Mauer: string;
                        Ofen: string;
                        Wandverkleidung: string;
                    };
                };
                "Brick-decorationTechnique-Selinunt": {
                    values: {
                        fingerprints: string;
                        animalTracks: string;
                        otherImprints: string;
                        graffito: string;
                        painting: string;
                        stamp: string;
                        inscription: string;
                        combIncision: string;
                    };
                };
                "Brick-roofingSystem-Selinunt": {
                    values: {
                        Korinthisch: string;
                        Lakonisch: string;
                        "Hybrid-sizilisch": string;
                        "Hellenistisch-r\u00F6misch": string;
                        "Hohlziegeldach (M\u00F6nch + Nonne)": string;
                        other: string;
                        unklar: string;
                    };
                };
                "Metal-metalMaterial-Selinunt": {
                    values: {
                        Blei: string;
                        Bronze: string;
                        Eisen: string;
                        Silber: string;
                        Gold: string;
                        Unbestimmt: string;
                    };
                };
                "Metal-metalWeaponsArmor-Selinunt": {
                    values: {
                        Helm: string;
                        Panzer: string;
                        Beinschiene: string;
                        Schild: string;
                        Pfeilspitze: string;
                        Lanzenspitze: string;
                        Speerspitze: string;
                        Lanzenschuh: string;
                        Schwert: string;
                        Unbestimmt: string;
                    };
                };
                "Metal-metalSchmuckTrachtbestandteile-Selinunt": {
                    values: {
                        Gürtel: string;
                        Halsring: string;
                        "Armring / Beinring": string;
                        Ohrring: string;
                        Fingerring: string;
                        Anhänger: string;
                        Perle: string;
                        Kette: string;
                        Knopf: string;
                        Fibel: string;
                        Nadel: string;
                        Unbestimmt: string;
                    };
                };
                "Metal-metalVesselParts-Selinunt": {
                    values: {
                        Dreifuß: string;
                        Situla: string;
                        Kessel: string;
                        Perlrandbecken: string;
                        "Henkel / Griff": string;
                        Attasche: string;
                        Standring: string;
                        Anderes: string;
                        Unbestimmt: string;
                    };
                };
                "Metal-metalToolsEquipment-Selinunt": {
                    values: {
                        Beil: string;
                        Klinge: string;
                        Meißel: string;
                        Säge: string;
                        Hammer: string;
                        Punze: string;
                        Pfrieme: string;
                        Nadel: string;
                        Stichel: string;
                        Spaten: string;
                        Hacke: string;
                        Haken: string;
                        Bratspieß: string;
                        Toilettengerät: string;
                        Pinzette: string;
                        Sonde: string;
                        Kandelaber: string;
                        Lampe: string;
                        Gewicht: string;
                        Beschlag: string;
                        Nagel: string;
                        "sog. K\u00E4sereibe": string;
                        Anderes: string;
                        Unbestimmt: string;
                    };
                };
                "Metal-metalMiscellaneous-Selinunt": {
                    values: {
                        Kugel: string;
                        Blech: string;
                        "Spirale / Spiralrolle": string;
                        Tülle: string;
                        Barren: string;
                        Stab: string;
                        "Guss- Werkstattabfall": string;
                        Schlacke: string;
                        Anderes: string;
                        Unbestimmt: string;
                    };
                };
                "Grave-graveType-Selinunt": {
                    values: {
                        Steinkistengrab: string;
                        Kammergrab: string;
                        "A cappuccina": string;
                        Felsnischengrab: string;
                        Gefäßbestattung: string;
                        "Gemauertes Grab": string;
                        Sarkophag: string;
                        Urnengrab: string;
                        Ziegelplattengrab: string;
                    };
                };
                "ProcessUnit-operationClassification-Selinunt": {
                    values: {
                        "Arch\u00E4ologisches Profil": string;
                        "Geologisches Profil": string;
                        Bohrung: string;
                        Rammkernsondage: string;
                    };
                };
                "ProcessUnit-operationOrientation-Selinunt": {
                    values: {
                        "Nord-S\u00FCd": string;
                        "NNO-SSW": string;
                        "Nordost-S\u00FCdwest": string;
                        "ONO-WSW": string;
                        "West-Ost": string;
                        "WNW-OSO": string;
                        "Nordwest-S\u00FCdost": string;
                        "NNW-SSO": string;
                    };
                };
                "ProcessUnit-operationHorizontalDescription-Selinunt": {
                    values: {
                        gerade: string;
                        geknickt: string;
                        gekrümmt: string;
                        "Vor-/R\u00FCckspr\u00FCnge": string;
                    };
                };
                "ProcessUnit-operationVerticalDescription-Selinunt": {
                    values: {
                        senkrecht: string;
                        unregelmäßig: string;
                        "gekstark geneigt": string;
                        "ein/mehrere Verspr\u00FCnge": string;
                    };
                };
                "ProcessUnit-operationIdentifiability-Selinunt": {
                    values: {
                        "sehr gut": string;
                        gut: string;
                        mittel: string;
                        schwierig: string;
                        "sehr schwierig": string;
                    };
                };
                "Terracotta-decorationTechnique-Selinunt": {
                    values: {
                        Bemalung: string;
                        Relief: string;
                        "Ritzung / Graffito": string;
                        Stempel: string;
                    };
                };
                "Terracotta-architecturalDecorationType-Selinunt": {
                    values: {
                        Antifex: string;
                        Metope: string;
                        Kapitell: string;
                        Firstakroter: string;
                        Eckakroter: string;
                        Giebelskulptur: string;
                        Sima: string;
                        Fries: string;
                        Kassette: string;
                        Miniatursäule: string;
                        Wasserspeier: string;
                        Firstkalypter: string;
                        Wandverkleidung: string;
                        Traufziegel: string;
                        Anderes: string;
                        unbestimmt: string;
                    };
                };
                "Terracotta-toolType-Selinunt": {
                    values: {
                        Platte: string;
                        Arula: string;
                        Gewicht: string;
                        Webgewicht: string;
                        Abstandhalter: string;
                        Stempel: string;
                        Lampe: string;
                        Louterion: string;
                        Louterionständer: string;
                        Pinax: string;
                        Sarkophag: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        Anderes: string;
                        unbestimmt: string;
                    };
                };
                "Terracotta-architecturalScupltureType-Selinunt": {
                    values: {
                        "Figur/Statuette": string;
                        Matrize: string;
                        Miniaturmodell: string;
                        "gro\u00DFformatige Skulptur": string;
                        Anderes: string;
                        unbestimmt: string;
                    };
                };
                "Stone-color-Selinunt": {
                    values: {
                        gelb: string;
                        grau: string;
                        ocker: string;
                        rot: string;
                        schwarz: string;
                        weiß: string;
                    };
                };
                "Stone-objectType-Selinunt": {
                    values: {
                        Abschlag: string;
                        Altar: string;
                        Architekturdekor: string;
                        Basis: string;
                        Bauteil: string;
                        Becken: string;
                        Gefäß: string;
                        Gerät: string;
                        Gewicht: string;
                        Grabplatte: string;
                        Mobiliar: string;
                        Mörser: string;
                        "Plastik/Skulptur": string;
                        Reibstein: string;
                        Sarkophag: string;
                        Schmuck: string;
                        Spielstein: string;
                        Stele: string;
                        Tessera: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Webgewicht: string;
                        Werkzeug: string;
                    };
                };
                "Stone-architectureElement-Selinunt": {
                    values: {
                        Quaderblock: string;
                        Basis: string;
                        Säule: string;
                        Säulentrommel: string;
                        Kapitell: string;
                        Architrav: string;
                        Soffitte: string;
                        Fries: string;
                        Metope: string;
                        Triglyphon: string;
                        Konsole: string;
                        Gesims: string;
                        Sima: string;
                        Akroter: string;
                        Pfeiler: string;
                        Pilaster: string;
                        Ante: string;
                        Türgewände: string;
                        Fensterlaibung: string;
                        "T\u00FCr-/Fenstersturz": string;
                        Schwelle: string;
                        Bogenstein: string;
                        Schranke: string;
                        Bodenbelag: string;
                        Wandverkleidung: string;
                        Profilstück: string;
                    };
                };
                "Stone-material-Selinunt": {
                    values: {
                        Andesit: string;
                        Basalt: string;
                        Feldspat: string;
                        Flint: string;
                        Glimmer: string;
                        Granit: string;
                        Kalk: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Kalzit: string;
                        Kieselstein: string;
                        Kreide: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Sinter: string;
                        "Silex/Flint": string;
                        Trachyt: string;
                        Tuff: string;
                    };
                };
                "Stone-decoration-Selinunt": {
                    values: {
                        Relief: string;
                        Graffito: string;
                        Inschrift: string;
                        Steinmetzzeichen: string;
                        Anderes: string;
                    };
                };
                "Coin-provenance-Selinunt": {
                    values: {
                        Athen: string;
                        Griechenland: string;
                        Kleinasien: string;
                        Italien: string;
                        Sizilien: string;
                        Karthago: string;
                        Kampanien: string;
                        Apulien: string;
                        Lukanien: string;
                        Bruttium: string;
                        Kalabrien: string;
                        Nordafrika: string;
                        Anderes: string;
                    };
                };
                "Coin-mint-Selinunt": {
                    values: {
                        Abakainon: string;
                        Adranon: string;
                        Aetna: string;
                        Agyrion: string;
                        Akragas: string;
                        Akrai: string;
                        Alaisa: string;
                        Alontion: string;
                        Ameselon: string;
                        Assorus: string;
                        Cossura: string;
                        Enna: string;
                        Entella: string;
                        Eryx: string;
                        Gela: string;
                        Herbessos: string;
                        Himera: string;
                        Halikarnassos: string;
                        Harran: string;
                        Hipana: string;
                        Iaetia: string;
                        Kalacte: string;
                        Kamarina: string;
                        Katane: string;
                        Kentoripai: string;
                        Kephaloidion: string;
                        Leontini: string;
                        Lilybaion: string;
                        Lipara: string;
                        Longane: string;
                        Melita: string;
                        Messana: string;
                        "Messana \u2013 Mamertini": string;
                        Morgantina: string;
                        Motya: string;
                        Nakona: string;
                        Naxos: string;
                        Panormos: string;
                        Piakos: string;
                        "Punisch unspezifisch": string;
                        Segesta: string;
                        Selinus: string;
                        Solus: string;
                        Syrakus: string;
                        Tauromenion: string;
                        "Thermae Himerenses": string;
                        Tyndaris: string;
                        Anderes: string;
                    };
                };
                "Coin-denomination-Selinunt": {
                    values: {
                        Drachme: string;
                        Didrachme: string;
                        Tetradrachme: string;
                        Dekadrachme: string;
                        Hemidrachme: string;
                        Stater: string;
                        Hemistater: string;
                        Tetarte: string;
                        Obol: string;
                        Hemiobol: string;
                        "Aes grave": string;
                        Unbestimmbar: string;
                    };
                };
                "Coin-mintingRuler-Selinunt": {
                    values: {
                        Deinomeniden: string;
                        "Gelon II": string;
                        "1. Demokratie": string;
                        "2. Demokratie": string;
                        "3. Demokratie": string;
                        "4. Demokratie": string;
                        "5. Demokratie": string;
                        "Dionysios I": string;
                        "Dionysios II": string;
                        Timoleon: string;
                        Agathokles: string;
                        Dion: string;
                        Hiketas: string;
                        "Hieron II": string;
                        Pyhrrus: string;
                        Hieronymos: string;
                        Philistis: string;
                        Sikeliotes: string;
                        Mamertini: string;
                        Tyrrhenoi: string;
                        Unklar: string;
                    };
                };
                "Pottery-FineWare-Provenance-Selinunt": {
                    values: {
                        Attisch: string;
                        Korinthisch: string;
                        Ionisch: string;
                        Punisch: string;
                        Megarisch: string;
                        Etruskisch: string;
                        Regional: string;
                        Lokal: string;
                        Indigen: string;
                        "Firnisware unklarer Herkunft": string;
                        "Anderes unklarer Herkunft": string;
                        "Afrikanische Sigillata": string;
                        "Italische Sigillata": string;
                        "Eastern Sigillata": string;
                    };
                    description: string;
                };
                "Pottery-Amphorae-Provenance-Selinunt": {
                    values: {
                        "Westgriechisch ": string;
                        MGS: string;
                        "Ionisch-adriatisch": string;
                        Attisch: string;
                        Korinthisch: string;
                        Nordägäisch: string;
                        Chiotisch: string;
                        Phönizisch: string;
                        Punisch: string;
                        Massaliotisch: string;
                        Lokal: string;
                        "Anderes unklarer Herkunft": string;
                        Ostgriechisch: string;
                        Etruskisch: string;
                        Lakonisch: string;
                    };
                    description: string;
                };
                "Pottery-CoarseWare-Function-Selinunt": {
                    values: {
                        Kochware: string;
                        Tafelgeschirr: string;
                        "Gro\u00DFe Beh\u00E4lter": string;
                        "Anderes, Unbekannt": string;
                    };
                    description: string;
                };
                "Terracotta-Collection-Selinunt": {
                    values: {
                        Figürlich: string;
                        Lampen: string;
                        Louteria: string;
                        Arulae: string;
                        Gewicht: string;
                        "Gebrauchsgegenst\u00E4nde varia": string;
                        Sarkophag: string;
                        "Anderes, Unbekannt": string;
                        Pinax: string;
                    };
                    description: string;
                };
                "BuildingMaterial-Collection-Selinunt": {
                    values: {
                        "Bauteile aus Stein": string;
                        Baudekoration: string;
                        Dachziegel: string;
                        Dachterrakotten: string;
                        Lehmsteine: string;
                        Hüttenlehm: string;
                        Wandverputz: string;
                        Bodenbelag: string;
                        Mosaiksteine: string;
                        "Anderes, Unbekannt": string;
                    };
                    description: string;
                };
                "Stone-Collection-Selinunt": {
                    values: {
                        Figürlich: string;
                        Gebrauchsgegenstände: string;
                        Kiesel: string;
                        Marmor: string;
                        Flint: string;
                        "Anderes, Unbekannt": string;
                    };
                    description: string;
                };
                "MetalAndGlas-Collection-Selinunt": {
                    values: {
                        Münzen: string;
                        Glas: string;
                        Bronzeobjekte: string;
                        Eisenobjekte: string;
                        Silberobjekte: string;
                        Bleiobjekte: string;
                        Goldobjekte: string;
                        Schlacken: string;
                        "Anderes, Unbekannt": string;
                    };
                    description: string;
                };
                "OrganicMaterial-Collection-Selinunt": {
                    values: {
                        Knochen: string;
                        Zähne: string;
                        Horn: string;
                        Mollusken: string;
                        Holz: string;
                        Holzkohle: string;
                        Textilien: string;
                        LEder: string;
                        "Anderes, Unbekannt": string;
                        Astragal: string;
                    };
                    description: string;
                };
                "BuildingPart-denomination-Selinunt": {
                    values: {
                        wall: string;
                        wallBlock: string;
                        column: string;
                        doricCapital: string;
                        ionicCapital: string;
                        antaCapital: string;
                        pilasterCapital: string;
                        basis: string;
                        triglyph: string;
                        metope: string;
                        doricCyma: string;
                        ionicCyma: string;
                        sima: string;
                        doricCornice: string;
                        ionicCornice: string;
                        architrave: string;
                        stylobateBlock: string;
                        tympanumBlock: string;
                        blockWithMoulding: string;
                        corniceBlock: string;
                        toothCutEntablature: string;
                        concaveMoulding: string;
                        trapezoidArchBlock: string;
                        palisadeBlock: string;
                        loopHole: string;
                        crenelationBlock: string;
                        waterspout: string;
                        tile: string;
                        altarPiece: string;
                        blockWithFluting: string;
                        leseneBlock: string;
                        stela: string;
                        measuringTable: string;
                        altar: string;
                        collaps: string;
                        workedBedrock: string;
                        waterchannel: string;
                        well: string;
                        building: string;
                        other: string;
                    };
                };
                "BuildingPart-dating-Selinunt": {
                    values: {
                        recent: string;
                        medieval: string;
                        antique: string;
                        unclear: string;
                    };
                };
                "BuildingPart-material-Selinunt": {
                    values: {
                        stone: string;
                        brick: string;
                        ashlars: string;
                        cement: string;
                        wood: string;
                        metall: string;
                        other: string;
                    };
                };
                "BuildingPart-conservationStatus-Selinunt": {
                    values: {
                        inSitu: string;
                        wellPreserved: string;
                        collapsed: string;
                        displaced: string;
                        damaged: string;
                        destroyed: string;
                    };
                };
                "BuildingPart-references-Selinunt": {
                    values: {
                        f: string;
                        k: string;
                        p: string;
                        x: string;
                    };
                };
                "BuildingPart-map-Selinunt": {
                    values: {
                        northernFortress: string;
                        acropolis: string;
                        otherMap: string;
                    };
                };
                "BuildingPart-assignment-Selinunt": {
                    values: {
                        unclear: string;
                        ArchitectonicOrderA: string;
                        ArchitectonicOrderB: string;
                        ProtodoricGroupA: string;
                        ClassicalOrder0: string;
                        ClassicalOrder1: string;
                        ClassicalOrder2: string;
                        ClassicalOrder3: string;
                        ClassicalOrder4: string;
                        SmallOrder: string;
                        TempleA: string;
                        TempleC: string;
                        TempleD: string;
                        TempleY: string;
                        TempleX: string;
                        AltarA: string;
                        BarrierBuilding: string;
                        ArchaicStoa: string;
                        SmallTriglyphAltar: string;
                        BigTriglyphAltar: string;
                        TowerF: string;
                        Phrourion: string;
                        TypeManuzza: string;
                    };
                };
                "BuildingPart-positionAtBuilding-Selinunt": {
                    values: {
                        N: string;
                        E: string;
                        S: string;
                        W: string;
                    };
                };
                "layerBoundariesUpwards-Selinunt": {
                    values: {
                        clear: string;
                        diffuse: string;
                        sharp: string;
                        horizontal: string;
                        inclined: string;
                        even: string;
                        wavy: string;
                        pouched: string;
                        "wedge-shaped": string;
                        "crevice-shaped": string;
                        "drop-shaped": string;
                        maculopapular: string;
                        irregular: string;
                    };
                };
                "layerBoundariesDownwards-Selinunt": {
                    values: {
                        clear: string;
                        diffuse: string;
                        sharp: string;
                        horizontal: string;
                        inclined: string;
                        even: string;
                        wavy: string;
                        pouched: string;
                        "wedge-shaped": string;
                        "crevice-shaped": string;
                        "drop-shaped": string;
                        maculopapular: string;
                        irregular: string;
                    };
                };
                "grainSize1-Selinunt": {
                    values: {
                        Ss: string;
                        Su2: string;
                        S12: string;
                        S13: string;
                        St2: string;
                        Su3: string;
                        Su4: string;
                        Slu: string;
                        S14: string;
                        St3: string;
                        Ls2: string;
                        Ls3: string;
                        Ls4: string;
                        Lt2: string;
                        Lts: string;
                        Ts4: string;
                        Ts3: string;
                        Uu: string;
                        Us: string;
                        Ut2: string;
                        Ut3: string;
                        Uls: string;
                        Ut4: string;
                        Lu: string;
                        Lt3: string;
                        Tu3: string;
                        Tu4: string;
                        Ts2: string;
                        T1: string;
                        Tu2: string;
                        Tt: string;
                    };
                };
                "grainSize2-Selinunt": {
                    values: {
                        Feingrus: string;
                        Mittelgrus: string;
                        Grobgrus: string;
                        Feinkies: string;
                        Mittelkies: string;
                        Grobkies: string;
                        "Kantige Steine": string;
                        "Kantige Bl\u00F6cke": string;
                        "Gerundete Steine": string;
                        "Gerundete Bl\u00F6cke": string;
                    };
                };
                "boneAmount-Selinunt": {
                    values: {
                        veryLow: string;
                        low: string;
                        medium: string;
                        high: string;
                        veryHigh: string;
                        extremlyHigh: string;
                    };
                };
                "soilConsistency-Selinunt": {
                    values: {
                        ko1: string;
                        ko2: string;
                        ko3: string;
                        ko4: string;
                        ko5: string;
                        ko6: string;
                    };
                };
                "moistureCondition-Selinunt": {
                    values: {
                        feu1: string;
                        feu2: string;
                        feu3: string;
                        feu4: string;
                        feu5: string;
                    };
                };
                "hydromorphology1-Selinunt": {
                    values: {
                        e: string;
                        ed: string;
                        eh: string;
                        eo: string;
                        es: string;
                    };
                };
                "hydromorphology2-Selinunt": {
                    values: {
                        r: string;
                        rb: string;
                        rg: string;
                        rt: string;
                        rs: string;
                    };
                };
                "humusContent-Selinunt": {
                    values: {
                        h0: string;
                        h1: string;
                        h2: string;
                        h3: string;
                        h4: string;
                        h5: string;
                        h6: string;
                        h7: string;
                    };
                };
                "limeContent-Selinunt": {
                    values: {
                        c0: string;
                        c1: string;
                        c2: string;
                        c3: string;
                        "c3.2": string;
                        "c3.3": string;
                        "c3.4": string;
                        c4: string;
                        c5: string;
                        c6: string;
                        c7: string;
                    };
                };
                "rootPenetration-Selinunt": {
                    values: {
                        Wp0: string;
                        Wp1: string;
                        Wp2: string;
                        Wp3: string;
                        Wp4: string;
                        Wp5: string;
                        Wp6: string;
                    };
                };
                "macroStructuralForms-Selinunt": {
                    values: {
                        singleGrainStructure: string;
                        massiveStructure: string;
                        coherentStructure: string;
                        crackStructure: string;
                        columnarStructure: string;
                        layerStructure: string;
                        crumblyStructure: string;
                        subangularBlockyStructure: string;
                        polyhedralStructure: string;
                        prismaticStructure: string;
                        platyStructure: string;
                        pedStructure: string;
                        clodStructure: string;
                        RollAggregateStructure: string;
                    };
                };
                "constituents-Selinunt": {
                    values: {
                        charcoal: string;
                        shellFragments: string;
                        "etc.": string;
                    };
                };
                "SurveyUnit-visibility-Selinunt": {
                    values: {
                        veryGood: string;
                        good: string;
                        mediocre: string;
                        bad: string;
                    };
                };
                "SurveyUnit-shade-Selinunt": {
                    values: {
                        none: string;
                    };
                };
                "SurveyUnit-humidity-Selinunt": {
                    values: {
                        dry: string;
                        wet: string;
                        soaked: string;
                    };
                };
                "SurveyUnit-slope-Selinunt": {
                    values: {
                        steep: string;
                        slight: string;
                        none: string;
                    };
                };
                "SurveyUnit-vegetation-Selinunt": {
                    values: {
                        completeCover: string;
                        partialCover: string;
                        patches: string;
                        none: string;
                    };
                };
                "SurveyUnit-consistency-Selinunt": {
                    values: {
                        hard: string;
                        compact: string;
                        loose: string;
                        porous: string;
                        tenacious: string;
                    };
                };
                "SurveyUnit-clumps-Selinunt": {
                    values: {
                        many: string;
                        few: string;
                        none: string;
                    };
                };
                "SurveyUnit-stones-Selinunt": {
                    values: {
                        many: string;
                        few: string;
                        none: string;
                        large: string;
                        medium: string;
                        small: string;
                        allSizes: string;
                        pebbles: string;
                        boulders: string;
                        workedStones: string;
                        ashlars: string;
                    };
                };
                "SurveyUnit-samplingMethod-Selinunt": {
                    values: {
                        totalCollection: string;
                        "counting+sampling": string;
                        sampling: string;
                        noCollection: string;
                    };
                };
                "SurveyUnit-surfaceTreatment-Selinunt": {
                    values: {
                        surfaceCleaning: string;
                        shovelTest: string;
                        diggingPits: string;
                        none: string;
                    };
                };
                "SurveyUnit-qualityOfFinds-Selinunt": {
                    values: {
                        coarseWare: string;
                        fineWare: string;
                        largeContainers: string;
                        tile: string;
                        brick: string;
                        structuralElement: string;
                        architecturalDecoration: string;
                        terracotta: string;
                        stoneObjects: string;
                        bones: string;
                        iron: string;
                        bronze: string;
                        lead: string;
                        coin: string;
                        slags: string;
                        organicResidues: string;
                    };
                };
                "Survey-slope-Seliunt": {
                    values: {
                        steep: string;
                        slight: string;
                        none: string;
                    };
                };
                "Survey-visibility-Seliunt": {
                    values: {
                        veryGood: string;
                        good: string;
                        mediocre: string;
                        bad: string;
                    };
                };
                "Survey-chronologyFinds-Selinunt": {
                    values: {
                        prehistory: string;
                        bronzeAge: string;
                        ironAge: string;
                        greekPeriod: string;
                        hellenisticPeriod: string;
                        "imperialPeriod ": string;
                        lateAntiquity: string;
                        middleAges: string;
                        modernPeriod: string;
                        presentTime: string;
                    };
                };
                "SurfaceCleaning-operation-Selinunt": {
                    values: {
                        uprooting: string;
                        mowing: string;
                        harking: string;
                        stoneRemoval: string;
                        swardRemoval: string;
                        uncoverArchaeologicalFinding: string;
                        cleaningOfArchitecture: string;
                    };
                };
                "Find-furtherAnalysis-Selinunt": {
                    values: {
                        yes: string;
                        no: string;
                    };
                };
                "AnimalBones-boneClassification-Selinunt": {
                    values: {
                        "Becken (Pelvis)": string;
                        "Brustbein (Sternum)": string;
                        "Elle (Ulna)": string;
                        "Fingerknochen (Phalanges)": string;
                        Fußknochen: string;
                        Handknochen: string;
                        "Kniescheibe (Patella)": string;
                        Langknochen: string;
                        "Oberarm (Humerus)": string;
                        "Oberschenkel (Femur)": string;
                        Rippen: string;
                        "Schienenbein (Tibia)": string;
                        "Schl\u00FCsselbein (Clavicula)": string;
                        "Schulterblatt (Scapula)": string;
                        "Sch\u00E4del (Cranium)": string;
                        "Speiche (Radius)": string;
                        Undefinierbar: string;
                        "Unterkiefer (Mandibula)": string;
                        "Wadenbein (Fibula)": string;
                        Wirbel: string;
                        Zahn: string;
                    };
                };
                "ConstructionMaterial-denomination-Selinunt": {
                    values: {
                        flooring: string;
                        wallCovering: string;
                        door: string;
                        window: string;
                        roof: string;
                        other: string;
                    };
                };
                "ConstructionMaterial-material-Selinunt": {
                    values: {
                        clay: string;
                        stone: string;
                        terrakotta: string;
                        wood: string;
                        pebbles: string;
                        "limePlaster ": string;
                        clayPlaster: string;
                        cement: string;
                        Tesserae: string;
                    };
                };
                "ConstructionMaterial-wallCovering-Selinunt": {
                    values: {
                        monochromePlaster: string;
                        paintedPlaster: string;
                        stoneFacing: string;
                        terracottaFacing: string;
                        woodPanelling: string;
                    };
                };
                "Brick-applicationInArchitecture-Selinunt": {
                    values: {
                        basin: string;
                        wellCasing: string;
                        roof: string;
                        flooring: string;
                        tomb: string;
                        waterchannel: string;
                        wall: string;
                        oven: string;
                        wallCovering: string;
                        other: string;
                    };
                };
                "Brick-tileType-Selinunt": {
                    values: {
                        plainTile: string;
                        coverTile: string;
                        ridgeTile: string;
                        hollowTile: string;
                        other: string;
                        unspecified: string;
                    };
                };
                "Brick-type-Selinunt": {
                    values: {
                        firedBrick: string;
                        clayBrick: string;
                        hypocaustBrick: string;
                    };
                };
                "BuildingPart-evaluationAssignment-Selinunt": {
                    values: {
                        uncertain: string;
                    };
                };
                "BuildingPart-references-Seli-akropolis": {
                    values: {
                        Z: string;
                    };
                };
                "Architecture-position-SelinuntAkropolis": {
                    values: {
                        inSitu: string;
                        layerOfDebrisFromCollapse: string;
                    };
                };
                "Architecture-blockProcessing-SelinuntAkropolis": {
                    values: {
                        Bruchsteine: string;
                        Hausteine: string;
                        Lesesteine: string;
                        Werksteine: string;
                        spolia: string;
                    };
                };
                "Architecture-wallClassification-SelinuntAkropolis": {
                    values: {
                        Aufgehendes: string;
                        Fensterzusetzung: string;
                        Flickung: string;
                        Fundament: string;
                        Gewölbe: string;
                        Mauer: string;
                        Mauerbettung: string;
                        Mauerdurchbruch: string;
                        Mosaik: string;
                        "Opus sectile": string;
                        Türzusetzung: string;
                        Wandgestaltung: string;
                        Bodenplatten: string;
                        Steinsetzung: string;
                        Schwelle: string;
                        "Auff\u00FCllung/Zusetzung": string;
                        Einrahmung: string;
                        Unterbau: string;
                    };
                };
                "Layer-designation-SelinuntAkropolis": {
                    values: {
                        burntLayer: string;
                        culturalLayer: string;
                        occupationLayer: string;
                        levellingLayer: string;
                        soilLayer: string;
                        humus: string;
                        debrisLayer: string;
                        filling: string;
                        collapse: string;
                        geologicallyGrownSoil: string;
                        geologicallyGrownRock: string;
                    };
                };
                "Layer-componentsCeramics-SelinuntAkropolis": {
                    values: {
                        clayFineWare: string;
                        clayHouseWare: string;
                        clayCoarseWare: string;
                        clayTools: string;
                        brokenBricks: string;
                        ceramicSlag: string;
                        burntClayOrCeramics: string;
                        clayLumps: string;
                    };
                };
                "Layer-componentsStone-SelinuntAkropolis": {
                    values: {
                        limeStone: string;
                        Basalt: string;
                        Marmor: string;
                        Sandstein: string;
                        Tuff: string;
                        Silex: string;
                        Travertin: string;
                    };
                };
                "Layer-componentsOrganic-SelinuntAkropolis": {
                    values: {
                        Knochen: string;
                        Muscheln: string;
                        Schnecken: string;
                        Horn: string;
                        Zahn: string;
                        Holzkohle: string;
                    };
                };
                "Layer-componentsMetal-SelinuntAkropolis": {
                    values: {
                        Bronze: string;
                        Eisen: string;
                        Blei: string;
                        Metallschlacke: string;
                        sonstigesMetall: string;
                    };
                };
                "Layer-componentsOthers-SelinuntAkropolis": {
                    values: {
                        Putz: string;
                        Glas: string;
                        Mörtel: string;
                        Tesserae: string;
                    };
                };
                "NegativeFeature-classificationFeature-SelinuntAkropolis": {
                    values: {
                        Graben: string;
                        Grube: string;
                        Raubgrube: string;
                        Feuergrube: string;
                        Baugrube: string;
                        Pfostenloch: string;
                        Fundamentgraben: string;
                        Drehpfanne: string;
                        Störung: string;
                        Ausschachtung: string;
                        AbarbeitungVertikal: string;
                        AbarbeitungHorizontal: string;
                        Sonstiges: string;
                    };
                };
                "NegativeFeature-toolTraces-SelinuntAkropolis": {
                    values: {
                        klarErkennbar: string;
                        erkennbar: string;
                        nichtZuErkennen: string;
                        unklar: string;
                    };
                };
                "Architecture-construction-SelinuntAkropolis": {
                    values: {
                        "Fundament: Gesch\u00FCttet": string;
                        "Fundament: gesetzt": string;
                        "Mauerkern: Lesesteine": string;
                        "einschalig vor Feld/Hang": string;
                        "ohne Schalen/keine durchgehenden Lagen": string;
                        "ohne Schalen/nur durchgehende Lagen": string;
                        zweischalig: string;
                        "zweischalig mit Binderlagen": string;
                        "Quadermauerwerk, einschalig": string;
                    };
                };
                "Architecture-wallType-SelinuntAkropolis": {
                    values: {
                        Außenmauer: string;
                        Befestigugsmauer: string;
                        Blockmauerwerk: string;
                        Bruchsteinmauer: string;
                        Fachwerk: string;
                        Feldsteinmauer: string;
                        Grenzmauer: string;
                        Ziegelmauer: string;
                        Mischmauerwerk: string;
                    };
                };
                "BuildingType-kgr": {
                    values: {
                        Unknown: string;
                        Altar: string;
                        Amphitheater: string;
                        Anbau: string;
                        Archiv: string;
                        Basilika: string;
                        Bibliothek: string;
                        Bogen: string;
                        Brücke: string;
                        Circus: string;
                        "Depot/Lager": string;
                        Gehöft: string;
                        Grabbau: string;
                        Gymnasium: string;
                        Halle: string;
                        Heiligtum: string;
                        Kirche: string;
                        Mauerkurtine: string;
                        Moschee: string;
                        Museum: string;
                        Nymphäum: string;
                        Odeion: string;
                        Palast: string;
                        Säulenhalle: string;
                        Synagoge: string;
                        Strasse: string;
                        Stützmauer: string;
                        Tempel: string;
                        Theater: string;
                        Therme: string;
                        Toranlage: string;
                        Turm: string;
                        Wohnbau: string;
                        Sonstige: string;
                    };
                };
                "BuildingCategory-kgr": {
                    values: {
                        Unknown: string;
                        Wohnbau: string;
                        Sakralbau: string;
                        Grabbau: string;
                        HandelGeschäft: string;
                        HandwerkGewerbe: string;
                        Industriebau: string;
                        Befestigung: string;
                        Militärbau: string;
                        "administrativ-staatlicherBau": string;
                        öffentlicherBau: string;
                        otherCategory: string;
                    };
                };
                "Building-material-kgr": {
                    values: {
                        "unbekannt / unerkannt": string;
                        Naturstein: string;
                        Alabaster: string;
                        Andesit: string;
                        Basalt: string;
                        Gneis: string;
                        Granit: string;
                        Kalkstein: string;
                        Marmor: string;
                        Porphyr: string;
                        Puzzolane: string;
                        Sandstein: string;
                        Travertin: string;
                        Tuff: string;
                        Metall: string;
                        Blei: string;
                        Bronze: string;
                        Edelstahl: string;
                        Eisen: string;
                        Gold: string;
                        Gusseisen: string;
                        Kupfer: string;
                        Messing: string;
                        Silber: string;
                        Stahl: string;
                        Zink: string;
                        Zinn: string;
                        Holz: string;
                        Holzwerkstoff: string;
                        Sperrholz: string;
                        Konstruktionsholz: string;
                        Ziegel: string;
                        Lehmziegel: string;
                        Klinker: string;
                        Terrakotta: string;
                        Beton: string;
                        Stahlbeton: string;
                        Mörtel: string;
                        Gipsmörtel: string;
                        "Hydr. M\u00F6rtel": string;
                        Kalkmörtel: string;
                        Lehmmörtel: string;
                        Puzzolanmörtel: string;
                        Zementmörtel: string;
                        "Erde / Lehm": string;
                        "Gips ": string;
                        Glas: string;
                        Kalk: string;
                        Puzzolanerde: string;
                        "Sand ": string;
                        Ton: string;
                        Pflaster: string;
                        Gipspflaster: string;
                        Lehmpflaster: string;
                        Stuck: string;
                        Tonpflaster: string;
                        Zementpflaster: string;
                        Fliesen: string;
                        Sonstige: string;
                    };
                };
                "Building-technique-kgr": {
                    values: {
                        "unbekannt / unerkannt": string;
                        Skelettbau: string;
                        Massivbau: string;
                        Fachwerkbau: string;
                        Holzblockbau: string;
                        Pfahlwerk: string;
                        Steinkonstruktion: string;
                        Bruchsteinmauerwerk: string;
                        Fischgrätenverband: string;
                        Hausteinmauerwerk: string;
                        Kleinquaderverband: string;
                        Kyklopenmauerwerk: string;
                        "Lesesteinverband / Feldsteinmauerwerk": string;
                        Polygonalmauerwerk: string;
                        Quadermauerwerk: string;
                        "Trapezoidalmauerwerk  ": string;
                        Lehmziegelmauerwerk: string;
                        "Ziegelmauerwerk  ": string;
                        "Gu\u00DFmauerwerk / opus caementitium": string;
                        "Mischverband / opus mixtum  ": string;
                        Verschalung: string;
                        "opus incertum": string;
                        "opus latericum": string;
                        "opus mixtum": string;
                        "opus reticulatum": string;
                        "opus testaceum": string;
                        "opus vittatum": string;
                        Inkrustation: string;
                        Putz: string;
                        "Stein- / Marmorverkleidung": string;
                        Stuck: string;
                        "Tonverkleidung (Ziegel)": string;
                        Sonstige: string;
                    };
                };
                "Building-construction-kgr": {
                    values: {
                        Architrav: string;
                        AufgehendesMauerwerk: string;
                        Außenmauer: string;
                        Balken: string;
                        Befestigungsmauer: string;
                        Bogen: string;
                        Decke: string;
                        Fenster: string;
                        Freitreppe: string;
                        Fuge: string;
                        Fundament: string;
                        Fußboden: string;
                        Gebälk: string;
                        Gebinde: string;
                        Gesims: string;
                        Gewände: string;
                        Gewölbe: string;
                        Giebel: string;
                        Glacis: string;
                        Grotte: string;
                        Innenmauer: string;
                        Kapitell: string;
                        Kuppel: string;
                        Orthostat: string;
                        Pendentif: string;
                        Plinthe: string;
                        Podium: string;
                        "Postament/Piedestal": string;
                        Putz: string;
                        Rampe: string;
                        Risalit: string;
                        Säule: string;
                        Schwelle: string;
                        Sockel: string;
                        Spolie: string;
                        Ständer: string;
                        Strebemauer: string;
                        Strebepfeiler: string;
                        Stütze: string;
                        Stützmauer: string;
                        Treppe: string;
                        Tür: string;
                        Sonstige: string;
                    };
                };
                "damages-kgr": {
                    values: {
                        totalCollapse: string;
                        partialCollapse: string;
                        missingconst: string;
                        looseconst: string;
                        fractures: string;
                        riss1: string;
                        riss2: string;
                        riss3: string;
                        riss4: string;
                        deformationSwelling: string;
                        delamination: string;
                        moisture: string;
                        cavities: string;
                        exfoliation: string;
                        spalling: string;
                        efflorescence: string;
                        bioSettlement: string;
                        fireDamage: string;
                        erosion: string;
                        corrosion: string;
                        crusting: string;
                        mechanicDamage: string;
                        discoloration: string;
                        contamination: string;
                        fragmentation: string;
                        ruin: string;
                        weathering: string;
                        rotting: string;
                        rottingstr: string;
                        vandalizm: string;
                        fissure: string;
                    };
                };
                "damages-kgr-str": {
                    values: {
                        totalCollapse: string;
                        partialCollapse: string;
                        missingconst: string;
                        looseconst: string;
                        fractures: string;
                        riss1: string;
                        riss2: string;
                        riss3: string;
                        riss4: string;
                        cavities: string;
                        rottingstr: string;
                        deformationSwelling: string;
                        delamination: string;
                        vandalizm: string;
                    };
                };
                "damages-kgr-mat": {
                    values: {
                        exfoliation: string;
                        spalling: string;
                        bioSettlement: string;
                        fireDamage: string;
                        erosion: string;
                        moisture: string;
                        corrosion: string;
                        crusting: string;
                        mechanicDamage: string;
                        fissure: string;
                        efflorescence: string;
                        vandalizm: string;
                        "rotting-mat": string;
                        discoloration: string;
                        contamination: string;
                        weathering: string;
                        fragmentation: string;
                        ruin: string;
                    };
                };
                "Monument-risks-kgr": {
                    values: {
                        fallHazard: string;
                        dissolution: string;
                        fallDownBricks: string;
                        fallDownParts: string;
                        waterSanitary: string;
                        electricityGas: string;
                        contaminant: string;
                        moisturedamage: string;
                        riskofinjury: string;
                        otherRisks: string;
                    };
                };
                "risks-kgr": {
                    values: {
                        Absturz: string;
                        Angst: string;
                        Atemgift: string;
                        Atomstrahlung: string;
                        Ausbreitung: string;
                        Brand: string;
                        Chemie: string;
                        Durchbruch: string;
                        Einsturz: string;
                        Elektrizität: string;
                        Erkrankung: string;
                        Ertrinken: string;
                        Explosion: string;
                        Sonstige: string;
                    };
                };
                "firstAid-kgr": {
                    values: {
                        KeineMaßnahme: string;
                        Abriss: string;
                        Entfernen: string;
                        HorizontalStützen: string;
                        Vertikalstützen: string;
                        Reparatur: string;
                        Durchgangschutz: string;
                        Zugangsverbot: string;
                        Sonstige: string;
                    };
                };
                "roofing-kgr": {
                    values: {
                        Beton: string;
                        Blei: string;
                        Dachstein: string;
                        Dachziegel: string;
                        Erde: string;
                        Holz: string;
                        Schiefer: string;
                        Sonstige: string;
                    };
                };
                "damage-collapse-kgr": {
                    values: {
                        structuralDamage: string;
                        totalCollapse: string;
                        materialDamage: string;
                        mechanicalDamage: string;
                        partialCollapse: string;
                    };
                };
                "level-kgr": {
                    values: {
                        "1-SehrGering": string;
                        "2-Gering": string;
                        "3-Mittel": string;
                        "4-Schwer": string;
                        "5-SehrSchwer": string;
                    };
                };
                "Stone-lithicMod1-GoebekliTepe": {
                    values: {
                        "1": string;
                        "2": string;
                        "3": string;
                        "4": string;
                        "5": string;
                        "6": string;
                        "7": string;
                        "8": string;
                        "9": string;
                        "10": string;
                        "11": string;
                        "12": string;
                        "13": string;
                        "14": string;
                        "15": string;
                        "16": string;
                        "17": string;
                        "18": string;
                        "19": string;
                        "20": string;
                        "21": string;
                        "22": string;
                        "23": string;
                        "24": string;
                        "25": string;
                        "26": string;
                        "27": string;
                        "28": string;
                        "29": string;
                        "30": string;
                        "31": string;
                        "32": string;
                        "33": string;
                        "34": string;
                        "35": string;
                        "36": string;
                        "37": string;
                        "38": string;
                        "39": string;
                        "40": string;
                        "41": string;
                        "42": string;
                        "43": string;
                        "44": string;
                        "45": string;
                        "46": string;
                        "47": string;
                        "48": string;
                        "49": string;
                        "50": string;
                        "51": string;
                        "52": string;
                        "53": string;
                        "54": string;
                        "55": string;
                        "56": string;
                        "57": string;
                        "58": string;
                    };
                };
                "Find-smallFindsMaterialCodeOld-GoebekliTepe": {
                    values: {
                        "1": string;
                        "2": string;
                        "3": string;
                        "4": string;
                        "5": string;
                        "6": string;
                        "7": string;
                        "8": string;
                        "9": string;
                        "10": string;
                        "11": string;
                        "12": string;
                        "13": string;
                        "14": string;
                        "18": string;
                        "19": string;
                        "20": string;
                        "21": string;
                        "22": string;
                        "23": string;
                        "24": string;
                        "25": string;
                        "26": string;
                        "27": string;
                        "28": string;
                        "29": string;
                        "30": string;
                        "31": string;
                        "32": string;
                        "33": string;
                        "34": string;
                        "35": string;
                        "36": string;
                        "37": string;
                        "38": string;
                        "39": string;
                        "40": string;
                        "41": string;
                        "42": string;
                        "43": string;
                        "44": string;
                        "45": string;
                        "46": string;
                        "47": string;
                        "48": string;
                        "49": string;
                        "50": string;
                        "51": string;
                        "52": string;
                        "53": string;
                        "54": string;
                        "55": string;
                        "56": string;
                        "57": string;
                        "58": string;
                        "60": string;
                        "61": string;
                        "62": string;
                        "63": string;
                        "64": string;
                        "80": string;
                        "81": string;
                        "82": string;
                        "98": string;
                        "99": string;
                    };
                };
                "Find-smallFindsTypeCodeOld-GoebekliTepe": {
                    values: {
                        "0": string;
                        "1": string;
                        "2": string;
                        "3": string;
                        "4": string;
                        "5": string;
                        "6": string;
                        "7": string;
                        "8": string;
                        "9": string;
                        "10": string;
                        "11": string;
                        "12": string;
                        "13": string;
                        "14": string;
                        "15": string;
                        "16": string;
                        "17": string;
                        "18": string;
                        "19": string;
                        "20": string;
                        "21": string;
                        "22": string;
                        "23": string;
                        "24": string;
                        "25": string;
                        "26": string;
                        "27": string;
                        "29": string;
                        "30": string;
                        "31": string;
                        "32": string;
                        "33": string;
                        "34": string;
                        "35": string;
                        "36": string;
                        "37": string;
                        "38": string;
                        "39": string;
                        "40": string;
                        "41": string;
                        "42": string;
                        "43": string;
                        "44": string;
                        "45": string;
                        "46": string;
                        "47": string;
                        "48": string;
                        "49": string;
                        "50": string;
                        "51": string;
                        "52": string;
                        "53": string;
                        "54": string;
                        "55": string;
                        "56": string;
                        "57": string;
                        "58": string;
                        "59": string;
                        "60": string;
                        "61": string;
                        "62": string;
                        "63": string;
                        "64": string;
                        "65": string;
                        "66": string;
                        "67": string;
                        "68": string;
                        "69": string;
                        "70": string;
                        "71": string;
                        "72": string;
                        "73": string;
                        "74": string;
                        "75": string;
                        "76": string;
                        "77": string;
                        "78": string;
                        "79": string;
                        "80": string;
                        "81": string;
                        "82": string;
                        "83": string;
                        "84": string;
                        "85": string;
                        "86": string;
                        "87": string;
                        "88": string;
                        "89": string;
                        "90": string;
                        "91": string;
                        "92": string;
                        "93": string;
                        "94": string;
                        "95": string;
                        "96": string;
                        "97": string;
                        "98": string;
                        "99": string;
                        "100": string;
                        "101": string;
                        "102": string;
                        "103": string;
                        "104": string;
                        "105": string;
                        "106": string;
                        "107": string;
                        "108": string;
                        "109": string;
                        "110": string;
                        "111": string;
                        "112": string;
                        "113": string;
                        "114": string;
                    };
                };
                "Find-smallFindsExcavationMethodOld-GoebekliTepe": {
                    values: {
                        "1": string;
                        "2": string;
                        "3": string;
                        "4": string;
                        "5": string;
                        "6": string;
                    };
                };
                "phase-archaeoDox": {
                    values: {
                        phase1: string;
                        phase2: string;
                        phase3: string;
                        phase4: string;
                        phase5: string;
                    };
                };
                "Sample-soilProperties-archaeoDox": {
                    values: {
                        Feucht: string;
                        Trocken: string;
                    };
                };
                "Find-material-archaeoDox": {
                    values: {
                        "4acf1543-adbc-4a30-97e6-1f6a5ffe539a": string;
                        "9d3e2c94-87c6-42f3-95bb-2ea42153d69c": string;
                        "26b15e93-de00-4d60-b8de-48bca462b5d0": string;
                        "29c7cb2c-fe0a-46f2-86f3-9fe452b41c9a": string;
                        "ebf6a467-1781-4054-b4e0-0719cdc70222": string;
                        "370408ef-eaac-4d9b-a0f9-4345cd9f30f9": string;
                        "a1cf8892-0595-40dc-914f-9ff8a7e279c3": string;
                        "1b4320df-321c-4b9a-bbe2-64a242c26d66": string;
                        "b60871e4-0488-483b-9376-119ee086b557": string;
                        "7fa06d56-27f6-4130-a34e-99c55866ff94": string;
                        "ca76cf02-b31f-44d6-9625-fae8b10b7e76": string;
                        "a8138ed8-0048-4f35-81c0-379a17908be4": string;
                        "6d8bce50-73fb-41cc-951f-3f20b865c099": string;
                        "238ad4f6-1670-4a39-a73c-906877f69fd3": string;
                        "61efb4ed-aa34-404f-8430-ce551cb34665": string;
                        "55d5b6fa-7782-4b18-bdbc-60acdbb498d9": string;
                        "9f13cb96-2f2b-4c35-b0ec-7c547bdcf2dd": string;
                        "5866813d-cb5b-4841-bf3f-26da38c3e655": string;
                        "2a48308a-87fd-412e-ad83-24fc6878bfd0": string;
                        "4407e78f-c9f9-4edd-8b59-33f806b0c251": string;
                        "86d792cd-cc5f-4507-8348-57ff20860550": string;
                        "0de28b2c-56da-4e33-857e-cbf95883ce75": string;
                        "60c0ab7e-fbe5-4643-9aab-722923828ac6": string;
                        "a7ffedd7-a2ed-4290-9e5f-faf3a3d2d908": string;
                        "3b436150-9039-49d5-a8a8-f962e66b7d48": string;
                        "cf93fb83-6a1a-4133-b157-dfd7f40f8713": string;
                        "ce4c4fb7-8c6e-4718-b26a-b2a6969d613c": string;
                        "25271601-a243-4e09-b0cb-30ea4396a934": string;
                        "f4b8d04d-a32c-4d69-96f0-69c7d4ab70d5": string;
                        "720d650a-dacc-4090-a3aa-c1c8e27498eb": string;
                        "1f83a378-9f04-4a27-8576-a4de5ba0d8bd": string;
                        "775ecf8e-1f5e-4659-9698-4eb4f99a243f": string;
                        "f963c028-9c12-4aac-b6c2-d8e8a243c218": string;
                        "09beaa10-9d08-4381-b701-3134429c3934": string;
                        "3407697f-2a7d-4b98-8c36-7df52af76a9e": string;
                        "c4d5a295-360c-4236-8d10-7515d9b96bc9": string;
                        "4e8dcaeb-4b8f-4042-b41c-58966562c0b5": string;
                        "2e842b76-051d-429b-94ef-e01ea10cd44d": string;
                        "fe2e628d-2a98-422e-9d8b-2db84cff2032": string;
                        "3b8f87c0-a44d-4e7f-8953-9d649291e936": string;
                        "2b572ae0-06f3-4584-afb6-58f783e08858": string;
                        "91fdb34d-2cad-45de-95fd-854c65a4d196": string;
                        "f52a91e8-4220-46d3-8b9a-bf57545ea704": string;
                        "7c43eb71-9ee3-4161-947b-06f070edcda1": string;
                        "2d7ba30e-85d8-4dc2-961d-cc7464ce759d": string;
                        "cb6f4617-dbe4-4f70-9679-2eb5ef11b6e7": string;
                        "f0330354-028b-4606-b68d-82bcf0224413": string;
                        "12396cff-0460-4508-8469-cf7b2bdd202e": string;
                        "9b5a0707-06c0-469c-933b-c2c09d334fe6": string;
                        "6c073bc4-de1d-49e1-9520-95564074c2fa": string;
                        "a072513b-fc1f-46d5-94a7-8a84062f51d8": string;
                        "58fc8f66-eba2-4cf9-b8a8-ec93c18ca001": string;
                        "a4615628-7415-4519-bdcc-21f4c1b03a96": string;
                        "002ea7a9-3776-4de6-8ec9-8d227f3fe384": string;
                        "00eae64d-f89f-416d-9fa7-14a9d0da6a7b": string;
                        "dffc5587-bd74-49e0-8984-1faaf7b6d4dd": string;
                        "0af56ba9-933f-4c57-8948-86b17e2a3a18": string;
                        "fa5416e9-b9e9-4bea-9946-730a20c5ca7a": string;
                        "52afd62d-6699-4940-9d70-34dcd2637229": string;
                        "b8bbdcc7-4ddb-4630-9906-2a63f536e040": string;
                        "dcdc37fd-6b5d-4b2f-8685-e6e555cd98a9": string;
                        "f1575953-5b57-439a-ae7f-317998847127": string;
                        "b42999b6-171e-4787-9325-69c1d1dbcce0": string;
                        "e24e7326-c2a5-4958-89b3-b43908b18c39": string;
                        "0a0c7b80-e07d-40b8-b8de-40ee4f92e9bc": string;
                        "ee80cd3e-ce48-4eee-9362-4d2e6f5d2ca8": string;
                        "8bc03432-7242-40f0-9041-68105c00f4a7": string;
                        "c4372b43-24b7-469a-a774-8cbc95b2ca33": string;
                        "ad8291aa-ee40-451d-a365-2773d9c0f865": string;
                        "4ccb6d03-05c2-4b0f-b0d7-18f91f4849bd": string;
                        "85f015e0-27ef-4e37-abca-1d512c730ebe": string;
                        "c556f1b0-5e4b-4776-9bea-ccdd4dcf6d62": string;
                        "6a80534e-f936-4795-922a-1d3be585bc54": string;
                        "21fd6c1e-66a0-43f9-970a-cdbd797a8e6d": string;
                        "552f21f3-aeaf-473e-9ee9-6d8127525d5a": string;
                        "b0d35f06-18e6-4e61-99f0-6ec395a62755": string;
                        "2bb5c8de-a10a-43e6-b6ea-2d400e89fa2d": string;
                        "bb970e9b-ee1a-4aac-b6b3-9bd19cb88ddf": string;
                        "eef03bf0-220f-4a91-bfde-867792cb2962": string;
                        "736c4d62-11c7-4ab3-a07e-b0bbf65d8fe3": string;
                        "ab66486f-323a-444b-a8d1-733f7e71c55b": string;
                        "36bfc9a3-91a8-40fd-b2bc-e50c6839fc13": string;
                        "00b1a8a4-c0f1-4f52-a6f1-71403f2b3a3f": string;
                        "7a84e8c5-e8c8-48f3-8975-2f928fa2a715": string;
                        "1428fc30-75b4-46dc-a37d-94bbfea3f852": string;
                        "f91a3ade-f61d-4e3f-b71d-9fbc385aef3a": string;
                        "21df7f94-7035-4d81-983e-ea8f2166c659": string;
                        "cde1119b-e92d-4a0b-b159-f03b337a9206": string;
                        "251bc203-1a4b-4de9-b49f-e38bf54e2988": string;
                        "255d6b90-8b10-4b5e-9235-41c7048d38f6": string;
                        "36b59003-359b-4cc8-8162-537705155d5b": string;
                        "4131108d-be5f-4ea3-8b16-488cf90643dc": string;
                        "ad704518-f957-4813-bfec-a7e5957d100d": string;
                        "28fb7e27-90b0-4e4d-a4a9-a76393ee5d51": string;
                        "92f40897-32eb-43d7-afe5-c6c9bd419855": string;
                        "04306fa6-d871-42fa-8f6b-f7a90e839100": string;
                        "bb5bd5ab-cb56-47d4-9337-8486e708ea5c": string;
                        "66ff9c45-31fc-4238-903b-87e3c1623c67": string;
                        "8de90543-64b3-49fd-8d58-431f0188f588": string;
                        "2e3b641c-fdfe-41ea-9d89-959ed301da5f": string;
                        "43c96111-8d59-42ef-be00-53261c262994": string;
                        "0fb1f4e7-8dcb-40ff-b27f-cacefac1b38b": string;
                        "1ac92bfa-171e-4b19-90d1-ad2f0b9d3edd": string;
                        "52ffabb2-c3f6-482c-9bc5-63a93343fdf6": string;
                        "1a78d410-985a-4e26-8874-0303b40aefd2": string;
                        "70f7d774-ee06-4016-ac2e-908487a3959c": string;
                        "13145a87-3f81-494f-a54d-79f50ab16e00": string;
                        "41045edd-3806-40b0-ba96-9edb54ae4b83": string;
                        "794a88eb-2b25-4ef0-a68a-d30db94f7aa6": string;
                        "c83bf642-dbe0-4f7a-a085-c1e8217a0c1d": string;
                        "82dc23ce-dd2c-437b-b361-d169abd849ba": string;
                        "23ddbd98-229b-4ff8-85c5-0504572d3145": string;
                        "ede55d66-e7d7-4cb5-9f63-caaf4e91b9d8": string;
                        "3487ec8d-9564-470f-ad2d-156fe1d88640": string;
                        "b0b94663-1d3a-421d-8ef9-3a74c55919a5": string;
                        "4936b276-cb8d-47ce-b905-15911c39c4a4": string;
                        "9c35aa40-88d3-4b04-83d8-34a4778e5a72": string;
                        "89e3a83f-46b7-461e-bce3-03c2c75a1019": string;
                        "b5bf15f1-c486-4a4c-b9cf-e8dedf2da1a2": string;
                        "c8ecbc96-7fe9-4d88-8134-2489db039149": string;
                        "c3e6322a-4597-4a72-b250-8e6885c1b8b8": string;
                        "e23a7b26-1e62-4e82-8969-b45cf72bde97": string;
                        "8e596fb9-735e-4590-88d7-ae38f5e29060": string;
                        "d1f41801-c301-40b6-a75d-0e22a1906709": string;
                        "53c71ff9-eec0-485a-8bc3-e6060c29350e": string;
                        "3c0c370b-e814-4d59-99c0-562574edaa54": string;
                        "50f50229-e7a0-4d8d-82fd-139dcae7a9f5": string;
                        "9700eb83-ff71-4de3-9d49-8549ca8af945": string;
                        "0566096a-c801-476d-b336-0976da7d0a7b": string;
                        "2ee66918-fed1-480a-bc52-65f70b9caa80": string;
                        "db73f18a-13c8-4e28-8155-6c1f10f154ab": string;
                        "cc4b14a9-6681-4597-92fd-269a219c5806": string;
                        "bb997ef5-c904-43c3-a5b4-66e55ab9c0cc": string;
                        "56c15648-1adf-4a90-8825-7904db18076f": string;
                        "e59fe4b2-150c-4ca8-b655-d9949da38dce": string;
                        "69ae41ac-4604-4ae1-8c30-780d0f4982ad": string;
                        "6d6966f8-f27f-4d6e-9a03-72bae007ad8f": string;
                        "893db804-f4ea-4bb3-8fe4-24b5c7380807": string;
                        "97bdf823-d0fe-4a1c-8acd-f5cb6ffdf6e9": string;
                        "3cb4b989-1f1a-40f9-a6e1-42a4d418392e": string;
                        "3d8f648a-ba66-4fb9-a06a-932dc7ec95ac": string;
                        "6b77fd1c-e905-433d-927f-8729673b8dea": string;
                        "a309bba5-d254-435a-8f75-e0b0722b29ca": string;
                        "46b6103f-2685-47d6-935a-2feb89944847": string;
                        "6d70064d-e9cc-4101-b61a-3a33093d4efa": string;
                        "d0d1d1f2-8c26-4cdd-9d60-148425a0a827": string;
                        "b24b1fc9-193b-43b7-b402-efa178acf69f": string;
                        "612d4d32-722e-49c3-84e0-935dd7664d3e": string;
                        "ce5c0b28-df75-4337-92b9-f3e1c5256846": string;
                        "51b13175-1f7b-4bb7-bc5b-af98b5735bda": string;
                        "5913e9c1-3536-4338-966f-5d8827bfa0cf": string;
                        "4053a76c-5a22-44ee-a1ec-adcd40186965": string;
                        "2b044af0-c02b-48e8-a1f7-9ab6fcaf436c": string;
                        "928aa8aa-4a65-48a3-be09-6f4f07fe31ca": string;
                        "9d257343-9be1-442d-bf78-bc15b0a99cbb": string;
                        "4acbf53e-2d28-4e17-bd47-792903b7c98b": string;
                        "10eb5457-5b26-4d7d-b73c-03a64e949a34": string;
                        "91dffaad-5641-4dbb-a75a-1653c856c743": string;
                        "4de93a00-835e-439c-8d52-e47444f49693": string;
                        "881e8ee9-961a-4d82-a65e-bdcb01d5a023": string;
                        "b4a701e6-af71-41ac-a58b-6e20025a3e34": string;
                        "07a40693-af13-4c06-9be3-17354dd96ce8": string;
                        "6c15f6ee-b311-4721-ba9d-0abd950d1e1f": string;
                        "89aaac10-29a1-45f2-8972-cf344973ca33": string;
                        "74d8cd8e-38ab-4768-ba69-9973467432c8": string;
                        "9e0805f3-1fe6-4586-876f-f366a25db1c9": string;
                        "5a228eb5-845c-4376-8d46-5b30a0fd891a": string;
                        "ee2c3f04-be84-4e44-bda5-7473f72e92b2": string;
                        "72afe525-701d-41ec-a12a-300b0a895db5": string;
                        "160887de-529f-4e99-af4d-dbb90608692c": string;
                        "5f69e99b-40f4-496e-8550-0e79d83a8ea1": string;
                        "32c8c49a-6eb7-4268-86c4-39b7198cfa84": string;
                        "61545ce1-5ac6-4cea-b588-be1500d2dc16": string;
                        "a2d25a2e-6de3-4f12-a481-8925795d40f9": string;
                        "d5befb30-6b9c-40b3-afbf-09fe25132cc9": string;
                        "6c33d49a-7025-43d2-acfa-c15b9961bb73": string;
                        "fb311c27-56b1-42d6-b4ee-245c79d9237e": string;
                        "dd8e4a32-0ed7-444e-9607-50abfb257ead": string;
                        "e93435ac-05dc-42dd-ab06-45b721e8591c": string;
                        "8a054adc-4ad7-46ee-bacc-efb8d71ac344": string;
                        "7fa2d36f-2241-4692-942f-c33f82ac74e9": string;
                        "35477ea0-6c47-4497-8083-3edb9ba9afab": string;
                        "67a05c62-0bb5-41a3-b4a2-562d01ca8953": string;
                        "daae3565-dc29-4de6-af13-f7db239f95b7": string;
                        "a7b7c1b9-9a7f-4456-8145-4480d6f7a944": string;
                        "248672e0-7d26-4d12-b1d3-a9280ff570ff": string;
                        "15772363-0af8-423c-8ed4-808b3f27a373": string;
                        "6b1a6603-1b1e-42a8-8d81-96f53a5fd468": string;
                        "0020f640-ccfc-471c-9272-8c626929beca": string;
                        "e4dc9880-380a-4cf8-972f-d975cdbf81e2": string;
                        "c81c89de-5a4e-477b-bf4a-657926488d13": string;
                        "52899fe1-4db2-47b1-81e6-379d6ea265ae": string;
                        "243ffae6-e43c-47c1-85c5-cb45f8228781": string;
                        "2187ccfb-5861-4d03-ba5a-ce382162db50": string;
                        "a5f0f3a7-4602-4b8d-a18d-15fee6cc05f5": string;
                        "ce83801d-5176-477a-9269-5c793f8e3cbb": string;
                        "79ec7896-5513-4465-a4d9-2a4e35ff63cd": string;
                        "5c6b2dfc-3975-4857-929f-2399e603f1b7": string;
                        "615ec96f-04c6-4a81-a763-20a4816557d1": string;
                        "b654800f-30f3-49ce-9332-3699b0ceb27b": string;
                        "82298e28-4a7b-4453-b54d-8d5b9912708b": string;
                        "89cab471-0907-44db-b806-1e626324b068": string;
                        "468762d2-83e2-43f4-9069-263d0ff532e4": string;
                        "59074839-8492-4c94-bc31-7e8df24a496e": string;
                        "3b3f3e51-2c48-49c5-a1b8-3c62e8c4a549": string;
                        "03a1263d-5a1e-4431-a4b1-dc97a12207cc": string;
                        "cb1902b2-7a4b-47ab-bfee-bc1f0b38547e": string;
                        "16b06caf-e6d6-47b3-bb13-015da1762e3c": string;
                        "17f22b85-267b-4421-9d9a-da9dae231186": string;
                        "63039ff8-c9a6-405c-ad82-dc9cd3778437": string;
                        "84858527-a33f-477e-88cb-e4fda135eae0": string;
                        "72735cd7-94e3-4801-86e3-9438241aad6e": string;
                        "765d9938-1ac8-4e9f-836c-2903e9b0041f": string;
                        "857b6aa5-a481-4cf4-8dda-77b33a226c3a": string;
                        "189ea846-249c-4ea0-8cea-b8cadf13201a": string;
                        "561901c1-c85f-4ed1-b85d-ddbcef886805": string;
                        "84f1a01d-9d18-4ffd-8308-e358a0b6241d": string;
                        "51cb40eb-5472-4979-8ebf-0d6dbd2fd523": string;
                    };
                    description: string;
                };
                "period-archaeoDox": {
                    values: {
                        "863ad32c-c578-4eb1-b6c9-36893c8544a6": string;
                        "eb52d41c-960d-46b0-bacb-3dd3d61fdd30": string;
                        "e0186089-49c1-4d36-8d81-7c18dba7fd54": string;
                        "e82242cd-f591-476c-803f-ec40b5061f98": string;
                        "88a82d7e-b90d-4e22-ab29-71bfbb5d6429": string;
                        "c982039e-cad2-4aaa-b6c9-4a6ad1bfb6e4": string;
                        "dcbe004b-c75c-4b47-abd0-999445f33ae6": string;
                        "e2863a15-f120-4072-80f6-1f4c4256cf9e": string;
                        "2892560b-1fcc-46f7-bf3b-7486e46255a4": string;
                        "573e7721-eded-42a0-9275-89970106d30c": string;
                        "6ac26ead-be4e-4dfb-bd49-bc304f31420d": string;
                        "e9ad5a17-7bdb-4e76-9048-8ea3500c7947": string;
                        "405b574b-f7ce-44e1-aa91-8f4128cf3865": string;
                        "e795e41c-b4b4-4517-8a15-3d36863f0fcb": string;
                        "6095d632-0f6c-4ee2-8364-a9bc70895eec": string;
                        "4738f9e5-28c6-4a76-ba2f-d821c817b324": string;
                        "3dd48c2d-4d8f-462d-b2ab-c4fa237c56d1": string;
                        "2027c817-dbd2-42b3-aee4-d646089b4212": string;
                        "a3b6d5cf-53a8-4eec-9e2a-f23a005f0609": string;
                        "54f92bab-8fe7-4c18-8e07-b8a5924e253b": string;
                        "00e83d9c-b46e-4e1c-8af1-005d8fcfe776": string;
                        "10c9645c-9f00-4a92-8736-e7920ce00e0a": string;
                        "16859aa8-0d82-4c47-afd5-1f981d1a8ae0": string;
                        "912fca99-4e17-4632-8828-ef482fe063dd": string;
                        "a6c2ec35-6e5e-4c75-bcd6-3ccb41e4e953": string;
                        "750528b4-9886-4855-8bf9-81e5d928c87e": string;
                        "c27c4730-3f5e-49a1-9378-5ee9d5ab3ba2": string;
                        "832327f1-e541-476f-a07f-00b343514391": string;
                        "d322a638-86f7-4eea-a0f7-1d90250cb89b": string;
                        "f8f121ad-7201-4eff-8de4-5a564d30ad74": string;
                        "dc3cd011-e51d-4e22-8921-db8a99ccd46d": string;
                        "0ccb3563-5aa4-415a-872d-2591a790f8e2": string;
                        "0afdb620-7935-4b1d-92e7-c3e1e55c1c44": string;
                        "e9156ced-64de-436a-b89c-f29f89d30c4b": string;
                        "3955cd33-ee23-42fb-b6da-78e12b88cd92": string;
                        "08d04a3b-e262-4171-b195-68dc2653d3e9": string;
                        "40c64abe-bf7a-4c2f-a738-888a50f9af52": string;
                        "cebb3b0d-727d-4141-8e00-a9103e969f5b": string;
                        "49b3923c-9b39-4047-a662-a597f3e622ff": string;
                        "83a5170a-927b-4876-a1c3-bb964398132b": string;
                        "db9ea34c-9eba-4a2c-a8dd-ded9ac9c12c7": string;
                        "e6714c2e-0fe3-48e0-98bb-b96fd41433a2": string;
                        "0385e564-b412-4b07-8cf7-76082be7bea8": string;
                        "986518d7-4920-4539-b19e-bfbfcff98b26": string;
                        "dc8e6d59-c787-4f2b-a4b3-31c62b3ff832": string;
                        "1fd1e733-09d3-4395-8a27-f72d53de6e6c": string;
                        "25c3e051-c09c-4631-bc61-5390b291fd21": string;
                        "a2971326-c6ff-4be8-b175-2ed39c7310a0": string;
                        "b50f66e0-7b63-4325-acca-78b6cba92d95": string;
                        "999367a6-a23f-4580-9669-21334c7a0cb8": string;
                        "d4acddbb-846a-4ba8-99c1-e79548d14946": string;
                        "7c0e79f3-890c-4595-81e8-e4025f527f0d": string;
                        "aa995658-45aa-4bbc-a010-6f2c70bf8db1": string;
                        "c40e50e0-edf9-4dca-99af-6257d42971e3": string;
                        "07e80e7c-83b5-4a9c-84e1-c1095c454555": string;
                    };
                    description: string;
                };
                "Find-shortDescription-archaeoDox": {
                    values: {
                        "1b27036a-0466-4c47-9124-07019390171a": string;
                        "9fea0ed2-d92e-43fe-aacb-7c67d93c4efe": string;
                        "fa21cd7f-422a-4754-a5fb-4918c68b06a0": string;
                        "7b5a8bb9-21ab-4f0f-8c6a-849727175662": string;
                        "7b8f7bce-bbb5-450e-a8f2-8e5f83ca2fab": string;
                        "1aa81723-553b-4b52-b2b2-68d48405278d": string;
                        "b55780db-1118-4951-b9cd-0f6d3e0b213c": string;
                        "cb00591d-b943-4734-8d04-0450c730e21b": string;
                        "d0857a41-260c-4177-b09e-08a80f9c1006": string;
                        "61adedaf-2a4e-42ab-87f1-2a79326a6746": string;
                        "c12feef3-c310-4daa-9000-9be417a3b6ca": string;
                        "94b8c9f5-0bda-429d-b159-0fcb1c4ebf76": string;
                        "b9882965-d5d8-470e-a35d-9e7661951901": string;
                        "4a78ecb7-089c-441e-a503-339a42b8eaf3": string;
                        "c22d7561-c68b-491f-a685-fe76c785a396": string;
                        "a5ed7eed-1c69-4ea7-a0f9-4d6482a38ddd": string;
                        "d356e40c-e712-4dc1-9e4b-dcc9375d9e2c": string;
                        "51e20d0a-c4c7-475f-bd90-cc430588dbfa": string;
                        "5e48f54f-5222-4b38-97d8-54ec6aaff509": string;
                        "3bc0174e-7491-41fe-ab58-9440c46a8c26": string;
                        "d18f49bb-b22e-416b-af11-7cfd16be3010": string;
                        "8b226b6f-bcb6-46f7-9988-1b1bd1f98de8": string;
                        "ae7fea44-3b1e-4432-bf63-0d4ad8c3bd3f": string;
                        "6d9f1a27-d15e-4129-8116-aec8955e75fd": string;
                        "f5a77996-829e-42f3-842b-6cae7a212a5c": string;
                        "d86c1a56-a89e-433d-b92a-5020e3a002e1": string;
                        "e1d274fa-7419-4671-9bb9-c4d660956597": string;
                        "71fdd315-ddf1-4cd5-80f3-69c8c4b81139": string;
                        "61a6beef-f63b-4536-83d9-cdfb89c6059c": string;
                        "4d59a3c2-1eeb-4a72-affb-8b339cd88757": string;
                        "f1439dde-ad94-4b8d-8d28-752c83a1f588": string;
                        "85ff3361-59fd-4eb1-bbc8-ead29e63629b": string;
                        "aa482ad2-fa5c-4b6a-be74-5ea5d3930930": string;
                        "1feffcde-3464-4753-a90b-c8dac89a6a20": string;
                        "d9309646-bdb3-4e53-b6a3-4f1cabebdd7c": string;
                        "ad41a7ce-1ecb-4e86-a29d-e671a243dd53": string;
                        "099712ec-3733-44d6-83a9-45bb44b4576a": string;
                        "2d189d1f-8410-44a1-8d37-e43a0d0aafac": string;
                        "b92c5a04-3866-48da-85ea-944b3c7c7b0e": string;
                        "95aecdfa-588d-4748-a495-64bb8687299e": string;
                        "330de481-fa65-4845-814d-c32f194cc6d0": string;
                        "b120ca0c-ea79-493b-b94e-70270feb144c": string;
                        "51e15a14-b074-44c2-bb8c-8e22e7472f36": string;
                        "3041ac17-7081-44ef-a948-1189c26555e7": string;
                        "a4f7c909-dce8-4e64-95e9-7f2b27be3a27": string;
                        "ce5dc422-01c5-4eae-8662-b1b595b45a7d": string;
                        "514ddcf8-9356-4a0c-98af-1badcb4912d8": string;
                        "d69f7370-7e6c-4591-9208-c28f891b7a12": string;
                        "bf564f90-e767-4178-8c77-5e5a8536878a": string;
                        "e163463d-25bb-47c1-8229-9af657fb95b8": string;
                        "0e705d5d-cd3b-4dde-9014-980f7df1ced9": string;
                        "22f92ddd-2c2c-4293-b7e1-3d2a6877c3aa": string;
                        "4b260bfa-3833-40b0-8bbf-e7463efab6aa": string;
                        "d81dd7bd-16c8-4e3a-b5ac-b904259c97e3": string;
                        "641cf319-e4ab-4e6a-bd00-b602de4d5ee4": string;
                        "a2fa51d9-9bec-49c8-96c2-31be7c808e8a": string;
                        "955ebe16-15a8-4c73-9f3c-37b9551599f8": string;
                        "472cd2cb-e058-40f1-9129-8f3d3863156f": string;
                        "bf2e2186-0467-4e87-b0d8-4a50e150f79c": string;
                        "cab37204-97e7-4733-9e73-ced3ddd57c20": string;
                        "5962f610-14ca-4422-be25-15bf3ad32cb7": string;
                        "8e8acb39-3dff-4459-9ed7-ccf7d601eb4c": string;
                        "72716c68-77e9-497a-aa1c-07def1616a86": string;
                        "2450a0de-800c-45fc-a68d-a9c4a672f112": string;
                        "f87e2545-d5a0-4d27-b58d-b83b1cb7d2a8": string;
                        "bb300166-1808-41bf-8e9c-ddd8ea303c99": string;
                        "a39a555d-76bb-4179-8f9a-11082f531024": string;
                        "9f310c43-bc44-4db5-9b4e-d6564341ab81": string;
                        "4a22a032-384a-4dcc-a208-6ee212edeb8b": string;
                        "37694377-75fb-4f27-9144-6b39b42e573f": string;
                        "cc5a19ab-9122-498b-b53d-a4018d08570a": string;
                        "a1f8e85d-1f1d-4e6c-8afa-c6df9bf71976": string;
                        "09e63e71-b398-4c49-93bc-17ce06211b51": string;
                        "53b2ea36-6472-4915-ab06-f9864c7cf409": string;
                        "ba1be50c-769c-4e11-bb22-427a4bd6ed51": string;
                        "0eb5bf29-909a-4d1e-ab35-975d21f2468a": string;
                        "e2672f2b-c330-40bb-b125-40c36dd9c3d4": string;
                        "8ca5fb3a-03a2-4295-b887-ee4814dce5ca": string;
                        "52590726-42b2-4fae-b87e-517d9434e271": string;
                        "735a47f4-79d8-4b83-8968-7feca06fc9e3": string;
                        "36f0e41c-d3a1-464d-a5f1-3fc2f36cdf92": string;
                        "44c4c211-2598-4952-b345-3a25cf1289f6": string;
                        "3040ebe9-2d5b-46bf-b6aa-c9dae5954db3": string;
                        "cb81d11f-9795-4cd2-b44f-55604eb07ae4": string;
                        "10eb7e9c-fd64-49fd-951c-d2d4c6f1c720": string;
                        "11823c40-1b8c-448f-a405-e7cdf44666f5": string;
                        "5e4f0566-8159-408c-a0ae-3e0f00b996ba": string;
                        "46de7284-ea40-450d-a20f-f95901808b41": string;
                        "3f308603-40ad-4c47-a968-96ab3c35b28c": string;
                        "dbfb90dc-dafd-48c9-9b19-f39217da1238": string;
                        "5dca6a72-c379-4c37-8fde-3bada3f2b459": string;
                        "2224ec36-d392-463c-920f-92c17a57087c": string;
                        "aba2ff6c-0718-4165-a597-1613a054d398": string;
                        "587d1b5f-3686-48cd-a43f-23deb58bac92": string;
                        "b10a13d4-d7fe-40c3-8f75-8f96d0277885": string;
                        "4ab65bef-5f8f-409b-876d-ada462d5db04": string;
                        "2ceefd6e-a761-4f97-bd69-fe16047be3b3": string;
                        "03a94d30-bbf3-4bad-9c31-8941c2b1b385": string;
                        "dfa6d8e6-656e-4ed4-9f32-2bcea2900c11": string;
                        "6d2c0d8e-e11b-4593-9b95-5cf7d1c01671": string;
                        "8cc1b57b-00e3-427b-8d44-ae41917d5b3c": string;
                        "4cb3ae59-5061-48da-b1e3-d1c53f816887": string;
                        "8ca1bd5a-285c-4af1-a1a5-5004304b74e1": string;
                        "243d26a9-564e-4c82-908e-c8462fb3dfb5": string;
                        "396781e6-f151-4091-ac4b-516e1570f716": string;
                        "4abbea60-55c1-45e9-aef9-c038549dc928": string;
                        "de63299f-b0e5-4c21-93db-2d44a405f351": string;
                        "e6743367-d19a-42b3-8f96-83d6651597ef": string;
                        "45765e16-fc45-4faa-86f4-29cbf5dc1054": string;
                        "f479adc6-e69b-4123-8a09-4a2328ada0ee": string;
                        "a651d067-55a3-4731-bb51-fcb1cdede08b": string;
                        "44283a4b-9960-4d9b-ad60-700764679d8a": string;
                        "bcf2730c-b920-4f62-82e3-3a083394dd0b": string;
                        "c6aedd0e-b534-4ea1-9a5f-92c908095281": string;
                        "3f5cb38d-3123-473a-b569-276ef11a03b9": string;
                        "0952ff28-f27e-4033-b77c-e4887185366f": string;
                        "4fd6ec1b-5116-45fe-b20d-3e30159c860f": string;
                        "c8f665e5-6ac1-4bd8-931c-80b2ac8ed7f1": string;
                        "7b37485a-f7e0-4ced-b902-e6be0dcedd8e": string;
                        "e8fce4cd-5aea-47ff-88d6-85cb2c83b45e": string;
                        "ef2b43c9-f490-4168-818c-03fb888da218": string;
                        "896b563a-b0b8-4f9e-9782-0261ca3d0522": string;
                        "9ec3c65b-6897-413b-abb2-15281ed33a17": string;
                        "eb154290-91ed-4dc6-8c1c-1cff0952bff4": string;
                        "8c8d7b87-5e75-4fb4-8f82-6390f29b0b5a": string;
                        "f82a73f9-71e7-4a4d-b4cf-e60e13e2bf80": string;
                        "39f5fe18-a661-43cc-a7fd-8917f5be007a": string;
                        "f1faa935-ab86-4a5d-9db9-637320b93637": string;
                        "37c33e1f-e1f7-4f7c-b05a-6339dc5522f3": string;
                        "38ec1bf2-b874-4c87-abf2-846b5fcd8cae": string;
                        "2fdcab26-11bb-4f12-8239-836f704a6c50": string;
                        "53e962e0-728e-48d2-bf94-57752170a291": string;
                        "dfa1bdd3-ce48-4203-9269-558975e6a980": string;
                        "69ae8da1-5f90-4027-a0d4-f704a0b5eb0a": string;
                        "f342174e-4dd3-463c-b487-103fba54039a": string;
                        "9ec5e0f6-6215-4d0f-a64a-3c7f6cce720a": string;
                        "b3bb68af-941e-4bf0-98f6-f95a9a9f1555": string;
                        "93a35edc-aa01-4d9d-a9c8-b4c9eca39a1c": string;
                        "ee9fba6c-70fd-49be-ba29-9d2b28c978f2": string;
                        "00daf897-42ee-476f-89a0-0048bb08eb26": string;
                        "eca24445-6cb7-4027-8b98-54c1f1166c67": string;
                        "f264af26-dd37-4b92-a9b4-a50af70a06ba": string;
                        "2b6065bd-d46b-419d-82c2-b125975ff80d": string;
                        "c414bda3-35f3-4699-b573-4bb069b5740d": string;
                        "30ed297d-800b-4816-b1d6-a3267a2b80f4": string;
                        "1ff762e2-e6a0-4e72-8318-f32e24fe03b5": string;
                        "d4d605cb-a60f-441e-9c0e-384ae6008079": string;
                        "6bc1ad96-2371-4734-a87c-2e6311e47fa2": string;
                        "6c236dc3-4449-4074-8a8a-c8baa100f1c9": string;
                        "fc94b5e0-801f-47d4-9470-79d646d66829": string;
                        "e617e7f3-760e-4e90-a65c-d65e858f34e8": string;
                        "6fdd417d-9970-4224-8719-0d9a0820adde": string;
                        "ec5fbb75-3a57-4a09-90bd-1b6a3339dad1": string;
                        "b2f73efe-e04d-48ad-a5b0-40c209c32815": string;
                        "bde89ee8-6c0a-4865-814b-e73afdbb6f72": string;
                        "c6c9d6ea-1c2f-4167-9f32-4bdaafbfe768": string;
                        "fba059c5-fa59-4305-9801-48aae138a31f": string;
                        "9649289b-b758-4220-ba24-8ed30279daec": string;
                        "6cb87cb4-82c5-47b3-a7cc-c3c2a016c2e3": string;
                        "00386db5-7c87-4a15-be55-4c3f68612956": string;
                        "c49fc21c-a766-4299-a191-ad397fd9b15f": string;
                        "966d2b03-c6fa-4442-afa6-f9070290adf1": string;
                        "b80fbe9c-528b-4663-ad02-58818def5433": string;
                        "af0ec9a4-05a5-4180-9042-a7db00b35424": string;
                        "c12ef1e6-348f-410c-9b9f-ed6698b62406": string;
                        "6fc9c06e-20e3-4b14-a5c3-acd921371e53": string;
                        "772d4b97-0843-4071-b788-4a1cfe40a1c3": string;
                        "d8899f32-b944-4ec7-80ff-f89cdab530ef": string;
                        "44e2ddc8-d3a2-4473-963e-187185415f72": string;
                        "78d3ab50-457a-40be-b5df-2be54fbe3a94": string;
                        "e4a6c531-760f-4be4-ba78-5365fa0eab77": string;
                        "2e60d498-6063-4854-8f7a-f53d3c7e0a4e": string;
                        "ed68c941-fbdb-4e35-8997-e81be33a14eb": string;
                        "be7d70f6-cea9-4a67-ab85-6c758caf88f1": string;
                        "9267a1a2-60b2-4a7d-a0a0-08c01c060303": string;
                        "8ba81886-0453-46bc-8169-f02cf21d4648": string;
                        "cf915851-33f9-4646-b2b0-87b7dbe673dd": string;
                        "6851e032-23d8-4cbd-83d3-3ef826e1fe12": string;
                        "2101d463-a541-4880-a441-670d3e131e82": string;
                        "4b7a84ec-00c0-4c60-b797-cde2249ce61e": string;
                        "a064ab05-7f83-4c5a-968a-7c370461f667": string;
                        "0451a771-91b6-4f18-95a8-6e7eb3959725": string;
                        "c65ea9e6-f6ab-40bb-aafc-35379d176b7e": string;
                        "391d945a-d3c4-4f6d-bb7f-687c8529ea4a": string;
                        "1b733441-8407-4715-ac39-06244ababed8": string;
                        "d51d5290-2f7a-41cf-8346-408e68b21496": string;
                        "666e76ea-f928-496a-ad29-47ef6a2f6b64": string;
                        "3c2c2c97-a294-4424-85b0-5f24caae590b": string;
                        "3ef7add3-2bf0-4bd2-85b5-c01d014f80ee": string;
                        "5d985a11-a229-424b-9cba-d82d051af366": string;
                        "980b3231-d539-4804-a6f7-1f39baecc93d": string;
                        "4db8bba4-64b0-4acc-9053-0d48fbfc7aea": string;
                        "18f0cb86-09a1-4e18-96d1-3fed8b75b594": string;
                        "6521a1d2-465b-4c20-9433-eb384b839abc": string;
                        "e9df4b1c-f1f4-4d3b-a6a4-8379c0284da4": string;
                        "8ce87c97-e759-4ff3-9d14-9c5f49ee1f89": string;
                        "2e6e1cbe-f61b-4cbc-8e48-4c77a294cc03": string;
                        "5ba5af49-9e04-4870-a7d4-8801bcbcb0b5": string;
                        "2c4d2164-a574-4d56-b28a-ab43a724f1fd": string;
                        "7d7ccec6-46a0-4d3a-b5f3-86f2c65ba19b": string;
                        "0198b0a1-cd60-47da-a4cb-556ba6932ccc": string;
                        "d9b3d1b0-12f6-4415-887d-60064626d23e": string;
                        "8119502e-2b7b-4778-aa80-33147ca6acd9": string;
                        "67b6d836-c8a3-46ec-b4a2-7a190eb6a3f9": string;
                        "b61ef356-626e-4ad3-86dd-7fd787d0ae29": string;
                        "30f78531-f8cb-4782-b715-263ed33bbd8f": string;
                        "7fc5d693-4972-4f1d-9cca-18f839366afa": string;
                        "f9e58c31-f4c8-47bf-b103-e14ffc0341a3": string;
                        "ece37a15-3e7d-4a21-9068-d7651c039ea6": string;
                        "f8286369-86ea-4057-98d3-04095dd2ca31": string;
                        "f02621fd-eb5f-4ea4-b02d-23a6b9cb0d49": string;
                        "8b8702e3-5c46-4beb-a4d5-7d61457a691b": string;
                        "595c8d5c-f675-4296-b29e-26f209620a9d": string;
                        "79135281-12a8-4898-a315-fb15e0acbb9f": string;
                        "ecfd6b1c-85ba-48df-ac1c-842946035469": string;
                        "ac4fd47d-1a66-4445-a321-a03d1b0ab2ec": string;
                        "7e216534-2931-4283-8431-df2e06b725aa": string;
                        "1bae2417-acf5-4cb9-88de-7aab8d1d8d0a": string;
                        "b6032753-1795-49fe-8c2e-6b1f9478fe60": string;
                        "b1268e6c-20c9-49d5-985a-552602f18f13": string;
                        "5a690a93-f6f4-4567-a738-65bcf574229e": string;
                        "fa47e679-77ba-4fbb-8277-bfdd4d5ada2d": string;
                        "f32ecaa3-3128-43ad-8168-24892606ed3f": string;
                        "0d2cfca2-7255-4647-9afb-93fbaf61fed8": string;
                        "cd2d21c2-ad6e-4080-a77c-833fc37794e8": string;
                        "d909ffab-5a48-4f6f-8b5b-fd1e36d10acc": string;
                        "366ab34c-c6de-484a-bfaf-9704c4d57f85": string;
                        "db000c32-53f9-4a62-bc41-da4a4f56914a": string;
                        "b2d9abe8-c3de-49f8-b537-6845fa446460": string;
                        "6f68710a-94b3-4d3f-9c7a-a1a392e917de": string;
                        "f2998741-0667-4023-b0b7-271003b11367": string;
                        "1b9710c8-0376-42c7-8440-672bae471919": string;
                        "46fb4f50-20e1-4ecf-a5f3-78e59f5928c6": string;
                        "724f7942-27dd-4a57-8dc6-5900e100cc6b": string;
                        "2f9c2337-99f0-41f3-a305-bc0812002205": string;
                        "cd0d470e-bb7f-427d-b2b4-b80417c6538e": string;
                        "732f8483-47a8-4a40-9324-a409ddb71475": string;
                        "05a35ded-301a-4e50-a01e-9e5c6f343581": string;
                        "7695a1da-d944-4364-aaf5-d1721e1780ae": string;
                        "397c84c0-9362-4edc-ab32-f68203668086": string;
                        "0a4337b0-f217-4ddf-9307-b6e0d55a011a": string;
                        "865315b7-90d8-4430-b4c8-6684a2c0db37": string;
                        "461aa42f-6471-46b1-b85d-84b6d85e984e": string;
                        "48b95614-c509-4e7f-95d7-7b720e597ffc": string;
                        "4372108f-10f2-4d90-a9e5-4b9748b82930": string;
                        "d72ec264-35b5-4165-921c-abe6b730c0f1": string;
                        "f375b22b-103a-436a-bbfe-332cbbc8da3c": string;
                        "733053a9-3be3-4b3e-89e5-90d97c8bb0f0": string;
                        "42cf6921-7744-4834-8b6d-f519511362ac": string;
                        "5d06611a-f948-439b-bfd3-10c5b1e7d394": string;
                        "85328739-04d2-4ecd-91d4-d19d41b4e860": string;
                        "1b1a8662-6b99-41b4-9c63-e658d0e6afbe": string;
                        "0486dd27-0b3e-48e1-8962-dd1cd72f9dc6": string;
                        "80461d8c-6fb7-4382-b203-7735c2ba2a52": string;
                        "da4f513a-e07d-446a-9fc0-598858aa8763": string;
                        "be820c6b-0fe3-423f-aece-2e34c4f0bf3e": string;
                        "8ab0a649-3146-42b9-aab6-e4a5e6e3c67c": string;
                        "a7d2de56-eea3-400e-b015-5da88cc4f274": string;
                        "ca77a093-34bf-4e5b-b3ab-84cc2dcc1cb3": string;
                        "a21673d6-8f64-4477-aec6-b5eb10f35650": string;
                        "81430998-3c95-43c4-a106-88e6a1b4764c": string;
                        "cd0eaec0-5c3b-49fc-bce4-754cfbe6d65b": string;
                        "7aef0eb1-d622-4303-abc9-a9a18f8f2e95": string;
                        "f24fa009-bfdd-4c71-a76d-4117803c6d4d": string;
                        "a0d09a07-0430-41a3-844b-6a1ba2a89f95": string;
                        "c9b7afe4-645b-4dd2-9106-b555ef0e1405": string;
                        "ee56fe4c-3c77-486b-bb3c-c3009acf9b5d": string;
                        "57aec8b0-8539-4afe-a25b-2b9468d52e14": string;
                        "9ec6ce98-c172-48d7-8892-b76bc555105e": string;
                        "58841598-f94c-4cf1-a13b-e4caf006a630": string;
                        "d2d1045a-dd6a-4d61-8ad1-e6894c4ce4e4": string;
                        "c54b184e-78d4-4457-a50a-046b5223289b": string;
                        "ee8bf789-966e-43ec-8bdb-a9a79edd9790": string;
                        "2646df8c-e531-4931-a0d8-223ba0f3bed4": string;
                        "cf214b0d-1302-48ef-a095-ba36ba4b8ce0": string;
                        "2b6c6814-eb9f-4d06-a669-642da6f2bca8": string;
                        "5b2ee3d6-2521-4063-8be8-456f4ba725fb": string;
                        "bbee01d1-103b-4f25-bb21-f8a4c233334c": string;
                        "302662be-5480-4c0d-84e2-e4ed993ce21f": string;
                        "1e8ae331-73e7-440b-986e-415db8359d73": string;
                        "bef29e17-0526-443f-9792-f2e770de8618": string;
                        "2087ba8d-959f-4e5f-a064-b585e1bd2b12": string;
                        "20aba9fe-ec86-4d31-b6a3-31dfc1f29df5": string;
                        "95b20bfa-0bab-462d-8c3a-b38418c2c565": string;
                        "a71cedb0-db41-478c-b052-705b54a385a9": string;
                        "9b6d02b7-564e-49a1-b4e9-8b521cb6fd04": string;
                        "6140da9a-61ba-4e42-af91-7196fb16a92a": string;
                        "e2f1f252-a5ab-49af-adda-9d08e12c3011": string;
                        "a59e4d47-8092-4818-8d29-2373b0ee24ec": string;
                        "a3282db3-ac03-4be7-b570-1bf928df590d": string;
                        "045a701f-7a80-4935-8d35-9c7278e903de": string;
                        "f18657af-6a0b-40b1-b567-2a4e2c0374c0": string;
                        "20f51b31-cfe5-4cdf-ac68-1bbcdab2df3a": string;
                        "ec8408cc-b6ee-49a0-be03-6686200a16a8": string;
                        "53607437-c646-4ef2-9746-1ae8fdd6fc63": string;
                        "687db3f4-544e-4557-bbbc-ce9191e80424": string;
                        "6be5311a-1425-4977-9db7-4bae586e9721": string;
                        "a270524a-3cdd-4337-8f75-3c49ccb33532": string;
                        "5a45699b-dd58-42ed-b6e7-33cc75b1164f": string;
                        "7c23c5a3-882e-4319-92a7-6fbe45d24925": string;
                        "ada693d6-7c52-4566-b758-c65b218318bc": string;
                        "65dc5653-a09e-47ea-a010-15c259a2b677": string;
                        "7ad679c2-f6d2-4aef-8942-7e142a3a57ef": string;
                        "608f1ada-5c9c-4686-afd5-9c919bbe078d": string;
                        "525aee40-b912-40eb-8081-ea1cfede0802": string;
                        "62e091ef-77f7-4f9b-8789-7b25ee67c96f": string;
                        "a14320dc-c822-4452-9f82-f497f198cc66": string;
                        "92a96b2d-a347-493c-8610-9111c13e5d62": string;
                        "ec088114-a8bc-4fa0-9795-e49040db8592": string;
                        "d6b00c34-e8e1-4219-8d48-be0b0479e6ca": string;
                        "80d6f270-7adc-4190-b2c6-443388877d92": string;
                        "a4fc2fd8-a4b9-43fc-9591-f1f52fa6fecd": string;
                        "6ed4bee3-37be-46f5-bc98-745416b692e2": string;
                        "09213592-0472-4a40-94cb-209cd3464d14": string;
                        "9fd59336-376e-4bf2-8de4-17a59b9111be": string;
                        "2d120f77-64b2-41b8-8b66-c4c106444787": string;
                        "35b5aeed-2982-4815-99a4-cb842ca7b832": string;
                        "5003d887-7055-43b2-9890-ad5daee2c4e4": string;
                        "59a1c1f9-b508-4a57-a14b-248e85d5bb9f": string;
                        "8b72b334-28e2-4dce-841b-ee27ed3962a4": string;
                        "5973548d-455b-4c0a-8c91-da6d21f88b09": string;
                        "0712b931-d1a2-49c7-b284-60a2fe0ac46c": string;
                        "755e37d8-9469-40f9-8d91-bda15ef33c40": string;
                        "5baa4428-dc42-4754-b01c-8f11da7b9e9d": string;
                        "3265d951-d4f6-4d16-8617-7d7345c72434": string;
                        "fe544fd1-55c0-45b1-90e9-cc6ad3728f7b": string;
                        "f6b7dd9c-7616-4905-93fc-96cfa0ba8d9d": string;
                        "95246eb9-9f8f-4848-ac5d-0dbdde55ed74": string;
                        "1511b06d-e3a2-4fac-acf4-1a1cbd295442": string;
                        "655b26ec-90db-405c-aa64-15a1b0627db6": string;
                        "be803094-ce8e-4879-8d57-35b7aed56145": string;
                        "e6790bb4-90cf-42f1-a671-199d0a80f4c5": string;
                        "dc1ae94e-efa1-42e3-9db1-fb9f7accfdde": string;
                        "1ee7383f-74be-4901-8450-6dd943f03a0a": string;
                        "18eba6ef-79e8-44ef-a2f6-b70c2fcdb75d": string;
                        "e4976446-555f-4d63-8cdd-1129707e00a7": string;
                        "e071604f-eda7-43ed-bf4c-67395483d53c": string;
                        "15d619a8-4155-4518-bffc-4c6ccefb1435": string;
                        "10cad360-c628-491e-80ec-2c066211db5a": string;
                        "bd188de1-30f3-4b9b-a3b7-0675c42a308b": string;
                        "7030b3dc-0687-498e-b5a8-d5a4ebd4539d": string;
                        "b348356b-c16d-4f74-80e9-2a9722c20094": string;
                        "9178cd9b-b329-4d4b-a9bc-01f7c35d9e0f": string;
                        "98a1f3ed-dc3a-4bf0-a9f1-14194ca597f5": string;
                        "a46c2739-bf73-475c-88f3-c197b58b3ef8": string;
                        "5b99dc5f-8243-486d-b475-8ed1b0cbc726": string;
                        "dbcac3e2-6b1a-446d-be92-390afcfcf191": string;
                        "ae41e323-f2da-42b0-9248-e952b3ed71d2": string;
                        "e1e261e6-cf8a-4e47-9e14-a53889b27dc2": string;
                        "fb0fd2a0-c318-4d6b-aef5-7be2d8e6c6fc": string;
                        "2417d139-1c01-4c35-96d0-fe2370be81b6": string;
                        "94147515-5793-4040-aa94-4d50ab21b49f": string;
                        "0b8514c7-626f-4d8e-a525-2210d4726965": string;
                        "cffffae2-39e8-4168-83fc-21447ad19713": string;
                        "7d5b1e35-b4c7-47fe-a4ae-c62cf127f48a": string;
                        "e7d7afed-145c-4853-b6d1-c96b168f0e35": string;
                        "41365817-c5c3-4d8a-8f20-d9af110f286f": string;
                        "da051acb-21d2-4e31-8a4f-aab205486822": string;
                        "f545cb09-c79a-4f62-8c43-73e6d21fcc28": string;
                        "7d0f41f8-c203-4348-bb56-92076ae30d1a": string;
                        "dd46bf17-46a6-4d5f-9003-a37331589b79": string;
                        "060435c5-d8ed-49da-9803-551f7749170c": string;
                        "90226487-0171-4d6e-a4ec-8ff637662b7c": string;
                        "a970c963-f930-40be-8814-90da6e1e3af2": string;
                        "f5f0ab68-6aee-46cc-8a5e-43d3e9b073a7": string;
                        "4fd3587f-ee44-47c2-be70-438732864bb0": string;
                        "2cd3c541-bd73-41be-87d7-e02364cba649": string;
                        "4852e8b6-1f51-418f-b6b7-1a9ab30cedb3": string;
                        "88358ec1-483e-47c7-bbe1-13684b7bc888": string;
                        "402ea811-1e83-4dcf-9a32-fef5b95cb761": string;
                        "4e70aab2-f4f4-4c6b-b59e-af8424c14205": string;
                        "1075b711-6a70-46a9-bf0f-bcf95a58ac09": string;
                        "a8f3e45d-f7c8-417f-96d8-13d5e44a1f97": string;
                        "4680bb49-5b04-4af6-9b72-3aa207d8f620": string;
                        "645a1c6d-7aed-4da6-b3ea-348680153cad": string;
                        "93dec371-881a-4896-a8bb-08da87069ee1": string;
                        "5551eab9-dce7-4e0b-bec1-f55fb98fddbe": string;
                        "677ab400-d228-4c4d-940c-ee51775ea85e": string;
                        "8e974cce-e2ad-4526-9360-46da2c3355f3": string;
                        "b749e558-946b-4455-9948-1de92c60b99d": string;
                        "4cd43070-e1bf-437a-96fb-f8ae607978f8": string;
                        "bd3bc22e-0c2c-46b2-b6ff-1cbb8c483775": string;
                        "4c1b80e0-4c6a-46a5-bb32-9963a3c319f7": string;
                        "fe568bc0-dd16-4875-b0c9-9a6b9af8db2f": string;
                        "da503294-77a2-4f02-9481-138c39426300": string;
                        "efa749f0-8f2c-4cbd-8107-0cea6abd9644": string;
                        "4bb389bc-5beb-46a8-bf21-723f273e9c21": string;
                        "b9a9f32a-452d-4d20-8fbc-7fe3b0432439": string;
                        "9d0aa56b-c5d6-4d13-b318-be7d2f41d568": string;
                        "31563eca-ff61-4122-828e-df5d53f916cd": string;
                        "cf305285-4954-4d1b-a61d-1e536a4c2ac5": string;
                        "51bce2b9-cb2e-483d-85fd-684b530b1a49": string;
                        "2d38a6ad-a920-4f78-8545-c4652018bcaa": string;
                        "615415d9-874c-49aa-b271-bc2118f64bcc": string;
                        "c80b6e24-cdae-4d0c-852c-c644a21293bf": string;
                        "7f9998b1-29b0-44b4-916d-2f7c688684b0": string;
                        "8a10b0a7-a7b9-4dd7-8434-ec365dec391a": string;
                        "f75dc78b-f54f-4dc0-acb4-f7236717fb50": string;
                        "e6944b91-7446-41fe-9cb8-ab61e69d3956": string;
                        "3e31c62e-fc82-48b5-9c7a-9c27f324efc2": string;
                        "938a8fab-4613-4a18-baee-a0d20e07b218": string;
                        "391f71c4-b692-48d0-9d4f-626b3605ad39": string;
                        "1177d2f9-7a74-4e83-b339-9409c10dbe38": string;
                        "7064bf49-b67b-4949-bd56-1787f9232251": string;
                        "e79918f3-7e8e-421b-a19c-1812d6578c51": string;
                        "f17f2c63-e7e2-4a81-82db-b723a278c8ba": string;
                        "4084ad1f-11a4-42f8-9ccd-2cea1ff775ce": string;
                        "622274da-30a3-479c-ad33-9b7b37db632a": string;
                        "0e44df18-e6d7-4ec2-aa95-f14a57d4222c": string;
                        "ee2e007f-40e5-426a-b572-a5fa1f227539": string;
                        "eca260fe-2ba0-4d62-b6f8-b703a7b2c004": string;
                        "1e01855e-ca0b-4582-9d99-c61768f6cdab": string;
                        "52fbe385-cacf-448f-b68f-7427ad9935a1": string;
                        "564756bd-4d87-47a9-b264-ce1385194ded": string;
                        "d39841ea-264a-4914-a659-a9a7675276cc": string;
                        "a2218d9d-b924-4765-984f-76b391e98cd8": string;
                        "956650ca-a134-44ef-9ca6-3bd1464a1f70": string;
                        "4ddca303-05c1-44dc-90e2-e79885f49a98": string;
                        "4b6ff6c1-a1e7-41fd-acde-3c35ec105593": string;
                        "fd42140c-bc75-4332-92d0-a2afb34d3266": string;
                        "e8739c0c-e9f4-4231-ac57-09214b5a2626": string;
                        "4d086469-0c26-4ce1-9586-d5de8db85d8d": string;
                        "ca0dc7c9-05ac-411c-bd28-10cda1d92ed2": string;
                        "eaf12733-e5da-47ab-9917-11eddccd884a": string;
                        "288aff78-76ea-497e-b2f1-bbf79d83191c": string;
                        "df75efcb-d93b-453a-8e68-4ed7db64b906": string;
                        "c00dadd3-c331-498b-9d29-b247fdf6eb1b": string;
                        "241bf5b4-5844-41e5-a4a6-5ad3a6c2674e": string;
                        "e7d85a95-ecf9-4443-8200-21fa0ddd0508": string;
                        "2e7251b5-bb15-4ee6-9c80-c65435bd3a27": string;
                        "429403e0-9242-4738-855f-cf89edc70dba": string;
                        "e84dbece-8f1d-40dc-84b3-85a6ceffe811": string;
                        "54a06b97-dccf-4131-be91-5e3635b0b5dd": string;
                        "569c167f-2ba5-44a1-865c-65bdf376881f": string;
                        "6b924699-43aa-4bf3-b1dd-e9856e0b5765": string;
                        "b6d83c5b-1211-474e-a8e8-b5ba174964f3": string;
                        "c175212b-8644-4444-a0d9-f7f3d3e13c50": string;
                        "f8d526e1-6c34-4788-92ea-64b7bca041e4": string;
                        "72cb9091-3c56-42a0-9920-0e6ffb07cea9": string;
                        "31d6a764-1a9b-490a-a816-94697a88b9fe": string;
                        "34466442-56c4-4605-924e-7347db080dfc": string;
                        "de5e1c26-c4f3-48b0-a056-07ec6bae8068": string;
                        "2ebbe8d8-1ba5-42b4-ab08-38e1cd0455e6": string;
                        "9538c26a-7df4-4ae1-8a68-8cfffdf36e9c": string;
                        "4420de7b-9aeb-4f15-ab1a-54b52101b8de": string;
                        "bb7198ca-4337-40b0-aaee-c3b616802fdf": string;
                        "9942ecfb-6472-44c9-99ae-6f99dc81aa6a": string;
                        "81690a26-6261-4e1c-bf40-a9269d13dd0f": string;
                        "d8225586-fa7a-4910-bda6-1cf05fdb561c": string;
                        "fc620e65-c7f7-4639-bd19-df551a6fa503": string;
                        "d3546fed-0fa3-4e87-84f6-84cd2eef9e39": string;
                        "186d5896-419d-4cc9-929a-cb02ae379ecc": string;
                        "b8d1c3ea-a35b-46c5-bf83-03d9b08508bc": string;
                        "99c524e8-2bf0-4330-a727-1d55c10b4f76": string;
                        "6d1e393e-151a-47eb-a204-dcd87d955a49": string;
                        "1cb546ce-3def-4a3d-8b8d-7c4e6673ce44": string;
                        "0b83c0f3-d14d-4042-8770-fe29930c1f3f": string;
                        "47efe774-dfe1-418b-a72f-efcc780815d3": string;
                        "ccc53189-e4f4-4fa2-8871-9b31010f2f69": string;
                        "32569505-4784-448b-9ad1-667255538e69": string;
                        "fa031dc1-97ca-4c86-8261-ba1629bf9013": string;
                        "a0855176-360a-4b63-a3b1-955e41de1152": string;
                        "5bf9ed98-6f2d-47f6-85dc-04dbaea19b5e": string;
                        "ed2528a7-db38-4d05-a21b-1ae295fe8c9e": string;
                        "2c79467f-1398-456d-a36d-5165a7044071": string;
                        "b099942b-657d-4deb-bf3a-2869e086a009": string;
                        "6649b712-8e25-41ac-a66b-51761d36b71a": string;
                        "a1c4ca22-211f-4a61-b178-4fe4a6acde2a": string;
                        "54e89235-39a6-4056-8235-e9360e388e1f": string;
                        "57853403-c45c-43b7-b886-5b26fa6ee377": string;
                        "412bbf1e-3ffb-4f44-a45b-9c03236da1fd": string;
                        "25f4a34a-aceb-44fc-b3ad-f862fd3d163b": string;
                        "e6b90051-109a-4213-b350-d45be2788a7c": string;
                        "17ad3426-f7b5-478b-b65c-1bb32051bcd0": string;
                        "bdfe3d89-ed54-4a03-8522-4848f26abd9e": string;
                        "5b663a10-dae4-42fe-8e9d-be7c4b2b9e2b": string;
                        "a4d2bc68-9845-4efb-81de-ad66fe75f818": string;
                        "77a90b02-1cf7-49b1-96f7-b70a7fd41a75": string;
                        "d474310b-f9c6-4173-9e0d-a05bd5cd98f9": string;
                        "acef1a90-80ff-4dab-8eb6-59274c58a7a0": string;
                        "bb72629c-863e-4c2d-b703-d9251fce207e": string;
                        "ceedf729-55cd-43be-b8db-dea93e14695b": string;
                        "b2b27a82-2d5e-4b59-ae52-1ea7f82bc937": string;
                        "3d6ddd70-cc4b-455d-85e8-a14c8ac3b2b3": string;
                        "0e20a6ee-55b8-4920-be54-57a680bad03e": string;
                        "6d5be40e-c82c-4157-9630-a536a9e32a21": string;
                        "914d4d9d-f5d5-4ad5-abde-ce92cb1e85c4": string;
                        "5099fea3-dbfd-4f9a-b41c-a4e7586e607e": string;
                        "5248d6d8-2605-46e0-9b64-cead500d77c4": string;
                        "777ca930-a492-4a21-8c50-df4dc81df3ec": string;
                        "1577a4f6-cb7b-4685-a36f-1030dac0d0ec": string;
                        "c4d3322a-8900-477b-ae8c-ba02fb0f6e44": string;
                        "6b2837de-5781-4150-88be-f3b2e23802a0": string;
                        "4cd5ed55-61ac-4dd0-a3da-35582504c757": string;
                        "fbfae38f-5cc9-4ea0-8727-5aa60aa2bd6c": string;
                        "e127ccc8-6b59-4ec7-925c-6f96d12bb6e1": string;
                        "4f07a2d6-7388-463e-b744-b07577332179": string;
                        "a98b2203-3e77-4873-b349-5c8e536e490c": string;
                        "87a0eeed-9e43-49a2-90c6-a1a42a63b965": string;
                        "6f5004e3-6301-4dab-b141-3e221108ba03": string;
                        "fe9d0ebd-6238-42f5-bb33-ebe5bd62ca54": string;
                        "60e88297-cddf-4240-a6dc-f86280c25470": string;
                        "d274de67-2364-444f-a04a-ef1caa578edc": string;
                        "7c1448d4-a983-476b-93da-12da0e331316": string;
                        "9afdac7d-5ccf-4c51-a812-eb32fbeb1b71": string;
                        "5efc559d-9a84-4453-a8e8-60908498c1f9": string;
                        "3b1a2463-5cff-4ffa-a637-34c7f8d29b64": string;
                        "9c2d32f5-0f33-4484-8aa4-7b6b6011f809": string;
                        "a624d47f-f4d9-4581-ad7e-0e98e219c7a7": string;
                        "27a2a0d5-d36e-41cd-bb2f-f35c89412d7a": string;
                        "f821cffc-222b-46c0-9392-fcb3163430dd": string;
                        "b839a874-c460-46a5-b7b2-2e618cd7fd76": string;
                        "1b99e2e6-4877-4ce4-a7ba-5e76033c6fa3": string;
                        "9c54b6b1-4797-4ea5-9b8e-57090166facc": string;
                        "5ae9dd8b-0f89-4ab9-8df1-951e4b21cdaf": string;
                        "54958edc-bd4a-4e6e-a781-2395b6bf0df8": string;
                        "a669ff06-cf56-4ea6-b822-334915ba95ab": string;
                        "92ed8d1e-a98e-4848-b384-678de68b68a2": string;
                        "034f04e5-50df-4616-b674-88cc7e9f6c89": string;
                        "c0a2c52f-9395-4167-8031-2f8f7e67d70f": string;
                        "57209be6-2582-4155-80e2-783370a9fb0a": string;
                        "7b9bfe76-1d5e-4075-8bc8-f6f4cdf00bcf": string;
                        "2834a74a-ee97-4bdd-8eb2-b70558d78a2c": string;
                        "59aaed8a-6917-4f8f-bb2f-48f9475ce72e": string;
                        "0bddb8ee-c70e-4a9a-8868-027d11b866a4": string;
                        "b8f8a4f6-0537-4d58-9c97-4d3c489bdf03": string;
                        "75178f6d-8acb-4b7d-aec5-5b592a9b66dc": string;
                        "bbbd2a69-f308-4821-80ea-5fcc30d7afcc": string;
                        "9030cbdf-d5d0-4791-a0c8-7921871523b7": string;
                        "46b3a890-253f-42c7-958f-0fb24375b071": string;
                        "151edcbd-bfe9-467e-80e1-a39915519f1c": string;
                        "ac559b70-0f8a-4f45-84f0-55910f5a34dc": string;
                        "2af46aaa-deef-4a8d-a08f-b8e9efa3e182": string;
                        "30e5b0b8-5c5f-48b1-9e77-3eb502aaf86b": string;
                        "b54c18d5-d52b-4529-bc57-9eeddec0dcee": string;
                        "19202ecf-d8ac-43a9-9c3b-35ec1d22a06d": string;
                        "0ba4941c-fcda-427f-b6d8-1ad800f04768": string;
                        "9de97616-633d-4a00-870e-f38ce2d31d4a": string;
                        "6bb552af-cc34-4ec9-970f-6e391f0b40e3": string;
                        "39bce240-fd18-47e2-9b48-de6c425d9226": string;
                        "0a9251e3-8f94-414c-a07e-e5247bc76906": string;
                        "ce01361a-80b1-4695-8785-a834552c746e": string;
                        "1143d510-13f7-4c9a-9abd-7a1a125070f6": string;
                        "bdcf0bac-d089-4dfa-a719-542cd8942fb0": string;
                        "2bde64b0-c77d-4372-bfa9-510d4e7dd320": string;
                        "b8dabdf0-96cb-47dc-a7ce-0d27e77cae99": string;
                        "9b8c9725-56a3-431d-a7dd-c61aca356848": string;
                        "2f0124fd-4bdb-487a-b0c9-634ba616f105": string;
                        "f9fe769e-2a2c-4836-a899-2d4af2d7bc83": string;
                        "1d5e87fc-9be5-4f9d-b226-8f7bcc315c25": string;
                        "d9dafbaf-3093-4027-bfc3-f377c41bb26c": string;
                        "301bb466-301a-410c-94e1-905ddfd3e6f1": string;
                        "3864147b-5ff4-4436-82f2-19823f01565a": string;
                        "080a8740-58f9-45e8-aa2a-980da2ec62d7": string;
                        "54ace0f4-b51f-4843-8538-613fa0bd8a24": string;
                        "4dca39bc-b138-4403-bb56-31184e818c51": string;
                        "a7fc8d9c-17b6-4ab5-b43f-ae5ff1e547e7": string;
                        "f7c88d14-c55b-4c28-8723-d47923c8e19f": string;
                        "28e683c3-3838-4cb5-bb5c-16b3b1952d20": string;
                        "a4aec573-c15f-4fd3-9cac-3df21c8824c0": string;
                        "4373d403-9620-446a-8372-e2a636d4a992": string;
                        "46172a15-2b34-40b7-9ceb-31603c6a53e7": string;
                        "23f10e0f-944b-426c-8f68-5fd9f57667b3": string;
                        "62c83330-fa3d-457d-a7f4-df092f1e77a3": string;
                        "290f3f3f-a579-42d9-a732-6bcd5468318f": string;
                        "25911103-7ee6-49b5-96ac-0e7deed38146": string;
                        "8059de22-e0a8-4756-9735-8faf1c556c3e": string;
                        "cbba8585-4450-4705-b38a-92371d40d835": string;
                        "b2182915-4b00-4f1e-a8c4-495966bbb08c": string;
                        "215d00ab-1b24-476d-adb6-c1aacb9c2e92": string;
                        "44c72b6a-6c63-4818-b1fd-eacd3c6feeaf": string;
                        "86419232-9146-42aa-9124-30cae2bc1f3a": string;
                        "a566f0d7-d67f-44ec-b6f8-4454f207d8ae": string;
                        "e0117447-6e2f-406d-bd71-9f00316f0b1d": string;
                        "253fc3ce-e83e-4ae6-8c27-7d873b58b556": string;
                        "18d4ab70-a49f-412f-87da-144040242f8c": string;
                        "8f819a01-14cd-4444-90c7-3bd295133703": string;
                        "90839830-a46a-474c-ac8c-095c7c1e7e3c": string;
                        "b85b1907-85a3-419b-935d-d772726ade3a": string;
                        "c8c43b28-e5e7-4bef-8966-13cd68aa92d0": string;
                        "db1e821d-e70e-4e80-b52e-31a39b498d2a": string;
                        "d2fa0e8e-b582-45e6-928d-0f272e6cae80": string;
                        "c7404c79-99b2-4735-97d9-6b6a631818a8": string;
                        "599d79a7-bf3e-4de1-a7f4-b224f5fe751c": string;
                        "b580ce48-2c13-454f-8f94-1e388cc5d01e": string;
                        "056fcef5-514c-4267-b7c8-71442f1af86a": string;
                        "2d1ef6b2-e8d1-4b9b-a409-c0a5cc7abfa4": string;
                        "83683911-ac1b-447b-9318-73bc0a274c44": string;
                        "810107e9-4a5b-4b50-973d-a2b9a588491c": string;
                        "49a8ab76-288e-4ce9-a38b-24ba47269a63": string;
                        "1677543e-d34e-40f0-86dc-683e363e7428": string;
                        "f4fe7e2f-f118-462a-bc24-c5cceee2fe13": string;
                        "4ced1e22-c09d-4234-aae1-adca14a5febb": string;
                        "7111b93e-d7bc-4fc6-92b6-75efa597f9ea": string;
                        "101082a7-afb6-4f6a-a3c4-0a8286759ffe": string;
                        "db286ef5-9133-4624-91ea-975e1061c7bc": string;
                        "c69f4634-41a3-4b13-841e-135307d772a8": string;
                        "7a3ceabb-1bb6-4447-94f8-df14d5bb02ab": string;
                        "2ba82a23-c797-4330-a2e6-c895a77f8591": string;
                        "47549d5c-f28b-4420-88d7-117cf702f928": string;
                        "292ea969-2327-4bdf-9e55-a04562f73da4": string;
                        "33f3f057-2d82-46c3-ab91-4acad362b3af": string;
                        "9cc3c925-6639-4357-b10f-ac5dc460dae2": string;
                        "3c5d11f1-d378-4936-85f2-a406d6237dd8": string;
                        "e4b6848a-05df-476c-9ed3-cf50dc65a425": string;
                        "b18a082f-f22a-4e78-b346-2c11b76f5e15": string;
                        "1b9593ab-a522-4bee-b4c4-6cbc4f5bdedb": string;
                        "5827fa00-33f1-41d9-b40a-8064cce1a162": string;
                        "b416c92d-4605-4139-8b2b-9b8d14384bf2": string;
                        "2ce440f1-044b-405e-a0ae-b95c3b82f2ec": string;
                        "3608a33b-f143-4fb1-bc95-f5ab96b25fcb": string;
                        "fdd65b5e-13c0-43ed-aa38-6375a0c12dce": string;
                        "720ea091-591e-41bc-8ee1-69600ae45e07": string;
                        "59ba85b5-9229-4bca-a1ee-cc91ba00e018": string;
                        "942e6aed-066e-4772-8542-a01f893e304e": string;
                        "8463b56a-c44a-4ff9-a556-2f4779ade985": string;
                        "d8e69bb1-568f-448c-9a83-fd13e63ddfea": string;
                        "71536565-02a1-4b77-97f0-389cb3899261": string;
                        "d0fcabcf-70ad-4ab5-9940-61873b82b67c": string;
                        "0b799ce0-4040-411f-952a-c362479b3bdb": string;
                        "f801382a-b488-4240-be33-313e5e26d982": string;
                        "374f2821-7ab0-4ee8-8d36-33f5a48c8407": string;
                        "8890231f-a1e3-4e40-a31d-7319908ce14d": string;
                        "dfd7df2f-ca8f-45d2-a1ae-68bd0704e955": string;
                        "71d45ed5-b078-4333-b263-b2e14f01a2ed": string;
                        "0e21a833-2113-4acd-af81-8b86b9c022fd": string;
                        "50d844b7-e3ba-4510-b9a2-1e379ae75769": string;
                        "093ee695-da8a-41a9-ad65-3a401225d352": string;
                        "82cf184c-4a23-4e3b-8d33-00c3a94231ef": string;
                        "3b53ab8f-bf8e-4be1-b3bf-ff2f8cd63073": string;
                        "0ae7dfd3-05f8-45d8-97a1-f091c3a313cd": string;
                        "ad936ead-e46f-4ea7-acb1-13c0d3a95abf": string;
                        "ac543c5e-c73a-4cb6-9389-7024ae853187": string;
                        "3fe05ac9-21cd-414b-8bd3-219afecd0543": string;
                        "471376a2-2e1a-44d0-a320-93f53d1d3ae6": string;
                        "9c64d273-0e6b-4b64-8464-4d4a684aa3ba": string;
                        "96d53095-6fd6-4f3f-b45c-2ccfc02ef420": string;
                        "581fe712-81cf-42ed-a694-cc9dbc0c38cb": string;
                        "70b41b27-40b2-4775-9aa9-6de39db15c66": string;
                        "671a16c8-b4a1-437d-906c-d022100480d1": string;
                        "f8610d24-aeb6-4451-9200-a5c9966dd99e": string;
                        "c9efb20f-ce22-4465-8069-6f9ffc444e5a": string;
                        "2dda63e5-da1f-44c0-98f5-a048c47b2046": string;
                        "e4288c83-8fbf-4f1b-8669-ab3aceffbb35": string;
                        "95ce31f5-281d-4260-9b44-e40b2e818bfc": string;
                        "a7fa1482-0b48-458e-9a60-f113aa88f1b6": string;
                        "8f1b0165-1c9f-40c3-b90a-0491f2310a6e": string;
                        "bb03183e-c36a-481f-96a1-69a7c1e61760": string;
                        "c62f9f22-1119-4877-9f00-bc641f869c84": string;
                        "59a96fcb-cfef-40d3-844e-3e34cbede2ca": string;
                        "54e5ecc4-b924-444e-a153-8a42508a6fb9": string;
                        "b37d887e-f5a3-4fba-a855-3b707df1498c": string;
                        "357d598d-d71c-48a2-b843-01d3af7cec8e": string;
                        "32c35b31-f1ee-4d1d-bee0-5fb6a94627c2": string;
                        "4186fe19-8f97-4017-a619-573287c9de02": string;
                        "314d4680-93f6-4add-a58d-e1429100b1e2": string;
                        "15312bf5-bae3-4a3b-bec9-552bcd30900f": string;
                        "dcac901d-4a16-45e4-997d-e3e845ee760d": string;
                        "d558985d-af9b-4608-9473-c6e3652bdd68": string;
                        "2e3935d5-59b0-4fe9-bec6-092af2df1a28": string;
                        "9b1d0408-da39-42fb-8169-aa30ab3294f3": string;
                        "e98e1266-5c8e-43f2-980c-507f3de9f750": string;
                        "7d984c25-89c5-4e29-ae9c-f94102aba09d": string;
                        "6bf36feb-45b4-4ae1-b4dc-e464d6317ae8": string;
                        "3124de97-2d42-4b77-a4d7-d9df88f5d008": string;
                        "b3097d3a-0dec-414a-b358-2e59aea0e3b7": string;
                        "8e55ec0a-eada-4784-b0bf-6a5a01a043e6": string;
                        "c48735cd-4bf3-416d-8a90-969895b706eb": string;
                        "11bd9df9-5e3f-4261-9ceb-714992bcd107": string;
                        "ba86d842-f8d9-4be6-9e29-5ddd688decfd": string;
                        "7e9fce95-2ca3-4385-a9d2-00ea69f77682": string;
                        "fb85bfc2-bc77-4745-a06b-49eae31d4597": string;
                        "7c01c1c6-6c6f-4710-b150-6fde6af1a6de": string;
                        "fb53fbed-bb4b-4979-b6d8-a078603263b2": string;
                        "7eeb0837-48be-4e64-8224-9b882a03cadd": string;
                        "dff075d9-244e-49e3-bff6-4d0435f96ab0": string;
                        "34cd0521-8d62-4fef-8cdd-cdbd1ba45930": string;
                        "8d703ab8-e108-412b-899c-bf0d0c181922": string;
                        "81634811-5fb8-4c1c-a055-3dfb0c11fd3a": string;
                        "be2396ec-f39e-4b3d-9273-85f518f67809": string;
                        "32f157c2-3fb2-4b57-84a6-376b6b8300d6": string;
                        "c6c66ee1-8763-4f72-8bce-8099ece83afd": string;
                        "38adb430-f807-4a38-9fdf-ec74d9a44970": string;
                        "1502c048-9494-44d5-8929-89bc310d02e2": string;
                        "dae6e962-3003-4e0a-a6e5-04de7e14907e": string;
                        "bf5ea768-1531-436c-8da5-ae37cf6b86d8": string;
                        "6fe6ea5f-2ea4-4901-a6b3-ef87e902f7de": string;
                        "165d2b13-375f-477c-a5c7-1375618060da": string;
                        "7eb965df-8fb3-4867-a581-cdfe79b93096": string;
                        "f2352369-dc47-4f39-a268-f05fd28d19c7": string;
                        "97425776-1014-4e16-8118-2768f6208123": string;
                        "15ae312a-00e3-41aa-b25b-eab26f5db4e6": string;
                        "a2f3d4d1-5ece-4f7a-b40b-807163498726": string;
                        "c9077769-c02f-4e52-93d1-ab851ece083f": string;
                        "253287a1-c90d-44c3-81b4-e29d3cdbd189": string;
                        "330ab880-6045-4dbc-86cc-1b0a7eed7e22": string;
                        "72a56d69-38b2-4694-8a07-785f4571b056": string;
                        "272cb10c-3a7b-453b-978c-ec78c0130ffc": string;
                        "e32ee9eb-5ee4-42a4-ab2b-dc04ec5f1764": string;
                        "9c0efeb0-1f65-4012-b107-3f9d16817e75": string;
                        "9e788b0b-3115-4998-a064-a97440a47818": string;
                        "80e31bef-a3bb-492d-87b8-601337c1b8be": string;
                        "3bf1a041-4fdc-42db-b79c-ca7764ea79a5": string;
                        "08ad8e23-be22-4cd2-ab5e-58b0bf46ec97": string;
                        "9e6347ce-47bb-4c90-ba16-861f6cbcb3b8": string;
                        "377bbb28-3959-4422-8b3b-d7ed2aed6e98": string;
                        "dbaa9eb7-1eb6-489c-9a6e-7881db7a0a01": string;
                        "fae0ed0c-a5aa-4cee-96b5-9f55741b73e9": string;
                        "cdca0676-1f0a-498b-baa5-a8933002372f": string;
                        "c9e37160-e066-4aa7-a34d-826f95d65edc": string;
                        "db72de31-fbdd-430f-bc87-7cade7ff25b2": string;
                        "5132df34-186e-4291-9c0b-f028e95c55e3": string;
                        "40ef3903-2f13-493b-a40b-7ed908f74535": string;
                        "c532f444-366b-43ce-b8c4-6ad5accd3b71": string;
                        "f16a2828-7ecb-4207-acc0-d9caa177f55f": string;
                        "187061a5-7a8b-49f3-9fb1-55759eccbca3": string;
                        "e1548d21-c30e-4630-b8d4-66e16a88bc96": string;
                        "6188f760-56c0-45d8-aced-f44f3d490e17": string;
                        "7488124e-727e-44ce-a7f4-e90a7dffca15": string;
                        "627bd85e-abcb-420a-8a94-8e577a909217": string;
                        "e66860e8-0620-4a1e-9084-b0c5d4ec85f0": string;
                        "0fc0986c-ef2f-40ff-9619-d6c63707314e": string;
                        "84462fca-2cd7-46bc-8ce3-1503e459414a": string;
                        "1926581a-2ee5-49f5-89d1-36fa5c479208": string;
                        "2d20d072-7386-4131-98b4-b0fbdaf0d34f": string;
                        "eeefc3a9-f37d-4ab3-954d-5cb8281f60a1": string;
                        "f0b7183a-6443-4262-a61a-d2de74c2959e": string;
                        "66532c6c-bf2f-42c5-a9cb-d8afa811df23": string;
                        "c6bd158d-f262-4d26-8c73-88aecd1f4811": string;
                        "d3aa4b28-ab90-4a4e-88c3-b7934921e2e8": string;
                        "0bc5c2c3-8084-49f9-a819-a4369489b3ed": string;
                        "72cb542b-a8c3-49f7-bba2-a088f00d18b3": string;
                        "7e542b54-20b6-429e-a47a-8df399c17ead": string;
                        "a5512411-0ce6-43ef-9ea3-3f77eb5d48e2": string;
                        "4ffcd33a-cfe3-4bdb-9161-386cd6aa808e": string;
                        "c0ac113d-95c0-429e-a9df-01cc905ec89d": string;
                        "09f735c3-1c32-476f-b8c3-5cba58a62fe0": string;
                        "47ad0eee-7cea-4935-9292-b93043890293": string;
                        "488f1a73-f01e-4309-ae42-7cef8da5ee04": string;
                        "17c6c69f-6b56-4e62-a340-ad775cac910d": string;
                        "2cd12215-19f9-44b8-8ee1-2f28d166e23f": string;
                        "024d861a-2ddd-4903-a1d2-42abfb6c7cbe": string;
                        "4226ec2c-dbc6-460e-ae52-a281fb3dc691": string;
                        "9f30a72d-c4de-489f-88aa-4aba2fe2f3ab": string;
                        "6f372233-aa72-4947-9c3a-0febe60f0c11": string;
                        "04301510-c6d9-4697-98dd-873cd485ff76": string;
                        "cc4ac9a6-095d-405c-aa00-b7745d1c785d": string;
                        "89907f94-90c1-4650-b6b4-f9a1dd576448": string;
                        "5f466632-37b2-4970-a628-dfe9ac053ef7": string;
                        "b4bb8c61-097f-4ad1-a49c-b270001ad230": string;
                        "ab96f23e-66b9-47b6-905e-f560ee582ecd": string;
                        "02ab08b4-757c-4816-9885-0141b2b0774b": string;
                        "c8c6df7c-8917-4faf-a9a5-b1bf83f06c08": string;
                        "d13014f8-7226-42c4-9a98-f09ee401d8b3": string;
                        "42a16709-532b-4056-a150-530e64fca9cd": string;
                        "8f04faf7-82b0-4cdd-80f8-fe3704c7e2b8": string;
                        "940f6ae1-0bc0-4237-8545-08821f1efaf7": string;
                        "7d9c67e7-8961-493c-a318-30bcd733bf51": string;
                        "ba3b27b0-e10e-4c5e-b13a-76576f025bc1": string;
                        "ff75614c-bc7b-4201-92b3-0fd2d8b9117e": string;
                        "cf0c46ad-6ddd-4c88-88ed-1920b553d2a3": string;
                        "25e3b51b-7a26-41fe-911b-6e47c41ef2d3": string;
                        "8bea0d15-6d55-42fc-9946-29479714bc34": string;
                        "af58120b-4781-41e4-bc8f-ee96d700c95f": string;
                        "e0b357f4-cb27-418f-9c7d-44bb930de208": string;
                        "3875209a-def2-4096-9de5-66274b6db083": string;
                        "b4a393b4-b474-4221-9849-beb1db19869c": string;
                        "5cf11cbd-8c2e-42ad-9cbc-58df82ea5c61": string;
                        "fb5d6aab-2c7a-41d7-94dd-897a47ac431f": string;
                        "ba447a2f-91e2-448a-bd0d-793d81e9711f": string;
                        "f191bdbb-9256-4b25-badf-fed45caa93c7": string;
                        "113e8408-5409-4ba3-bdd0-9f0e09df73a0": string;
                        "c5cf05fa-2652-4dc6-8f72-cdfcc10051c0": string;
                        "19ae6f6e-5429-4920-87b4-d4c08e3b1791": string;
                        "649f5d02-a4c4-4ff8-8190-99b679ee17c0": string;
                        "9b22064e-e59d-4b5d-a153-cf37bb5a5415": string;
                        "4ff399b0-3b48-471d-8b0b-b1e3048e9195": string;
                        "643b070b-07b1-480d-910c-55c505a76dd5": string;
                        "63b0df4b-ff19-4b29-b636-3d43ae2787a1": string;
                        "84a4e43b-cb31-4569-9d4b-7c3ed84a7e21": string;
                        "9ff77be6-4f0e-4b0f-bc7b-248954f2c2e4": string;
                        "c7774ccf-942c-4817-8bd3-136aebe82569": string;
                        "55b0e92b-945c-4e69-b874-dcb6da84445c": string;
                        "d0de5930-39d8-4d38-96c6-8c662045492e": string;
                        "1a2288c2-0d23-4ded-82f1-7ca8623291e2": string;
                        "266d4ff7-8ed4-4221-847d-b7647568cd48": string;
                        "3ffb9f44-b54a-4ebf-9dab-bf9bea122262": string;
                        "fc9a78ec-57b1-431b-a8da-0099c1d6f567": string;
                        "bfb8b8ef-e9ca-41da-ae4c-b318b6f4169f": string;
                        "cd3c4f6f-29cf-44b9-888b-5b001374a717": string;
                        "ebb33377-0fcb-4192-a205-c8e08a3f9e4b": string;
                        "8a37fd2a-de33-486c-a5c3-bfb17e744509": string;
                        "5008b600-d40e-473c-90a3-dc5ef412016e": string;
                        "a8a6c6a4-1454-4e47-840f-c645a0e3e338": string;
                        "a1960883-d247-4e6b-82ed-28eaa6929f78": string;
                        "438a2597-ce17-45ee-82e9-0f024616662c": string;
                        "97a8b5b8-cbc8-4e0b-8522-438028765278": string;
                        "c6c1c9e4-6812-4211-bc7e-043ae0a6b752": string;
                        "1f8699eb-4a99-4797-bdd8-dd389c243ef9": string;
                        "f5b73fae-581c-43fd-87b4-b02d6a4368bb": string;
                        "a74ca631-cf75-4565-bda1-4cf93a813817": string;
                        "2b72c2dc-3612-438d-8be7-d058ac9a493a": string;
                        "04cd80d1-8714-44db-a47b-9e7287c4f474": string;
                        "922d7f6e-82da-443a-adbb-53b25d222142": string;
                        "36b2f86d-d93a-4bd6-8592-254f27448ad5": string;
                        "9e992a67-0d6b-4c35-9e6b-3e8447e0a512": string;
                        "89738395-a254-47a5-869f-6fe226d21aee": string;
                        "aa8fd7ad-84ee-48e3-8280-93fd04e73fe0": string;
                        "db6d7673-e345-4f5a-8bca-e647174b55b3": string;
                        "fce64e59-fbba-4343-9f09-6b129b84f859": string;
                        "aff927d6-b2bb-4a8e-a5bc-e84ccd64ed04": string;
                        "07765588-db37-4928-acb1-24d4cdec8d42": string;
                        "6ef181f7-81de-4d94-94c0-eef09d50458f": string;
                        "34ca06bb-e22b-4929-9ddd-f3f6a1d627dd": string;
                        "0f960fdd-416c-4805-952a-ae8ca5ccc9c7": string;
                        "ec9df54d-1e8b-439e-b655-194997fc5237": string;
                        "15b4650e-9218-4cc0-a5ee-4c1aa6561471": string;
                        "dff03b18-012e-41ad-be46-f0d422694c9f": string;
                        "375833be-dccc-4cc6-82ab-64accdc03158": string;
                        "8028aade-5477-4ed0-a280-b1fa4b6f4809": string;
                        "14fe7396-3067-4dae-a28b-30017a381872": string;
                        "41a7507d-9795-40bf-a9c1-08d5dce0dffa": string;
                        "52496be6-1266-43c7-90ad-442fac4d950c": string;
                        "b3e529c1-7931-467d-9b6c-d4537ec328c7": string;
                        "84b0d8f3-975b-48f2-8be8-be1220d9de71": string;
                        "0c5e013d-04dc-4b70-aac9-3c19f7ab1257": string;
                        "843cd868-e11a-45a2-b26f-e98847324277": string;
                        "ee07b80e-30ee-42c7-9c6f-3bb68f4a1ef1": string;
                        "498688bf-5d69-45a1-86f8-f7ab1b72f694": string;
                        "ae90a89d-e4b7-46f6-852d-e3908db689b7": string;
                        "c926dd60-ed76-4ad2-a891-2ab99ce59f43": string;
                        "981c9d95-4d85-412c-b7f6-69b7d9e76e9c": string;
                        "d3028883-2d13-4644-8a66-6fcdbc4a2c38": string;
                        "3f45f046-39b6-478d-82bd-36ddf9998a6f": string;
                        "1dfbf334-d502-46c9-80d9-058edcd81b0f": string;
                        "055d2a8c-81f9-4c84-965c-e90a3257b526": string;
                        "2a981f3d-d61f-4864-a028-d9875c2a9e74": string;
                        "3c233f88-d967-4d5e-b476-be7828f0d3ca": string;
                        "70d82386-207a-4b0a-944e-012fb0ff92b1": string;
                        "456e0d90-ef84-4157-8edb-c110ed11354d": string;
                        "17ea62d0-1acd-4738-ada6-3f0ad9ecb41e": string;
                        "4fb59bd8-55d1-4f13-94fb-918fd448d381": string;
                        "618f20b0-c686-4c23-b87c-1713bd8c2e97": string;
                        "786826bb-012c-45cb-8f8c-ec93ac74e544": string;
                        "278b48d6-e540-4232-898a-0821f081e252": string;
                        "1ab45a57-af07-4265-a63c-366cef4e3dab": string;
                        "97a85055-32fd-480e-ab9f-dc228a20ce89": string;
                        "74782624-3e5c-4c87-89ec-9110411bc944": string;
                        "34705c7b-090f-4d73-bfb1-08d67c61ca99": string;
                        "3eaf0dc5-2079-4121-9642-af4c36960612": string;
                        "30eeb488-303d-4bfd-8e96-7f97e424eee0": string;
                        "4c3652da-5b12-42b2-ad7b-58140ca46940": string;
                        "86a095b3-b339-4d59-bbd6-0e8c4845c76c": string;
                        "252ff606-9f4f-4d6d-ad90-58231542503b": string;
                        "d81c76fa-5ded-44e5-9437-2ea25b8457e9": string;
                        "06623dc9-9d6a-4943-907d-e5a36f8ad3b5": string;
                        "60e49ea3-e361-4093-912c-efcf6dde8631": string;
                        "4e8157fb-641b-488d-b71d-8e2a48472a31": string;
                        "164b13db-2acb-4764-859d-bd5320d98890": string;
                        "f0516d25-ed3a-4370-80a6-3d691722bf5b": string;
                        "a12ff02b-ab8b-4d31-8469-ab8b91851911": string;
                        "3559a62f-045b-42a0-8846-84c087d8216c": string;
                        "dcdd3f8c-8116-4dc8-9dfd-0323b01b24eb": string;
                        "3a9d7a16-d040-4ccc-aa60-5770ebf28249": string;
                        "661cc694-08f8-435b-993b-7febabbc05f6": string;
                        "467b296c-edb4-475a-8b8f-b3e5ae4a5db9": string;
                        "c4d4e04d-df2f-491a-b179-a2a55624c284": string;
                        "899f8b24-693e-4fa9-93db-cb1292a5fc51": string;
                        "093e5276-a581-4a7d-8f4b-a60f0014731a": string;
                        "a8920f39-e515-43e1-8545-dda48c810516": string;
                        "08dfb4f0-dec6-4c9c-ba28-604ed1d4e53f": string;
                        "6c7a95fc-4862-4f64-8748-2c1d3cd31ae2": string;
                        "df9ae7a2-1a9e-464c-be02-57b8d50d62a9": string;
                        "5fa4871b-3d53-43f3-960a-c385086fab5b": string;
                        "4a20fd33-02bf-4ca1-a5b7-b140b305a6ab": string;
                        "c4606573-2759-4ec8-b7ff-7d7bfe4fc500": string;
                        "5f576310-1f76-4a37-8aae-9861622fdaea": string;
                        "f8fe0ef0-ff31-46be-a750-af633aea99bf": string;
                        "ac2a8ad4-09d9-478b-bfef-20a150e55b9f": string;
                        "cb4958c5-c874-40b9-85bb-e06ef44f0534": string;
                        "5ea9bf52-4f46-4e47-bd86-7b3d3ef64402": string;
                        "1df7e579-9be7-4087-a6b1-29f135923e5a": string;
                        "42f38cdc-860d-4b5c-9992-03813e23d8bb": string;
                        "797b3475-4e1c-4e91-9221-e12cb676ffef": string;
                        "4fec8428-080a-44e6-b2e8-96271ade770b": string;
                        "4308aca6-81d4-4a43-b6be-81ed6a946c0d": string;
                        "7f8c8b6f-b4ab-474b-b701-9d50bfb5a537": string;
                        "efbe0bef-454d-49f4-b83f-89d9e0bc27fd": string;
                        "7cd72497-131a-4940-95bf-c8fe3063afba": string;
                        "5d60e53c-8ce6-4e82-af9d-7bd20b65aed4": string;
                        "1720048d-70bf-48d0-94ca-e3db42de023d": string;
                        "75154717-1e88-4ea0-9445-d2b078e090e6": string;
                        "d6fdcf8b-4224-486b-9a30-bef96036b967": string;
                        "08cd1700-e63c-475c-a925-780abc7d67e7": string;
                        "93d605f5-e26b-4ae7-8214-7b67a3e5a3d7": string;
                        "d71ee407-4efe-4148-862a-58237f576446": string;
                        "0819aa42-80c0-44af-9f32-e47f39c77821": string;
                        "b7278fe6-b807-432e-bd5b-2e935598c1b0": string;
                        "ba7bee1b-419e-4124-82af-8efefe8aa618": string;
                        "033333d9-7783-4138-b90c-a24b44eb8269": string;
                        "c0ce82e7-f0e3-4bbb-a214-239d8f63554c": string;
                        "08d01a04-e768-46fc-af18-0759edcb06f8": string;
                        "19ccfbd5-6ea7-405e-946e-1907739cb637": string;
                        "84e06aab-d879-487e-a850-142a34ec82c3": string;
                        "c448ceaa-3cb3-482e-9ba1-5683cdd98130": string;
                        "51ff66fd-6c41-45e5-bd8a-0d0cb4089027": string;
                        "f1dcd056-afca-4018-8e7e-b3e3b7845b15": string;
                        "3fbf28af-b436-4a58-b2bb-a9797e9b67d9": string;
                        "78ff3745-0a27-4fff-826a-1de29cf4819a": string;
                        "d424e031-1a5a-40f4-8377-904b46bfe661": string;
                        "6b77a2db-96e9-4c37-879f-c1e1598681f1": string;
                        "0bbc10d1-f466-40d5-a2be-c00a6eaa1ffe": string;
                        "2bf26e79-6ca9-42da-8ed4-4601abf8223c": string;
                        "93ec2eb2-72a0-45ba-8312-4297e6c0d7e6": string;
                        "c6c9109f-3bc2-4e0d-805b-cf2e7fb8d2d7": string;
                        "0329f29f-ae4a-460d-803f-3b178fe97dda": string;
                        "54eebc15-03dc-4ff1-82ff-e1573552cea9": string;
                        "eab12975-7088-4d97-84a4-d3ed19cfddd2": string;
                        "46339d02-4b42-45f3-996b-28df90a54b07": string;
                        "10affbba-3063-4ea7-a599-942922b21615": string;
                        "3da1810d-c1ac-49cb-80bf-7054be324b96": string;
                        "97ee4fd1-aecf-4e4a-a8fa-4899da256d98": string;
                        "2ceed037-70ab-4b45-b534-6d2e0f0edd06": string;
                        "14c601f9-51c9-4d43-b8ff-d335ce943a82": string;
                        "f018bc70-7de4-4718-a3db-d1a4bc2e4493": string;
                        "9604e6f5-3357-4529-8a5f-203adaea8383": string;
                        "c0e351dd-987f-4237-ad2e-dda1653759dd": string;
                        "696dbe38-da9d-49d1-9206-00e9dfa359fe": string;
                        "0b0a6e2f-d2c7-44cb-a52b-ed49d6bdd5bc": string;
                        "f73c65a5-4b64-46af-9497-a5bcdeadc1ea": string;
                        "9ddec042-37ac-487c-af2e-e373fac09dea": string;
                        "e0a784bf-5fa3-4c74-afe7-6e054db2fb8a": string;
                        "6308e022-4859-4fd1-b5ef-e01d4f026703": string;
                        "73a0c7a7-0354-4492-af2c-d0b61041faf5": string;
                        "d03e6ac9-aefb-41c4-bf85-538c46994ece": string;
                        "3201d284-c37a-479a-8805-db7e4ccff56c": string;
                        "a4d4421e-4a9e-4568-8a46-2ff0b614b7c4": string;
                        "6fa4f7ac-065d-403e-8ea9-751bb5f06e4c": string;
                        "da56275b-e474-4db0-990f-737a031ce241": string;
                        "faa1a21e-07ff-4edc-845c-e87f45913a23": string;
                        "0a78196c-1dcf-44e7-8b80-3a4a81ed1f4e": string;
                        "95a1f8fa-4815-480e-ab5e-81fbb3fe061e": string;
                        "f1814592-f875-4fde-bf58-24967b85ce3d": string;
                        "a3106485-0443-4215-b38d-7b10a94e0e16": string;
                        "a411fffe-5eda-442e-b02a-e646075979c1": string;
                        "a1e483aa-c107-4c4f-b0ea-fbd2ef0c4430": string;
                        "999ad312-380a-4f99-925d-1f4d51714797": string;
                        "f8907988-e52a-400b-b651-ff0843da206b": string;
                        "1b35ead1-ff26-40f3-9649-0c9b1064bd64": string;
                        "b3f66a1e-0b20-4557-bb9e-2cc88333d6d7": string;
                        "8b12c4ae-973c-4477-bab5-ef04784b1d31": string;
                        "868ad3e2-8b3d-44ff-a729-d13202a728b8": string;
                        "4ad36e8e-4c7d-452c-ab95-857dc3cc2f65": string;
                        "195f1ee4-db49-434b-891d-0be7e70175f4": string;
                        "7324e1cb-ed9c-467d-8413-bfee6998fc15": string;
                        "dbbce11d-9cc2-44dc-80f1-362f2f891f98": string;
                        "4a5d5289-6a10-4c95-9e03-91ac6fc2e43f": string;
                        "77d1306c-1465-4efe-b7b2-afcea386dd50": string;
                        "4085fd6e-1464-41d3-a887-1fa4bc42fae9": string;
                        "eb6a9421-ace5-429d-af51-d42be3584ece": string;
                        "9c74da13-5323-4710-8a0d-50aafbfdbfa5": string;
                        "93e20ab3-e2e0-41d9-a59e-24911745227a": string;
                        "def412c0-d5da-4641-9774-c9048698afae": string;
                        "6f353e14-13a3-45da-bfc2-0e37530c1395": string;
                        "078a52c5-9c96-45e0-92bf-c12d1038c411": string;
                        "b89ade5b-9e64-45e2-878b-50d4592ea832": string;
                        "9b631b59-8125-48e8-80a0-25af614ef22f": string;
                        "4ee64e26-313e-4c9c-a583-4a5df124a48c": string;
                        "81590bd4-d0a2-4472-9cf4-ec7563cfee42": string;
                        "0948d208-63fb-4c88-bcac-33ba87f38455": string;
                        "74d1f82d-d7c4-4ba6-a4ec-b5717dd952a8": string;
                        "e8c89278-2edb-49d3-ab59-66c655119655": string;
                        "ed757e01-bd9e-4798-85d7-ec24ab3d5953": string;
                        "8fbdf4b7-9a4a-46d1-9d3b-2959560a9876": string;
                        "a6ec5365-2b6f-4639-8e8a-c7312ec42c1f": string;
                        "e28e3434-5092-439b-b4ad-d8c16c52e700": string;
                        "017bf702-8583-477b-bfc5-0454cdf0567d": string;
                        "f6bc02a2-d97c-4733-95b4-49dfce2d9c70": string;
                        "0883d9d6-83d7-48e3-9e45-7d46ddd5dcaf": string;
                        "aca8ebb1-25d0-4257-b37b-a8a1091e8a0f": string;
                        "e9c3a1bf-7870-4565-9eba-f2ddaeff01b1": string;
                        "165d5404-f919-42c4-af46-95b75808e77b": string;
                        "bf95e90f-8abc-42f5-8081-ea28831470f7": string;
                        "fe012c8a-804b-4f26-8863-05613213ec3b": string;
                        "f49326f7-6dfd-4cb6-b644-6f92b1c21c2c": string;
                        "b27dbd7d-f415-48d7-ac64-c456ca9e96dc": string;
                        "87b96227-42b0-4334-a8fc-05ba68794d65": string;
                        "3e19a9c8-8106-4867-82d1-edacdfc7e19e": string;
                        "c399dce2-e1ef-4671-8801-820d6418e548": string;
                        "57980c6f-7fb8-4108-93cc-3777ab657090": string;
                        "5cc691cc-79ac-423d-8cb5-0904b16ecf91": string;
                        "42cf9dec-8c66-42af-b982-a9efb5a89c99": string;
                        "1f695fb4-207f-445d-9193-24edede7d917": string;
                        "de7c03cf-f034-44a4-97e2-17b0f9edfd9a": string;
                        "4152fb9c-f194-4338-87b6-ad862d4757d1": string;
                        "5bedd9e3-3429-4791-8c2d-f3b03343ad08": string;
                        "2fad3653-21ef-49b1-ad09-0392e41ff903": string;
                        "649813ec-2b20-47fe-8165-ef72dce65481": string;
                        "4ac07ffb-1c6c-4019-9429-ca80bf840b8b": string;
                        "26bc94e4-1662-4b8d-a371-e1a8d0bdf064": string;
                        "8a25615f-70e4-416d-aabc-db7ee8c4d38c": string;
                        "d5168e2b-5233-4c6d-a39a-ae447da3e581": string;
                        "49c60b80-e150-47a5-bbde-474ee0266cf8": string;
                        "ff409f5f-9efe-4405-9ed2-ba526752e2d6": string;
                        "1d71fe14-5bd1-4d39-8c56-6fc07ebc2499": string;
                        "8a0683be-069f-446a-8dd5-af420dbf9ce2": string;
                        "429cfdcf-4fac-4784-90d2-368b7f870fcb": string;
                        "7dba22aa-a93d-4072-bb76-aad82aaef6be": string;
                        "9f60ae03-1c21-4b65-9a06-85b634679aa0": string;
                        "a71c41c8-0e05-42cf-8c24-19ba3f8ec02c": string;
                        "afd611dd-e209-401f-b871-5174550f289d": string;
                        "60e58d77-bab9-47df-ac0a-d7d42bab78f1": string;
                    };
                    description: string;
                };
                "Find-typeOfWare-archaeoDox": {
                    values: {
                        "ee09b687-ad49-4349-bbc3-1a20c3fe4236": string;
                        "cd3da55c-7382-4655-a8ce-65cfb5080f6a": string;
                        "303455e7-7761-4802-b3d7-0e929acb4362": string;
                        "1983fa4f-9ec2-40c7-b3ac-08ad6b00b416": string;
                        "8f1e8990-c67c-457f-bacf-e952630bfd27": string;
                        "760e4a3e-ba46-46e5-9740-d609bccdbefe": string;
                        "3cad418b-7726-4f1f-b5b9-886e0ecd2a27": string;
                        "3130d65e-2a11-47b3-962c-c07826f17f2e": string;
                        "633bf17d-f202-4161-8302-59ee0e430e33": string;
                        "4a74c25a-a672-40b4-85cb-d43dd7a69ee0": string;
                        "ab09228d-b3be-493a-9d13-79e43c67df42": string;
                        "2692459f-ff4c-4dbf-80d0-03ae519048dc": string;
                        "004f5b0b-4e72-4e13-a3be-81c4cecb1ca0": string;
                        "555b1f43-a566-4dae-bff3-1543633a090e": string;
                        "38cfc587-267f-47d6-a274-2d355dd443d1": string;
                        "610e7a89-7318-4032-ab52-a074b63b53d6": string;
                        "75526203-2bcc-4f01-b4cd-45ee3774cf5e": string;
                        "97b776e3-426b-41b4-8971-524a7d700f5e": string;
                        "59a22fee-f671-4961-9186-3d97e8ceb20d": string;
                        "ad453fd3-954e-4807-9aef-62a458861616": string;
                        "c06b05f7-4b73-4d37-b934-901cba97f489": string;
                        "883f3c88-aa87-4528-b8a9-118af84a41c6": string;
                        "024afb21-493c-4485-b1c2-488bb41fc7a2": string;
                        "cccc33f2-f1fb-4c45-aa79-3ebff2da7b69": string;
                        "e884b3ce-4a0e-4319-9ced-25bcec4019c6": string;
                        "3e028b48-f6d5-4300-9991-fc439e881a44": string;
                        "72f4e517-dae1-4674-9979-9279d6d299cf": string;
                        "ea7c4434-4ae4-42f6-9c32-b368563d3fc8": string;
                        "5ad97baf-bb03-477b-971a-eefb9c6ac162": string;
                        "abd522ec-b6f8-41e9-b8b9-2d223e8ff7b0": string;
                        "22367b39-319e-4306-9526-d1211be42422": string;
                        "ac0929b4-626c-4e83-b039-f68dddc9cde7": string;
                        "6d8c833f-15a6-4a9b-a725-b3d85f408036": string;
                        "1e8a0647-fc68-425e-9f51-e4233137f78b": string;
                        "202e1706-6c3c-40cc-8c4d-3d71bb3b3ecf": string;
                        "0f534117-a221-4d6b-b15b-aaddf41d3e02": string;
                        "5c8bfb52-bab2-4672-875e-0a7a97c83267": string;
                        "6a5e9341-d6af-4e8f-b057-ccbe849e7e21": string;
                        "046c0b53-ba07-41eb-a9bf-40b6b6412972": string;
                        "07139917-ad40-4567-8677-b73874f1612f": string;
                        "28a651ff-7de5-4f66-b1f7-c46726b7fe9e": string;
                        "8e1aea9f-6d04-4094-a6c8-f3ecee788402": string;
                    };
                    description: string;
                };
                "Sample-shortDescription-archaeoDox": {
                    values: {
                        "1116cc6f-fe64-3890-9772-a91e1cfdce71": string;
                        "2fea4e0c-a93b-344c-9324-e23c6a92ec56": string;
                        "ba3b6a38-2c7b-3ba5-90d1-9bb896574082": string;
                        "4fe03c6a-4118-3335-936f-b106ba52adce": string;
                        "cfc60eef-5276-3740-b613-ea33e28c33b7": string;
                        "36312237-da12-3d85-8f11-aa53bb865766": string;
                        "92c23599-b463-3a50-bfad-a1f997b2ce76": string;
                        "a7df7803-2bf9-3611-8767-3ab89dc208a9": string;
                        "37839cdf-1c03-3da6-aab3-b8bf6671333a": string;
                        "0fcef78f-fb20-3740-a19c-cb0da3cb5685": string;
                        "d4ec892e-26e5-3595-8251-aace38f2bd51": string;
                        "7e1022fd-c624-3ffa-8939-491c4fcf6c86": string;
                        "c74ff067-9a3f-3d58-89c9-0db00cdfe76e": string;
                    };
                };
                "Feature-shortDescription-archaeoDox": {
                    values: {
                        "a3afe00d-699d-41c7-9ae1-01089ae9f44c": string;
                        "06a801f8-2f06-4f8a-84c7-7579d324ae77": string;
                        "a47d0aad-9d8f-47a6-8556-ddc3fef766fa": string;
                        "b8a63a4e-3a69-4819-80b7-710abac6ff5b": string;
                        "1e49d804-9f04-420f-b534-8d504b639bea": string;
                        "1e193aad-4800-4e3b-8961-a74752bc166f": string;
                        "8277d2cf-982b-4b04-a1a9-07ab9b93c564": string;
                        "0da2c862-bbd7-4afa-8c58-461116e5ea5e": string;
                        "a7fc8ba1-cea0-4ccd-8ec3-36219a6fea79": string;
                        "450e1e87-73b3-4aa9-b7d4-995cfd3f0a27": string;
                        "2e7e7f2f-9c4a-418a-be95-112d3c63ef75": string;
                        "0a1a76ed-30db-4d7b-9345-acfe9c6c0065": string;
                        "3d717e21-a4ad-4d81-bf8f-536d729a9111": string;
                        "e5436703-0afc-4f43-b6a4-3f9b7df2d667": string;
                        "d87fa7df-abf7-45ee-8dd5-79c5f226807c": string;
                        "1d1e6fe1-886a-422d-80b5-64c141ec78ed": string;
                        "63548964-5375-46a0-82c0-0a41364b7343": string;
                        "e406b64b-9aea-43db-8603-50a7cd541a98": string;
                        "c582298b-78a2-4ad4-92df-40083f31fe0d": string;
                        "0e52302f-3a5b-45ea-90d3-1d702c8d9b48": string;
                        "dbde5666-cf54-41ee-b5a3-3a87e56b0830": string;
                        "eaf37f7c-b5fd-4d27-8f7b-fbc5a9956343": string;
                        "bb4c653a-58dd-4592-ae8e-c2e734f37b34": string;
                        "bccc34d4-229c-4c5e-93d4-6a71a36bd9b4": string;
                        "94664efc-88fe-419d-804e-d87e4b04d5be": string;
                        "c0ca33bc-f6b4-4864-b965-c28625ddd17e": string;
                        "c2657823-f062-4a26-af3f-d709d333092c": string;
                        "cada35b8-299b-4d4a-b98f-eec8554700a3": string;
                        "343308d2-1002-4ae7-8b9a-f5b1003e23e3": string;
                        "f92e0515-8cc3-458e-9cd3-91aa29378162": string;
                        "d05a9967-c65e-48a5-abc6-3bb279eb28cf": string;
                        "a04a9505-5130-4797-a1df-f17a2df709b1": string;
                        "9397cc5c-b0c6-4869-8bbf-624dec831523": string;
                        "25140b43-1fd4-4da4-9f0f-13cd0dc7ac0a": string;
                        "19fa3ce6-0013-4b3c-8dd3-1e33bb46cb6d": string;
                        "181037a4-a363-4c86-af1c-947a5ce75775": string;
                        "55a1e87d-65b4-4000-ac36-ece1e89ca27a": string;
                        "440cc9fa-e6d3-4efd-be45-412a94e338eb": string;
                        "f8ab5743-09f3-4042-83c0-c13e3f3457f1": string;
                        "93bba6e6-15b6-4dea-8060-e3142d545f4a": string;
                        "0696fb9e-ab65-4939-b83b-d25df3f14fd7": string;
                        "2f68de4f-7d14-46f0-a311-0d615ea2dcf2": string;
                        "c3b86ad0-4cbe-4ab0-ae12-f5027cefde70": string;
                        "a29bc1b7-6c2a-4580-b1c3-3d775b06fb70": string;
                        "687cdd8c-931a-4cb9-8649-6506ed996ca2": string;
                        "1533dc55-0564-4622-bbee-89ca43bae213": string;
                        "5ab1af4d-dfd0-4ed8-a40c-2e7554f31663": string;
                        "55e3f6b1-5f7c-48be-85ad-b3c352c69b49": string;
                        "cb7e83f2-642a-410a-b591-bcf7e0ed9afc": string;
                        "6e4a3181-bf86-4509-8a25-f81d84a8d062": string;
                        "5660e0d7-9c6a-4fb2-9808-9e5ce4d5fb29": string;
                        "a947d724-a5da-4a02-bb84-5898b76e69d8": string;
                        "6b041cf2-df70-45ac-9e24-49479c12622d": string;
                        "931028a9-5513-4e36-8d1f-1b4673b10d63": string;
                        "21d71adc-6b16-40ae-bf81-fcdcac05b928": string;
                        "e8afd61c-0259-42d3-bb44-b740ff9eb92f": string;
                        "de9901df-1567-4e04-8306-361a2bdd1366": string;
                        "389a7052-0a42-4746-ace5-3e24b4f7459f": string;
                        "39d5111a-2563-467a-a29c-197a3a3f18a3": string;
                        "732e3a7e-f8bb-4836-97df-b4df9e090a79": string;
                        "d656e9cf-3f69-4da1-a1ac-fe07df95cea5": string;
                        "b097bfd3-b73d-4108-ab9a-c68efe18d22c": string;
                        "4323c0c7-b11f-41f6-95ff-441e6c157e17": string;
                        "3ddb3815-8f09-4530-83d9-e361bacdeaa5": string;
                        "37893de9-234e-4086-ba23-369a7404ce93": string;
                        "0af8bd07-37f7-444e-9465-89478cae526a": string;
                        "cb1bf7d7-1e25-4ea5-9ca9-b68254c2966a": string;
                        "047c5ddb-e431-4734-a822-48658f555162": string;
                        "2a6b1af6-e701-4d72-ab66-7915b4c11fef": string;
                        "fec772db-3774-4025-abc5-7b0235e8ba76": string;
                    };
                    description: string;
                };
            };
            en: {
                "position-values-preserved-length-of-drilling-axis-Uruk": {
                    values: {
                        "from the bit to the back": string;
                    };
                };
                "position-values-dimension-width-of-drill-fragment-Uruk": {
                    values: {
                        "At the drilling-bit": string;
                        "At the back/shaft": string;
                    };
                };
                "periods-campidoglio-and-castiglione-1": {
                    values: {
                        "Bronze Age / Et\u00E0 del bronzo": string;
                        "Iron Age / Et\u00E0 del ferro": string;
                        "Villanova / Villanoviano": string;
                        "Orientalizing / Orientalizzante": string;
                        "Archaic / Arcaico": string;
                        "Classic / Classico": string;
                        "Late classic / Tardo-classico": string;
                        "Hellenistic / Ellenistico": string;
                        "Republican / Repubblicano": string;
                        "Imperial / Et\u00E0 imperiale": string;
                        "Late antique / Tardo antico": string;
                    };
                };
                "periods-Gadara": {
                    values: {
                        Eisenzeitlich: string;
                        Hellenistisch: string;
                        "Hellenistisch/R\u00F6misch": string;
                        Römisch: string;
                        "R\u00F6misch/Byzantinisch": string;
                        Byzantinisch: string;
                        "Byzantinisch/Umayyadisch": string;
                        Umayyadisch: string;
                        Abbasidisch: string;
                        Frühislamisch: string;
                        Ayyubidisch: string;
                        Mamlukisch: string;
                        Mittelislamisch: string;
                        Islamisch: string;
                        Osmanisch: string;
                        Modern: string;
                    };
                };
                "periods-Uruk-1": {
                    values: {
                        "Ubaid 0": string;
                        "Ubaid 1": string;
                        "Ubaid 2": string;
                        "Ubaid 3": string;
                        "Ubaid 4": string;
                        "Early Uruk": string;
                        "Middle Uruk": string;
                        "Late Uruk": string;
                        "Jemdet Nasr": string;
                        "Early Dynastic I": string;
                        "Early Dynastic II": string;
                        "Early Dynastic III": string;
                        Akkadian: string;
                        "Ur III": string;
                        "Isin-Larsa": string;
                        "Old Babylonian": string;
                        "Middle Babylonian": string;
                        "Isin II": string;
                        "New Babylonian": string;
                        "Late Babylonian": string;
                        "Seleucid-Parthian": string;
                        Sassanian: string;
                        Islamic: string;
                        Recent: string;
                    };
                };
                "period-SudanHeritage": {
                    values: {
                        Paleolithic: string;
                        Mesolithic: string;
                        Neolithic: string;
                        "Pre-Kerma": string;
                        Kerma: string;
                        "New Egyptian Kingdom": string;
                        Napata: string;
                        Meroe: string;
                        "Post-Meroitic": string;
                        Christian: string;
                        Islamic: string;
                        "Modern History": string;
                    };
                };
                "Place-siteClassification-SudanHeritage": {
                    values: {
                        settlement: string;
                        cemetery: string;
                        "tumuli grave": string;
                        "mound grave": string;
                        "rock grave": string;
                        "box grave": string;
                        "other grave": string;
                        "Pyramid (Sandstone)": string;
                        "Pyramid (Mud Brick)": string;
                        "Rock Art": string;
                        Fortress: string;
                        Castle: string;
                        Hafir: string;
                        Quarry: string;
                        Granary: string;
                        "Old mining site": string;
                        Workshop: string;
                        Church: string;
                        Monastery: string;
                        Cathedral: string;
                        Mosque: string;
                        "Landscape feature": string;
                        "Historical building": string;
                    };
                };
                "Feature-stratigraphicReliability-Campidoglio": {
                    values: {
                        good: string;
                        medium: string;
                        bad: string;
                        unknown: string;
                    };
                };
                "Feature-featureCondition-Campidoglio": {
                    values: {
                        intact: string;
                        "original borders not preserved": string;
                        disturbed: string;
                        unknown: string;
                    };
                };
                "Feature-drawn-Campidoglio": {
                    values: {
                        Yes: string;
                        No: string;
                        "Not necessary": string;
                    };
                };
                "Feature-featureBorders-Campidoglio": {
                    values: {
                        "Distinct / chiari": string;
                        "Diffuse / diffusi": string;
                        "Plain / piani": string;
                        "Recognizable / riconoscibili": string;
                        "Slightly washed out / leggermente slavati": string;
                        "Smooth / fluidi": string;
                        "Inclined / inclinati": string;
                        "Jagged / frastagliati": string;
                        "Regular / regolari": string;
                        "Sharp / netti": string;
                        "Very distinct / ben distinguibili": string;
                        "Indistinct / indistinti": string;
                        "Uneven / non piani": string;
                        "Not clear / non chiari": string;
                        "Irregular / irregolari": string;
                        "Washed-our / slavati": string;
                        "Wavy / ondulati": string;
                    };
                };
                "Feature-featureForm-Campidoglio": {
                    values: {
                        "Feature remain / residuo": string;
                        "U-shaped / A forma di U": string;
                        "V-shaped / A forma di V": string;
                        "Nearly / approssimativamente": string;
                        "Shapeless / informe": string;
                        "Crescent shaped / A forma di mezzaluna": string;
                        "Drawn-out / allungato": string;
                        "Oval / ovale": string;
                        "Rectangular / rettangolare": string;
                        "Regular / regolare": string;
                        "Round / tondo": string;
                        "Hourglass shaped / A forma di clessidra": string;
                        "Trapezoidal / trapezoidale": string;
                        "Irregular / irregolare": string;
                    };
                };
                "Architecture-blockTreatment-Campidoglio": {
                    values: {
                        "Embossed / bugnato": string;
                        "Unworked / non lavorato": string;
                        "Roughly hewn / sgrossato": string;
                        "Squared / squadrato": string;
                        "Mixed / misto": string;
                        "Tooled surface / superficie lavorata": string;
                        "Polished surface / superficie lisciata": string;
                    };
                };
                "Architecture-buildingTechnique-Campidoglio": {
                    values: {
                        "Adobe/mud-brick / mattoni crudi o cotti": string;
                        "Irregular unworked stone or cobbles / Pietre irregolari non lavorate o ciottoli": string;
                        "Ashlar (blocks) / blocchi": string;
                        "Concrete / calcestruzzo": string;
                        "Other / altro": string;
                    };
                };
                "Architecture-walling-Campidoglio": {
                    values: {
                        "Other / altro": string;
                    };
                };
                "Architecture-bindingAgent-Campidoglio": {
                    values: {
                        "None / nessuno": string;
                        "Clay / argilla": string;
                        "Mortar / malta": string;
                        "Clamps / morsetti": string;
                    };
                };
                "Architecture-condition-Campidoglio": {
                    values: {
                        "Very good / molto buone": string;
                        "Good / buone": string;
                        "Medium / medie": string;
                        "Bad / cattive": string;
                        "Very bad / molto cattive": string;
                    };
                };
                "Architecture-conditionAmount-Campidoglio": {
                    values: {
                        "Fragmentary / frammentario": string;
                        "Partially preserved / mutilo": string;
                        "Complete / intatto": string;
                        "Destroyed / distrutto": string;
                        "Restored / restaurato": string;
                    };
                };
                "Floor-consistency-Campidoglio": {
                    values: {
                        "Strongly cemented / fortemente consolidato": string;
                        "Weakly cemented / poco consolidato": string;
                        "Compact / compatto": string;
                        "Loose / sciolto": string;
                        "Hard / duro": string;
                        "Soft / morbido": string;
                        "Very soft / molto morbido": string;
                        "Friable / friabile": string;
                        "Plastic / plastico": string;
                    };
                };
                "Floor-distinguishingCriteria-Campidoglio": {
                    values: {
                        "Color / colore": string;
                        "Form / forma": string;
                        "Boundary / margini": string;
                        "Consistency / consistenza": string;
                        "Composition / composizione": string;
                    };
                };
                "Floor-floorClassification-Campidoglio": {
                    values: {
                        "Beaten Earth / terra battuta": string;
                        "Plaster / lastricato": string;
                        "Bricks or tiles / mattoni o tegole": string;
                        "Pebble mosaic / mosaico in ciottoli": string;
                        "Opus segmentatum (often in opus signinum)": string;
                        "Other / altro": string;
                    };
                };
                "Layer-layerClassification-Campidoglio": {
                    values: {
                        "Natural deposit / Deposito naturale": string;
                        "Intentional deposit / Deposito antropico": string;
                        "Accumulation / Accumulo": string;
                        "Collapse / Crollo": string;
                        "Fill / Riempimento": string;
                    };
                };
                "Layer-soilType-Campidoglio": {
                    values: {
                        "Sand / sabbia / Sand": string;
                        "Very fine sand / sabbia molto fine": string;
                        "Fine sand / sabbia fine": string;
                        "Medium sand / sabbia di dimensioni medie": string;
                        "Coarse sand / sabbia grossolana": string;
                        "Sandy silt / limo sabbioso": string;
                        "Sandy clay / argilla sabbiosa": string;
                        "Sandy loam / medio impasto sabbioso": string;
                        "Silt / limo / Schluff": string;
                        "Silty sand / sabbia limosa": string;
                        "Silty clay / argilla limosa": string;
                        "Silty loam / medio impasto limoso": string;
                        "Clay / argilla / Ton": string;
                        "Clayely sand / sabbia argillosa": string;
                        "Clayely silt / limo argilloso": string;
                        "Clayely loam / medio impasto argilloso": string;
                        "Loam / medio impasto / Lehm": string;
                        "Marl / marna / Mergel": string;
                    };
                };
                "Layer-layerFinds-Campidoglio": {
                    values: {
                        "Fine ware": string;
                        "Coarse ware": string;
                        "Mud brick": string;
                        Tile: string;
                        "Tegulae (kiln-fired tiles)": string;
                        "Lateres (tiles dried in the sun)": string;
                        Plaster: string;
                        "Backed clay": string;
                        Terracotta: string;
                        Bones: string;
                        Teeth: string;
                        Horn: string;
                        Seeds: string;
                        Charcoal: string;
                        Wood: string;
                        Mollusc: string;
                        Shell: string;
                        Bronze: string;
                        Iron: string;
                        "Other metals": string;
                        Scoria: string;
                        Stone: string;
                    };
                };
                "Interface-interfaceClassification-Campidoglio": {
                    values: {
                        horizontal: string;
                        vertical: string;
                    };
                };
                "Interface-breakSlopeTop-Campidoglio": {
                    values: {
                        Sharp: string;
                        Gradual: string;
                        Imperceptible: string;
                    };
                };
                "Interface-sides-Campidoglio": {
                    values: {
                        Vertical: string;
                        Convex: string;
                        Concave: string;
                        Stepped: string;
                        Mixed: string;
                    };
                };
                "Interface-base-Campidoglio": {
                    values: {
                        Flat: string;
                        Concave: string;
                        Sloping: string;
                        Tapered: string;
                        Uneven: string;
                    };
                };
                "Find-storagePlace-Campidoglio": {
                    values: {
                        Laboratory: string;
                    };
                };
                "Sample-sampleType-Campidoglio": {
                    values: {
                        Soil: string;
                        C14: string;
                        Charcoal: string;
                        Wood: string;
                        Pollen: string;
                        Botanic: string;
                        Mollusc: string;
                        Anthropology: string;
                        Bone: string;
                        Isotopes: string;
                        Mortar: string;
                        Stone: string;
                        Metallurgy: string;
                        Micromorphology: string;
                    };
                };
                "Sample-sampleState-Campidoglio": {
                    values: {
                        Stored: string;
                        Submitted: string;
                        Analyzed: string;
                        Discarded: string;
                    };
                };
                "Pottery-clayColorBreak-Campidoglio": {
                    values: {
                        "beige / beige": string;
                        "pale- / pallido": string;
                        "blue / blu": string;
                        "brown / marrone": string;
                        "cream / camoscio": string;
                        "dark- / scuro": string;
                        "yellow / giallo": string;
                        "gray / grigio": string;
                        "green / verde": string;
                        "light- / chiaro": string;
                        "bright- / luminoso": string;
                        "ocher / ocra": string;
                        "orange / arancio": string;
                        "pink / rosa": string;
                        "red / rosso": string;
                        "black / nero": string;
                        "turquoise / turchese": string;
                        "violet / viola": string;
                        "white / bianco": string;
                    };
                };
                "Pottery-decorationTechnique-Campidoglio": {
                    values: {
                        "Engraved / Incisa (graffita, A rotella, A pettina, A stecca)": string;
                        "Stamped / Impressa (stampo, cordicella, cilidretto,\u2026)": string;
                        "Painted / Dipinta": string;
                        "Pastic / Plastica (rilievo applicato, barbotine,\u2026)": string;
                        "Relief with mould or matrix / A rilievo con matrice o stampo": string;
                    };
                };
                "Pottery-manufacturing-Campidoglio": {
                    values: {
                        "Thick-walled / A pareti spesse": string;
                        "Thin-walled / A pareti sottili": string;
                        "Air dried / Seccato all\u2019aria": string;
                        "Klin-baked / Cotto": string;
                        "Engobed / Superficie ingubbiata": string;
                        "Glazed / Superficie invetriata": string;
                        "Polished / Superficia lisciata": string;
                        "Exposed to fire / Bruciata o esposta A cottura secondaria": string;
                    };
                };
                "Pottery-manufacturingMethod-Campidoglio": {
                    values: {
                        "Wheel-made / Al tornio veloce": string;
                        "Mixed technique / A tecnica mista": string;
                        "Press mould or matrix / A stampo o matrice": string;
                        "Hand made / A mano": string;
                    };
                };
                "Pottery-materialType-Campidoglio": {
                    values: {
                        "Fine ware / Ceramica figulina, depurata": string;
                        "Coarse ware / Ceramica grezza": string;
                    };
                };
                "Pottery-objectType-Campidoglio": {
                    values: {
                        "Altar / altare": string;
                        "Antefix / antefissa": string;
                        "Basin / bacino": string;
                        "Brazier / braciere": string;
                        "Loom weight / peso da telaio": string;
                        "Arrowhead / punta di freccia": string;
                        "Bead / perla": string;
                        "Bell / campana": string;
                        "Blade / lama": string;
                        "Bracelet / armilla o bracciale": string;
                        "Buckle / fibbia": string;
                        "Candelabra / candelabro": string;
                        "Chain / catena": string;
                        "Door lock / serratura": string;
                        "Fibula / fibula": string;
                        "Fitting / borchia": string;
                        "Furnishings / mobilio": string;
                        "Grater / grattugia": string;
                        "Ingot / barra/lingotto": string;
                        "Inlay / inserto": string;
                        "Instrument / utensile": string;
                        "Jewellery / gioiello": string;
                        "Key / chiave": string;
                        "Knob / bottone": string;
                        "Lamp / Lucerna": string;
                        "Mirror / specchio": string;
                        "Mould / forma di fusione": string;
                        "Nail / chiodo": string;
                        "Ornamental fittings / borchie ornamentali": string;
                        "Pendant / pendaglio": string;
                        "Pin / spillone": string;
                        "Plastic/Sculpture / Plastica/scultura": string;
                        "Production fragment / frammento di produzione": string;
                        "Projectile / proiettile": string;
                        "Ring / anello": string;
                        "Seal / sigillo": string;
                        "Semi-finished product / semilavorato": string;
                        "Sheet metal / lamina": string;
                        "Shield / scudo": string;
                        "Slag / scoria": string;
                        "Smithing waste / scarto di produzione": string;
                        "Spindle whorl / fusaiola": string;
                        "Spoon / cucchiaio": string;
                        "Strigilis / strigile": string;
                        "Token / pedina da gioco": string;
                        "Tool / attrezzo da lavoro": string;
                        "Vessel / vaso": string;
                        "Water conduct / tubatura": string;
                        "Weapon / arma": string;
                        "Weight / peso": string;
                        "Writing utensil / utensile per scrivere": string;
                        "Uncertain or indeternimable / non chiaro o indeterminabile": string;
                    };
                };
                "Pottery-specificType-Campidoglio": {
                    values: {
                        "Red-slip pottery / Ceramica red-slip": string;
                        "Geometric pottery / Ceramica geometrica": string;
                        "Italo-geometric pottery / Cermica italo-geometrica": string;
                        "Protocorinthian pottery / Ceramica protocorinzia": string;
                        "Korinthian pottery / Ceramica corinzia": string;
                        "Etrusco-corinthian pottery / Cermica etrusco-corinzia": string;
                        "East greek pottery / Cermica greco-orientale": string;
                        "Protoattic pottery / Ceramica proto-attica": string;
                        "Attic pottery / ceramica attica": string;
                        "Attic black-figure pottery / Ceramica A attica A figure nere": string;
                        "Attic red-figure pottery / Ceramica A attica A figure rosse": string;
                        "Attic black-glazed pottery / Ceramica attica A vernice nera": string;
                        "Attic white ground pottery / Ceramica attica A fondo bianco": string;
                        "Etruscan black-figure pottery / Ceramica etrusca A figure nere": string;
                        "Etruscan red-figure pottery / Ceramica etrusca A figure rosse": string;
                        "Etruscan sovradipinta pottery / Ceramica etrusca sovradipinta": string;
                        "Apulian red-figure pottery / Cermica apula A figure rosse": string;
                        "Black-glazed pottery / Ceramica A vernice nera": string;
                        "Thin-walled pottery / Ceramica A pareti sottili": string;
                        "Aco ware / Ceramica tipo Aco": string;
                        "Achrome ware / Ceramica acroma": string;
                        "Glazed ware / Ceramica invetriata": string;
                        "Sigillata Arretina / Terra sigillata Arretina": string;
                        "Italian sigillata / Terra sigillata italica": string;
                        "Late Italian sigillata / Terra sigillata tardo-italica": string;
                        "South Gaulish sigillata / Terra sigillata sud-gallica": string;
                        "Hispanic sigillata / Terra sigillata ispanica": string;
                        "Oriental sigillata / Terra sigillate orientali": string;
                        "African sigillata / Terra sigillata africana": string;
                        "Transport amphorae / Anfore da trasporto": string;
                        "Cooking ware / Ceramica da cucina": string;
                        "Common pottery / Ceramica comune": string;
                    };
                };
                "Pottery-vesselForm-Campidoglio": {
                    values: {
                        "Amphorae / Anfora": string;
                        "Glass / Bicchiere": string;
                        "Bottle / Bottiglia": string;
                        "Jug / Brocca": string;
                        "Cauldron / calderone": string;
                        "Goblet / Calice": string;
                        "Bowl / Ciotola": string;
                        "Cup / Coppa": string;
                        "Lid / Coperchio": string;
                        "Incense burner / Incensiere": string;
                        "Lamps / Lucerna": string;
                        "Mortar / Mortaio": string;
                        "Pot / Pentola": string;
                        "Plate / Piatto": string;
                        "Cup / Tazza": string;
                        "Pan / Tegame": string;
                        "Oil vessel / Unguentario": string;
                        "Urn / Urna": string;
                        "Storage vessel / Vaso da derrate": string;
                        "Open form / Vaso chiuso": string;
                        "Closed form / Vaso aperto": string;
                        "Undetermined form / Forma indeterminata": string;
                    };
                };
                "Brick-formDescription-Campidoglio": {
                    values: {
                        "Triangular / Triangolare": string;
                        "Square / Quadrato": string;
                        "Rectangular / Rettangolare": string;
                        "Round / Rotondo": string;
                        "Polygonal / Poligonale": string;
                        "Other / Altro": string;
                    };
                };
                "Brick-brickForm-Campidoglio": {
                    values: {
                        "Paving brick / Laterizio pavimentale": string;
                        "Tile / Tegola": string;
                        "Curved tile / Coppo": string;
                        "Ridge tile / Coppo di colmo": string;
                        "Angular tile / Tegola angolare": string;
                        "Sima / Sima": string;
                        "Hypocaust / Ipocausto": string;
                        "Wall brick / Laterizio murario": string;
                        "Pipe / Tubatura": string;
                        "Other / Altro": string;
                        "Indeterminable / Indefinibile": string;
                    };
                };
                "Brick-brickUsage-Campidoglio": {
                    values: {
                        "Roof / Tetto": string;
                        "Ceiling / Soffitto": string;
                        "Window / Finestra": string;
                        "Floor / Pavimento": string;
                        "Vault / Volta": string;
                        "Door frame / Telaio porta": string;
                        "Architrave / Architrave": string;
                        "Wall cladding / Rivestimento parietale": string;
                        "Production waste / Scarto di produzione": string;
                        "Other / Altro": string;
                        "Indeterminable / Indefinibile": string;
                    };
                };
                "Brick-manufacturingMethod-Campidoglio": {
                    values: {
                        "Baked / Cotto": string;
                        "Pressed / Pressato": string;
                        "Handmade / Fatto A mano": string;
                        "Air dried / Seccato all'aria": string;
                    };
                };
                "Brick-surfaceCondition-Campidoglio": {
                    values: {
                        "Burnt / Bruciato": string;
                        "Stress mark / Tracce di usura": string;
                        "Traces of plow / Tracce di aratro": string;
                    };
                };
                "Brick-decorationTechnique-Campidoglio": {
                    values: {
                        "Engobe / Ingobbio": string;
                        "Glazing / Invetriatura": string;
                        "Painting / Pittura": string;
                        "Fingerprints / Impronte digitali": string;
                        "Other impressions / Impronte di altro tipo": string;
                        "Relief / Rilievo": string;
                        "Engraving / Incisioni": string;
                        "Stamps / Stampiglie": string;
                        "Stamped marks / Bolli": string;
                        "Graffiti / Graffiti": string;
                    };
                };
                "Brick-coatQuality-Campidoglio": {
                    values: {
                        "Low / Bassa": string;
                        "Hogh / Alta": string;
                        "Glossy / Lucida": string;
                        "Opaque / Opaca": string;
                        "Thick / Coprente": string;
                        "Thin / Sottile": string;
                    };
                };
                "Brick-coatCondition-Campidoglio": {
                    values: {
                        "Well preserved / Ben conservata": string;
                        "Flaked / Sfaldata": string;
                        "Rubbed out / Abrasa": string;
                        "Washed out / Slavata": string;
                        "Heavily rubbed out / Fortemente abrasa": string;
                        "Not preserved / Non conservata": string;
                    };
                };
                "Stone-objectType-Campidoglio": {
                    values: {
                        "Altar/Base/Stele / Altare/Base/Stele": string;
                        "Architectural decoration / Decorazione architettonica": string;
                        "Architectural element / Elemento architettonico": string;
                        "Vase / Vaso": string;
                        "Tool / Utensile/Strumento": string;
                        "Jewellery / Gioiello": string;
                        "Grave marking / Cippo tombale": string;
                        "Incrustation/plate /  Incrostazione/Piastra": string;
                        "Inscription / Iscrizione": string;
                        "Grinding stone / Macina": string;
                        "Mortar / Mortaio": string;
                        "Furniture / Mobiliario": string;
                        "Plastic/statue / Plastica/Statua": string;
                        "Production waste / Scarto di produzione": string;
                        "Sarcophagus / Sarcofago": string;
                        "Tessera / Tessera": string;
                        "Weapon / Arma": string;
                        "Unclear or Indeterminable / Non chiaro o Indefinibile": string;
                    };
                };
                "Stone-material-Campidoglio": {
                    values: {
                        "Andesite / Andesite": string;
                        "Basalt / Basalto": string;
                        "Feldspar / Feldspato": string;
                        "Flint / Selce": string;
                        "Mica / Mica": string;
                        "Granite / Granito": string;
                        "Limestone / Calcare": string;
                        "Calcite / Calcite": string;
                        "Chalk / Chalk": string;
                        "Marble / Marmo": string;
                        "Porphyry / Porfido": string;
                        "Quartz / Quarzo": string;
                        "Sandstone / Arenaria": string;
                        "Calcareous Sinter": string;
                        "Trachyte / Trachite": string;
                        "Tufa / Tufo": string;
                        "Chalcedony / Calcedonio": string;
                        "Dolomite / Dolomia": string;
                        "Carnelian / Corniola": string;
                        "Other / Altro": string;
                    };
                };
                "Stone-architectureElement-Campidoglio": {
                    values: {
                        "Acroterion / Acrotere": string;
                        "Architrave / Architrave": string;
                        "Frieze / Fregio": string;
                        "Base / Base": string;
                        "Architectural scuplture / Scultura architettonica": string;
                        "Cornice / Cornice": string;
                        "Capital / Capitello": string;
                        "Corbel / Mensola": string;
                        "Gutter / Grondaia": string;
                        "Iconostasis carving": string;
                        "Threshold / Soglia": string;
                        "Sima / Sima": string;
                        "Column / Colonna": string;
                        "Wall cladding / Rivestimento parietale": string;
                        "Other / Altro": string;
                    };
                };
                "Stone-decorationTechnique-Campidoglio": {
                    values: {
                        "Painting / Pittura": string;
                        "Applique / Applique": string;
                        "Inscription / Iscrizione": string;
                        "Relief / Rilievo": string;
                        "Partially unfinished / Parzialmente incompiuto": string;
                    };
                };
                "Stone-usedAsSpolia-Campidoglio": {
                    values: {
                        "Yes / Si": string;
                        "No / No": string;
                        "Uncertain / Incerto": string;
                    };
                };
                "Metal-decorationTechnique-Campidoglio": {
                    values: {
                        "Enamel coating / Smalto": string;
                        "Niello / Niello": string;
                        "Damascening / Agemina": string;
                        "Filigree / Filigrana": string;
                        "Repouss\u00E9 and chasing / A sbalzo": string;
                        "Engraved / Incisa": string;
                        "Graffito/scratched / Graffita": string;
                        Applicata: string;
                        "Relief / A rilievo": string;
                        "Stamped / A stampo": string;
                        "Gilded / Dorata": string;
                        "Hammered surface / Superficie ribattuta": string;
                        "Chiseled surface / Superficie scalpellata": string;
                        "Filed surface / Superficie limata": string;
                        "Carved surface / Superficie intagliata": string;
                    };
                };
                "Metal-manufacturingMethod-Campidoglio": {
                    values: {
                        "Melting / Fusione": string;
                        "Lost-wax casting / Fusione A cera persa": string;
                        "Hammering / Martellatura": string;
                        "Engraving / A bulino": string;
                        "Stamped / A stampo": string;
                    };
                };
                "Metal-metalMaterial-Campidoglio": {
                    values: {
                        "Aluminum / alluminio": string;
                        Billon: string;
                        "Lead / piombo": string;
                        "Bronze / bronzo": string;
                        "Iron / ferro": string;
                        "Gold / oro": string;
                        "Copper / rame": string;
                        "Brass / ottone": string;
                        "Silver / argento": string;
                        "Steel / acciaio": string;
                        "Uncertain or indefinable / non chiaro o indeterminabile": string;
                        "Zinc / zinco": string;
                        "Zin / stagno": string;
                    };
                };
                "Pottery-potteryTypeSpecific-Meninx": {
                    values: {
                        "African Cooking Ware": string;
                    };
                };
                "Place-findSpot-Pergamon": {
                    values: {
                        "Bestattungsplatz (Bestattung)": string;
                        "Bestattungsplatz (Grab)": string;
                        "Bestattungsplatz (Nekropole/Friedhof)": string;
                        Brunnen: string;
                        Brücke: string;
                        Festung: string;
                        Gebäude: string;
                        "Geb\u00E4ude (Stallung)": string;
                        "Geb\u00E4ude (Wohnhaus)": string;
                        Gehöft: string;
                        Hafen: string;
                        Heiligtum: string;
                        Höhle: string;
                        Kirche: string;
                        "Monument/Denkmal": string;
                        Moschee: string;
                        Pferch: string;
                        Produktionsstätte: string;
                        Siedlung: string;
                        "Siedlung (befestigt)": string;
                        "Siedlung (d\u00F6rflich)": string;
                        "Siedlung (st\u00E4dtisch)": string;
                        Steinbruch: string;
                        "Stra\u00DFe/Weg": string;
                        Tempel: string;
                        Terrassierung: string;
                        Theater: string;
                        Therme: string;
                        Turmgehöft: string;
                        unbekannt: string;
                        "Burial place (grave)": string;
                        Villa: string;
                        Warte: string;
                        Wasserleitung: string;
                        Zisterne: string;
                    };
                };
                "Place-surfaceContextsAndFinds-Pergamon": {
                    values: {
                        Baustruktur: string;
                        Boden: string;
                        Einzelfund: string;
                        "Einzelfund (Keramik)": string;
                        "Einzelfund (Ziegel)": string;
                        "Einzelfund (Stein)": string;
                        Felsabarbeitung: string;
                        Fundstreuung: string;
                        "Fundstreuung (Keramik)": string;
                        "Fundstreuung (Stein)": string;
                        "Fundstreuung (Ziegel)": string;
                        Inschrift: string;
                        Mauer: string;
                        Pflaster: string;
                        Rohrleitung: string;
                        Spolie: string;
                        Steinsetzung: string;
                    };
                };
                "Pottery-vesselpart-Gadara": {
                    values: {
                        WF: string;
                        RF: string;
                        BF: string;
                        H: string;
                        D: string;
                        KOMP: string;
                        VAR: string;
                    };
                };
                "Pottery-vesselpart-Uruk": {
                    values: {
                        "wall sherd": string;
                        "rim sherd": string;
                        "base sherd": string;
                        handle: string;
                        spout: string;
                        lid: string;
                        shoulder: string;
                        other: string;
                        "lug handle": string;
                        tab: string;
                        knob: string;
                        "strap handle": string;
                        "pierced lug": string;
                        feet: string;
                    };
                };
                "Pottery-Firing-Uruk": {
                    values: {
                        normal: string;
                        "over fired": string;
                        "semi melted": string;
                        waste: string;
                        "oxidating atmosphere": string;
                        "reducing atmosphere": string;
                        "bonfire (non-uniform colors)": string;
                        low: string;
                        medium: string;
                        high: string;
                        "very high": string;
                        unbaked: string;
                    };
                };
                "Pottery-condition-Uruk": {
                    values: {
                        "well preserved": string;
                        eroded: string;
                    };
                };
                "Pottery-clayColorInside-Uruk": {
                    values: {
                        beige: string;
                        "pale-": string;
                        blue: string;
                        brown: string;
                        creme: string;
                        "dark-": string;
                        yellow: string;
                        grey: string;
                        green: string;
                        "bright-": string;
                        "luminous-": string;
                        ocher: string;
                        orange: string;
                        pink: string;
                        red: string;
                        black: string;
                        turquoise: string;
                        violet: string;
                        olive: string;
                        buff: string;
                        white: string;
                    };
                };
                "Pottery-decorationTechnique-Uruk": {
                    values: {
                        painting: string;
                        "decorative band (applied)": string;
                        "relief decor": string;
                        carving: string;
                        stamp: string;
                        "stamp decor": string;
                        "swab decor": string;
                        wartdecor: string;
                        "comb incised": string;
                        "incised wide lines": string;
                        "herringbone pattern incised": string;
                        "rope-like application impressed": string;
                        burnishing: string;
                        imprint: string;
                        application: string;
                        preserved: string;
                        "grooved/soft incised": string;
                        combed: string;
                    };
                };
                "Pottery-manufacturingMethod-Uruk": {
                    values: {
                        "wheel thrown": string;
                        handformed: string;
                        moulded: string;
                        tournette: string;
                        coiling: string;
                        "built up": string;
                        "composite techniques": string;
                        other: string;
                        unspecified: string;
                    };
                };
                "Pottery-temper-Uruk": {
                    values: {
                        mica: string;
                        lime: string;
                        "non clay minerals": string;
                        muschelgrus: string;
                        "organic particles": string;
                        quartz: string;
                        "fire clay": string;
                        miscellaneous: string;
                        "small stones": string;
                        "straw/chaff": string;
                        vacua: string;
                        "volcanic particles": string;
                        "quartz sand": string;
                        "iron compounds": string;
                        "microfossils/shell/molluscs": string;
                        feldspar: string;
                        calcite: string;
                        "grog (chamotte)/crushed pottery": string;
                    };
                };
                "Pottery-temperAmount-Uruk": {
                    values: {
                        "no inclusions": string;
                        medium: string;
                        "not visible": string;
                        "very frequent": string;
                        occasional: string;
                        frequent: string;
                        sparse: string;
                    };
                };
                "Pottery-temperParticles-Uruk": {
                    values: {
                        fine: string;
                        coarse: string;
                        medium: string;
                        "medium-fine": string;
                        "very-fine": string;
                        "very-coarse": string;
                    };
                };
                "Pottery-coatOutsideType-Uruk": {
                    values: {
                        other: string;
                        painted: string;
                        smoothed: string;
                        glazed: string;
                        polished: string;
                        "wet smoothed": string;
                        slip: string;
                        scraping: string;
                        cutting: string;
                        beating: string;
                        "smoothed with tool": string;
                        "self slip": string;
                        "color coating": string;
                        "none/rough": string;
                        "decorative smoothing": string;
                        "decorative burnishing": string;
                        "decorative polishing": string;
                    };
                };
                "Pottery-coatType-Gadara": {
                    values: {
                        Unbehandelt: string;
                        Überzug: string;
                        Poliert: string;
                        Geglättet: string;
                        Glasiert: string;
                        Bemalung: string;
                        Verstrichen: string;
                        "nicht erhalten": string;
                    };
                };
                "Pottery-coatColor-Gadara": {
                    values: {
                        beige: string;
                        "blass-": string;
                        blau: string;
                        braun: string;
                        cremefarben: string;
                        "dunkel-": string;
                        gelb: string;
                        glänzend: string;
                        grau: string;
                        grün: string;
                        "hell-": string;
                        "leuchtend-": string;
                        ocker: string;
                        orange: string;
                        rosa: string;
                        rot: string;
                        schwarz: string;
                        türkis: string;
                        violett: string;
                        weiß: string;
                    };
                };
                "Pottery-FormComparisonCompendia-Uruk": {
                    values: {
                        "WES typelist": string;
                        "WES drawing": string;
                        "Type catalogue van Ess": string;
                        "Type catalogue Salje": string;
                        "Type catalogue Reising": string;
                        "BaM 19": string;
                        Armstrong: string;
                        "OIP 129, Nippur V": string;
                        Ayoub: string;
                        "AUWE 4": string;
                        "AUWE 1": string;
                    };
                };
                "Pottery-vesselForm-Uruk": {
                    values: {
                        "platters/trays": string;
                        plaque: string;
                        "dishes/plate": string;
                        bowls: string;
                        "large bowls": string;
                        cups: string;
                        goblets: string;
                        "open pot": string;
                        "open vat": string;
                        "high beakers": string;
                        jar: string;
                        pot: string;
                        "large vessel": string;
                        miniature: string;
                        "miscellaneous forms": string;
                        drain: string;
                        "strainer/sieve": string;
                        lid: string;
                        firedog: string;
                        coffin: string;
                        lamp: string;
                        stand: string;
                        "fruit stand": string;
                    };
                };
                "Terracotta-TerracottaType-Uruk": {
                    values: {
                        "architectural element": string;
                        "architectural model": string;
                        figurine: string;
                        "relief, plaque": string;
                        statue: string;
                        tool: string;
                        glyptics: string;
                        script: string;
                        ornament: string;
                        "game piece": string;
                        undetermined: string;
                        other: string;
                    };
                };
                "Terracotta-TerracottaTypeSpecific-Uruk": {
                    values: {
                        claycone: string;
                        inlay: string;
                        theriomorph: string;
                        anthropomorph: string;
                        "furniture model": string;
                        sickle: string;
                        mould: string;
                        wheel: string;
                        "spindle whore": string;
                        stopper: string;
                        "loom weight": string;
                        seal: string;
                        cone: string;
                        sealing: string;
                        bulla: string;
                        tablet: string;
                        token: string;
                        bead: string;
                        pendant: string;
                        amulet: string;
                    };
                };
                "KnappingWasteProduct-material-Uruk": {
                    values: {
                        "silicat rock": string;
                        chalcedony: string;
                        carnelian: string;
                        agate: string;
                        Andesit: string;
                        "carbonat rock": string;
                        dolomite: string;
                        limestone: string;
                        gypsum: string;
                    };
                };
                "KnappingWasteProduct-CorticalSurface-Uruk": {
                    values: {
                        none: string;
                        somewhere: string;
                        "on dorsal face": string;
                        "on distal part": string;
                        "on proximal part": string;
                        "on the butt": string;
                    };
                };
                "KnappingWasteProduct-PlaceOperationalSequence-Uruk": {
                    values: {
                        debris: string;
                        "initial flake": string;
                        "shaping flake": string;
                        "bifacial-shaping flake": string;
                        "preparation flake": string;
                        "crested blade": string;
                        "core-rejuvenation flake": string;
                        "broken debitage flake": string;
                        "failed blank": string;
                        "retouch flake": string;
                        "plunging flake": string;
                        "hinged flake": string;
                    };
                };
                "KnappingWasteProduct-TechnicalMarks-Uruk": {
                    values: {
                        "point of impact": string;
                        "pronounced bulb": string;
                        overhang: string;
                        "flaking angle of more than 90 degree": string;
                        "diffuse bulb": string;
                        "flaking angle of 90 degree": string;
                        "heat treatment": string;
                        blade: string;
                        retouched: string;
                        "plunged parts": string;
                        "percussion marks": string;
                    };
                };
                "KnappingWasteProduct-color-Uruk": {
                    values: {
                        beige: string;
                        "pale-": string;
                        blue: string;
                        brown: string;
                        creme: string;
                        "dark-": string;
                        yellow: string;
                        grey: string;
                        green: string;
                        "bright-": string;
                        "luminous-": string;
                        "translucent-": string;
                        ocher: string;
                        orange: string;
                        pink: string;
                        red: string;
                        black: string;
                        turquoise: string;
                        violet: string;
                        olive: string;
                        buff: string;
                        white: string;
                    };
                };
                "KnappedCore-CorticalSurface-Uruk": {
                    values: {
                        none: string;
                        exists: string;
                        "on the butt": string;
                    };
                };
                "KnappedCore-ForceOnKnappingPlatform-Uruk": {
                    values: {
                        percussion: string;
                        pressure: string;
                    };
                };
                "KnappedCore-KnappingPlatformFeatures-Uruk": {
                    values: {
                        "facetted butt": string;
                        "plain butt": string;
                        "cortical butt": string;
                    };
                };
                "KnappedCore-SecondaryKnappingPlatforms-Uruk": {
                    values: {
                        none: string;
                        "subsidiary platform": string;
                        "alternate platform": string;
                        "successive platform": string;
                    };
                };
                "KnappedCore-TechnicalMarks-Uruk": {
                    values: {
                        "large butt": string;
                        "point of impact": string;
                        "pronounced bulb scars": string;
                        "small butt": string;
                        "flaking angle of more than 90 degree": string;
                        "diffuse bulb": string;
                        "abrasion of the overhang": string;
                        "flaking angle of 90 degree": string;
                        "heat treatment": string;
                        "parallel arrises": string;
                        "regular arrises": string;
                        "plunged surfaces": string;
                        "fluted in places": string;
                        "rubbed down platform": string;
                    };
                };
                "KnappedCore-TypicalCoreForms-Uruk": {
                    values: {
                        "cylindrical bullet core": string;
                        "pyramid core": string;
                        "flat core": string;
                    };
                };
                "FragmentOfDrill-material-Uruk": {
                    values: {
                        "silicat rock": string;
                        chalcedony: string;
                        carnelian: string;
                        obsidian: string;
                        agate: string;
                        "carbonat rock": string;
                        dolomite: string;
                        limestone: string;
                        metal: string;
                        copper: string;
                        alloy: string;
                        bronze: string;
                        iron: string;
                        gypsum: string;
                    };
                };
                "FragmentOfDrill-TypeOfDrill-Uruk": {
                    values: {
                        "lense drill": string;
                        "full drill": string;
                        "pipe drill": string;
                    };
                };
                "FragmentOfDrill-ProductionMethod-Uruk": {
                    values: {
                        knapped: string;
                        "on blade": string;
                        "on flake": string;
                        "retouched on the shaft": string;
                        "shaped by knapping": string;
                        "microburin blow technique": string;
                        retouched: string;
                        grinded: string;
                        "metal casted": string;
                        hammered: string;
                    };
                };
                "FragmentOfDrill-TracesOfUse-Uruk": {
                    values: {
                        abraded: string;
                        "broken off": string;
                        bent: string;
                    };
                };
                "FragmentOfCuttingtool-material-Uruk": {
                    values: {
                        "silicat rock": string;
                        chalcedony: string;
                        carnelian: string;
                        agate: string;
                        "carbonat rock": string;
                        dolomite: string;
                        limestone: string;
                        metal: string;
                        copper: string;
                        alloy: string;
                        bronze: string;
                        iron: string;
                        gypsum: string;
                    };
                };
                "FragmentOfCuttingtool-TypeOfCutter-Uruk": {
                    values: {
                        knive: string;
                        sickle: string;
                        "cutting implement": string;
                        saw: string;
                        unknown: string;
                        other: string;
                    };
                };
                "FragmentOfCuttingtool-ProductionMethod-Uruk": {
                    values: {
                        knapped: string;
                        "on flake": string;
                        "on blade": string;
                        "shaped by knapping": string;
                        "retouched cutting edge": string;
                        "grinded cutting edge": string;
                        "metal casted": string;
                        "smith hammered": string;
                        "retouched on the shaft": string;
                        "glued on the shaft": string;
                    };
                };
                "FragmentOfCuttingtool-TracesOfUse-Uruk": {
                    values: {
                        "gloss on cutting edge": string;
                        "use retouch": string;
                        scratches: string;
                        "bitumen traces": string;
                        bent: string;
                    };
                };
                "FragmentOfHammertool-TracesOfUse-Uruk": {
                    values: {
                        "impact marks": string;
                        "use retouch": string;
                        "bitumen traces": string;
                        bent: string;
                    };
                };
                "FragmentOfChopper-ProductionMethod-Uruk": {
                    values: {
                        knapped: string;
                        "on flake": string;
                        "on blade": string;
                        "shaped by knapping": string;
                        "retouched chopping edge": string;
                        retouched: string;
                        "retouched on sides": string;
                        "grinded cutting edge": string;
                        "metal casted": string;
                        "smith hammered": string;
                        "retouched on the shaft": string;
                        "glued on the shaft": string;
                    };
                };
                "FragmentofCoating-material-Uruk": {
                    values: {
                        "silicat rock": string;
                        chalcedony: string;
                        carnelian: string;
                        agate: string;
                        "carbonat rock": string;
                        dolomite: string;
                        limestone: string;
                        metal: string;
                        copper: string;
                        alloy: string;
                        bronze: string;
                        iron: string;
                        gypsum: string;
                        organic: string;
                        bitumen: string;
                        glaze: string;
                        clay: string;
                    };
                };
                "FragmentofCoating-ContactMaterial-Uruk": {
                    values: {
                        clay: string;
                        vegetabile: string;
                    };
                };
                "FragmentofCoating-ProductionMethod-Uruk": {
                    values: {
                        unknown: string;
                    };
                };
                "RawMaterial-material-Uruk": {
                    values: {
                        "silicat rock": string;
                        chalcedony: string;
                        carnelian: string;
                        agate: string;
                        "carbonat rock": string;
                        dolomite: string;
                        limestone: string;
                        metal: string;
                        copper: string;
                        alloy: string;
                        bronze: string;
                        iron: string;
                        clay: string;
                        gypsum: string;
                    };
                };
                "FragmentofStonevessel-material-Uruk": {
                    values: {
                        "silicat rock": string;
                        chalcedony: string;
                        carnelian: string;
                        agate: string;
                        "carbonat rock": string;
                        dolomite: string;
                        limestone: string;
                        "sinter calcit": string;
                        metal: string;
                        copper: string;
                        alloy: string;
                        bronze: string;
                        iron: string;
                        clay: string;
                        gypsum: string;
                    };
                };
                "FragmentofStonevessel-ProductionMethod-Uruk": {
                    values: {
                        grinded: string;
                        knapped: string;
                        drilled: string;
                        unspecified: string;
                    };
                };
                "FragmentOfBead-ShapeofBead-Uruk": {
                    values: {
                        discoid: string;
                        spherical: string;
                        conical: string;
                        trapezoid: string;
                        barrelshaped: string;
                    };
                };
                "FragmentOfBead-KnappingProductionMethod-Uruk": {
                    values: {
                        knapped: string;
                        "on flake": string;
                        "on blade": string;
                        "on preform": string;
                        retouched: string;
                    };
                };
                "FragmentOfBead-TracesofPerforationProductionMethodSideA-Uruk": {
                    values: {
                        "conical perforation": string;
                        "cylindrical perforation": string;
                        "rounded perforation": string;
                        "abrasion in perforation": string;
                    };
                };
                "FragmentOfBead-TracesofPerforationProductionMethodSideB-Uruk": {
                    values: {
                        "conical perforation": string;
                        "cylindrical perforation": string;
                        "rounded perforation": string;
                        "abrasion in perforation": string;
                        "breaking edge": string;
                    };
                };
                "FragmentOfBead-TracesofPerforationProductionMethodBreakingedge-Uruk": {
                    values: {
                        none: string;
                        break: string;
                    };
                };
                "FragmentOfBead-TracesOfUse-Uruk": {
                    values: {
                        worn: string;
                        fragmented: string;
                    };
                };
                "Stone-material-Uruk": {
                    values: {
                        andesite: string;
                        basalt: string;
                        feldspat: string;
                        flint: string;
                        mica: string;
                        granite: string;
                        lime: string;
                        "lime mortar": string;
                        "lime stone": string;
                        calcite: string;
                        chalk: string;
                        marble: string;
                        pophyr: string;
                        quartz: string;
                        "sand stone": string;
                        sinter: string;
                        trachyt: string;
                        tuff: string;
                        carnelian: string;
                        agate: string;
                        lapris: string;
                    };
                };
                "Stone-objectType-Uruk": {
                    values: {
                        "architectural element": string;
                        vessel: string;
                        figurine: string;
                        "relief/stele": string;
                        statue: string;
                        macehead: string;
                        slingstone: string;
                        tool: string;
                        glyptics: string;
                        ornament: string;
                        other: string;
                        undetermined: string;
                    };
                };
                "Stone-objectTypeSpecific-Uruk": {
                    values: {
                        bowl: string;
                        flask: string;
                        "door socket": string;
                        "mould tool": string;
                        loomweight: string;
                        hammer: string;
                        "grinding stone": string;
                        adze: string;
                        weight: string;
                        "seal, cylinder": string;
                        "seal, stamp": string;
                        bead: string;
                        pendant: string;
                        amulet: string;
                        inlay: string;
                        undetermined: string;
                    };
                };
                "Mollusk-classification-Uruk": {
                    values: {
                        "container cosmetic paste": string;
                        bead: string;
                        pendant: string;
                        shell: string;
                        unworked: string;
                        inlay: string;
                    };
                };
                "Find-amountDescription-Gadara": {
                    values: {
                        "Kiste (klein)": string;
                        Stück: string;
                        Eimer: string;
                        "Kiste (gro\u00DF)": string;
                        Tüte: string;
                    };
                };
                "Floor-distinguishingCriteria-Abbircella": {
                    values: {
                        Farbe: string;
                        Konsistenz: string;
                        Komposition: string;
                    };
                };
                "Feature-stratigraphicReliability-Abbircella": {
                    values: {
                        Gut: string;
                        Mittel: string;
                        Schlecht: string;
                        Unbekannt: string;
                    };
                };
                "colors-Abbircella-1": {
                    values: {
                        Beige: string;
                        "Blass-": string;
                        Blau: string;
                        Braun: string;
                        Cremefarben: string;
                        "Dunkel-": string;
                        Gelb: string;
                        Grau: string;
                        Grün: string;
                        Pistazienfarben: string;
                        "Hell-": string;
                        Leuchtend: string;
                        Ocker: string;
                        Orange: string;
                        Rosa: string;
                        Rot: string;
                        Schwarz: string;
                        Türkis: string;
                        Violett: string;
                        Weiß: string;
                    };
                };
                "colors-Abbircella-2": {
                    values: {
                        Beige: string;
                        Dunkelbraun: string;
                        Dunkelrot: string;
                        Gelb: string;
                        Hellbraun: string;
                        Hellgrau: string;
                        Mittelbraun: string;
                        Ocker: string;
                        Orange: string;
                        Orangerot: string;
                        Rosa: string;
                        Rot: string;
                        Rotbraun: string;
                        Schwarz: string;
                        Weiß: string;
                    };
                };
                "Feature-featureForm-Abbircella": {
                    values: {
                        Befundrest: string;
                        "U-f\u00F6rmig": string;
                        "V-f\u00F6rmig": string;
                        Annähernd: string;
                        Formlos: string;
                        Halbmondförmig: string;
                        Langgezogen: string;
                        Oval: string;
                        Rechteckig: string;
                        Regelmäßig: string;
                        Rund: string;
                        Sanduhrförmig: string;
                        Trapezförmig: string;
                        Unregelmäßig: string;
                        Kesselförmig: string;
                        Wannenförmig: string;
                        Trichterförmig: string;
                    };
                };
                "Feature-featureBorders-Abbircella": {
                    values: {
                        Deutlich: string;
                        Diffus: string;
                        Eben: string;
                        Erahnbar: string;
                        Erkennbar: string;
                        "Etwas verwaschen": string;
                        Fließend: string;
                        Geneigt: string;
                        Gezackt: string;
                        Regelmäßig: string;
                        Scharf: string;
                        "Sehr deutlich": string;
                        Undeutlich: string;
                        Uneben: string;
                        Unklar: string;
                        Unregelmäßig: string;
                        Verwaschen: string;
                        Wellig: string;
                    };
                };
                "Feature-drawn-Abbircella": {
                    values: {
                        Ja: string;
                        Nein: string;
                        "Nicht notwendig": string;
                    };
                };
                "periods-Abbircella-1": {
                    values: {
                        "Vorr\u00F6misch I. ca. 500-146 v. Chr. (punisch)": string;
                        "Vorr\u00F6misch II. 146-31 v. Chr. (neopunisch)": string;
                        "Fr\u00FChe Kaiserzeit. 31 v. Chr. - 69 n. Chr. (augusteisch / iulisch-claudisch)": string;
                        "Mittlere Kaiserzeit I. ca. 69-117 n. Chr. (flavisch - trajanisch)": string;
                        "Mittlere Kaiserzeit II. 117-235 n. Chr. (hadrianisch - severisch)": string;
                        "Sp\u00E4te Kaiserzeit. 235-306 n. Chr. (Soldatenkaiser - tetrarchisch)": string;
                        "Sp\u00E4tantike I.  306-530 n. Chr. (konstantinisch - vandalisch)": string;
                        "Sp\u00E4tantike II. 530-698 n. Chr. (byzantinisch)": string;
                        "Phase I": string;
                        "Phase II": string;
                        "Phase III": string;
                        "Phase IV": string;
                        "Phase V": string;
                        "Phase VI": string;
                        "Phase VII": string;
                        "Phase VIII": string;
                        "Phase IX": string;
                        "Phase X": string;
                    };
                };
                "Layer-consistency-Abbircella": {
                    values: {
                        "Durch Brand versiegelt": string;
                        "Oberfl\u00E4che abgewaschen": string;
                        "Oberfl\u00E4che verh\u00E4rtet": string;
                        Fest: string;
                        Flüssig: string;
                        "Gut formbar": string;
                        Hart: string;
                        Lehmig: string;
                        Locker: string;
                        "Mittel bindend": string;
                        "Mittel formbar": string;
                        "Nicht bindend": string;
                        "Nicht formbar": string;
                        Porös: string;
                        Sandig: string;
                        "Schwach bindend": string;
                        "Schwach formbar": string;
                        "Sehr gut formbar": string;
                        "Sehr hart": string;
                        "Sehr schwach formbar": string;
                        "Sehr weich": string;
                        "Stark bindend": string;
                        Steif: string;
                        Weich: string;
                        Pulverig: string;
                    };
                };
                "Layer-soilType-Abbircella": {
                    values: {
                        Sand: string;
                        Feinstsand: string;
                        Feinsand: string;
                        "Mittlerer Sand": string;
                        Grobsand: string;
                        "Sandiger Schluff": string;
                        "Sandiger Ton": string;
                        "Sandiger Lehm": string;
                        Schluff: string;
                        "Schluffiger Sand": string;
                        "Schluffiger Ton": string;
                        "Schluffiger Lehm": string;
                        Ton: string;
                        "Toniger Sand": string;
                        "Toniger Schluff": string;
                        "Toniger Lehm": string;
                        Lehm: string;
                        Mergel: string;
                    };
                };
                "Layer-layerClassification-Abbircella": {
                    values: {
                        "Nat\u00FCrliche Ablagerung": string;
                        "Absichtliche Deponierung": string;
                        Anhäufung: string;
                        Versturzschicht: string;
                        Verfüllung: string;
                        Arbeitsniveau: string;
                        Anschüttung: string;
                        Stampflehm: string;
                        Brandschicht: string;
                        Planierschicht: string;
                        Laufhorizont: string;
                        Sonstiges: string;
                    };
                };
                "Negative-negativeClassification-Abbircella": {
                    values: {
                        Abfallgrube: string;
                        Brunnen: string;
                        Feuerstelle: string;
                        Graben: string;
                        Grube: string;
                        Ofen: string;
                        Pfostenloch: string;
                        Pflugspur: string;
                        Tiergang: string;
                        Wurzelkanal: string;
                        "Zerst\u00F6rte Mauer": string;
                        "Zerst\u00F6rter Boden": string;
                        Raubgräberloch: string;
                        Drainage: string;
                        Sonstiges: string;
                    };
                };
                "Architecture-wallClassification-Abbircella": {
                    values: {
                        "Aufgehendes Mauerwerk": string;
                        Fensterzusetzung: string;
                        Flickung: string;
                        Fundament: string;
                        Gewölbe: string;
                        Mauer: string;
                        Mauerbettung: string;
                        Mauerdurchbruch: string;
                        Mosaik: string;
                        "Opus sectile": string;
                        Türzusetzung: string;
                        Wandgestaltung: string;
                        Sonstiges: string;
                    };
                };
                "Architecture-wallType-Abbircella": {
                    values: {
                        Außenmauer: string;
                        Befestigungsmauer: string;
                        Blockmauerwerk: string;
                        Bruchsteinmauer: string;
                        Fachwerk: string;
                        Feldsteinmauer: string;
                        Grenzmauer: string;
                        Ziegelmauer: string;
                        Sonstiges: string;
                    };
                };
                "Architecture-construction-Abbircella": {
                    values: {
                        "Fundament: Gesch\u00FCttet": string;
                        "Fundament: Gesetzt": string;
                        "Mauerkern: Lesesteine": string;
                        "Einschalig vor Feld/Hang": string;
                        "Ohne Schalen/keine durchgehenden Lagen": string;
                        "Ohne Schalen/nur durchgehende Lagen": string;
                        Zweischalig: string;
                        "Zweischalig mit Binderlagen": string;
                        Sonstiges: string;
                    };
                };
                "Architecture-brickwork-Abbircella": {
                    values: {
                        Binderverband: string;
                        Blockverband: string;
                        "Fl\u00E4mischer Verband": string;
                        "Holl\u00E4ndischer Verband": string;
                        Kreuzverband: string;
                        Läuferverband: string;
                        "M\u00E4rkischer Verband": string;
                        Sonstiges: string;
                    };
                };
                "Architecture-blockTreatment-Abbircella": {
                    values: {
                        Bossiert: string;
                        Unbehauen: string;
                        "Grob behauen": string;
                        Behauen: string;
                        Gemischt: string;
                        "Bearbeitete Oberfl\u00E4che": string;
                        "Polierte Oberfl\u00E4che": string;
                    };
                };
                "Architecture-blockProcessing-Abbircella": {
                    values: {
                        Bruchsteine: string;
                        Hausteine: string;
                        Lesesteine: string;
                        Werksteine: string;
                        Sonstiges: string;
                    };
                };
                "Architecture-mortarBinder-Abbircella": {
                    values: {
                        Dominant: string;
                        Gering: string;
                        Hoch: string;
                        Mittel: string;
                    };
                };
                "Architecture-mortarConsistency-Abbircella": {
                    values: {
                        Brüchig: string;
                        "Erdig/lehmig": string;
                        Fest: string;
                        Hart: string;
                        Locker: string;
                        Mittelfein: string;
                        Pulverig: string;
                        Sandig: string;
                    };
                };
                "Architecture-condition-Abbircella": {
                    values: {
                        "Sehr gut": string;
                        Gut: string;
                        Mittel: string;
                        Schlecht: string;
                        "Sehr schlecht": string;
                    };
                };
                "Architecture-conditionAmount-Abbircella": {
                    values: {
                        Fragmentarisch: string;
                        "Teilweise erhalten": string;
                        Vollständig: string;
                        Zerstört: string;
                        Restauriert: string;
                    };
                };
                "Floor-floorClassification-Abbircella": {
                    values: {
                        Stampflehm: string;
                        Pflaster: string;
                        Ziegel: string;
                        "Opus alexandrinum": string;
                        "Opus barbaricum": string;
                        "Opus musivum (tesserae)": string;
                        Kieselmosaik: string;
                        "Opus scutulatum": string;
                        "Opus sectile": string;
                        "Opus segmentatum": string;
                        "Opus signinum (cocciopesto)": string;
                        "Opus spicatum": string;
                        "Opus tessellatum": string;
                        "Opus vermiculatum": string;
                        Mörtelfußboden: string;
                        Sonstiges: string;
                    };
                };
                "Wall_surface-wallOrientation-Abbircella": {
                    values: {
                        Norden: string;
                        Nordost: string;
                        Nordwest: string;
                        Osten: string;
                        Süden: string;
                        Südost: string;
                        Südwest: string;
                        Westen: string;
                    };
                };
                "PlasterFragment-plasterComponents-Abbircella": {
                    values: {
                        Feinsand: string;
                        Grus: string;
                        Sand: string;
                        Sonstiges: string;
                    };
                };
                "Architecture-buildingTechnique-Abbircella": {
                    values: {
                        "Ungebrannte oder gebrannte Ziegel": string;
                        "Opus craticium": string;
                        Flechtwerk: string;
                        "Unregelm\u00E4\u00DFige unbearbeitete Steine oder Kiesel": string;
                        Quadersteine: string;
                        Beton: string;
                        "Opus caementicium": string;
                        Sonstiges: string;
                    };
                };
                "Architecture-walling-Abbircella": {
                    values: {
                        "Opus siliceum (polygonal)": string;
                        "Opus testaceum/latericium (Dachziegel, Ziegel oder dreieckige Ziegel)": string;
                        "Opus vittatum/listatum (Ziegel und kleine Tuffsteine)": string;
                        Sonstiges: string;
                    };
                };
                "Wall_surface-constructionDetails-Abbircella": {
                    values: {
                        Abflussöffnung: string;
                        Angelloch: string;
                        Balkenloch: string;
                        Bleirohr: string;
                        "Durchgang/T\u00FCr": string;
                        Entlastungsbogen: string;
                        Fallrohr: string;
                        Fenster: string;
                        Fontäne: string;
                        Halbsäule: string;
                        Laibung: string;
                        Nische: string;
                        Regalloch: string;
                        Riegelloch: string;
                        "Sonstiges Loch": string;
                        Sturzauflager: string;
                    };
                };
                "Find-storagePlace-Abbircella": {
                    values: {
                        Unbekannt: string;
                    };
                };
                "Sample-sampleMaterial-Abbircella": {
                    values: {
                        Holzkohle: string;
                        Mörtel: string;
                        Bodenprobe: string;
                        Holz: string;
                        Stein: string;
                        Keramik: string;
                        Putz: string;
                        Sonstiges: string;
                    };
                };
                "Sample-sampleType-Abbircella": {
                    values: {
                        Bodenprobe: string;
                        "C14-Analyse": string;
                        Dendroprobe: string;
                        Hammerschlagsprobe: string;
                        Phosphatanalyse: string;
                        Pollenanalyse: string;
                    };
                };
                "orientation-Abbircella": {
                    values: {
                        "N-S": string;
                        "NNO-SSW": string;
                        "NNW-SSO": string;
                        "NO-SW": string;
                        "NW-SO": string;
                        "W-O": string;
                        "WNW-OSO": string;
                        "WSW-ONO": string;
                    };
                };
                "Survey-researchMethod-Abbircella": {
                    values: {
                        Befliegung: string;
                        Begehung: string;
                        Geoelektrik: string;
                        Geomagnetik: string;
                        Georadar: string;
                        LIDAR: string;
                        "Luft- oder Satellitenbilder": string;
                        Quadratisch: string;
                        Regelmäßig: string;
                        Seismik: string;
                    };
                };
                "Building-buildingCategory-Abbircella": {
                    values: {
                        Altar: string;
                        Amphitheater: string;
                        Basilika: string;
                        Bogen: string;
                        Brücke: string;
                        Circus: string;
                        Grabmonument: string;
                        Gymnasion: string;
                        Mauerkurtine: string;
                        Nymphäum: string;
                        Odeion: string;
                        "Stra\u00DFe (innerhalb einer Siedlung)": string;
                        "Stra\u00DFe (au\u00DFerhalb einer Siedlung)": string;
                        Stützmauer: string;
                        Säulenhalle: string;
                        Tempel: string;
                        Theater: string;
                        Therme: string;
                        Toranlage: string;
                        Turm: string;
                        Wohnbau: string;
                        Sonstiges: string;
                        Unbestimmt: string;
                    };
                };
                "Inscription-objectType-Abbircella": {
                    values: {
                        "Allt\u00E4glicher Gebrauch": string;
                        Bauinschrift: string;
                        Ehreninschrift: string;
                        "Grabinschrift (Inschrift im Grabkontext)": string;
                        "Private Ausstattung": string;
                        "Sakrale Ausstattung": string;
                        "Unsicher bzw. unbestimmbar": string;
                        Urkunde: string;
                        Wasserversorgung: string;
                        Weihinschrift: string;
                        "\u00D6ffentliche Ausstattung": string;
                    };
                };
                "Pottery-Amphorae-Provenance-Postumii": {
                    values: {
                        Nordägäisch: string;
                    };
                };
                "Drawing-drawingType-olympia": {
                    values: {
                        Skizze: string;
                        Vektorzeichnung: string;
                        Originalzeichnung: string;
                    };
                };
                "Coin-metalMaterial-olympia": {
                    values: {
                        Aes: string;
                    };
                };
                "roofElement-material-standard": {
                    values: {
                        Ton: string;
                        Stein: string;
                        Marmor: string;
                    };
                };
                "roofElementType-standard": {
                    values: {
                        Akroterion: string;
                        Overtile: string;
                        Undertile: string;
                        OverAndUndertile: string;
                        Revetment: string;
                        GeisonRevetment: string;
                        Sima: string;
                    };
                };
                "roofElementTypeSpecific-standard": {
                    values: {
                        "value 01": string;
                        "value 02": string;
                    };
                };
                "roofElementPosition-standard": {
                    values: {
                        Eave: string;
                        Hip: string;
                        Ridge: string;
                        Slope: string;
                        Valley: string;
                        Gable: string;
                        "Gable-Horizontal": string;
                        "Gable-Rake": string;
                        "Gable-Tympanum": string;
                        EaveAndHip: string;
                        EaveAndGable: string;
                        EaveAndValley: string;
                        RidgeAndGable: string;
                        RidgeAndHip: string;
                    };
                };
                "vaguenessOfGeometry-olympia": {
                    values: {
                        "0 well documented": string;
                        "1 documented": string;
                        "2 sketched": string;
                        "3 educated guess": string;
                        "4 guess": string;
                        "5 speculation": string;
                    };
                };
                "roofElementWorkflowSteps-olympia": {
                    values: {
                        step01: string;
                        step02: string;
                        step03: string;
                        step04: string;
                        step05: string;
                    };
                };
                "provenance-bourgou": {
                    values: {
                        Ägypten: string;
                        Adria: string;
                        Attika: string;
                        Baetika: string;
                        Byzacena: string;
                        Gallien: string;
                        Ionien: string;
                        Italien: string;
                        Kampanien: string;
                        Kalabrien: string;
                        Etrurien: string;
                        Karthago: string;
                        Kleinasien: string;
                        Korinth: string;
                        Levante: string;
                        Lusitanien: string;
                        lokal: string;
                        Malta: string;
                        Nordafrika: string;
                        Tarraconensis: string;
                        regional: string;
                        "lokal/regional": string;
                        Rhodos: string;
                        Sardinien: string;
                        Sizilien: string;
                        Spanien: string;
                        Tripolitanien: string;
                        Tunesien: string;
                        Nordtunesien: string;
                        Südtunesien: string;
                        Zentraltunesien: string;
                        Südgallien: string;
                        Ostmittelmeerraum: string;
                        Ägäis: string;
                        Westgriechenland: string;
                        Zypern: string;
                    };
                };
                "periods-bourgou": {
                    values: {
                        "Phase 1": string;
                        "Phase 2": string;
                        "Phase 3": string;
                        "Phase 4": string;
                        "Phase 5": string;
                        "Phase 6": string;
                        "Phase 7": string;
                        "Phase 8": string;
                        "Phase 9": string;
                        "Phase 10": string;
                    };
                };
                "Brick-decorationTechnique-bourgou": {
                    values: {
                        Flechtwerkabdruck: string;
                        Fingerabdruck: string;
                        Barbotin: string;
                        Kammritzung: string;
                        Rädchenverzierung: string;
                        Ratterdekor: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        "Sonstige Abdr\u00FCcke": string;
                        Stempel: string;
                    };
                };
                "Pottery-specificType-bourgou": {
                    values: {
                        "Geschl. Gef\u00E4\u00DF": string;
                        "Offenes Gef\u00E4\u00DF": string;
                        Boden: string;
                        Amphora: string;
                        Schüssel: string;
                        Schale: string;
                        Flasche: string;
                        Kasserolle: string;
                        Napf: string;
                        Deckel: string;
                        "Krug/Kanne": string;
                        Vorratsgefäß: string;
                        Kohlebecken: string;
                        Topf: string;
                        Mortaria: string;
                        "Teller/Pfanne": string;
                        Tajine: string;
                    };
                };
                "Pottery-materialType-bourgou": {
                    values: {
                        "Afrikanische Sigillata (ARS)": string;
                        "Afrik. Schwarzfirnis": string;
                        "Afrik. Schwarzfirnis pun.": string;
                        Dünnwandkeramik: string;
                        "S\u00FCdgallische Sigillata": string;
                        "Italische Sigillata": string;
                        "Eastern Sigillata A (ESA)": string;
                        "Campana A": string;
                        "Campana B": string;
                        "Campana B-O": string;
                        "Campana C": string;
                        "Attische Feinkeramik": string;
                        "Freigeformte Ware": string;
                        "Calcitic Ware": string;
                        "Korbgeformte Ware": string;
                        "Freigeformte Ware ital.": string;
                        "Freigeformte Ware pantel.": string;
                        "Freigeformte Ware div.": string;
                        "Afrikanische Schlichte Ware": string;
                        "Afrik. Schlichte Ware eisenztl.": string;
                        "Afrik. Schlichte Ware pun.": string;
                        "Afrik. Schlichte Ware trip.": string;
                        "Schlichte Ware ital.": string;
                        "Schlichte Ware lev.": string;
                        "Schlichte Ware ion.": string;
                        "Schlichte Ware div.": string;
                        "Afrikanische K\u00FCchenware": string;
                        "Afrik. K\u00FCchenware trip.": string;
                        "Afrik. K\u00FCchenware pun.": string;
                        "K\u00FCchenware ital.": string;
                        "K\u00FCchenware ion.": string;
                        "K\u00FCchenware div.": string;
                        "Amphora div.": string;
                        "Afrikanische Amphora": string;
                        "Punische Amphora": string;
                        "Neopunische Amphora": string;
                        "Nuraghische Amphora": string;
                        "Baetische Amphora": string;
                        "Etruskische Amphora": string;
                        "Italische Amphora": string;
                        "Gallische Amphora": string;
                        "Westgriechische Amphora": string;
                        "Ostmediterrane Amphora": string;
                    };
                };
                "Pottery-vesselpart-bourgou": {
                    values: {
                        WF: string;
                        RF: string;
                        BF: string;
                        H: string;
                        "vollst. Profil": string;
                        "ganzes Gef\u00E4\u00DF": string;
                    };
                };
                "Pottery-coatTpe-bourgou": {
                    values: {
                        unbehandelt: string;
                        verloren: string;
                        geglättet: string;
                        fleckig: string;
                        verstrichen: string;
                        "glatt verstrichen": string;
                        "rau verstrichen": string;
                        poliert: string;
                        "metallisch gl\u00E4nzend": string;
                        Überzug: string;
                        Scum: string;
                        glasiert: string;
                        bemalt: string;
                    };
                };
                "Pottery-rimTreatment-bourgou": {
                    values: {
                        weiss: string;
                        graubraun: string;
                        hellbraun: string;
                        "sekund\u00E4r geschw\u00E4rzt": string;
                        geschwärzt: string;
                    };
                };
                "Pottery-coatColor-bourgou": {
                    values: {
                        verloren: string;
                        beige: string;
                        "blass-": string;
                        blau: string;
                        braun: string;
                        cremefarben: string;
                        "dunkel-": string;
                        gelb: string;
                        glänzend: string;
                        grau: string;
                        grün: string;
                        "hell-": string;
                        "leuchtend-": string;
                        ocker: string;
                        orange: string;
                        rosa: string;
                        rot: string;
                        schwarz: string;
                        türkis: string;
                        violett: string;
                        weiß: string;
                    };
                };
                "Find-amountDescription-bourgou": {
                    values: {
                        Stück: string;
                        Eimer: string;
                        Kiste: string;
                        Tüte: string;
                    };
                };
                "Find-samplePl-bourgou": {
                    values: {
                        ausgeführt: string;
                        "an Spezialist/Labor \u00FCbergeben": string;
                        zurückgeführt: string;
                    };
                };
                "Find-Store-bourgou": {
                    values: {
                        "nicht aufbewahrt": string;
                        "Grabungshaus/Magazin": string;
                        Sonstiges: string;
                    };
                };
                "provenance-Gadara": {
                    values: {
                        Anatolien: string;
                        Ägypten: string;
                        Attisch: string;
                        Italien: string;
                        Kleinasien: string;
                        Levante: string;
                        Lokal: string;
                        "Lokal/Regional": string;
                        Nordafrika: string;
                        Palästina: string;
                        Regional: string;
                        Rhodos: string;
                        Iberia: string;
                        Syrien: string;
                        Tunesien: string;
                        Zypern: string;
                    };
                };
                "glass-transparency-Gadara": {
                    values: {
                        durchscheinend: string;
                        durchsichtig: string;
                        opak: string;
                        verwittert: string;
                    };
                };
                "glass-formDescription-Gadara": {
                    values: {
                        bauchig: string;
                        "breit-": string;
                        "doppel-": string;
                        "halb-": string;
                        "hoch-": string;
                        konisch: string;
                        kugelförmig: string;
                        quadratisch: string;
                        rechteckig: string;
                        rund: string;
                        schmal: string;
                        tonnenförmig: string;
                        zylinderförmig: string;
                        oval: string;
                        würfelförmig: string;
                        pyramidal: string;
                        dreieckig: string;
                        trapezoid: string;
                    };
                };
                "glass-vesselFormSpecific-Gadara": {
                    values: {
                        Balsamarium: string;
                        Faltenbecher: string;
                        Kelch: string;
                        Kragenschale: string;
                        Rippenschale: string;
                        Schliffrillenschale: string;
                        Unguentarium: string;
                        Vierkantflasche: string;
                        "hexagonale Flasche": string;
                        "zarte Rippenschale": string;
                        "zylindrische Flasche": string;
                    };
                };
                "glass-vesselForm-Gadara": {
                    values: {
                        Becher: string;
                        Deckel: string;
                        Flasche: string;
                        Krug: string;
                        Schale: string;
                        Schüssel: string;
                        Teller: string;
                        Topf: string;
                        Unbestimmt: string;
                        Kelch: string;
                        Lampe: string;
                    };
                };
                "glass-objectType-Gadara": {
                    values: {
                        Armreif: string;
                        Fensterglas: string;
                        Gefäß: string;
                        Gerät: string;
                        Glasschlacke: string;
                        Perle: string;
                        Produktionsfragment: string;
                        Ring: string;
                        Rohglas: string;
                        Schmuck: string;
                        Spielstein: string;
                        Tessera: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "glass-decorationTechnique-Gadara": {
                    values: {
                        Bemalung: string;
                        Diatretglas: string;
                        Facettschliffdekor: string;
                        Fadendekor: string;
                        Mosaikglas: string;
                        Reliefdekor: string;
                        Schliffrillendekor: string;
                        Stempeldekor: string;
                        Tropfendekor: string;
                        Warzendekor: string;
                    };
                };
                "glass-manufacturingMethod-Gadara": {
                    values: {
                        Formgeblasen: string;
                        Formgeschmolzen: string;
                        Freigeblasen: string;
                        Kerngeformt: string;
                    };
                };
                "Brick-temper-Gadara": {
                    values: {
                        Glimmer: string;
                        Holzkohle: string;
                        Kalk: string;
                        "Mineralische Partikel": string;
                        Muschelgrus: string;
                        "Organische Partikel": string;
                        Quarz: string;
                        Sand: string;
                        Schamotte: string;
                        Sonstige: string;
                        Steinchen: string;
                        "Stroh/Spreu": string;
                        Vacua: string;
                        "Vulkanische Partikel": string;
                    };
                };
                "Brick-manufacturingMethod-Gadara": {
                    values: {
                        "gedreht (auf Drehscheibe)": string;
                        gegossen: string;
                        gepresst: string;
                        handgeformt: string;
                        modelgeformt: string;
                    };
                };
                "Brick-decorationTechnique-Gadara": {
                    values: {
                        Fingerabdruck: string;
                        Kammritzung: string;
                        Rädchenverzierung: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        "Sonstige Abdr\u00FCcke": string;
                        Stempel: string;
                    };
                };
                "Brick-brickUsage-Gadara": {
                    values: {
                        Dach: string;
                        Decke: string;
                        Fenster: string;
                        Fussboden: string;
                        Gewölbe: string;
                        Hypokausten: string;
                        Türrahmen: string;
                        Türsturz: string;
                        Mauerwerk: string;
                        Wandverkleidung: string;
                        Ofen: string;
                        Wasserleitung: string;
                    };
                };
                "Brick-brickForm-Gadara": {
                    values: {
                        Bodenziegel: string;
                        Dachziegel: string;
                        Flachziegel: string;
                        Formziegel: string;
                        Imbrex: string;
                        Kalypter: string;
                        "Lochziegel/Hohlziegel": string;
                        Tegula: string;
                        Tonrohr: string;
                        Wandziegel: string;
                        "ohne erkennbare Form": string;
                    };
                };
                "Brick-manufacturing-Gadara": {
                    values: {
                        Gebrannt: string;
                        "Hart gebrannt": string;
                        Luftgetrocknet: string;
                        "Sekund\u00E4r gebrannt": string;
                        "Weich gebrannt": string;
                    };
                };
                "Wood-typeOfWood-Gadara": {
                    values: {
                        Apfel: string;
                        Birne: string;
                        Dattelpalme: string;
                        Eiche: string;
                        Feige: string;
                        Granatapfel: string;
                        Lorbeer: string;
                        Maulbeere: string;
                        Mispel: string;
                        Olive: string;
                        Pflaume: string;
                        "Pinie/Kiefer": string;
                        Wacholder: string;
                        Walnuss: string;
                        Weide: string;
                        Weinrebe: string;
                        Zeder: string;
                        Zypresse: string;
                    };
                };
                "Wood-decorationTechnique-Gadara": {
                    values: {
                        Bemalung: string;
                        Intarsie: string;
                        "Relief, fig\u00FCrlich": string;
                        "Relief, ornamental": string;
                        "Vergoldung/metallischer \u00DCberzug": string;
                    };
                };
                "Wood-objectType-Gadara": {
                    values: {
                        Architekturelement: string;
                        Gefäß: string;
                        Gerät: string;
                        Holzkohle: string;
                        "Kasten/Kiste": string;
                        Besteck: string;
                        Mobiliar: string;
                        "Plastik/Skulptur": string;
                        Produktionsrest: string;
                        Schmuck: string;
                        Spielzeug: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Wood-manufacturingMethod-Gadara": {
                    values: {
                        Gebohrt: string;
                        Gedämpft: string;
                        Gedreht: string;
                        Gefräst: string;
                        Gehobelt: string;
                        Gesägt: string;
                        Geschabt: string;
                        Geschliffen: string;
                        Geschnitzt: string;
                        Gespalten: string;
                    };
                };
                "Pottery-temperAmount-Gadara": {
                    values: {
                        "Keine Einschl\u00FCsse": string;
                        Mittel: string;
                        "Nicht erkennbar": string;
                        "Sehr viel": string;
                        Vereinzelt: string;
                        Viel: string;
                        Wenig: string;
                    };
                };
                "Pottery-temperParticles-Gadara": {
                    values: {
                        fein: string;
                        grob: string;
                        mittel: string;
                        mittelfein: string;
                        "sehr fein": string;
                        "sehr grob": string;
                    };
                };
                "Bone-species-Gadara": {
                    values: {
                        "B\u00E4r (Ursidae)": string;
                        Fisch: string;
                        "G\u00E4nsevogel (Anseriformes)": string;
                        "Hasenartige (Lagomorpha)": string;
                        "Hirsch (Cervidae)": string;
                        "Hundeartige (Canidae)": string;
                        "Kamel (Camelidae)": string;
                        Muschel: string;
                        "Nagetier (Rodentia)": string;
                        "Rind (Bovinae)": string;
                        Schnecke: string;
                        Schwein: string;
                        Vogel: string;
                        "Ziegenartige (Caprini)": string;
                        Einhorn: string;
                    };
                };
                "Bone-boneType-Gadara": {
                    values: {
                        Elfenbein: string;
                        Horn: string;
                        Menschenknochen: string;
                        Tierknochen: string;
                        Zahn: string;
                        Mollusken: string;
                    };
                };
                "Bone-objectType-Gadara": {
                    values: {
                        Armreif: string;
                        "Bearbeitet (allgemein)": string;
                        Einlage: string;
                        Gefäß: string;
                        Löffel: string;
                        Perle: string;
                        Ring: string;
                        Schmuck: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Werkzeug: string;
                        Würfel: string;
                    };
                };
                "Bone-sex-Gadara": {
                    values: {
                        Männlich: string;
                        Weiblich: string;
                        "M\u00E4nnlich oder Kastrat": string;
                    };
                };
                "Terracotta-objectType-Gadara": {
                    values: {
                        "Amphorenhenkel mit Stempel": string;
                        Öllampe: string;
                        "Figurine, Tier": string;
                        "Figurine, Mensch": string;
                        "Figurine, unbestimmt": string;
                        Webgewicht: string;
                        Spinnwirtel: string;
                    };
                };
                "Terracotta-surfaceCondition-Gadara": {
                    values: {
                        Brandspuren: string;
                        Sekundärbrand: string;
                        abblätternd: string;
                        "gut erhalten": string;
                        "stark abgerieben": string;
                        "starke Sinter- oder M\u00F6rtelablagerungen": string;
                        verrieben: string;
                        versintert: string;
                        verwaschen: string;
                    };
                };
                "Stone-material-Gadara": {
                    values: {
                        Basalt: string;
                        Flint: string;
                        Granit: string;
                        Kalkstein: string;
                        Marmor: string;
                        Porphyr: string;
                        Sandstein: string;
                    };
                };
                "Stone-objectType-Gadara": {
                    values: {
                        Abschlag: string;
                        Bauglied: string;
                        Gefäß: string;
                        Gerät: string;
                        Gussform: string;
                        "Plastik/Skulptur": string;
                        Platte: string;
                        Quader: string;
                        Reibschale: string;
                        Reibstein: string;
                        Reliefstein: string;
                        Schmuck: string;
                        Spielbrett: string;
                        Spielstein: string;
                        Spinnwirtel: string;
                        Tessera: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Webgewicht: string;
                    };
                };
                "Stone-architectureElement-Gadara": {
                    values: {
                        Akroter: string;
                        Architrav: string;
                        Basis: string;
                        Bauplastik: string;
                        Fries: string;
                        Fußboden: string;
                        Gesims: string;
                        Kapitell: string;
                        Konsole: string;
                        Profilstück: string;
                        Schwellenblock: string;
                        Sima: string;
                        Säule: string;
                        Türsturz: string;
                        Wandverkleidung: string;
                    };
                };
                "Stone-treatment-Gadara": {
                    values: {
                        Unbehauen: string;
                        "Grob behauen": string;
                        "Fein behauen": string;
                        "Grob gegl\u00E4ttet": string;
                        "Fein gegl\u00E4ttet": string;
                        Poliert: string;
                    };
                };
                "Coin-metalMaterial-Gadara": {
                    values: {
                        Blei: string;
                        Bronze: string;
                        Eisen: string;
                        Gold: string;
                        Kupfer: string;
                        Messing: string;
                        Silber: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Metal-decorationTechnique-Gadara": {
                    values: {
                        Emaille: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzdekor: string;
                        Stempeldekor: string;
                        Vergoldung: string;
                    };
                };
                "Metal-objectType-Gadara": {
                    values: {
                        Armreif: string;
                        Barren: string;
                        Beschlag: string;
                        Besteck: string;
                        Blech: string;
                        Fibel: string;
                        Gefäß: string;
                        Gerät: string;
                        Gewicht: string;
                        Glocke: string;
                        Gusszapfen: string;
                        Kette: string;
                        Klinge: string;
                        Knopf: string;
                        Lampe: string;
                        Mobiliar: string;
                        Nadel: string;
                        Nagel: string;
                        Pfeilspitze: string;
                        "Plastik/Skulptur": string;
                        Produktionsfragment: string;
                        Projektil: string;
                        Ring: string;
                        Schlacke: string;
                        Schlüssel: string;
                        Schmuck: string;
                        Schnalle: string;
                        Spiegel: string;
                        Spielstein: string;
                        Strigilis: string;
                        Türschloss: string;
                        "Unsicher bzw. unbestimmbar": string;
                        Waffe: string;
                        Wasserleitung: string;
                    };
                };
                "Metal-manufacturingMethod-Gadara": {
                    values: {
                        Getrieben: string;
                        Gußtechnik: string;
                        Prägearbeit: string;
                        Schmiedetechnik: string;
                        Ziehtechnik: string;
                        "Unsicher bzw. unbestimmbar": string;
                    };
                };
                "Find-sample-Gadara": {
                    values: {
                        ja: string;
                        nein: string;
                        teilweise: string;
                        gesamt: string;
                    };
                };
                "Find-samplePl-Gadara": {
                    values: {
                        "Ausfuhr beantragt": string;
                        "Ausfuhr genehmigt": string;
                        ausgeführt: string;
                        "an Spezialist/Labor \u00FCbergeben": string;
                        zurückgeführt: string;
                        nein: string;
                    };
                };
                "Find-Store-Gadara": {
                    values: {
                        "nicht aufbewahrt": string;
                        Werkhof: string;
                        Grabungshaus: string;
                    };
                };
                "plasterDecoration-Gadara": {
                    values: {
                        "Ohne Oberfl\u00E4che": string;
                        Stuck: string;
                        "Einfarbige Bemalung": string;
                        "Polychrome Bemalung": string;
                        "Verputzte Oberfl\u00E4che": string;
                    };
                };
                "plasterType-Gadara": {
                    values: {
                        Wandputz: string;
                        "Boden/Estrich": string;
                        Mörtel: string;
                        unbestimmbar: string;
                    };
                };
                "Coin-stampPositioning-Gadara": {
                    values: {
                        "- 1 Uhr": string;
                        "- 2 Uhr": string;
                        "- 3 Uhr": string;
                        "- 4 Uhr": string;
                        "- 5 Uhr": string;
                        "- 6 Uhr": string;
                        "- 7 Uhr": string;
                        "- 8 Uhr": string;
                        "- 9 Uhr": string;
                        "- 10 Uhr": string;
                        "- 11 Uhr": string;
                        "- 12 Uhr": string;
                    };
                };
                "coordinate-reference-system-milet": {
                    values: {
                        NoCoordinateSystem: string;
                        Bendt: string;
                        UTM35N: string;
                    };
                };
                "Survey-researchMethod-milet": {
                    values: {
                        Befliegung: string;
                        Kartierung: string;
                        Begehung: string;
                        Fundkatalog: string;
                    };
                };
                "localization-milet": {
                    values: {
                        Totalstation: string;
                        manuell_kartiert: string;
                        nicht_lokalisiert: string;
                        topographical_description: string;
                    };
                    description: string;
                };
                "Find-workflow-milet": {
                    values: {
                        Inventarisiert: string;
                        Fotografiert: string;
                        Gezeichnet: string;
                        Restauriert: string;
                        "Detailbearbeitung fertig": string;
                        Fehlerhaft: string;
                    };
                };
                "Sculpture-sculptureBodypart-milet": {
                    values: {
                        left: string;
                        right: string;
                        Head: string;
                        Neck: string;
                        Shoulder: string;
                        Back: string;
                        Hip: string;
                        Leg: string;
                        Foot: string;
                        Attributes: string;
                        indeterminable: string;
                        other: string;
                    };
                };
                "Sculpture-sculptureGender-milet": {
                    values: {
                        female: string;
                        male: string;
                        inconclusive: string;
                        other: string;
                    };
                    description: string;
                };
                "Sculpture-sculptureType-milet": {
                    values: {
                        "Deities, Personifications and Heroes": string;
                        "Imperial Family": string;
                        "Imperial and Senatorial Office Holders": string;
                        "Provincial Notables": string;
                        Animals: string;
                        "Philosophers, Orators and Poets": string;
                        Military: string;
                        Athletes: string;
                        Citizen: string;
                        "Other (human)": string;
                        "Other mythological creatures": string;
                        Other: string;
                        Unknown: string;
                    };
                };
                "Sculpture-sculptureClothing-milet": {
                    values: {
                        "Toga, late antique": string;
                        "Toga with umbo": string;
                        Armour: string;
                        "Tunic / chiton": string;
                        "Tunic, colobium": string;
                        "Boots, Military": string;
                        "Footwear, sandals": string;
                        "Footwear, closed, plain boots": string;
                        "Footwear, closed strapped boots": string;
                        "Footwear, open, strapped shoes": string;
                        "Cloak, paludamentum": string;
                        "Cloak, chlamys": string;
                        Naked: string;
                        Other: string;
                    };
                };
                "Sculpture-sculptureHairstyle-milet": {
                    values: {
                        "Brushed forward": string;
                        Bun: string;
                        "Central braid": string;
                        "Encircling braid(s)": string;
                        "Long, covers ears": string;
                        "Long, to shoulders": string;
                        Short: string;
                        "Short-cropped": string;
                        "Wreath-style": string;
                        Other: string;
                    };
                };
                "Sculpture-sculptureBeardstyle-milet": {
                    values: {
                        "Bearded, long": string;
                        "Bearded, short": string;
                        "Bearded, stubble": string;
                        "Bearded, under-chin": string;
                        "Clean-shaven": string;
                        beardless: string;
                        Other: string;
                    };
                };
                "Sculpture-sculptureAttributes-milet": {
                    values: {
                        belt: string;
                        crown: string;
                        "codex / book": string;
                        "corona civica": string;
                        "crown fillet": string;
                        diadem: string;
                        "diadem, jewelled": string;
                        "diadem, pearl-edged": string;
                        "diadem, plain": string;
                        earrings: string;
                        fibula: string;
                        "finger ring": string;
                        mappa: string;
                        necklace: string;
                        orb: string;
                        sceptre: string;
                        scroll: string;
                        spear: string;
                        staff: string;
                        sword: string;
                        tabellae: string;
                        wreath: string;
                        other: string;
                    };
                };
                "Sculpture-colors-milet": {
                    values: {
                        rosa: string;
                        grün: string;
                        blau: string;
                        "bl\u00E4ulich-wei\u00DF": string;
                        hellgrau: string;
                        hellgräulich: string;
                        "gr\u00E4ulich-wei\u00DF": string;
                        gräulich: string;
                        grau: string;
                        dunkelgrau: string;
                        schwarz: string;
                        weiß: string;
                        "gr\u00E4ulich-blau": string;
                    };
                    description: string;
                };
                "Sculpture-marbleType-milet": {
                    values: {
                        "veined marble": string;
                        "nonveined marble": string;
                    };
                    description: string;
                };
                "quality-milet": {
                    values: {
                        "very high quality": string;
                        "high quality": string;
                        "medium quality": string;
                        "low quality": string;
                        unfinished: string;
                        "partially unfinished": string;
                    };
                    description: string;
                };
                "Layer-layerConsistency-milet": {
                    values: {
                        very_hard: string;
                        hard: string;
                        solid: string;
                        starchy: string;
                        soft: string;
                        very_soft: string;
                        liquid: string;
                    };
                    description: string;
                };
                "Layer-layerInclusions-milet": {
                    values: {
                        Kiesel_klein: string;
                        Kiesel_mittel: string;
                        Kiesel_groß: string;
                        Stein_klein: string;
                        Stein_mittel: string;
                        Stein_groß: string;
                        Kalk: string;
                        Ziegelbruch_kleinteilig: string;
                        HolzkohleAsche: string;
                        Wurzeln: string;
                        Tiergänge: string;
                        Schnecken: string;
                    };
                    description: string;
                };
                "Layer-layerClassification-milet": {
                    values: {
                        Brandschicht: string;
                        Kulturschicht: string;
                        Laufhorizont: string;
                        Planierschicht: string;
                        Schuttschicht: string;
                        Humusschicht: string;
                        Filling: string;
                        Baugrube: string;
                        Grave: string;
                        artificial_removal: string;
                        other: string;
                        unbekannt: string;
                    };
                };
                "layerColors-milet": {
                    values: {
                        black: string;
                        grey: string;
                        brown: string;
                        yellow: string;
                        ochre: string;
                        red: string;
                    };
                };
                "layerColorsIntensity-milet": {
                    values: {
                        very_light: string;
                        light: string;
                        medium: string;
                        dark: string;
                        very_dark: string;
                    };
                };
                "Layer-soilType-milet": {
                    values: {
                        Lehm: string;
                        Sand: string;
                        "Sand (fein)": string;
                        "Sand (mittel)": string;
                        "Sand (grob)": string;
                        Schluff: string;
                        Ton: string;
                    };
                };
                "Layer-layerFinds-milet": {
                    values: {
                        Keramik: string;
                        Terrakotta: string;
                        "Stein (bearbeitet)": string;
                        Tesserae: string;
                        Inkrustationen: string;
                        Wandputz: string;
                        Metall: string;
                        Glas: string;
                        Münzen: string;
                        Ziegel: string;
                        Knochen: string;
                        Holz: string;
                        Mollusken: string;
                        Sample: string;
                    };
                    description: string;
                };
                "Drawing-scale-milet": {
                    values: {
                        other: string;
                        NA: string;
                    };
                    description: string;
                };
                "Drawing-drawingType-milet": {
                    values: {
                        CAD: string;
                        "Totalstation-direct": string;
                        "Handzeichnung-precise": string;
                        sketch: string;
                    };
                };
                "viewDirection-milet": {
                    values: {
                        North: string;
                        Northeast: string;
                        East: string;
                        Southeast: string;
                        South: string;
                        Southwest: string;
                        West: string;
                        Northwest: string;
                        not_applicable: string;
                    };
                    description: string;
                };
                "findProcessingWorkflow-milet": {
                    values: {
                        "01_first_impression": string;
                        "02a_quantification": string;
                        "02b_quantification": string;
                        "03_complete_processing": string;
                        "04_no_processing": string;
                    };
                    description: string;
                };
                "Find-conditionAmount-milet": {
                    values: {
                        Fragmentarisch: string;
                        "Fragmentarisch_0-25": string;
                        "Fragmentarisch_25-50": string;
                        "Fragmentarisch_50-75": string;
                        "Fragmentarisch_75-100": string;
                        intakt: string;
                        unbekannt: string;
                    };
                };
                "provenance-milet": {
                    values: {
                        Import: string;
                    };
                };
                "Building-material-milet": {
                    values: {
                        Granit: string;
                        Kalk: string;
                        Gneis: string;
                        Poros: string;
                        Breccia: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Tuffit: string;
                        Ziegel: string;
                    };
                };
                "Building-context-milet": {
                    values: {
                        Akropolis: string;
                        Forum: string;
                        Handwerksviertel: string;
                        Heiligtum: string;
                        Nekropole: string;
                        Wohnviertel: string;
                        Extraurban: string;
                        Intraurban: string;
                    };
                };
                "Pottery-potteryGroup-milet": {
                    values: {
                        "feine Keramik": string;
                        "Mittelgrobe Keramik": string;
                        "Grobe Keramik": string;
                        Küchenkeramik: string;
                        "Graue Ware": string;
                        Schwarzfirnisware: string;
                        "Schwarzfigurige Keramik": string;
                        "Rotfigurige Keramik": string;
                        "Wei\u00DFgrundige Keramik": string;
                        Kleckerware: string;
                        "Colour coated": string;
                        Stapelware: string;
                        Streifenkeramik: string;
                        "Archaische Feinkeramik": string;
                        "Westabhang-Keramik": string;
                        "Westabhang-Nachfolgestil": string;
                        "Sigillata unbestimmt": string;
                        "Italische Sigillata": string;
                        "Eastern Sigillata A": string;
                        "Eastern Sigillata B": string;
                        "Eastern Sigillata C": string;
                        "African Red Slip": string;
                        "Late Roman C": string;
                        Reliefkeramik: string;
                        Applikenkeramik: string;
                        Formschüsselkeramik: string;
                        Bleiglasurkeramik: string;
                        "Barbotine Ware": string;
                        "D\u00FCnnwandige Keramik": string;
                        "Byzantinische Glasierte Keramik": string;
                        Sgraffito: string;
                        "Handgeformte Keramik": string;
                        andere: string;
                    };
                };
                "Pottery-functionalCategory-milet": {
                    values: {
                        Tafelgeschirr: string;
                        Haushaltskeramik: string;
                        Küchenkeramik: string;
                        Transportgefäße: string;
                        Vorratskeramik: string;
                        Ölgefäße: string;
                        Miniaturkeramik: string;
                        Geräte: string;
                    };
                };
                "Pottery-vesselForm-milet": {
                    values: {
                        Ampulle: string;
                        Backteller: string;
                        Becher: string;
                        Bienenkorb: string;
                        "B\u00FCgelhenkelgef\u00E4\u00DF / Eimer": string;
                        Deckel: string;
                        Fischteller: string;
                        Flasche: string;
                        Gewicht: string;
                        Haushaltsschüssel: string;
                        Kanne: string;
                        Kohlenbecken: string;
                        Krug: string;
                        Lampe: string;
                        Mischgefäß: string;
                        Napf: string;
                        Pfanne: string;
                        Platte: string;
                        Rost: string;
                        Salznapf: string;
                        Schale: string;
                        Schüssel: string;
                        Siebgefäß: string;
                        Ständer: string;
                        Tasse: string;
                        Teller: string;
                        Topf: string;
                        Vorratstopf: string;
                        Wanne: string;
                        Webgewicht: string;
                        "offenes Gef\u00E4\u00DF": string;
                        "geschlossenes Gef\u00E4\u00DF": string;
                        "unbekanntes Gef\u00E4\u00DF": string;
                        "unbestimmbares Gef\u00E4\u00DF": string;
                    };
                };
                "Pottery-potteryCondition-milet": {
                    values: {
                        intakt: string;
                        "vollst\u00E4ndig zerbrochen": string;
                        "viel erhalten": string;
                        "vollst\u00E4ndiges Profil": string;
                        "gro\u00DFe Scherben": string;
                        "mittelgro\u00DFe Scherben": string;
                        "kleine Scherben": string;
                        "(sehr) stark zerscherbt": string;
                        "Oberfl\u00E4chen stark besch\u00E4digt": string;
                        Abrollungen: string;
                        Brandspuren: string;
                    };
                };
                "Pottery-fabricHardness-milet": {
                    values: {
                        weich: string;
                        hart: string;
                        "sehr hart": string;
                        "klingend hart": string;
                    };
                };
                "Pottery-temperType-milet": {
                    values: {
                        Glimmer: string;
                        Sand: string;
                        Kalk: string;
                        Calzit: string;
                        Eisenoxid: string;
                        Quarzit: string;
                        Steinchen: string;
                        Muschelgrus: string;
                        Schamotte: string;
                        Organische: string;
                        Magerung: string;
                        Vulkanisch: string;
                        Lufteinschlüsse: string;
                    };
                };
                "Pottery-temperAmount-milet": {
                    values: {
                        "nicht erkennbar": string;
                        wenige: string;
                        einige: string;
                        mittel: string;
                        reichlich: string;
                        "sehr viel": string;
                    };
                };
                "Pottery-temperGrain-milet": {
                    values: {
                        "sehr fein": string;
                        fein: string;
                        mittel: string;
                        grob: string;
                        "sehr grob": string;
                    };
                };
                "Pottery-surfaceTreatment-milet": {
                    values: {
                        verstrichen: string;
                        geglättet: string;
                        poliert: string;
                        glasiert: string;
                        bemalt: string;
                        Überzug: string;
                        Stempel: string;
                        Relief: string;
                        Einkerbungen: string;
                        Horizontalriefel: string;
                        Rouletting: string;
                        Applikation: string;
                        Ritzungen: string;
                        Kammstrich: string;
                        Fingereindrücke: string;
                    };
                };
                "Sample-sampleType-milet": {
                    values: {
                        Dünnschliff: string;
                        Rückstände: string;
                        Gebrauchsspuren: string;
                        Bodenprobe: string;
                        "C14-Analyse": string;
                        Dendroprobe: string;
                        Phosphatanalyse: string;
                        Pollenanalyse: string;
                    };
                };
                "Building-buildingCategory-milet": {
                    values: {
                        Altar: string;
                        Basilika: string;
                        Bogen: string;
                        Brücke: string;
                        Grabbau: string;
                        Gymnasium: string;
                        Mauerkurtine: string;
                        Nymphäum: string;
                        Odeion: string;
                        Strasse: string;
                        Stützmauer: string;
                        Säulenhalle: string;
                        Tempel: string;
                        Theater: string;
                        Therme: string;
                        Toranlage: string;
                        Befestigungsanlage: string;
                        Wohnbau: string;
                        Platzanlage: string;
                        Moschee: string;
                        Kirche: string;
                        Monument: string;
                        Werkstatt: string;
                    };
                };
                "Building-buildingType-milet": {
                    values: {
                        Sakral: string;
                        Öffentlich: string;
                        Privat: string;
                        Industriell: string;
                        Infrastruktur: string;
                        Monumental: string;
                        Befestigung: string;
                    };
                };
                "architecturalOrder-milet": {
                    values: {
                        dorisch: string;
                        ionisch: string;
                        komposit: string;
                        äolisch: string;
                        korinthisch: string;
                        keine: string;
                        "nicht erhalten": string;
                    };
                };
                "periods-milet": {
                    values: {
                        Neolitisch: string;
                        "Chalkolitisch [Milet I]": string;
                        Bronzezeitlich: string;
                        "Fr\u00FChbronzezeitlich [Milet II]": string;
                        "Mittelbronzezeitlich [Milet III]": string;
                        "Sp\u00E4tbronzezeitlich [Milet IV]": string;
                        "Sp\u00E4tbronzezeitlich [Milet V]": string;
                        "Sp\u00E4tbronzezeitlich [Milet VI]": string;
                        "Sp\u00E4tbronzezeitlich [Milet VII]": string;
                        Geometrisch: string;
                        Protogeometrisch: string;
                        Frühgeometrisch: string;
                        Mittelgeometrisch: string;
                        Spätgeometrisch: string;
                        Archaisch: string;
                        Früharchaisch: string;
                        Hocharchaisch: string;
                        Spätarchaisch: string;
                        Perserzerstörung: string;
                        Klassisch: string;
                        Frühklassisch: string;
                        Spätklassik: string;
                        Hellenistisch: string;
                        "Fr\u00FCher Hellenismus": string;
                        "Sp\u00E4ter Hellenismus": string;
                        Kaiserzeitlich: string;
                        Frühkaiserzeitlich: string;
                        Mittelkaiserzeitlich: string;
                        Spätkaiserzeitlich: string;
                        Spätantik: string;
                        Byzantinisch: string;
                        "Fr\u00FChbyzantinisch / Sp\u00E4tantik": string;
                        Mittelbyzantinisch: string;
                        Spätbyzantinisch: string;
                        "Mente\u015Fe / emiratszeitlich": string;
                        Osmanisch: string;
                        Rezent: string;
                    };
                };
                "quantificationType-milet": {
                    values: {
                        Pottery: string;
                        Bones: string;
                        Mollusks: string;
                        Glass: string;
                        Metal: string;
                        Stone: string;
                        Terracotta: string;
                        Coins: string;
                        Plaster: string;
                        Sample: string;
                        Tesserae: string;
                        Inlays: string;
                        Ziegel: string;
                        Holz: string;
                    };
                };
                "relativeAmountCheck-milet": {
                    values: {
                        gering: string;
                        mittel: string;
                        hoch: string;
                        "sehr hoch": string;
                    };
                };
                "Stone-origin-milet": {
                    values: {
                        Alpen: string;
                        Anatolien: string;
                        Chimtou: string;
                        Harz: string;
                        Kreta: string;
                        Sizilien: string;
                        Aphrodisias: string;
                        "Burgass Adas\u0131": string;
                        Carrara: string;
                        Docimium: string;
                        Ephesus: string;
                        Euromos: string;
                        Fourni: string;
                        "Heraclea at Latmus": string;
                        Hymettus: string;
                        Lesbos: string;
                        "Marmara (Proconnesus)": string;
                        Milas: string;
                        "Miletus East": string;
                        "Miletus West": string;
                        Naxos: string;
                        Paros: string;
                        Pentelikon: string;
                        Priene: string;
                        Samos: string;
                        Stratonikeia: string;
                        Thasos: string;
                    };
                };
                "Deposit-depositType-Gadara": {
                    values: {
                        Abhub: string;
                        Abraum: string;
                        Akkumulation: string;
                        Ascheschicht: string;
                        Brandschicht: string;
                        Erdbefund: string;
                        "Gewachsener Boden/Fels": string;
                        Holzkohlekonzentration: string;
                        "Laufhorizont (Getretener Boden)": string;
                        Planierschicht: string;
                        Verfüllung: string;
                        Versturz: string;
                        Sonstiges: string;
                    };
                };
                "featureBorders-Gadara": {
                    values: {
                        "erahnbar/flie\u00DFend": string;
                        undeutlich: string;
                        deutlich: string;
                        "sehr deutlich": string;
                    };
                    description: string;
                };
                "Deposit-colorLightness-Gadara": {
                    values: {
                        "hell-": string;
                        "mittel-": string;
                        "dunkel-": string;
                    };
                };
                "Deposit-colorModifier-Gadara": {
                    values: {
                        "braun-": string;
                        "gelb-": string;
                        "grau-": string;
                        "gr\u00FCn-": string;
                        "orange-": string;
                        "rot-": string;
                    };
                };
                "Deposit-colorBasecolor-Gadara": {
                    values: {
                        beige: string;
                        braun: string;
                        gelb: string;
                        grün: string;
                        ocker: string;
                        orange: string;
                        rot: string;
                        schwarz: string;
                        weiß: string;
                    };
                };
                "Layer-soilType-Gadara": {
                    values: {
                        "Erde (bei Altgrabungen)": string;
                        Sand: string;
                        "Sandiger Schluff": string;
                        "Sandiger Ton": string;
                        Schluff: string;
                        "Schluffiger Sand": string;
                        "Schluffiger Ton": string;
                        Kalk: string;
                        Lehm: string;
                        Ton: string;
                        "Toniger Sand": string;
                        "Toniger Schluff": string;
                        "Nicht anwendbar": string;
                    };
                    description: string;
                };
                "Layer-consistency-Gadara": {
                    values: {
                        locker: string;
                        fest: string;
                        "sehr fest": string;
                    };
                    description: string;
                };
                "Structure-structureType-Gadara": {
                    values: {
                        Brunnen: string;
                        Fundament: string;
                        Fußboden: string;
                        "Kanal/Wasserleitung": string;
                        Mauer: string;
                        "Ofen/Herdstelle": string;
                        Schwelle: string;
                        Treppe: string;
                        Zusetzung: string;
                        Sonstiges: string;
                    };
                };
                "Structure-Material-Gadara": {
                    values: {
                        Basalt: string;
                        Estrich: string;
                        Granit: string;
                        Holz: string;
                        Kalkstein: string;
                        Konglomerat: string;
                        "Lehm, gebrannt": string;
                        "Lehm, ungebrannt": string;
                        Marmor: string;
                        Tuffstein: string;
                    };
                };
                "Structure-Construction-Gadara": {
                    values: {
                        einschalig: string;
                        "gesch\u00FCttet (bei Fundament)": string;
                        "zweischalig mit Mauerkern": string;
                        "zweischalig ohne Mauerkern ": string;
                        "nicht anwendbar": string;
                    };
                };
                "Structure-Masonry-Gadara": {
                    values: {
                        "nicht in Lagen": string;
                        "unregelm\u00E4\u00DFig in Lagen": string;
                        "regelm\u00E4\u00DFig in Lagen": string;
                        "nicht anwendbar": string;
                    };
                };
                "Structure-StoneWorking-Gadara": {
                    values: {
                        Bruchstein: string;
                        Haustein: string;
                        Lesestein: string;
                        Linse: string;
                        Mosaik: string;
                        Pflaster: string;
                        Platte: string;
                        Spolie: string;
                        Werkstein: string;
                    };
                };
                "Structure-StoneDressing-Gadara": {
                    values: {
                        Unbehauen: string;
                        Bruchbau: string;
                        "Grob behauen": string;
                        "Fein behauen": string;
                        "Grob gegl\u00E4ttet": string;
                        "Fein gegl\u00E4ttet": string;
                    };
                };
                "Cut-cutType-Gadara": {
                    values: {
                        Baugrube: string;
                        Abraum: string;
                        Graben: string;
                        Grube: string;
                        Öffnung: string;
                        Sonstiges: string;
                    };
                };
                "Cut-ShapeInPlan-Gadara": {
                    values: {
                        rund: string;
                        oval: string;
                        quadratisch: string;
                        "rechteckig/linear": string;
                        unregelmäßig: string;
                        sonstiges: string;
                    };
                };
                "Cut-ShapeInProfile-Gadara": {
                    values: {
                        "V-f\u00F6rmig": string;
                        "U-f\u00F6rmig": string;
                        quadratisch: string;
                        "rechteckig/linear": string;
                        unregelmäßig: string;
                        sonstiges: string;
                    };
                };
                "Cut-ShapeEdges-Gadara": {
                    values: {
                        vertikal: string;
                        schräg: string;
                        überkippt: string;
                        konvex: string;
                        konkav: string;
                        sonstiges: string;
                    };
                };
                "Cut-ShapeBreakSlopeTop-Gadara": {
                    values: {
                        scharf: string;
                        gerundet: string;
                        fließend: string;
                    };
                };
                "Cut-ShapeBreakSlopeBase-Gadara": {
                    values: {
                        scharf: string;
                        gerundet: string;
                        fließend: string;
                    };
                };
                "Cut-ShapeBase-Gadara": {
                    values: {
                        horizontal: string;
                        konvex: string;
                        konkav: string;
                        unregelmäßig: string;
                        sonstiges: string;
                    };
                };
                "inclusions-Gadara": {
                    values: {
                        Basalt: string;
                        Glas: string;
                        Granit: string;
                        Holz: string;
                        Kalkstein: string;
                        Keramik: string;
                        Knochen: string;
                        Marmor: string;
                        Metall: string;
                        "M\u00F6rtel/Putz": string;
                        "Organisches Material": string;
                        Tuffstein: string;
                        Sonstiges: string;
                    };
                };
                "Feature-unitCategory-heliopolis-project": {
                    values: {
                        layer: string;
                        wall: string;
                        fill: string;
                        oven: string;
                        midden: string;
                        pit: string;
                        "construction/building pit": string;
                        "fire pit": string;
                        "fluvial sediment": string;
                        "modern debris": string;
                        pavement: string;
                        installation: string;
                        "storage facility": string;
                        pedestal: string;
                        staircase: string;
                        other: string;
                    };
                };
                "Feature-consistency-heliopolis-project": {
                    values: {
                        loose: string;
                        friable: string;
                        compact: string;
                        hard: string;
                        other: string;
                    };
                };
                "Find-deliberatlyDestroyed-heliopolis-project": {
                    values: {
                        yes: string;
                        no: string;
                        unclear: string;
                    };
                };
                "Find-objectType-heliopolis-project": {
                    values: {
                        statue: string;
                        relief: string;
                        bead: string;
                        tool: string;
                        unidentified: string;
                        scarab: string;
                        vessel: string;
                        "architectural element": string;
                        "domestic objects": string;
                        ornaments: string;
                        ushabti: string;
                        stela: string;
                        "model for sculpture": string;
                        coin: string;
                        lamp: string;
                        figurine: string;
                        "scribel palette": string;
                        "game board": string;
                        naos: string;
                        "temple inventory": string;
                        "cosmetic tool": string;
                        "offering table": string;
                        sphinx: string;
                        lithic: string;
                        seal: string;
                        firedog: string;
                        "modern artifacts": string;
                        "plastic bag": string;
                        obelisk: string;
                        "oven elements": string;
                        ingot: string;
                        inlay: string;
                        application: string;
                        coffin: string;
                    };
                };
                "Find-tracesOfBurning-heliopolis-project": {
                    values: {
                        none: string;
                        slightly: string;
                        strong: string;
                    };
                };
                "Find-currentLocation-heliopolis-project": {
                    values: {
                        storeroom: string;
                        museum: string;
                        other: string;
                    };
                };
                "periods-elephantine": {
                    values: {
                        Naqadazeit: string;
                        Frühdynastisch: string;
                        "Altes Reich": string;
                        "Erste Zwischenzeit": string;
                        "Mittleres Reich": string;
                        "Zweite Zwischenzeit": string;
                        "Neues Reich": string;
                        "Dritte Zwischenzeit": string;
                        Spätzeit: string;
                        Ptolemäisch: string;
                        Römisch: string;
                        Spätantik: string;
                        Islamisch: string;
                        Osmanisch: string;
                        Modern: string;
                    };
                };
                "featureSamples-elephantine": {
                    values: {
                        Bodenprobe: string;
                        "C14-Analyse": string;
                        Ziegelanalyse: string;
                        Flotation: string;
                        "Botanikprobe (Trockensiebung)": string;
                        Phytolithenanalyse: string;
                        Mikromorphologie: string;
                        Putzprobe: string;
                        andere: string;
                    };
                };
                "Survey-researchMethod-Selinunt": {
                    values: {
                        geodeticSurvey: string;
                        observationAndDescription: string;
                        architecturalSurvey: string;
                        excavation: string;
                        cleaning: string;
                        overflying: string;
                        archaeologicalSurvey: string;
                        electricalResistivityTomography: string;
                        geomagnetics: string;
                        groundPenetratingRadar: string;
                        seismicSurvey: string;
                        LIDAR: string;
                        coring: string;
                    };
                };
                "Pottery-vesselForm-Selinunt": {
                    values: {
                        Casserolle: string;
                    };
                };
                "Brick-decorationTechnique-Selinunt": {
                    values: {
                        fingerprints: string;
                        animalTracks: string;
                        otherImprints: string;
                        graffito: string;
                        painting: string;
                        stamp: string;
                        inscription: string;
                        combIncision: string;
                    };
                };
                "Brick-roofingSystem-Selinunt": {
                    values: {
                        other: string;
                    };
                };
                "Pottery-Amphorae-Provenance-Selinunt": {
                    values: {
                        Nordägäisch: string;
                    };
                };
                "BuildingPart-denomination-Selinunt": {
                    values: {
                        wall: string;
                        wallBlock: string;
                        column: string;
                        doricCapital: string;
                        ionicCapital: string;
                        antaCapital: string;
                        pilasterCapital: string;
                        basis: string;
                        triglyph: string;
                        metope: string;
                        doricCyma: string;
                        ionicCyma: string;
                        sima: string;
                        doricCornice: string;
                        ionicCornice: string;
                        architrave: string;
                        stylobateBlock: string;
                        tympanumBlock: string;
                        blockWithMoulding: string;
                        corniceBlock: string;
                        toothCutEntablature: string;
                        concaveMoulding: string;
                        trapezoidArchBlock: string;
                        palisadeBlock: string;
                        loopHole: string;
                        crenelationBlock: string;
                        waterspout: string;
                        tile: string;
                        altarPiece: string;
                        blockWithFluting: string;
                        leseneBlock: string;
                        stela: string;
                        measuringTable: string;
                        altar: string;
                        collaps: string;
                        workedBedrock: string;
                        waterchannel: string;
                        well: string;
                        building: string;
                        other: string;
                    };
                };
                "BuildingPart-dating-Selinunt": {
                    values: {
                        recent: string;
                        medieval: string;
                        antique: string;
                        unclear: string;
                    };
                };
                "BuildingPart-material-Selinunt": {
                    values: {
                        stone: string;
                        brick: string;
                        ashlars: string;
                        cement: string;
                        wood: string;
                        metall: string;
                        other: string;
                    };
                };
                "BuildingPart-conservationStatus-Selinunt": {
                    values: {
                        inSitu: string;
                        wellPreserved: string;
                        collapsed: string;
                        displaced: string;
                        damaged: string;
                        destroyed: string;
                    };
                };
                "BuildingPart-references-Selinunt": {
                    values: {
                        f: string;
                        k: string;
                        p: string;
                        x: string;
                    };
                };
                "BuildingPart-map-Selinunt": {
                    values: {
                        northernFortress: string;
                        acropolis: string;
                        otherMap: string;
                    };
                };
                "BuildingPart-assignment-Selinunt": {
                    values: {
                        unclear: string;
                        ArchitectonicOrderA: string;
                        ArchitectonicOrderB: string;
                        ProtodoricGroupA: string;
                        ClassicalOrder0: string;
                        ClassicalOrder1: string;
                        ClassicalOrder2: string;
                        ClassicalOrder3: string;
                        ClassicalOrder4: string;
                        SmallOrder: string;
                        TempleA: string;
                        TempleC: string;
                        TempleD: string;
                        TempleY: string;
                        TempleX: string;
                        AltarA: string;
                        BarrierBuilding: string;
                        ArchaicStoa: string;
                        SmallTriglyphAltar: string;
                        BigTriglyphAltar: string;
                        TowerF: string;
                        Phrourion: string;
                        TypeManuzza: string;
                    };
                };
                "BuildingPart-positionAtBuilding-Selinunt": {
                    values: {
                        N: string;
                        E: string;
                        S: string;
                        W: string;
                    };
                };
                "macroStructuralForms-Selinunt": {
                    values: {
                        singleGrainStructure: string;
                        massiveStructure: string;
                        coherentStructure: string;
                        crackStructure: string;
                        columnarStructure: string;
                        layerStructure: string;
                        crumblyStructure: string;
                        subangularBlockyStructure: string;
                        polyhedralStructure: string;
                        prismaticStructure: string;
                        platyStructure: string;
                        pedStructure: string;
                        clodStructure: string;
                        RollAggregateStructure: string;
                    };
                };
                "constituents-Selinunt": {
                    values: {
                        charcoal: string;
                        shellFragments: string;
                        "etc.": string;
                    };
                };
                "SurveyUnit-visibility-Selinunt": {
                    values: {
                        veryGood: string;
                        good: string;
                        mediocre: string;
                        bad: string;
                    };
                };
                "SurveyUnit-shade-Selinunt": {
                    values: {
                        none: string;
                    };
                };
                "SurveyUnit-humidity-Selinunt": {
                    values: {
                        dry: string;
                        wet: string;
                        soaked: string;
                    };
                };
                "SurveyUnit-slope-Selinunt": {
                    values: {
                        steep: string;
                        slight: string;
                        none: string;
                    };
                };
                "SurveyUnit-vegetation-Selinunt": {
                    values: {
                        completeCover: string;
                        partialCover: string;
                        patches: string;
                        none: string;
                    };
                };
                "SurveyUnit-consistency-Selinunt": {
                    values: {
                        hard: string;
                        compact: string;
                        loose: string;
                        porous: string;
                        tenacious: string;
                    };
                };
                "SurveyUnit-clumps-Selinunt": {
                    values: {
                        many: string;
                        few: string;
                        none: string;
                    };
                };
                "SurveyUnit-stones-Selinunt": {
                    values: {
                        many: string;
                        few: string;
                        none: string;
                        large: string;
                        medium: string;
                        small: string;
                        allSizes: string;
                        pebbles: string;
                        boulders: string;
                        workedStones: string;
                        ashlars: string;
                    };
                };
                "SurveyUnit-samplingMethod-Selinunt": {
                    values: {
                        totalCollection: string;
                        "counting+sampling": string;
                        sampling: string;
                        noCollection: string;
                    };
                };
                "SurveyUnit-surfaceTreatment-Selinunt": {
                    values: {
                        surfaceCleaning: string;
                        shovelTest: string;
                        diggingPits: string;
                        none: string;
                    };
                };
                "SurveyUnit-quantityOfFinds-Selinunt": {
                    values: {
                        "1-20": string;
                        "20-50": string;
                        "50-100": string;
                        ">100": string;
                    };
                };
                "SurveyUnit-qualityOfFinds-Selinunt": {
                    values: {
                        coarseWare: string;
                        fineWare: string;
                        largeContainers: string;
                        tile: string;
                        brick: string;
                        structuralElement: string;
                        architecturalDecoration: string;
                        terracotta: string;
                        stoneObjects: string;
                        bones: string;
                        iron: string;
                        bronze: string;
                        lead: string;
                        coin: string;
                        slags: string;
                        organicResidues: string;
                    };
                };
                "Survey-slope-Seliunt": {
                    values: {
                        steep: string;
                        slight: string;
                        none: string;
                    };
                };
                "Survey-visibility-Seliunt": {
                    values: {
                        veryGood: string;
                        good: string;
                        mediocre: string;
                        bad: string;
                    };
                };
                "Survey-chronologyFinds-Selinunt": {
                    values: {
                        prehistory: string;
                        bronzeAge: string;
                        ironAge: string;
                        greekPeriod: string;
                        hellenisticPeriod: string;
                        "imperialPeriod ": string;
                        lateAntiquity: string;
                        middleAges: string;
                        modernPeriod: string;
                        presentTime: string;
                    };
                };
                "SurfaceCleaning-operation-Selinunt": {
                    values: {
                        uprooting: string;
                        mowing: string;
                        harking: string;
                        stoneRemoval: string;
                        swardRemoval: string;
                        uncoverArchaeologicalFinding: string;
                        cleaningOfArchitecture: string;
                    };
                };
                "Find-furtherAnalysis-Selinunt": {
                    values: {
                        yes: string;
                        no: string;
                    };
                };
                "ConstructionMaterial-denomination-Selinunt": {
                    values: {
                        flooring: string;
                        wallCovering: string;
                        door: string;
                        window: string;
                        roof: string;
                        other: string;
                    };
                };
                "ConstructionMaterial-material-Selinunt": {
                    values: {
                        clay: string;
                        stone: string;
                        terrakotta: string;
                        wood: string;
                        pebbles: string;
                        "limePlaster ": string;
                        clayPlaster: string;
                        cement: string;
                        Tesserae: string;
                    };
                };
                "ConstructionMaterial-wallCovering-Selinunt": {
                    values: {
                        monochromePlaster: string;
                        paintedPlaster: string;
                        stoneFacing: string;
                        terracottaFacing: string;
                        woodPanelling: string;
                    };
                };
                "Brick-applicationInArchitecture-Selinunt": {
                    values: {
                        basin: string;
                        wellCasing: string;
                        roof: string;
                        flooring: string;
                        tomb: string;
                        waterchannel: string;
                        wall: string;
                        oven: string;
                        wallCovering: string;
                        other: string;
                    };
                };
                "Brick-tileType-Selinunt": {
                    values: {
                        plainTile: string;
                        coverTile: string;
                        ridgeTile: string;
                        hollowTile: string;
                        other: string;
                        unspecified: string;
                    };
                };
                "Brick-type-Selinunt": {
                    values: {
                        firedBrick: string;
                        clayBrick: string;
                        hypocaustBrick: string;
                    };
                };
                "BuildingPart-evaluationAssignment-Selinunt": {
                    values: {
                        uncertain: string;
                    };
                };
                "BuildingPart-references-Seli-akropolis": {
                    values: {
                        Z: string;
                    };
                };
                "Architecture-position-SelinuntAkropolis": {
                    values: {
                        inSitu: string;
                        layerOfDebrisFromCollapse: string;
                    };
                };
                "Architecture-blockProcessing-SelinuntAkropolis": {
                    values: {
                        spolia: string;
                    };
                };
                "Monument-significance-kgr": {
                    values: {
                        A: string;
                        B: string;
                        C: string;
                        D: string;
                    };
                };
                "Building-condition-kgr": {
                    values: {
                        CCO: string;
                        CC1: string;
                        CC2: string;
                        CC3: string;
                        CC4: string;
                    };
                };
                "priority-kgr": {
                    values: {
                        "UC-": string;
                        UC0: string;
                        UC1: string;
                        UC2: string;
                        UC4: string;
                    };
                };
                "Feature-locusRecordingType-GoebekliTepe": {
                    values: {
                        Verfüllung: string;
                        Struktur: string;
                        Negativbefund: string;
                    };
                    description: string;
                };
                "Layer-locusDepositType-GoebekliTepe": {
                    values: {
                        topsoil: string;
                        arbitrarySpit: string;
                        packingDeposit: string;
                        tumbledStones: string;
                        collapse: string;
                        ashyDeposit: string;
                        erosionalDepositsOrCleaning: string;
                        depositOther: string;
                    };
                    description: string;
                };
                "Layer-locusCompaction-GoebekliTepe": {
                    values: {
                        compact: string;
                        mediumCompact: string;
                        friable: string;
                        crumbly: string;
                        loose: string;
                    };
                    description: string;
                };
                "Layer-locusComposition-GoebekliTepe": {
                    values: {
                        sand: string;
                        sandySilt: string;
                        sandyClay: string;
                        silt: string;
                        siltySand: string;
                        siltyClay: string;
                        Clay: string;
                        clayeySand: string;
                        clayeySilt: string;
                        loam: string;
                    };
                };
                "Feature-locusDepositCollectionMethod-GoebekliTepe": {
                    values: {
                        drySieved: string;
                        wetSieved: string;
                        flotation: string;
                        "hand-picked": string;
                    };
                    description: string;
                };
                "Layer-locusDepositColourModifier-GoebekliTepe": {
                    values: {
                        light: string;
                        mid: string;
                        dark: string;
                    };
                    description: string;
                };
                "Layer-locusDepositColourHue-GoebekliTepe": {
                    values: {
                        pinkish: string;
                        reddish: string;
                        yellowish: string;
                        brownish: string;
                        greenish: string;
                        blueish: string;
                        greyish: string;
                        whitish: string;
                        blakish: string;
                    };
                    description: string;
                };
                "Layer-locusDepositColour-GoebekliTepe": {
                    values: {
                        pink: string;
                        red: string;
                        yellow: string;
                        brown: string;
                        green: string;
                        blue: string;
                        grey: string;
                        white: string;
                        black: string;
                    };
                    description: string;
                };
                "Feature-locusDepositInclusions-GoebekliTepe": {
                    values: {
                        stones: string;
                        chippedStones: string;
                        bones: string;
                        plasterFragments: string;
                        gravel: string;
                        charcoal: string;
                        molluscs: string;
                        mortar: string;
                        grit: string;
                        groundStone: string;
                        limeInclusions: string;
                        ash: string;
                    };
                    description: string;
                };
                "Feature-locusDepositInclusionsStone-GoebekliTepe": {
                    values: {
                        smallerThanFist: string;
                        "fist-sized": string;
                        "medium-sized": string;
                        large: string;
                    };
                    description: string;
                };
                "Feature-locusDepositStoneShape-GoebekliTepe": {
                    values: {
                        angular: string;
                        rounded: string;
                    };
                    description: string;
                };
                "Architecture-structuralElementType-GoebekliTepe": {
                    values: {
                        wall: string;
                        bench: string;
                        wallOpeningOrDoor: string;
                        floor: string;
                        niche: string;
                        roofOrCeiling: string;
                        pillar: string;
                        portalStone: string;
                        buttress: string;
                        fireInstallationOrhearth: string;
                        stepsOrStairs: string;
                        other: string;
                    };
                    description: string;
                };
                "FeatureInterface-locusCutType-GoebekliTepe": {
                    values: {
                        pit: string;
                        rockCut: string;
                        constructionOrFoundationPit: string;
                        postOrStakeHole: string;
                        other: string;
                    };
                    description: string;
                };
                "FeatureInterface-locusCutShape-GoebekliTepe": {
                    values: {
                        circular: string;
                        square: string;
                        oval: string;
                        linear: string;
                        rectangular: string;
                        irregular: string;
                        rectangularWithRoundedCorners: string;
                        other: string;
                    };
                    description: string;
                };
                "FeatureInterface-locusCutSlope-GoebekliTepe": {
                    values: {
                        "breakOfSlope-top-sharp": string;
                        "breakOfSlope-top-gradual": string;
                        "breakOfSlope-bottom-sharp": string;
                        "breakOfSlope-bottom-gradual": string;
                        "breakOfSlope-sides-sharp": string;
                        "breakOfSlope-sides-gradual": string;
                        "breakOfSlope-base-sharp": string;
                        "breakOfSlope-base-gradual": string;
                    };
                    description: string;
                };
                "Feature-locusStratigraphyRemarks-GoebekliTepe": {
                    values: {
                        primary: string;
                        secondary: string;
                        tertiary: string;
                    };
                    description: string;
                };
                "Find-smallFindsCategory-GoebekliTepe": {
                    values: {
                        chippedStone: string;
                        stoneObject: string;
                        bone: string;
                        mollusc: string;
                        clayObject: string;
                        pottery: string;
                        pigmentAndMinerals: string;
                        glass: string;
                        metal: string;
                        undefined: string;
                    };
                    description: string;
                };
                "Find-smallFindsCollectionMethod-GoebekliTepe": {
                    values: {
                        singleFind: string;
                        collection: string;
                    };
                    description: string;
                };
                "Find-smallFindsStorage-GoebekliTepe": {
                    values: {
                        stonegarden: string;
                        museumUrfa: string;
                        depot1ExcavationHouseGT: string;
                        depot2ExcavationHouseGT: string;
                        depot3ExcavationHouseGT: string;
                        depot4ExcavationHouseGT: string;
                        noStorageData: string;
                        missing: string;
                    };
                    description: string;
                };
                "Stone-stoneFindCategory-GoebekliTepe": {
                    values: {
                        chippedStone: string;
                        workedStone: string;
                    };
                    description: string;
                };
                "Stone-lithicRawMaterial-GoebekliTepe": {
                    values: {
                        flint: string;
                        obsidian: string;
                        quartzit: string;
                        chert: string;
                        undetermined: string;
                    };
                    description: string;
                };
                "Stone-lithicColor-GoebekliTepe": {
                    values: {
                        lightgreen: string;
                        mediumgreen: string;
                        darkgreen: string;
                        lightbrown: string;
                        mediumbrown: string;
                        darkbrown: string;
                        "lightgrey (N6-N8)": string;
                        "mediumgrey (N5, N4)": string;
                        "darkgrey (N3)": string;
                        lightyellow: string;
                        mediumyellow: string;
                        darkyellow: string;
                        "white (N9)": string;
                        "black (N1)": string;
                        reddish: string;
                        "pinkish (5RP 8/2)": string;
                        olive: string;
                        orange: string;
                        undetermined: string;
                    };
                    description: string;
                };
                "Stone-lithicOptic-GoebekliTepe": {
                    values: {
                        glossy: string;
                        fine: string;
                        medium: string;
                        coarse: string;
                        undetermined: string;
                    };
                    description: string;
                };
                "Stone-lithicThermic-GoebekliTepe": {
                    values: {
                        noThermic: string;
                        burned: string;
                        tempered: string;
                        undetermined: string;
                    };
                    description: string;
                };
                "Stone-lithicSurface-GoebekliTepe": {
                    values: {
                        knapped: string;
                        natural: string;
                        patina: string;
                        sintered: string;
                        "thick cortex": string;
                        "thin cortex": string;
                        "rolled cortex": string;
                        "only thick cortex": string;
                        "only thin cortex": string;
                        "only rolled cortex": string;
                        undetermined: string;
                    };
                    description: string;
                };
                "Stone-lithicBasicForm-GoebekliTepe": {
                    values: {
                        flake: string;
                        chip: string;
                        blade: string;
                        bladelet: string;
                        core: string;
                        artWaste: string;
                        natWaste: string;
                        undetermined: string;
                    };
                    description: string;
                };
                "Stone-lithicPreservation-GoebekliTepe": {
                    values: {
                        proximal: string;
                        proximalBroken: string;
                        medial: string;
                        medialBroken: string;
                        distal: string;
                        distalBroken: string;
                        complete: string;
                        completeBroken: string;
                        undetermined: string;
                    };
                    description: string;
                };
                "Stone-lithicCIM-GoebekliTepe": {
                    values: {
                        primaryCrested: string;
                        secondaryCrested: string;
                        initialPlatformSpall: string;
                        coreTablet: string;
                        partialCoreTablet: string;
                        primaryElement: string;
                        cleanUp: string;
                        hinge: string;
                        overshot: string;
                        kombewaFlake: string;
                        none: string;
                    };
                    description: string;
                };
                "Stone-lithicTechnology-GoebekliTepe": {
                    values: {
                        predeterminedBlade: string;
                        lateralBlade: string;
                        epsilonBlade: string;
                        twistedBlade: string;
                        uShapedBlade: string;
                    };
                    description: string;
                };
                "Stone-lithicToolModification-GoebekliTepe": {
                    values: {
                        modified: string;
                        unmodified: string;
                    };
                    description: string;
                };
                "Stone-lithicToolPreservation-GoebekliTepe": {
                    values: {
                        complete: string;
                        lengthWidthBroken: string;
                        widthLengthBroken: string;
                        incomplete: string;
                        undetermined: string;
                    };
                    description: string;
                };
                "Stone-lithicStrikingPlattform-GoebekliTepe": {
                    values: {
                        plain: string;
                        dihedral: string;
                        facetted: string;
                        natural: string;
                        cortical: string;
                        partlyCortical: string;
                        patina: string;
                        none: string;
                        undetermined: string;
                    };
                    description: string;
                };
                "Stone-lithicBulb-GoebekliTepe": {
                    values: {
                        pronounced: string;
                        pronouncedAndScar: string;
                        pronouncedAndLip: string;
                        pronouncedAll: string;
                        flat: string;
                        flatAndScar: string;
                        flatAndLip: string;
                        "flat all": string;
                        noProximal: string;
                        undetermined: string;
                    };
                    description: string;
                };
                "Stone-lithicStrike-GoebekliTepe": {
                    values: {
                        hard: string;
                        soft: string;
                        indirect: string;
                        pressure: string;
                        undetermined: string;
                    };
                    description: string;
                };
                "Stone-lithicStrikeDirection-GoebekliTepe": {
                    values: {
                        unidirectional: string;
                        opposedDorsalVentral: string;
                        bidirectional: string;
                        unidirectionalCrossed: string;
                        opposedCrossed: string;
                        bidirectionalCrossed: string;
                        sintered: string;
                        other: string;
                        undetermined: string;
                    };
                    description: string;
                };
                "Stone-lithicUsewear-GoebekliTepe": {
                    values: {
                        yes: string;
                        no: string;
                        undetermined: string;
                    };
                    description: string;
                };
                "Stone-lithicCore-GoebekliTepe": {
                    values: {
                        unidirectionalSinglePlatformFlakecore: string;
                        doublePlatformFlakecore: string;
                        multiplePlatformflakecore: string;
                        unidirectionalSinglePlatformBladecore: string;
                        bidirectionalDoublePlatformBladecore: string;
                        pyramidalBladecore: string;
                        technologicalUniderictionalBladecore: string;
                        frontalCrestedRidgeBladecore: string;
                        posteroLateralBladecore: string;
                        naviformBladecore: string;
                        offsetBidirectionalBladecore: string;
                        bulletShapedBladecore: string;
                        "ad-hocCore": string;
                        undetermined: string;
                    };
                    description: string;
                };
                "Sample-sampleProcessingStatus-GoebekliTepe": {
                    values: {
                        initialEntry: string;
                        unprocessed: string;
                        readyForProcessing: string;
                        complete: string;
                        error: string;
                        incomplete: string;
                    };
                    description: string;
                };
                "Sample-sampleLocation-GoebekliTepe": {
                    values: {
                        depot1ExcavationHouseGT: string;
                        depot2ExcavationHouseGT: string;
                        depot3ExcavationHouseGT: string;
                        depot4ExcavationHouseGT: string;
                        lab: string;
                    };
                    description: string;
                };
                "Sample-methodOfAnalysis-GoebekliTepe": {
                    values: {
                        C14: string;
                        dendrochronology: string;
                        phosphate: string;
                        pollen: string;
                        phytolith: string;
                        microbotany: string;
                        mineral: string;
                        "geo-chemical": string;
                    };
                    description: string;
                };
                "Sample-sampleType-GoebekliTepe": {
                    values: {
                        soil: string;
                        charcoal: string;
                        material: string;
                        architectural: string;
                        mineral: string;
                        other: string;
                    };
                    description: string;
                };
                "Sample-sampleCollectionMethod-GoebekliTepe": {
                    values: {
                        bulkSample: string;
                        blockSample: string;
                        materialSample: string;
                        HandSampling: string;
                        cleanSampling: string;
                    };
                    description: string;
                };
                "Sample-sampleSize-GoebekliTepe": {
                    values: {
                        smallBag: string;
                        mediumBag: string;
                        largeBag: string;
                        bulkSize: string;
                    };
                    description: string;
                };
                "Sample-sampleRemains-GoebekliTepe": {
                    values: {
                        noRemains: string;
                        leftoverRemainsUnprocessed: string;
                        leftoverRamainsProcessed: string;
                    };
                    description: string;
                };
                "Find-isMigrated-GoebekliTepe": {
                    values: {
                        urfaDB: string;
                        oldDB: string;
                    };
                    description: string;
                };
            };
            es: {
                "Project-coordinate-reference-system-ayamonte": {
                    values: {
                        "Eigenes Koordinatenbezugssystem": string;
                        "EPSG4326 (WGS 84)": string;
                        "EPSG3857 (WGS 84 Web Mercator)": string;
                        "EPSG 23029 (UTM 29N, ED50)": string;
                    };
                };
                "Trench-excavationType-ayamonte": {
                    values: {
                        Sektor: string;
                        Schnitt: string;
                    };
                };
                "Grave-artifacts-ayamonte": {
                    values: {
                        Probe: string;
                        Keramik: string;
                    };
                };
                "Grave-significanceRemark-ayamonte": {
                    values: {
                        ungestört: string;
                        gestört: string;
                        stratifiziert: string;
                        "Bergung nach nat\u00FCrlicher Schichtung": string;
                    };
                };
                "Grave-graveType-ayamonte": {
                    values: {
                        Grubengrab: string;
                        "andere Klass.": string;
                    };
                };
                "Layer-artifacts-ayamonte": {
                    values: {
                        Keramik: string;
                        Probe: string;
                        Ziegel: string;
                        Knochen: string;
                        "sonstiger Fund": string;
                        Steinobjekt: string;
                        Mollusken: string;
                        Glas: string;
                    };
                };
                "Layer-significanceRemark-ayamonte": {
                    values: {
                        stratifiziert: string;
                        "Bergung nach nat\u00FCrlicher Schichtung": string;
                        "Bergung in k\u00FCnstlichen Plana": string;
                        ungestört: string;
                    };
                };
                "Layer-layerClassificationOther-ayamonte": {
                    values: {
                        "nat\u00FCrliches Substratum": string;
                        Anomalie: string;
                    };
                };
                "Layer-layerClassification-ayamonte": {
                    values: {
                        Auffüllung: string;
                        "andere Klass.": string;
                        Verfüllung: string;
                        Erdschicht: string;
                    };
                };
                "Layer-otherClassification-ayamonte": {
                    values: {
                        Störung: string;
                        Graben: string;
                    };
                };
                "Feature-featureClassification-ayamonte": {
                    values: {
                        "Arch\u00E4ologisches Planum": string;
                        "Anthropologisches Planum": string;
                    };
                };
                "Feature-featureClassificationOther-ayamonte": {
                    values: {
                        alcorque: string;
                    };
                };
                "Feature-otherClassification-ayamonte": {
                    values: {
                        Grube: string;
                        "andere Klass.": string;
                        Graben: string;
                        Störung: string;
                        Interface: string;
                    };
                };
                "Feature-artifacts-ayamonte": {
                    values: {
                        Knochen: string;
                        "sonstiger Fund": string;
                        Steinobjekt: string;
                        Keramik: string;
                        Probe: string;
                    };
                };
                "Feature-significanceRemark-ayamonte": {
                    values: {
                        stratifiziert: string;
                        "Bergung nach nat\u00FCrlicher Schichtung": string;
                        gestört: string;
                        ungestört: string;
                    };
                };
                "Find-findObjectType-ayamonte": {
                    values: {
                        Amulett: string;
                    };
                };
                "Find-materialColor-ayamonte": {
                    values: {
                        beige: string;
                    };
                };
                "Find-findType-ayamonte": {
                    values: {
                        Botanik: string;
                        Sonstiges: string;
                    };
                };
                "Sample-material-ayamonte": {
                    values: {
                        "gebrannter Ton": string;
                        Erde: string;
                    };
                };
                "Find-storagePlace-ayamonte": {
                    values: {
                        Huelva: string;
                    };
                };
                "Find-period-ayamonte": {
                    values: {
                        modern: string;
                        römisch: string;
                    };
                };
                "Glass-objectType-ayamonte": {
                    values: {
                        Gefäß: string;
                    };
                };
                "Mollusk-classification-ayamonte": {
                    values: {
                        Muscheln: string;
                        Schnecken: string;
                    };
                };
                "Burial-sexDetermination-ayamonte": {
                    values: {
                        weiblich: string;
                        männlich: string;
                    };
                };
                "Burial-graveFeature-ayamonte": {
                    values: {
                        Brandbestattung: string;
                    };
                };
                "Wood-objectType-ayamonte": {
                    values: {
                        Holzkohle: string;
                    };
                };
                "Pottery-vesselForm-ayamonte": {
                    values: {
                        Lampe: string;
                        Kanne: string;
                        Amphore: string;
                        Teller: string;
                        Dolium: string;
                        Topf: string;
                        Parfümfläschchen: string;
                    };
                };
                "Pottery-specificType-ayamonte": {
                    values: {
                        "Handgeformte Keramik": string;
                        Drehscheibenware: string;
                    };
                };
                "Pottery-vesselFormSpecific-ayamonte": {
                    values: {
                        "Halsamphore Cruz del Negro": string;
                    };
                };
                "Pottery-objectType-ayamonte": {
                    values: {
                        Grobkeramik: string;
                        Feinkeramik: string;
                    };
                };
                "Pottery-provenance-ayamonte": {
                    values: {
                        "Torre del Mar": string;
                    };
                };
                "Pottery-condition-ayamonte": {
                    values: {
                        "mehrere Fragmente": string;
                        "weitgehend vollst\u00E4ndiges Gef\u00E4\u00DF": string;
                        "weitgehend vollst\u00E4ndiges, zerbrochenes Gef\u00E4\u00DF": string;
                        "mehrere anpassende Fragmente": string;
                        "vollst\u00E4ndiges, zerbrochenes Gef\u00E4\u00DF": string;
                        "Frgte. von Oberfl\u00E4che": string;
                        Überzug: string;
                    };
                };
                "Find-ayamonteCondition-ayamonte": {
                    values: {
                        "weitgehend vollst\u00E4ndiges Gef\u00E4\u00DF": string;
                        "mehrere Fragmente": string;
                        "vollst\u00E4ndiges, zerbrochenes Gef\u00E4\u00DF": string;
                        "mehrere anpassende Fragmente": string;
                        "weitgehend vollst\u00E4ndiges, zerbrochenes Gef\u00E4\u00DF": string;
                        "Frgte. von Oberfl\u00E4che": string;
                        Überzug: string;
                        "vollst\u00E4ndig und besch\u00E4digt": string;
                    };
                };
                "Bone-boneType-ayamonte": {
                    values: {
                        Mensch: string;
                        unbestimmbar: string;
                    };
                };
                "Bone-biologicalAge-ayamonte": {
                    values: {
                        "adult II (30-39 Jahre)": string;
                        "senil (> 60 Jahre)": string;
                        erwachsen: string;
                        "adult I (19-29 Jahre)": string;
                        "matur II (50-59 Jahre)": string;
                        "matur I (40-49 Jahre)": string;
                    };
                };
                "Bone-conditionAmount-ayamonte": {
                    values: {
                        "gro\u00DFes Fragment": string;
                        "kleines Fragment": string;
                        "winziger Splitter": string;
                    };
                };
                "Bone-burningGrade-ayamonte": {
                    values: {
                        "II - 300\u00B0-400\u00B0C - Verf\u00E4rbung etwa braun-dunkelbraun": string;
                        schwarz: string;
                        "IV - 650\u00B0-750\u00B0C - Verf\u00E4rbung etwa milchig wei\u00DF-mattwei\u00DF": string;
                        kreideartig: string;
                    };
                };
                "Bone-sex-ayamonte": {
                    values: {
                        Weiblich: string;
                        Männlich: string;
                    };
                };
                "Bone-boneClassification-ayamonte": {
                    values: {
                        "Sch\u00E4del (Cranius)": string;
                        Zahn: string;
                        Rippe: string;
                        "Oberarm (Humerus)": string;
                        "Mittelhand (Metacarpus)": string;
                        Phalanges: string;
                        "Oberschenkel (Femur)": string;
                        "Elle (Ulna)": string;
                        "Speiche (Radius)": string;
                        "Vorderbein (Tibia)": string;
                        "kleine Langknochen": string;
                        "Hinterbein (Fibula)": string;
                        "Schulterblatt (Scapula)": string;
                        "Wirbel (Vertebres)": string;
                        "Beckenknochen (Pelvis)": string;
                        Astragales: string;
                        "Mittelfu\u00DF (Metatarsus)": string;
                        Fußknochen: string;
                    };
                };
                "Drawing-drawingType-ayamonte": {
                    values: {
                        Druckvorlage: string;
                        "Magnetometrie-Plan": string;
                    };
                };
                "Sample-sampleType-ayamonte": {
                    values: {
                        Keramikprobe: string;
                        Erdprobe: string;
                        "Mischprobe (Boden)": string;
                        Sedimentprobe: string;
                        "Mikromorphologische Probe (Boden)": string;
                    };
                };
                "Place-siteClassification-ayamonte": {
                    values: {
                        Nekropole: string;
                        Siedlung: string;
                    };
                };
            };
            fr: {
                "Pottery-vesselpart-Gadara": {
                    values: {
                        WF: string;
                        RF: string;
                        BF: string;
                        H: string;
                        KOMP: string;
                        VAR: string;
                    };
                };
                "Pottery-coatType-Gadara": {
                    values: {
                        Unbehandelt: string;
                        Überzug: string;
                        Poliert: string;
                        Geglättet: string;
                        Glasiert: string;
                        Bemalung: string;
                    };
                };
                "Pottery-coatColor-Gadara": {
                    values: {
                        beige: string;
                        "blass-": string;
                        blau: string;
                        braun: string;
                        cremefarben: string;
                        "dunkel-": string;
                        gelb: string;
                        glänzend: string;
                        grau: string;
                        grün: string;
                        "hell-": string;
                        "leuchtend-": string;
                        ocker: string;
                        orange: string;
                        rosa: string;
                        rot: string;
                        schwarz: string;
                        türkis: string;
                        violett: string;
                        weiß: string;
                    };
                };
                "Find-amountDescription-Gadara": {
                    values: {
                        "Kiste (klein)": string;
                        Stück: string;
                        Eimer: string;
                        "Kiste (gro\u00DF)": string;
                        Tüte: string;
                    };
                };
                "Floor-distinguishingCriteria-Abbircella": {
                    values: {
                        Farbe: string;
                        Konsistenz: string;
                        Komposition: string;
                    };
                };
                "Feature-stratigraphicReliability-Abbircella": {
                    values: {
                        Gut: string;
                        Mittel: string;
                        Schlecht: string;
                        Unbekannt: string;
                    };
                };
                "colors-Abbircella-1": {
                    values: {
                        Beige: string;
                        "Blass-": string;
                        Blau: string;
                        Braun: string;
                        Cremefarben: string;
                        "Dunkel-": string;
                        Gelb: string;
                        Grau: string;
                        Grün: string;
                        Pistazienfarben: string;
                        "Hell-": string;
                        Leuchtend: string;
                        Ocker: string;
                        Orange: string;
                        Rosa: string;
                        Rot: string;
                        Schwarz: string;
                        Türkis: string;
                        Violett: string;
                        Weiß: string;
                    };
                };
                "colors-Abbircella-2": {
                    values: {
                        Beige: string;
                        Dunkelbraun: string;
                        Dunkelrot: string;
                        Gelb: string;
                        Hellbraun: string;
                        Hellgrau: string;
                        Mittelbraun: string;
                        Ocker: string;
                        Orange: string;
                        Orangerot: string;
                        Rosa: string;
                        Rot: string;
                        Rotbraun: string;
                        Schwarz: string;
                        Weiß: string;
                    };
                };
                "Feature-featureForm-Abbircella": {
                    values: {
                        Befundrest: string;
                        "U-f\u00F6rmig": string;
                        "V-f\u00F6rmig": string;
                        Annähernd: string;
                        Formlos: string;
                        Halbmondförmig: string;
                        Langgezogen: string;
                        Oval: string;
                        Rechteckig: string;
                        Regelmäßig: string;
                        Rund: string;
                        Sanduhrförmig: string;
                        Trapezförmig: string;
                        Unregelmäßig: string;
                        Kesselförmig: string;
                        Wannenförmig: string;
                        Trichterförmig: string;
                    };
                };
                "Feature-featureBorders-Abbircella": {
                    values: {
                        Deutlich: string;
                        Diffus: string;
                        Eben: string;
                        Erahnbar: string;
                        Erkennbar: string;
                        "Etwas verwaschen": string;
                        Fließend: string;
                        Geneigt: string;
                        Gezackt: string;
                        Regelmäßig: string;
                        Scharf: string;
                        "Sehr deutlich": string;
                        Undeutlich: string;
                        Uneben: string;
                        Unklar: string;
                        Unregelmäßig: string;
                        Verwaschen: string;
                        Wellig: string;
                    };
                };
                "Feature-drawn-Abbircella": {
                    values: {
                        Ja: string;
                        Nein: string;
                        "Nicht notwendig": string;
                    };
                };
                "periods-Abbircella-1": {
                    values: {
                        "Vorr\u00F6misch I. ca. 500-146 v. Chr. (punisch)": string;
                        "Vorr\u00F6misch II. 146-31 v. Chr. (neopunisch)": string;
                        "Fr\u00FChe Kaiserzeit. 31 v. Chr. - 69 n. Chr. (augusteisch / iulisch-claudisch)": string;
                        "Mittlere Kaiserzeit I. ca. 69-117 n. Chr. (flavisch - trajanisch)": string;
                        "Mittlere Kaiserzeit II. 117-235 n. Chr. (hadrianisch - severisch)": string;
                        "Sp\u00E4te Kaiserzeit. 235-306 n. Chr. (Soldatenkaiser - tetrarchisch)": string;
                        "Sp\u00E4tantike I.  306-530 n. Chr. (konstantinisch - vandalisch)": string;
                        "Sp\u00E4tantike II. 530-698 n. Chr. (byzantinisch)": string;
                        "Phase I": string;
                        "Phase II": string;
                        "Phase III": string;
                        "Phase IV": string;
                        "Phase V": string;
                        "Phase VI": string;
                        "Phase VII": string;
                        "Phase VIII": string;
                        "Phase IX": string;
                        "Phase X": string;
                    };
                };
                "Layer-consistency-Abbircella": {
                    values: {
                        "Durch Brand versiegelt": string;
                        "Oberfl\u00E4che abgewaschen": string;
                        "Oberfl\u00E4che verh\u00E4rtet": string;
                        Fest: string;
                        Flüssig: string;
                        "Gut formbar": string;
                        Hart: string;
                        Lehmig: string;
                        Locker: string;
                        "Mittel bindend": string;
                        "Mittel formbar": string;
                        "Nicht bindend": string;
                        "Nicht formbar": string;
                        Porös: string;
                        Sandig: string;
                        "Schwach bindend": string;
                        "Schwach formbar": string;
                        "Sehr gut formbar": string;
                        "Sehr hart": string;
                        "Sehr schwach formbar": string;
                        "Sehr weich": string;
                        "Stark bindend": string;
                        Steif: string;
                        Weich: string;
                        Pulverig: string;
                    };
                };
                "Layer-soilType-Abbircella": {
                    values: {
                        Sand: string;
                        Feinstsand: string;
                        Feinsand: string;
                        "Mittlerer Sand": string;
                        Grobsand: string;
                        "Sandiger Schluff": string;
                        "Sandiger Ton": string;
                        "Sandiger Lehm": string;
                        Schluff: string;
                        "Schluffiger Sand": string;
                        "Schluffiger Ton": string;
                        "Schluffiger Lehm": string;
                        Ton: string;
                        "Toniger Sand": string;
                        "Toniger Schluff": string;
                        "Toniger Lehm": string;
                        Lehm: string;
                        Mergel: string;
                    };
                };
                "Layer-layerClassification-Abbircella": {
                    values: {
                        "Nat\u00FCrliche Ablagerung": string;
                        "Absichtliche Deponierung": string;
                        Anhäufung: string;
                        Versturzschicht: string;
                        Verfüllung: string;
                        Arbeitsniveau: string;
                        Anschüttung: string;
                        Stampflehm: string;
                        Brandschicht: string;
                        Planierschicht: string;
                        Laufhorizont: string;
                        Sonstiges: string;
                    };
                };
                "Negative-negativeClassification-Abbircella": {
                    values: {
                        Abfallgrube: string;
                        Brunnen: string;
                        Feuerstelle: string;
                        Graben: string;
                        Grube: string;
                        Ofen: string;
                        Pfostenloch: string;
                        Pflugspur: string;
                        Tiergang: string;
                        Wurzelkanal: string;
                        "Zerst\u00F6rte Mauer": string;
                        "Zerst\u00F6rter Boden": string;
                        Raubgräberloch: string;
                        Drainage: string;
                        Sonstiges: string;
                    };
                };
                "Architecture-wallClassification-Abbircella": {
                    values: {
                        "Aufgehendes Mauerwerk": string;
                        Fensterzusetzung: string;
                        Flickung: string;
                        Fundament: string;
                        Gewölbe: string;
                        Mauer: string;
                        Mauerbettung: string;
                        Mauerdurchbruch: string;
                        Mosaik: string;
                        "Opus sectile": string;
                        Türzusetzung: string;
                        Wandgestaltung: string;
                        Sonstiges: string;
                    };
                };
                "Architecture-wallType-Abbircella": {
                    values: {
                        Außenmauer: string;
                        Befestigungsmauer: string;
                        Blockmauerwerk: string;
                        Bruchsteinmauer: string;
                        Fachwerk: string;
                        Feldsteinmauer: string;
                        Grenzmauer: string;
                        Ziegelmauer: string;
                        Sonstiges: string;
                    };
                };
                "Architecture-construction-Abbircella": {
                    values: {
                        "Fundament: Gesch\u00FCttet": string;
                        "Fundament: Gesetzt": string;
                        "Mauerkern: Lesesteine": string;
                        "Einschalig vor Feld/Hang": string;
                        "Ohne Schalen/keine durchgehenden Lagen": string;
                        "Ohne Schalen/nur durchgehende Lagen": string;
                        Zweischalig: string;
                        "Zweischalig mit Binderlagen": string;
                        Sonstiges: string;
                    };
                };
                "Architecture-brickwork-Abbircella": {
                    values: {
                        Binderverband: string;
                        Blockverband: string;
                        "Fl\u00E4mischer Verband": string;
                        "Holl\u00E4ndischer Verband": string;
                        Kreuzverband: string;
                        Läuferverband: string;
                        "M\u00E4rkischer Verband": string;
                        Sonstiges: string;
                    };
                };
                "Architecture-blockTreatment-Abbircella": {
                    values: {
                        Bossiert: string;
                        Unbehauen: string;
                        "Grob behauen": string;
                        Behauen: string;
                        Gemischt: string;
                        "Bearbeitete Oberfl\u00E4che": string;
                        "Polierte Oberfl\u00E4che": string;
                    };
                };
                "Architecture-blockProcessing-Abbircella": {
                    values: {
                        Bruchsteine: string;
                        Hausteine: string;
                        Lesesteine: string;
                        Werksteine: string;
                        Sonstiges: string;
                    };
                };
                "Architecture-mortarBinder-Abbircella": {
                    values: {
                        Dominant: string;
                        Gering: string;
                        Hoch: string;
                        Mittel: string;
                    };
                };
                "Architecture-mortarConsistency-Abbircella": {
                    values: {
                        Brüchig: string;
                        "Erdig/lehmig": string;
                        Fest: string;
                        Hart: string;
                        Locker: string;
                        Mittelfein: string;
                        Pulverig: string;
                        Sandig: string;
                    };
                };
                "Architecture-condition-Abbircella": {
                    values: {
                        "Sehr gut": string;
                        Gut: string;
                        Mittel: string;
                        Schlecht: string;
                        "Sehr schlecht": string;
                    };
                };
                "Architecture-conditionAmount-Abbircella": {
                    values: {
                        Fragmentarisch: string;
                        "Teilweise erhalten": string;
                        Vollständig: string;
                        Zerstört: string;
                        Restauriert: string;
                    };
                };
                "Floor-floorClassification-Abbircella": {
                    values: {
                        Stampflehm: string;
                        Pflaster: string;
                        Ziegel: string;
                        "Opus alexandrinum": string;
                        "Opus barbaricum": string;
                        "Opus musivum (tesserae)": string;
                        Kieselmosaik: string;
                        "Opus scutulatum": string;
                        "Opus sectile": string;
                        "Opus segmentatum": string;
                        "Opus signinum (cocciopesto)": string;
                        "Opus spicatum": string;
                        "Opus tessellatum": string;
                        "Opus vermiculatum": string;
                        Mörtelfußboden: string;
                        Sonstiges: string;
                    };
                };
                "Wall_surface-wallOrientation-Abbircella": {
                    values: {
                        Norden: string;
                        Nordost: string;
                        Nordwest: string;
                        Osten: string;
                        Süden: string;
                        Südost: string;
                        Südwest: string;
                        Westen: string;
                    };
                };
                "PlasterFragment-plasterComponents-Abbircella": {
                    values: {
                        Feinsand: string;
                        Grus: string;
                        Sand: string;
                        Sonstiges: string;
                    };
                };
                "Architecture-buildingTechnique-Abbircella": {
                    values: {
                        "Ungebrannte oder gebrannte Ziegel": string;
                        "Opus craticium": string;
                        Flechtwerk: string;
                        "Unregelm\u00E4\u00DFige unbearbeitete Steine oder Kiesel": string;
                        Quadersteine: string;
                        Beton: string;
                        "Opus caementicium": string;
                        Sonstiges: string;
                    };
                };
                "Architecture-walling-Abbircella": {
                    values: {
                        "Opus siliceum (polygonal)": string;
                        "Opus testaceum/latericium (Dachziegel, Ziegel oder dreieckige Ziegel)": string;
                        "Opus vittatum/listatum (Ziegel und kleine Tuffsteine)": string;
                        Sonstiges: string;
                    };
                };
                "Wall_surface-constructionDetails-Abbircella": {
                    values: {
                        Abflussöffnung: string;
                        Angelloch: string;
                        Balkenloch: string;
                        Bleirohr: string;
                        "Durchgang/T\u00FCr": string;
                        Entlastungsbogen: string;
                        Fallrohr: string;
                        Fenster: string;
                        Fontäne: string;
                        Halbsäule: string;
                        Laibung: string;
                        Nische: string;
                        Regalloch: string;
                        Riegelloch: string;
                        "Sonstiges Loch": string;
                        Sturzauflager: string;
                    };
                };
                "Find-storagePlace-Abbircella": {
                    values: {
                        "D\u00E9pot Zaghouan": string;
                        "Abbir Cella": string;
                        Djougar: string;
                        Unbekannt: string;
                    };
                };
                "Sample-sampleMaterial-Abbircella": {
                    values: {
                        Holzkohle: string;
                        Mörtel: string;
                        Bodenprobe: string;
                        Holz: string;
                        Stein: string;
                        Keramik: string;
                        Putz: string;
                        Sonstiges: string;
                    };
                };
                "Sample-sampleType-Abbircella": {
                    values: {
                        Bodenprobe: string;
                        "C14-Analyse": string;
                        Dendroprobe: string;
                        Hammerschlagsprobe: string;
                        Phosphatanalyse: string;
                        Pollenanalyse: string;
                    };
                };
                "orientation-Abbircella": {
                    values: {
                        "N-S": string;
                        "NNO-SSW": string;
                        "NNW-SSO": string;
                        "NO-SW": string;
                        "NW-SO": string;
                        "W-O": string;
                        "WNW-OSO": string;
                        "WSW-ONO": string;
                    };
                };
                "Survey-researchMethod-Abbircella": {
                    values: {
                        Befliegung: string;
                        Begehung: string;
                        Geoelektrik: string;
                        Geomagnetik: string;
                        Georadar: string;
                        LIDAR: string;
                        "Luft- oder Satellitenbilder": string;
                        Quadratisch: string;
                        Regelmäßig: string;
                        Seismik: string;
                    };
                };
                "Building-buildingCategory-Abbircella": {
                    values: {
                        Altar: string;
                        Amphitheater: string;
                        Basilika: string;
                        Bogen: string;
                        Brücke: string;
                        Circus: string;
                        Grabmonument: string;
                        Gymnasion: string;
                        Mauerkurtine: string;
                        Nymphäum: string;
                        Odeion: string;
                        "Stra\u00DFe (innerhalb einer Siedlung)": string;
                        "Stra\u00DFe (au\u00DFerhalb einer Siedlung)": string;
                        Stützmauer: string;
                        Säulenhalle: string;
                        Tempel: string;
                        Theater: string;
                        Therme: string;
                        Toranlage: string;
                        Turm: string;
                        Wohnbau: string;
                        Sonstiges: string;
                        Unbestimmt: string;
                    };
                };
                "Inscription-objectType-Abbircella": {
                    values: {
                        "Allt\u00E4glicher Gebrauch": string;
                        Bauinschrift: string;
                        Ehreninschrift: string;
                        "Grabinschrift (Inschrift im Grabkontext)": string;
                        "Private Ausstattung": string;
                        "Sakrale Ausstattung": string;
                        "Unsicher bzw. unbestimmbar": string;
                        Urkunde: string;
                        Wasserversorgung: string;
                        Weihinschrift: string;
                        "\u00D6ffentliche Ausstattung": string;
                    };
                };
                "provenance-bourgou": {
                    values: {
                        Ägypten: string;
                        Adria: string;
                        Attika: string;
                        Baetika: string;
                        Byzacena: string;
                        Gallien: string;
                        Ionien: string;
                        Italien: string;
                        Kampanien: string;
                        Kalabrien: string;
                        Etrurien: string;
                        Karthago: string;
                        Kleinasien: string;
                        Korinth: string;
                        Levante: string;
                        Lusitanien: string;
                        lokal: string;
                        Malta: string;
                        Nordafrika: string;
                        Tarraconensis: string;
                        regional: string;
                        "lokal/regional": string;
                        Rhodos: string;
                        Sardinien: string;
                        Sizilien: string;
                        Spanien: string;
                        Tripolitanien: string;
                        Tunesien: string;
                        Nordtunesien: string;
                        Südtunesien: string;
                        Zentraltunesien: string;
                        Südgallien: string;
                        Ostmittelmeerraum: string;
                        Ägäis: string;
                        Westgriechenland: string;
                        Zypern: string;
                    };
                };
                "periods-bourgou": {
                    values: {
                        "Phase 1": string;
                        "Phase 2": string;
                        "Phase 3": string;
                        "Phase 4": string;
                        "Phase 5": string;
                        "Phase 6": string;
                        "Phase 7": string;
                        "Phase 8": string;
                        "Phase 9": string;
                        "Phase 10": string;
                    };
                };
                "Brick-decorationTechnique-bourgou": {
                    values: {
                        Flechtwerkabdruck: string;
                        Fingerabdruck: string;
                        Barbotin: string;
                        Kammritzung: string;
                        Rädchenverzierung: string;
                        Ratterdekor: string;
                        Reliefdekor: string;
                        Riefeldekor: string;
                        Ritzungen: string;
                        "Sonstige Abdr\u00FCcke": string;
                        Stempel: string;
                    };
                };
                "Pottery-specificType-bourgou": {
                    values: {
                        "Geschl. Gef\u00E4\u00DF": string;
                        "Offenes Gef\u00E4\u00DF": string;
                        Boden: string;
                        Amphora: string;
                        Schüssel: string;
                        Schale: string;
                        Flasche: string;
                        Kasserolle: string;
                        Napf: string;
                        Deckel: string;
                        "Krug/Kanne": string;
                        Vorratsgefäß: string;
                        Kohlebecken: string;
                        Topf: string;
                        Mortaria: string;
                        "Teller/Pfanne": string;
                        Tajine: string;
                    };
                };
                "Pottery-materialType-bourgou": {
                    values: {
                        "Afrikanische Sigillata (ARS)": string;
                        "Afrik. Schwarzfirnis": string;
                        "Afrik. Schwarzfirnis pun.": string;
                        Dünnwandkeramik: string;
                        "S\u00FCdgallische Sigillata": string;
                        "Italische Sigillata": string;
                        "Eastern Sigillata A (ESA)": string;
                        "Campana A": string;
                        "Campana B": string;
                        "Campana B-O": string;
                        "Campana C": string;
                        "Attische Feinkeramik": string;
                        "Freigeformte Ware": string;
                        "Calcitic Ware": string;
                        "Korbgeformte Ware": string;
                        "Freigeformte Ware ital.": string;
                        "Freigeformte Ware pantel.": string;
                        "Freigeformte Ware div.": string;
                        "Afrikanische Schlichte Ware": string;
                        "Afrik. Schlichte Ware eisenztl.": string;
                        "Afrik. Schlichte Ware pun.": string;
                        "Afrik. Schlichte Ware trip.": string;
                        "Schlichte Ware ital.": string;
                        "Schlichte Ware lev.": string;
                        "Schlichte Ware ion.": string;
                        "Schlichte Ware div.": string;
                        "Afrikanische K\u00FCchenware": string;
                        "Afrik. K\u00FCchenware trip.": string;
                        "Afrik. K\u00FCchenware pun.": string;
                        "K\u00FCchenware ital.": string;
                        "K\u00FCchenware ion.": string;
                        "K\u00FCchenware div.": string;
                        "Amphora div.": string;
                        "Afrikanische Amphora": string;
                        "Punische Amphora": string;
                        "Neopunische Amphora": string;
                        "Nuraghische Amphora": string;
                        "Baetische Amphora": string;
                        "Etruskische Amphora": string;
                        "Italische Amphora": string;
                        "Gallische Amphora": string;
                        "Westgriechische Amphora": string;
                        "Ostmediterrane Amphora": string;
                    };
                };
                "Pottery-vesselpart-bourgou": {
                    values: {
                        WF: string;
                        RF: string;
                        BF: string;
                        H: string;
                        "vollst. Profil": string;
                        "ganzes Gef\u00E4\u00DF": string;
                    };
                };
                "Pottery-coatTpe-bourgou": {
                    values: {
                        unbehandelt: string;
                        verloren: string;
                        geglättet: string;
                        fleckig: string;
                        verstrichen: string;
                        "glatt verstrichen": string;
                        "rau verstrichen": string;
                        poliert: string;
                        "metallisch gl\u00E4nzend": string;
                        Überzug: string;
                        Scum: string;
                        glasiert: string;
                        bemalt: string;
                    };
                };
                "Pottery-rimTreatment-bourgou": {
                    values: {
                        weiss: string;
                        graubraun: string;
                        hellbraun: string;
                        "sekund\u00E4r geschw\u00E4rzt": string;
                        geschwärzt: string;
                    };
                };
                "Pottery-coatColor-bourgou": {
                    values: {
                        verloren: string;
                        beige: string;
                        "blass-": string;
                        blau: string;
                        braun: string;
                        cremefarben: string;
                        "dunkel-": string;
                        gelb: string;
                        glänzend: string;
                        grau: string;
                        grün: string;
                        "hell-": string;
                        "leuchtend-": string;
                        ocker: string;
                        orange: string;
                        rosa: string;
                        rot: string;
                        schwarz: string;
                        türkis: string;
                        violett: string;
                        weiß: string;
                    };
                };
                "Find-amountDescription-bourgou": {
                    values: {
                        Stück: string;
                        Eimer: string;
                        Kiste: string;
                        Tüte: string;
                    };
                };
                "Find-samplePl-bourgou": {
                    values: {
                        ausgeführt: string;
                        "an Spezialist/Labor \u00FCbergeben": string;
                        zurückgeführt: string;
                    };
                };
                "Find-Store-bourgou": {
                    values: {
                        "nicht aufbewahrt": string;
                        "Grabungshaus/Magazin": string;
                        Sonstiges: string;
                    };
                };
                "Find-samplePl-Gadara": {
                    values: {
                        ausgeführt: string;
                        "an Spezialist/Labor \u00FCbergeben": string;
                        zurückgeführt: string;
                        nein: string;
                    };
                };
                "Find-Store-Gadara": {
                    values: {
                        "nicht aufbewahrt": string;
                        Werkhof: string;
                        Grabungshaus: string;
                    };
                };
                "coordinate-reference-system-milet": {
                    values: {
                        NoCoordinateSystem: string;
                        Bendt: string;
                        UTM35N: string;
                    };
                };
                "Survey-researchMethod-milet": {
                    values: {
                        Befliegung: string;
                        Kartierung: string;
                        Begehung: string;
                        Fundkatalog: string;
                    };
                };
                "localization-milet": {
                    values: {
                        Totalstation: string;
                        manuell_kartiert: string;
                        nicht_lokalisiert: string;
                        topographical_description: string;
                    };
                };
                "Find-workflow-milet": {
                    values: {
                        Inventarisiert: string;
                        Fotografiert: string;
                        Gezeichnet: string;
                        Restauriert: string;
                        "Detailbearbeitung fertig": string;
                        Fehlerhaft: string;
                    };
                };
                "Sculpture-sculptureBodypart-milet": {
                    values: {
                        left: string;
                        right: string;
                        Head: string;
                        Neck: string;
                        Shoulder: string;
                        Back: string;
                        Hip: string;
                        Leg: string;
                        Foot: string;
                        Attributes: string;
                        indeterminable: string;
                        other: string;
                    };
                };
                "Sculpture-sculptureGender-milet": {
                    values: {
                        female: string;
                        male: string;
                        inconclusive: string;
                        other: string;
                    };
                };
                "Sculpture-sculptureType-milet": {
                    values: {
                        "Deities, Personifications and Heroes": string;
                        "Imperial Family": string;
                        "Imperial and Senatorial Office Holders": string;
                        "Provincial Notables": string;
                        Animals: string;
                        "Philosophers, Orators and Poets": string;
                        Military: string;
                        Athletes: string;
                        Citizen: string;
                        "Other (human)": string;
                        "Other mythological creatures": string;
                        Other: string;
                        Unknown: string;
                    };
                };
                "Sculpture-sculptureClothing-milet": {
                    values: {
                        "Toga, late antique": string;
                        "Toga with umbo": string;
                        Armour: string;
                        "Tunic / chiton": string;
                        "Tunic, colobium": string;
                        "Boots, Military": string;
                        "Footwear, sandals": string;
                        "Footwear, closed, plain boots": string;
                        "Footwear, closed strapped boots": string;
                        "Footwear, open, strapped shoes": string;
                        "Cloak, paludamentum": string;
                        "Cloak, chlamys": string;
                        Naked: string;
                        Other: string;
                    };
                };
                "Sculpture-sculptureHairstyle-milet": {
                    values: {
                        "Brushed forward": string;
                        Bun: string;
                        "Central braid": string;
                        "Encircling braid(s)": string;
                        "Long, covers ears": string;
                        "Long, to shoulders": string;
                        Short: string;
                        "Short-cropped": string;
                        "Wreath-style": string;
                        Other: string;
                    };
                };
                "Sculpture-sculptureBeardstyle-milet": {
                    values: {
                        "Bearded, long": string;
                        "Bearded, short": string;
                        "Bearded, stubble": string;
                        "Bearded, under-chin": string;
                        "Clean-shaven": string;
                        beardless: string;
                        Other: string;
                    };
                };
                "Sculpture-sculptureAttributes-milet": {
                    values: {
                        belt: string;
                        crown: string;
                        "codex / book": string;
                        "corona civica": string;
                        "crown fillet": string;
                        diadem: string;
                        "diadem, jewelled": string;
                        "diadem, pearl-edged": string;
                        "diadem, plain": string;
                        earrings: string;
                        fibula: string;
                        "finger ring": string;
                        mappa: string;
                        necklace: string;
                        orb: string;
                        sceptre: string;
                        scroll: string;
                        spear: string;
                        staff: string;
                        sword: string;
                        tabellae: string;
                        wreath: string;
                        other: string;
                    };
                };
                "Sculpture-colors-milet": {
                    values: {
                        rosa: string;
                        grün: string;
                        blau: string;
                        "bl\u00E4ulich-wei\u00DF": string;
                        hellgrau: string;
                        hellgräulich: string;
                        "gr\u00E4ulich-wei\u00DF": string;
                        gräulich: string;
                        grau: string;
                        dunkelgrau: string;
                        schwarz: string;
                        weiß: string;
                        "gr\u00E4ulich-blau": string;
                    };
                };
                "Sculpture-marbleType-milet": {
                    values: {
                        "veined marble": string;
                        "nonveined marble": string;
                    };
                    description: string;
                };
                "quality-milet": {
                    values: {
                        "very high quality": string;
                        "high quality": string;
                        "medium quality": string;
                        "low quality": string;
                        unfinished: string;
                        "partially unfinished": string;
                    };
                    description: string;
                };
                "Layer-layerConsistency-milet": {
                    values: {
                        very_hard: string;
                        hard: string;
                        solid: string;
                        starchy: string;
                        soft: string;
                        very_soft: string;
                        liquid: string;
                    };
                    description: string;
                };
                "Layer-layerInclusions-milet": {
                    values: {
                        Kiesel_klein: string;
                        Kiesel_mittel: string;
                        Kiesel_groß: string;
                        Stein_klein: string;
                        Stein_mittel: string;
                        Stein_groß: string;
                        Kalk: string;
                        Ziegelbruch_kleinteilig: string;
                        HolzkohleAsche: string;
                        Wurzeln: string;
                        Tiergänge: string;
                        Schnecken: string;
                    };
                    description: string;
                };
                "Layer-layerClassification-milet": {
                    values: {
                        Brandschicht: string;
                        Kulturschicht: string;
                        Laufhorizont: string;
                        Planierschicht: string;
                        Schuttschicht: string;
                        Humusschicht: string;
                        Filling: string;
                        Baugrube: string;
                        Grave: string;
                        artificial_removal: string;
                        other: string;
                        unbekannt: string;
                    };
                };
                "layerColors-milet": {
                    values: {
                        black: string;
                        grey: string;
                        brown: string;
                        yellow: string;
                        ochre: string;
                        red: string;
                    };
                };
                "layerColorsIntensity-milet": {
                    values: {
                        very_light: string;
                        light: string;
                        medium: string;
                        dark: string;
                        very_dark: string;
                    };
                };
                "Layer-soilType-milet": {
                    values: {
                        Lehm: string;
                        Sand: string;
                        "Sand (fein)": string;
                        "Sand (mittel)": string;
                        "Sand (grob)": string;
                        Schluff: string;
                        Ton: string;
                    };
                };
                "Layer-layerFinds-milet": {
                    values: {
                        Keramik: string;
                        Terrakotta: string;
                        "Stein (bearbeitet)": string;
                        Tesserae: string;
                        Inkrustationen: string;
                        Wandputz: string;
                        Metall: string;
                        Glas: string;
                        Münzen: string;
                        Ziegel: string;
                        Knochen: string;
                        Holz: string;
                        Mollusken: string;
                        Sample: string;
                    };
                    description: string;
                };
                "Drawing-scale-milet": {
                    values: {
                        other: string;
                        NA: string;
                    };
                    description: string;
                };
                "Drawing-drawingType-milet": {
                    values: {
                        CAD: string;
                        "Totalstation-direct": string;
                        "Handzeichnung-precise": string;
                        sketch: string;
                    };
                };
                "viewDirection-milet": {
                    values: {
                        North: string;
                        Northeast: string;
                        East: string;
                        Southeast: string;
                        South: string;
                        Southwest: string;
                        West: string;
                        Northwest: string;
                        not_applicable: string;
                    };
                    description: string;
                };
                "findProcessingWorkflow-milet": {
                    values: {
                        "01_first_impression": string;
                        "02a_quantification": string;
                        "02b_quantification": string;
                        "03_complete_processing": string;
                        "04_no_processing": string;
                    };
                    description: string;
                };
                "Find-conditionAmount-milet": {
                    values: {
                        Fragmentarisch: string;
                        "Fragmentarisch_0-25": string;
                        "Fragmentarisch_25-50": string;
                        "Fragmentarisch_50-75": string;
                        "Fragmentarisch_75-100": string;
                        intakt: string;
                        unbekannt: string;
                    };
                };
                "Building-material-milet": {
                    values: {
                        Granit: string;
                        Kalk: string;
                        Gneis: string;
                        Poros: string;
                        Breccia: string;
                        Kalkmörtel: string;
                        Kalkstein: string;
                        Marmor: string;
                        Pophyr: string;
                        Quarz: string;
                        Sandstein: string;
                        Tuffit: string;
                        Ziegel: string;
                    };
                };
                "Building-context-milet": {
                    values: {
                        Akropolis: string;
                        Forum: string;
                        Handwerksviertel: string;
                        Heiligtum: string;
                        Nekropole: string;
                        Wohnviertel: string;
                        Extraurban: string;
                        Intraurban: string;
                    };
                };
                "Pottery-potteryGroup-milet": {
                    values: {
                        "feine Keramik": string;
                        "Mittelgrobe Keramik": string;
                        "Grobe Keramik": string;
                        Küchenkeramik: string;
                        "Graue Ware": string;
                        Schwarzfirnisware: string;
                        "Schwarzfigurige Keramik": string;
                        "Rotfigurige Keramik": string;
                        "Wei\u00DFgrundige Keramik": string;
                        Kleckerware: string;
                        Stapelware: string;
                        Streifenkeramik: string;
                        "Westabhang-Keramik": string;
                        "Westabhang-Nachfolgestil": string;
                        "Sigillata unbestimmt": string;
                        "Italische Sigillata": string;
                        "Eastern Sigillata A": string;
                        "Eastern Sigillata B": string;
                        "Eastern Sigillata C": string;
                        "African Red Slip": string;
                        "Late Roman C": string;
                        Reliefkeramik: string;
                        Applikenkeramik: string;
                        Formschüsselkeramik: string;
                        Bleiglasurkeramik: string;
                        "Barbotine Ware": string;
                        "D\u00FCnnwandige Keramik": string;
                        "Byzantinische Glasierte Keramik": string;
                        Sgraffito: string;
                        "Handgeformte Keramik": string;
                        andere: string;
                    };
                };
                "Pottery-functionalCategory-milet": {
                    values: {
                        Tafelgeschirr: string;
                        Haushaltskeramik: string;
                        Küchenkeramik: string;
                        Transportgefäße: string;
                        Vorratskeramik: string;
                        Ölgefäße: string;
                        Miniaturkeramik: string;
                        Geräte: string;
                    };
                };
                "Pottery-vesselForm-milet": {
                    values: {
                        Ampulle: string;
                        Backteller: string;
                        Becher: string;
                        Bienenkorb: string;
                        "B\u00FCgelhenkelgef\u00E4\u00DF / Eimer": string;
                        Deckel: string;
                        Fischteller: string;
                        Flasche: string;
                        Gewicht: string;
                        Haushaltsschüssel: string;
                        Kanne: string;
                        Kohlenbecken: string;
                        Krug: string;
                        Lampe: string;
                        Mischgefäß: string;
                        Napf: string;
                        Pfanne: string;
                        Platte: string;
                        Rost: string;
                        Salznapf: string;
                        Schale: string;
                        Schüssel: string;
                        Siebgefäß: string;
                        Ständer: string;
                        Tasse: string;
                        Teller: string;
                        Topf: string;
                        Vorratstopf: string;
                        Wanne: string;
                        Webgewicht: string;
                        "offenes Gef\u00E4\u00DF": string;
                        "geschlossenes Gef\u00E4\u00DF": string;
                        "unbekanntes Gef\u00E4\u00DF": string;
                        "unbestimmbares Gef\u00E4\u00DF": string;
                    };
                };
                "Pottery-potteryCondition-milet": {
                    values: {
                        intakt: string;
                        "vollst\u00E4ndig zerbrochen": string;
                        "vollst\u00E4ndiges Profil": string;
                        "gro\u00DFe Scherben": string;
                        "kleine Scherben": string;
                        "(sehr) stark zerscherbt": string;
                        "Oberfl\u00E4chen stark besch\u00E4digt": string;
                        Abrollungen: string;
                        Brandspuren: string;
                    };
                };
                "Pottery-fabricHardness-milet": {
                    values: {
                        weich: string;
                        hart: string;
                        "sehr hart": string;
                        "klingend hart": string;
                    };
                };
                "Pottery-temperType-milet": {
                    values: {
                        Glimmer: string;
                        Sand: string;
                        Kalk: string;
                        Calzit: string;
                        Eisenoxid: string;
                        Quarzit: string;
                        Steinchen: string;
                        Muschelgrus: string;
                        Schamotte: string;
                        Organische: string;
                        Magerung: string;
                        Vulkanisch: string;
                    };
                };
                "Pottery-temperAmount-milet": {
                    values: {
                        "nicht erkennbar": string;
                        wenige: string;
                        einige: string;
                        mittel: string;
                        reichlich: string;
                        "sehr viel": string;
                    };
                };
                "Pottery-temperGrain-milet": {
                    values: {
                        "sehr fein": string;
                        fein: string;
                        mittel: string;
                        grob: string;
                        "sehr grob": string;
                    };
                };
                "Pottery-surfaceTreatment-milet": {
                    values: {
                        verstrichen: string;
                        geglättet: string;
                        poliert: string;
                        glasiert: string;
                        bemalt: string;
                        Überzug: string;
                        Stempel: string;
                        Relief: string;
                        Einkerbungen: string;
                        Applikation: string;
                        Ritzungen: string;
                        Kammstrich: string;
                        Fingereindrücke: string;
                    };
                };
                "Sample-sampleType-milet": {
                    values: {
                        Dünnschliff: string;
                        Rückstände: string;
                        Gebrauchsspuren: string;
                        Bodenprobe: string;
                        "C14-Analyse": string;
                        Dendroprobe: string;
                        Phosphatanalyse: string;
                        Pollenanalyse: string;
                    };
                };
                "Building-buildingCategory-milet": {
                    values: {
                        Altar: string;
                        Basilika: string;
                        Bogen: string;
                        Brücke: string;
                        Grabbau: string;
                        Gymnasium: string;
                        Mauerkurtine: string;
                        Nymphäum: string;
                        Odeion: string;
                        Strasse: string;
                        Stützmauer: string;
                        Säulenhalle: string;
                        Tempel: string;
                        Theater: string;
                        Therme: string;
                        Toranlage: string;
                        Befestigungsanlage: string;
                        Wohnbau: string;
                        Platzanlage: string;
                        Moschee: string;
                        Kirche: string;
                        Monument: string;
                        Werkstatt: string;
                    };
                };
                "Building-buildingType-milet": {
                    values: {
                        Sakral: string;
                        Öffentlich: string;
                        Privat: string;
                        Industriell: string;
                        Infrastruktur: string;
                        Monumental: string;
                        Befestigung: string;
                    };
                };
                "architecturalOrder-milet": {
                    values: {
                        dorisch: string;
                        ionisch: string;
                        komposit: string;
                        äolisch: string;
                        korinthisch: string;
                        keine: string;
                        "nicht erhalten": string;
                    };
                };
                "periods-milet": {
                    values: {
                        Neolitisch: string;
                        "Chalkolitisch [Milet I]": string;
                        Bronzezeitlich: string;
                        "Fr\u00FChbronzezeitlich [Milet II]": string;
                        "Mittelbronzezeitlich [Milet III]": string;
                        "Sp\u00E4tbronzezeitlich [Milet IV]": string;
                        "Sp\u00E4tbronzezeitlich [Milet V]": string;
                        "Sp\u00E4tbronzezeitlich [Milet VI]": string;
                        "Sp\u00E4tbronzezeitlich [Milet VII]": string;
                        Geometrisch: string;
                        Protogeometrisch: string;
                        Frühgeometrisch: string;
                        Mittelgeometrisch: string;
                        Spätgeometrisch: string;
                        Archaisch: string;
                        Früharchaisch: string;
                        Hocharchaisch: string;
                        Spätarchaisch: string;
                        Perserzerstörung: string;
                        Klassisch: string;
                        Frühklassisch: string;
                        Spätklassik: string;
                        Hellenistisch: string;
                        "Fr\u00FCher Hellenismus": string;
                        "Sp\u00E4ter Hellenismus": string;
                        Kaiserzeitlich: string;
                        Frühkaiserzeitlich: string;
                        Mittelkaiserzeitlich: string;
                        Spätkaiserzeitlich: string;
                        Spätantik: string;
                        Byzantinisch: string;
                        "Fr\u00FChbyzantinisch / Sp\u00E4tantik": string;
                        Mittelbyzantinisch: string;
                        Spätbyzantinisch: string;
                        "Mente\u015Fe / emiratszeitlich": string;
                        Osmanisch: string;
                        Rezent: string;
                    };
                };
                "quantificationType-milet": {
                    values: {
                        Pottery: string;
                        Bones: string;
                        Mollusks: string;
                        Glass: string;
                        Metal: string;
                        Stone: string;
                        Terracotta: string;
                        Coins: string;
                        Plaster: string;
                        Sample: string;
                        Tesserae: string;
                        Inlays: string;
                        Ziegel: string;
                        Holz: string;
                    };
                };
                "relativeAmountCheck-milet": {
                    values: {
                        gering: string;
                        mittel: string;
                        hoch: string;
                        "sehr hoch": string;
                    };
                };
                "Stone-origin-milet": {
                    values: {
                        Alpen: string;
                        Anatolien: string;
                        Chimtou: string;
                        Harz: string;
                        Kreta: string;
                        Sizilien: string;
                        Aphrodisias: string;
                        "Burgass Adas\u0131": string;
                        Carrara: string;
                        Docimium: string;
                        Ephesus: string;
                        Euromos: string;
                        Fourni: string;
                        "Heraclea at Latmus": string;
                        Hymettus: string;
                        Lesbos: string;
                        "Marmara (Proconnesus)": string;
                        Milas: string;
                        "Miletus East": string;
                        "Miletus West": string;
                        Naxos: string;
                        Paros: string;
                        Pentelikon: string;
                        Priene: string;
                        Samos: string;
                        Stratonikeia: string;
                        Thasos: string;
                    };
                };
            };
            it: {
                "periods-campidoglio-and-castiglione-1": {
                    values: {
                        "Bronze Age / Et\u00E0 del bronzo": string;
                        "Iron Age / Et\u00E0 del ferro": string;
                        "Villanova / Villanoviano": string;
                        "Orientalizing / Orientalizzante": string;
                        "Archaic / Arcaico": string;
                        "Classic / Classico": string;
                        "Late classic / Tardo-classico": string;
                        "Hellenistic / Ellenistico": string;
                        "Republican / Repubblicano": string;
                        "Imperial / Et\u00E0 imperiale": string;
                        "Late antique / Tardo antico": string;
                    };
                };
                "Feature-featureBorders-Campidoglio": {
                    values: {
                        "Distinct / chiari": string;
                        "Diffuse / diffusi": string;
                        "Plain / piani": string;
                        Intuibili: string;
                        "Recognizable / riconoscibili": string;
                        "Slightly washed out / leggermente slavati": string;
                        "Smooth / fluidi": string;
                        "Inclined / inclinati": string;
                        "Jagged / frastagliati": string;
                        "Regular / regolari": string;
                        "Sharp / netti": string;
                        "Very distinct / ben distinguibili": string;
                        "Indistinct / indistinti": string;
                        "Uneven / non piani": string;
                        "Not clear / non chiari": string;
                        "Irregular / irregolari": string;
                        "Washed-our / slavati": string;
                        "Wavy / ondulati": string;
                    };
                };
                "Feature-featureForm-Campidoglio": {
                    values: {
                        "Feature remain / residuo": string;
                        "U-shaped / A forma di U": string;
                        "V-shaped / A forma di V": string;
                        "Nearly / approssimativamente": string;
                        "Shapeless / informe": string;
                        "Crescent shaped / A forma di mezzaluna": string;
                        "Drawn-out / allungato": string;
                        "Oval / ovale": string;
                        "Rectangular / rettangolare": string;
                        "Regular / regolare": string;
                        "Round / tondo": string;
                        "Hourglass shaped / A forma di clessidra": string;
                        "Trapezoidal / trapezoidale": string;
                        "Irregular / irregolare": string;
                    };
                };
                "Architecture-blockTreatment-Campidoglio": {
                    values: {
                        "Embossed / bugnato": string;
                        "Unworked / non lavorato": string;
                        "Roughly hewn / sgrossato": string;
                        "Squared / squadrato": string;
                        "Mixed / misto": string;
                        "Tooled surface / superficie lavorata": string;
                        "Polished surface / superficie lisciata": string;
                    };
                };
                "Architecture-buildingTechnique-Campidoglio": {
                    values: {
                        "Adobe/mud-brick / mattoni crudi o cotti": string;
                        "Opus craticium / graticcio": string;
                        Incannicciata: string;
                        "Irregular unworked stone or cobbles / Pietre irregolari non lavorate o ciottoli": string;
                        "Ashlar (blocks) / blocchi": string;
                        "Concrete / calcestruzzo": string;
                        "Opus caementicium": string;
                        "Other / altro": string;
                    };
                };
                "Architecture-walling-Campidoglio": {
                    values: {
                        "Opus siliceum (poligonale)": string;
                        "Opus quadratum": string;
                        "Opus caementicium": string;
                        "Opus incertum": string;
                        "Opus quasi reticolatum": string;
                        "Opus reticulatum": string;
                        "Opus spicatum": string;
                        "Opus mixtum": string;
                        "Opus testaceum/latericium (tegole, mattoni o laterizi triangolari)": string;
                        "Opus signinum (cocciopesto)": string;
                        "Opus africanum": string;
                        "Opus vittatum (opera listata in laterizi e tufelli)": string;
                        "Other / altro": string;
                    };
                };
                "Architecture-bindingAgent-Campidoglio": {
                    values: {
                        "None / nessuno": string;
                        "Clay / argilla": string;
                        "Mortar / malta": string;
                        "Clamps / morsetti": string;
                    };
                };
                "Architecture-condition-Campidoglio": {
                    values: {
                        "Very good / molto buone": string;
                        "Good / buone": string;
                        "Medium / medie": string;
                        "Bad / cattive": string;
                        "Very bad / molto cattive": string;
                    };
                };
                "Architecture-conditionAmount-Campidoglio": {
                    values: {
                        "Fragmentary / frammentario": string;
                        "Partially preserved / mutilo": string;
                        "Complete / intatto": string;
                        "Destroyed / distrutto": string;
                        "Restored / restaurato": string;
                    };
                };
                "Floor-consistency-Campidoglio": {
                    values: {
                        "Strongly cemented / fortemente consolidato": string;
                        "Weakly cemented / poco consolidato": string;
                        "Compact / compatto": string;
                        "Loose / sciolto": string;
                        "Hard / duro": string;
                        "Soft / morbido": string;
                        "Very soft / molto morbido": string;
                        "Friable / friabile": string;
                        "Plastic / plastico": string;
                    };
                };
                "Floor-distinguishingCriteria-Campidoglio": {
                    values: {
                        "Color / colore": string;
                        "Form / forma": string;
                        "Boundary / margini": string;
                        "Consistency / consistenza": string;
                        "Composition / composizione": string;
                    };
                };
                "Floor-floorClassification-Campidoglio": {
                    values: {
                        "Beaten Earth / terra battuta": string;
                        "Plaster / lastricato": string;
                        "Bricks or tiles / mattoni o tegole": string;
                        "Opus alexandrinum": string;
                        "Opus barbaricum": string;
                        "Opus musivum (tesserae)": string;
                        "Pebble mosaic / mosaico in ciottoli": string;
                        "Opus scutulatum": string;
                        "Opus sectile": string;
                        "Opus signinum (cocciopesto)": string;
                        "Opus spicatum": string;
                        "Other / altro": string;
                    };
                };
                "Layer-layerClassification-Campidoglio": {
                    values: {
                        "Natural deposit / Deposito naturale": string;
                        "Intentional deposit / Deposito antropico": string;
                        "Accumulation / Accumulo": string;
                        "Collapse / Crollo": string;
                        "Fill / Riempimento": string;
                        "Piano funzionale": string;
                        Riporto: string;
                        Battuto: string;
                        "Strato di bruciato": string;
                        Livellamento: string;
                    };
                };
                "Layer-soilType-Campidoglio": {
                    values: {
                        "Sand / sabbia / Sand": string;
                        "Very fine sand / sabbia molto fine": string;
                        "Fine sand / sabbia fine": string;
                        "Medium sand / sabbia di dimensioni medie": string;
                        "Coarse sand / sabbia grossolana": string;
                        "Sandy silt / limo sabbioso": string;
                        "Sandy clay / argilla sabbiosa": string;
                        "Sandy loam / medio impasto sabbioso": string;
                        "Silt / limo / Schluff": string;
                        "Silty sand / sabbia limosa": string;
                        "Silty clay / argilla limosa": string;
                        "Silty loam / medio impasto limoso": string;
                        "Clay / argilla / Ton": string;
                        "Clayely sand / sabbia argillosa": string;
                        "Clayely silt / limo argilloso": string;
                        "Clayely loam / medio impasto argilloso": string;
                        "Loam / medio impasto / Lehm": string;
                        "Marl / marna / Mergel": string;
                    };
                };
                "Find-storagePlace-Campidoglio": {
                    values: {
                        "Museo Vetulonia": string;
                        "SABAP Grosseto": string;
                        "Deposito Poggiarello": string;
                        "DAI Roma": string;
                    };
                };
                "Pottery-clayColorBreak-Campidoglio": {
                    values: {
                        "beige / beige": string;
                        "pale- / pallido": string;
                        "blue / blu": string;
                        "brown / marrone": string;
                        "cream / camoscio": string;
                        "dark- / scuro": string;
                        "yellow / giallo": string;
                        "gray / grigio": string;
                        "green / verde": string;
                        "light- / chiaro": string;
                        "bright- / luminoso": string;
                        "ocher / ocra": string;
                        "orange / arancio": string;
                        "pink / rosa": string;
                        "red / rosso": string;
                        "black / nero": string;
                        "turquoise / turchese": string;
                        "violet / viola": string;
                        "white / bianco": string;
                    };
                };
                "Pottery-clayHardness-Campidoglio": {
                    values: {
                        "1-2 (tenero, scalfibile con l'unghia)": string;
                        "3-4 (duro, non scalfibile con l'unghia, scalfibile con lama di coltello)": string;
                        "5 (molto duro, difficilmente scalfibile con lama di coltello)": string;
                        "6-10 (durissimo, non scalfibile con lama di coltello)": string;
                    };
                };
                "Pottery-decorationTechnique-Campidoglio": {
                    values: {
                        "Engraved / Incisa (graffita, A rotella, A pettina, A stecca)": string;
                        Excisa: string;
                        "Stamped / Impressa (stampo, cordicella, cilidretto,\u2026)": string;
                        "Painted / Dipinta": string;
                        "Pastic / Plastica (rilievo applicato, barbotine,\u2026)": string;
                        "Relief with mould or matrix / A rilievo con matrice o stampo": string;
                    };
                };
                "Pottery-manufacturing-Campidoglio": {
                    values: {
                        "Thick-walled / A pareti spesse": string;
                        "Thin-walled / A pareti sottili": string;
                        "Air dried / Seccato all\u2019aria": string;
                        "Klin-baked / Cotto": string;
                        "Engobed / Superficie ingubbiata": string;
                        "Superficie verniciata": string;
                        "Glazed / Superficie invetriata": string;
                        "Polished / Superficia lisciata": string;
                        "Exposed to fire / Bruciata o esposta A cottura secondaria": string;
                    };
                };
                "Pottery-manufacturingMethod-Campidoglio": {
                    values: {
                        "Wheel-made / Al tornio veloce": string;
                        "Rifinita al tornio lento": string;
                        "A cercine o colombino": string;
                        "Mixed technique / A tecnica mista": string;
                        "Press mould or matrix / A stampo o matrice": string;
                        "Hand made / A mano": string;
                    };
                };
                "Pottery-materialType-Campidoglio": {
                    values: {
                        "Fine ware / Ceramica figulina, depurata": string;
                        "Coarse ware / Ceramica grezza": string;
                    };
                };
                "Pottery-objectType-Campidoglio": {
                    values: {
                        "Altar / altare": string;
                        "Antefix / antefissa": string;
                        "Basin / bacino": string;
                        "Brazier / braciere": string;
                        "Loom weight / peso da telaio": string;
                        "Arrowhead / punta di freccia": string;
                        "Bead / perla": string;
                        "Bell / campana": string;
                        "Blade / lama": string;
                        "Bracelet / armilla o bracciale": string;
                        "Buckle / fibbia": string;
                        "Candelabra / candelabro": string;
                        "Chain / catena": string;
                        "Codolo di fusione": string;
                        "Door lock / serratura": string;
                        "Fibula / fibula": string;
                        "Fitting / borchia": string;
                        "Furnishings / mobilio": string;
                        "Grater / grattugia": string;
                        "Ingot / barra/lingotto": string;
                        "Inlay / inserto": string;
                        "Instrument / utensile": string;
                        "Jewellery / gioiello": string;
                        "Key / chiave": string;
                        "Knob / bottone": string;
                        "Lamp / Lucerna": string;
                        "Mirror / specchio": string;
                        "Mould / forma di fusione": string;
                        "Nail / chiodo": string;
                        "Ornamental fittings / borchie ornamentali": string;
                        "Pendant / pendaglio": string;
                        "Pin / spillone": string;
                        "Plastic/Sculpture / Plastica/scultura": string;
                        "Production fragment / frammento di produzione": string;
                        "Projectile / proiettile": string;
                        "Ring / anello": string;
                        "Sarcophagus sacrofago": string;
                        "Seal / sigillo": string;
                        "Semi-finished product / semilavorato": string;
                        "Sheet metal / lamina": string;
                        "Shield / scudo": string;
                        "Slag / scoria": string;
                        "Smithing waste / scarto di produzione": string;
                        "Spindle whorl / fusaiola": string;
                        "Spoon / cucchiaio": string;
                        "Strigilis / strigile": string;
                        "Token / pedina da gioco": string;
                        "Tool / attrezzo da lavoro": string;
                        "Vessel / vaso": string;
                        "Water conduct / tubatura": string;
                        "Weapon / arma": string;
                        "Weight / peso": string;
                        "Writing utensil / utensile per scrivere": string;
                        "Uncertain or indeternimable / non chiaro o indeterminabile": string;
                    };
                };
                "Pottery-specificType-Campidoglio": {
                    values: {
                        Impasto: string;
                        Bucchero: string;
                        "Bucchero pesante": string;
                        "Bucchero sottile": string;
                        "Red-slip pottery / Ceramica red-slip": string;
                        "Geometric pottery / Ceramica geometrica": string;
                        "Italo-geometric pottery / Cermica italo-geometrica": string;
                        "Protocorinthian pottery / Ceramica protocorinzia": string;
                        "Korinthian pottery / Ceramica corinzia": string;
                        "Etrusco-corinthian pottery / Cermica etrusco-corinzia": string;
                        "East greek pottery / Cermica greco-orientale": string;
                        "Protoattic pottery / Ceramica proto-attica": string;
                        "Attic pottery / ceramica attica": string;
                        "Attic black-figure pottery / Ceramica A attica A figure nere": string;
                        "Attic red-figure pottery / Ceramica A attica A figure rosse": string;
                        "Attic black-glazed pottery / Ceramica attica A vernice nera": string;
                        "Attic white ground pottery / Ceramica attica A fondo bianco": string;
                        "Etruscan black-figure pottery / Ceramica etrusca A figure nere": string;
                        "Etruscan red-figure pottery / Ceramica etrusca A figure rosse": string;
                        "Etruscan sovradipinta pottery / Ceramica etrusca sovradipinta": string;
                        "Apulian red-figure pottery / Cermica apula A figure rosse": string;
                        "Black-glazed pottery / Ceramica A vernice nera": string;
                        "Thin-walled pottery / Ceramica A pareti sottili": string;
                        "Ceramica argentata": string;
                        "Aco ware / Ceramica tipo Aco": string;
                        "Achrome ware / Ceramica acroma": string;
                        "Glazed ware / Ceramica invetriata": string;
                        "Ceramica A vernice rossa interna": string;
                        "Sigillata Arretina / Terra sigillata Arretina": string;
                        "Italian sigillata / Terra sigillata italica": string;
                        "Late Italian sigillata / Terra sigillata tardo-italica": string;
                        "South Gaulish sigillata / Terra sigillata sud-gallica": string;
                        "Hispanic sigillata / Terra sigillata ispanica": string;
                        "Oriental sigillata / Terra sigillate orientali": string;
                        "African sigillata / Terra sigillata africana": string;
                        "Transport amphorae / Anfore da trasporto": string;
                        "Cooking ware / Ceramica da cucina": string;
                        "Common pottery / Ceramica comune": string;
                    };
                };
                "Pottery-vesselForm-Campidoglio": {
                    values: {
                        "Amphorae / Anfora": string;
                        "Glass / Bicchiere": string;
                        "Bottle / Bottiglia": string;
                        "Jug / Brocca": string;
                        "Cauldron / calderone": string;
                        "Goblet / Calice": string;
                        "Bowl / Ciotola": string;
                        "Cup / Coppa": string;
                        "Lid / Coperchio": string;
                        "Incense burner / Incensiere": string;
                        "Lamps / Lucerna": string;
                        "Mortar / Mortaio": string;
                        Olla: string;
                        Patera: string;
                        "Patera baccellata": string;
                        "Pot / Pentola": string;
                        "Plate / Piatto": string;
                        "Cup / Tazza": string;
                        "Pan / Tegame": string;
                        "Oil vessel / Unguentario": string;
                        "Urn / Urna": string;
                        "Storage vessel / Vaso da derrate": string;
                        "Open form / Vaso chiuso": string;
                        "Closed form / Vaso aperto": string;
                        "Undetermined form / Forma indeterminata": string;
                    };
                };
                "Brick-formDescription-Campidoglio": {
                    values: {
                        "Triangular / Triangolare": string;
                        "Square / Quadrato": string;
                        "Rectangular / Rettangolare": string;
                        "Round / Rotondo": string;
                        "Polygonal / Poligonale": string;
                        "Other / Altro": string;
                    };
                };
                "Brick-brickForm-Campidoglio": {
                    values: {
                        "Paving brick / Laterizio pavimentale": string;
                        "Tile / Tegola": string;
                        "Curved tile / Coppo": string;
                        "Ridge tile / Coppo di colmo": string;
                        "Angular tile / Tegola angolare": string;
                        "Sima / Sima": string;
                        "Hypocaust / Ipocausto": string;
                        "Wall brick / Laterizio murario": string;
                        "Pipe / Tubatura": string;
                        "Other / Altro": string;
                        "Indeterminable / Indefinibile": string;
                    };
                };
                "Brick-brickUsage-Campidoglio": {
                    values: {
                        "Roof / Tetto": string;
                        "Ceiling / Soffitto": string;
                        "Window / Finestra": string;
                        "Floor / Pavimento": string;
                        "Vault / Volta": string;
                        "Door frame / Telaio porta": string;
                        "Architrave / Architrave": string;
                        "Wall cladding / Rivestimento parietale": string;
                        "Production waste / Scarto di produzione": string;
                        "Other / Altro": string;
                        "Indeterminable / Indefinibile": string;
                    };
                };
                "Brick-manufacturingMethod-Campidoglio": {
                    values: {
                        "Baked / Cotto": string;
                        "Pressed / Pressato": string;
                        "Handmade / Fatto A mano": string;
                        "Air dried / Seccato all'aria": string;
                    };
                };
                "Brick-surfaceCondition-Campidoglio": {
                    values: {
                        "Burnt / Bruciato": string;
                        "Stress mark / Tracce di usura": string;
                        "Traces of plow / Tracce di aratro": string;
                    };
                };
                "Brick-decorationTechnique-Campidoglio": {
                    values: {
                        "Engobe / Ingobbio": string;
                        "Glazing / Invetriatura": string;
                        "Painting / Pittura": string;
                        "Fingerprints / Impronte digitali": string;
                        "Other impressions / Impronte di altro tipo": string;
                        "Relief / Rilievo": string;
                        "Engraving / Incisioni": string;
                        "Stamps / Stampiglie": string;
                        "Stamped marks / Bolli": string;
                        "Graffiti / Graffiti": string;
                    };
                };
                "Brick-coatQuality-Campidoglio": {
                    values: {
                        "Low / Bassa": string;
                        "Hogh / Alta": string;
                        "Glossy / Lucida": string;
                        "Opaque / Opaca": string;
                        "Thick / Coprente": string;
                        "Thin / Sottile": string;
                    };
                };
                "Brick-coatCondition-Campidoglio": {
                    values: {
                        "Well preserved / Ben conservata": string;
                        "Flaked / Sfaldata": string;
                        "Rubbed out / Abrasa": string;
                        "Washed out / Slavata": string;
                        "Heavily rubbed out / Fortemente abrasa": string;
                        "Not preserved / Non conservata": string;
                    };
                };
                "Stone-objectType-Campidoglio": {
                    values: {
                        "Altar/Base/Stele / Altare/Base/Stele": string;
                        "Architectural decoration / Decorazione architettonica": string;
                        "Architectural element / Elemento architettonico": string;
                        "Vase / Vaso": string;
                        "Tool / Utensile/Strumento": string;
                        "Jewellery / Gioiello": string;
                        "Grave marking / Cippo tombale": string;
                        "Incrustation/plate /  Incrostazione/Piastra": string;
                        "Inscription / Iscrizione": string;
                        "Grinding stone / Macina": string;
                        "Mortar / Mortaio": string;
                        "Furniture / Mobiliario": string;
                        "Plastic/statue / Plastica/Statua": string;
                        "Production waste / Scarto di produzione": string;
                        "Sarcophagus / Sarcofago": string;
                        "Tessera / Tessera": string;
                        "Weapon / Arma": string;
                        "Unclear or Indeterminable / Non chiaro o Indefinibile": string;
                    };
                };
                "Stone-material-Campidoglio": {
                    values: {
                        "Andesite / Andesite": string;
                        "Basalt / Basalto": string;
                        "Feldspar / Feldspato": string;
                        "Flint / Selce": string;
                        "Mica / Mica": string;
                        "Granite / Granito": string;
                        "Limestone / Calcare": string;
                        "Calcite / Calcite": string;
                        "Chalk / Chalk": string;
                        "Marble / Marmo": string;
                        "Porphyry / Porfido": string;
                        "Quartz / Quarzo": string;
                        "Sandstone / Arenaria": string;
                        "Trachyte / Trachite": string;
                        "Tufa / Tufo": string;
                        "Chalcedony / Calcedonio": string;
                        "Dolomite / Dolomia": string;
                        "Carnelian / Corniola": string;
                        "Other / Altro": string;
                    };
                };
                "Stone-architectureElement-Campidoglio": {
                    values: {
                        "Acroterion / Acrotere": string;
                        "Architrave / Architrave": string;
                        "Frieze / Fregio": string;
                        "Base / Base": string;
                        "Architectural scuplture / Scultura architettonica": string;
                        "Cornice / Cornice": string;
                        "Capital / Capitello": string;
                        "Corbel / Mensola": string;
                        "Gutter / Grondaia": string;
                        "Threshold / Soglia": string;
                        "Sima / Sima": string;
                        "Column / Colonna": string;
                        "Wall cladding / Rivestimento parietale": string;
                        "Other / Altro": string;
                    };
                };
                "Stone-decorationTechnique-Campidoglio": {
                    values: {
                        "Painting / Pittura": string;
                        "Applique / Applique": string;
                        "Inscription / Iscrizione": string;
                        "Relief / Rilievo": string;
                        "Partially unfinished / Parzialmente incompiuto": string;
                    };
                };
                "Stone-usedAsSpolia-Campidoglio": {
                    values: {
                        "Yes / Si": string;
                        "No / No": string;
                        "Uncertain / Incerto": string;
                    };
                };
                "Metal-decorationTechnique-Campidoglio": {
                    values: {
                        "Enamel coating / Smalto": string;
                        "Niello / Niello": string;
                        "Damascening / Agemina": string;
                        "Filigree / Filigrana": string;
                        "Repouss\u00E9 and chasing / A sbalzo": string;
                        "Engraved / Incisa": string;
                        "Graffito/scratched / Graffita": string;
                        "Relief / A rilievo": string;
                        "Stamped / A stampo": string;
                        "Gilded / Dorata": string;
                        "Hammered surface / Superficie ribattuta": string;
                        "Chiseled surface / Superficie scalpellata": string;
                        "Filed surface / Superficie limata": string;
                        "Carved surface / Superficie intagliata": string;
                    };
                };
                "Metal-manufacturingMethod-Campidoglio": {
                    values: {
                        "Melting / Fusione": string;
                        "Lost-wax casting / Fusione A cera persa": string;
                        "Hammering / Martellatura": string;
                        "Engraving / A bulino": string;
                        "Stamped / A stampo": string;
                    };
                };
                "Metal-metalMaterial-Campidoglio": {
                    values: {
                        "Aluminum / alluminio": string;
                        "Lead / piombo": string;
                        "Bronze / bronzo": string;
                        "Iron / ferro": string;
                        "Gold / oro": string;
                        "Copper / rame": string;
                        "Brass / ottone": string;
                        "Silver / argento": string;
                        "Steel / acciaio": string;
                        "Uncertain or indefinable / non chiaro o indeterminabile": string;
                        "Zinc / zinco": string;
                        "Zin / stagno": string;
                    };
                };
                "Pottery-potteryTypeSpecific-Meninx": {
                    values: {
                        "Africana da cucina": string;
                    };
                };
                "Place-siteClassification-Postumii": {
                    values: {
                        Siedlung: string;
                        "Baukomplex ": string;
                        "Einzelnes Bauwerk": string;
                        Bestattungsplatz: string;
                        Produktionsplatz: string;
                        Kultstätte: string;
                        "Landwirtschaftliche Nutzfl\u00E4che": string;
                        Naturraum: string;
                    };
                };
                "Layer-layerClassification-Postumii": {
                    values: {
                        Ackerkrume: string;
                        Planierschicht: string;
                        Auffüllung: string;
                        Ablagerung: string;
                        Alluvialboden: string;
                        Nutzungshorizont: string;
                        Deponierung: string;
                        Laufhorizont: string;
                        Versturz: string;
                        Brandschicht: string;
                        Grube: string;
                        Fundamentgraben: string;
                        Zerstörungshorizont: string;
                        Raubgraben: string;
                        Pfostenloch: string;
                        "Geologisch gewachsener Boden": string;
                    };
                };
                "Layer-colors-Postumii-1": {
                    values: {
                        braun: string;
                        gelbbraun: string;
                        graubraun: string;
                        rotbraun: string;
                        schwarzbraun: string;
                        beige: string;
                        ocker: string;
                        gelb: string;
                        grau: string;
                        blaugrau: string;
                        rot: string;
                        orange: string;
                        rosa: string;
                        violett: string;
                        blau: string;
                        grün: string;
                        schwarz: string;
                        weiß: string;
                    };
                };
                "colorsLightness-Postumii-1": {
                    values: {
                        hell: string;
                        mittel: string;
                        dunkel: string;
                    };
                };
                "Layer-soilType-Postumii-1": {
                    values: {
                        Sand: string;
                        Schluff: string;
                        Lehm: string;
                        Humus: string;
                        Kalk: string;
                        Kalkstein: string;
                        Sandstein: string;
                        Mergel: string;
                        Vulkangestein: string;
                        Kiesel: string;
                        Asche: string;
                        Schlick: string;
                        Organisches: string;
                    };
                };
                "Layer-findComposition-Postumii": {
                    values: {
                        Lehmstein: string;
                        Dachziegel: string;
                        Keramik: string;
                        Metall: string;
                        Münzen: string;
                        Glas: string;
                        Knochen: string;
                        Holzkohle: string;
                        Schlacke: string;
                        Mollusken: string;
                        Hüttenlehm: string;
                        Verputz: string;
                    };
                    description: string;
                };
                "Layer-consistency-Postumii-1": {
                    values: {
                        locker: string;
                        porös: string;
                        fest: string;
                        kompakt: string;
                        zäh: string;
                        hart: string;
                    };
                };
                "Feature-featureBorders-Postumii": {
                    values: {
                        "Nach oben: deutlich": string;
                        "Nach oben: diffus": string;
                        "Nach oben: willk\u00FCrlich": string;
                        "Nach unten: deutlich": string;
                        "Nach unten: diffus": string;
                        "Nach unten: willk\u00FCrlich": string;
                        "In der Fl\u00E4che: deutlich": string;
                        "In der Fl\u00E4che: diffus": string;
                        "In der Fl\u00E4che: willk\u00FCrlich": string;
                    };
                };
                "Feature-featureForm-Postumii": {
                    values: {
                        eckig: string;
                        rund: string;
                        formlos: string;
                    };
                };
                "Layer-distinguishingCriteria-Postumii": {
                    values: {
                        Farbe: string;
                        Form: string;
                        Konsistenz: string;
                        Zusammensetzung: string;
                    };
                };
                "periods-Postumii-1": {
                    values: {
                        "Fr\u00FChbronzezeitlich ": string;
                        Bronzezeitlich: string;
                        Eisenzeitlich: string;
                        Archaisch: string;
                        Spätarchaisch: string;
                        Klassisch: string;
                        Spätklassisch: string;
                        Frühhellenistisch: string;
                        Hellenistisch: string;
                        Frühkorinthisch: string;
                        Mittelkorinthisch: string;
                        Spätkorinthisch: string;
                        Republikanisch: string;
                        Kaiserzeitlich: string;
                        Spätkaiserzeitlich: string;
                        Byzantinisch: string;
                        Arabisch: string;
                        Normannisch: string;
                        Staufisch: string;
                        Rezent: string;
                    };
                };
                "Architecture-architectureClassification-Postumii": {
                    values: {
                        Mauer: string;
                        Fundament: string;
                        Schwelle: string;
                        Steinsetzung: string;
                        Fußboden: string;
                        "Podium, Bank": string;
                        Treppe: string;
                        "Ofen, Herdstelle": string;
                        Becken: string;
                        "Kanal, Leitung": string;
                        Latrine: string;
                        Brunnen: string;
                        Zisterne: string;
                        Straße: string;
                        Säule: string;
                        Pfeiler: string;
                    };
                };
                "Architecture-architectureMaterial-Postumii": {
                    values: {
                        Kalkstein: string;
                        Marmor: string;
                        Vulkangestein: string;
                        Sandstein: string;
                        Granit: string;
                        Kiesel: string;
                        "Anstehender Fels": string;
                        "Anderer Stein": string;
                        "Gebrannte Ziegel": string;
                        "Ungebrannte Lehmsteine": string;
                        Dachziegel: string;
                        Lehm: string;
                        Holz: string;
                        Keramik: string;
                        Zement: string;
                    };
                };
                "Architecture-brickwork-Postumii": {
                    values: {
                        "Regelloser Verband": string;
                        "Reiner L\u00E4uferverband": string;
                        "Reiner Binderverband": string;
                        "Opus africanum": string;
                    };
                };
                "Architecture-construction-Postumii": {
                    values: {
                        "einschalig freistehend": string;
                        "einschalig vor Hang": string;
                        zweischalig: string;
                        "zweischalig mit Kern": string;
                        "zweischalig mit Binderlagen": string;
                    };
                };
                "Architecture-masonry-Postumii": {
                    values: {
                        Bruchsteinmauerwerk: string;
                        Polygonalmauerwerk: string;
                        Quadermauerwerk: string;
                        Trapezoidalmauerwerk: string;
                        "Ziegelmauerwerk gebrannt": string;
                        "Ziegelmauerwerk getrocknet": string;
                        Stampflehm: string;
                        Gussmauerwerk: string;
                        Mischform: string;
                        Anderes: string;
                    };
                };
                "Architecture-masonryJoint-Postumii": {
                    values: {
                        Trocken: string;
                        Klammern: string;
                        Erdmörtel: string;
                        Ziegelmauerwerk: string;
                        Zement: string;
                        Lehm: string;
                        Mischtechnik: string;
                    };
                };
                "Architecture-masonryLayerType-Postumii": {
                    values: {
                        Isodom: string;
                        Pseudoisodom: string;
                        Unregelmäßig: string;
                    };
                };
                "Architecture-masonryCoating-Postumii": {
                    values: {
                        Verputz: string;
                        Bemalung: string;
                    };
                };
                "Layer-contentPotteryOrigin-Postumii": {
                    values: {
                        Lokal: string;
                        Indigen: string;
                        Regional: string;
                        Unteritalisch: string;
                        Attisch: string;
                        Etruskisch: string;
                        Korinthisch: string;
                        Lakonisch: string;
                        Ostgriechisch: string;
                        "Ph\u00F6nizisch/Punisch": string;
                        Anderes: string;
                    };
                };
                "Layer-contentPotteryShape-Postumii": {
                    values: {
                        "Miniatur Keramik": string;
                        Anderes: string;
                    };
                };
                "Pottery-coat-Postumii": {
                    values: {
                        Schwarzfirnis: string;
                        Relief: string;
                        Glasur: string;
                        Anderes: string;
                    };
                };
                "Layer-contentPotteryDecoration-Postumii": {
                    values: {
                        Stempeldekor: string;
                        Figürlich: string;
                        Unfigürlich: string;
                        Banddekor: string;
                        Pflanzendekor: string;
                        Ritzlinien: string;
                        Eingetaucht: string;
                        Bemalt: string;
                        Graffito: string;
                        "Aufschrift ": string;
                        Stempel: string;
                        Anderes: string;
                    };
                };
                "Layer-contentTerracotta-Postumii": {
                    values: {
                        Figuren: string;
                        Lampen: string;
                        Webgewichte: string;
                        Spielstein: string;
                        Anderes: string;
                    };
                };
                "Layer-contentInorganic-Postumii": {
                    values: {
                        Bronze: string;
                        Eisen: string;
                        Blei: string;
                        Schlacke: string;
                        Gold: string;
                        Silber: string;
                        Münzen: string;
                        "Stein bearbeitet": string;
                        "Stein fig\u00FCrlich": string;
                        Reibsteine: string;
                        Kiesel: string;
                        Glas: string;
                        Spielstein: string;
                        Anderes: string;
                    };
                };
                "Layer-contentOrganic-Postumii": {
                    values: {
                        "Knochen Tier": string;
                        "Knochen Mensch": string;
                        "Knochen bearbeitet": string;
                        Astragal: string;
                        Mollusken: string;
                        Holz: string;
                        Holzkohle: string;
                        Samen: string;
                        Elfenbein: string;
                        Perlen: string;
                        Spielstein: string;
                        Anderes: string;
                    };
                    description: string;
                };
                "Layer-contentBuildingMaterial-Postumii": {
                    values: {
                        Mörtel: string;
                        Verputz: string;
                        Architekturdekor: string;
                        Mosaiksteine: string;
                        Dachziegel: string;
                        "Lehmziegel gebrannt": string;
                        "Lehmstein ungebrannt": string;
                        Anderes: string;
                    };
                };
                "Pottery-miniatureVesselForm-Postumii": {
                    values: {
                        Lampe: string;
                        Anderes: string;
                    };
                };
                "Pottery-clayHardness-Postumii": {
                    values: {
                        weich: string;
                        hart: string;
                        "sehr hart": string;
                    };
                };
                "Pottery-clayDensity-Postumii": {
                    values: {
                        hoch: string;
                        niedrig: string;
                    };
                };
                "Pottery-manufacturingMethod-Postumii": {
                    values: {
                        "gedreht (auf Drehscheibe)": string;
                        handgeformt: string;
                    };
                };
                "Floor-floorClassification-Postumii": {
                    values: {
                        Estricht: string;
                        Cocciopesto: string;
                        Ziegelboden: string;
                        "verg\u00E4ngliches Material": string;
                        Anderes: string;
                    };
                };
                "Find-storagePlace-Postumii": {
                    values: {
                        Depot: string;
                        Museum: string;
                        "In situ": string;
                    };
                };
                "Pottery-FineWare-Provenance-Postumii": {
                    values: {
                        Attisch: string;
                        Korinthisch: string;
                        Ionisch: string;
                        Punisch: string;
                        Megarisch: string;
                        Etruskisch: string;
                        Regional: string;
                        Lokal: string;
                        Indigen: string;
                        "Firnisware unklarer Herkunft": string;
                        "Anderes unklarer Herkunft": string;
                    };
                };
                "Pottery-Amphorae-Provenance-Postumii": {
                    values: {
                        "Westgriechisch ": string;
                        MGS: string;
                        "Ionisch-adriatisch": string;
                        Attisch: string;
                        Korinthisch: string;
                        Chiotisch: string;
                        Phönizisch: string;
                        Punisch: string;
                        Massaliotisch: string;
                        Lokal: string;
                        "Anderes unklarer Herkunft": string;
                    };
                    description: string;
                };
                "Pottery-CoarseWare-Function-Postumii": {
                    values: {
                        Kochware: string;
                        Tafelgeschirr: string;
                        "Gro\u00DFe Beh\u00E4lter": string;
                        "Anderes, Unbekannt": string;
                    };
                };
                "Terracotta-Collection-Postumii": {
                    values: {
                        Figürlich: string;
                        Lampen: string;
                        Louteria: string;
                        Arulae: string;
                        Gewicht: string;
                        "Gebrauchsgegenst\u00E4nde varia": string;
                        Sarkophag: string;
                        "Anderes, Unbekannt": string;
                    };
                };
                "BuildingMaterial-Collection-Postumii": {
                    values: {
                        "Bauteile aus Stein": string;
                        Baudekoration: string;
                        Dachziegel: string;
                        Dachterrakotten: string;
                        Lehmsteine: string;
                        Hüttenlehm: string;
                        Wandverputz: string;
                        Bodenbelag: string;
                        Mosaiksteine: string;
                        "Anderes, Unbekannt": string;
                    };
                };
                "Stone-Collection-Postumii": {
                    values: {
                        Figürlich: string;
                        Gebrauchsgegenstände: string;
                        Kiesel: string;
                        Marmor: string;
                        Flint: string;
                        "Anderes, Unbekannt": string;
                    };
                };
                "MetalAndGlas-Collection-Postumii": {
                    values: {
                        Münzen: string;
                        Glas: string;
                        Bronzeobjekte: string;
                        Eisenobjekte: string;
                        Silberobjekte: string;
                        Bleiobjekte: string;
                        Goldobjekte: string;
                        Schlacken: string;
                        "Anderes, Unbekannt": string;
                    };
                };
                "OrganicMaterial-Collection-Postumii": {
                    values: {
                        Knochen: string;
                        Zähne: string;
                        Horn: string;
                        Mollusken: string;
                        Holz: string;
                        Holzkohle: string;
                        Textilien: string;
                        LEder: string;
                        "Anderes, Unbekannt": string;
                        Astragal: string;
                    };
                };
                "provenance-milet": {
                    values: {
                        Anatolien: string;
                        Athen: string;
                        Ägypten: string;
                        Attisch: string;
                        Britannien: string;
                        Chios: string;
                        Deutschland: string;
                        Ephesos: string;
                        Etruskisch: string;
                        Gallien: string;
                        Ionien: string;
                        Irland: string;
                        Italien: string;
                        Kampanisch: string;
                        Karthagisch: string;
                        Kleinasien: string;
                        Knidos: string;
                        Korinth: string;
                        Kos: string;
                        Lesbos: string;
                        Levante: string;
                        Lokal: string;
                        "Lokal/Regional": string;
                        Milet: string;
                        Mäandertal: string;
                        Nordafrika: string;
                        Nordafrikanisch: string;
                        Palästina: string;
                        Pannonien: string;
                        Peloponnes: string;
                        Regional: string;
                        Rhodos: string;
                        Samos: string;
                        Sizilien: string;
                        Skandinavien: string;
                        Slawisch: string;
                        Spanien: string;
                        Syrien: string;
                        Südtunesisch: string;
                        Südägäis: string;
                    };
                };
                "Stone-origin-milet": {
                    values: {
                        Alpen: string;
                        Anatolien: string;
                        Chimtou: string;
                        Harz: string;
                        Kreta: string;
                        Sizilien: string;
                    };
                };
                "Survey-researchMethod-Selinunt": {
                    values: {
                        geodeticSurvey: string;
                        observationAndDescription: string;
                        architecturalSurvey: string;
                        excavation: string;
                        cleaning: string;
                        overflying: string;
                        archaeologicalSurvey: string;
                        electricalResistivityTomography: string;
                        geomagnetics: string;
                        groundPenetratingRadar: string;
                        seismicSurvey: string;
                        LIDAR: string;
                        coring: string;
                    };
                };
                "Place-siteClassification-Selinunt": {
                    values: {
                        Siedlung: string;
                        "Baukomplex ": string;
                        "Einzelnes Bauwerk": string;
                        Bestattungsplatz: string;
                        Produktionsplatz: string;
                        Kultstätte: string;
                        "Landwirtschaftliche Nutzfl\u00E4che": string;
                        Naturraum: string;
                    };
                };
                "Layer-layerClassification-Selinunt": {
                    values: {
                        Ackerkrume: string;
                        Planierschicht: string;
                        Auffüllung: string;
                        Ablagerung: string;
                        Alluvialboden: string;
                        Nutzungshorizont: string;
                        Deponierung: string;
                        Laufhorizont: string;
                        Versturz: string;
                        Brandschicht: string;
                        Grube: string;
                        Fundamentgraben: string;
                        Zerstörungshorizont: string;
                        Raubgraben: string;
                        Pfostenloch: string;
                        "Geologisch gewachsener Boden": string;
                    };
                };
                "Layer-colors-Selinunt-1": {
                    values: {
                        braun: string;
                        gelbbraun: string;
                        graubraun: string;
                        rotbraun: string;
                        schwarzbraun: string;
                        beige: string;
                        ocker: string;
                        gelb: string;
                        grau: string;
                        blaugrau: string;
                        rot: string;
                        orange: string;
                        rosa: string;
                        violett: string;
                        blau: string;
                        grün: string;
                        schwarz: string;
                        weiß: string;
                    };
                };
                "colorsLightness-Selinunt-1": {
                    values: {
                        hell: string;
                        mittel: string;
                        dunkel: string;
                    };
                };
                "Layer-soilType-Selinunt-1": {
                    values: {
                        Sand: string;
                        Schluff: string;
                        Lehm: string;
                        Humus: string;
                        Kalk: string;
                        Kalkstein: string;
                        Sandstein: string;
                        Mergel: string;
                        Vulkangestein: string;
                        Kiesel: string;
                        Asche: string;
                        Schlick: string;
                        Organisches: string;
                    };
                };
                "Layer-findComposition-Selinunt": {
                    values: {
                        Lehmstein: string;
                        Dachziegel: string;
                        Keramik: string;
                        Metall: string;
                        Münzen: string;
                        Glas: string;
                        Knochen: string;
                        Holzkohle: string;
                        Schlacke: string;
                        Mollusken: string;
                        Hüttenlehm: string;
                        Verputz: string;
                    };
                    description: string;
                };
                "Layer-consistency-Selinunt-1": {
                    values: {
                        locker: string;
                        porös: string;
                        fest: string;
                        kompakt: string;
                        zäh: string;
                        hart: string;
                    };
                };
                "Feature-featureBorders-Selinunt": {
                    values: {
                        "Nach oben: deutlich": string;
                        "Nach oben: diffus": string;
                        "Nach oben: willk\u00FCrlich": string;
                        "Nach unten: deutlich": string;
                        "Nach unten: diffus": string;
                        "Nach unten: willk\u00FCrlich": string;
                        "In der Fl\u00E4che: deutlich": string;
                        "In der Fl\u00E4che: diffus": string;
                        "In der Fl\u00E4che: willk\u00FCrlich": string;
                    };
                };
                "Feature-featureForm-Selinunt": {
                    values: {
                        eckig: string;
                        rund: string;
                        formlos: string;
                    };
                };
                "Layer-distinguishingCriteria-Selinunt": {
                    values: {
                        Farbe: string;
                        Form: string;
                        Konsistenz: string;
                        Zusammensetzung: string;
                    };
                };
                "periods-Selinunt-1": {
                    values: {
                        "Fr\u00FChbronzezeitlich ": string;
                        Bronzezeitlich: string;
                        Eisenzeitlich: string;
                        Archaisch: string;
                        Spätarchaisch: string;
                        Klassisch: string;
                        Spätklassisch: string;
                        Frühhellenistisch: string;
                        Hellenistisch: string;
                        Frühkorinthisch: string;
                        Mittelkorinthisch: string;
                        Spätkorinthisch: string;
                        Republikanisch: string;
                        Kaiserzeitlich: string;
                        Spätkaiserzeitlich: string;
                        Byzantinisch: string;
                        Arabisch: string;
                        Normannisch: string;
                        Staufisch: string;
                        Rezent: string;
                    };
                };
                "Architecture-architectureClassification-Selinunt": {
                    values: {
                        Mauer: string;
                        Fundament: string;
                        Schwelle: string;
                        Steinsetzung: string;
                        "Podium, Bank": string;
                        Treppe: string;
                        "Ofen, Herdstelle": string;
                        Becken: string;
                        "Kanal, Leitung": string;
                        Latrine: string;
                        Brunnen: string;
                        Zisterne: string;
                        Straße: string;
                        Säule: string;
                        Pfeiler: string;
                    };
                };
                "Architecture-architectureMaterial-Selinunt": {
                    values: {
                        Kalkstein: string;
                        Marmor: string;
                        Vulkangestein: string;
                        Sandstein: string;
                        Granit: string;
                        Kiesel: string;
                        "Anstehender Fels": string;
                        "Anderer Stein": string;
                        "Gebrannte Ziegel": string;
                        "Ungebrannte Lehmsteine": string;
                        Dachziegel: string;
                        Lehm: string;
                        Holz: string;
                        Keramik: string;
                        Zement: string;
                    };
                };
                "Architecture-brickwork-Selinunt": {
                    values: {
                        "Regelloser Verband": string;
                        "Reiner L\u00E4uferverband": string;
                        "Reiner Binderverband": string;
                        "Opus africanum": string;
                    };
                };
                "Architecture-construction-Selinunt": {
                    values: {
                        "einschalig freistehend": string;
                        "einschalig vor Hang": string;
                        zweischalig: string;
                        "zweischalig mit Kern": string;
                        "zweischalig mit Binderlagen": string;
                    };
                };
                "Architecture-masonry-Selinunt": {
                    values: {
                        Bruchsteinmauerwerk: string;
                        Polygonalmauerwerk: string;
                        Quadermauerwerk: string;
                        Trapezoidalmauerwerk: string;
                        "Ziegelmauerwerk gebrannt": string;
                        "Ziegelmauerwerk getrocknet": string;
                        Stampflehm: string;
                        Gussmauerwerk: string;
                        Mischform: string;
                        Anderes: string;
                    };
                };
                "Architecture-masonryJoint-Selinunt": {
                    values: {
                        Trocken: string;
                        Klammern: string;
                        Erdmörtel: string;
                        Ziegelmauerwerk: string;
                        Zement: string;
                        Lehm: string;
                        Mischtechnik: string;
                    };
                };
                "Architecture-masonryLayerType-Selinunt": {
                    values: {
                        Isodom: string;
                        Pseudoisodom: string;
                        Unregelmäßig: string;
                    };
                };
                "Architecture-masonryCoating-Selinunt": {
                    values: {
                        Verputz: string;
                        Bemalung: string;
                    };
                };
                "Pottery-vesselForm-Selinunt": {
                    values: {
                        Casserolle: string;
                    };
                };
                "Layer-contentPotteryOrigin-Selinunt": {
                    values: {
                        Lokal: string;
                        Indigen: string;
                        Regional: string;
                        Unteritalisch: string;
                        Attisch: string;
                        Etruskisch: string;
                        Korinthisch: string;
                        Lakonisch: string;
                        Ostgriechisch: string;
                        "Ph\u00F6nizisch/Punisch": string;
                        Anderes: string;
                    };
                };
                "Layer-contentPotteryShape-Selinunt": {
                    values: {
                        "Miniatur Keramik": string;
                        Anderes: string;
                    };
                };
                "Pottery-coat-Selinunt": {
                    values: {
                        Schwarzfirnis: string;
                        Relief: string;
                        Glasur: string;
                        Anderes: string;
                    };
                };
                "Layer-contentPotteryDecoration-Selinunt": {
                    values: {
                        Stempeldekor: string;
                        Figürlich: string;
                        Unfigürlich: string;
                        Banddekor: string;
                        Pflanzendekor: string;
                        Ritzlinien: string;
                        Eingetaucht: string;
                        Bemalt: string;
                        Graffito: string;
                        "Aufschrift ": string;
                        Stempel: string;
                        Anderes: string;
                    };
                };
                "Layer-contentTerracotta-Selinunt": {
                    values: {
                        Figuren: string;
                        Lampen: string;
                        Webgewichte: string;
                        Spielstein: string;
                        Anderes: string;
                    };
                };
                "Layer-contentInorganic-Selinunt": {
                    values: {
                        Bronze: string;
                        Eisen: string;
                        Blei: string;
                        Schlacke: string;
                        Gold: string;
                        Silber: string;
                        Münzen: string;
                        "Stein bearbeitet": string;
                        "Stein fig\u00FCrlich": string;
                        Reibsteine: string;
                        Kiesel: string;
                        Glas: string;
                        Spielstein: string;
                        Anderes: string;
                    };
                };
                "Layer-contentOrganic-Selinunt": {
                    values: {
                        "Knochen Tier": string;
                        "Knochen Mensch": string;
                        "Knochen bearbeitet": string;
                        Astragal: string;
                        Mollusken: string;
                        Holz: string;
                        Holzkohle: string;
                        Samen: string;
                        Elfenbein: string;
                        Perlen: string;
                        Spielstein: string;
                        Anderes: string;
                    };
                    description: string;
                };
                "Layer-contentBuildingMaterial-Selinunt": {
                    values: {
                        Mörtel: string;
                        Verputz: string;
                        Architekturdekor: string;
                        Mosaiksteine: string;
                        Dachziegel: string;
                        "Lehmziegel gebrannt": string;
                        "Lehmstein ungebrannt": string;
                        Anderes: string;
                    };
                };
                "Pottery-miniatureVesselForm-Selinunt": {
                    values: {
                        Lampe: string;
                        Anderes: string;
                    };
                };
                "Pottery-clayHardness-Selinunt": {
                    values: {
                        weich: string;
                        hart: string;
                        "sehr hart": string;
                    };
                };
                "Pottery-clayDensity-Selinunt": {
                    values: {
                        hoch: string;
                        niedrig: string;
                    };
                };
                "Pottery-manufacturingMethod-Selinunt": {
                    values: {
                        "gedreht (auf Drehscheibe)": string;
                        handgeformt: string;
                    };
                };
                "ConstructionMaterial-floorCovering-Selinunt": {
                    values: {
                        Estricht: string;
                        Cocciopesto: string;
                        Ziegelboden: string;
                        "verg\u00E4ngliches Material": string;
                        Anderes: string;
                    };
                };
                "Find-storagePlace-Selinunt": {
                    values: {
                        Depot: string;
                        Museum: string;
                        "In situ": string;
                    };
                };
                "Brick-brickForm-Selinunt": {
                    values: {
                        Bodenziegel: string;
                        Deckziegel: string;
                        Flachziegel: string;
                        Firstziegel: string;
                        Hypokaustziegel: string;
                        Wandziegel: string;
                        Mauerziegel: string;
                        "Dachziegel unbestimmt": string;
                        Sonstiges: string;
                    };
                };
                "Brick-brickUsage-Selinunt": {
                    values: {
                        Becken: string;
                        Brunnenverkleidung: string;
                        Dach: string;
                        Fussboden: string;
                        Grab: string;
                        Kanal: string;
                        Mauer: string;
                        Ofen: string;
                        Wandverkleidung: string;
                    };
                };
                "Brick-decorationTechnique-Selinunt": {
                    values: {
                        fingerprints: string;
                        animalTracks: string;
                        otherImprints: string;
                        graffito: string;
                        painting: string;
                        stamp: string;
                        inscription: string;
                        combIncision: string;
                    };
                };
                "Brick-roofingSystem-Selinunt": {
                    values: {
                        "Hohlziegeldach (M\u00F6nch + Nonne)": string;
                        other: string;
                    };
                };
                "Pottery-FineWare-Provenance-Selinunt": {
                    values: {
                        Attisch: string;
                        Korinthisch: string;
                        Ionisch: string;
                        Punisch: string;
                        Megarisch: string;
                        Etruskisch: string;
                        Regional: string;
                        Lokal: string;
                        Indigen: string;
                        "Firnisware unklarer Herkunft": string;
                        "Anderes unklarer Herkunft": string;
                        "Afrikanische Sigillata": string;
                        "Italische Sigillata": string;
                        "Eastern Sigillata": string;
                    };
                };
                "Pottery-Amphorae-Provenance-Selinunt": {
                    values: {
                        "Westgriechisch ": string;
                        MGS: string;
                        "Ionisch-adriatisch": string;
                        Attisch: string;
                        Korinthisch: string;
                        Chiotisch: string;
                        Phönizisch: string;
                        Punisch: string;
                        Massaliotisch: string;
                        Lokal: string;
                        "Anderes unklarer Herkunft": string;
                        Ostgriechisch: string;
                        Etruskisch: string;
                        Lakonisch: string;
                    };
                    description: string;
                };
                "Pottery-CoarseWare-Function-Selinunt": {
                    values: {
                        Kochware: string;
                        Tafelgeschirr: string;
                        "Gro\u00DFe Beh\u00E4lter": string;
                        "Anderes, Unbekannt": string;
                    };
                };
                "Terracotta-Collection-Selinunt": {
                    values: {
                        Figürlich: string;
                        Lampen: string;
                        Louteria: string;
                        Arulae: string;
                        Gewicht: string;
                        "Gebrauchsgegenst\u00E4nde varia": string;
                        Sarkophag: string;
                        "Anderes, Unbekannt": string;
                        Pinax: string;
                    };
                };
                "BuildingMaterial-Collection-Selinunt": {
                    values: {
                        "Bauteile aus Stein": string;
                        Baudekoration: string;
                        Dachziegel: string;
                        Dachterrakotten: string;
                        Lehmsteine: string;
                        Hüttenlehm: string;
                        Wandverputz: string;
                        Bodenbelag: string;
                        Mosaiksteine: string;
                        "Anderes, Unbekannt": string;
                    };
                };
                "Stone-Collection-Selinunt": {
                    values: {
                        Figürlich: string;
                        Gebrauchsgegenstände: string;
                        Kiesel: string;
                        Marmor: string;
                        Flint: string;
                        "Anderes, Unbekannt": string;
                    };
                };
                "MetalAndGlas-Collection-Selinunt": {
                    values: {
                        Münzen: string;
                        Glas: string;
                        Bronzeobjekte: string;
                        Eisenobjekte: string;
                        Silberobjekte: string;
                        Bleiobjekte: string;
                        Goldobjekte: string;
                        Schlacken: string;
                        "Anderes, Unbekannt": string;
                    };
                };
                "OrganicMaterial-Collection-Selinunt": {
                    values: {
                        Knochen: string;
                        Zähne: string;
                        Horn: string;
                        Mollusken: string;
                        Holz: string;
                        Holzkohle: string;
                        Textilien: string;
                        LEder: string;
                        "Anderes, Unbekannt": string;
                        Astragal: string;
                    };
                };
                "BuildingPart-denomination-Selinunt": {
                    values: {
                        wall: string;
                        wallBlock: string;
                        column: string;
                        doricCapital: string;
                        ionicCapital: string;
                        antaCapital: string;
                        pilasterCapital: string;
                        basis: string;
                        triglyph: string;
                        metope: string;
                        doricCyma: string;
                        ionicCyma: string;
                        sima: string;
                        doricCornice: string;
                        ionicCornice: string;
                        architrave: string;
                        stylobateBlock: string;
                        tympanumBlock: string;
                        blockWithMoulding: string;
                        corniceBlock: string;
                        toothCutEntablature: string;
                        concaveMoulding: string;
                        trapezoidArchBlock: string;
                        palisadeBlock: string;
                        loopHole: string;
                        crenelationBlock: string;
                        waterspout: string;
                        tile: string;
                        altarPiece: string;
                        blockWithFluting: string;
                        leseneBlock: string;
                        stela: string;
                        measuringTable: string;
                        altar: string;
                        collaps: string;
                        workedBedrock: string;
                        waterchannel: string;
                        well: string;
                        building: string;
                        other: string;
                    };
                };
                "BuildingPart-dating-Selinunt": {
                    values: {
                        recent: string;
                        medieval: string;
                        antique: string;
                        unclear: string;
                    };
                };
                "BuildingPart-material-Selinunt": {
                    values: {
                        stone: string;
                        brick: string;
                        ashlars: string;
                        cement: string;
                        wood: string;
                        metall: string;
                        other: string;
                    };
                };
                "BuildingPart-conservationStatus-Selinunt": {
                    values: {
                        inSitu: string;
                        wellPreserved: string;
                        collapsed: string;
                        displaced: string;
                        damaged: string;
                        destroyed: string;
                    };
                };
                "BuildingPart-references-Selinunt": {
                    values: {
                        f: string;
                        k: string;
                        p: string;
                        x: string;
                    };
                };
                "BuildingPart-map-Selinunt": {
                    values: {
                        northernFortress: string;
                        acropolis: string;
                        otherMap: string;
                    };
                };
                "BuildingPart-assignment-Selinunt": {
                    values: {
                        unclear: string;
                        ArchitectonicOrderA: string;
                        ArchitectonicOrderB: string;
                        ProtodoricGroupA: string;
                        ClassicalOrder0: string;
                        ClassicalOrder1: string;
                        ClassicalOrder2: string;
                        ClassicalOrder3: string;
                        ClassicalOrder4: string;
                        SmallOrder: string;
                        TempleA: string;
                        TempleC: string;
                        TempleD: string;
                        TempleY: string;
                        TempleX: string;
                        AltarA: string;
                        BarrierBuilding: string;
                        ArchaicStoa: string;
                        SmallTriglyphAltar: string;
                        BigTriglyphAltar: string;
                        TowerF: string;
                        Phrourion: string;
                        TypeManuzza: string;
                    };
                };
                "BuildingPart-positionAtBuilding-Selinunt": {
                    values: {
                        N: string;
                        E: string;
                        S: string;
                        W: string;
                    };
                };
                "SurveyUnit-visibility-Selinunt": {
                    values: {
                        veryGood: string;
                        good: string;
                        mediocre: string;
                        bad: string;
                    };
                };
                "SurveyUnit-shade-Selinunt": {
                    values: {
                        none: string;
                    };
                };
                "SurveyUnit-humidity-Selinunt": {
                    values: {
                        dry: string;
                        wet: string;
                        soaked: string;
                    };
                };
                "SurveyUnit-slope-Selinunt": {
                    values: {
                        steep: string;
                        slight: string;
                        none: string;
                    };
                };
                "SurveyUnit-vegetation-Selinunt": {
                    values: {
                        completeCover: string;
                        partialCover: string;
                        patches: string;
                        none: string;
                    };
                };
                "SurveyUnit-consistency-Selinunt": {
                    values: {
                        hard: string;
                        compact: string;
                        loose: string;
                        porous: string;
                        tenacious: string;
                    };
                };
                "SurveyUnit-clumps-Selinunt": {
                    values: {
                        many: string;
                        few: string;
                        none: string;
                    };
                };
                "SurveyUnit-stones-Selinunt": {
                    values: {
                        many: string;
                        few: string;
                        none: string;
                        large: string;
                        medium: string;
                        small: string;
                        allSizes: string;
                        pebbles: string;
                        boulders: string;
                        workedStones: string;
                        ashlars: string;
                    };
                };
                "SurveyUnit-samplingMethod-Selinunt": {
                    values: {
                        totalCollection: string;
                        "counting+sampling": string;
                        sampling: string;
                        noCollection: string;
                    };
                };
                "SurveyUnit-surfaceTreatment-Selinunt": {
                    values: {
                        surfaceCleaning: string;
                        shovelTest: string;
                        diggingPits: string;
                        none: string;
                    };
                };
                "SurveyUnit-qualityOfFinds-Selinunt": {
                    values: {
                        coarseWare: string;
                        fineWare: string;
                        largeContainers: string;
                        tile: string;
                        brick: string;
                        structuralElement: string;
                        architecturalDecoration: string;
                        terracotta: string;
                        stoneObjects: string;
                        bones: string;
                        iron: string;
                        bronze: string;
                        lead: string;
                        coin: string;
                        slags: string;
                        organicResidues: string;
                    };
                };
                "Survey-slope-Seliunt": {
                    values: {
                        steep: string;
                        slight: string;
                        none: string;
                    };
                };
                "Survey-visibility-Seliunt": {
                    values: {
                        veryGood: string;
                        good: string;
                        mediocre: string;
                        bad: string;
                    };
                };
                "Survey-chronologyFinds-Selinunt": {
                    values: {
                        prehistory: string;
                        bronzeAge: string;
                        ironAge: string;
                        greekPeriod: string;
                        hellenisticPeriod: string;
                        "imperialPeriod ": string;
                        lateAntiquity: string;
                        middleAges: string;
                        modernPeriod: string;
                        presentTime: string;
                    };
                };
                "SurfaceCleaning-operation-Selinunt": {
                    values: {
                        uprooting: string;
                        mowing: string;
                        harking: string;
                        stoneRemoval: string;
                        swardRemoval: string;
                        uncoverArchaeologicalFinding: string;
                        cleaningOfArchitecture: string;
                    };
                };
                "Find-furtherAnalysis-Selinunt": {
                    values: {
                        yes: string;
                        no: string;
                    };
                };
                "AnimalBones-boneClassification-Selinunt": {
                    values: {
                        "Becken (Pelvis)": string;
                        "Brustbein (Sternum)": string;
                        "Elle (Ulna)": string;
                        "Fingerknochen (Phalanges)": string;
                        Fußknochen: string;
                        Handknochen: string;
                        "Kniescheibe (Patella)": string;
                        Langknochen: string;
                        "Oberarm (Humerus)": string;
                        "Oberschenkel (Femur)": string;
                        Rippen: string;
                        "Schienenbein (Tibia)": string;
                        "Schl\u00FCsselbein (Clavicula)": string;
                        "Schulterblatt (Scapula)": string;
                        "Sch\u00E4del (Cranium)": string;
                        "Speiche (Radius)": string;
                        Undefinierbar: string;
                        "Unterkiefer (Mandibula)": string;
                        "Wadenbein (Fibula)": string;
                        Wirbel: string;
                        Zahn: string;
                    };
                };
                "ConstructionMaterial-denomination-Selinunt": {
                    values: {
                        flooring: string;
                        wallCovering: string;
                        door: string;
                        window: string;
                        roof: string;
                        other: string;
                    };
                };
                "ConstructionMaterial-material-Selinunt": {
                    values: {
                        clay: string;
                        stone: string;
                        terrakotta: string;
                        wood: string;
                        pebbles: string;
                        "limePlaster ": string;
                        clayPlaster: string;
                        cement: string;
                        Tesserae: string;
                    };
                };
                "ConstructionMaterial-wallCovering-Selinunt": {
                    values: {
                        monochromePlaster: string;
                        paintedPlaster: string;
                        stoneFacing: string;
                        terracottaFacing: string;
                        woodPanelling: string;
                    };
                };
                "Brick-applicationInArchitecture-Selinunt": {
                    values: {
                        basin: string;
                        wellCasing: string;
                        roof: string;
                        flooring: string;
                        tomb: string;
                        waterchannel: string;
                        wall: string;
                        oven: string;
                        wallCovering: string;
                        other: string;
                    };
                };
                "Brick-tileType-Selinunt": {
                    values: {
                        plainTile: string;
                        coverTile: string;
                        ridgeTile: string;
                        hollowTile: string;
                        other: string;
                        unspecified: string;
                    };
                };
                "Brick-type-Selinunt": {
                    values: {
                        firedBrick: string;
                        clayBrick: string;
                        hypocaustBrick: string;
                    };
                };
                "BuildingPart-evaluationAssignment-Selinunt": {
                    values: {
                        uncertain: string;
                    };
                };
                "BuildingPart-references-Seli-akropolis": {
                    values: {
                        Z: string;
                    };
                };
                "Architecture-blockProcessing-SelinuntAkropolis": {
                    values: {
                        Bruchsteine: string;
                        Hausteine: string;
                        Lesesteine: string;
                        Werksteine: string;
                    };
                };
                "Architecture-wallClassification-SelinuntAkropolis": {
                    values: {
                        Aufgehendes: string;
                        Fensterzusetzung: string;
                        Flickung: string;
                        Fundament: string;
                        Gewölbe: string;
                        Mauer: string;
                        Mauerbettung: string;
                        Mauerdurchbruch: string;
                        Mosaik: string;
                        "Opus sectile": string;
                        Türzusetzung: string;
                        Wandgestaltung: string;
                    };
                };
                "Layer-designation-SelinuntAkropolis": {
                    values: {
                        burntLayer: string;
                        culturalLayer: string;
                        occupationLayer: string;
                        levellingLayer: string;
                    };
                };
                "Architecture-construction-SelinuntAkropolis": {
                    values: {
                        "Fundament: Gesch\u00FCttet": string;
                        "Fundament: gesetzt": string;
                        "Mauerkern: Lesesteine": string;
                        "einschalig vor Feld/Hang": string;
                        "ohne Schalen/keine durchgehenden Lagen": string;
                        "ohne Schalen/nur durchgehende Lagen": string;
                        zweischalig: string;
                        "zweischalig mit Binderlagen": string;
                    };
                };
                "Architecture-wallType-SelinuntAkropolis": {
                    values: {
                        Außenmauer: string;
                        Befestigugsmauer: string;
                        Blockmauerwerk: string;
                        Bruchsteinmauer: string;
                        Fachwerk: string;
                        Feldsteinmauer: string;
                        Grenzmauer: string;
                        Ziegelmauer: string;
                    };
                };
            };
            tr: {
                "Find-specialStatus-Pergamon": {
                    values: {
                        Envanterlik: string;
                        Etütlük: string;
                    };
                };
                "Feature-locusRecordingType-GoebekliTepe": {
                    values: {
                        Verfüllung: string;
                        Struktur: string;
                        Negativbefund: string;
                    };
                };
                "Layer-locusDepositType-GoebekliTepe": {
                    values: {
                        topsoil: string;
                        arbitrarySpit: string;
                        packingDeposit: string;
                        tumbledStones: string;
                        collapse: string;
                        ashyDeposit: string;
                        erosionalDepositsOrCleaning: string;
                        depositOther: string;
                    };
                };
                "Layer-locusCompaction-GoebekliTepe": {
                    values: {
                        compact: string;
                        mediumCompact: string;
                        friable: string;
                        loose: string;
                    };
                };
                "Feature-locusDepositCollectionMethod-GoebekliTepe": {
                    values: {
                        drySieved: string;
                        wetSieved: string;
                        flotation: string;
                        "hand-picked": string;
                    };
                };
                "Layer-locusDepositColourModifier-GoebekliTepe": {
                    values: {
                        light: string;
                        mid: string;
                        dark: string;
                    };
                };
                "Feature-locusDepositInclusions-GoebekliTepe": {
                    values: {
                        stones: string;
                        chippedStones: string;
                        bones: string;
                        plasterFragments: string;
                        gravel: string;
                        charcoal: string;
                        molluscs: string;
                        mortar: string;
                        grit: string;
                        groundStone: string;
                        limeInclusions: string;
                        ash: string;
                    };
                };
                "Feature-locusDepositInclusionsStone-GoebekliTepe": {
                    values: {
                        smallerThanFist: string;
                        "fist-sized": string;
                        "medium-sized": string;
                        large: string;
                    };
                };
                "Feature-locusDepositStoneShape-GoebekliTepe": {
                    values: {
                        angular: string;
                        rounded: string;
                    };
                };
                "Architecture-structuralElementType-GoebekliTepe": {
                    values: {
                        wall: string;
                        bench: string;
                        wallOpeningOrDoor: string;
                        floor: string;
                        niche: string;
                        roofOrCeiling: string;
                        pillar: string;
                        portalStone: string;
                        buttress: string;
                        fireInstallationOrhearth: string;
                        stepsOrStairs: string;
                        other: string;
                    };
                };
                "FeatureInterface-locusCutType-GoebekliTepe": {
                    values: {
                        pit: string;
                        rockCut: string;
                        constructionOrFoundationPit: string;
                        postOrStakeHole: string;
                        other: string;
                    };
                };
                "FeatureInterface-locusCutShape-GoebekliTepe": {
                    values: {
                        circular: string;
                        square: string;
                        oval: string;
                        linear: string;
                        rectangular: string;
                        irregular: string;
                        rectangularWithRoundedCorners: string;
                        other: string;
                    };
                };
                "FeatureInterface-locusCutSlope-GoebekliTepe": {
                    values: {
                        "breakOfSlope-top-sharp": string;
                        "breakOfSlope-top-gradual": string;
                        "breakOfSlope-bottom-sharp": string;
                        "breakOfSlope-bottom-gradual": string;
                        "breakOfSlope-sides-sharp": string;
                        "breakOfSlope-sides-gradual": string;
                        "breakOfSlope-base-sharp": string;
                        "breakOfSlope-base-gradual": string;
                    };
                };
                "Feature-locusStratigraphyRemarks-GoebekliTepe": {
                    values: {
                        primary: string;
                        secondary: string;
                        tertiary: string;
                    };
                };
                "Find-smallFindsCategory-GoebekliTepe": {
                    values: {
                        chippedStone: string;
                        stoneObject: string;
                        bone: string;
                        mollusc: string;
                        clayObject: string;
                        pottery: string;
                        pigmentAndMinerals: string;
                        glass: string;
                        metal: string;
                        undefined: string;
                    };
                };
                "Find-smallFindsCollectionMethod-GoebekliTepe": {
                    values: {
                        singleFind: string;
                        collection: string;
                    };
                };
                "Find-smallFindsStorage-GoebekliTepe": {
                    values: {
                        stonegarden: string;
                        museumUrfa: string;
                        depot1ExcavationHouseGT: string;
                        depot2ExcavationHouseGT: string;
                        depot3ExcavationHouseGT: string;
                        depot4ExcavationHouseGT: string;
                        noStorageData: string;
                        missing: string;
                    };
                };
            };
        };
    };
}
